package org.jeecg.modules.checkData.equipmentCheckData.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 检查数据-设备检查记录数据-钢轨伤损情况检查表
 * </p>
 *
 * @author hkl
 * @since 2023-07-09
 */
@Getter
@Setter
@TableName("t_ek_rail_wear_record")
@ApiModel(value = "RailWearRecord对象", description = "检查数据-设备检查记录数据-钢轨伤损情况检查表")
public class RailWearRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId("id")
    private String id;

    @ApiModelProperty("创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty("创建日期")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty("更新人")
    @TableField("update_by")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty("设备检查记录主表id")
    @TableField("records_master_check_id")
    private String recordsMasterCheckId;

    @ApiModelProperty("钢轨轨型")
    @TableField("rail_type")
    private String railType;

    @ApiModelProperty("线别Id")
    @TableField("line_alias_id")
    private String lineAliasId;

    @ApiModelProperty("线别名称")
    @TableField("line_alias_name")
    private String lineAliasName;

    @ApiModelProperty("左股仪器编码")
    @TableField("left_femoral_apparatus_code")
    private String leftFemoralApparatusCode;

    @ApiModelProperty("左股仪器")
    @TableField("left_femoral_apparatus")
    private String leftFemoralApparatus;

    @ApiModelProperty("右股仪器编码")
    @TableField("right_femoral_apparatus_code")
    private String rightFemoralApparatusCode;

    @ApiModelProperty("右股仪器")
    @TableField("right_femoral_apparatus")
    private String rightFemoralApparatus;

    @ApiModelProperty("是否删除（0：未删除，1：已删除）")
    @TableField("del_flag")
    private String delFlag;


}
