package org.jeecg.modules.checkData.equipmentCheckData.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 检查数据设备-检查记录数据-道岔使用情况检查数据
 * </p>
 *
 * @author hkl
 * @since 2023-07-09
 */
@Getter
@Setter
@TableName("t_ek_use_turnout_record_check")
@ApiModel(value = "UseTurnoutRecordCheck对象", description = "检查数据设备-检查记录数据-道岔使用情况检查数据")
public class UseTurnoutRecordCheck implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId("id")
    private String id;

    @ApiModelProperty("创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty("创建日期")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty("更新人")
    @TableField("update_by")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty("设备检查记录主表id")
    @TableField("records_master_check_id")
    private String recordsMasterCheckId;

    @ApiModelProperty("道岔id")
    @TableField("switch_management_id")
    private String switchManagementId;

    @ApiModelProperty("车站id")
    @TableField("station_id")
    private String trainStationId;

    @ApiModelProperty("检查日期")
    @TableField("check_time")
    private Date checkTime;

    @ApiModelProperty("道岔编码")
    @TableField("turnout_code")
    private String turnoutCode;

    @ApiModelProperty("几何尺寸")
    @TableField(value = "geometric_dimensions", typeHandler = FastjsonTypeHandler.class)
    private String geometricDimensions;

    @ApiModelProperty("转辙器")
    @TableField(value = "switch_part", typeHandler = FastjsonTypeHandler.class)
    private String switchPart;

    @ApiModelProperty("钢轨及其连接零件")
    @TableField(value = "rail_and_conn_part", typeHandler = FastjsonTypeHandler.class)
    private String railAndConnPart;

    @ApiModelProperty("是否删除（0：未删除，1：已删除）")
    @TableField("del_flag")
    private String delFlag;


}
