package org.jeecg.modules.checkData.equipmentCheckData.vo;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.FastjsonTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 检查数据设备-检查记录数据-道岔使用情况检查数据
 * </p>
 *
 * @author hkl
 * @since 2023-07-09
 */
@Data
@ApiModel(value = "UseTurnoutRecordCheck对象", description = "检查数据设备-检查记录数据-道岔使用情况检查数据")
public class UseTurnoutRecordCheckDetailVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("检查日期")
    private Date checkTime;

    @ApiModelProperty("道岔编码")
    private String turnoutCode;

    @ApiModelProperty("几何尺寸")
    private String geometricDimensions;

    @ApiModelProperty("转辙器")
    private String switchPart;

    @ApiModelProperty("钢轨及其连接零件")
    private String railAndConnPart;

    @ApiModelProperty(value = "线别Id")
    private String lineAliasId;

    @ApiModelProperty(value = "线别名称")
    private String lineAliasName;

    @ApiModelProperty(value = "开向")
    private String openTo;

    @ApiModelProperty(value = "岔前/岔前里程")
    private BigDecimal byroadPreMileage;

    @ApiModelProperty(value = "岔心里程")
    private BigDecimal byroadCenterMileage;

    @ApiModelProperty(value = "岔前/岔后里程")
    private BigDecimal byroadEndMileage;

    @ApiModelProperty(value = "道岔型号")
    private String switchModel;
}
