package org.jeecg.modules.dynamicStaticAnalysis.algorithm;

import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;

/**
 * @author hkl
 * 换冲区
 */
public class Buffer {
    /**
     * 缓冲队列最大缓存能力
     */
    private static final int MAX_CAPACITY = 20;
    /**
     * 缓冲队列
     * 这个队列是一个基于链表的阻塞队列，它的容量可以是有界的或无界的。
     * 当使用有界容量时，如果队列已满，新插入操作会被阻塞，直到有空间可用。
     * 因为队列可以无限增长（无界），所以在插入元素时不会发生阻塞。
     */
    public static final BlockingQueue<String> queue = new LinkedBlockingQueue<>(MAX_CAPACITY);
}
