package org.jeecg.modules.school.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * <p>
 * 作业计划批次管理表
 * </p>
 *
 * @author hkl
 * @since 2023-07-24
 */
@Getter
@Setter
@TableName("t_jh_school_plan_batch_master")
@ApiModel(value = "SchoolPlanBatchMaster对象", description = "作业计划批次管理表")
public class SchoolPlanBatchMaster implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    @TableId("id")
    private String id;

    @ApiModelProperty("创建人")
    @TableField("create_by")
    private String createBy;

    @ApiModelProperty("创建日期")
    @TableField("create_time")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("更新人")
    @TableField("update_by")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @TableField("update_time")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty("作业计划批次号")
    @TableField("batch_code")
    private String batchCode;

    @ApiModelProperty("所属线路id")
    @TableField("light_rail_id")
    private String lightRailId;

    @ApiModelProperty("所属线路名称")
    @TableField("light_rail_name")
    private String lightRailName;

    @ApiModelProperty("所属线别id")
    @TableField("line_alias_id")
    private String lineAliasId;

    @ApiModelProperty("所属线别名称")
    @TableField("line_alias_name")
    private String lineAliasName;

    @ApiModelProperty("作业起始里程")
    @TableField("school_starting_mileage")
    private BigDecimal schoolStartingMileage;

    @ApiModelProperty("作业终点里程")
    @TableField("school_end_mileage")
    private BigDecimal schoolEndMileage;

    @ApiModelProperty("新建日期")
    @TableField("newly_time")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date newlyTime;

    @ApiModelProperty("作业起始时间")
    @TableField("school_start_time")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date schoolStartTime;

    @ApiModelProperty("作业终止时间")
    @TableField("school_end_time")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date schoolEndTime;

    @ApiModelProperty("作业班组")
    @TableField("team")
    private String team;

    @ApiModelProperty("派工状态（0：未派工 1：已派工）")
    @TableField("worker_status")
    private Integer workerStatus;

    @ApiModelProperty("作业状态（0：未作业 1：已作业）")
    @TableField("school_status")
    private Integer schoolStatus;

    @ApiModelProperty("是否删除（0：未删除；1：已删除）")
    @TableField("del_flag")
    private String delFlag;


}
