package org.jeecg.modules.school.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.jeecg.modules.utils.DicMap;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 作业计划批次管理表
 * </p>
 *
 * @author hkl
 * @since 2023-07-24
 */
@Data
public class SchoolPlanBatchMasterVO {


    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("创建人")
    private String createBy;

    @ApiModelProperty("创建日期")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("更新人")
    private String updateBy;

    @ApiModelProperty("更新时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty("作业计划批次号")
    private String batchCode;

    @ApiModelProperty("所属线路id")
    private String lightRailId;

    @ApiModelProperty("所属线路名称")
    private String lightRailName;

    @ApiModelProperty("所属线别id")
    private String lineAliasId;

    @ApiModelProperty("所属线别名称")
    private String lineAliasName;

    @ApiModelProperty("作业起始里程")
    private BigDecimal schoolStartingMileage;

    @ApiModelProperty("作业终点里程")
    private BigDecimal schoolEndMileage;

    @ApiModelProperty("新建日期")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date newlyTime;

    @ApiModelProperty("作业起始时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date schoolStartTime;

    @ApiModelProperty("作业终止时间")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date schoolEndTime;

    @ApiModelProperty("作业班组")
    private String team;

    @ApiModelProperty("派工状态（0：未派工 1：已派工）")
    private Integer workerStatus;

    @ApiModelProperty("派工状态翻译（0：未派工 1：已派工）")
    private String workerStatusStr;
    public String getWorkerStatusStr() {
        return DicMap.WORKER_STATUS_MAP.get(workerStatus);
    }
    @ApiModelProperty("作业状态（0：未作业 1：已作业）")
    private Integer schoolStatus;

    @ApiModelProperty("作业状态翻译（0：未作业 1：已作业）")
    private String schoolStatusStr;
    public String getSchoolStatusStr() {
        return DicMap.SCHOOL_STATUS_MAP.get(schoolStatus);
    }

    @ApiModelProperty("是否删除（0：未删除；1：已删除）")
    private String delFlag;


}
