/*
 Navicat Premium Data Transfer

 Source Server         : mac_oracle11g_jeecgboot
 Source Server Type    : Oracle
 Source Server Version : 110200
 Source Host           : 192.168.1.199:1521
 Source Schema         : JEECGBOOT

 Target Server Type    : Oracle
 Target Server Version : 110200
 File Encoding         : 65001

 Date: 13/03/2023 10:26:56
*/


-- ----------------------------
-- Table structure for CESHI_NOTE
-- ----------------------------
DROP TABLE "JEECGBOOT"."CESHI_NOTE";
CREATE TABLE "JEECGBOOT"."CESHI_NOTE" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(64),
  "NAME" NVARCHAR2(32),
  "SEX" NVARCHAR2(32),
  "AGE" NUMBER(11,0),
  "REMARK" NVARCHAR2(1000),
  "BIRTHDAY" DATE,
  "XIA_TIME" DATE,
  "SALARY" NUMBER(10,3),
  "LOG_TXT" NCLOB,
  "POP_CC" NVARCHAR2(32),
  "USER_ID" NVARCHAR2(32),
  "DEP_ID" NVARCHAR2(32),
  "KAI_GUAN" NVARCHAR2(1),
  "FILE2" NVARCHAR2(300),
  "PIC" NVARCHAR2(300),
  "SHENGSHIQU" NVARCHAR2(32),
  "ACCC" NVARCHAR2(100),
  "DAA_TYPE" NVARCHAR2(32),
  "CCC" NVARCHAR2(32),
  "AAA" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."SYS_ORG_CODE" IS '所属部门';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."NAME" IS '用户名';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."SEX" IS '性别';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."AGE" IS '年龄';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."REMARK" IS '备注';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."BIRTHDAY" IS '生日';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."XIA_TIME" IS '下单时间';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."SALARY" IS '薪资';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."LOG_TXT" IS '大文本';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."POP_CC" IS '弹出报表';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."USER_ID" IS '用户';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."DEP_ID" IS '部门';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."KAI_GUAN" IS '开关';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."FILE2" IS '文件';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."PIC" IS '图片';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."SHENGSHIQU" IS '省市区';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."ACCC" IS '富文本';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."DAA_TYPE" IS '物料分类';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."CCC" IS '单选框';
COMMENT ON COLUMN "JEECGBOOT"."CESHI_NOTE"."AAA" IS 'aa';

-- ----------------------------
-- Records of CESHI_NOTE
-- ----------------------------
INSERT INTO "JEECGBOOT"."CESHI_NOTE" VALUES ('1586278360710615042', 'admin', TO_DATE('2022-10-29 16:46:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '单表示例', '1', '333', 'sd', TO_DATE('2022-10-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 02:00:03', 'SYYYY-MM-DD HH24:MI:SS'), '22', 'afad', NULL, 'jeecg', 'c6d7cb4deeac411cb3384b1b31278596', 'Y', 'temp/lowcode22_1667033194717.jpg', 'temp/lowcodemin2_1667033196391.jpg', '130303', '<p>asdfafd</p>', '1185039122143719425', '2', NULL);

-- ----------------------------
-- Table structure for DEMO
-- ----------------------------
DROP TABLE "JEECGBOOT"."DEMO";
CREATE TABLE "JEECGBOOT"."DEMO" (
  "ID" NVARCHAR2(50) NOT NULL,
  "NAME" NVARCHAR2(30),
  "KEY_WORD" NVARCHAR2(255),
  "PUNCH_TIME" DATE,
  "SALARY_MONEY" NUMBER,
  "BONUS_MONEY" NUMBER(10,2),
  "SEX" NVARCHAR2(2),
  "AGE" NUMBER(11,0),
  "BIRTHDAY" DATE,
  "EMAIL" NVARCHAR2(50),
  "CONTENT" NVARCHAR2(1000),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(64),
  "TENANT_ID" NUMBER(11,0),
  "UPDATE_COUNT" NUMBER(11,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."ID" IS '主键ID';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."NAME" IS '姓名';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."KEY_WORD" IS '关键词';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."PUNCH_TIME" IS '打卡时间';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."SALARY_MONEY" IS '工资';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."BONUS_MONEY" IS '奖金';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."SEX" IS '性别 {男:1,女:2}';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."AGE" IS '年龄';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."BIRTHDAY" IS '生日';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."EMAIL" IS '邮箱';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."CONTENT" IS '个人简介';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."SYS_ORG_CODE" IS '所属部门编码';
COMMENT ON COLUMN "JEECGBOOT"."DEMO"."UPDATE_COUNT" IS '乐观锁测试';

-- ----------------------------
-- Records of DEMO
-- ----------------------------
INSERT INTO "JEECGBOOT"."DEMO" VALUES ('1353563050407936002', '小红帽4', '44', TO_DATE('2021-01-26 12:39:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1', '22', TO_DATE('2021-01-25 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'admin', TO_DATE('2021-01-25 12:39:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-09 11:20:46', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '0', NULL);
INSERT INTO "JEECGBOOT"."DEMO" VALUES ('1400734875399024641', '名字', NULL, TO_DATE('2022-09-08 10:56:30', 'SYYYY-MM-DD HH24:MI:SS'), '33', NULL, '2', '23', TO_DATE('2022-09-30 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '111@333.com', '333', 'admin', TO_DATE('2021-06-04 16:43:13', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-09 11:20:43', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '0', NULL);
INSERT INTO "JEECGBOOT"."DEMO" VALUES ('1586651771328786433', '孙亦菲', '222', NULL, '6000', NULL, '1', '1', TO_DATE('2022-10-30 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'admin', TO_DATE('2022-10-30 17:30:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '1', NULL);
INSERT INTO "JEECGBOOT"."DEMO" VALUES ('1586651850919899137', '龙佳昊', NULL, TO_DATE('2022-10-08 17:30:46', 'SYYYY-MM-DD HH24:MI:SS'), '5000', NULL, '1', '1', TO_DATE('2022-10-30 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '111@1.com', NULL, 'admin', TO_DATE('2022-10-30 17:30:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '1', NULL);
INSERT INTO "JEECGBOOT"."DEMO" VALUES ('1586651922650886146', '龙建林', NULL, TO_DATE('2022-10-24 17:30:58', 'SYYYY-MM-DD HH24:MI:SS'), '9000', NULL, '1', '1', TO_DATE('2022-10-30 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '2@1.com', NULL, 'admin', TO_DATE('2022-10-30 17:31:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '1', NULL);
INSERT INTO "JEECGBOOT"."DEMO" VALUES ('1589491272526827521', '单表示例', NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-07 13:33:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '0', NULL);
INSERT INTO "JEECGBOOT"."DEMO" VALUES ('1590178491193339906', '2323', NULL, TO_DATE('2022-11-04 11:04:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1', '1', TO_DATE('2022-11-24 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'admin', TO_DATE('2022-11-09 11:04:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2023-03-04 22:38:55', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '0', NULL);

-- ----------------------------
-- Table structure for DEMO_FIELD_DEF_VAL_MAIN
-- ----------------------------
DROP TABLE "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN";
CREATE TABLE "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CODE" NVARCHAR2(200),
  "NAME" NVARCHAR2(200),
  "SEX" NVARCHAR2(200),
  "ADDRESS" NVARCHAR2(200),
  "ADDRESS_PARAM" NVARCHAR2(32),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(64)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN"."CODE" IS '编码';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN"."NAME" IS '姓名';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN"."SEX" IS '性别';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN"."ADDRESS" IS '地址';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN"."ADDRESS_PARAM" IS '地址（传参）';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN"."SYS_ORG_CODE" IS '所属部门';

-- ----------------------------
-- Records of DEMO_FIELD_DEF_VAL_MAIN
-- ----------------------------
INSERT INTO "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN" VALUES ('1256548579457114114', 'q', 'q', '1', 'q', 'q', 'admin', TO_DATE('2020-05-02 19:38:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-03 01:02:51', 'SYYYY-MM-DD HH24:MI:SS'), 'A01');
INSERT INTO "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN" VALUES ('1580543461659652098', '${order_num_rule_param}', 'admin', '2', '北京市 朝阳区', '北京市 昌平区', 'admin', TO_DATE('2022-10-13 20:58:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-28 16:43:06', 'SYYYY-MM-DD HH24:MI:SS'), 'A01');

-- ----------------------------
-- Table structure for DEMO_FIELD_DEF_VAL_SUB
-- ----------------------------
DROP TABLE "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB";
CREATE TABLE "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CODE" NVARCHAR2(200),
  "NAME" NVARCHAR2(200),
  "DATE" NVARCHAR2(200),
  "MAIN_ID" NVARCHAR2(200),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(64)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB"."CODE" IS '编码';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB"."NAME" IS '名称';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB"."DATE" IS '日期';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB"."MAIN_ID" IS '主表ID';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB"."SYS_ORG_CODE" IS '所属部门';

-- ----------------------------
-- Records of DEMO_FIELD_DEF_VAL_SUB
-- ----------------------------
INSERT INTO "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB" VALUES ('1580543461798064129', '${order_num_rule_param}', '管理员', '2022-10-13', '1580543461659652098', 'admin', TO_DATE('2022-11-28 16:43:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01');
INSERT INTO "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB" VALUES ('1580543461810647042', '${order_num_rule_param}', '管理员', '2022-10-13', '1580543461659652098', 'admin', TO_DATE('2022-10-13 20:58:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01');
INSERT INTO "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB" VALUES ('1580543527443116034', '${order_num_rule_param}', '管理员', '2022-10-13', '1580543461659652098', 'admin', TO_DATE('2022-10-13 20:58:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01');
INSERT INTO "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB" VALUES ('1580543527451504642', '${order_num_rule_param}', '管理员', '2022-10-13', '1580543461659652098', 'admin', TO_DATE('2022-10-13 20:58:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01');
INSERT INTO "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB" VALUES ('15884194974080425602', '133', '管理员', '2020-05-02', '1256548579457114114', 'admin', TO_DATE('2020-05-03 01:02:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01');
INSERT INTO "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB" VALUES ('15884194979201535108', '1144', '管理员', '2020-05-02', '1256548579457114114', 'admin', TO_DATE('2020-05-03 01:02:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01');
INSERT INTO "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB" VALUES ('1597149069167026177', '${order_num_rule_param}', '管理员', '2022-11-28', '1580543461659652098', 'admin', TO_DATE('2022-11-28 16:43:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01');

-- ----------------------------
-- Table structure for JEECG_MONTHLY_GROWTH_ANALYSIS
-- ----------------------------
DROP TABLE "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS";
CREATE TABLE "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" (
  "ID" NUMBER(11,0) NOT NULL,
  "YEAR" NVARCHAR2(50),
  "MONTH" NVARCHAR2(50),
  "MAIN_INCOME" NUMBER,
  "OTHER_INCOME" NUMBER
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS"."MONTH" IS '月份';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS"."MAIN_INCOME" IS '佣金/主营收入';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS"."OTHER_INCOME" IS '其他收入';

-- ----------------------------
-- Records of JEECG_MONTHLY_GROWTH_ANALYSIS
-- ----------------------------
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('1', '2018', '1月', '114758.9', '4426054.19');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('2', '2018', '2月', '8970734.12', '1230188.67');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('3', '2018', '3月', '26755421.23', '2048836.84');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('4', '2018', '4月', '2404990.63', '374171.44');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('5', '2018', '5月', '5450793.02', '502306.1');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('6', '2018', '6月', '17186212.11', '1375154.97');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('7', '2018', '7月', '579975.67', '461483.99');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('8', '2018', '8月', '1393590.06', '330403.76');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('9', '2018', '9月', '735761.21', '1647474.92');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('10', '2018', '10月', '1670442.44', '3423368.33');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('11', '2018', '11月', '2993130.34', '3552024');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('12', '2018', '12月', '4206227.26', '3645614.92');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('13', '2019', '1月', '483834.66', '418046.77');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('14', '2019', '2月', '11666578.65', '731352.2');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('15', '2019', '3月', '27080982.08', '1878538.81');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('16', '2019', '4月', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('17', '2019', '5月', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('18', '2019', '6月', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('19', '2019', '7月', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('20', '2019', '8月', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('21', '2019', '9月', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('22', '2019', '10月', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('23', '2019', '11月', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" VALUES ('24', '2019', '12月', '0', '0');

-- ----------------------------
-- Table structure for JEECG_ORDER_CUSTOMER
-- ----------------------------
DROP TABLE "JEECGBOOT"."JEECG_ORDER_CUSTOMER";
CREATE TABLE "JEECGBOOT"."JEECG_ORDER_CUSTOMER" (
  "ID" NVARCHAR2(32) NOT NULL,
  "NAME" NVARCHAR2(100) NOT NULL,
  "SEX" NVARCHAR2(4),
  "IDCARD" NVARCHAR2(18),
  "IDCARD_PIC" NVARCHAR2(500),
  "TELPHONE" NVARCHAR2(32),
  "ORDER_ID" NVARCHAR2(32) NOT NULL,
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_CUSTOMER"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_CUSTOMER"."NAME" IS '客户名';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_CUSTOMER"."SEX" IS '性别';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_CUSTOMER"."IDCARD" IS '身份证号码';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_CUSTOMER"."IDCARD_PIC" IS '身份证扫描件';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_CUSTOMER"."TELPHONE" IS '电话1';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_CUSTOMER"."ORDER_ID" IS '外键';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_CUSTOMER"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_CUSTOMER"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_CUSTOMER"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_CUSTOMER"."UPDATE_TIME" IS '修改时间';

-- ----------------------------
-- Records of JEECG_ORDER_CUSTOMER
-- ----------------------------
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('1256527640480821249', 'scott', '2', NULL, NULL, NULL, 'b190737bd04cca8360e6f87c9ef9ec4e', 'admin', TO_DATE('2020-05-02 18:15:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('1256527640531152898', 'x秦风', '1', NULL, NULL, NULL, 'b190737bd04cca8360e6f87c9ef9ec4e', 'admin', TO_DATE('2020-05-02 18:15:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('1256527874216800257', '小王1', '1', NULL, NULL, NULL, '9a57c850e4f68cf94ef7d8585dbaf7e6', 'admin', TO_DATE('2020-05-02 18:17:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 10:56:25', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('15538561502720', '3333', '1', NULL, NULL, NULL, '0d4a2e67b538ee1bc881e5ed34f670f0', 'jeecg-boot', TO_DATE('2019-03-29 18:42:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('15538561512681', '3332333', '2', NULL, NULL, NULL, '0d4a2e67b538ee1bc881e5ed34f670f0', 'jeecg-boot', TO_DATE('2019-03-29 18:42:55', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-29 18:43:12', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('15538561550142', '4442', '2', NULL, NULL, NULL, '0d4a2e67b538ee1bc881e5ed34f670f0', 'jeecg-boot', TO_DATE('2019-03-29 18:42:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('15541168497342', '444', NULL, NULL, NULL, NULL, 'f71f7f8930b5b6b1703d9948d189982b', 'admin', TO_DATE('2019-04-01 19:08:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('15541168499553', '5555', NULL, NULL, NULL, NULL, 'f71f7f8930b5b6b1703d9948d189982b', 'admin', TO_DATE('2019-04-01 19:08:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('1572781641947635713', '1212', '1', '1212', NULL, '12', '4cba137333127e8e31df7ad168cc3732', 'admin', TO_DATE('2022-09-22 10:55:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('1572781834508132354', '22', '2', NULL, NULL, NULL, '9a57c850e4f68cf94ef7d8585dbaf7e6', 'admin', TO_DATE('2022-09-22 10:56:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('18dc5eb1068ccdfe90e358951ca1a3d6', 'dr2', NULL, NULL, NULL, NULL, '8ab1186410a65118c4d746eb085d3bed', 'admin', TO_DATE('2019-04-04 17:25:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('195d280490fe88ca1475512ddcaf2af9', '12', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('217a2bf83709775d2cd85bf598392327', '2', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('22bc052ae53ed09913b946abba93fa89', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('23bafeae88126c3bf3322a29a04f0d5e', 'x秦风', NULL, NULL, NULL, NULL, '163e2efcbc6d7d54eb3f8a137da8a75a', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('25c4a552c6843f36fad6303bfa99a382', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('2d32144e2bee63264f3f16215c258381', '33333', '2', NULL, NULL, NULL, 'd908bfee3377e946e59220c4a4eb414a', 'admin', TO_DATE('2019-04-01 16:27:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('2d43170d6327f941bd1a017999495e25', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('2e5f62a8b6e0a0ce19b52a6feae23d48', '3', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('34a1c5cf6cee360ed610ed0bed70e0f9', '导入秦风', NULL, NULL, NULL, NULL, 'a2cce75872cc8fcc47f78de9ffd378c2', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('3c87400f8109b4cf43c5598f0d40e34d', '2', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('40964bcbbecb38e5ac15e6d08cf3cd43', '233', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('41e3dee0b0b6e6530eccb7fbb22fd7a3', '4555', '1', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('4808ae8344c7679a4a2f461db5dc3a70', '44', '1', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('4b6cef12f195fad94d57279b2241770d', 'dr12', NULL, NULL, NULL, NULL, '8ab1186410a65118c4d746eb085d3bed', 'admin', TO_DATE('2019-04-04 17:25:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('524e695283f8e8c256cc24f39d6d8542', '小王', '2', '370285198604033222', NULL, '18611788674', 'eb13ab35d2946a2b0cfe3452bca1e73f', 'admin', TO_DATE('2019-02-25 16:29:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('57c2a8367db34016114cbc9fa368dba0', '2', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('5df36a1608b8c7ac99ad9bc408fe54bf', '4', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('6c6fd2716c2dcd044ed03c2c95d261f8', '李四', '2', '370285198602058833', NULL, '18611788676', 'f71f7f8930b5b6b1703d9948d189982b', 'admin', TO_DATE('2019-04-01 19:08:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('742d008214dee0afff2145555692973e', '秦风', '1', '370285198602058822', NULL, '18611788676', '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('7469c3e5d371767ff90a739d297689b5', '导入秦风', '2', NULL, NULL, NULL, '3a867ebf2cebce9bae3f79676d8d86f3', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-08 17:35:02', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('7a96e2c7b24847d4a29940dbc0eda6e5', 'drscott', NULL, NULL, NULL, NULL, 'e73434dad84ebdce2d4e0c2a2f06d8ea', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('7f5a40818e225ee18bda6da7932ac5f9', '2', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('8011575abfd7c8085e71ff66df1124b9', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('8404f31d7196221a573c9bd6c8f15003', '小张', '1', '370285198602058211', NULL, '18611788676', 'eb13ab35d2946a2b0cfe3452bca1e73f', 'admin', TO_DATE('2019-02-25 16:29:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('859020e10a2f721f201cdbff78cf7b9f', 'scott', NULL, NULL, NULL, NULL, '163e2efcbc6d7d54eb3f8a137da8a75a', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('8cc3c4d26e3060975df3a2adb781eeb4', 'dr33', NULL, NULL, NULL, NULL, 'b2feb454e43c46b2038768899061e464', 'jeecg-boot', TO_DATE('2019-04-04 17:23:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('8d1725c23a6a50685ff0dedfd437030d', '4', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('933cae3a79f60a93922d59aace5346ce', '小王', NULL, '370285198604033222', NULL, '18611788674', '6a719071a29927a14f19482f8693d69a', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('9bdb5400b709ba4eaf3444de475880d7', 'dr22', NULL, NULL, NULL, NULL, '22c17790dcd04b296c4a2a089f71895f', 'jeecg-boot', TO_DATE('2019-04-04 17:23:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('9f87677f70e5f864679314389443a3eb', '33', '2', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('a2c2b7101f75c02deb328ba777137897', '44', '2', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('ab4d002dc552c326147e318c87d3bed4', '小红1', '1', '370285198604033222', NULL, '18611755848', '9a57c850e4f68cf94ef7d8585dbaf7e6', 'admin', TO_DATE('2020-05-02 18:17:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 10:56:25', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('ad116f722a438e5f23095a0b5fcc8e89', 'dr秦风', NULL, NULL, NULL, NULL, 'e73434dad84ebdce2d4e0c2a2f06d8ea', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('b1ba147b75f5eaa48212586097fc3fd1', '2', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('b43bf432c251f0e6b206e403b8ec29bc', 'lisi', NULL, NULL, NULL, NULL, 'f8889aaef6d1bccffd98d2889c0aafb5', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('bcdd300a7d44c45a66bdaac14903c801', '33', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('beb983293e47e2dc1a9b3d649aa3eb34', 'ddd3', NULL, NULL, NULL, NULL, 'd908bfee3377e946e59220c4a4eb414a', 'admin', TO_DATE('2019-04-01 16:27:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('c219808196406f1b8c7f1062589de4b5', '44', '1', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('c8ed061d4b27c0c7a64e100f2b1c8ab5', '张经理', '2', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('cc5de4af7f06cd6d250965ebe92a0395', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('cf8817bd703bf7c7c77a2118edc26cc7', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('d72b26fae42e71270fce2097a88da58a', '导入scott', NULL, 'www', NULL, NULL, '3a867ebf2cebce9bae3f79676d8d86f3', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-08 17:35:05', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('dbdc60a6ac1a8c43f24afee384039b68', 'xiaowang', NULL, NULL, NULL, NULL, 'f8889aaef6d1bccffd98d2889c0aafb5', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('dc5883b50466de94d900919ed96d97af', '33', '1', '370285198602058823', NULL, '18611788674', '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('deeb73e553ad8dc0a0b3cfd5a338de8e', '3333', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('e2570278bf189ac05df3673231326f47', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('e39cb23bb950b2bdedfc284686c6128a', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('e46fe9111a9100844af582a18a2aa402', '1', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('ee7af0acb9beb9bf8d8b3819a8a7fdc3', '2', NULL, NULL, NULL, NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('f5d2605e844192d9e548f9bd240ac908', '小张', NULL, '370285198602058211', NULL, '18611788676', '6a719071a29927a14f19482f8693d69a', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_CUSTOMER" VALUES ('f6db6547382126613a3e46e7cd58a5f2', '导入scott', NULL, NULL, NULL, NULL, 'a2cce75872cc8fcc47f78de9ffd378c2', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);

-- ----------------------------
-- Table structure for JEECG_ORDER_MAIN
-- ----------------------------
DROP TABLE "JEECGBOOT"."JEECG_ORDER_MAIN";
CREATE TABLE "JEECGBOOT"."JEECG_ORDER_MAIN" (
  "ID" NVARCHAR2(32) NOT NULL,
  "ORDER_CODE" NVARCHAR2(50),
  "CTYPE" NVARCHAR2(500),
  "ORDER_DATE" DATE,
  "ORDER_MONEY" NUMBER(10,3),
  "CONTENT" NVARCHAR2(500),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "BPM_STATUS" NVARCHAR2(3)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_MAIN"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_MAIN"."ORDER_CODE" IS '订单号';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_MAIN"."CTYPE" IS '订单类型';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_MAIN"."ORDER_DATE" IS '订单日期';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_MAIN"."ORDER_MONEY" IS '订单金额';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_MAIN"."CONTENT" IS '订单备注';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_MAIN"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_MAIN"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_MAIN"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_MAIN"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_MAIN"."BPM_STATUS" IS '流程状态';

-- ----------------------------
-- Records of JEECG_ORDER_MAIN
-- ----------------------------
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('163e2efcbc6d7d54eb3f8a137da8a75a', 'B100', NULL, NULL, '3000', NULL, 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('3a867ebf2cebce9bae3f79676d8d86f3', '导入B100', '2222', NULL, '3000', NULL, 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-08 17:35:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('4cba137333127e8e31df7ad168cc3732', '青岛订单A0001', '2', TO_DATE('2019-04-03 10:56:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'admin', TO_DATE('2019-04-03 10:56:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 10:55:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('54e739bef5b67569c963c38da52581ec', 'NC911', '1', TO_DATE('2019-02-18 09:58:51', 'SYYYY-MM-DD HH24:MI:SS'), '40', NULL, 'admin', TO_DATE('2019-02-18 09:58:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-18 09:58:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('6a719071a29927a14f19482f8693d69a', 'c100', NULL, NULL, '5000', NULL, 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('8ab1186410a65118c4d746eb085d3bed', '导入400', '1', TO_DATE('2019-02-18 09:58:51', 'SYYYY-MM-DD HH24:MI:SS'), '40', NULL, 'admin', TO_DATE('2019-02-18 09:58:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-18 09:58:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('9a57c850e4f68cf94ef7d8585dbaf7e6', 'halou001', '1', TO_DATE('2019-04-04 17:30:32', 'SYYYY-MM-DD HH24:MI:SS'), '500', NULL, 'admin', TO_DATE('2019-04-04 17:30:41', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 10:56:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('a2cce75872cc8fcc47f78de9ffd378c2', '导入B100', NULL, NULL, '3000', NULL, 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('b190737bd04cca8360e6f87c9ef9ec4e', 'B0018888', '1', NULL, NULL, NULL, 'admin', TO_DATE('2019-02-15 18:39:29', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 18:15:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('d908bfee3377e946e59220c4a4eb414a', 'SSSS001', NULL, NULL, '599', NULL, 'admin', TO_DATE('2019-04-01 15:43:03', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 16:26:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('e73434dad84ebdce2d4e0c2a2f06d8ea', '导入200', NULL, NULL, '3000', NULL, 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('eb13ab35d2946a2b0cfe3452bca1e73f', 'BJ9980', '1', NULL, '90', NULL, 'admin', TO_DATE('2019-02-16 17:36:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-16 17:46:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('f71f7f8930b5b6b1703d9948d189982b', 'BY911', NULL, TO_DATE('2019-04-06 19:08:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'admin', TO_DATE('2019-04-01 16:36:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 16:36:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_MAIN" VALUES ('f8889aaef6d1bccffd98d2889c0aafb5', 'A100', NULL, TO_DATE('2018-10-10 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '6000', NULL, 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);

-- ----------------------------
-- Table structure for JEECG_ORDER_TICKET
-- ----------------------------
DROP TABLE "JEECGBOOT"."JEECG_ORDER_TICKET";
CREATE TABLE "JEECGBOOT"."JEECG_ORDER_TICKET" (
  "ID" NVARCHAR2(32) NOT NULL,
  "TICKET_CODE" NVARCHAR2(100) NOT NULL,
  "TICKECT_DATE" DATE,
  "ORDER_ID" NVARCHAR2(32) NOT NULL,
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_TICKET"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_TICKET"."TICKET_CODE" IS '航班号';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_TICKET"."TICKECT_DATE" IS '航班时间';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_TICKET"."ORDER_ID" IS '外键';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_TICKET"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_TICKET"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_TICKET"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_ORDER_TICKET"."UPDATE_TIME" IS '修改时间';

-- ----------------------------
-- Records of JEECG_ORDER_TICKET
-- ----------------------------
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('0f0e3a40a215958f807eea08a6e1ac0a', '88', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('0fa3bd0bbcf53650c0bb3c0cac6d8cb7', 'ffff', TO_DATE('2019-02-21 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), 'eb13ab35d2946a2b0cfe3452bca1e73f', 'admin', TO_DATE('2019-02-25 16:29:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('1256527640543735810', '222', TO_DATE('2019-02-23 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), 'b190737bd04cca8360e6f87c9ef9ec4e', 'admin', TO_DATE('2020-05-02 18:15:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('1256527640560513025', '111', TO_DATE('2019-02-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), 'b190737bd04cca8360e6f87c9ef9ec4e', 'admin', TO_DATE('2020-05-02 18:15:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('14221afb4f5f749c1deef26ac56fdac3', '33', TO_DATE('2019-03-09 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('15538561502730', '222', NULL, '0d4a2e67b538ee1bc881e5ed34f670f0', 'jeecg-boot', TO_DATE('2019-03-29 18:42:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('15538561526461', '2244', TO_DATE('2019-03-29 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '0d4a2e67b538ee1bc881e5ed34f670f0', 'jeecg-boot', TO_DATE('2019-03-29 18:42:55', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-29 18:43:26', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('15541168478913', 'hhhhh', NULL, 'f71f7f8930b5b6b1703d9948d189982b', 'admin', TO_DATE('2019-04-01 19:08:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('1572781834508132353', '232', TO_DATE('2022-10-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '9a57c850e4f68cf94ef7d8585dbaf7e6', 'admin', TO_DATE('2022-09-22 10:56:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('18905bc89ee3851805aab38ed3b505ec', '44', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('1f809cbd26f4e574697e1c10de575d72', 'A100', NULL, 'e73434dad84ebdce2d4e0c2a2f06d8ea', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('21051adb51529bdaa8798b5a3dd7f7f7', 'C10029', TO_DATE('2019-02-20 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('269576e766b917f8b6509a2bb0c4d4bd', 'A100', NULL, '163e2efcbc6d7d54eb3f8a137da8a75a', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('2d473ffc79e5b38a17919e15f8b7078e', '66', TO_DATE('2019-03-29 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('3655b66fca5fef9c6aac6d70182ffda2', 'AA123', TO_DATE('2019-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), 'd908bfee3377e946e59220c4a4eb414a', 'admin', TO_DATE('2019-04-01 16:27:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('365d5919155473ade45840fd626c51a9', 'dddd', TO_DATE('2019-04-04 17:25:29', 'SYYYY-MM-DD HH24:MI:SS'), '8ab1186410a65118c4d746eb085d3bed', 'admin', TO_DATE('2019-04-04 17:25:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('4889a782e78706ab4306a925cfb163a5', 'C34', TO_DATE('2019-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), 'd908bfee3377e946e59220c4a4eb414a', 'admin', TO_DATE('2019-04-01 16:35:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 16:35:07', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('48d385796382cf87fa4bdf13b42d9a28', '导入A100', NULL, '3a867ebf2cebce9bae3f79676d8d86f3', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('541faed56efbeb4be9df581bd8264d3a', '88', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('57a27a7dfd6a48e7d981f300c181b355', '6', TO_DATE('2019-03-30 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('5ce4dc439c874266e42e6c0ff8dc8b5c', '导入A100', NULL, 'a2cce75872cc8fcc47f78de9ffd378c2', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('645a06152998a576c051474157625c41', '88', TO_DATE('2019-04-04 17:25:31', 'SYYYY-MM-DD HH24:MI:SS'), '8ab1186410a65118c4d746eb085d3bed', 'admin', TO_DATE('2019-04-04 17:25:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('6e3562f2571ea9e96b2d24497b5f5eec', '55', TO_DATE('2019-03-23 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('8fd2b389151568738b1cc4d8e27a6110', '导入A100', NULL, 'a2cce75872cc8fcc47f78de9ffd378c2', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('93f1a84053e546f59137432ff5564cac', '55', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('969ddc5d2e198d50903686917f996470', 'A10029', TO_DATE('2019-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), 'f71f7f8930b5b6b1703d9948d189982b', 'admin', TO_DATE('2019-04-01 19:08:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('96e7303a8d22a5c384e08d7bcf7ac2bf', 'A100', NULL, 'e73434dad84ebdce2d4e0c2a2f06d8ea', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('9e8a3336f6c63f558f2b68ce2e1e666e', '深圳1001', TO_DATE('2020-05-02 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '9a57c850e4f68cf94ef7d8585dbaf7e6', 'admin', TO_DATE('2020-05-02 18:17:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 10:56:25', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('a28db02c810c65660015095cb81ed434', 'A100', NULL, 'f8889aaef6d1bccffd98d2889c0aafb5', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('b217bb0e4ec6a45b6cbf6db880060c0f', 'A100', NULL, '6a719071a29927a14f19482f8693d69a', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('ba708df70bb2652ed1051a394cfa0bb3', '333', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('beabbfcb195d39bedeeafe8318794562', 'A1345', TO_DATE('2019-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), 'd908bfee3377e946e59220c4a4eb414a', 'admin', TO_DATE('2019-04-01 16:27:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('bf450223cb505f89078a311ef7b6ed16', '777', TO_DATE('2019-03-30 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('c06165b6603e3e1335db187b3c841eef', '北京2001', TO_DATE('2020-05-23 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '9a57c850e4f68cf94ef7d8585dbaf7e6', 'admin', TO_DATE('2020-05-02 18:17:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 10:56:25', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('c113136abc26ace3a6da4e41d7dc1c7e', '44', TO_DATE('2019-03-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('c1abdc2e30aeb25de13ad6ee3488ac24', '77', TO_DATE('2019-03-22 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('c23751a7deb44f553ce50a94948c042a', '33', TO_DATE('2019-03-09 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '8ab1186410a65118c4d746eb085d3bed', 'admin', TO_DATE('2019-04-04 17:25:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('c64547666b634b3d6a0feedcf05f25ce', 'C10019', TO_DATE('2019-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), 'f71f7f8930b5b6b1703d9948d189982b', 'admin', TO_DATE('2019-04-01 19:08:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('c8b8d3217f37da78dddf711a1f7da485', 'A100', NULL, '163e2efcbc6d7d54eb3f8a137da8a75a', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('cab691c1c1ff7a6dfd7248421917fd3c', 'A100', NULL, 'f8889aaef6d1bccffd98d2889c0aafb5', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('cca10a9a850b456d9b72be87da7b0883', '77', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('d2fbba11f4814d9b1d3cb1a3f342234a', 'C10019', TO_DATE('2019-02-18 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('dbdb07a16826808e4276e84b2aa4731a', '导入A100', NULL, '3a867ebf2cebce9bae3f79676d8d86f3', 'jeecg-boot', TO_DATE('2019-03-29 18:43:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('e7075639c37513afc0bbc4bf7b5d98b9', '88', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('fa759dc104d0371f8aa28665b323dab6', '888', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JEECG_ORDER_TICKET" VALUES ('ff197da84a9a3af53878eddc91afbb2e', '33', NULL, '54e739bef5b67569c963c38da52581ec', 'admin', TO_DATE('2019-03-15 16:50:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);

-- ----------------------------
-- Table structure for JEECG_PROJECT_NATURE_INCOME
-- ----------------------------
DROP TABLE "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME";
CREATE TABLE "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME" (
  "ID" NUMBER(11,0) NOT NULL,
  "NATURE" NVARCHAR2(50) NOT NULL,
  "INSURANCE_FEE" NUMBER,
  "RISK_CONSULTING_FEE" NUMBER,
  "EVALUATION_FEE" NUMBER,
  "INSURANCE_EVALUATION_FEE" NUMBER,
  "BIDDING_CONSULTING_FEE" NUMBER,
  "INTEROL_CONSULTING_FEE" NUMBER
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME"."NATURE" IS '项目性质';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME"."INSURANCE_FEE" IS '保险经纪佣金费';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME"."RISK_CONSULTING_FEE" IS '风险咨询费';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME"."EVALUATION_FEE" IS '承保公估评估费';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME"."INSURANCE_EVALUATION_FEE" IS '保险公估费';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME"."BIDDING_CONSULTING_FEE" IS '投标咨询费';
COMMENT ON COLUMN "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME"."INTEROL_CONSULTING_FEE" IS '内控咨询费';

-- ----------------------------
-- Records of JEECG_PROJECT_NATURE_INCOME
-- ----------------------------
INSERT INTO "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME" VALUES ('1', '市场化-电商业务', '4865.41', '0', '0', '0', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME" VALUES ('2', '统筹型', '35767081.88', '0', '0', '0', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME" VALUES ('3', '市场化-非股东', '1487045.35', '0', '0', '0', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME" VALUES ('4', '市场化-参控股', '382690.56', '0', '0', '0', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME" VALUES ('5', '市场化-员工福利', '256684.91', '0', '0', '0', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME" VALUES ('6', '市场化-再保险', '563451.03', '0', '0', '0', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME" VALUES ('7', '市场化-海外业务', '760576.25', '770458.75', '0', '0', '0', '0');
INSERT INTO "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME" VALUES ('8', '市场化-风险咨询', '910183.93', '0', '0', '0', '0', '226415.09');

-- ----------------------------
-- Table structure for JIMU_DICT
-- ----------------------------
DROP TABLE "JEECGBOOT"."JIMU_DICT";
CREATE TABLE "JEECGBOOT"."JIMU_DICT" (
  "ID" NVARCHAR2(32) NOT NULL,
  "DICT_NAME" NVARCHAR2(100) NOT NULL,
  "DICT_CODE" NVARCHAR2(100) NOT NULL,
  "DESCRIPTION" NVARCHAR2(255),
  "DEL_FLAG" NUMBER(11,0),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "TYPE" NUMBER(11,0),
  "TENANT_ID" NVARCHAR2(10)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT"."DICT_NAME" IS '字典名称';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT"."DICT_CODE" IS '字典编码';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT"."DEL_FLAG" IS '删除状态';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT"."TYPE" IS '字典类型0为string,1为number';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT"."TENANT_ID" IS '多租户标识';

-- ----------------------------
-- Records of JIMU_DICT
-- ----------------------------
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('0b5d19e1fce4b2e6647e6b4a17760c14', '通告类型', 'msg_category', '消息类型1:通知公告2:系统消息', '0', 'admin', TO_DATE('2019-04-22 18:01:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('1174509082208395266', '职务职级', 'position_rank', '职务表职级字典', '0', 'admin', TO_DATE('2019-09-19 10:22:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('1174511106530525185', '机构类型', 'org_category', '机构类型 1公司，2部门 3岗位', '0', 'admin', TO_DATE('2019-09-19 10:30:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('1178295274528845826', '表单权限策略', 'form_perms_type', NULL, '0', 'admin', TO_DATE('2019-09-29 21:07:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-29 21:08:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('1199517671259906049', '紧急程度', 'urgent_level', '日程计划紧急程度', '0', 'admin', TO_DATE('2019-11-27 10:37:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('1199518099888414722', '日程计划类型', 'eoa_plan_type', NULL, '0', 'admin', TO_DATE('2019-11-27 10:39:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('1199520177767587841', '分类栏目类型', 'eoa_cms_menu_type', NULL, '0', 'admin', TO_DATE('2019-11-27 10:47:51', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-11-27 10:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('1199525215290306561', '日程计划状态', 'eoa_plan_status', NULL, '0', 'admin', TO_DATE('2019-11-27 11:07:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-11-27 11:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('1209733563293962241', '数据库类型', 'database_type', NULL, '0', 'admin', TO_DATE('2019-12-25 15:12:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('1232913193820581889', 'Online表单业务分类', 'ol_form_biz_type', NULL, '0', 'admin', TO_DATE('2020-02-27 14:19:46', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-27 14:20:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('1250687930947620866', '定时任务状态', 'quartz_status', NULL, '0', 'admin', TO_DATE('2020-04-16 15:30:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('1280401766745718786', '租户状态', 'tenant_status', '租户状态', '0', 'admin', TO_DATE('2020-07-07 15:22:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('1356445645198135298', '开关', 'is_open', NULL, '0', 'admin', TO_DATE('2021-02-02 11:33:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-02 15:28:12', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('236e8a4baff0db8c62c00dd95632834f', '同步工作流引擎', 'activiti_sync', '同步工作流引擎', '0', 'admin', TO_DATE('2019-05-15 15:27:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('2e02df51611a4b9632828ab7e5338f00', '权限策略', 'perms_type', '权限策略', '0', 'admin', TO_DATE('2019-04-26 18:26:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('2f0320997ade5dd147c90130f7218c3e', '推送类别', 'msg_type', NULL, '0', 'admin', TO_DATE('2019-03-17 21:21:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-26 19:57:45', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('3486f32803bb953e7155dab3513dc68b', '删除状态', 'del_flag', NULL, '0', 'admin', TO_DATE('2019-01-18 21:46:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-30 11:17:11', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('3d9a351be3436fbefb1307d4cfb49bf2', '性别', 'sex', NULL, '0', NULL, TO_DATE('2019-01-04 14:56:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-30 11:28:27', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('4274efc2292239b6f000b153f50823ff', '全局权限策略', 'global_perms_type', '全局权限策略', '0', 'admin', TO_DATE('2019-05-10 17:54:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('4c03fca6bf1f0299c381213961566349', 'Online图表展示模板', 'online_graph_display_template', 'Online图表展示模板', '0', 'admin', TO_DATE('2019-04-12 17:28:50', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('4c753b5293304e7a445fd2741b46529d', '字典状态', 'dict_item_status', NULL, '0', 'admin', TO_DATE('2020-06-18 23:18:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-30 19:33:52', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('4d7fec1a7799a436d26d02325eff295e', '优先级', 'priority', '优先级', '0', 'admin', TO_DATE('2019-03-16 17:03:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-16 17:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('4e4602b3e3686f0911384e188dc7efb4', '条件规则', 'rule_conditions', NULL, '0', 'admin', TO_DATE('2019-04-01 10:15:03', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 10:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('4f69be5f507accea8d5df5f11346181a', '发送消息类型', 'msgType', NULL, '0', 'admin', TO_DATE('2019-04-11 14:27:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('68168534ff5065a152bfab275c2136f8', '有效无效状态', 'valid_status', '有效无效状态', '0', 'admin', TO_DATE('2020-09-26 19:21:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-26 19:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('6b78e3f59faec1a4750acff08030a79b', '用户类型', 'user_type', NULL, '0', NULL, TO_DATE('2019-01-04 14:59:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-18 23:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('72cce0989df68887546746d8f09811aa', 'Online表单类型', 'cgform_table_type', NULL, '0', 'admin', TO_DATE('2019-01-27 10:13:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-30 11:37:36', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('78bda155fe380b1b3f175f1e88c284c6', '流程状态', 'bpm_status', '流程状态', '0', 'admin', TO_DATE('2019-05-09 16:31:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('83bfb33147013cc81640d5fd9eda030c', '日志类型', 'log_type', NULL, '0', 'admin', TO_DATE('2019-03-18 23:22:19', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('845da5006c97754728bf48b6a10f79cc', '状态', 'status', NULL, '0', 'admin', TO_DATE('2019-03-18 21:45:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-18 21:58:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('880a895c98afeca9d9ac39f29e67c13e', '操作类型', 'operate_type', '操作类型', '0', 'admin', TO_DATE('2019-07-22 10:54:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('8dfe32e2d29ea9430a988b3b558bf233', '发布状态', 'send_status', '发布状态', '0', 'admin', TO_DATE('2019-04-16 17:40:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('a7adbcd86c37f7dbc9b66945c82ef9e6', '1是0否', 'yn', NULL, '0', 'admin', TO_DATE('2019-05-22 19:29:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('a9d9942bd0eccb6e89de92d130ec4c4a', '消息发送状态', 'msgSendStatus', NULL, '0', 'admin', TO_DATE('2019-04-12 18:18:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('ac2f7c0c5c5775fcea7e2387bcb22f01', '菜单类型', 'menu_type', NULL, '0', 'admin', TO_DATE('2020-12-18 23:24:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 15:27:06', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('ad7c65ba97c20a6805d5dcdf13cdaf36', 'onlineT类型', 'ceshi_online', NULL, '0', 'admin', TO_DATE('2019-03-22 16:31:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-22 16:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('bd1b8bc28e65d6feefefb6f3c79f42fd', 'Online图表数据类型', 'online_graph_data_type', 'Online图表数据类型', '0', 'admin', TO_DATE('2019-04-12 17:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-12 17:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('c36169beb12de8a71c8683ee7c28a503', '部门状态', 'depart_status', NULL, '0', 'admin', TO_DATE('2019-03-18 21:59:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('c5a14c75172783d72cbee6ee7f5df5d1', 'Online图表类型', 'online_graph_type', 'Online图表类型', '0', 'admin', TO_DATE('2019-04-12 17:04:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('d6e1152968b02d69ff358c75b48a6ee1', '流程类型', 'bpm_process_type', NULL, '0', 'admin', TO_DATE('2021-02-22 19:26:54', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-30 18:14:44', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT" VALUES ('fc6cd58fde2e8481db10d3a1e68ce70c', '用户状态', 'user_status', NULL, '0', 'admin', TO_DATE('2019-03-18 21:57:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-18 23:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL);

-- ----------------------------
-- Table structure for JIMU_DICT_ITEM
-- ----------------------------
DROP TABLE "JEECGBOOT"."JIMU_DICT_ITEM";
CREATE TABLE "JEECGBOOT"."JIMU_DICT_ITEM" (
  "ID" NVARCHAR2(32) NOT NULL,
  "DICT_ID" NVARCHAR2(32),
  "ITEM_TEXT" NVARCHAR2(100) NOT NULL,
  "ITEM_VALUE" NVARCHAR2(100) NOT NULL,
  "DESCRIPTION" NVARCHAR2(255),
  "SORT_ORDER" NUMBER(11,0),
  "STATUS" NUMBER(11,0),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT_ITEM"."DICT_ID" IS '字典id';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT_ITEM"."ITEM_TEXT" IS '字典项文本';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT_ITEM"."ITEM_VALUE" IS '字典项值';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT_ITEM"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT_ITEM"."SORT_ORDER" IS '排序';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_DICT_ITEM"."STATUS" IS '状态（1启用 0不启用）';

-- ----------------------------
-- Records of JIMU_DICT_ITEM
-- ----------------------------
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('0072d115e07c875d76c9b022e2179128', '4d7fec1a7799a436d26d02325eff295e', '低', 'L', '低', '3', '1', 'admin', TO_DATE('2019-04-16 17:04:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('05a2e732ce7b00aa52141ecc3e330b4e', '3486f32803bb953e7155dab3513dc68b', '已删除', '1', NULL, NULL, '1', 'admin', TO_DATE('2025-10-18 21:46:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-28 22:23:20', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('096c2e758d823def3855f6376bc736fb', 'bd1b8bc28e65d6feefefb6f3c79f42fd', 'SQL', 'sql', NULL, '1', '1', 'admin', TO_DATE('2019-04-12 17:26:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('0c9532916f5cd722017b46bc4d953e41', '2f0320997ade5dd147c90130f7218c3e', '指定用户', 'USER', NULL, NULL, '1', 'admin', TO_DATE('2019-03-17 21:22:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-17 21:22:28', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('0ca4beba9efc4f9dd54af0911a946d5c', '72cce0989df68887546746d8f09811aa', '附表', '3', NULL, '3', '1', 'admin', TO_DATE('2019-03-27 10:13:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1030a2652608f5eac3b49d70458b8532', '2e02df51611a4b9632828ab7e5338f00', '禁用', '2', '禁用', '2', '1', 'admin', TO_DATE('2021-03-26 18:27:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-26 18:39:11', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1174509082208395266', '1174511106530525185', '岗位', '3', '岗位', '1', '1', 'admin', TO_DATE('2019-09-19 10:31:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1174509601047994369', '1174509082208395266', '员级', '1', NULL, '1', '1', 'admin', TO_DATE('2019-09-19 10:24:45', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-23 11:46:39', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1174509667297026049', '1174509082208395266', '助级', '2', NULL, '2', '1', 'admin', TO_DATE('2019-09-19 10:25:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-23 11:46:47', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1174509713568587777', '1174509082208395266', '中级', '3', NULL, '3', '1', 'admin', TO_DATE('2019-09-19 10:25:12', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-23 11:46:56', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1174509788361416705', '1174509082208395266', '副高级', '4', NULL, '4', '1', 'admin', TO_DATE('2019-09-19 10:25:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-23 11:47:06', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1174509835803189250', '1174509082208395266', '正高级', '5', NULL, '5', '1', 'admin', TO_DATE('2019-09-19 10:25:41', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-23 11:47:12', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1174511197735665665', '1174511106530525185', '公司', '1', '公司', '1', '1', 'admin', TO_DATE('2019-09-19 10:31:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1174511244036587521', '1174511106530525185', '部门', '2', '部门', '1', '1', 'admin', TO_DATE('2019-09-19 10:31:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1178295553450061826', '1178295274528845826', '可编辑(未授权禁用)', '2', NULL, '2', '1', 'admin', TO_DATE('2019-09-29 21:08:46', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-29 21:09:18', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1178295639554928641', '1178295274528845826', '可见(未授权不可见)', '1', NULL, '1', '1', 'admin', TO_DATE('2019-09-29 21:09:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-29 21:09:24', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1199517884758368257', '1199517671259906049', '一般', '1', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:38:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1199517914017832962', '1199517671259906049', '重要', '2', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:38:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1199517941339529217', '1199517671259906049', '紧急', '3', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:38:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1199518186144276482', '1199518099888414722', '日常记录', '1', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:39:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1199518214858481666', '1199518099888414722', '本周工作', '2', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:40:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1199518235943247874', '1199518099888414722', '下周计划', '3', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:40:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1199520817285701634', '1199520177767587841', '列表', '1', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:50:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1199520835035996161', '1199520177767587841', '链接', '2', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:50:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1199525468672405505', '1199525215290306561', '未开始', '0', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 11:08:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1199525490575060993', '1199525215290306561', '进行中', '1', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 11:08:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1199525506429530114', '1199525215290306561', '已完成', '2', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 11:09:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-11-27 11:10:02', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1199607547704647681', '4f69be5f507accea8d5df5f11346181a', '系统', '4', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 16:35:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-11-27 19:37:46', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1209733775114702850', '1209733563293962241', 'MySQL5.5', '1', NULL, '1', '1', 'admin', TO_DATE('2019-12-25 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1209733839933476865', '1209733563293962241', 'Oracle', '2', NULL, '3', '1', 'admin', TO_DATE('2019-12-25 15:13:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1209733903020003330', '1209733563293962241', 'SQLServer', '3', NULL, '4', '1', 'admin', TO_DATE('2019-12-25 15:13:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1232913424813486081', '1232913193820581889', '官方示例', 'demo', NULL, '1', '1', 'admin', TO_DATE('2020-02-27 14:20:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-27 14:21:37', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1232913493717512194', '1232913193820581889', '流程表单', 'bpm', NULL, '2', '1', 'admin', TO_DATE('2020-02-27 14:20:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-27 14:22:20', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1232913605382467585', '1232913193820581889', '测试表单', 'temp', NULL, '4', '1', 'admin', TO_DATE('2020-02-27 14:21:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-27 14:22:16', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1232914232372195330', '1232913193820581889', '导入表单', 'bdfl_include', NULL, '5', '1', 'admin', TO_DATE('2020-02-27 14:23:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1234371726545010689', '4e4602b3e3686f0911384e188dc7efb4', '左模糊', 'LEFT_LIKE', '左模糊', '7', '1', 'admin', TO_DATE('2020-03-02 14:55:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1234371809495760898', '4e4602b3e3686f0911384e188dc7efb4', '右模糊', 'RIGHT_LIKE', '右模糊', '7', '1', 'admin', TO_DATE('2020-03-02 14:55:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1250688147579228161', '1250687930947620866', '正常', '0', NULL, '1', '1', 'admin', TO_DATE('2020-04-16 15:31:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1250688201064992770', '1250687930947620866', '停止', '-1', NULL, '1', '1', 'admin', TO_DATE('2020-04-16 15:31:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1280401815068295170', '1280401766745718786', '正常', '1', NULL, '1', '1', 'admin', TO_DATE('2020-07-07 15:22:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1280401847607705602', '1280401766745718786', '冻结', '0', NULL, '1', '1', 'admin', TO_DATE('2020-07-07 15:22:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1305827309355302914', 'bd1b8bc28e65d6feefefb6f3c79f42fd', 'API', 'api', NULL, '3', '1', 'admin', TO_DATE('2020-09-15 19:14:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-15 19:14:41', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1334440962954936321', '1209733563293962241', 'MYSQL5.7', '4', NULL, '1', '1', 'admin', TO_DATE('2020-12-03 18:16:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-12-03 18:16:02', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1356445705549975553', '1356445645198135298', '是', 'Y', NULL, '1', '1', 'admin', TO_DATE('2021-02-02 11:33:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1356445754212290561', '1356445645198135298', '否', 'N', NULL, '1', '1', 'admin', TO_DATE('2021-02-02 11:34:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('147c48ff4b51545032a9119d13f3222a', 'd6e1152968b02d69ff358c75b48a6ee1', '测试流程', 'test', NULL, '1', '1', 'admin', TO_DATE('2019-03-22 19:27:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1543fe7e5e26fb97cdafe4981bedc0c8', '4c03fca6bf1f0299c381213961566349', '单排布局', 'single', NULL, '2', '1', 'admin', TO_DATE('2022-07-12 17:43:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-12 17:43:57', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1ce390c52453891f93514c1bd2795d44', 'ad7c65ba97c20a6805d5dcdf13cdaf36', '000', '00', NULL, '1', '1', 'admin', TO_DATE('2019-03-22 16:34:34', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('1db531bcff19649fa82a644c8a939dc4', '4c03fca6bf1f0299c381213961566349', '组合布局', 'combination', NULL, '4', '1', 'admin', TO_DATE('2019-05-11 16:07:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('222705e11ef0264d4214affff1fb4ff9', '4f69be5f507accea8d5df5f11346181a', '短信', '1', NULL, '1', '1', 'admin', TO_DATE('2023-02-28 10:50:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-28 10:58:11', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('23a5bb76004ed0e39414e928c4cde155', '4e4602b3e3686f0911384e188dc7efb4', '不等于', '!=', '不等于', '3', '1', 'admin', TO_DATE('2019-04-01 16:46:15', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:48:40', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('25847e9cb661a7c711f9998452dc09e6', '4e4602b3e3686f0911384e188dc7efb4', '小于等于', '<=', '小于等于', '6', '1', 'admin', TO_DATE('2019-04-01 16:44:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:49:10', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('2d51376643f220afdeb6d216a8ac2c01', '68168534ff5065a152bfab275c2136f8', '有效', '1', '有效', '2', '1', 'admin', TO_DATE('2019-04-26 19:22:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('308c8aadf0c37ecdde188b97ca9833f5', '8dfe32e2d29ea9430a988b3b558bf233', '已发布', '1', '已发布', '2', '1', 'admin', TO_DATE('2019-04-16 17:41:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('333e6b2196e01ef9a5f76d74e86a6e33', '8dfe32e2d29ea9430a988b3b558bf233', '未发布', '0', '未发布', '1', '1', 'admin', TO_DATE('2019-04-16 17:41:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('337ea1e401bda7233f6258c284ce4f50', 'bd1b8bc28e65d6feefefb6f3c79f42fd', 'JSON', 'json', NULL, '1', '1', 'admin', TO_DATE('2019-04-12 17:26:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('33bc9d9f753cf7dc40e70461e50fdc54', 'a9d9942bd0eccb6e89de92d130ec4c4a', '发送失败', '2', NULL, '3', '1', 'admin', TO_DATE('2019-04-12 18:20:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('3fbc03d6c994ae06d083751248037c0e', '78bda155fe380b1b3f175f1e88c284c6', '已完成', '3', '已完成', '3', '1', 'admin', TO_DATE('2019-05-09 16:33:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('41d7aaa40c9b61756ffb1f28da5ead8e', '0b5d19e1fce4b2e6647e6b4a17760c14', '通知公告', '1', NULL, '1', '1', 'admin', TO_DATE('2019-04-22 18:01:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('41fa1e9571505d643aea87aeb83d4d76', '4e4602b3e3686f0911384e188dc7efb4', '等于', '=', '等于', '4', '1', 'admin', TO_DATE('2019-04-01 16:45:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:49:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('43d2295b8610adce9510ff196a49c6e9', '845da5006c97754728bf48b6a10f79cc', '正常', '1', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 21:45:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('4f05fb5376f4c61502c5105f52e4dd2b', '83bfb33147013cc81640d5fd9eda030c', '操作日志', '2', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:22:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('50223341bfb5ba30bf6319789d8d17fe', 'd6e1152968b02d69ff358c75b48a6ee1', '业务办理', 'business', NULL, '3', '1', 'admin', TO_DATE('2023-04-22 19:28:05', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-22 23:24:39', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('51222413e5906cdaf160bb5c86fb827c', 'a7adbcd86c37f7dbc9b66945c82ef9e6', '是', '1', NULL, '1', '1', 'admin', TO_DATE('2019-05-22 19:29:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('538fca35afe004972c5f3947c039e766', '2e02df51611a4b9632828ab7e5338f00', '显示', '1', '显示', '1', '1', 'admin', TO_DATE('2025-03-26 18:27:13', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-26 18:39:07', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('5584c21993bde231bbde2b966f2633ac', '4e4602b3e3686f0911384e188dc7efb4', '自定义SQL表达式', 'USE_SQL_RULES', '自定义SQL表达式', '9', '1', 'admin', TO_DATE('2019-04-01 10:45:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:49:27', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('58b73b344305c99b9d8db0fc056bbc0a', '72cce0989df68887546746d8f09811aa', '主表', '2', NULL, '2', '1', 'admin', TO_DATE('2019-03-27 10:13:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('5b65a88f076b32e8e69d19bbaadb52d5', '2f0320997ade5dd147c90130f7218c3e', '全体用户', 'ALL', NULL, NULL, '1', 'admin', TO_DATE('2020-10-17 21:22:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-28 22:17:09', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('5d833f69296f691843ccdd0c91212b6b', '880a895c98afeca9d9ac39f29e67c13e', '修改', '3', NULL, '3', '1', 'admin', TO_DATE('2019-07-22 10:55:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-07-22 10:55:41', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('5d84a8634c8fdfe96275385075b105c9', '3d9a351be3436fbefb1307d4cfb49bf2', '女', '2', NULL, '2', '1', NULL, TO_DATE('2019-01-04 14:56:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, TO_DATE('2019-01-04 17:38:12', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('66c952ae2c3701a993e7db58f3baf55e', '4e4602b3e3686f0911384e188dc7efb4', '大于', '>', '大于', '1', '1', 'admin', TO_DATE('2019-04-01 10:45:46', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:48:29', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('6937c5dde8f92e9a00d4e2ded9198694', 'ad7c65ba97c20a6805d5dcdf13cdaf36', 'easyui', '3', NULL, '1', '1', 'admin', TO_DATE('2019-03-22 16:32:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('69cacf64e244100289ddd4aa9fa3b915', 'a9d9942bd0eccb6e89de92d130ec4c4a', '未发送', '0', NULL, '1', '1', 'admin', TO_DATE('2019-04-12 18:19:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('6a7a9e1403a7943aba69e54ebeff9762', '4f69be5f507accea8d5df5f11346181a', '邮件', '2', NULL, '2', '1', 'admin', TO_DATE('2031-02-28 10:50:44', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-28 10:59:03', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('6c682d78ddf1715baf79a1d52d2aa8c2', '72cce0989df68887546746d8f09811aa', '单表', '1', NULL, '1', '1', 'admin', TO_DATE('2019-03-27 10:13:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('6d404fd2d82311fbc87722cd302a28bc', '4e4602b3e3686f0911384e188dc7efb4', '模糊', 'LIKE', '模糊', '7', '1', 'admin', TO_DATE('2019-04-01 16:46:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:49:20', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('6d4e26e78e1a09699182e08516c49fc4', '4d7fec1a7799a436d26d02325eff295e', '高', 'H', '高', '1', '1', 'admin', TO_DATE('2019-04-16 17:04:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('700e9f030654f3f90e9ba76ab0713551', '6b78e3f59faec1a4750acff08030a79b', '333', '333', NULL, NULL, '1', 'admin', TO_DATE('2019-02-21 19:59:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('7050c1522702bac3be40e3b7d2e1dfd8', 'c5a14c75172783d72cbee6ee7f5df5d1', '柱状图', 'bar', NULL, '1', '1', 'admin', TO_DATE('2019-04-12 17:05:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('71b924faa93805c5c1579f12e001c809', 'd6e1152968b02d69ff358c75b48a6ee1', 'OA办公', 'oa', NULL, '2', '1', 'admin', TO_DATE('2021-03-22 19:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-22 23:24:36', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('75b260d7db45a39fc7f21badeabdb0ed', 'c36169beb12de8a71c8683ee7c28a503', '不启用', '0', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:29:41', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-18 23:29:54', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('7688469db4a3eba61e6e35578dc7c2e5', 'c36169beb12de8a71c8683ee7c28a503', '启用', '1', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:29:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('78ea6cadac457967a4b1c4eb7aaa418c', 'fc6cd58fde2e8481db10d3a1e68ce70c', '正常', '1', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:30:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('7ccf7b80c70ee002eceb3116854b75cb', 'ac2f7c0c5c5775fcea7e2387bcb22f01', '按钮权限', '2', NULL, '1', '1', 'admin', TO_DATE('2019-03-18 23:25:40', 'SYYYY-MM-DD HH24:MI:SS'), 'jeecg', TO_DATE('2022-03-24 21:42:24', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('81fb2bb0e838dc68b43f96cc309f8257', 'fc6cd58fde2e8481db10d3a1e68ce70c', '冻结', '2', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:30:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('83250269359855501ec4e9c0b7e21596', '4274efc2292239b6f000b153f50823ff', '可见/可访问(授权后可见/可访问)', '1', NULL, '1', '1', 'admin', TO_DATE('2019-05-10 17:54:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('84778d7e928bc843ad4756db1322301f', '4e4602b3e3686f0911384e188dc7efb4', '大于等于', '>=', '大于等于', '5', '1', 'admin', TO_DATE('2019-04-01 10:46:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:49:05', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('848d4da35ebd93782029c57b103e5b36', 'c5a14c75172783d72cbee6ee7f5df5d1', '饼图', 'pie', NULL, '3', '1', 'admin', TO_DATE('2019-04-12 17:05:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('84dfc178dd61b95a72900fcdd624c471', '78bda155fe380b1b3f175f1e88c284c6', '处理中', '2', '处理中', '2', '1', 'admin', TO_DATE('2019-05-09 16:33:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('86f19c7e0a73a0bae451021ac05b99dd', 'ac2f7c0c5c5775fcea7e2387bcb22f01', '子菜单', '1', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:25:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('8bccb963e1cd9e8d42482c54cc609ca2', '4f69be5f507accea8d5df5f11346181a', '微信', '3', NULL, '3', '1', 'admin', TO_DATE('2021-05-11 14:29:12', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-11 14:29:31', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('8c618902365ca681ebbbe1e28f11a548', '4c753b5293304e7a445fd2741b46529d', '启用', '1', NULL, '0', '1', 'admin', TO_DATE('2020-07-18 23:19:27', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-05-17 14:51:18', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('8cdf08045056671efd10677b8456c999', '4274efc2292239b6f000b153f50823ff', '可编辑(未授权时禁用)', '2', NULL, '2', '1', 'admin', TO_DATE('2019-05-10 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('8ff48e657a7c5090d4f2a59b37d1b878', '4d7fec1a7799a436d26d02325eff295e', '中', 'M', '中', '2', '1', 'admin', TO_DATE('2019-04-16 17:04:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('948923658baa330319e59b2213cda97c', '880a895c98afeca9d9ac39f29e67c13e', '添加', '2', NULL, '2', '1', 'admin', TO_DATE('2019-07-22 10:54:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-07-22 10:55:36', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('9a96c4a4e4c5c9b4e4d0cbf6eb3243cc', '4c753b5293304e7a445fd2741b46529d', '不启用', '0', NULL, '1', '1', 'admin', TO_DATE('2019-03-18 23:19:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('a1e7d1ca507cff4a480c8caba7c1339e', '880a895c98afeca9d9ac39f29e67c13e', '导出', '6', NULL, '6', '1', 'admin', TO_DATE('2019-07-22 12:06:50', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('a2be752dd4ec980afaec1efd1fb589af', '8dfe32e2d29ea9430a988b3b558bf233', '已撤销', '2', '已撤销', '3', '1', 'admin', TO_DATE('2019-04-16 17:41:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('aa0d8a8042a18715a17f0a888d360aa4', 'ac2f7c0c5c5775fcea7e2387bcb22f01', '一级菜单', '0', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:24:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('adcf2a1fe93bb99a84833043f475fe0b', '4e4602b3e3686f0911384e188dc7efb4', '包含', 'IN', '包含', '8', '1', 'admin', TO_DATE('2019-04-01 16:45:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:49:24', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('b029a41a851465332ee4ee69dcf0a4c2', '0b5d19e1fce4b2e6647e6b4a17760c14', '系统消息', '2', NULL, '1', '1', 'admin', TO_DATE('2019-02-22 18:02:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-22 18:02:13', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('b2a8b4bb2c8e66c2c4b1bb086337f393', '3486f32803bb953e7155dab3513dc68b', '正常', '0', NULL, NULL, '1', 'admin', TO_DATE('2022-10-18 21:46:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-28 22:22:20', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('b57f98b88363188daf38d42f25991956', '6b78e3f59faec1a4750acff08030a79b', '22', '222', NULL, NULL, '0', 'admin', TO_DATE('2019-02-21 19:59:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-11 21:23:27', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('b5f3bd5f66bb9a83fecd89228c0d93d1', '68168534ff5065a152bfab275c2136f8', '无效', '0', '无效', '1', '1', 'admin', TO_DATE('2019-04-26 19:21:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('b9fbe2a3602d4a27b45c100ac5328484', '78bda155fe380b1b3f175f1e88c284c6', '待提交', '1', '待提交', '1', '1', 'admin', TO_DATE('2019-05-09 16:32:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('ba27737829c6e0e582e334832703d75e', '236e8a4baff0db8c62c00dd95632834f', '同步', '1', '同步', '1', '1', 'admin', TO_DATE('2019-05-15 15:28:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('bcec04526b04307e24a005d6dcd27fd6', '880a895c98afeca9d9ac39f29e67c13e', '导入', '5', NULL, '5', '1', 'admin', TO_DATE('2019-07-22 12:06:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('c53da022b9912e0aed691bbec3c78473', '880a895c98afeca9d9ac39f29e67c13e', '查询', '1', NULL, '1', '1', 'admin', TO_DATE('2019-07-22 10:54:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('c5700a71ad08994d18ad1dacc37a71a9', 'a7adbcd86c37f7dbc9b66945c82ef9e6', '否', '0', NULL, '1', '1', 'admin', TO_DATE('2019-05-22 19:29:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('cbfcc5b88fc3a90975df23ffc8cbe29c', 'c5a14c75172783d72cbee6ee7f5df5d1', '曲线图', 'line', NULL, '2', '1', 'admin', TO_DATE('2019-05-12 17:05:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-12 17:06:06', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('d217592908ea3e00ff986ce97f24fb98', 'c5a14c75172783d72cbee6ee7f5df5d1', '数据列表', 'table', NULL, '4', '1', 'admin', TO_DATE('2019-04-12 17:05:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('df168368dcef46cade2aadd80100d8aa', '3d9a351be3436fbefb1307d4cfb49bf2', '男', '1', NULL, '1', '1', NULL, TO_DATE('2027-08-04 14:56:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-23 22:44:44', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('e6329e3a66a003819e2eb830b0ca2ea0', '4e4602b3e3686f0911384e188dc7efb4', '小于', '<', '小于', '2', '1', 'admin', TO_DATE('2019-04-01 16:44:15', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:48:34', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('e94eb7af89f1dbfa0d823580a7a6e66a', '236e8a4baff0db8c62c00dd95632834f', '不同步', '0', '不同步', '2', '1', 'admin', TO_DATE('2019-05-15 15:28:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('f0162f4cc572c9273f3e26b2b4d8c082', 'ad7c65ba97c20a6805d5dcdf13cdaf36', 'booostrap', '1', NULL, '1', '1', 'admin', TO_DATE('2021-08-22 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-22 16:33:57', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('f16c5706f3ae05c57a53850c64ce7c45', 'a9d9942bd0eccb6e89de92d130ec4c4a', '发送成功', '1', NULL, '2', '1', 'admin', TO_DATE('2019-04-12 18:19:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('f2a7920421f3335afdf6ad2b342f6b5d', '845da5006c97754728bf48b6a10f79cc', '冻结', '2', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 21:46:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('f37f90c496ec9841c4c326b065e00bb2', '83bfb33147013cc81640d5fd9eda030c', '登录日志', '1', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:22:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('f753aff60ff3931c0ecb4812d8b5e643', '4c03fca6bf1f0299c381213961566349', '双排布局', 'double', NULL, '3', '1', 'admin', TO_DATE('2019-04-12 17:43:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('f80a8f6838215753b05e1a5ba3346d22', '880a895c98afeca9d9ac39f29e67c13e', '删除', '4', NULL, '4', '1', 'admin', TO_DATE('2019-07-22 10:55:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-07-22 10:55:30', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('fcec03570f68a175e1964808dc3f1c91', '4c03fca6bf1f0299c381213961566349', 'Tab风格', 'tab', NULL, '1', '1', 'admin', TO_DATE('2019-04-12 17:43:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_DICT_ITEM" VALUES ('fe50b23ae5e68434def76f67cef35d2d', '78bda155fe380b1b3f175f1e88c284c6', '已作废', '4', '已作废', '4', '1', 'admin', TO_DATE('2021-09-09 16:33:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-05-09 16:34:40', 'SYYYY-MM-DD HH24:MI:SS'));

-- ----------------------------
-- Table structure for JIMU_REPORT
-- ----------------------------
DROP TABLE "JEECGBOOT"."JIMU_REPORT";
CREATE TABLE "JEECGBOOT"."JIMU_REPORT" (
  "ID" NVARCHAR2(32) NOT NULL,
  "CODE" NVARCHAR2(50),
  "NAME" NVARCHAR2(50),
  "NOTE" NVARCHAR2(255),
  "STATUS" NVARCHAR2(10),
  "TYPE" NVARCHAR2(10),
  "JSON_STR" NCLOB,
  "API_URL" NVARCHAR2(255),
  "THUMB" NCLOB,
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "DEL_FLAG" NUMBER(4,0),
  "API_METHOD" NVARCHAR2(255),
  "API_CODE" NVARCHAR2(255),
  "TEMPLATE" NUMBER(4,0),
  "VIEW_COUNT" NUMBER(20,0),
  "CSS_STR" NCLOB,
  "JS_STR" NCLOB,
  "TENANT_ID" NVARCHAR2(10)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."CODE" IS '编码';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."NAME" IS '名称';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."NOTE" IS '说明';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."STATUS" IS '状态';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."TYPE" IS '类型';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."JSON_STR" IS 'json字符串';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."API_URL" IS '请求地址';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."THUMB" IS '缩略图';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."DEL_FLAG" IS '删除标识0-正常,1-已删除';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."API_METHOD" IS '请求方法0-get,1-post';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."API_CODE" IS '请求编码';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."TEMPLATE" IS '是否是模板 0不是,1是';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."VIEW_COUNT" IS '浏览次数';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."CSS_STR" IS 'css增强';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."JS_STR" IS 'js增强';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT"."TENANT_ID" IS '多租户标识';
COMMENT ON TABLE "JEECGBOOT"."JIMU_REPORT" IS '在线excel设计器';

-- ----------------------------
-- Records of JIMU_REPORT
-- ----------------------------
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('01a1e07ed4b12348b29d5a47ac7f0228', '566960792', '销售公司出库单副本0792', NULL, NULL, 'printinfo', '{"area":{"sri":4,"sci":0,"eri":4,"eci":0,"width":32,"height":25},"printElWidth":794,"excel_config_id":"ff9bd143582a6dfed897ba8b6f93b175","printElHeight":800,"rows":{"0":{"cells":{"0":{"style":11,"text":"医疗器械销售公司出货单","merge":[0,9]}},"height":83},"1":{"cells":{"0":{"text":"供货单位：","style":20,"merge":[0,1]},"1":{"style":30},"2":{"text":"${gongsi.gname}","style":19},"3":{"style":19},"4":{"text":"供货日期：","style":19},"5":{"text":"${gongsi.gdata}","style":19,"merge":[0,1]},"6":{"style":19},"7":{"text":"编号：","style":20},"8":{"text":"${gongsi.num}","style":19,"merge":[0,1]},"9":{"style":19}},"isDrag":true},"2":{"cells":{"0":{"text":"行号","style":39},"1":{"text":"产品代码","style":39},"2":{"text":"产品名称","style":39},"3":{"text":"规格型号","style":39},"4":{"text":"单位","style":39},"5":{"text":"实发数量","style":39},"6":{"text":"销售单价(元)","style":39},"7":{"text":"折扣率（%）","style":39},"8":{"text":"销售金额(元)","style":39},"9":{"text":"备注","style":39}}},"3":{"cells":{"0":{"style":35,"text":"#{xiaoshou.id}"},"1":{"style":35,"text":"#{xiaoshou.hnum}"},"2":{"style":35,"text":"#{xiaoshou.hname}"},"3":{"style":35,"text":"#{xiaoshou.xinghao}"},"4":{"style":35,"text":"#{xiaoshou.danwei}"},"5":{"style":35,"text":"#{xiaoshou.num}"},"6":{"style":35,"text":"#{xiaoshou.danjia}"},"7":{"style":35,"text":"#{xiaoshou.zhekoulv}"},"8":{"style":35,"text":"#{xiaoshou.xiaoshoujine}"},"9":{"style":35,"text":"#{xiaoshou.xiaoshoujine}"}}},"4":{"cells":{"0":{"style":4},"1":{}},"isDrag":true},"len":84,"-1":{"cells":{"0":{"text":"#{gongsi.gdata}"},"-1":{"text":"#{gongsi.didian}"}},"isDrag":true}},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":794,"background":false,"name":"sheet1","autofilter":{},"styles":[{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center"},{"font":{"size":16}},{"font":{"size":16},"align":"center"},{"align":"center"},{"border":{"top":["thin","#000"],"bottom":["thin","#000"],"left":["thin","#000"]}},{"border":{"top":["thin","#000"],"bottom":["thin","#000"]}},{"border":{"top":["thin","#000"],"bottom":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"right"},{"align":"right"},{"align":"center","font":{"size":14}},{"align":"center","font":{"size":14,"bold":true}},{"align":"center","font":{"size":9}},{"font":{"size":9}},{"align":"right","font":{"size":9}},{"align":"center","font":{"size":8}},{"font":{"size":8}},{"align":"right","font":{"size":8}},{"align":"center","font":{"size":8},"color":"#7f7f7f"},{"font":{"size":8},"color":"#7f7f7f"},{"align":"right","font":{"size":8},"color":"#7f7f7f"},{"align":"center","font":{"size":8},"color":"#3f3f3f"},{"font":{"size":8},"color":"#3f3f3f"},{"align":"right","font":{"size":8},"color":"#3f3f3f"},{"align":"center","font":{"size":8},"color":"#262626"},{"font":{"size":8},"color":"#262626"},{"align":"right","font":{"size":8},"color":"#262626"},{"align":"center","font":{"size":8},"color":"#0c0c0c"},{"font":{"size":8},"color":"#0c0c0c"},{"align":"right","font":{"size":8},"color":"#0c0c0c"},{"align":"right","color":"#7f7f7f"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","bgcolor":"#71ae47"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#71ae47"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"align":"center","bgcolor":"#71ae47"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"bgcolor":"#71ae47"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"align":"center"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]}},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"align":"center","bgcolor":"#c5e0b3"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"bgcolor":"#c5e0b3"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"align":"center","bgcolor":"#a7d08c"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"bgcolor":"#a7d08c"}],"validations":[],"cols":{"0":{"width":32},"1":{"width":65},"2":{"width":115},"3":{"width":70},"4":{"width":52},"5":{"width":70},"6":{"width":93},"7":{"width":86},"8":{"width":75},"9":{"width":136},"10":{"width":81},"len":24},"merges":["F2:G2","F2:G2","I2:J2","A2:B2","C2:D2","A2:B2","A1:J1"]}', NULL, 'https://static.jeecg.com/designreport/images/医疗器械_1607070355110.png', 'admin', TO_DATE('2021-01-19 10:46:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-02 19:00:59', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, NULL, '0', '766', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1314846205892759552', '20201010163252', 'XXX有限公司员工登记表', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":{"sri":10,"sci":11,"eri":10,"eci":11,"width":85,"height":38},"excel_config_id":"1314846205892759552","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":false,"marginX":10,"marginY":10},"rows":{"0":{"cells":{"0":{"merge":[0,8]},"9":{}},"height":22},"1":{"cells":{"1":{"style":87,"text":" "},"2":{"style":87,"text":" "},"3":{"style":87,"text":" "},"4":{"style":87,"text":" "},"5":{"style":87,"text":" "},"6":{"style":87,"text":" "},"7":{"style":87,"text":" "},"8":{"style":87,"text":" "}},"height":24},"2":{"cells":{"0":{"text":"所在部门","style":93},"1":{"text":"${yuangongjiben.department}","style":23,"merge":[0,2]},"4":{"text":"职务","style":93},"5":{"text":"${yuangongjiben.post}","style":23},"6":{"text":"填写日期","style":93},"7":{"text":"${yuangongjiben.data}","style":23,"merge":[0,1]}},"isDrag":true,"height":36},"3":{"cells":{"0":{"text":"姓名","style":93},"1":{"text":"${yuangongjiben.name}","style":23},"2":{"text":"性别","style":93},"3":{"text":"${yuangongjiben.sex}","style":23},"4":{"text":"出生日期","style":93},"5":{"text":"${yuangongjiben.birth}","style":23},"6":{"text":"政治面貌","style":93},"7":{"text":"${yuangongjiben.political}","style":130,"merge":[0,1]}},"isDrag":true,"height":33},"4":{"cells":{"0":{"text":"机关","style":93},"1":{"text":"${yuangongjiben.office}","style":23},"2":{"style":93,"text":"民族"},"3":{"text":"${yuangongjiben.nation}","style":23},"4":{"style":93,"text":"健康状况"},"5":{"text":"${yuangongjiben.health}","style":23},"6":{"style":93,"text":"户籍类型","virtual":"1KT8bnqRT4bi8Z7b"},"7":{"text":"${yuangongjiben.register}","style":26,"virtual":"1KT8bnqRT4bi8Z7b"},"8":{"merge":[3,0],"height":104,"style":35,"text":" ","virtual":"cvkWDQVZhfJPgcS4"}},"isDrag":true,"height":31},"5":{"cells":{"0":{"text":"最高学历","style":93},"1":{"text":"${yuangongjiben.education}","style":23},"2":{"text":"所学专业","style":93},"3":{"text":"${yuangongjiben.major}","style":23,"merge":[0,2]},"6":{"text":"毕业时间","style":93},"7":{"text":"${yuangongjiben.gdata}","style":23}},"isDrag":true,"height":35},"6":{"cells":{"0":{"text":"电子邮箱","style":93},"1":{"text":"${yuangongjiben.mailbox}","style":23},"2":{"text":"手机号","style":93},"3":{"text":"${yuangongjiben.telphone}","style":23,"merge":[0,2]},"6":{"text":"家庭电话","style":93},"7":{"text":"${yuangongjiben.homephone}","style":23}},"isDrag":true,"height":38},"7":{"cells":{"0":{"merge":[0,1],"text":"第一次参加工作时间","style":93},"2":{"text":"${yuangongjiben.pworktime}","style":133,"merge":[0,2]},"5":{"style":93,"text":"入职时间"},"6":{"text":"${yuangongjiben.entrytime}","style":24,"merge":[0,1]}},"isDrag":true,"height":27},"8":{"cells":{"0":{"merge":[0,1],"text":"毕业院校","style":93},"2":{"text":"${yuangongjiben.school}","style":24,"merge":[0,2]},"5":{"style":93,"text":"身份证号"},"6":{"text":"${yuangongjiben.idcard}","style":24,"merge":[0,2]}},"isDrag":true,"height":34},"9":{"cells":{"0":{"merge":[0,1],"text":"入党（团）时间、地点","style":94},"2":{"text":"${yuangongjiben.entrytime}","style":24,"merge":[0,2]},"5":{"text":"婚姻状况","style":93},"6":{"text":"${yuangongjiben.marital}","style":23},"7":{"text":"有无子女","style":93},"8":{"text":"${yuangongjiben.children}","style":23}},"isDrag":true,"height":33},"10":{"cells":{"0":{"merge":[0,1],"text":"户口所在街道名称","style":93},"2":{"text":"${yuangongjiben.hukoustreet}","style":24,"merge":[0,2]},"5":{"merge":[0,1],"text":"户口所在地邮编","style":93},"7":{"text":"${yuangongjiben.hukounum}","style":23,"merge":[0,1]}},"isDrag":true,"height":38},"11":{"cells":{"0":{"text":"户口所在地地址","style":96,"merge":[2,1]},"2":{"text":"${yuangongjiben.hukoudi}","style":26,"merge":[2,6]}},"isDrag":true},"12":{"cells":{}},"13":{"cells":{"11":{"text":""}},"isDrag":true},"14":{"cells":{"0":{"merge":[0,1],"text":"现居住地址","style":98},"2":{"text":"${yuangongjiben.currentdi}","style":26,"merge":[0,2]},"5":{"style":98,"merge":[0,1],"text":"现居住地址邮编"},"7":{"text":"${yuangongjiben.currentnum}","style":26,"merge":[0,1]}},"isDrag":true,"height":33},"15":{"cells":{"0":{"merge":[0,1],"text":"是否参加社保","style":98},"2":{"text":"${yuangongjiben.socialsecurity}","style":27,"merge":[0,1]},"4":{"text":"有无公积金","style":98},"5":{"text":"${yuangongjiben.providentfund}","style":27,"merge":[0,1]},"7":{"text":"兴趣爱好","style":98},"8":{"text":"${yuangongjiben.hobby}","style":27}},"isDrag":true,"height":34},"16":{"cells":{"0":{"merge":[0,1],"text":"参加社保类型","style":98},"2":{"text":"${yuangongjiben.sbtype}","style":116,"merge":[0,6]}},"isDrag":true,"height":30},"17":{"cells":{"0":{"merge":[0,1],"text":"个人档案存放地","style":98},"2":{"text":"${yuangongjiben.archivesdi}","style":116,"merge":[0,6]}},"isDrag":true,"height":33},"18":{"cells":{"0":{"text":" ","style":7},"1":{"text":" ","style":7},"2":{"text":" ","style":7},"3":{"text":" ","style":7},"4":{"text":" ","style":7},"5":{"text":" ","style":7},"6":{"text":" ","style":7},"7":{"text":" ","style":7},"8":{"text":" ","style":7}}},"19":{"cells":{"0":{"merge":[0,4],"text":"学历、经历（从高中开始写）","style":99},"5":{"style":7,"text":" "},"6":{"style":7,"text":" "},"7":{"style":7,"text":" "},"8":{"style":7,"text":" "},"9":{"style":112,"text":" "}}},"20":{"cells":{"0":{"text":"由_年_月","merge":[0,1],"style":36},"2":{"merge":[0,1],"text":"至_年_月","style":38},"4":{"merge":[0,1],"text":"就读学校","style":38},"6":{"merge":[0,1],"text":"专业","style":38},"8":{"text":"担任职务","style":38},"9":{"style":112,"text":" "}}},"21":{"cells":{"0":{"style":90,"merge":[0,1],"text":"#{xueli.kdate}"},"2":{"style":90,"text":"#{xueli.jdate}","merge":[0,1]},"4":{"style":90,"text":"#{xueli.jstudent}","merge":[0,1]},"6":{"style":90,"text":"#{xueli.zhuanye}","merge":[0,1]},"8":{"style":90,"text":"#{xueli.zhiwu}"},"9":{"style":112,"text":" "}},"isDrag":true},"22":{"cells":{"0":{"style":7,"text":" "},"1":{"style":7,"text":" "},"2":{"style":7,"text":" "},"3":{"style":7,"text":" "},"4":{"style":7,"text":" "},"5":{"style":7,"text":" "},"6":{"style":7,"text":" "},"7":{"style":7,"text":" "},"8":{"style":7,"text":" "},"9":{"style":112,"text":" "}}},"23":{"cells":{"0":{"merge":[0,4],"text":"工作经历","style":124},"5":{"style":7,"text":" "},"6":{"style":7,"text":" "},"7":{"style":7,"text":" "},"8":{"style":7,"text":" "},"9":{"style":112,"text":" "}},"height":27},"24":{"cells":{"0":{"text":"由_年_月","merge":[0,1],"style":36},"2":{"merge":[0,1],"text":"至_年_月","style":38},"4":{"text":"工作单位及职称","style":38,"merge":[0,1]},"6":{"merge":[0,1],"text":"证明人","style":38},"8":{"text":"联系方式","style":38},"9":{"style":112,"text":" "}}},"25":{"cells":{"0":{"text":"#{uu.kdate}","style":90,"merge":[0,1]},"2":{"text":"#{uu.jdate}","style":90,"merge":[0,1]},"4":{"text":"#{uu.jstudent}","style":90,"merge":[0,1]},"6":{"text":"#{uu.zmname}","style":90,"merge":[0,1]},"8":{"text":"#{uu.zmphone}","style":90},"9":{"style":112,"text":" "}},"isDrag":true},"26":{"cells":{"0":{"style":7,"text":" "},"1":{"style":7,"text":" "},"2":{"style":7,"text":" "},"3":{"style":7,"text":" "},"4":{"style":7,"text":" "},"5":{"style":7,"text":" "},"6":{"style":7,"text":" "},"7":{"style":7,"text":" "},"8":{"style":7,"text":" "},"9":{"style":112,"text":" "}}},"27":{"cells":{"0":{"merge":[0,4],"text":"职称/资格、证书","style":125},"5":{"style":7,"text":" "},"6":{"style":7,"text":" "},"7":{"style":7,"text":" "},"8":{"style":7,"text":" "},"9":{"style":112,"text":" "}},"height":46},"28":{"cells":{"0":{"text":"发证时间","merge":[0,1],"style":36},"2":{"merge":[0,1],"text":"职称名称","style":38},"4":{"text":"级别","style":38,"merge":[0,1]},"6":{"text":"发证单位","style":38,"merge":[0,1]},"8":{"text":"备注","style":38},"9":{"style":112,"text":" "}}},"29":{"cells":{"0":{"text":"#{zhengshu.fdate}","style":90,"merge":[0,1]},"2":{"text":"#{zhengshu.zcname}","style":90,"merge":[0,1]},"4":{"text":"#{zhengshu.jibie}","style":90,"merge":[0,1]},"6":{"text":"#{zhengshu.danwei}","style":90,"merge":[0,1]},"8":{"text":"#{zhengshu.beizhu}","style":90},"9":{"style":112,"text":" "}},"isDrag":true},"30":{"cells":{"0":{"style":7,"text":" "},"1":{"style":7,"text":" "},"2":{"style":7,"text":" "},"3":{"style":7,"text":" "},"4":{"style":7,"text":" "},"5":{"style":7,"text":" "},"6":{"style":7,"text":" "},"7":{"style":7,"text":" "},"8":{"style":7,"text":" "},"9":{"style":112,"text":" "}}},"31":{"cells":{"0":{"merge":[0,1],"text":"家庭成员","style":125},"2":{"style":7,"text":" "},"3":{"style":7,"text":" "},"4":{"style":7,"text":" "},"5":{"style":7,"text":" "},"6":{"style":7,"text":" "},"7":{"style":7,"text":" "},"8":{"style":7,"text":" "},"9":{"style":112,"text":" "}},"height":42},"32":{"cells":{"0":{"merge":[0,1],"text":"姓名","style":38},"2":{"merge":[0,1],"text":"关系","style":38},"4":{"text":"年龄","style":38},"5":{"text":"工作单位","style":38,"merge":[0,1]},"7":{"text":"政治面貌","style":38},"8":{"text":"联系方式","style":38},"9":{"style":112,"text":" "}}},"33":{"cells":{"0":{"text":"#{jtcy.name}","style":90,"merge":[0,1]},"2":{"text":"#{jtcy.guanxi}","style":90,"merge":[0,1]},"4":{"text":"#{jtcy.age}","style":90},"5":{"text":"#{jtcy.danwei}","style":90,"merge":[0,1]},"7":{"text":"#{jtcy.zzmm}","style":90},"8":{"text":"#{jtcy.phone}","style":90},"9":{"style":112,"text":" "}},"isDrag":true},"34":{"cells":{"0":{"text":" ","style":7},"1":{"text":" ","style":7},"2":{"text":" ","style":7},"3":{"text":" ","style":7},"4":{"text":" ","style":7},"5":{"text":" ","style":7},"6":{"text":" ","style":7},"7":{"text":" ","style":7},"8":{"text":" ","style":7},"9":{"style":112,"text":" "}}},"35":{"cells":{"0":{"merge":[0,2],"text":"所获奖励","style":125},"3":{"text":" ","style":7},"4":{"text":" ","style":7},"5":{"text":" ","style":7},"6":{"text":" ","style":7},"7":{"text":" ","style":7},"8":{"text":" ","style":7},"9":{"style":112,"text":" "}},"height":47},"36":{"cells":{"0":{"text":"时间","style":90,"merge":[0,2]},"3":{"style":90,"text":"地点","merge":[0,2]},"6":{"style":90,"text":"所获得的奖励名称","merge":[0,2]},"9":{"style":112,"text":" "}}},"37":{"cells":{"0":{"text":"#{jiangli.date}","style":90,"merge":[0,2]},"3":{"text":"#{jiangli.didian}","style":90,"merge":[0,2]},"6":{"text":"#{jiangli.mingcheng}","style":90,"merge":[0,2]},"9":{"style":112,"text":" "}},"isDrag":true},"len":98},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":703,"displayConfig":{},"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","font":{"size":16}},{"align":"center","font":{"size":16,"bold":true}},{"align":"center","font":{"size":14,"bold":true}},{"align":"center","font":{"name":"仿宋"}},{"font":{"name":"仿宋"}},{"align":"center","font":{"name":"宋体"}},{"font":{"name":"宋体"}},{"align":"center","font":{"name":"宋体","size":12}},{"font":{"name":"宋体","size":12}},{"align":"center","font":{"name":"宋体","size":8}},{"font":{"name":"宋体","size":8}},{"align":"center","font":{"name":"宋体","size":10}},{"font":{"name":"宋体","size":10}},{"align":"center","font":{"name":"隶书","size":10}},{"font":{"name":"隶书","size":10}},{"align":"center","font":{"name":"华文中宋","size":10}},{"font":{"name":"华文中宋","size":10}},{"align":"center","font":{"name":"Microsoft YaHei","size":10}},{"font":{"name":"Microsoft YaHei","size":10}},{"textwrap":true},{"textwrap":true,"align":"center"},{"textwrap":true,"align":"center","font":{"name":"宋体"}},{"align":"center","font":{"name":"宋体","size":10},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"font":{"name":"宋体","size":10},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"textwrap":true,"align":"center","font":{"name":"宋体"},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"font":{"name":"宋体"},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"align":"center","font":{"name":"宋体"},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"font":{"bold":true}},{"font":{"bold":true,"size":12}},{"font":{"bold":true,"size":10}},{"font":{"bold":true,"size":10},"align":"center"},{"font":{"bold":true},"align":"center"},{"font":{"bold":true,"size":10},"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"bold":true},"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"bold":true,"size":10,"name":"宋体"},"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"bold":true,"size":10,"name":"宋体"},"align":"center"},{"font":{"bold":true,"name":"宋体"},"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"bold":true,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"}},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"top":["thin","#000"],"left":["thin","#000"]}},{"align":"center","font":{"size":14,"bold":true},"border":{"top":["thin","#000"]}},{"border":{"top":["thin","#000"],"right":["thin","#000"]}},{"border":{"left":["thin","#000"]}},{"border":{"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"left":["thin","#000"]}},{"border":{"bottom":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"right":["thin","#000"]}},{"border":{"top":["medium","#000"],"left":["medium","#000"]}},{"align":"center","font":{"size":14,"bold":true},"border":{"top":["medium","#000"]}},{"border":{"top":["medium","#000"],"right":["medium","#000"]}},{"border":{"left":["medium","#000"]}},{"border":{"right":["medium","#000"]}},{"border":{"bottom":["medium","#000"],"left":["medium","#000"]}},{"border":{"bottom":["medium","#000"]}},{"border":{"bottom":["medium","#000"],"right":["medium","#000"]}},{"border":{"top":["medium","#000"],"left":["medium","#000"]},"font":{"name":"Microsoft YaHei"}},{"align":"center","font":{"size":14,"bold":true,"name":"Microsoft YaHei"},"border":{"top":["medium","#000"]}},{"align":"center","font":{"size":14,"bold":true,"name":"Microsoft YaHei"}},{"border":{"top":["medium","#000"],"right":["medium","#000"]},"font":{"name":"Microsoft YaHei"}},{"border":{"left":["medium","#000"]},"font":{"name":"Microsoft YaHei"}},{"align":"center","font":{"name":"Microsoft YaHei","size":10},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"right":["medium","#000"]},"font":{"name":"Microsoft YaHei"}},{"font":{"name":"Microsoft YaHei","size":10},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"font":{"name":"Microsoft YaHei"}},{"textwrap":true,"align":"center","font":{"name":"Microsoft YaHei"},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"textwrap":true,"align":"center","font":{"name":"Microsoft YaHei"}},{"font":{"name":"Microsoft YaHei"},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"align":"center","font":{"name":"Microsoft YaHei"},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"align":"center","font":{"name":"Microsoft YaHei"}},{"font":{"bold":true,"size":10,"name":"Microsoft YaHei"},"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"bold":true,"size":10,"name":"Microsoft YaHei"},"align":"center"},{"font":{"bold":true,"name":"Microsoft YaHei"},"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"bold":true,"name":"Microsoft YaHei"},"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Microsoft YaHei"}},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Microsoft YaHei"}},{"border":{"bottom":["medium","#000"],"left":["medium","#000"]},"font":{"name":"Microsoft YaHei"}},{"border":{"bottom":["medium","#000"]},"font":{"name":"Microsoft YaHei"}},{"border":{"bottom":["medium","#000"],"right":["medium","#000"]},"font":{"name":"Microsoft YaHei"}},{"align":"center","font":{"name":"Microsoft YaHei","size":8},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"font":{"name":"Microsoft YaHei","size":8}},{"align":"center","font":{"name":"Microsoft YaHei","size":9},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"align":"center","font":{"name":"Microsoft YaHei","size":8}},{"border":{"top":["medium","#000"],"left":["medium","#000"]},"font":{"name":"宋体"}},{"align":"center","font":{"size":14,"bold":true,"name":"宋体"},"border":{"top":["medium","#000"]}},{"align":"center","font":{"size":14,"bold":true,"name":"宋体"}},{"border":{"left":["medium","#000"]},"font":{"name":"宋体"}},{"align":"center","font":{"name":"宋体","size":8},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"}},{"border":{"bottom":["medium","#000"],"left":["medium","#000"]},"font":{"name":"宋体"}},{"border":{"bottom":["medium","#000"]},"font":{"name":"宋体"}},{"align":"center","font":{"name":"宋体","size":10,"bold":true},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"font":{"name":"宋体","size":10,"bold":true},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"font":{"name":"宋体","size":10,"bold":true}},{"textwrap":true,"align":"center","font":{"name":"宋体","bold":true},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"textwrap":true,"align":"center","font":{"name":"宋体","bold":true}},{"align":"center","font":{"name":"宋体","bold":true},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"font":{"name":"宋体","bold":true}},{"border":{"top":["thin","#000"],"left":["thin","#000"]},"font":{"name":"宋体"}},{"align":"center","font":{"size":14,"bold":true,"name":"宋体"},"border":{"top":["thin","#000"]}},{"border":{"top":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Microsoft YaHei"}},{"border":{"left":["thin","#000"]},"font":{"name":"宋体"}},{"border":{"right":["thin","#000"]},"font":{"name":"Microsoft YaHei"}},{"border":{"bottom":["thin","#000"],"left":["thin","#000"]},"font":{"name":"宋体"}},{"border":{"bottom":["thin","#000"]},"font":{"name":"宋体"}},{"border":{"bottom":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Microsoft YaHei"}},{"border":{"top":["thin","#ffffff"],"left":["thin","#ffffff"]},"font":{"name":"宋体"}},{"align":"center","font":{"size":14,"bold":true,"name":"宋体"},"border":{"top":["thin","#ffffff"]}},{"border":{"top":["thin","#ffffff"],"right":["thin","#ffffff"]},"font":{"name":"Microsoft YaHei"}},{"border":{"left":["thin","#ffffff"]},"font":{"name":"宋体"}},{"border":{"right":["thin","#ffffff"]},"font":{"name":"Microsoft YaHei"}},{"border":{"bottom":["thin","#ffffff"],"left":["thin","#ffffff"]},"font":{"name":"宋体"}},{"border":{"bottom":["thin","#ffffff"]},"font":{"name":"宋体"}},{"border":{"bottom":["thin","#ffffff"],"right":["thin","#ffffff"]},"font":{"name":"Microsoft YaHei"}},{"align":"left","font":{"name":"宋体"},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"align":"left","font":{"name":"宋体"}},{"font":{"name":"宋体","size":10},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"name":"宋体","size":10},"border":{"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"name":"宋体","size":10},"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"name":"宋体","bold":true},"align":"right"},{"font":{"name":"宋体","bold":true},"align":"right","valign":"bottom"},{"font":{"name":"宋体","bold":true},"align":"left","valign":"bottom"},{"font":{"name":"宋体","bold":true},"valign":"bottom"},{"align":"center","font":{"name":"宋体","size":10},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"name":"宋体","size":10,"bold":true},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"textwrap":true,"align":"center","font":{"name":"宋体","bold":true},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"left","font":{"name":"宋体"},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"font":{"name":"宋体","size":10},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"format":"datetime"},{"font":{"name":"宋体","size":10},"format":"datetime"},{"font":{"name":"宋体","size":10},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"format":"normal"},{"font":{"name":"宋体","size":10},"format":"normal"}],"validations":[],"cols":{"0":{"width":73},"1":{"width":71},"2":{"width":69},"3":{"width":89},"4":{"width":64},"5":{"width":47},"6":{"width":68},"7":{"width":100},"8":{"width":103},"9":{"width":19},"10":{"width":146},"11":{"width":85},"len":50},"merges":["H3:I3","B3:D3","A2:I2","D6:F6","D7:F7","A8:B8","G8:H8","A9:B9","A10:B10","C10:E10","C8:E8","C9:E9","A11:B11","C11:E11","F11:G11","H11:I11","C12:I14","A15:B15","C15:E15","F15:G15","H15:I15","A16:B16","A17:B17","A18:B18","C17:I17","C18:I18","A20:E20","A21:B21","C21:D21","E21:F21","G21:H21","A22:B22","A24:E24","A25:B25","C25:D25","G25:H25","A26:B26","A28:E28","A29:B29","C29:D29","A30:B30","A32:B32","A33:B33","C33:D33","A34:B34","C34:D34","A36:C36","C16:D16","F16:G16","QAAAAAACI1:JAAAAAABJ38","A1:I1","H4:I4","G9:I9","G22:H22","E22:F22","C22:D22","C26:D26","G26:H26","C30:D30","G30:H30","E30:F30","D37:F37","D38:F38","A38:C38","A37:C37","G37:I37","G38:I38","E29:F29","G29:H29","E25:F25","E26:F26","F33:G33","F34:G34","A12:B14","I5:I8"],"imgList":[{"row":4,"col":8,"width":"101","height":"128","src":"https://jimureport.oss-cn-beijing.aliyuncs.com/designreport/images/QQ截图20210115102648_1610694177544_1617244906979.png","layer_id":"cvkWDQVZhfJPgcS4","offsetX":0,"offsetY":0,"virtualCellRange":[[4,8]]}]}', NULL, 'https://static.jeecg.com/designreport/images/1122_1607312336469.png', 'admin', TO_DATE('2020-10-10 16:32:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-01 02:42:07', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '606', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1316944968992034816', '20201016113231', '员工信息登记', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":false,"printElWidth":718,"excel_config_id":"1316944968992034816","printElHeight":1047,"rows":{"1":{"cells":{"0":{"text":"员工信息登记表","merge":[0,6],"style":28},"1":{"style":21,"text":" "},"2":{"style":21,"text":" "},"3":{"style":21,"text":" "},"4":{"style":21,"text":" "},"5":{"style":21,"text":" "},"6":{"style":21,"text":" "}},"height":46},"2":{"cells":{"0":{"text":"编号:","style":29},"1":{"text":"${employee.num}","style":30,"merge":[0,3]},"2":{"text":" ","style":24},"3":{"text":" ","style":24},"4":{"text":" ","style":24},"5":{"text":"填写日期:","style":29},"6":{"text":"${employee.create_time}","style":36}},"isDrag":true,"height":44},"3":{"cells":{"0":{"text":"姓名:","style":29},"1":{"text":"${employee.name}","style":30},"2":{"text":"性别:","style":29},"3":{"text":"${employee.sex}","style":30},"4":{"text":"出生年月:","style":29},"5":{"text":"${employee.birthday}","style":36},"6":{"style":3,"text":" ","merge":[4,0],"virtual":"Ym8ny6lYTdutY5tT"}},"isDrag":true,"height":42},"4":{"cells":{"0":{"text":"民族:","style":29},"1":{"text":"${employee.nation}","style":30},"2":{"text":"政治面貌:","style":29},"3":{"text":"${employee.political}","style":30},"4":{"text":"籍贯:","style":29},"5":{"text":"${employee.native_place}","style":30}},"isDrag":true,"height":38},"5":{"cells":{"0":{"text":"身高(cm):","style":29},"1":{"text":"${employee.height}","style":30},"2":{"text":"体重(kg):","style":29},"3":{"text":"${employee.weight}","style":30},"4":{"text":"健康状况:","style":29},"5":{"text":"${employee.health}","style":30}},"isDrag":true,"height":38},"6":{"cells":{"0":{"text":"身份证号:","style":29},"1":{"text":"${employee.id_card}","style":30,"merge":[0,2]},"2":{"text":" ","style":24},"3":{"text":" ","style":24},"4":{"text":"学历:","style":29},"5":{"text":"${employee.education}","style":30}},"isDrag":true,"height":40},"7":{"cells":{"0":{"text":"毕业学校:","style":29},"1":{"text":"${employee.school}","style":30,"merge":[0,2]},"2":{"text":" ","style":24},"3":{"text":" ","style":24},"4":{"text":"专业:","style":29},"5":{"text":"${employee.major}","style":30}},"isDrag":true,"height":44},"8":{"cells":{"0":{"text":"联系地址:","style":29},"1":{"text":"${employee.address}","style":30,"merge":[0,2]},"2":{"text":" ","style":24},"3":{"text":" ","style":24},"4":{"text":"邮编:","style":29},"5":{"text":"${employee.zip_code}","style":30,"merge":[0,1]},"6":{"text":" ","style":24}},"isDrag":true,"height":45},"9":{"cells":{"0":{"text":"Email:","style":29},"1":{"text":"${employee.email}","style":30,"merge":[0,2]},"2":{"text":" ","style":24},"3":{"text":" ","style":24},"4":{"text":"手机号:","style":29},"5":{"text":"${employee.phone}","style":30,"merge":[0,1]},"6":{"text":" ","style":24}},"isDrag":true,"height":40},"10":{"cells":{"0":{"text":"外语语种:","style":29},"1":{"text":"${employee.foreign_language}","style":30},"2":{"text":"外语水平:","style":29},"3":{"text":"${employee.foreign_language_level}","style":30},"4":{"text":"计算机水平:","style":29},"5":{"text":"${employee.computer_level}","style":30,"merge":[0,1]},"6":{"text":" ","style":24}},"isDrag":true,"height":41},"11":{"cells":{"0":{"text":"毕业时间:","style":29},"1":{"text":"${employee.graduation_time}","style":34},"2":{"text":"到职时间:","style":29},"3":{"text":"${employee.arrival_time}","style":34},"4":{"text":"职称:","style":29},"5":{"text":"${employee.positional_titles}","style":30,"merge":[0,1]},"6":{"text":" ","style":24}},"isDrag":true,"height":42},"12":{"cells":{"0":{"text":"教育经历:","style":32},"1":{"text":"","style":35,"merge":[0,5]},"2":{"text":" ","style":40},"3":{"text":" ","style":40},"4":{"text":" ","style":40},"5":{"text":" ","style":40},"6":{"text":" ","style":40}},"isDrag":true,"height":39},"13":{"cells":{"0":{"text":"${employee.education_experience}","style":33,"merge":[0,6]},"1":{"style":27,"text":" "},"2":{"style":27,"text":" "},"3":{"style":27,"text":" "},"4":{"style":27,"text":" "},"5":{"style":27,"text":" "},"6":{"style":27,"text":" "}},"isDrag":true,"height":70},"14":{"cells":{"0":{"text":"工作经历:","style":32},"1":{"merge":[0,5],"style":30,"text":" "},"2":{"text":" ","style":24},"3":{"text":" ","style":24},"4":{"text":" ","style":24},"5":{"text":" ","style":24},"6":{"text":" ","style":24}},"height":43},"15":{"cells":{"0":{"text":"${employee.work_experience}","style":30,"merge":[0,6]},"1":{"text":" ","style":24},"2":{"text":" ","style":24},"3":{"text":" ","style":24},"4":{"text":" ","style":24},"5":{"text":" ","style":24},"6":{"text":" ","style":24}},"isDrag":true,"height":61},"17":{"cells":{"1":{"text":"","style":37}}},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":["sex1"],"freeze":"A1","dataRectWidth":712,"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","font":{"bold":true}},{"align":"center","font":{"bold":true,"size":16}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":true}},{"font":{"bold":true}},{"align":"center","font":{"bold":true,"size":16},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":false}},{"font":{"bold":false}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":true},"align":"right"},{"align":"center","font":{"bold":true,"size":16},"border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]}},{"border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]},"font":{"bold":true},"align":"right"},{"border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]}},{"border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]},"font":{"bold":true}},{"border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]},"font":{"bold":false}},{"align":"center","font":{"bold":true,"size":16},"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"bold":true},"align":"right"},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"bold":true}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"bold":false}},{"align":"center","font":{"bold":true,"size":16,"name":"宋体"},"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]}},{"align":"center","font":{"bold":true,"size":16,"name":"宋体"}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"bold":true,"name":"宋体"},"align":"right"},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"name":"宋体"}},{"font":{"name":"宋体"}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"bold":true,"name":"宋体"}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"bold":false,"name":"宋体"}},{"font":{"bold":false,"name":"宋体"}},{"align":"center","font":{"bold":true,"size":16,"name":"宋体"},"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":true,"name":"宋体"},"align":"right"},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"name":"宋体"}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":true,"name":"宋体"}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false,"name":"宋体"}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"name":"宋体"},"format":"date2"},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"name":"宋体"},"format":"normal"},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"name":"宋体"},"format":"date"},{"format":"date2"},{"font":{"name":"宋体"},"format":"date2"},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"name":"宋体"},"format":"time"},{"font":{"name":"宋体"},"format":"normal"}],"validations":[],"cols":{"0":{"width":79},"1":{"width":92},"2":{"width":76},"3":{"width":106},"5":{"width":123},"6":{"width":136},"len":50},"merges":["A2:G2","B3:E3","B7:D7","B8:D8","B9:D9","B10:D10","F9:G9","F10:G10","F11:G11","F12:G12","B13:G13","A14:G14","B15:G15","A16:G16","G4:G8"],"imgList":[{"row":3,"col":6,"width":"135","height":"192","src":"https://static.jeecg.com/designreport/images/QQ截图20210108095848_1610071294294.png","layer_id":"Ym8ny6lYTdutY5tT","offsetX":0,"offsetY":0,"virtualCellRange":[[3,6]]}]}', NULL, 'https://static.jeecg.com/designreport/images/1133_1607312428261.png', 'admin', TO_DATE('2020-10-16 11:32:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 13:59:35', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '1410', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1331503965770223616', '20201125155042', '房屋销售综合展示大屏', NULL, NULL, 'chartinfo', '{"loopBlockList":[],"chartList":[{"row":1,"col":1,"width":"338","height":"378","config":"{\"yAxis\":{\"axisLabel\":{\"rotate\":0,\"interval\":0,\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"data\":[\"缤纷南郡\",\"中航华府\",\"3中家属楼\",\"幸福家园\",\"水晶国际\",\"绿城小区\",\"缤纷南郡二期\",\"国奥家园\",\"西西胡同\",\"融创学府\",\"蓝湾国际\",\"广发小区\"],\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type\":\"category\"},\"xAxis\":{\"axisLabel\":{\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type \":\"value\"},\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"房子\"],\"top\":\"top\",\"orient\":\"horizontal\",\"left\":\"center\",\"show\":false,\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"grid\":{\"top\":60,\"left\":71,\"bottom\":39,\"right\":29},\"series\":[{\"barWidth\":13,\"data\":[2,2,2,3,4,3,3,5,2,7,4,8],\"name\":\"房子\",\"itemStyle\":{\"color\":\"#67994B\",\"barBorderRadius\":7},\"label\":{\"show\":false,\"position\":\"top\",\"textStyle\":{\"color\":\"black\",\"fontSize\":16,\"fontWeight\":\"bolder\"}},\"type\":\"bar\",\"barMinHeight\":2,\"typeData\":[]}],\"tooltip\":{\"show\":true,\"axisPointer\":{\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"padding\":[5,20,5,20],\"left\":\"left\",\"show\":true,\"text\":\"各楼盘成交量排名\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"14\",\"fontWeight\":\"normal\"},\"top\":10},\"backgroundColor\":{\"src\":\"https://jimureport.oss-cn-beijing.aliyuncs.com/designreport/images/bg1_1606961907450_1617248229528.png\"}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1331511745851731969","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"chengjiao","chartType":"bar.multi.horizontal","isTiming":true,"intervalTime":"5"},"layer_id":"5ggWQtDUvSopC4iL","offsetX":0,"offsetY":0,"virtualCellRange":[[1,1],[1,2],[1,3]]},{"row":1,"col":12,"width":"327","height":"152","config":"{\"yAxis\":{\"axisLabel\":{\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":12}},\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"name\":\"\",\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false}},\"xAxis\":{\"axisLabel\":{\"rotate\":34,\"interval\":0,\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"data\":[\"高层\",\"小高层\",\"写字楼\",\"厂房\",\"公寓\",\"别墅\",\"厂房\",\"四合院\",\"loft\"],\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"name\":\"\",\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false}},\"grid\":{\"top\":50,\"left\":30,\"bottom\":44,\"right\":24},\"series\":[{\"areaStyle\":null,\"data\":[20,25,10,5,9,1,5,1,20],\"showSymbol\":true,\"lineStyle\":{\"width\":2},\"symbolSize\":5,\"isArea\":false,\"name\":\"销量\",\"itemStyle\":{\"color\":\"#D04672\"},\"step\":false,\"label\":{\"show\":false,\"position\":\"top\",\"textStyle\":{\"color\":\"black\",\"fontSize\":16,\"fontWeight\":\"bolder\"}},\"type\":\"line\",\"smooth\":true}],\"tooltip\":{\"formatter\":\"{b} : {c}\",\"show\":true,\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":true,\"top\":10,\"text\":\"房形分析\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontWeight\":\"normal\",\"fontSize\":\"14\"},\"left\":\"left\",\"padding\":[5,20,5,10]},\"backgroundColor\":{\"src\":\"https://static.jeecg.com/designreport/images/bg1_1607938818911.png\"}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1331922734933987329","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"fangyuan","chartType":"line.smooth","isTiming":true,"intervalTime":"5"},"layer_id":"nk6I2RCefm9scS1k","offsetX":0,"offsetY":0,"virtualCellRange":[[1,12],[1,13],[1,14],[1,15]]},{"row":7,"col":12,"width":"324","height":"215","config":"{\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"1室\",\"2室\",\"3室\",\"4室\",\"5室\"],\"top\":\"bottom\",\"orient\":\"vertical\",\"left\":\"right\",\"show\":true,\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"series\":[{\"isRose\":false,\"data\":[{\"name\":\"1室\",\"value\":10,\"itemStyle\":{\"color\":\"rgba(53,165,180,1)\"}},{\"name\":\"2室\",\"value\":30,\"itemStyle\":{\"color\":\"rgba(60,140,198,1)\"}},{\"name\":\"3室\",\"value\":20,\"itemStyle\":{\"color\":\"rgba(93,144,81,1)\"}},{\"name\":\"4室\",\"value\":5,\"itemStyle\":{\"color\":\"rgba(191,146,68,1)\"}},{\"name\":\"5室\",\"value\":3,\"itemStyle\":{\"color\":\"rgba(188,69,117,1)\"}}],\"isRadius\":true,\"roseType\":\"\",\"notCount\":false,\"center\":[\"160\",\"120\"],\"name\":\"访问来源\",\"minAngle\":0,\"label\":{\"show\":false,\"position\":\"outside\",\"textStyle\":{\"color\":\"\",\"fontSize\":\"8\",\"fontWeight\":\"bolder\"}},\"type\":\"pie\",\"radius\":[\"40%\",\"50%\"],\"autoSort\":false}],\"tooltip\":{\"formatter\":\"{b} : {c}\",\"show\":true,\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":true,\"top\":10,\"text\":\"不同户型销售\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontWeight\":\"normal\",\"fontSize\":\"14\"},\"left\":\"left\",\"padding\":[5,20,5,10]},\"backgroundColor\":{\"src\":\"https://static.jeecg.com/designreport/images/bg1_1608536502813.png\"}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1331919172472524801","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"huxingxiaoshou","chartType":"pie.doughnut","isTiming":true,"intervalTime":"5","id":"MCJP8uqwe57YoCvF"},"layer_id":"MCJP8uqwe57YoCvF","offsetX":0,"offsetY":0,"virtualCellRange":[[7,12],[7,13],[7,14],[7,15]]},{"row":7,"col":4,"width":"662","height":"222","config":"{\"yAxis\":{\"axisLabel\":{\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type \":\"value\"},\"xAxis\":{\"axisLabel\":{\"rotate\":0,\"interval\":0,\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"data\":[\"1月\",\"2月\",\"3月\",\"4月\",\"5月\",\"6月\",\"7月\",\"8月\",\"9月\",\"10月\",\"11月\",\"12月\"],\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"#A98E8E\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type\":\"category\"},\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"成交量\",\"成交价\"],\"top\":\"top\",\"orient\":\"vertical\",\"left\":\"center\",\"show\":false,\"textStyle\":{\"color\":\"#FBF8F8\",\"fontSize\":\"10\"}},\"grid\":{\"top\":58,\"left\":30,\"bottom\":43,\"right\":32},\"series\":[{\"barWidth\":15,\"stack\":\"1\",\"data\":[10,7,5,5,7,9,3,6,5,8,6,6],\"name\":\"成交量\",\"itemStyle\":{\"color\":\"#37A5B1\",\"barBorderRadius\":13},\"type\":\"bar\",\"barMinHeight\":7,\"typeData\":[{\"name\":\"成交量\",\"type\":\"\",\"_index\":0,\"_rowKey\":136,\"stack\":\"1\"},{\"name\":\"成交价\",\"type\":\"\",\"stack\":\"1\",\"_index\":1,\"_rowKey\":139}]},{\"barWidth\":15,\"stack\":\"1\",\"data\":[5,5,12,5,5,5,5,10,5,5,5,5],\"name\":\"成交价\",\"itemStyle\":{\"color\":\"#2E72A7\",\"barBorderRadius\":13},\"type\":\"bar\",\"barMinHeight\":7,\"typeData\":[{\"name\":\"成交量\",\"type\":\"\",\"_index\":0,\"_rowKey\":136,\"stack\":\"1\"},{\"name\":\"成交价\",\"type\":\"\",\"stack\":\"1\",\"_index\":1,\"_rowKey\":139}]}],\"tooltip\":{\"show\":true,\"axisPointer\":{\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"padding\":[5,20,5,20],\"left\":\"left\",\"show\":true,\"text\":\"成交量和成交价趋势\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"14\",\"fontWeight\":\"normal\"},\"top\":10},\"backgroundColor\":{\"src\":\"https://static.jeecg.com/designreport/images/QQ截图20201207201434_1607343287788.png\"}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1331872643531526146","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"chengjiao1","chartType":"bar.stack","chartId":"","isTiming":true,"intervalTime":"5"},"layer_id":"Nf6Xud4fZqEfvQw4","offsetX":0,"offsetY":0,"virtualCellRange":[[7,4],[7,5],[7,6],[7,7],[7,8],[7,9],[7,10],[7,11]]},{"row":16,"col":12,"width":"326","height":"200","config":"{\"radar\":[{\"indicator\":[{\"name\":\"房产证\",\"max\":520},{\"name\":\"购房发票\",\"max\":310},{\"name\":\"购房合同\",\"max\":380},{\"name\":\"预售合同\",\"max\":450},{\"name\":\"抵押合同\",\"max\":600},{\"name\":\"预收合同\",\"max\":350}],\"shape\":\"polygon\",\"axisLine\":{\"lineStyle\":{\"color\":\"gray\",\"opacity\":0.5}},\"center\":[\"50%\",\"50%\"],\"name\":{\"formatter\":\"【{value}】\",\"textStyle\":{\"color\":\"#72ACD1\",\"fontSize\":\"10\"}},\"splitLine\":{\"lineStyle\":{\"color\":\"gray\",\"opacity\":0.5}}}],\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"售后产权\",\"单位产权\",\"个人产权\"],\"top\":\"top\",\"orient\":\"horizontal\",\"left\":\"center\",\"show\":false,\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"series\":[{\"type\":\"radar\",\"data\":[{\"name\":\"售后产权\",\"value\":[43,100,280,350,500,250],\"areaStyle\":{\"color\":\"#3F9AFB\",\"opacity\":1},\"lineStyle\":{\"color\":\"#2D8CF0\"}},{\"name\":\"单位产权\",\"value\":[190,50,140,280,310,150],\"areaStyle\":{\"color\":\"#A6F65C\",\"opacity\":1},\"lineStyle\":{\"color\":\"#55FE4D\"}},{\"name\":\"个人产权\",\"value\":[420,210,160,0,120,130],\"areaStyle\":{\"color\":\"rgba(188,69,117,1)\",\"opacity\":1},\"lineStyle\":{\"color\":\"rgba(188,69,117,1)\"}}]}],\"tooltip\":{\"show\":true,\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":true,\"top\":10,\"text\":\"不同产权、证件成交量\",\"textStyle\":{\"color\":\"#ffffff\",\"fontWeight\":\"normal\",\"fontSize\":\"14\"},\"left\":\"left\",\"padding\":[5,20,5,20]},\"backgroundColor\":{\"src\":\"https://static.jeecg.com/designreport/images/bg1_1608274537110.png\"}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1331916030221602818","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"btchanquan","chartType":"radar.basic","isTiming":true,"intervalTime":"10","id":"IWoBtyiRxjkEbkfD"},"layer_id":"IWoBtyiRxjkEbkfD","offsetX":0,"offsetY":0,"virtualCellRange":[[16,12],[16,13],[16,14],[16,15]]},{"row":16,"col":1,"width":"337","height":"205","config":"{\"yAxis\":{\"axisLabel\":{\"rotate\":0,\"interval\":0,\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"data\":[\"马小姐\",\"孙小姐\",\"王先生\",\"李先生\",\"赵小姐\"],\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type\":\"category\"},\"xAxis\":{\"axisLabel\":{\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type \":\"value\"},\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"房子\"],\"top\":\"top\",\"orient\":\"horizontal\",\"left\":\"center\",\"show\":false,\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"grid\":{\"top\":55,\"left\":70,\"bottom\":40,\"right\":24},\"series\":[{\"barWidth\":13,\"data\":[20,15,12,10,7],\"name\":\"房子\",\"itemStyle\":{\"color\":\"#37A5B1\",\"barBorderRadius\":7},\"label\":{\"show\":false,\"position\":\"top\",\"textStyle\":{\"color\":\"black\",\"fontSize\":16,\"fontWeight\":\"bolder\"}},\"type\":\"bar\",\"barMinHeight\":2,\"typeData\":[]}],\"tooltip\":{\"show\":true,\"axisPointer\":{\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"padding\":[5,20,5,20],\"left\":\"left\",\"show\":true,\"text\":\"销售量成交排行榜\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"14\",\"fontWeight\":\"normal\"},\"top\":10},\"backgroundColor\":{\"src\":\"https://static.jeecg.com/designreport/images/bg1_1606961907450.png\"}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1331514838211407873","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"cjpaihang","chartType":"bar.multi.horizontal","isTiming":true,"intervalTime":"5"},"layer_id":"Cror94F1kmbP71ip","offsetX":0,"offsetY":0,"virtualCellRange":[[16,1],[16,2],[16,3]]},{"row":16,"col":4,"width":"334","height":"206","config":"{\"yAxis\":{\"axisLabel\":{\"rotate\":0,\"interval\":0,\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"data\":[\"马小姐\",\"孙小姐\",\"王先生\",\"李先生\",\"赵小姐\"],\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type\":\"category\"},\"xAxis\":{\"axisLabel\":{\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type \":\"value\"},\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"房子\"],\"top\":\"top\",\"orient\":\"horizontal\",\"left\":\"center\",\"show\":false,\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"grid\":{\"top\":55,\"left\":56,\"bottom\":38,\"right\":30},\"series\":[{\"barWidth\":13,\"data\":[20,15,12,10,7],\"name\":\"房子\",\"itemStyle\":{\"color\":\"#2E72A7\",\"barBorderRadius\":7},\"label\":{\"show\":false,\"position\":\"top\",\"textStyle\":{\"color\":\"black\",\"fontSize\":16,\"fontWeight\":\"bolder\"}},\"type\":\"bar\",\"barMinHeight\":2,\"typeData\":[]}],\"tooltip\":{\"show\":true,\"axisPointer\":{\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"padding\":[5,20,5,20],\"left\":\"left\",\"show\":true,\"text\":\"销售员成交金额\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"14\",\"fontWeight\":\"normal\"},\"top\":10},\"backgroundColor\":{\"src\":\"https://static.jeecg.com/designreport/images/bg1_1606961918589.png\"}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1331514838211407873","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"cjpaihang","chartType":"bar.multi.horizontal","isTiming":true,"intervalTime":"5","chartId":""},"layer_id":"pBOwp0Q0g4iuJCVm","offsetX":0,"offsetY":0,"virtualCellRange":[[16,4],[16,5],[16,6],[16,7]]},{"row":16,"col":8,"width":"324","height":"206","config":"{\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"简装\",\"中装\",\"精装\",\"豪装\",\"毛坯\"],\"top\":\"bottom\",\"orient\":\"vertical\",\"left\":\"left\",\"show\":true,\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"series\":[{\"isRose\":false,\"data\":[{\"name\":\"简装\",\"value\":10,\"itemStyle\":{\"color\":\"rgba(52,158,172,1)\"}},{\"name\":\"中装\",\"value\":10,\"itemStyle\":{\"color\":\"rgba(56,131,185,1)\"}},{\"name\":\"精装\",\"value\":10,\"itemStyle\":{\"color\":\"rgba(103,153,75,1)\"}},{\"name\":\"豪装\",\"value\":10,\"itemStyle\":{\"color\":\"rgba(230,165,55,1)\"}},{\"name\":\"毛坯\",\"value\":10,\"itemStyle\":{\"color\":\"\"}}],\"isRadius\":false,\"roseType\":\"\",\"notCount\":false,\"center\":[\"180\",\"100\"],\"name\":\"访问来源\",\"minAngle\":0,\"label\":{\"show\":false,\"position\":\"outside\",\"textStyle\":{\"fontSize\":\"10\",\"fontWeight\":\"bolder\"}},\"type\":\"pie\",\"radius\":\"52%\",\"autoSort\":false}],\"tooltip\":{\"formatter\":\"{b} : {c}\",\"show\":true,\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":true,\"top\":10,\"text\":\"不同装修类型销售销量\",\"textStyle\":{\"color\":\"#ffffff\",\"fontWeight\":\"normal\",\"fontSize\":\"14\"},\"left\":\"left\",\"padding\":[5,20,5,10]},\"backgroundColor\":{\"src\":\"https://static.jeecg.com/designreport/images/bg1_1608535503498.png\"}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1331878107552010242","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"zhuangxiu","chartType":"pie.simple","isTiming":true,"intervalTime":"5","id":"rQgkcYfLy4x0EP6h"},"layer_id":"rQgkcYfLy4x0EP6h","offsetX":0,"offsetY":0,"virtualCellRange":[[16,8],[16,9],[16,10],[16,11]]}],"area":{"sri":16,"sci":1,"eri":23,"eci":3,"width":340,"height":200},"excel_config_id":"1331503965770223616","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":false,"marginX":10,"marginY":10},"rows":{"0":{"cells":{"0":{"text":""},"1":{"style":60,"merge":[0,13],"text":"房屋销售综合展示大屏"}},"height":113},"1":{"cells":{"1":{"merge":[14,2],"style":43,"text":" ","virtual":"5ggWQtDUvSopC4iL"},"2":{"text":" ","virtual":"5ggWQtDUvSopC4iL"},"3":{"text":" ","virtual":"5ggWQtDUvSopC4iL"},"4":{"style":53,"text":"成交量：","merge":[2,0],"virtual":"5ggWQtDUvSopC4iL"},"5":{"text":"#{qingkuang.cjl}","style":64,"merge":[2,0]},"7":{"style":53,"text":"成交金额：","merge":[2,0]},"8":{"text":"#{qingkuang.cjje}","style":68,"merge":[2,0]},"10":{"style":53,"text":"销售面积：","merge":[2,0]},"11":{"text":"#{qingkuang.xsmj}","style":64,"merge":[2,0]},"12":{"text":" ","virtual":"nk6I2RCefm9scS1k"},"13":{"text":" ","virtual":"nk6I2RCefm9scS1k"},"14":{"text":" ","virtual":"nk6I2RCefm9scS1k"},"15":{"text":" ","virtual":"nk6I2RCefm9scS1k"}},"isDrag":true},"2":{"cells":{"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"3":{"cells":{"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"4":{"cells":{"4":{"style":58,"text":"成交均价：","merge":[2,0]},"5":{"text":"#{qingkuang.cjjj}","style":65,"merge":[2,0]},"7":{"style":58,"text":"售房佣金：","merge":[2,0]},"8":{"text":"#{qingkuang.sfyj}","style":65,"merge":[2,0]},"10":{"style":58,"text":"预定客户：","merge":[2,0]},"11":{"text":"#{qingkuang.ydkh}","style":65,"merge":[2,0]},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}},"isDrag":true,"height":25},"5":{"cells":{"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"6":{"cells":{"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"7":{"cells":{"4":{"text":" ","virtual":"Nf6Xud4fZqEfvQw4"},"5":{"text":" ","virtual":"Nf6Xud4fZqEfvQw4"},"6":{"text":" ","virtual":"Nf6Xud4fZqEfvQw4"},"7":{"text":" ","virtual":"Nf6Xud4fZqEfvQw4"},"8":{"text":" ","virtual":"Nf6Xud4fZqEfvQw4"},"9":{"text":" ","virtual":"Nf6Xud4fZqEfvQw4"},"10":{"text":" ","virtual":"Nf6Xud4fZqEfvQw4"},"11":{"text":" ","virtual":"Nf6Xud4fZqEfvQw4"},"12":{"text":" ","virtual":"MCJP8uqwe57YoCvF"},"13":{"text":" ","virtual":"MCJP8uqwe57YoCvF"},"14":{"text":" ","virtual":"MCJP8uqwe57YoCvF"},"15":{"text":" ","virtual":"MCJP8uqwe57YoCvF"}}},"8":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"9":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"10":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"11":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"12":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"13":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"14":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"15":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"16":{"cells":{"1":{"style":43,"text":" ","merge":[7,2],"virtual":"Cror94F1kmbP71ip"},"2":{"text":" ","virtual":"Cror94F1kmbP71ip"},"3":{"text":" ","virtual":"Cror94F1kmbP71ip"},"4":{"text":" ","virtual":"pBOwp0Q0g4iuJCVm"},"5":{"text":" ","virtual":"pBOwp0Q0g4iuJCVm"},"6":{"text":" ","virtual":"pBOwp0Q0g4iuJCVm"},"7":{"text":" ","virtual":"pBOwp0Q0g4iuJCVm"},"8":{"text":" ","virtual":"rQgkcYfLy4x0EP6h"},"9":{"text":" ","virtual":"rQgkcYfLy4x0EP6h"},"10":{"text":" ","virtual":"rQgkcYfLy4x0EP6h"},"11":{"text":" ","virtual":"rQgkcYfLy4x0EP6h"},"12":{"text":" ","virtual":"IWoBtyiRxjkEbkfD"},"13":{"text":" ","virtual":"IWoBtyiRxjkEbkfD"},"14":{"text":" ","virtual":"IWoBtyiRxjkEbkfD"},"15":{"text":" ","virtual":"IWoBtyiRxjkEbkfD"}}},"17":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"18":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"19":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"20":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"21":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"22":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"23":{"cells":{"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"24":{"cells":{"1":{"text":" "},"2":{"text":" "},"3":{"text":" "},"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"text":" "},"13":{"text":" "},"14":{"text":" "}}},"len":98},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":1546,"displayConfig":{},"background":{"path":"https://static.jeecg.com/designreport/images/bg_1606961893275.png","repeat":"repeat","width":"","height":""},"name":"sheet1","autofilter":{},"styles":[{"font":{"bold":true}},{"font":{"bold":true,"name":"宋体"}},{"font":{"name":"宋体"}},{"font":{"bold":true,"name":"Microsoft YaHei"}},{"font":{"name":"Microsoft YaHei"}},{"font":{"bold":true,"name":"Microsoft YaHei","size":18}},{"font":{"name":"Microsoft YaHei","size":18}},{"font":{"bold":true,"name":"Microsoft YaHei","size":16}},{"font":{"name":"Microsoft YaHei","size":16}},{"font":{"bold":true,"name":"Microsoft YaHei","size":16},"align":"center"},{"font":{"name":"Microsoft YaHei","size":16},"align":"center"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"right"},{"align":"right"},{"align":"center"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"right","font":{"size":14}},{"align":"right","font":{"size":14}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"right","font":{"size":12}},{"align":"right","font":{"size":12}},{"align":"center","font":{"size":12}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"center"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"center","font":{"size":12}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"font":{"size":12}},{"font":{"size":12}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"right","font":{"size":11}},{"align":"right","font":{"size":11}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"center","font":{"size":11}},{"align":"center","font":{"size":11}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"font":{"size":11}},{"font":{"size":11}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"right","font":{"size":11,"bold":true}},{"align":"right","font":{"size":11,"bold":true}},{"font":{"bold":true,"name":"Microsoft YaHei","size":16},"align":"center","color":"#ffffff"},{"color":"#ffffff"},{"font":{"bold":true,"name":"Microsoft YaHei","size":22},"align":"center","color":"#ffffff"},{"color":"#ffffff","font":{"size":22}},{"font":{"bold":true,"name":"Microsoft YaHei","size":22},"align":"center","color":"#000100"},{"color":"#000100","font":{"size":22}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"right","font":{"size":11,"bold":true},"color":"#ffffff"},{"align":"right","font":{"size":11,"bold":true},"color":"#ffffff"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"center","font":{"size":11},"color":"#ffffff"},{"align":"center","font":{"size":11},"color":"#ffffff"},{"font":{"size":11},"color":"#ffffff"},{},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"right","font":{"size":11,"bold":false},"color":"#ffffff"},{"align":"right","font":{"size":11,"bold":false},"color":"#ffffff"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"right","font":{"size":11,"bold":true,"name":"宋体"},"color":"#ffffff"},{"align":"right","font":{"size":11,"bold":true,"name":"宋体"},"color":"#ffffff"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"right","font":{"size":11,"bold":false,"name":"宋体"},"color":"#ffffff"},{"align":"right","font":{"size":11,"bold":false,"name":"宋体"},"color":"#ffffff"},{"align":"center","font":{"size":11},"color":"#ffffff","border":{"right":["thin","#eee"]}},{"align":"right","font":{"size":16,"bold":false,"name":"宋体"},"color":"#ffffff"},{"align":"right","font":{"size":15,"bold":false,"name":"宋体"},"color":"#ffffff"},{"align":"right","font":{"size":14,"bold":false,"name":"宋体"},"color":"#ffffff"},{"align":"center","font":{"size":14},"color":"#ffffff"},{"font":{"size":14},"color":"#ffffff"},{"align":"left","font":{"size":14},"color":"#ffffff"},{"align":"left","font":{"size":14,"bold":false,"name":"宋体"},"color":"#ffffff"},{"align":"right","font":{"size":14,"bold":false,"name":"宋体"},"color":"#ffffff","valign":"top"},{"align":"left","font":{"size":14},"color":"#ffffff","valign":"top"},{"font":{"bold":true,"name":"宋体","size":22},"align":"center","color":"#ffffff"},{"color":"#ffffff","font":{"size":22,"name":"宋体"}},{"align":"left","font":{"size":14,"name":"宋体"},"color":"#ffffff","valign":"top"},{"align":"left","font":{"size":14,"name":"宋体"},"color":"#ffffff"},{"align":"left","font":{"size":14,"name":"宋体"},"color":"#ffff01"},{"align":"left","font":{"size":14,"name":"宋体"},"color":"#ffff01","valign":"top"},{"align":"left","font":{"size":14,"name":"宋体"},"color":"#ffffff","bgcolor":"#ffff01"},{"align":"left","font":{"size":14,"name":"宋体"},"color":"#ffffff","bgcolor":""},{"align":"left","font":{"size":14,"name":"宋体"},"color":"#ffff01","bgcolor":""}],"validations":[],"cols":{"0":{"width":117},"3":{"width":140},"4":{"width":136},"5":{"width":79},"6":{"width":1},"7":{"width":123},"8":{"width":102},"9":{"width":24},"11":{"width":100},"14":{"width":124},"len":50},"merges":["B2:D16","E8:L16","B17:D24","E17:H24","E2:E4","F2:F4","E5:E7","F5:F7","H2:H4","H5:H7","I5:I7","I2:I4","K2:K4","L2:L4","K5:K7","L5:L7","M17:O24","B1:O1"]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201125161646_1606705892603.png', 'admin', TO_DATE('2020-11-25 15:50:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-01 03:37:15', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '707', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1334378897302753280', '20201203140834', '区域销售表', NULL, NULL, 'datainfo', '{"loopBlockList":[],"area":false,"printElWidth":718,"excel_config_id":"1334378897302753280","printElHeight":1047,"rows":{"0":{"cells":{"1":{"text":"区域销售表","merge":[0,22],"style":10},"2":{"style":10},"3":{"style":10},"4":{"style":10},"5":{"style":10},"6":{"style":10},"7":{"style":10},"8":{"style":10},"9":{"style":10},"10":{"style":10},"11":{"style":10},"12":{"style":10},"13":{"style":10},"14":{"style":10},"15":{"style":10},"16":{"style":10},"17":{"style":10},"18":{"style":10},"19":{"style":10},"20":{"style":10},"21":{"style":10},"22":{"style":10},"23":{"style":10}},"height":72},"1":{"cells":{"0":{"style":64},"1":{"text":"区域","merge":[1,0],"style":65},"2":{"text":"省份","merge":[1,0],"style":65},"3":{"text":"1月","merge":[0,2],"style":65},"4":{"style":66,"text":" "},"5":{"style":66,"text":" "},"6":{"text":"2月","merge":[0,2],"style":65},"7":{"style":66,"text":" "},"8":{"style":66,"text":" "},"9":{"text":"3月","merge":[0,2],"style":65},"10":{"style":66,"text":" "},"11":{"style":66,"text":" "},"12":{"text":"4月","merge":[0,2],"style":65},"13":{"style":66,"text":" "},"14":{"style":66,"text":" "},"15":{"text":"5月","merge":[0,2],"style":65},"16":{"style":66,"text":" "},"17":{"style":66,"text":" "},"18":{"text":"6月","merge":[0,2],"style":65},"19":{"style":66,"text":" "},"20":{"style":66,"text":" "},"21":{"text":"总合计","merge":[0,2],"style":65},"22":{"style":66,"text":" "},"23":{"style":66,"text":" "},"24":{"style":64},"25":{"style":64}},"height":22},"2":{"cells":{"0":{"style":64},"1":{"style":66,"text":" "},"2":{"style":65,"text":" "},"3":{"text":"销售额","style":65},"4":{"text":"搭赠","style":65},"5":{"text":"比例","style":65},"6":{"text":"销售额","style":65},"7":{"text":"搭赠","style":65},"8":{"text":"比例","style":65},"9":{"text":"销售额","style":65},"10":{"text":"搭赠","style":65},"11":{"text":"比例","style":65},"12":{"text":"销售额","style":65},"13":{"text":"搭赠","style":65},"14":{"text":"比例","style":65},"15":{"text":"销售额","style":65},"16":{"text":"搭赠","style":65},"17":{"text":"比例","style":65},"18":{"text":"销售额","style":65},"19":{"text":"搭赠","style":65},"20":{"text":"比例","style":65},"21":{"text":"销售额","style":65},"22":{"text":"搭赠","style":65},"23":{"text":"比例","style":65},"24":{"style":64},"25":{"style":64}},"height":24},"3":{"cells":{"0":{"style":67},"1":{"text":"#{quyuxiaoshou.group(region)}","style":52,"aggregate":"group"},"2":{"text":"#{quyuxiaoshou.province}","style":53},"3":{"text":"#{quyuxiaoshou.sales_1}","style":17},"4":{"text":"#{quyuxiaoshou.gift_1}","style":17},"5":{"text":"#{quyuxiaoshou.proportion_1}","style":17},"6":{"text":"#{quyuxiaoshou.sales_2}","style":17},"7":{"text":"#{quyuxiaoshou.gift_2}","style":17},"8":{"text":"#{quyuxiaoshou.proportion_2}","style":17},"9":{"text":"#{quyuxiaoshou.sales_3}","style":17},"10":{"text":"#{quyuxiaoshou.gift_3}","style":17},"11":{"text":"#{quyuxiaoshou.proportion_3}","style":17},"12":{"text":"#{quyuxiaoshou.sales_4}","style":17},"13":{"text":"#{quyuxiaoshou.gift_4}","style":17},"14":{"text":"#{quyuxiaoshou.proportion_4}","style":17},"15":{"text":"#{quyuxiaoshou.sales_5}","style":17},"16":{"text":"#{quyuxiaoshou.gift_5}","style":17},"17":{"text":"#{quyuxiaoshou.proportion_5}","style":15},"18":{"text":"#{quyuxiaoshou.sales_6}","style":15},"19":{"text":"#{quyuxiaoshou.gift_6}","style":15},"20":{"text":"#{quyuxiaoshou.proportion_6}","style":15},"21":{"text":"#{quyuxiaoshou.sales_z}","style":15},"22":{"text":"#{quyuxiaoshou.gift_z}","style":15},"23":{"text":"#{quyuxiaoshou.proportion_z}","style":15},"24":{"style":67},"25":{"style":67}},"isDrag":true,"height":56},"4":{"cells":{"0":{"style":64},"1":{"style":39,"text":"总计","merge":[0,1]},"3":{"style":68,"text":"=SUM(D4)"},"4":{"style":69,"text":"=SUM(E4)"},"5":{"style":70,"text":"=SUM(F4)"},"6":{"style":69,"text":"=SUM(G4)"},"7":{"style":69,"text":"=SUM(H4)"},"8":{"style":70,"text":"=SUM(I4)"},"9":{"style":69,"text":"=SUM(J4)"},"10":{"style":69,"text":"=SUM(K4)"},"11":{"style":70,"text":"=SUM(L4)"},"12":{"style":69,"text":"=SUM(M4)"},"13":{"style":69,"text":"=SUM(N4)"},"14":{"style":70,"text":"=SUM(O4)"},"15":{"style":69,"text":"=SUM(P4)"},"16":{"style":69,"text":"=SUM(Q4)"},"17":{"style":70,"text":"=SUM(R4)"},"18":{"style":69,"text":"=SUM(S4)"},"19":{"style":69,"text":"=SUM(T4)"},"20":{"style":70,"text":"=SUM(U4)"},"21":{"style":69,"text":"=SUM(V4)"},"22":{"style":69,"text":"=SUM(W4)"},"23":{"style":69,"text":"=SUM(X4)"},"24":{"style":64},"25":{"style":64}},"height":38},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"groupField":"quyuxiaoshou.region","freeze":"A1","dataRectWidth":1554,"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","bgcolor":""},{"align":"center","bgcolor":"#02a274"},{"align":"center","bgcolor":"#02a274","color":"#ffffff"},{"bgcolor":"#02a274"},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","bfbfbf"],"top":["thin","bfbfbf"],"left":["thin","bfbfbf"],"right":["thin","bfbfbf"]}},{"border":{"bottom":["thin","bfbfbf"],"top":["thin","bfbfbf"],"left":["thin","bfbfbf"],"right":["thin","bfbfbf"]}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","font":{"size":16}},{"align":"center","font":{"size":16,"bold":true}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"隶书"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","color":"#7f7f7f"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","color":"#262626"},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":true}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","font":{"bold":true}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#ddefe8"},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":true,"size":9}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","font":{"bold":true,"size":9}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"华文中宋"},"align":"center","color":"#262626","bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Arial"},"align":"center","color":"#262626","bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"bgcolor":"#"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#aedac8"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"bgcolor":"#aedac8"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#aedac8"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"bgcolor":"#aedac8","align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"bgcolor":"#aedac8","align":"center","format":"number"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"bgcolor":"#aedac8","align":"center","format":"normal"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#aedac8","align":"center"},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":9}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","font":{"bold":false,"size":9}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#aedac8"},{"font":{"size":10}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10},"bgcolor":"#aedac8","align":"center","format":"normal"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10},"bgcolor":"#aedac8","align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#aedac8","font":{"size":10}},{"font":{"size":10},"bgcolor":"#aedac8"},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":10}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","font":{"bold":false,"size":10}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#ddefe8"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"Microsoft YaHei"},"align":"center","color":"#262626"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"Microsoft YaHei"},"align":"center"},{"font":{"size":8}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#ddefe8"},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":10,"name":"宋体"}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","font":{"bold":false,"size":10,"name":"宋体"}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"宋体"},"align":"center","color":"#262626","bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"宋体"},"align":"center","color":"#262626","bgcolor":"#ddefe8"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"宋体"},"align":"center","color":"#262626"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"宋体"},"align":"center","color":"#262626","bgcolor":"#aedac8"},{"font":{"name":"宋体"}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"宋体"},"bgcolor":"#aedac8","align":"center","format":"normal"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"宋体"},"bgcolor":"#aedac8","align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#aedac8","font":{"size":10,"name":"宋体"}},{"font":{"name":"Microsoft YaHei"}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":10,"name":"Microsoft YaHei"}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","font":{"bold":false,"size":10,"name":"Microsoft YaHei"}},{"font":{"size":8,"name":"Microsoft YaHei"}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"Microsoft YaHei"},"bgcolor":"#aedac8","align":"center","format":"normal"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"Microsoft YaHei"},"bgcolor":"#aedac8","align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#aedac8","font":{"size":10,"name":"Microsoft YaHei"}}],"validations":[],"isGroup":true,"cols":{"0":{"width":20},"1":{"width":84},"2":{"width":81},"3":{"width":75},"4":{"width":63},"5":{"width":59},"6":{"width":70},"7":{"width":57},"8":{"width":60},"9":{"width":75},"10":{"width":66},"11":{"width":64},"12":{"width":70},"13":{"width":61},"14":{"width":61},"15":{"width":70},"16":{"width":58},"17":{"width":63},"18":{"width":60},"19":{"width":63},"20":{"width":59},"21":{"width":73},"22":{"width":69},"23":{"width":73},"len":50},"merges":["B2:B3","C2:C3","D2:F2","G2:I2","J2:L2","M2:O2","P2:R2","S2:U2","V2:X2","B1:X1","B5:C5"]}', NULL, 'https://static.jeecg.com/designreport/images/quyu_1607069899537.png', 'admin', TO_DATE('2020-12-03 14:08:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 13:59:12', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '441', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1334420681185566722', '202012031408346166', '学校经费一览表', NULL, NULL, 'datainfo', '{"loopBlockList":[],"area":{"sri":7,"sci":1,"eri":7,"eci":2,"width":216,"height":25},"printElWidth":718,"excel_config_id":"1334420681185566722","printElHeight":1047,"rows":{"0":{"cells":{"1":{"text":"学校经费一览表","merge":[0,22],"style":10},"2":{"style":10},"3":{"style":10},"4":{"style":10},"5":{"style":10},"6":{"style":10},"7":{"style":10},"8":{"style":10},"9":{"style":10},"10":{"style":10},"11":{"style":10},"12":{"style":10},"13":{"style":10},"14":{"style":10},"15":{"style":10},"16":{"style":10},"17":{"style":10},"18":{"style":10},"19":{"style":10},"20":{"style":10},"21":{"style":10},"22":{"style":10},"23":{"style":10}},"height":72},"1":{"cells":{"1":{"text":"学校类别","style":221,"merge":[4,0]},"2":{"merge":[4,0],"style":222,"text":"学校名称"},"3":{"text":"财政教育经费投入（万元）","merge":[0,8],"style":84},"4":{"style":40,"text":" "},"5":{"style":40,"text":" "},"6":{"style":40,"text":" "},"7":{"style":40,"text":" "},"8":{"style":40,"text":" "},"9":{"style":40,"text":" "},"10":{"style":40,"text":" "},"11":{"style":40,"text":" "},"12":{"text":"其他投入","merge":[0,7],"style":84},"13":{"text":" ","style":40},"14":{"text":" ","style":40},"15":{"text":" ","style":40},"16":{"text":" ","style":40},"17":{"text":" ","style":40},"18":{"text":" ","style":40},"19":{"text":" ","style":40},"20":{"style":84,"text":"补充资料","merge":[0,4]},"21":{"text":" ","style":40},"22":{"text":" ","style":40},"23":{"text":" ","style":40},"24":{"text":" ","style":40}},"height":28},"2":{"cells":{"1":{"text":" ","style":40},"2":{"style":222,"text":" "},"3":{"text":"总计","style":117,"merge":[3,0]},"4":{"text":"教育事业费","style":117,"merge":[0,6]},"5":{"style":118,"text":" "},"6":{"style":118,"text":" "},"7":{"style":118,"text":" "},"8":{"style":118,"text":" "},"9":{"style":118,"text":" "},"10":{"style":118,"text":" "},"11":{"text":"基础拨款","style":117,"merge":[3,0]},"12":{"text":"村投入","style":117,"merge":[0,4]},"13":{"text":" ","style":223},"14":{"text":" ","style":223},"15":{"text":" ","style":223},"16":{"text":" ","style":223},"17":{"text":"社会捐款","style":117,"merge":[0,2]},"18":{"text":" ","style":223},"19":{"text":" ","style":223},"20":{"style":126,"merge":[0,4],"text":"信息化建设"},"21":{"style":122,"text":" "},"22":{"style":122,"text":" "},"23":{"style":122,"text":" "},"24":{"style":122,"text":" "}},"height":24},"3":{"cells":{"1":{"text":" ","style":40},"2":{"style":222,"text":" "},"3":{"style":118,"text":" "},"4":{"merge":[0,1],"text":"合计","style":121},"5":{"style":122,"text":" "},"6":{"merge":[2,0],"text":"人员经费","style":121},"7":{"merge":[2,0],"text":"日常公用费用","style":123},"8":{"merge":[0,2],"text":"项目经费","style":121},"9":{"style":122,"text":" "},"10":{"style":122,"text":" "},"11":{"style":118,"text":" "},"12":{"merge":[2,0],"text":"合计","style":121},"13":{"merge":[0,3],"text":"其中","style":121},"14":{"text":" ","style":223},"15":{"text":" ","style":223},"16":{"text":" ","style":223},"17":{"merge":[2,0],"text":"合计","style":121},"18":{"merge":[0,1],"text":"其中","style":121},"19":{"style":122,"text":" "},"20":{"merge":[2,0],"text":"本年投入金额（万元）","style":230},"21":{"merge":[0,1],"text":"电脑数（台数）","style":121},"22":{"style":122,"text":" "},"23":{"merge":[0,1],"text":"校园网数（个）","style":121},"24":{"style":122,"text":" "}}},"4":{"cells":{"1":{"text":" ","style":40},"2":{"style":222,"text":" "},"3":{"style":118,"text":" "},"4":{"merge":[1,0],"text":"金额","style":126},"5":{"merge":[1,0],"text":"比上年增长（%）","style":127},"6":{"style":122,"text":" "},"7":{"style":123,"text":" "},"8":{"merge":[1,0],"text":"合计","style":121},"9":{"merge":[0,1],"text":"其中","style":121},"10":{"style":122,"text":" "},"11":{"style":118,"text":" "},"12":{"style":121,"text":" "},"13":{"merge":[1,0],"text":"人员经费","style":131},"14":{"merge":[1,0],"text":"日常公用费用","style":131},"15":{"merge":[1,0],"text":"项目经费","style":131},"16":{"merge":[1,0],"text":"基建投入","style":131},"17":{"style":121,"text":" "},"18":{"merge":[1,0],"text":"项目经费","style":131},"19":{"merge":[1,0],"text":"基础投入","style":131},"20":{"style":231,"text":" "},"21":{"merge":[1,0],"text":"合计","style":121},"22":{"merge":[1,0],"text":"本年购置数","style":121},"23":{"style":121,"merge":[1,0],"text":"合计"},"24":{"merge":[1,0],"text":"本年建成数","style":121}}},"5":{"cells":{"1":{"text":" ","style":40},"2":{"style":222,"text":" "},"3":{"style":118,"text":" "},"4":{"style":126,"text":" "},"5":{"style":129,"text":" "},"6":{"style":121,"text":" "},"7":{"style":130,"text":" "},"8":{"style":121,"text":" "},"9":{"text":"标准化建设","style":131},"10":{"text":"信息化建设","style":121},"11":{"style":118,"text":" "},"12":{"style":121,"text":" "},"13":{"text":" ","style":223},"14":{"style":131,"text":" "},"15":{"text":" ","style":223},"16":{"style":131,"text":" "},"17":{"style":121,"text":" "},"18":{"text":" ","style":223},"19":{"style":131,"text":" "},"20":{"style":231,"text":" "},"21":{"style":121,"text":" "},"22":{"style":122,"text":" "},"23":{"style":131,"text":" "},"24":{"style":122,"text":" "}}},"6":{"cells":{"0":{"style":236},"1":{"text":"#{laiyuan.group(class)}","style":233,"aggregate":"group"},"2":{"text":"#{laiyuan.school}","style":234},"3":{"style":15,"text":"=SUM(E7,I7)"},"4":{"style":15,"text":"=SUM(G7,H7)"},"5":{"text":"#{laiyuan.lv}","style":12},"6":{"text":"#{laiyuan.renyuan_jy}","style":12},"7":{"text":"#{laiyuan.richang_jy}","style":12},"8":{"style":12,"text":"=SUM(J7,K7)"},"9":{"text":"#{laiyuan.biaozhun_jy}","style":12},"10":{"text":"#{laiyuan.xinxi_jy}","style":12},"11":{"text":"#{laiyuan.jichubokuan_jy}","style":12},"12":{"style":12,"text":"=SUM(N7,O7)"},"13":{"text":"#{laiyuan.renyuan_ct}","style":12},"14":{"text":"#{laiyuan.richang_ct}","style":12},"15":{"text":"#{laiyuan.xiangmu_ct}","style":12},"16":{"text":"#{laiyuan.jichubokuan_ct}","style":12},"17":{"style":12,"text":"=SUM(S7,T7)"},"18":{"text":"#{laiyuan.xiangmu_sh}","style":12},"19":{"text":"#{laiyuan.jichubokuan_sh}","style":12},"20":{"style":12,"text":"=SUM(V7,X7)"},"21":{"style":12,"text":"#{laiyuan.diannao}"},"22":{"text":"#{laiyuan.diannao}","style":12},"23":{"style":12,"text":"#{laiyuan.xiaoyuanwang}"},"24":{"text":"#{laiyuan.xiaoyuanwang}","style":12},"25":{"style":236}},"isDrag":true},"7":{"cells":{"1":{"text":"总计","style":226,"rendered":"","merge":[0,1]},"3":{"style":228,"text":"=SUM(D7)"},"4":{"style":228,"text":"=SUM(E7)"},"5":{"style":228,"text":""},"6":{"style":228,"text":"=SUM(G7)"},"7":{"style":228,"text":"=SUM(H7)"},"8":{"style":228,"text":"=SUM(I7)"},"9":{"style":228,"text":"=SUM(J7)"},"10":{"style":228,"text":"=SUM(K7)"},"11":{"style":228,"text":"=SUM(L7)"},"12":{"style":228,"text":"=SUM(M7)"},"13":{"style":229,"text":"=SUM(N7)"},"14":{"style":229,"text":"=SUM(O7)"},"15":{"style":229,"text":"=SUM(P7)"},"16":{"style":229,"text":"=SUM(Q7)"},"17":{"style":229,"text":"=SUM(R7)"},"18":{"style":229,"text":"=SUM(S7)"},"19":{"style":229,"text":"=SUM(T7)"},"20":{"style":229,"text":"=SUM(U7)"},"21":{"style":229,"text":"=SUM(V8)"},"22":{"style":229,"text":"=SUM(W7)"},"23":{"style":232,"text":"=SUM(X7)"},"24":{"style":229,"text":"=SUM(Y7)"}}},"9":{"cells":{"4":{"lineStart":"leftbottom","text":""}}},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"groupField":"laiyuan.class","freeze":"A1","dataRectWidth":1738,"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","bgcolor":""},{"align":"center","bgcolor":"#02a274"},{"align":"center","bgcolor":"#02a274","color":"#ffffff"},{"bgcolor":"#02a274"},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","bfbfbf"],"top":["thin","bfbfbf"],"left":["thin","bfbfbf"],"right":["thin","bfbfbf"]}},{"border":{"bottom":["thin","bfbfbf"],"top":["thin","bfbfbf"],"left":["thin","bfbfbf"],"right":["thin","bfbfbf"]}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","font":{"size":16}},{"align":"center","font":{"size":16,"bold":true}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"隶书"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","color":"#7f7f7f"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","color":"#262626"},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":true}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","font":{"bold":true}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#ddefe8"},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":true,"size":9}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","font":{"bold":true,"size":9}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"华文中宋"},"align":"center","color":"#262626","bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Arial"},"align":"center","color":"#262626","bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"bgcolor":"#"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#aedac8"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"bgcolor":"#aedac8"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#aedac8"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"bgcolor":"#aedac8","align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"bgcolor":"#aedac8","align":"center","format":"number"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"bgcolor":"#aedac8","align":"center","format":"normal"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#aedac8","align":"center"},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":9}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","font":{"bold":false,"size":9}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"Microsoft YaHei"},"align":"center","color":"#262626","bgcolor":"#aedac8"},{"font":{"size":10}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10},"bgcolor":"#aedac8","align":"center","format":"normal"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10},"bgcolor":"#aedac8","align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#aedac8","font":{"size":10}},{"font":{"size":10},"bgcolor":"#aedac8"},{"bgcolor":"#02a274","font":{"size":9}},{"bgcolor":"#02a274","font":{"size":9},"align":"center"},{"bgcolor":"#02a274","font":{"size":9},"align":"center","color":"#ffffff"},{"textwrap":true},{"textwrap":true,"font":{"size":9}},{"textwrap":true,"font":{"size":9},"bgcolor":"#02a274"},{"textwrap":true,"font":{"size":9},"bgcolor":"#02a274","color":"#ffffff"},{"align":"center","bgcolor":"#02a274","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":9}},{"color":"#000100"},{"bgcolor":"#02a274","font":{"size":9},"align":"center","color":"#000100"},{"textwrap":true,"font":{"size":9},"bgcolor":"#02a274","color":"#000100"},{"bgcolor":"","font":{"size":9},"align":"center","color":"#000100"},{"textwrap":true,"font":{"size":9},"bgcolor":"","color":"#000100"},{"align":"center","bgcolor":"","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":9}},{"color":"#000100","bgcolor":""},{"textwrap":true,"font":{"size":9},"bgcolor":"","color":"#000100","align":"center"},{"font":{"size":9}},{"font":{"size":9},"align":"center"},{"textwrap":true,"align":"center"},{"font":{"size":9},"align":"center","border":{"bottom":["thin","#595959"],"top":["thin","#595959"],"left":["thin","#595959"],"right":["thin","#595959"]}},{"textwrap":true,"align":"center","border":{"bottom":["thin","#595959"],"top":["thin","#595959"],"left":["thin","#595959"],"right":["thin","#595959"]}},{"align":"center","border":{"bottom":["thin","#595959"],"top":["thin","#595959"],"left":["thin","#595959"],"right":["thin","#595959"]}},{"bgcolor":"","font":{"size":9},"align":"center","color":"#000100","border":{"bottom":["thin","#595959"],"top":["thin","#595959"],"left":["thin","#595959"],"right":["thin","#595959"]}},{"textwrap":true,"font":{"size":9},"bgcolor":"","color":"#000100","align":"center","border":{"bottom":["thin","#595959"],"top":["thin","#595959"],"left":["thin","#595959"],"right":["thin","#595959"]}},{"font":{"size":9},"border":{"bottom":["thin","#595959"],"top":["thin","#595959"],"left":["thin","#595959"],"right":["thin","#595959"]}},{"font":{"size":9},"align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"textwrap":true,"align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"bgcolor":"","font":{"size":9},"align":"center","color":"#000100","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"textwrap":true,"font":{"size":9},"bgcolor":"","color":"#000100","align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"font":{"size":9},"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"font":{"size":9},"align":"center","border":{"bottom":["thin","#756f6f"],"top":["thin","#756f6f"],"left":["thin","#756f6f"],"right":["thin","#756f6f"]}},{"textwrap":true,"align":"center","border":{"bottom":["thin","#756f6f"],"top":["thin","#756f6f"],"left":["thin","#756f6f"],"right":["thin","#756f6f"]}},{"align":"center","border":{"bottom":["thin","#756f6f"],"top":["thin","#756f6f"],"left":["thin","#756f6f"],"right":["thin","#756f6f"]}},{"bgcolor":"","font":{"size":9},"align":"center","color":"#000100","border":{"bottom":["thin","#756f6f"],"top":["thin","#756f6f"],"left":["thin","#756f6f"],"right":["thin","#756f6f"]}},{"textwrap":true,"font":{"size":9},"bgcolor":"","color":"#000100","align":"center","border":{"bottom":["thin","#756f6f"],"top":["thin","#756f6f"],"left":["thin","#756f6f"],"right":["thin","#756f6f"]}},{"font":{"size":9},"border":{"bottom":["thin","#756f6f"],"top":["thin","#756f6f"],"left":["thin","#756f6f"],"right":["thin","#756f6f"]}},{"align":"center","bgcolor":"","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":9}},{"bgcolor":""},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":10}},{"align":"center","bgcolor":"","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":10}},{"color":"#000100","font":{"size":10}},{"color":"#000100","bgcolor":"","font":{"size":10}},{"font":{"size":10},"align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"font":{"size":10},"align":"center"},{"textwrap":true,"align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"font":{"size":10}},{"bgcolor":"","font":{"size":10},"align":"center","color":"#000100","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"textwrap":true,"font":{"size":10},"bgcolor":"","color":"#000100","align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"bgcolor":"","font":{"size":10},"align":"center","color":"#000100"},{"font":{"size":10},"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"color":"#000100","bgcolor":"","align":"center"},{"font":{"size":10},"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"textwrap":true,"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10}},{"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"bgcolor":"","font":{"size":10},"align":"center","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"textwrap":true,"font":{"size":10},"bgcolor":"","color":"#000100","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"color":"#000100","bgcolor":"","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"textwrap":true,"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":10}},{"color":"#000100","font":{"size":10},"bgcolor":"#"},{"align":"center","bgcolor":"#","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":9}},{"bgcolor":"#"},{"font":{"size":10},"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#"},{"font":{"size":10},"align":"center","bgcolor":"#"},{"textwrap":true,"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10},"bgcolor":"#"},{"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#"},{"align":"center","bgcolor":"#"},{"bgcolor":"#","font":{"size":10},"align":"center","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"textwrap":true,"font":{"size":10},"bgcolor":"#","color":"#000100","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"textwrap":true,"font":{"size":10},"bgcolor":"#","color":"#000100","align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"textwrap":true,"align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"font":{"size":10},"bgcolor":"#"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10},"bgcolor":"#"},{"align":"center","bgcolor":"#ddefe8","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":10}},{"color":"#000100","font":{"size":10},"bgcolor":"#ddefe8"},{"align":"center","bgcolor":"#ddefe8","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"bold":false,"size":9}},{"bgcolor":"#ddefe8"},{"font":{"size":10},"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8"},{"font":{"size":10},"align":"center","bgcolor":"#ddefe8"},{"textwrap":true,"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10},"bgcolor":"#ddefe8"},{"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8"},{"align":"center","bgcolor":"#ddefe8"},{"bgcolor":"#ddefe8","font":{"size":10},"align":"center","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"textwrap":true,"font":{"size":10},"bgcolor":"#ddefe8","color":"#000100","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8"},{"textwrap":true,"font":{"size":10},"bgcolor":"#ddefe8","color":"#000100","align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"textwrap":true,"align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"font":{"size":10},"bgcolor":"#ddefe8"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10},"bgcolor":"#ddefe8"},{"color":"#000100","bgcolor":"#fffff","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#fffff"},{"textwrap":true,"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#fffff"},{"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#fffff"},{"textwrap":true,"bgcolor":"#fffff"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#fffff"},{"color":"#000100","bgcolor":"#ffff","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#ffff"},{"textwrap":true,"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ffff"},{"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ffff"},{"textwrap":true,"bgcolor":"#ffff"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ffff"},{"color":"#000100","bgcolor":"#fff","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#fff"},{"textwrap":true,"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#fff"},{"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#fff"},{"textwrap":true,"bgcolor":"#fff"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#fff"},{"color":"#000100","bgcolor":"#ff","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#ff"},{"textwrap":true,"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ff"},{"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ff"},{"textwrap":true,"bgcolor":"#ff"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ff"},{"color":"#000100","bgcolor":"#f","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#f"},{"textwrap":true,"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f"},{"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f"},{"textwrap":true,"bgcolor":"#f"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f"},{"color":"#000100","bgcolor":"#","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"textwrap":true,"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#"},{"textwrap":true,"bgcolor":"#"},{"color":"#000100","bgcolor":"#ddefe8","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"textwrap":true,"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8"},{"textwrap":true,"bgcolor":"#ddefe8"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9}},{"color":"#000100","font":{"size":9},"bgcolor":"#ddefe8"},{"bgcolor":"#ddefe8","font":{"size":9}},{"font":{"size":9},"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8"},{"font":{"size":9},"align":"center","bgcolor":"#ddefe8"},{"textwrap":true,"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9},"bgcolor":"#ddefe8"},{"bgcolor":"#ddefe8","font":{"size":9},"align":"center","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"textwrap":true,"font":{"size":9},"bgcolor":"#ddefe8","color":"#000100","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":9}},{"textwrap":true,"font":{"size":9},"bgcolor":"#ddefe8","color":"#000100","align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"textwrap":true,"align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"font":{"size":9},"bgcolor":"#ddefe8"},{"textwrap":true,"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":9}},{"textwrap":true,"bgcolor":"#ddefe8","font":{"size":9}},{"align":"center","bgcolor":"#aedac8"},{"bgcolor":"#aedac8"},{"bgcolor":"#fffff"},{"bgcolor":"#ffff"},{"bgcolor":"#fff"},{"bgcolor":"#ff"},{"bgcolor":"#f"},{"align":"center","bgcolor":"#aedac8","font":{"size":8}},{"align":"center","bgcolor":"#aedac8","font":{"size":9}},{"align":"center","bgcolor":"#aedac8","font":{"size":9},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Arial"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","bgcolor":"#"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8,"name":"Microsoft YaHei"},"align":"center","bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#aedac8","font":{"size":9}},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"font":{"bold":false,"size":9}},{"bgcolor":"#02a274","font":{"size":9},"align":"center","color":"#ffffff","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]}},{"align":"center","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]}},{"align":"center","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":""},{"align":"center","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"aedac8"},{"align":"center","bgcolor":"aedac8"},{"align":"center","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"#aedac8"},{"align":"center","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"#aedac8","color":"#ffffff"},{"align":"center","bgcolor":"#aedac8","color":"#ffffff"},{"align":"center","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"#aedac8","color":"#ffffff","font":{"size":9}},{"align":"center","bgcolor":"#aedac8","color":"#ffffff","font":{"size":9}},{"align":"center","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"#aedac8","color":"#000100","font":{"size":9}},{"align":"center","bgcolor":"#aedac8","color":"#000100","font":{"size":9}},{"align":"center","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"#aedac8","color":"#000100","font":{"size":8}},{"align":"center","bgcolor":"#aedac8","color":"#000100","font":{"size":8}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"#"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"##aedac8"},{"bgcolor":"##aedac8"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"#aedac8"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"#aedac8","font":{"size":8}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"#aedac8","font":{"size":8},"align":"center"},{"align":"center","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"#aedac8","font":{"size":9}},{"bgcolor":"#aedac8","font":{"size":8}},{"bgcolor":"#aedac8","font":{"size":8},"align":"left"},{"bgcolor":"#aedac8","font":{"size":8},"align":"left","valign":"middle"},{"align":"center","bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"font":{"bold":false,"size":10}},{"bgcolor":"#02a274","font":{"size":10},"align":"center","color":"#ffffff","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]}},{"bgcolor":"#ddefe8","font":{"size":10}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"Microsoft YaHei"},"align":"center","bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"Microsoft YaHei"},"align":"center"},{"align":"center","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"#aedac8","color":"#000100","font":{"size":10}},{"align":"center","bgcolor":"#aedac8","color":"#000100","font":{"size":10}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"bgcolor":"#aedac8","font":{"size":10},"align":"center"},{"align":"center","bgcolor":"#aedac8","font":{"size":10}},{"textwrap":true,"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":10}},{"textwrap":true,"bgcolor":"#ddefe8","font":{"size":10}},{"bgcolor":"#aedac8","font":{"size":10},"align":"left","valign":"middle"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"center","bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"center"},{"font":{"size":9},"align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"font":{"size":8}}],"validations":[],"isGroup":true,"cols":{"0":{"width":20},"1":{"width":84},"2":{"width":132},"3":{"width":75},"4":{"width":63},"5":{"width":59},"6":{"width":70},"7":{"width":61},"8":{"width":60},"9":{"width":75},"10":{"width":75},"11":{"width":64},"12":{"width":70},"13":{"width":63},"14":{"width":86},"15":{"width":64},"16":{"width":58},"17":{"width":63},"18":{"width":60},"19":{"width":63},"20":{"width":59},"21":{"width":73},"22":{"width":82},"23":{"width":73},"24":{"width":86},"len":50},"merges":["B1:X1","D3:D6","E5:E6","F5:F6","E4:F4","G4:G6","H4:H6","I5:I6","J5:K5","I4:K4","E3:K3","L3:L6","D2:L2","M4:M6","N5:N6","O5:O6","P5:P6","Q5:Q6","N4:Q4","M3:Q3","R4:R6","R3:T3","S4:T4","S5:S6","T5:T6","U4:U6","V4:W4","V5:V6","W5:W6","X4:Y4","X5:X6","Y5:Y6","U3:Y3","M2:T2","U2:Y2","B2:B6","C2:C6","B8:C8"]}', NULL, 'https://static.jeecg.com/designreport/images/jingfei_1607069843358.png', 'admin', TO_DATE('2020-12-03 16:54:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 13:59:08', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '436', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1334457419857793024', '20201203192154', '超市各地区销售额', NULL, NULL, 'datainfo', '{"loopBlockList":[],"area":{"sri":1,"sci":26,"eri":4,"eci":28,"width":300,"height":100},"excel_config_id":"1334457419857793024","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":false,"marginX":10,"marginY":10},"rows":{"0":{"cells":{"1":{"text":"各地区商品销售额一栏表","merge":[0,18],"style":13}},"height":82},"1":{"cells":{"1":{"text":"地区/类别/时间","merge":[1,1],"style":46},"3":{"text":"2020年","style":46,"merge":[0,12]},"16":{"text":"2019年","style":46,"merge":[0,9]}}},"2":{"cells":{"3":{"text":"12月","style":46},"4":{"text":"11月","style":46},"5":{"text":"10月","style":46},"6":{"text":"9月","style":46},"7":{"text":"8月","style":46},"8":{"text":"7月","style":46},"9":{"text":"6月","style":46},"10":{"text":"5月","style":46},"11":{"text":"4月","style":46},"12":{"text":"3月","style":46},"13":{"text":"2月","style":46},"14":{"text":"1月","style":46},"15":{"text":"本年小计","style":46},"16":{"text":"12月","style":46},"17":{"text":"11月","style":46},"18":{"text":"10月","style":46},"19":{"text":"9月","style":46},"20":{"text":"8月","style":46},"21":{"text":"7月","style":46},"22":{"text":"6月","style":46},"23":{"text":"5月","style":46},"24":{"text":"4月","style":46},"25":{"text":"本年小计","style":46}}},"3":{"cells":{"1":{"text":"#{xiaoshou.group(diqu)}","style":51,"aggregate":"group"},"2":{"text":"#{xiaoshou.class}","style":51},"3":{"text":"#{xiaoshou.sales_11}","style":20},"4":{"text":"#{xiaoshou.sales_12}","style":20},"5":{"text":"#{xiaoshou.sales_13}","style":20},"6":{"text":"#{xiaoshou.sales_14}","style":20},"7":{"text":"#{xiaoshou.sales_15}","style":20},"8":{"text":"#{xiaoshou.sales_16}","style":20},"9":{"text":"#{xiaoshou.sales_17}","style":20},"10":{"text":"#{xiaoshou.sales_18}","style":20},"11":{"text":"#{xiaoshou.sales_19}","style":20},"12":{"text":"#{xiaoshou.sales_20}","style":20},"13":{"text":"#{xiaoshou.sales_21}","style":20},"14":{"text":"#{xiaoshou.sales_22}","style":20},"15":{"style":48,"text":"=SUM(D4:O4)"},"16":{"text":"#{xiaoshou.sales_31}","style":20},"17":{"text":"#{xiaoshou.sales_32}","style":20},"18":{"text":"#{xiaoshou.sales_33}","style":20},"19":{"text":"#{xiaoshou.sales_34}","style":20},"20":{"text":"#{xiaoshou.sales_35}","style":20},"21":{"text":"#{xiaoshou.sales_36}","style":20},"22":{"text":"#{xiaoshou.sales_37}","style":20},"23":{"text":"#{xiaoshou.sales_38}","style":20},"24":{"text":"#{xiaoshou.sales_39}","style":20},"25":{"style":48,"text":"=SUM(Q4:Y4)"}},"isDrag":true},"4":{"cells":{"1":{"text":"合计","style":52,"rendered":"","merge":[0,1]},"3":{"text":"=SUM(D4)","style":55},"4":{"text":"=SUM(E4)","style":55},"5":{"text":"=SUM(F4)","style":55},"6":{"text":"=SUM(G4)","style":55},"7":{"text":"=SUM(H4)","style":55},"8":{"text":"=SUM(I4)","style":55},"9":{"text":"=SUM(J4)","style":55},"10":{"text":"=SUM(K4)","style":55},"11":{"text":"=SUM(L4)","style":55},"12":{"text":"=SUM(M4)","style":55},"13":{"text":"=SUM(N4)","style":55},"14":{"text":"=SUM(O4)","style":55},"15":{"text":"=SUM(P4)","style":55},"16":{"text":"=SUM(Q4)","style":55},"17":{"text":"=SUM(R4)","style":55},"18":{"text":"=SUM(S4)","style":55},"19":{"text":"=SUM(T4)","style":55},"20":{"text":"=SUM(U4)","style":55},"21":{"text":"=SUM(V4)","style":55},"22":{"text":"=SUM(W4)","style":55},"23":{"text":"=SUM(X4)","style":55},"24":{"text":"=SUM(Y4)","style":55},"25":{"text":"=SUM(Z4)","style":55}},"isDrag":true},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"groupField":"xiaoshou.diqu","freeze":"A1","dataRectWidth":2464,"displayConfig":{},"background":false,"name":"sheet1","autofilter":{},"styles":[{"bgcolor":"#"},{"bgcolor":"#d7f2f9"},{"bgcolor":"#d7f2f9","align":"center"},{"align":"center"},{"align":"center","bgcolor":"#"},{"bgcolor":"#d7f2f9","align":"center","border":{"bottom":["thin","2896ea"],"top":["thin","2896ea"],"left":["thin","2896ea"],"right":["thin","2896ea"]}},{"align":"center","border":{"bottom":["thin","2896ea"],"top":["thin","2896ea"],"left":["thin","2896ea"],"right":["thin","2896ea"]}},{"border":{"bottom":["thin","2896ea"],"top":["thin","2896ea"],"left":["thin","2896ea"],"right":["thin","2896ea"]}},{"bgcolor":"#d7f2f9","align":"center","border":{"bottom":["thin","#2896ea"],"top":["thin","#2896ea"],"left":["thin","#2896ea"],"right":["thin","#2896ea"]}},{"align":"center","border":{"bottom":["thin","#2896ea"],"top":["thin","#2896ea"],"left":["thin","#2896ea"],"right":["thin","#2896ea"]}},{"border":{"bottom":["thin","#2896ea"],"top":["thin","#2896ea"],"left":["thin","#2896ea"],"right":["thin","#2896ea"]}},{"font":{"bold":true}},{"font":{"bold":true,"size":16}},{"font":{"bold":true,"size":16},"align":"center"},{"border":{"bottom":["thin","#2896ea"],"top":["thin","#2896ea"],"left":["thin","#2896ea"],"right":["thin","#2896ea"]},"font":{"size":8}},{"border":{"bottom":["thin","#2896ea"],"top":["thin","#2896ea"],"left":["thin","#2896ea"],"right":["thin","#2896ea"]},"font":{"size":8},"align":"center"},{"border":{"bottom":["thin","#2896ea"],"top":["thin","#2896ea"],"left":["thin","#2896ea"],"right":["thin","#2896ea"]},"font":{"size":8},"align":"center","format":"number"},{"bgcolor":"#5b9cd6","align":"center","border":{"bottom":["thin","#2896ea"],"top":["thin","#2896ea"],"left":["thin","#2896ea"],"right":["thin","#2896ea"]}},{"bgcolor":"#5b9cd6"},{"bgcolor":"#5b9cd6","align":"center","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"font":{"size":8},"align":"center"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"font":{"size":8},"align":"center","format":"number"},{"bgcolor":"#5b9cd6","align":"center","border":{"bottom":["thin","#9cc2e6"],"top":["thin","#9cc2e6"],"left":["thin","#9cc2e6"],"right":["thin","#9cc2e6"]}},{"border":{"bottom":["thin","#9cc2e6"],"top":["thin","#9cc2e6"],"left":["thin","#9cc2e6"],"right":["thin","#9cc2e6"]},"font":{"size":8},"align":"center"},{"border":{"bottom":["thin","#9cc2e6"],"top":["thin","#9cc2e6"],"left":["thin","#9cc2e6"],"right":["thin","#9cc2e6"]},"font":{"size":8},"align":"center","format":"number"},{"bgcolor":"#5b9cd6","align":"center","border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]}},{"border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"font":{"size":8},"align":"center"},{"border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"font":{"size":8},"align":"center","format":"number"},{"bgcolor":"#5b9cd6","align":"center","border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]}},{"bgcolor":"#5b9cd6","align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"font":{"size":8},"align":"center"},{"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"font":{"size":8},"align":"center","format":"number"},{"bgcolor":"#5b9cd6","align":"center","border":{"bottom":["thin","#e7e5e6"],"top":["thin","#e7e5e6"],"left":["thin","#e7e5e6"],"right":["thin","#e7e5e6"]}},{"border":{"bottom":["thin","#e7e5e6"],"top":["thin","#e7e5e6"],"left":["thin","#e7e5e6"],"right":["thin","#e7e5e6"]},"font":{"size":8},"align":"center"},{"border":{"bottom":["thin","#e7e5e6"],"top":["thin","#e7e5e6"],"left":["thin","#e7e5e6"],"right":["thin","#e7e5e6"]},"font":{"size":8},"align":"center","format":"number"},{"bgcolor":"#5b9cd6","align":"center","border":{"bottom":["thin","#d0cecf"],"top":["thin","#d0cecf"],"left":["thin","#d0cecf"],"right":["thin","#d0cecf"]}},{"border":{"bottom":["thin","#d0cecf"],"top":["thin","#d0cecf"],"left":["thin","#d0cecf"],"right":["thin","#d0cecf"]},"font":{"size":8},"align":"center"},{"border":{"bottom":["thin","#d0cecf"],"top":["thin","#d0cecf"],"left":["thin","#d0cecf"],"right":["thin","#d0cecf"]},"font":{"size":8},"align":"center","format":"number"},{"bgcolor":"#5b9cd6","align":"center","border":{"bottom":["thin","#d0cecf"],"top":["thin","#d0cecf"],"left":["thin","#d0cecf"],"right":["thin","#d0cecf"]},"color":"#ffffff"},{"bgcolor":"#5b9cd6","color":"#ffffff"},{"bgcolor":"#5b9cd6","align":"center","border":{"bottom":["thin","#afabac"],"top":["thin","#afabac"],"left":["thin","#afabac"],"right":["thin","#afabac"]},"color":"#ffffff"},{"border":{"bottom":["thin","#afabac"],"top":["thin","#afabac"],"left":["thin","#afabac"],"right":["thin","#afabac"]},"font":{"size":8},"align":"center"},{"border":{"bottom":["thin","#afabac"],"top":["thin","#afabac"],"left":["thin","#afabac"],"right":["thin","#afabac"]},"font":{"size":8},"align":"center","format":"number"},{"bgcolor":"#5b9cd6","align":"center","border":{"bottom":["thin","#f2f2f2"],"top":["thin","#f2f2f2"],"left":["thin","#f2f2f2"],"right":["thin","#f2f2f2"]},"color":"#ffffff"},{"border":{"bottom":["thin","#f2f2f2"],"top":["thin","#f2f2f2"],"left":["thin","#f2f2f2"],"right":["thin","#f2f2f2"]},"font":{"size":8},"align":"center"},{"border":{"bottom":["thin","#f2f2f2"],"top":["thin","#f2f2f2"],"left":["thin","#f2f2f2"],"right":["thin","#f2f2f2"]},"font":{"size":8},"align":"center","format":"number"},{"bgcolor":"#5b9cd6","align":"center","border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"color":"#ffffff"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"font":{"size":8},"align":"center","bgcolor":"#d7f2f9"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"font":{"size":8},"align":"center","format":"number","bgcolor":"#deeaf6"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"font":{"size":8},"align":"center","format":"number","bgcolor":"#bdd7ee"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"font":{"size":10},"align":"center","bgcolor":"#d7f2f9"},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"font":{"size":9},"align":"center","bgcolor":"#d7f2f9"},{"align":"center","bgcolor":"#bdd7ee"},{"bgcolor":"#bdd7ee"},{"bgcolor":"#bdd7ee","format":"number"},{"bgcolor":"#bdd7ee","format":"number","align":"center"}],"validations":[],"isGroup":true,"cols":{"0":{"width":21},"1":{"width":63},"2":{"width":85},"3":{"width":95},"4":{"width":83},"5":{"width":81},"6":{"width":88},"7":{"width":89},"8":{"width":87},"9":{"width":95},"10":{"width":92},"11":{"width":95},"12":{"width":96},"13":{"width":98},"14":{"width":98},"15":{"width":78},"16":{"width":110},"17":{"width":111},"18":{"width":102},"19":{"width":102},"20":{"width":114},"21":{"width":111},"22":{"width":113},"23":{"width":107},"24":{"width":115},"25":{"width":135},"len":49},"merges":["D2:P2","B2:C3","Q2:Z2","B1:T1","B5:C5"]}', NULL, 'https://static.jeecg.com/designreport/images/chaoshi_1607069609875.png', 'admin', TO_DATE('2020-12-03 19:21:55', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-05 18:47:20', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '372', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1334696790477377536', '20201204111149', '学校收入一览表', NULL, NULL, 'datainfo', '{"loopBlockList":[],"area":{"sri":1,"sci":24,"eri":5,"eci":24,"width":100,"height":138},"excel_config_id":"1334696790477377536","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":false,"marginX":10,"marginY":10},"rows":{"0":{"cells":{"1":{"text":"学校收入一览表","merge":[0,13],"style":25}},"height":71},"1":{"cells":{"1":{"text":"校园信息","merge":[1,2],"style":40},"4":{"text":"学生信息","merge":[1,2],"style":40},"7":{"merge":[1,5],"style":42,"text":"收款信息"},"13":{"merge":[0,10],"text":"确认收入信息","style":43}},"height":23},"2":{"cells":{"13":{"merge":[0,3],"text":"2020.09","style":46},"17":{"merge":[0,3],"text":"2020.10","style":46},"21":{"text":"合计","style":46,"merge":[0,2]}},"height":40},"3":{"cells":{"1":{"text":"所属城际","style":50},"2":{"text":"所属校园","style":50},"3":{"text":"NC帐套","style":50},"4":{"text":"学号","style":50},"5":{"text":"姓名","style":50},"6":{"text":"性质","style":50},"7":{"text":"缴费金额","style":50},"8":{"text":"缴费时间","style":50},"9":{"text":"缴费性质","style":50},"10":{"text":"缴费所属期间","style":50},"11":{"text":"缴费月份数","style":50},"12":{"text":"缴费方式","style":50},"13":{"text":"全部","style":50},"14":{"text":"学费","style":50},"15":{"text":"餐费","style":50},"16":{"text":"校车费","style":50},"17":{"text":"全部","style":50},"18":{"text":"学费","style":50},"19":{"text":"餐费","style":50},"20":{"text":"校车费","style":50},"21":{"text":"全部","style":50},"22":{"text":"学费","style":50},"23":{"text":"餐费","style":50}}},"4":{"cells":{"1":{"text":"#{shouru.group(city)}","style":45,"aggregate":"group"},"2":{"text":"#{shouru.group(school)}","style":45,"aggregate":"group"},"3":{"text":"#{shouru.group(ncnum)}","style":35,"aggregate":"group"},"4":{"text":"#{shouru.num}","style":35},"5":{"text":"#{shouru.name}","style":35},"6":{"text":"#{shouru.class}","style":35},"7":{"text":"#{shouru.pay}","style":35},"8":{"text":"#{shouru.paytime}","style":35},"9":{"text":"#{shouru.payclass}","style":35},"10":{"text":"#{shouru.pay1}","style":35},"11":{"text":"#{shouru.paymoth}","style":35},"12":{"text":"#{shouru.pay2}","style":35},"13":{"style":33,"text":"=SUM(O5:Q5)"},"14":{"text":"#{shouru.tuition_09}","style":35},"15":{"text":"#{shouru.meals_09}","style":35},"16":{"text":"#{shouru.busfee_09}","style":35},"17":{"style":33,"text":"=SUM(S5:U5)"},"18":{"text":"#{shouru.tuition_10}","style":35},"19":{"text":"#{shouru.meals_10}","style":35},"20":{"text":"#{shouru.busfee_10}","style":35},"21":{"style":33,"text":"=SUM(W5,X5)"},"22":{"style":35,"text":"=SUM(O5,S5)"},"23":{"style":35,"text":"=SUM(P5,T5)"}},"isDrag":true,"height":25},"5":{"cells":{"1":{"style":66,"text":"合计"},"2":{"text":" ","style":66},"3":{"style":66,"text":" "},"4":{"style":66,"text":" "},"5":{"style":66,"text":" "},"6":{"style":66,"text":" "},"7":{"style":66,"text":" "},"8":{"style":66,"text":" "},"9":{"style":66,"text":" "},"10":{"style":66,"text":" "},"11":{"style":66,"text":" "},"12":{"style":66,"text":" "},"13":{"style":66,"text":" "},"14":{"style":66,"text":" "},"15":{"style":66,"text":" "},"16":{"style":66,"text":" "},"17":{"style":66,"text":" "},"18":{"text":" ","style":66},"19":{"style":66,"text":" "},"20":{"style":66,"text":" "},"21":{"style":15,"text":"=SUM(V5)"},"22":{"style":15,"text":"=SUM(W5)"},"23":{"style":15,"text":"=SUM(X5)"}}},"9":{"cells":{}},"11":{"cells":{}},"len":101},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"groupField":"shouru.city","freeze":"A1","dataRectWidth":1881,"displayConfig":{},"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","bgcolor":"#"},{"align":"center","bgcolor":"#309fc6"},{"bgcolor":"#ffffff"},{"align":"center","bgcolor":"#309fc6","color":"#ffffff"},{"align":"center","bgcolor":"#b2ddec"},{"align":"center","bgcolor":"#309fc6","color":"#ffffff","font":{"size":8}},{"align":"center","bgcolor":"#b2ddec","font":{"size":8}},{"align":"center","bgcolor":"#309fc6","color":"#ffffff","font":{"size":9}},{"align":"center","bgcolor":"#b2ddec","font":{"size":9}},{"align":"center","bgcolor":"#309fc6","color":"#ffffff","font":{"size":10}},{"align":"center","bgcolor":""},{"align":"center","bgcolor":"#309fc6","color":"#ffffff","font":{"size":10},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#309fc6","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#b2ddec","font":{"size":9},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#b2ddec","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"font":{"size":9}},{"align":"center","font":{"size":9}},{"align":"center","bgcolor":"#dff2f9"},{"bgcolor":""},{"bgcolor":"#309fc6"},{"align":"center","color":"#ffffff"},{"align":"center","bgcolor":"#dff2f9","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","font":{"size":16}},{"align":"center","font":{"size":16,"bold":true}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#b2ddec"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#dff2f9"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"b2ddec"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"￥b2ddec"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center"},{"align":"center","font":{"size":8}},{"align":"center","bgcolor":"#b2ddec","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8}},{"align":"center","bgcolor":"#dff2f9","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center","font":{"size":8}},{"align":"center","bgcolor":"#dff2f9","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center","font":{"size":9}},{"align":"center","bgcolor":"","color":"#ffffff","font":{"size":10},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#5b9cd6","color":"#ffffff","font":{"size":10},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"bgcolor":"#5b9cd6"},{"align":"center","bgcolor":"#5b9cd6","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#5b9cd6","color":"#ffffff"},{"align":"center","bgcolor":"#d7f2f9","font":{"size":9},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#d7f2f9","font":{"size":8},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#5b9cd6","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","bgcolor":"#5b9cd6"},{"align":"center","bgcolor":"#bdd7ee","font":{"size":9},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"font":{"size":8}},{"align":"center","bgcolor":"#bdd7ee","font":{"size":8},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"font":{"size":10}},{"align":"center","bgcolor":"#bdd7ee","font":{"size":10},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","font":{"size":10}},{"align":"center","bgcolor":"#d7f2f9","font":{"size":10},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center","font":{"size":10}},{"font":{"size":12}},{"align":"center","bgcolor":"#bdd7ee","font":{"size":12},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","font":{"size":12}},{"align":"center","bgcolor":"#d7f2f9","font":{"size":12},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center","font":{"size":12}},{"font":{"size":10.5}},{"align":"center","bgcolor":"#bdd7ee","font":{"size":10.5},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"center","font":{"size":10.5}},{"align":"center","bgcolor":"#d7f2f9","font":{"size":10.5},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center","font":{"size":10.5}},{"align":"left","bgcolor":"#b2ddec","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"align":"left"}],"validations":[],"isGroup":true,"cols":{"0":{"width":37},"1":{"width":79},"2":{"width":87},"3":{"width":79},"4":{"width":92},"5":{"width":90},"6":{"width":77},"7":{"width":83},"8":{"width":89},"9":{"width":79},"10":{"width":89},"11":{"width":84},"12":{"width":76},"13":{"width":67},"14":{"width":74},"15":{"width":69},"16":{"width":74},"17":{"width":68},"18":{"width":76},"19":{"width":79},"20":{"width":78},"21":{"width":74},"22":{"width":81},"len":49},"merges":["B2:D3","E2:G3","H2:M3","N3:Q3","R3:U3","V3:X3","N2:X2","B1:O1"]}', NULL, 'https://static.jeecg.com/designreport/images/xuexiao_1607069724407.png', 'admin', TO_DATE('2020-12-04 11:11:50', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-01 02:46:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '429', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1334757703079301120', '20201204151358', '车间零件完工一览表', NULL, NULL, 'datainfo', '{"loopBlockList":[],"area":false,"printElWidth":718,"excel_config_id":"1334757703079301120","printElHeight":1047,"rows":{"0":{"cells":{"1":{"text":"车间零件完工一览表","merge":[0,12],"style":23}},"height":81},"1":{"cells":{"0":{"style":11},"1":{"text":"车间","style":22},"2":{"text":"成品名称","style":22},"3":{"text":"半成品名称","style":22},"4":{"text":"完工时间","style":22},"5":{"text":"状态","style":22},"6":{"text":"成品属性","style":22},"7":{"text":"工单号","style":22},"8":{"text":"工单数量","style":22},"9":{"text":"计划数量","style":22},"10":{"text":"完成数量","style":22},"11":{"text":"UPH","style":22},"12":{"text":"H/C","style":22},"13":{"text":"计划时间","style":22},"14":{"text":"良率","style":22},"15":{"text":"备注","style":22},"16":{"style":11},"17":{"style":11},"18":{"style":11},"19":{"style":11},"20":{"style":11},"21":{"style":11},"22":{"style":11},"23":{"style":11},"24":{"style":11},"25":{"style":11},"26":{"style":11}},"height":55},"2":{"cells":{"0":{"style":13},"1":{"text":"#{chejian.group(city)}","style":16,"aggregate":"group"},"2":{"text":"#{chejian.finish}","style":14},"3":{"text":"#{chejian.semifinish}","style":14},"4":{"text":"#{chejian.time}","style":14},"5":{"text":"#{chejian.state}","style":14},"6":{"text":"#{chejian.attribute}","style":14},"7":{"text":"#{chejian.num}","style":14},"8":{"text":"#{chejian.gnum}","style":14},"9":{"text":"#{chejian.jnum}","style":14},"10":{"text":"#{chejian.wnum}","style":14},"11":{"text":"#{chejian.uph}","style":14},"12":{"text":"#{chejian.hc}","style":14},"13":{"text":"#{chejian.jtime}","style":14},"14":{"text":"#{chejian.yield}","style":14},"15":{"text":"#{chejian.beizhu}","style":14},"16":{"style":13},"17":{"style":13},"18":{"style":13},"19":{"style":13},"20":{"style":13},"21":{"style":13},"22":{"style":13},"23":{"style":13},"24":{"style":13},"25":{"style":13},"26":{"style":13}},"isDrag":true,"height":35},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"groupField":"chejian.city","freeze":"A1","dataRectWidth":1494,"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","bgcolor":"#"},{"align":"center","bgcolor":"#309fc6"},{"align":"center","bgcolor":"#309fc6","color":"#ffffff"},{"bgcolor":"#309fc6"},{"bgcolor":"#309fc6","color":"#ffffff"},{"align":"center","bgcolor":"#309fc6","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"bgcolor":"#309fc6","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"font":{"bold":true}},{"font":{"bold":true,"size":16}},{"font":{"size":9}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9}},{"font":{"size":9},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9},"align":"center","bgcolor":"#"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9},"align":"center","bgcolor":"#b2ddec"},{"font":{"size":8}},{"align":"center","bgcolor":"#309fc6","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8}},{"font":{"size":8},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"align":"center","bgcolor":"#b2ddec"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8},"align":"center"},{"align":"center","bgcolor":"#309fc6","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9}},{"font":{"bold":true,"size":16},"align":"center"}],"validations":[],"isGroup":true,"cols":{"0":{"width":45},"1":{"width":106},"2":{"width":121},"3":{"width":124},"4":{"width":87},"5":{"width":76},"6":{"width":82},"7":{"width":81},"8":{"width":69},"9":{"width":76},"10":{"width":81},"15":{"width":146},"len":50},"merges":["B1:N1"]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201216185352_1608116050060.png', 'admin', TO_DATE('2020-12-04 15:13:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-05 18:47:24', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '519', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1338370016550195200', '20201214142804', '条形码报表', NULL, NULL, 'datainfo', '{"loopBlockList":[],"area":false,"printElWidth":718,"excel_config_id":"1338370016550195200","printElHeight":1047,"rows":{"0":{"cells":{"1":{"merge":[1,3],"text":"居民身份证申领登记表","style":39},"2":{"style":39},"3":{"style":39},"4":{"style":39},"5":{"merge":[0,2],"text":"","rendered":"","display":"text"},"-1":{"text":"${tm.tp}"}},"height":27},"1":{"cells":{"1":{"style":39},"2":{"style":39},"3":{"style":39},"4":{"style":39},"5":{"style":2,"virtual":"ZiOFmILaRjdmVs6E","rendered":"NUsGZXpylLVeKQ7J","display":"barcode","text":"${tm.tm}","merge":[0,2]}},"height":52},"2":{"cells":{"1":{"text":"受理单位（盖章）珠海市公安局","merge":[0,3],"style":36},"2":{"style":36},"3":{"style":36},"4":{"style":36},"5":{"style":6},"6":{"style":6},"7":{"style":6},"8":{"text":"","rendered":""}},"height":34},"3":{"cells":{"1":{"text":"姓名","style":24},"2":{"text":"${tm.name}","style":7,"rendered":""},"3":{"text":"性别","style":16},"4":{"text":"${tm.sex}","style":7,"isDict":1,"dictCode":"sex1","rendered":""},"5":{"text":"民族","style":16},"6":{"text":"${tm.nation}","style":7},"7":{"text":"${tm.tp}","style":7,"merge":[2,0],"rendered":"ftkUSZOje4A5gVO3","display":"img"},"9":{"text":"","rendered":""}},"isDrag":true,"height":47},"4":{"cells":{"1":{"text":"出生日期","style":24},"2":{"text":"${tm.birth}","style":32,"merge":[0,4]},"3":{"style":33},"4":{"style":33},"5":{"style":33},"6":{"style":33},"8":{"text":"","rendered":""}},"isDrag":true,"height":51},"5":{"cells":{"1":{"text":"常住户口所在地住址","style":21},"2":{"text":"${tm.zhuzhi}","style":7,"merge":[0,4]},"8":{"text":"","rendered":""}},"isDrag":true,"height":62},"6":{"cells":{"1":{"text":"公民身份证","style":24},"2":{"text":"${tm.card}","style":7,"merge":[0,5]}},"isDrag":true,"height":55},"7":{"cells":{"1":{"text":"有限期限","style":24},"2":{"text":"${tm.ydate}","style":34,"merge":[0,1]},"3":{"style":35},"4":{"text":"签发机关","style":24},"5":{"text":"${tm.qfjg}","style":7,"merge":[0,2]}},"isDrag":true,"height":52},"8":{"cells":{"1":{"text":"申领原因","style":24},"2":{"text":"${tm.slyy}","style":7,"merge":[0,5]}},"isDrag":true,"height":55},"9":{"cells":{"1":{"text":"受理时间","style":24},"2":{"text":"${tm.sdate}","style":32,"merge":[0,1]},"3":{"style":33},"4":{"text":"受理号","style":24},"5":{"text":"${tm.shao}","style":7,"merge":[0,2]}},"isDrag":true,"height":49},"10":{"cells":{"1":{"text":"承办人","style":24},"2":{"text":"${tm.cbr}","style":7,"merge":[0,1]},"4":{"text":"受理单位领导","style":24},"5":{"text":"${tm.sld}","style":7,"merge":[0,2]}},"isDrag":true,"height":42},"11":{"cells":{"1":{"text":"申请（监护）人签名","style":21},"2":{"text":"${tm.sr}","style":7,"merge":[0,1]},"4":{"text":"申请（监护）人联系电话","style":21},"5":{"text":"${tm.jphone}","style":7,"merge":[0,2]}},"isDrag":true,"height":59},"12":{"cells":{"1":{"text":"领证人签名","style":24},"2":{"text":"${tm.lzr}","style":7,"merge":[0,1]},"4":{"text":"领证时间","style":24},"5":{"text":"${tm.ldate}","style":32,"merge":[0,2]},"6":{"style":33},"7":{"style":33}},"isDrag":true,"height":57},"13":{"cells":{"1":{"text":"是否通过邮政特快专递方式领取二代","merge":[0,1],"style":24},"2":{"text":" ","style":25},"3":{"text":"${tm.sk}","style":7,"merge":[0,4]}},"isDrag":true,"height":50},"14":{"cells":{"1":{"text":"投递地址","style":24},"2":{"text":"${tm.dizhi}","style":7,"merge":[0,2]},"5":{"text":"收件人","style":24},"6":{"style":7,"text":" ","merge":[0,1]}},"isDrag":true,"height":53},"15":{"cells":{"1":{"text":"邮政编码","style":24},"2":{"text":"","style":7,"merge":[0,1]},"4":{"text":"备注","style":24},"5":{"text":"","style":7,"merge":[0,2]}},"isDrag":true,"height":47},"16":{"cells":{"1":{"merge":[0,6],"text":"公安部治安管理局治","style":31},"2":{"style":31},"3":{"style":31},"4":{"style":31},"5":{"style":31},"6":{"style":31},"7":{"style":31}}},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":["sex1","sex1","sex1"],"freeze":"A1","dataRectWidth":704,"background":false,"name":"sheet1","autofilter":{},"styles":[{"font":{"size":16}},{"font":{"size":16},"align":"center"},{"align":"center"},{"textwrap":true},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"name":"宋体"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"}},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"}},{"font":{"name":"宋体","size":9}},{"font":{"name":"宋体","size":9},"color":"#3f3f3f"},{"font":{"name":"宋体","size":9},"color":"#0c0c0c"},{"font":{"name":"宋体","size":9},"color":"#7f7f7f"},{"font":{"name":"宋体","size":9},"color":"#595959"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"align":"right"},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体","bold":true}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体","bold":false}},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体","bold":false}},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体","bold":false},"align":"center"},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体","bold":true}},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体","bold":true},"align":"center"},{"font":{"name":"宋体","bold":true}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体","bold":true},"align":"right"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体","bold":true},"align":"center"},{"font":{"name":"宋体","bold":true},"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"align":"center"},{"font":{"size":8}},{"font":{"size":8},"align":"center"},{"font":{"size":8},"align":"right"},{"font":{"size":10},"align":"right"},{"font":{"size":10},"align":"right","color":"#7f7f7f"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"format":"date2"},{"format":"date2"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"format":"date"},{"format":"date"},{"font":{"name":"宋体","size":9},"color":"#595959","valign":"bottom"},{"align":"center","font":{"bold":true}},{"align":"center","font":{"bold":true,"size":16}},{"align":"center","font":{"bold":true,"size":16},"valign":"bottom"}],"validations":[],"cols":{"0":{"width":16},"1":{"width":103},"2":{"width":156},"3":{"width":51},"4":{"width":96},"5":{"width":61},"6":{"width":106},"7":{"width":115},"8":{"width":135},"len":50},"merges":["B3:E3","B14:C14","C6:G6","C5:G5","C7:H7","C8:D8","F8:H8","C9:H9","D14:H14","C10:D10","F10:H10","C11:D11","F11:H11","C13:D13","C12:D12","F12:H12","F13:H13","C15:E15","G15:H15","F16:H16","C16:D16","B17:H17","H4:H6","B1:E2","F1:H1","F2:H2"]}', NULL, 'https://static.jeecg.com/designreport/images/未标题-1_1608118350039.png', 'admin', TO_DATE('2020-12-14 14:28:04', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 13:58:47', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '762', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1338744112815411200', '20201215151426', '简单条件查询报表', NULL, NULL, 'datainfo', '{"loopBlockList":[],"area":false,"printElWidth":718,"excel_config_id":"1338744112815411200","printElHeight":1047,"rows":{"1":{"cells":{"1":{"text":"职务","style":51},"2":{"text":"雇员ID","style":51},"3":{"text":"姓名","style":51},"4":{"text":"性别","style":51},"5":{"text":"雇佣日期","style":51},"6":{"text":"家庭电话","style":51},"7":{"text":"出生日期","style":51},"8":{"text":"户口所在地","style":51},"9":{"text":"联系地址","style":51},"10":{"text":"紧急联系人","style":52}},"height":37},"2":{"cells":{"0":{"style":18},"1":{"style":21,"text":"#{jdcx.group(update_by)}","aggregate":"group"},"2":{"style":21,"text":"#{jdcx.id}"},"3":{"style":21,"text":"#{jdcx.name}"},"4":{"style":21,"text":"#{jdcx.sex}"},"5":{"style":24,"text":"#{jdcx.gtime}"},"6":{"style":21,"text":"#{jdcx.jphone}"},"7":{"style":24,"text":"#{jdcx.birth}"},"8":{"style":21,"text":"#{jdcx.hukou}"},"9":{"style":21,"text":"#{jdcx.laddress}"},"10":{"style":56,"text":"#{jdcx.jperson}"},"11":{"style":18},"12":{"style":18},"13":{"style":18},"14":{"style":18},"15":{"style":18},"16":{"style":18},"17":{"style":18},"18":{"style":18},"19":{"style":18},"20":{"style":18},"21":{"style":18},"22":{"style":18},"23":{"style":18},"24":{"style":18},"25":{"style":18},"26":{"style":18},"27":{"style":18},"28":{"style":18},"29":{"style":18},"30":{"style":18},"31":{"style":18},"32":{"style":18},"33":{"style":18},"34":{"style":18},"35":{"style":18},"36":{"style":18},"37":{"style":18},"38":{"style":18},"39":{"style":18},"40":{"style":18},"41":{"style":18},"42":{"style":18},"43":{"style":18},"44":{"style":18},"45":{"style":18},"46":{"style":18},"47":{"style":18},"48":{"style":18}},"height":34},"3":{"cells":{"0":{"style":39},"1":{"style":39},"2":{"style":39},"3":{"style":39},"4":{"style":39},"5":{"style":39},"6":{"style":39},"7":{"style":39},"8":{"style":39},"9":{"style":39},"10":{"style":39},"11":{"style":39},"12":{"style":39},"13":{"style":39},"14":{"style":39},"15":{"style":39},"16":{"style":39},"17":{"style":39},"18":{"style":39},"19":{"style":39},"20":{"style":39},"21":{"style":39},"22":{"style":39},"23":{"style":39},"24":{"style":39}}},"4":{"cells":{"1":{"text":"备注：","style":62},"2":{"style":63,"text":" "},"3":{"style":63,"text":" "},"4":{"style":63,"text":" "},"5":{"style":63,"text":" "},"6":{"style":63,"text":" "},"7":{"style":64,"text":" "}}},"5":{"cells":{"1":{"text":"1、支持模糊查询，需要输入 “*+字符串”或 “字符串+* ”或“*+字符串+*”，如：张* / *丽 / *亚*；","style":65,"merge":[0,6]}}},"6":{"cells":{"1":{"text":"2、以上“出生日期”为时间类型；","style":65,"merge":[0,6]}}},"7":{"cells":{"1":{"text":"3、以上“雇佣日期”为日期类型","style":65,"merge":[0,6]}}},"8":{"cells":{"1":{"text":"4、以上“姓名”为字符串类型，支持精准查询和模糊查询；","style":67,"merge":[0,6]}}},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"groupField":"jdcx.update_by","freeze":"A1","dataRectWidth":1242,"background":false,"name":"sheet1","autofilter":{},"styles":[{"bgcolor":"#5b9cd6"},{"bgcolor":"#5b9cd6","color":"#ffffff"},{"color":"#ffffff"},{"align":"center"},{"bgcolor":"#5b9cd6","color":"#ffffff","align":"center"},{"bgcolor":"#02a274","color":"#ffffff","align":"center"},{"bgcolor":"#02a274","color":"#ffffff","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8"},{"font":{"size":8}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6","font":{"size":8}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":8}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8}},{"font":{"size":9}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6","font":{"size":9}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":9}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9}},{"font":{"size":9},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6","font":{"size":9},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":9},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":9},"align":"left"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9},"align":"left"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9},"align":"center","format":"date"},{"align":"center","font":{"name":"宋体"}},{"bgcolor":"#02a274","color":"#ffffff","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"name":"宋体"}},{"font":{"size":9,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6","font":{"size":9,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":9,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"宋体"},"align":"left"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"宋体"},"align":"center","format":"date"},{"font":{"size":10,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6","font":{"size":10,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":10,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"宋体"},"align":"left"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"宋体"},"align":"center","format":"date"},{"font":{"name":"Microsoft YaHei"}},{"align":"center","font":{"name":"Microsoft YaHei"}},{"bgcolor":"#02a274","color":"#ffffff","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"name":"Microsoft YaHei"}},{"font":{"size":9,"name":"Microsoft YaHei"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6","font":{"size":9,"name":"Microsoft YaHei"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":9,"name":"Microsoft YaHei"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"left"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"center","format":"date"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"center","format":"date2"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"center","format":"normal"},{"align":"center","bgcolor":"#5b9cd6"},{"bgcolor":"#5b9cd6","color":"#ffffff","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"bgcolor":"#5b9cd6","color":"#ffffff","align":"center","border":{"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center","font":{"size":9}},{"border":{"top":["thin","#000100"],"left":["thin","#000100"]}},{"border":{"top":["thin","#000100"]}},{"border":{"top":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"left":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"top":["thin","#000100"],"left":["thin","#000100"]},"font":{"name":"宋体"}},{"border":{"top":["thin","#000100"]},"font":{"name":"宋体"}},{"border":{"top":["thin","#000100"],"right":["thin","#000100"]},"font":{"name":"宋体"}},{"border":{"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"name":"宋体"}},{"font":{"name":"宋体"}},{"border":{"bottom":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"name":"宋体"}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9},"align":"center","format":"number"}],"validations":[],"isGroup":true,"cols":{"0":{"width":40},"1":{"width":88},"2":{"width":86},"3":{"width":97},"4":{"width":67},"5":{"width":103},"6":{"width":115},"7":{"width":90},"8":{"width":239},"9":{"width":217},"len":50},"merges":["B6:H6","B7:H7","B8:H8","B9:H9"]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201216112919_1608089379396.png', 'admin', TO_DATE('2020-12-15 15:14:27', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 13:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '1053', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1338769064067076098', '202012151514266124', '多选条件查询报表', NULL, NULL, 'datainfo', '{"loopBlockList":[],"area":false,"printElWidth":718,"excel_config_id":"1338769064067076098","printElHeight":1047,"rows":{"0":{"cells":{"0":{"style":49},"1":{"style":49},"2":{"style":49},"3":{"style":49},"4":{"style":49},"5":{"style":49},"6":{"style":49},"7":{"style":49},"8":{"style":49},"9":{"style":49},"10":{"style":49},"11":{"style":49},"12":{"style":49},"13":{"style":49},"14":{"style":49},"15":{"style":49},"16":{"style":49},"17":{"style":49},"18":{"style":49},"19":{"style":49},"20":{"style":49},"21":{"style":49},"22":{"style":49},"23":{"style":49},"24":{"style":49},"25":{"style":49}}},"1":{"cells":{"0":{"style":50},"1":{"text":"职务","style":51},"2":{"text":"雇员ID","style":51},"3":{"text":"姓名","style":51},"4":{"style":51,"text":"性别"},"5":{"text":"雇佣日期","style":51},"6":{"text":"家庭电话","style":51},"7":{"text":"出生日期","style":51},"8":{"text":"户口所在地","style":51},"9":{"text":"联系地址","style":51},"10":{"text":"紧急联系人","style":51},"11":{"style":50},"12":{"style":50},"13":{"style":50},"14":{"style":50},"15":{"style":50},"16":{"style":50},"17":{"style":50},"18":{"style":50},"19":{"style":50},"20":{"style":50},"21":{"style":50},"22":{"style":50},"23":{"style":50},"24":{"style":50},"25":{"style":50}},"height":46},"2":{"cells":{"0":{"style":52},"1":{"text":"#{pop.group(update_by)}","style":53,"aggregate":"group"},"2":{"text":"#{pop.group(id)}","style":54,"aggregate":"group"},"3":{"text":"#{pop.group(name)}","style":54,"aggregate":"group"},"4":{"text":"#{pop.sex}","style":55},"5":{"text":"#{pop.gtime}","style":56},"6":{"text":"#{pop.jphone}","style":57},"7":{"text":"#{pop.birth}","style":56},"8":{"text":"#{pop.hukou}","style":58},"9":{"text":"#{pop.laddress}","style":57},"10":{"text":"#{pop.jperson}","style":57},"11":{"style":52},"12":{"style":52},"13":{"style":52},"14":{"style":52},"15":{"style":52},"16":{"style":52},"17":{"style":52},"18":{"style":52},"19":{"style":52},"20":{"style":52},"21":{"style":52},"22":{"style":52},"23":{"style":52},"24":{"style":52},"25":{"style":52}},"isDrag":true,"height":35},"5":{"cells":{"2":{"text":""}},"isDrag":true},"len":99},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"groupField":"pop.update_by","freeze":"A1","dataRectWidth":1494,"background":false,"name":"sheet1","autofilter":{},"styles":[{"bgcolor":"#5b9cd6"},{"bgcolor":"#5b9cd6","color":"#ffffff"},{"color":"#ffffff"},{"align":"center"},{"bgcolor":"#5b9cd6","color":"#ffffff","align":"center"},{"bgcolor":"#02a274","color":"#ffffff","align":"center"},{"bgcolor":"#02a274","color":"#ffffff","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8"},{"font":{"size":8}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6","font":{"size":8}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":8}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":8}},{"font":{"size":9}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6","font":{"size":9}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":9}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9}},{"font":{"size":9},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6","font":{"size":9},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":9},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":9},"align":"left"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9},"align":"left"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9},"align":"center","format":"date"},{"align":"center","font":{"name":"宋体"}},{"bgcolor":"#02a274","color":"#ffffff","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"name":"宋体"}},{"font":{"size":9,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6","font":{"size":9,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":9,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"宋体"},"align":"left"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"宋体"},"align":"center","format":"date"},{"font":{"size":10,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#f1f9f6","font":{"size":10,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ddefe8","font":{"size":10,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"宋体"},"align":"left"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"宋体"},"align":"center","format":"date"},{"bgcolor":"#5b9cd6","color":"#ffffff","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"name":"宋体"}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#9cc2e6","font":{"size":10,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#bdd7ee","font":{"size":10,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#deeaf6","font":{"size":10,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ffffff","font":{"size":10,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":10,"name":"宋体"},"align":"center","format":"normal"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#deeaf6","font":{"size":9,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#bdd7ee","font":{"size":9,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ffffff","font":{"size":9,"name":"宋体"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"宋体"},"align":"center","format":"normal"},{"font":{"name":"Microsoft YaHei"}},{"align":"center","font":{"name":"Microsoft YaHei"}},{"bgcolor":"#5b9cd6","color":"#ffffff","align":"center","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"name":"Microsoft YaHei"}},{"font":{"size":9,"name":"Microsoft YaHei"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#deeaf6","font":{"size":9,"name":"Microsoft YaHei"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#bdd7ee","font":{"size":9,"name":"Microsoft YaHei"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#ffffff","font":{"size":9,"name":"Microsoft YaHei"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"center","format":"date"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"center","format":"normal"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"center"},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"font":{"size":9,"name":"Microsoft YaHei"},"align":"center","format":"date2"}],"validations":[],"isGroup":true,"cols":{"0":{"width":48},"1":{"width":107},"3":{"width":91},"4":{"width":142},"5":{"width":130},"6":{"width":131},"7":{"width":235},"8":{"width":230},"9":{"width":148},"10":{"width":132},"len":50},"merges":[]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201216185224_1608116008543.png', 'admin', TO_DATE('2020-12-15 16:53:13', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 13:58:41', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '901', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1347373863746539520', '20210108104603', '实习证明', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":{"sri":16,"sci":5,"eri":16,"eci":5,"width":147,"height":25},"excel_config_id":"1347373863746539520","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":false,"marginX":10,"marginY":10,"layout":"portrait"},"rows":{"0":{"cells":{"0":{"text":""},"1":{"text":""}}},"1":{"cells":{"0":{"text":""}}},"3":{"cells":{"2":{"text":"","rendered":""}}},"5":{"cells":{},"height":29},"6":{"cells":{"2":{"text":"","style":2}},"height":34},"7":{"cells":{"2":{"merge":[0,4],"text":"实习证明","style":2}},"height":41},"8":{"cells":{"1":{"text":"","style":3},"2":{"text":""}}},"9":{"cells":{"1":{"text":"","style":3},"2":{"text":"","style":3},"3":{"text":""}},"isDrag":true,"height":33},"10":{"cells":{"2":{"text":"${tt.name}","style":11},"3":{"text":"同学在我公司与 2020年4月1日 至 2020年5月1日 实习。","style":19,"merge":[0,3],"height":34}},"height":34},"11":{"cells":{},"height":28},"12":{"cells":{"1":{"text":"","style":6},"2":{"style":13,"text":"${tt.pingjia}","merge":[3,4],"height":129}},"height":36},"13":{"cells":{},"height":29},"14":{"cells":{},"height":33},"15":{"cells":{},"height":31},"16":{"cells":{}},"17":{"cells":{"1":{"text":""},"2":{"text":"特此证明！","style":12}}},"20":{"cells":{"2":{"text":""},"3":{"text":"","style":3},"4":{"text":""}}},"21":{"cells":{"4":{"text":""}}},"22":{"cells":{"3":{"text":"","style":3},"4":{"text":"证明人：","style":11},"5":{"text":"${tt.lingdao}","style":12}}},"23":{"cells":{"4":{"text":""},"5":{"text":"${tt.shijian}","style":15}}},"len":100},"dbexps":[],"dicts":[],"freeze":"A1","dataRectWidth":576,"displayConfig":{},"background":{"path":"https://static.jeecg.com/designreport/images/11_1611283832037.png","repeat":"no-repeat","width":"","height":""},"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","font":{"size":14}},{"align":"center","font":{"size":16}},{"align":"right"},{"align":"left"},{"align":"left","valign":"top"},{"align":"left","valign":"top","textwrap":true},{"font":{"size":16}},{"align":"left","valign":"top","textwrap":false},{"textwrap":false},{"textwrap":true},{"align":"right","font":{"size":12}},{"font":{"size":12}},{"align":"left","valign":"top","textwrap":true,"font":{"size":12}},{"textwrap":true,"font":{"size":12}},{"align":"left","font":{"size":12}},{"font":{"size":12},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":14}},{"font":{"size":10}},{"textwrap":false,"font":{"size":12}}],"validations":[],"cols":{"0":{"width":69},"1":{"width":41},"4":{"width":119},"5":{"width":147},"6":{"width":31},"len":50},"merges":["C8:G8","D11:G11","C13:G16"]}', NULL, 'https://static.jeecg.com/designreport/images/未标题-1_1610074948259.png', 'admin', TO_DATE('2021-01-08 10:46:04', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-05 18:47:08', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '122', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1347454742040809472', '20210108161240', '实例：年度各月份佣金收入', NULL, NULL, 'datainfo', '{"loopBlockList":[],"area":false,"printElWidth":718,"excel_config_id":"1347454742040809472","printElHeight":1047,"rows":{"1":{"cells":{"1":{"text":" ","virtual":"pZTpI3BKFw0lh6D7"},"2":{"text":"年度各月份佣金收入","style":23,"merge":[0,3],"virtual":"pZTpI3BKFw0lh6D7"},"3":{"style":24},"4":{"style":24},"5":{"style":24},"6":{"text":" "}},"height":37},"2":{"cells":{"1":{"text":" "},"2":{"text":" "},"3":{"text":" "},"4":{"text":" "},"5":{"text":" "},"6":{"text":" "}}},"4":{"cells":{"1":{"text":"查询年度：2019"},"4":{"text":"查询机构：总公司"},"6":{"text":"单位：元"}}},"6":{"cells":{"1":{"text":"月份","style":12},"2":{"text":"佣金/主营业收入","style":12},"3":{"text":"累计","style":12},"4":{"text":"历史最低水平","style":12},"5":{"text":"历史平均水平","style":12},"6":{"text":"历史最高水平","style":12}}},"7":{"cells":{"1":{"text":"#{tmp_report_data_1.monty}","style":0},"2":{"text":"#{tmp_report_data_1.main_income}","style":0},"3":{"text":"#{tmp_report_data_1.total}","style":18},"4":{"text":"#{tmp_report_data_1.his_lowest}","style":0},"5":{"text":"#{tmp_report_data_1.his_average}","style":0},"6":{"text":"#{tmp_report_data_1.his_highest}","style":0}},"isDrag":true},"9":{"cells":{"1":{"merge":[1,1]}}},"len":99},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":678,"background":false,"name":"sheet1","autofilter":{},"styles":[{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":true}},{"font":{"bold":true}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":false}},{"font":{"bold":false}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":true},"align":"center"},{"font":{"bold":true},"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":true,"size":15},"align":"center"},{"font":{"bold":true,"size":15},"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#01b0f1"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#33CCCC"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#33CCCC","align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#33CCCC","align":"left"},{"font":{"bold":true,"size":16}},{"font":{"bold":true,"size":24}},{"font":{"bold":true,"size":22}},{"font":{"bold":true,"size":22},"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"format":"usd"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"format":"rmb"},{"font":{"bold":true,"name":"黑体"}},{"font":{"bold":true,"name":"黑体","size":22}},{"font":{"bold":true,"name":"宋体","size":22}},{"font":{"bold":true,"name":"楷体","size":22}},{"font":{"bold":true,"name":"楷体","size":22},"align":"center"},{"align":"center"}],"validations":[],"cols":{"0":{"width":29},"1":{"width":111},"2":{"width":116},"4":{"width":122},"len":50},"merges":["B10:C11","C2:F2"],"imgList":[{"row":1,"col":1,"width":"148","height":"56","src":"https://static.jeecg.com/designreport/images/kunlunlog_1610591367645.png","layer_id":"pZTpI3BKFw0lh6D7","offsetX":0,"offsetY":0,"virtualCellRange":[[1,1],[1,2]]}]}', NULL, NULL, 'admin', TO_DATE('2021-01-08 16:12:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 13:58:38', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '50', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1347459370216198144', '20210108164121', '实例:来源收入统计', NULL, NULL, 'datainfo', '{"loopBlockList":[],"chartList":[{"row":1,"col":1,"width":"624","height":"281","config":"{\"legend\":{\"textStyle\":{\"color\":\"#333\",\"fontSize\":\"12\"},\"top\":\"top\",\"left\":\"right\",\"orient\":\"vertical\",\"padding\":[25,20,25,10],\"data\":[\"中国石油全资（集团所属）\",\"中国石油全资（股份所属）\",\"中石油控股或有控股权\",\"中石油参股\",\"非中石油\"],\"show\":true},\"series\":[{\"isRose\":false,\"data\":[{\"name\":\"中国石油全资（集团所属）\",\"value\":38460270.57,\"itemStyle\":{\"color\":\"#E46C8A\"}},{\"name\":\"中国石油全资（股份所属）\",\"value\":227595.77,\"itemStyle\":{\"color\":\"#FCDE43\"}},{\"name\":\"中石油控股或有控股权\",\"value\":679926.75,\"itemStyle\":{\"color\":\"#01A8E1\"}},{\"name\":\"中石油参股\",\"value\":72062.75,\"itemStyle\":{\"color\":\"#99CC00\"}},{\"name\":\"非中石油\",\"value\":1698597.62,\"itemStyle\":{\"color\":\"#800080\"}}],\"isRadius\":false,\"roseType\":\"\",\"notCount\":false,\"center\":[320,180],\"name\":\"访问来源\",\"minAngle\":0,\"label\":{\"show\":false,\"position\":\"outside\",\"textStyle\":{\"fontSize\":16,\"fontWeight\":\"bolder\"}},\"type\":\"pie\",\"radius\":\"55%\",\"autoSort\":false}],\"tooltip\":{\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"},\"formatter\":\"{b} : {c}\",\"show\":true},\"title\":{\"show\":true,\"top\":5,\"text\":\"来源收入统计\",\"textStyle\":{\"color\":\"#c23531\",\"fontWeight\":\"bolder\",\"fontSize\":18},\"left\":\"center\",\"padding\":[5,20,5,10]},\"backgroundColor\":\"#fff\"}","url":"","extData":{"dataType":"sql","apiStatus":"","apiUrl":"","dataId":"4af57d343f1d6521b71b85097b580786","axisX":"biz_income","axisY":"total","series":"","yText":"total","xText":"biz_income","dbCode":"tmp_report_data_income","dataId1":"","source":"","target":"","isTiming":true,"intervalTime":"5","chartType":"pie.simple","id":""},"layer_id":"nVUy533exgQ70OPb","offsetX":0,"offsetY":0,"virtualCellRange":[[1,1],[1,2],[1,3],[1,4],[1,5],[1,6],[1,7],[1,8]]}],"area":{"sri":8,"sci":5,"eri":8,"eci":5,"width":63,"height":25},"excel_config_id":"1347459370216198144","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":false,"marginX":10,"marginY":10},"rows":{"1":{"cells":{"1":{"text":" ","virtual":"nVUy533exgQ70OPb"},"2":{"text":" ","virtual":"nVUy533exgQ70OPb"},"3":{"text":" ","virtual":"nVUy533exgQ70OPb"},"4":{"text":" ","virtual":"nVUy533exgQ70OPb"},"5":{"text":" ","virtual":"nVUy533exgQ70OPb"},"6":{"text":" ","virtual":"nVUy533exgQ70OPb"},"7":{"text":" ","virtual":"nVUy533exgQ70OPb"},"8":{"text":" ","virtual":"nVUy533exgQ70OPb"}}},"3":{"cells":{}},"16":{"cells":{"1":{"text":"业务来源","style":1},"2":{"text":"保险经纪佣金费","style":1},"3":{"text":"风险咨询费","style":1},"4":{"text":"承保公证评估费","style":1},"5":{"text":"保险公证费","style":1},"6":{"text":"投标咨询费","style":1},"7":{"text":"内控咨询费","style":1},"8":{"text":"总计","style":1}}},"17":{"cells":{"1":{"text":"#{tmp_report_data_income.biz_income}","style":0},"2":{"text":"#{tmp_report_data_income.bx_jj_yongjin}","style":0},"3":{"text":"#{tmp_report_data_income.bx_zx_money}","style":0},"4":{"text":"#{tmp_report_data_income.chengbao_gz_money}","style":0},"5":{"text":"#{tmp_report_data_income.bx_gg_moeny}","style":0},"6":{"text":"#{tmp_report_data_income.tb_zx_money}","style":0},"7":{"text":"#{tmp_report_data_income.neikong_zx_money}","style":0},"8":{"text":"#{tmp_report_data_income.total}","style":0}},"isDrag":true,"height":24},"len":58},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":702,"displayConfig":{},"background":false,"name":"sheet1","autofilter":{},"styles":[{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#33CCCC"}],"validations":[],"cols":{"0":{"width":16},"1":{"width":105},"2":{"width":119},"3":{"width":87},"4":{"width":61},"5":{"width":63},"6":{"width":60},"7":{"width":91},"len":50},"merges":[]}', NULL, NULL, 'admin', TO_DATE('2021-01-08 16:41:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-01 02:36:13', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '53', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1352160857479581696', '20210121154924', 'redis', NULL, NULL, 'chartinfo', '{"loopBlockList":[],"chartList":[{"row":1,"col":7,"width":"551","height":"350","config":"{\"yAxis\":{\"axisLabel\":{\"textStyle\":{\"color\":\"#211F1E\",\"fontSize\":12}},\"axisLine\":{\"lineStyle\":{\"color\":\"#211E1E\"}},\"show\":false,\"name\":\"数量\",\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false}},\"xAxis\":{\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"axisLabel\":{\"textStyle\":{\"color\":\"#171515\",\"fontSize\":12},\"rotate\":0,\"interval\":0},\"axisLine\":{\"lineStyle\":{\"color\":\"#171515\"}},\"data\":[\"15:02:38\",\"15:02:39\",\"15:02:40\",\"15:02:41\",\"15:02:42\"],\"show\":true,\"name\":\"时间\"},\"grid\":{\"top\":60,\"left\":60,\"bottom\":60,\"right\":60},\"series\":[{\"areaStyle\":{\"color\":\"rgba(231,69,193,1)\",\"opacity\":0.2},\"data\":[59,59,59,59,59],\"showSymbol\":true,\"lineStyle\":{\"width\":5},\"symbolSize\":5,\"isArea\":true,\"name\":\"销量\",\"itemStyle\":{\"color\":\"rgba(241,71,214,1)\"},\"step\":false,\"label\":{\"show\":true,\"position\":\"top\",\"textStyle\":{\"color\":\"black\",\"fontSize\":16,\"fontWeight\":\"bolder\"}},\"type\":\"line\",\"smooth\":true}],\"tooltip\":{\"formatter\":\"{b} : {c}\",\"show\":true,\"textStyle\":{\"color\":\"#fff\",\"fontSize\":18}},\"title\":{\"show\":true,\"top\":0,\"text\":\"redis数量\",\"textStyle\":{\"color\":\"#9031C2\",\"fontWeight\":\"bolder\",\"fontSize\":18},\"left\":\"center\",\"padding\":[5,20,5,10]}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"d4a29dfda94357308faf62be2b94db08","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"keysSizeForReport","dataId1":"","source":"","target":"","isTiming":true,"intervalTime":"5","chartType":"line.area","id":"NbjJrEsYcliaQRGO"},"layer_id":"NbjJrEsYcliaQRGO","offsetX":0,"offsetY":0,"virtualCellRange":[[1,7],[1,8],[1,9],[1,10],[1,11],[1,12]]},{"row":1,"col":1,"width":"597","height":"350","config":"{\"yAxis\":{\"axisLabel\":{\"textStyle\":{\"color\":\"#2692DD\",\"fontSize\":12}},\"axisLine\":{\"lineStyle\":{\"color\":\"#469BDC\"}},\"show\":false,\"name\":\"内存（kb）\",\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false}},\"xAxis\":{\"splitLine\":{\"lineStyle\":{\"color\":\"#00FFF2\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"axisLabel\":{\"textStyle\":{\"color\":\"#398DD3\",\"fontSize\":12},\"rotate\":0,\"interval\":0},\"axisLine\":{\"lineStyle\":{\"color\":\"#1E88D0\"}},\"data\":[\"15:02:38\",\"15:02:39\",\"15:02:40\",\"15:02:41\",\"15:02:42\"],\"show\":true,\"name\":\"时间\"},\"grid\":{\"top\":60,\"left\":60,\"bottom\":60,\"right\":60},\"series\":[{\"areaStyle\":{\"color\":\"#74BCFF\",\"opacity\":0.3},\"data\":[875,875,875,875,875],\"showSymbol\":true,\"lineStyle\":{\"width\":5},\"symbolSize\":5,\"isArea\":true,\"name\":\"销量\",\"itemStyle\":{\"color\":\"#1890FF\"},\"step\":false,\"label\":{\"textStyle\":{\"color\":\"black\",\"fontSize\":16,\"fontWeight\":\"bolder\"},\"show\":true,\"position\":\"top\"},\"type\":\"line\",\"smooth\":true}],\"tooltip\":{\"textStyle\":{\"color\":\"#fff\",\"fontSize\":18},\"formatter\":\"{b} : {c}\",\"show\":true},\"title\":{\"show\":true,\"top\":5,\"text\":\"redis内存占用情况\",\"textStyle\":{\"color\":\"#4C87E4\",\"fontWeight\":\"bolder\",\"fontSize\":18},\"left\":\"center\",\"padding\":[5,20,5,10]}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"6a1d22ca4c95e8fab655d3ceed43a84d","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"memoryForReport","dataId1":"","source":"","target":"","isTiming":true,"intervalTime":"5","chartType":"line.area","id":"YW0FQUwafBUTagh3"},"layer_id":"YW0FQUwafBUTagh3","offsetX":0,"offsetY":0,"virtualCellRange":[[1,1],[1,2],[1,3],[1,4],[1,5],[1,6]]}],"area":false,"printElWidth":1565,"excel_config_id":"1352160857479581696","printElHeight":1047,"rows":{"1":{"cells":{"1":{"text":" ","virtual":"YW0FQUwafBUTagh3","style":19,"merge":[0,1]},"2":{"text":" ","virtual":"YW0FQUwafBUTagh3"},"3":{"style":19,"virtual":"YW0FQUwafBUTagh3"},"4":{"style":19,"virtual":"YW0FQUwafBUTagh3"},"5":{"style":19,"virtual":"YW0FQUwafBUTagh3"},"6":{"style":19,"virtual":"YW0FQUwafBUTagh3"},"7":{"text":" ","virtual":"NbjJrEsYcliaQRGO"},"8":{"text":" ","virtual":"NbjJrEsYcliaQRGO"},"9":{"text":" ","virtual":"NbjJrEsYcliaQRGO"},"10":{"text":" ","virtual":"NbjJrEsYcliaQRGO"},"11":{"text":" ","virtual":"NbjJrEsYcliaQRGO"},"12":{"text":" ","virtual":"NbjJrEsYcliaQRGO"}}},"2":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"3":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"4":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"5":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"6":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"7":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"8":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"9":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"10":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"11":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"12":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"13":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"14":{"cells":{"1":{"style":19},"2":{"style":19},"3":{"style":19},"4":{"style":19},"5":{"style":19},"6":{"style":19},"7":{"text":" "}}},"17":{"cells":{"1":{}}},"18":{"cells":{"1":{"text":"redis详细信息","style":5,"merge":[1,1]}}},"19":{"cells":{}},"20":{"cells":{"1":{"text":"key","merge":[0,1],"style":46},"2":{"text":" ","style":47},"3":{"merge":[0,1],"style":46,"text":"value"},"4":{"text":" ","style":47},"5":{"merge":[0,9],"style":46,"text":"desc"},"6":{"text":" ","style":47},"7":{"text":" ","style":47},"8":{"text":" ","style":47},"9":{"text":" ","style":47},"10":{"text":" ","style":47},"11":{"text":" ","style":47},"12":{"text":" ","style":47},"13":{"text":" ","style":47},"14":{"text":" ","style":47}}},"21":{"cells":{"1":{"merge":[0,1],"text":"#{infoForReport.key}","style":52},"2":{"text":" ","style":53},"3":{"merge":[0,1],"text":"#{infoForReport.value}","style":52},"4":{"text":" ","style":53},"5":{"text":"#{infoForReport.description}","style":52,"merge":[0,9]}}},"len":98},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":1500,"background":false,"name":"sheet1","autofilter":{},"styles":[{"font":{"bold":true}},{"font":{"bold":true},"align":"center"},{"align":"center"},{"font":{"bold":true,"size":18},"align":"center"},{"align":"center","font":{"size":18}},{"font":{"bold":true,"size":14},"align":"center"},{"align":"center","font":{"size":14}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#d8d8d8"},{"bgcolor":"#d8d8d8"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#d8d8d8","align":"center"},{"bgcolor":"#d8d8d8","align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#f2f2f2","align":"center"},{"bgcolor":"#f2f2f2","align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#a5a5a5","align":"center"},{"bgcolor":"#a5a5a5","align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#bfbfbf","align":"center"},{"bgcolor":"#bfbfbf","align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#ffffff"},{"bgcolor":"#ffffff"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#f2f2f2"},{"bgcolor":"#f2f2f2"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#5b9cd6"},{"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#deeaf6","align":"center"},{"bgcolor":"#deeaf6","align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#9cc2e6"},{"bgcolor":"#9cc2e6"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#93d051","align":"center"},{"bgcolor":"#93d051","align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#a7d08c","align":"center"},{"bgcolor":"#a7d08c","align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#c5e0b3","align":"center"},{"bgcolor":"#c5e0b3","align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#deeaf6"},{"bgcolor":"#deeaf6"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#d5dce4"},{"bgcolor":"#d5dce4"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#93d051"},{"bgcolor":"#93d051"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#756f6f"},{"bgcolor":"#756f6f"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#c5e0b3"},{"bgcolor":"#c5e0b3"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#a7d08c"},{"bgcolor":"#a7d08c"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#71ae47"},{"bgcolor":"#71ae47"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#01b0f1"},{"bgcolor":"#01b0f1"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#0170c1"},{"bgcolor":"#0170c1"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#8eaada"},{"bgcolor":"#8eaada"}],"validations":[],"cols":{"len":50},"merges":["D19:E19","F19:M19","D20:E20","F20:M20","B2:C2","B19:C20","B22:C22","D22:E22","B21:C21","D21:E21","F21:O21","F22:O22"]}', NULL, NULL, 'admin', TO_DATE('2021-01-21 15:49:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-06-01 19:21:17', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, NULL, '0', '113', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('1cd9d574d0c42f3915046dc61d9f33bd', '202012171553133795', '企业实时报表副本3795', NULL, NULL, 'chartinfo', '{"chartList":[{"row":6,"col":1,"width":"302","height":"337","config":"{\"yAxis\":{\"axisLabel\":{\"rotate\":0,\"interval\":0,\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"data\":[\"江苏\",\"山东\",\"安徽\",\"江西\",\"河北\",\"吉林\",\"黑龙江\",\"重庆\",\"广东\",\"上海\",\"哈尔滨\",\"福建\",\"四川\"],\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type\":\"category\"},\"xAxis\":{\"axisLabel\":{\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"axisLine\":{\"lineStyle\":{\"color\":\"#333\"}},\"show\":false,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type \":\"value\"},\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"销售额\"],\"top\":\"top\",\"orient\":\"horizontal\",\"left\":\"center\",\"show\":false,\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"grid\":{\"top\":20,\"left\":45,\"bottom\":16,\"right\":46},\"series\":[{\"barWidth\":13,\"data\":[100,800,1200,1700,2500,4000,5800,6500,7000,7500,8000,8800,9500],\"name\":\"销售额\",\"itemStyle\":{\"barBorderRadius\":5,\"color\":\"rgba(67,184,251,1)\"},\"label\":{\"show\":true,\"position\":\"right\",\"textStyle\":{\"color\":\"#689AFB\",\"fontSize\":\"10\",\"fontWeight\":\"normal\"}},\"type\":\"bar\",\"barMinHeight\":2,\"typeData\":[],\"textStyle\":{\"color\":\"black\",\"fontWeight\":\"bolder\"}}],\"tooltip\":{\"show\":true,\"axisPointer\":{\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":false,\"top\":5,\"text\":\"销售额省份排名\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontWeight\":\"normal\",\"fontSize\":\"14\"},\"left\":\"left\",\"padding\":[5,20,5,20]}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1339491107951640577","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"xiaoshoue","dataId1":"","source":"","target":"","isTiming":true,"intervalTime":"5","chartType":"bar.multi.horizontal","chartId":"pie.doughnut"},"layer_id":"IFj1lg5S5aNG1wPx","offsetX":0,"offsetY":0,"virtualCellRange":[[6,1],[6,2],[6,3],[6,4]]},{"row":6,"col":10,"width":"247","height":"124","config":"{\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"销售额\",\"其他\"],\"top\":\"top\",\"orient\":\"horizontal\",\"left\":\"center\",\"show\":false,\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"series\":[{\"isRose\":false,\"data\":[{\"name\":\"销售额\",\"value\":6000000,\"itemStyle\":{\"color\":\"rgba(43,193,254,1)\"}},{\"name\":\"其他\",\"value\":3400879,\"itemStyle\":{\"color\":\"rgba(42,45,76,0.59)\"}}],\"isRadius\":true,\"roseType\":\"\",\"notCount\":false,\"name\":\"访问来源\",\"minAngle\":0,\"label\":{\"show\":false,\"position\":\"outside\",\"textStyle\":{\"color\":\"\",\"fontSize\":16,\"fontWeight\":\"bolder\"}},\"type\":\"pie\",\"radius\":[\"45%\",\"55%\"],\"autoSort\":false}],\"tooltip\":{\"formatter\":\"{b} : {c}\",\"show\":true,\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":false,\"top\":5,\"text\":\"销售进度\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontWeight\":\"normal\",\"fontSize\":\"14\"},\"left\":\"left\",\"padding\":[5,20,5,10]}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1339498906765000705","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"xsjd","dataId1":"","source":"","target":"","isTiming":true,"intervalTime":"5","chartType":"pie.doughnut","chartId":"pie.doughnut"},"layer_id":"Yb2TIGEAxnvN9ITx","offsetX":0,"offsetY":0,"virtualCellRange":[[6,10],[6,11]]},{"row":6,"col":12,"width":"244","height":"128","config":"{\"yAxis\":{\"axisLabel\":{\"rotate\":0,\"interval\":0,\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"data\":[\"北京\",\"青岛\",\"合肥\",\"深圳\",\"石家庄\",\"重庆\",\"保定\",\"邯郸\"],\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type\":\"category\"},\"xAxis\":{\"axisLabel\":{\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"axisLine\":{\"lineStyle\":{\"color\":\"#333\"}},\"show\":false,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type \":\"value\"},\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"销售额\"],\"top\":\"top\",\"orient\":\"horizontal\",\"left\":\"center\",\"show\":false,\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"grid\":{\"top\":10,\"left\":49,\"bottom\":16,\"right\":45},\"series\":[{\"barWidth\":9,\"data\":[80,500,800,1000,1200,1500,1600,2000],\"name\":\"销售额\",\"itemStyle\":{\"barBorderRadius\":0,\"color\":\"rgba(146,119,252,1)\"},\"label\":{\"show\":true,\"position\":\"right\",\"textStyle\":{\"color\":\"#689AFB\",\"fontSize\":\"10\",\"fontWeight\":\"normal\"}},\"type\":\"bar\",\"barMinHeight\":2,\"typeData\":[],\"textStyle\":{\"color\":\"black\",\"fontWeight\":\"bolder\"}}],\"tooltip\":{\"show\":true,\"axisPointer\":{\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":false,\"top\":5,\"text\":\"销售额城市排名\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontWeight\":\"normal\",\"fontSize\":\"14\"},\"left\":\"left\",\"padding\":[5,20,5,20]}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1339495346077728770","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"chengshi","dataId1":"","source":"","target":"","isTiming":true,"intervalTime":"5","chartType":"bar.multi.horizontal","chartId":"bar.multi.horizontal"},"layer_id":"qQHpevWlqElpRQUl","offsetX":0,"offsetY":0,"virtualCellRange":[[6,12],[6,13],[6,14]]},{"row":6,"col":15,"width":"230","height":"127","config":"{\"yAxis\":{\"axisLabel\":{\"rotate\":0,\"interval\":0,\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"data\":[\"北京\",\"青岛\",\"合肥\",\"深圳\",\"石家庄\",\"重庆\",\"保定\",\"邯郸\"],\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type\":\"category\"},\"xAxis\":{\"axisLabel\":{\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"axisLine\":{\"lineStyle\":{\"color\":\"#333\"}},\"show\":false,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type \":\"value\"},\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"销售额\"],\"top\":\"top\",\"orient\":\"horizontal\",\"left\":\"center\",\"show\":false,\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"grid\":{\"top\":10,\"left\":49,\"bottom\":20,\"right\":48},\"series\":[{\"barWidth\":9,\"data\":[80,500,800,1000,1200,1500,1600,2000],\"name\":\"销售额\",\"itemStyle\":{\"barBorderRadius\":0,\"color\":\"rgba(146,119,252,1)\"},\"label\":{\"show\":true,\"position\":\"right\",\"textStyle\":{\"color\":\"#689AFB\",\"fontSize\":\"10\",\"fontWeight\":\"normal\"}},\"type\":\"bar\",\"barMinHeight\":2,\"typeData\":[],\"textStyle\":{\"color\":\"black\",\"fontWeight\":\"bolder\"}}],\"tooltip\":{\"show\":true,\"axisPointer\":{\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":false,\"top\":5,\"text\":\"某站点用户访问来源\",\"textStyle\":{\"color\":\"#c23531\",\"fontWeight\":\"bolder\",\"fontSize\":18},\"left\":\"left\",\"padding\":[5,20,5,20]}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1339495346077728770","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"chengshi","dataId1":"","source":"","target":"","isTiming":true,"intervalTime":"5","chartType":"bar.multi.horizontal","chartId":"bar.multi.horizontal"},"layer_id":"phTmhkjHLebYlOEQ","offsetX":0,"offsetY":0,"virtualCellRange":[[6,15],[6,16],[6,17],[6,18]]},{"row":7,"col":5,"width":"430","height":"293","config":"{\"geo\":{\"map\":\"china\",\"zoom\":0.5,\"label\":{\"color\":\"#FFFFFF\",\"fontSize\":\"8\",\"show\":true},\"itemStyle\":{\"borderWidth\":0.5,\"areaColor\":\"#8284FB\",\"borderColor\":\"#000\"},\"emphasis\":{\"label\":{\"color\":\"#fff\"},\"itemStyle\":{\"areaColor\":\"#4195EF\"}},\"regions\":[],\"layoutSize\":600,\"roam\":true,\"layoutCenter\":[\"50%\",\"50%\"]},\"series\":[{\"encode\":{\"value\":[2]},\"data\":[{\"name\":\"河北\",\"value\":[114.502461,38.045474,279]},{\"name\":\"海南\",\"value\":[110.33119,20.031971,273]},{\"name\":\"山东\",\"value\":[117.000923,36.675807,229]},{\"name\":\"甘肃\",\"value\":[103.823557,36.058039,194]},{\"name\":\"宁夏\",\"value\":[106.278179,38.46637,193]},{\"name\":\"浙江\",\"value\":[120.153576,30.287459,177]},{\"name\":\"湖南\",\"value\":[112.982279,28.19409,119]},{\"name\":\"湖北\",\"value\":[114.298572,30.584355,79]},{\"name\":\"河南\",\"value\":[113.665412,34.757975,67]},{\"name\":\"北京\",\"value\":[116.405285,39.904989,58]},{\"name\":\"天津\",\"value\":[117.190182,39.125596,59]},{\"name\":\"上海\",\"value\":[121.472644,31.231706,63]}],\"name\":\"\",\"emphasis\":{\"label\":{\"show\":true}},\"itemStyle\":{\"color\":\"#FF1205\"},\"coordinateSystem\":\"geo\",\"label\":{\"formatter\":\"{b}\",\"show\":false,\"position\":\"right\"},\"type\":\"scatter\",\"symbolSize\":5}],\"chartType\":\"map\",\"tooltip\":{\"show\":true,\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":false,\"top\":5,\"text\":\"主要城市空气质量\",\"textStyle\":{\"color\":\"#c23531\",\"fontWeight\":\"normal\",\"fontSize\":\"14\"},\"left\":\"left\",\"padding\":[5,20,5,10]}}","url":"","extData":{"chartType":"map.scatter"},"layer_id":"YTri6J59av4gj1CY","offsetX":0,"offsetY":0,"virtualCellRange":[[7,5],[7,6],[7,7],[7,8]]},{"row":14,"col":12,"width":"244","height":"138","config":"{\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"销售额\",\"其他\"],\"top\":\"top\",\"orient\":\"horizontal\",\"left\":\"center\",\"show\":false,\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"series\":[{\"isRose\":false,\"data\":[{\"name\":\"销售额\",\"value\":6000000,\"itemStyle\":{\"color\":\"rgba(43,193,254,1)\"}},{\"name\":\"其他\",\"value\":3400879,\"itemStyle\":{\"color\":\"rgba(42,45,76,0.59)\"}}],\"isRadius\":true,\"roseType\":\"\",\"notCount\":false,\"name\":\"访问来源\",\"minAngle\":0,\"label\":{\"show\":false,\"position\":\"outside\",\"textStyle\":{\"color\":\"\",\"fontSize\":16,\"fontWeight\":\"bolder\"}},\"type\":\"pie\",\"radius\":[\"50%\",\"60%\"],\"autoSort\":false}],\"tooltip\":{\"formatter\":\"{b} : {c}\",\"show\":true,\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":false,\"top\":5,\"text\":\"\",\"textStyle\":{\"color\":\"#c23531\",\"fontWeight\":\"bolder\",\"fontSize\":18},\"left\":\"left\",\"padding\":[5,20,5,10]}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1339498906765000705","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"xsjd","dataId1":"","source":"","target":"","isTiming":true,"intervalTime":"5","chartType":"pie.doughnut","chartId":"pie.doughnut"},"layer_id":"ARuuHLfjqV9l1tQD","offsetX":0,"offsetY":0,"virtualCellRange":[[14,12],[14,13],[14,14]]},{"row":14,"col":15,"width":"230","height":"139","config":"{\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"销售额\",\"其他\"],\"top\":\"top\",\"orient\":\"horizontal\",\"left\":\"center\",\"show\":false,\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"series\":[{\"isRose\":false,\"data\":[{\"name\":\"销售额\",\"value\":6000000,\"itemStyle\":{\"color\":\"rgba(43,193,254,1)\"}},{\"name\":\"其他\",\"value\":3400879,\"itemStyle\":{\"color\":\"rgba(42,45,76,0.59)\"}}],\"isRadius\":true,\"roseType\":\"\",\"notCount\":false,\"name\":\"访问来源\",\"minAngle\":0,\"label\":{\"show\":false,\"position\":\"outside\",\"textStyle\":{\"color\":\"\",\"fontSize\":16,\"fontWeight\":\"bolder\"}},\"type\":\"pie\",\"radius\":[\"45%\",\"55%\"],\"autoSort\":false}],\"tooltip\":{\"formatter\":\"{b} : {c}\",\"show\":true,\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":false,\"top\":5,\"text\":\"某站点用户访问来源\",\"textStyle\":{\"color\":\"#c23531\",\"fontWeight\":\"bolder\",\"fontSize\":18},\"left\":\"left\",\"padding\":[5,20,5,10]}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1339498906765000705","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"xsjd","dataId1":"","source":"","target":"","isTiming":true,"intervalTime":"5","chartType":"pie.doughnut","chartId":""},"layer_id":"bcrMtWqTd2AJIjLd","offsetX":0,"offsetY":0,"virtualCellRange":[[14,15],[14,16],[14,17],[14,18]]},{"row":14,"col":10,"width":"244","height":"138","config":"{\"yAxis\":{\"axisLabel\":{\"rotate\":0,\"interval\":0,\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"data\":[\"北京\",\"青岛\",\"合肥\",\"深圳\",\"石家庄\",\"重庆\",\"保定\",\"邯郸\"],\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type\":\"category\"},\"xAxis\":{\"axisLabel\":{\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"axisLine\":{\"lineStyle\":{\"color\":\"#333\"}},\"show\":false,\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false},\"type \":\"value\"},\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"销售额\"],\"top\":\"top\",\"orient\":\"horizontal\",\"left\":\"center\",\"show\":false,\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"grid\":{\"top\":10,\"left\":49,\"bottom\":15,\"right\":45},\"series\":[{\"barWidth\":9,\"data\":[80,500,800,1000,1200,1500,1600,2000],\"name\":\"销售额\",\"itemStyle\":{\"barBorderRadius\":0,\"color\":\"rgba(146,119,252,1)\"},\"label\":{\"show\":true,\"position\":\"right\",\"textStyle\":{\"color\":\"#698AFB\",\"fontSize\":\"10\",\"fontWeight\":\"normal\"}},\"type\":\"bar\",\"barMinHeight\":2,\"typeData\":[],\"textStyle\":{\"color\":\"black\",\"fontWeight\":\"bolder\"}}],\"tooltip\":{\"show\":true,\"axisPointer\":{\"type\":\"shadow\"},\"trigger\":\"axis\",\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":false,\"top\":5,\"text\":\"某站点用户访问来源\",\"textStyle\":{\"color\":\"#c23531\",\"fontWeight\":\"bolder\",\"fontSize\":18},\"left\":\"left\",\"padding\":[5,20,5,20]}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1339495346077728770","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"chengshi","dataId1":"","source":"","target":"","isTiming":true,"intervalTime":"5","chartType":"bar.multi.horizontal","chartId":"bar.multi.horizontal"},"layer_id":"Y1kgYOWBHIVQdSN5","offsetX":0,"offsetY":0,"virtualCellRange":[[14,10],[14,11]]},{"row":20,"col":1,"width":"743","height":"150","config":"{\"yAxis\":{\"axisLabel\":{\"textStyle\":{\"color\":\"#FFFFFF\",\"fontSize\":\"10\"}},\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"name\":\"\",\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false}},\"xAxis\":{\"axisLabel\":{\"rotate\":0,\"interval\":0,\"textStyle\":{\"color\":\"#FEFEFE\",\"fontSize\":\"10\"}},\"data\":[\"2020-01-09\",\"2020-01-12\",\"2020-01-14\",\"2020-01-16\",\"2020-01-18\"],\"axisLine\":{\"lineStyle\":{\"color\":\"#FFFFFF\"}},\"show\":true,\"name\":\"\",\"splitLine\":{\"lineStyle\":{\"color\":\"red\",\"width\":1,\"type\":\"solid\"},\"show\":false}},\"grid\":{\"top\":53,\"left\":22,\"bottom\":37,\"right\":20},\"series\":[{\"areaStyle\":{\"color\":\"#43B8FB\",\"opacity\":0.7},\"data\":[2,6,7,5,6],\"showSymbol\":true,\"lineStyle\":{\"width\":2},\"symbolSize\":5,\"isArea\":true,\"name\":\"销量\",\"itemStyle\":{\"color\":\"#43B8FB\"},\"step\":false,\"label\":{\"show\":false,\"position\":\"top\",\"textStyle\":{\"color\":\"black\",\"fontSize\":16,\"fontWeight\":\"bolder\"}},\"type\":\"line\",\"smooth\":false}],\"tooltip\":{\"formatter\":\"{b} : {c}\",\"show\":true,\"textStyle\":{\"color\":\"#fff\",\"fontSize\":\"10\"}},\"title\":{\"show\":true,\"top\":14,\"text\":\"销售额增速\",\"textStyle\":{\"color\":\"#FFFFFF\",\"fontWeight\":\"normal\",\"fontSize\":\"14\"},\"left\":\"left\",\"padding\":[5,20,5,10]}}","url":"","extData":{"dataType":"api","apiStatus":"1","dataId":"1339538388453195777","axisX":"name","axisY":"value","series":"type","yText":"","xText":"","dbCode":"zhexian","dataId1":"","source":"","target":"","isTiming":true,"intervalTime":"5","chartType":"line.area","chartId":""},"layer_id":"uChrZaHYoV04MQpT","offsetX":0,"offsetY":0,"virtualCellRange":[[20,1],[20,2],[20,3],[20,4],[20,5],[20,6],[20,7],[20,8],[20,9]]}],"area":{"sri":4,"sci":5,"eri":4,"eci":5,"width":105,"height":38},"printElWidth":1800,"excel_config_id":"1339478701846433792","printElHeight":1047,"rows":{"0":{"cells":{}},"2":{"cells":{"1":{"merge":[0,17],"text":"企业实时销售数据","style":3}}},"3":{"cells":{},"height":35},"4":{"cells":{"1":{"text":"  销售额省份排名","style":32,"merge":[0,1],"virtual":"IFj1lg5S5aNG1wPx"},"2":{"style":32,"virtual":"IFj1lg5S5aNG1wPx"},"5":{"text":"  销售总额","style":69},"10":{"text":"  销售进度","style":43},"11":{"text":"","style":43},"13":{"text":"  销售额城市排名","style":32,"merge":[0,1]},"14":{"style":32},"15":{"text":"  个人业绩排名","style":32,"merge":[0,1]},"16":{"style":32},"17":{"text":"","style":32,"merge":[0,1]},"18":{"style":32}},"height":38},"5":{"cells":{"1":{"text":"   Sales ranking points","virtual":"IFj1lg5S5aNG1wPx","style":62,"merge":[0,1]},"2":{"style":31},"5":{"text":"12436025","style":52,"merge":[1,0]},"6":{"merge":[1,0],"text":"元","style":22},"10":{"text":"   Sales progress","style":33},"11":{"text":"","virtual":"Yb2TIGEAxnvN9ITx","style":33},"13":{"text":"   Sales ranking","virtual":"qQHpevWlqElpRQUl","style":31},"14":{"style":32},"15":{"text":"   Personal  ranking","style":62,"merge":[0,1]},"16":{"style":62},"17":{"text":"","style":62,"merge":[0,1]},"18":{"style":62}},"height":24},"6":{"cells":{"1":{"text":"","merge":[0,1],"style":31,"virtual":"IFj1lg5S5aNG1wPx"},"2":{"style":31,"virtual":"IFj1lg5S5aNG1wPx"},"3":{"text":" ","virtual":"IFj1lg5S5aNG1wPx"},"4":{"text":" ","virtual":"IFj1lg5S5aNG1wPx"},"5":{"style":53},"6":{"style":22},"10":{"text":" ","virtual":"Yb2TIGEAxnvN9ITx"},"11":{"text":"","style":33,"virtual":"Yb2TIGEAxnvN9ITx"},"12":{"text":" ","virtual":"qQHpevWlqElpRQUl"},"13":{"text":"","virtual":"qQHpevWlqElpRQUl","style":31},"14":{"text":" ","virtual":"qQHpevWlqElpRQUl"},"15":{"text":" ","virtual":"phTmhkjHLebYlOEQ"},"16":{"text":" ","virtual":"phTmhkjHLebYlOEQ"},"17":{"text":" ","style":31,"virtual":"phTmhkjHLebYlOEQ"},"18":{"text":" ","virtual":"phTmhkjHLebYlOEQ"}}},"7":{"cells":{"5":{"style":53,"virtual":"YTri6J59av4gj1CY"},"6":{"style":22,"virtual":"YTri6J59av4gj1CY"},"7":{"text":" ","virtual":"YTri6J59av4gj1CY"},"8":{"text":" ","virtual":"YTri6J59av4gj1CY"}}},"8":{"cells":{"5":{"style":18,"text":"","virtual":"YTri6J59av4gj1CY"}}},"9":{"cells":{"5":{"style":21,"text":""}}},"10":{"cells":{"5":{"text":"","style":17}}},"12":{"cells":{"10":{"text":"  品类销售排名","style":43},"11":{"text":"","style":43},"13":{"text":"  品类销售额占比","style":43,"merge":[0,1]},"14":{"style":54},"15":{"text":"  一季度销售季度","style":43,"merge":[0,1]},"16":{"style":54},"17":{"text":"","style":43,"merge":[0,1]},"18":{"style":54}}},"13":{"cells":{"10":{"text":"   Category Sales  ranking","style":31},"11":{"text":"","style":31},"13":{"text":"   Type of Sales ","style":31},"15":{"text":"   Quarterly sales progree","style":58,"merge":[0,1]},"16":{"style":58},"17":{"text":"","style":58,"merge":[0,1]},"18":{"style":58}}},"14":{"cells":{"10":{"text":" ","virtual":"Y1kgYOWBHIVQdSN5"},"11":{"text":" ","virtual":"Y1kgYOWBHIVQdSN5"},"12":{"text":" ","virtual":"ARuuHLfjqV9l1tQD"},"13":{"text":" ","virtual":"ARuuHLfjqV9l1tQD"},"14":{"text":" ","virtual":"ARuuHLfjqV9l1tQD"},"15":{"text":" ","virtual":"bcrMtWqTd2AJIjLd"},"16":{"text":" ","virtual":"bcrMtWqTd2AJIjLd"},"17":{"text":" ","virtual":"bcrMtWqTd2AJIjLd"},"18":{"text":" ","virtual":"bcrMtWqTd2AJIjLd"}}},"15":{"cells":{},"height":15},"16":{"cells":{"11":{"text":"","style":43},"13":{"text":"","style":43,"merge":[0,1]},"14":{"style":54},"17":{"text":"","style":43,"merge":[0,1]},"18":{"style":54}}},"17":{"cells":{"11":{"text":"","style":31},"13":{"text":"","style":31},"17":{"text":"","merge":[0,1],"style":58},"18":{"style":58}}},"18":{"cells":{}},"20":{"cells":{"1":{"text":" ","virtual":"uChrZaHYoV04MQpT"},"2":{"text":" ","virtual":"uChrZaHYoV04MQpT"},"3":{"text":" ","virtual":"uChrZaHYoV04MQpT"},"4":{"text":" ","virtual":"uChrZaHYoV04MQpT"},"5":{"text":" ","virtual":"uChrZaHYoV04MQpT"},"6":{"text":" ","virtual":"uChrZaHYoV04MQpT"},"7":{"text":" ","virtual":"uChrZaHYoV04MQpT"},"8":{"text":" ","virtual":"uChrZaHYoV04MQpT"},"9":{"text":" ","virtual":"uChrZaHYoV04MQpT"}},"height":39},"22":{"cells":{"10":{"text":"企业经营指标","style":74},"11":{"text":"1201043元","style":73},"13":{"text":"企业经营指标","style":74},"14":{"text":"1201043元","style":73},"16":{"text":"企业经营指标","style":74},"17":{"text":"1201043元","style":73}}},"23":{"cells":{"10":{"text":"企业经营指标1","style":74},"11":{"text":"1201043元","style":73},"13":{"text":"企业经营指标1","style":74},"14":{"text":"1201043元","style":73},"16":{"text":"企业经营指标1","style":74},"17":{"text":"1201043元","style":73}}},"26":{"cells":{},"height":33},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":1584,"background":{"path":"https://static.jeecg.com/designreport/images/bg55_1608205385382.png","repeat":"no-repeat","width":"1525","height":"700"},"name":"sheet1","autofilter":{},"styles":[{"color":"#ffffff"},{"color":"#ffffff","font":{"size":16}},{"color":"#ffffff","font":{"size":16},"align":"center"},{"color":"#ffffff","font":{"size":18},"align":"center"},{"font":{"size":18}},{"color":"#67b1ee"},{"color":"#67b1ee","font":{"size":14}},{"color":"#67b1ee","font":{"size":12}},{"font":{"size":14}},{"font":{"size":18},"bgcolor":"#ffffff"},{"font":{"size":18},"bgcolor":"#ffffff","color":"#ffffff"},{"font":{"size":16},"bgcolor":"#ffffff","color":"#ffffff"},{"color":"#67b1ee","font":{"size":12},"align":"right"},{"font":{"size":16},"bgcolor":"#ffffff","color":"#ffffff","align":"right"},{"color":"#67b1ee","font":{"size":12},"align":"center"},{"font":{"size":16}},{"font":{"size":16},"color":"#fe0000"},{"font":{"size":16},"color":"#fe0000","align":"center"},{"color":"#67b1ee","font":{"size":12},"align":"left"},{"align":"left"},{"align":"left","font":{"size":14}},{"align":"left","font":{"size":14},"color":"#ffffff"},{"font":{"size":14},"color":"#ffffff"},{"font":{"size":12},"color":"#ffffff"},{"font":{"size":12,"bold":true},"color":"#ffffff"},{"font":{"size":12,"bold":false},"color":"#ffffff"},{"font":{"size":11,"bold":false},"color":"#ffffff"},{"font":{"size":8}},{"font":{"size":9}},{"font":{"size":9},"color":"#67b1ee"},{"font":{"size":9},"color":"#67b1ee","valign":"top"},{"font":{"size":8},"color":"#67b1ee","valign":"top"},{"font":{"size":11,"bold":false},"color":"#ffffff","valign":"bottom"},{"font":{"size":8},"color":"#67b1ee"},{"color":"#67b1ee","font":{"size":12},"align":"left","valign":"bottom"},{"align":"left","valign":"bottom"},{"color":"#67b1ee","font":{"size":12},"align":"center","valign":"bottom"},{"align":"center","valign":"bottom"},{"color":"#67b1ee","font":{"size":12},"align":"left","valign":"middle"},{"align":"left","valign":"middle"},{"font":{"size":11}},{"font":{"size":11},"color":"#ffffff"},{"font":{"size":11},"color":"#ffffff","valign":"middle"},{"font":{"size":11},"color":"#ffffff","valign":"bottom"},{"color":"#ffffff","font":{"size":12},"align":"left","valign":"middle"},{"align":"left","valign":"middle","color":"#ffffff"},{"color":"#67b1ee","font":{"size":16}},{"color":"#ffff01","font":{"size":16}},{"color":"#ffffff","font":{"size":11},"align":"left","valign":"middle"},{"color":"#ffffff","font":{"size":14},"align":"left","valign":"middle"},{"color":"#ffff01","font":{"size":14},"align":"left","valign":"middle"},{"font":{"size":14},"color":"#ffff01"},{"color":"#ffff01","font":{"size":14},"align":"right","valign":"middle"},{"font":{"size":14},"color":"#ffff01","align":"right"},{"color":"#ffffff","valign":"bottom"},{"font":{"size":8},"bgcolor":"#67b1ee"},{"font":{"size":8},"bgcolor":"#ffffff"},{"font":{"size":8},"bgcolor":"#ffffff","color":"#67b1ee"},{"font":{"size":8},"bgcolor":"#ffffff","color":"#67b1ee","valign":"top"},{"font":{"size":8,"bold":false},"color":"#ffffff","valign":"bottom"},{"font":{"size":8,"bold":false},"color":"#ffffff","valign":"top"},{"font":{"size":8},"valign":"top"},{"font":{"size":8,"bold":false},"color":"#67b1ee","valign":"top"},{"color":"#ffffff","font":{"size":11},"align":"center","valign":"middle"},{"align":"center"},{"color":"#ffffff","font":{"size":11},"align":"right","valign":"middle"},{"align":"right"},{"color":"#ffffff","font":{"size":14},"align":"right","valign":"middle"},{"align":"right","font":{"size":14}},{"color":"#ffffff","font":{"size":11},"align":"left","valign":"bottom"},{"color":"#67b1ee","font":{"size":11}},{"color":"#67b1ee","font":{"size":11},"align":"center"},{"font":{"size":12}},{"font":{"size":12},"color":"#ffff01"},{"color":"#67b1ee","font":{"size":11},"align":"right"}],"validations":[],"cols":{"0":{"width":10},"3":{"width":102},"4":{"width":9},"5":{"width":105},"6":{"width":102},"8":{"width":124},"9":{"width":14},"10":{"width":136},"11":{"width":114},"12":{"width":15},"13":{"width":113},"14":{"width":129},"15":{"width":11},"len":27},"merges":["B7:C7","N17:O17","R17:S17","R18:S18","B3:S3","R6:S6","B5:C5","B6:C6","F6:F7","G6:G7","N5:O5","R5:S5","N13:O13","R13:S13","R14:S14","P5:Q5","P6:Q6","P14:Q14","P13:Q13"]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201218200943_1608293404719.png', 'admin', TO_DATE('2021-01-18 13:21:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 14:01:28', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '0', '660', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('519c1c6f4d1f584ae8fa5b43b45acdc7', '56623333333', '销售单', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":false,"excel_config_id":"519c1c6f4d1f584ae8fa5b43b45acdc7","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":false,"marginX":10,"marginY":10},"rows":{"0":{"cells":{"1":{"text":"销售单","style":40,"merge":[0,6]}},"height":99},"1":{"cells":{"1":{"text":"商品编码","style":62},"2":{"text":"商品名称","style":62},"3":{"text":"销售时间","style":62},"4":{"text":"销售数量","style":62},"5":{"text":"定价","style":62},"6":{"text":"优惠价","style":62},"7":{"text":"付款金额","style":62}},"height":39},"2":{"cells":{"1":{"text":"#{xiaoshou.bianma}","style":61},"2":{"text":"#{xiaoshou.cname}","style":61},"3":{"text":"#{xiaoshou.ctime}","style":61},"4":{"text":"#{xiaoshou.cnum}","style":61},"5":{"text":"#{xiaoshou.cprice}","style":61},"6":{"text":"#{xiaoshou.yprice}","style":61},"7":{"text":"#{xiaoshou.ctotal}","style":61}},"isDrag":true,"height":35},"3":{"cells":{"1":{"style":44,"text":""},"5":{"style":44,"text":""},"6":{"text":"","style":45},"7":{"style":46,"text":"=SUM(H3)"}},"isDrag":true,"height":73},"5":{"cells":{},"isDrag":true},"6":{"cells":{},"isDrag":true},"7":{"cells":{"2":{"text":""}},"isDrag":true},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":703,"displayConfig":{},"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","color":"#000100"},{"align":"center","color":"#000100","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","color":"#000100","border":{"bottom":["thin","#01b0f1"],"top":["thin","#01b0f1"],"left":["thin","#01b0f1"],"right":["thin","#01b0f1"]}},{"border":{"bottom":["thin","#01b0f1"],"top":["thin","#01b0f1"],"left":["thin","#01b0f1"],"right":["thin","#01b0f1"]}},{"align":"center","color":"#000100","border":{"bottom":["thin","#01b0f1"],"top":["thin","#01b0f1"],"left":["thin","#01b0f1"],"right":["thin","#01b0f1"]},"bgcolor":"#01b0f1"},{"align":"center","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"bgcolor":"#01b0f1"},{"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"size":18}},{"align":"center","font":{"size":18,"bold":true}},{"align":"center","font":{"size":16,"bold":true}},{"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"align":"center"},{"align":"center","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"bgcolor":"#fed964"},{"align":"center","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"bgcolor":"#fdc101"},{"align":"center","color":"#000100","border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"bgcolor":"#fdc101"},{"border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"align":"center"},{"align":"center","color":"#000100","border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"bgcolor":"#ffe59a"},{"align":"center","color":"#000100","border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"bgcolor":"#ffc001"},{"align":"center","color":"#000100","border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"bgcolor":"#fed964"},{"align":"center","color":"#000100","border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"bgcolor":"#ed7d31"},{"align":"center","color":"#000100","border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"bgcolor":"#5b9cd6"},{"align":"center","color":"#000100","border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"align":"center"},{"font":{"size":8}},{"font":{"size":8},"color":"#7f7f7f"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","color":"#000100","border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"bgcolor":"#9cc2e6"},{"align":"center","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"bgcolor":"#9cc2e6"},{"border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]}},{"font":{"bold":true}},{"font":{"bold":true,"size":12}},{"font":{"bold":true,"size":16}},{"font":{"bold":true,"size":18}},{"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"align":"right"},{"align":"right"},{"align":"left"},{"align":"right","font":{"size":16}},{"align":"left","font":{"size":16}},{"align":"right","font":{"size":14}},{"align":"left","font":{"size":14}},{"align":"center","font":{"size":18,"bold":true,"name":"宋体"}},{"font":{"name":"宋体"}},{"align":"center","color":"#000100","border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"bgcolor":"#9cc2e6","font":{"name":"宋体"}},{"border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"align":"center","font":{"name":"宋体"}},{"align":"right","font":{"name":"宋体"}},{"align":"right","font":{"size":14,"name":"宋体"}},{"align":"left","font":{"size":14,"name":"宋体"}},{"align":"center","color":"#000100","border":{"bottom":["thin","#2e75b5"],"top":["thin","#2e75b5"],"left":["thin","#2e75b5"],"right":["thin","#2e75b5"]},"bgcolor":"#9cc2e6","font":{"name":"宋体"}},{"align":"center","color":"#000100","bgcolor":"#9cc2e6","font":{"name":"宋体"}},{"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"align":"center","font":{"name":"宋体"}},{"border":{"bottom":["thin","#ffff01"],"top":["thin","#ffff01"],"left":["thin","#ffff01"],"right":["thin","#ffff01"]},"align":"center","font":{"name":"宋体"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","font":{"name":"宋体"}},{"align":"right","font":{"size":14,"name":"宋体"},"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","color":"#000100","bgcolor":"#9cc2e6","font":{"name":"宋体"},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","color":"#000100","bgcolor":"#9cc2e6","font":{"name":"宋体"},"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","color":"#ffffff","bgcolor":"#9cc2e6","font":{"name":"宋体"},"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","color":"#ffffff","border":{"bottom":["thin","#2e75b5"],"top":["thin","#2e75b5"],"left":["thin","#2e75b5"],"right":["thin","#2e75b5"]},"bgcolor":"#9cc2e6","font":{"name":"宋体"}},{"align":"center","color":"#ffffff","border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"bgcolor":"#9cc2e6","font":{"name":"宋体"}},{"align":"center","color":"#ffffff","bgcolor":"#9cc2e6","font":{"name":"宋体"},"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"center","font":{"name":"宋体"}},{"align":"center","color":"#ffffff","bgcolor":"#9cc2e6","font":{"name":"宋体"},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center","font":{"name":"宋体"}},{"align":"center","color":"#ffffff","bgcolor":"#5b9cd6","font":{"name":"宋体"},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}}],"validations":[],"cols":{"0":{"width":18},"1":{"width":102},"2":{"width":132},"3":{"width":147},"4":{"width":66},"5":{"width":66},"6":{"width":84},"7":{"width":88},"8":{"width":121},"len":50},"merges":["B1:H1"]}', NULL, 'https://static.jeecg.com/designreport/images/xiaoshou_1607310086160.png', 'jeecg', TO_DATE('2020-07-28 16:54:44', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-01 03:09:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '2085', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('537446834339098624', '20210401114849', 'oo', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":{"sri":3,"sci":4,"eri":3,"eci":4,"width":100,"height":25},"excel_config_id":"537446834339098624","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":false,"marginX":10,"marginY":10},"rows":{"3":{"cells":{"1":{"text":"#{pp.id}"},"2":{"text":"#{pp.cname}"},"3":{"text":"#{pp.cnum}"},"4":{"text":"#{pp.cprice}"}}},"len":98,"-1":{"cells":{"-1":{"text":"#{tt.id}"}}}},"dbexps":[],"dicts":[],"freeze":"A1","dataRectWidth":512,"displayConfig":{},"background":false,"name":"sheet1","autofilter":{},"styles":[],"validations":[],"cols":{"2":{"width":109},"3":{"width":103},"len":50},"merges":[]}', NULL, NULL, 'admin', TO_DATE('2021-04-01 03:48:50', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-01 05:56:45', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, NULL, '0', '49', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('53c82a76f837d5661dceec7d93afafec', '5678', '阜阳检票数查询', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":false,"printElWidth":718,"excel_config_id":"53c82a76f837d5661dceec7d93afafec","printElHeight":1047,"rows":{"0":{"cells":{"0":{"style":58},"1":{"text":"","style":66},"2":{"style":66},"3":{"style":67,"merge":[0,3],"text":"阜阳火车站检票数"},"4":{"style":67},"5":{"style":67},"6":{"style":67},"7":{"style":66},"8":{"style":66},"9":{"style":58}},"height":63},"1":{"cells":{"0":{"style":58},"1":{"style":66},"2":{"style":66},"3":{"style":66},"4":{"style":66},"5":{"style":66},"6":{"style":66},"7":{"style":66},"8":{"style":66},"9":{"style":58}},"height":20},"2":{"cells":{"0":{"style":58},"1":{"text":"日期：","style":68},"2":{"text":"${gongsi.tdata}","style":69},"3":{"style":66},"4":{"style":66,"text":"制表人："},"5":{"text":"${gongsi.gname}","style":66},"6":{"style":66},"7":{"text":"","merge":[0,1],"style":70},"8":{"style":70},"9":{"style":58}},"isDrag":true},"3":{"cells":{"0":{"style":58},"1":{"text":"班次","merge":[1,0],"style":71},"2":{"text":"发车时间","merge":[1,0],"style":71},"3":{"text":"是否放空","merge":[1,0],"style":71},"4":{"text":"路线","merge":[0,1],"style":71},"5":{"style":72},"6":{"text":"核载座位数","merge":[1,0],"style":71},"7":{"merge":[1,0],"style":71,"text":"检票数"},"8":{"merge":[1,0],"style":71,"text":"实载率（%）"},"9":{"style":58}}},"4":{"cells":{"0":{"style":58},"1":{"style":72},"2":{"style":71},"3":{"style":72},"4":{"text":"从","style":71},"5":{"text":"到","style":71},"6":{"style":72},"7":{"style":71},"8":{"style":72},"9":{"style":58}},"height":25},"5":{"cells":{"0":{"style":58},"1":{"style":73,"text":"#{jianpiao.bnum}"},"2":{"style":73,"text":"#{jianpiao.ftime}"},"3":{"style":73,"text":"#{jianpiao.sfkong}"},"4":{"style":73,"text":"#{jianpiao.kaishi}"},"5":{"style":73,"text":"#{jianpiao.jieshu}"},"6":{"style":73,"text":"#{jianpiao.hezairen}"},"7":{"style":73,"text":"#{jianpiao.jpnum}"},"8":{"style":73,"text":"#{jianpiao.shihelv}"},"9":{"style":58}},"height":33},"6":{"cells":{"1":{"text":"","style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}},"isDrag":true},"7":{"cells":{"1":{"style":11},"2":{"style":11,"text":""},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"8":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"9":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"10":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"11":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"12":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"13":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"14":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"len":96,"-1":{"cells":{"-1":{"text":"${gongsi.id}"}},"isDrag":true}},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":701,"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","border":{"top":["thin","#000"],"bottom":["thin","#000"],"left":["thin","#000"]}},{"align":"center","border":{"top":["thin","#000"],"bottom":["thin","#000"]}},{"align":"center","border":{"top":["thin","#000"]}},{"align":"center","border":{"top":["thin","#000"],"bottom":["thin","#000"],"right":["thin","#000"]}},{"align":"center","border":{"bottom":["thin","#000"]}},{"align":"center","border":{"top":["thin","#000"],"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","border":{"bottom":["thin","#000"],"left":["thin","#000"]}},{"align":"center","border":{"bottom":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{},{"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"border":{"top":["thin","#000100"],"left":["thin","#000100"]}},{"border":{"top":["thin","#000100"]}},{"border":{"top":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"left":["thin","#000100"]}},{"border":{"right":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"],"left":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"top":["thin","#7f7f7f"]}},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"right":["thin","#7f7f7f"],"bottom":["thin","#7f7f7f"]}},{"border":{"bottom":["thin","#7f7f7f"]}},{"border":{"right":["thin","#7f7f7f"]}},{"align":"center","font":{"size":16}},{"align":"center","font":{"size":16,"bold":true}},{"font":{"bold":true}},{"font":{"bold":false}},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":true}},{"align":"center","font":{"bold":true}},{"align":"right"},{"align":"center","font":{"size":14,"bold":true}},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":true},"bgcolor":"#4371c6"},{"align":"center","font":{"bold":true},"bgcolor":"#4371c6"},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false},"bgcolor":"#4371c6"},{"align":"center","font":{"bold":false},"bgcolor":"#4371c6"},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false},"bgcolor":"#2e75b5"},{"align":"center","font":{"bold":false},"bgcolor":"#2e75b5"},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false},"bgcolor":"#5b9cd6"},{"align":"center","font":{"bold":false},"bgcolor":"#5b9cd6"},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false},"bgcolor":"#0170c1"},{"align":"center","font":{"bold":false},"bgcolor":"#0170c1"},{"font":{"bold":false},"color":"#7f7f7f"},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false},"bgcolor":"#9cc2e6"},{"align":"center","font":{"bold":false},"bgcolor":"#9cc2e6"},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false},"bgcolor":"#01b0f1"},{"align":"center","font":{"bold":false},"bgcolor":"#01b0f1"},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"font":{"bold":false},"bgcolor":"#5b9cd6"},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"font":{"bold":false},"bgcolor":"#9cc2e6"},{"align":"center","font":{"size":16,"bold":true},"valign":"bottom"},{"align":"center","font":{"size":22,"bold":true},"valign":"bottom"},{"align":"center","font":{"size":18,"bold":true},"valign":"bottom"},{"font":{"bold":false},"color":"#7f7f7f","align":"right"},{"color":"#7f7f7f"},{"font":{"name":"宋体"}},{"align":"center","font":{"size":18,"bold":true,"name":"宋体"},"valign":"bottom"},{"font":{"bold":false,"name":"宋体"},"color":"#7f7f7f","align":"right"},{"color":"#7f7f7f","font":{"name":"宋体"}},{"align":"right","font":{"name":"宋体"}},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"font":{"bold":false,"name":"宋体"},"bgcolor":"#9cc2e6"},{"align":"center","font":{"bold":false,"name":"宋体"},"bgcolor":"#9cc2e6"},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"font":{"name":"宋体"}},{"font":{"name":"Microsoft YaHei"}},{"align":"center","font":{"size":18,"bold":true,"name":"Microsoft YaHei"},"valign":"bottom"},{"font":{"bold":false,"name":"Microsoft YaHei"},"color":"#7f7f7f","align":"right"},{"color":"#7f7f7f","font":{"name":"Microsoft YaHei"}},{"align":"right","font":{"name":"Microsoft YaHei"}},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"font":{"bold":false,"name":"Microsoft YaHei"},"bgcolor":"#9cc2e6"},{"align":"center","font":{"bold":false,"name":"Microsoft YaHei"},"bgcolor":"#9cc2e6"},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"font":{"name":"Microsoft YaHei"}}],"validations":[],"cols":{"0":{"width":17},"1":{"width":118},"2":{"width":75},"3":{"width":54},"4":{"width":95},"5":{"width":109},"6":{"width":75},"7":{"width":75},"8":{"width":83},"9":{"width":30},"len":50},"merges":["E4:F4","B4:B5","C4:C5","D4:D5","G4:G5","H4:H5","I4:I5","D1:G1","H3:I3"]}', NULL, 'https://static.jeecg.com/designreport/images/25_1597233573577.png', 'jeecg', TO_DATE('2020-06-16 15:01:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 12:11:37', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '689', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('5485950d88c9918d03dece2ad24b4d72', '202101081612408899', '实例：年度各月份佣金收入副本8899', NULL, NULL, 'datainfo', '{"loopBlockList":[],"area":{"sri":11,"sci":7,"eri":11,"eci":7,"width":100,"height":25},"printElWidth":749,"excel_config_id":"1347454742040809472","printElHeight":1047,"rows":{"1":{"cells":{"1":{"text":" ","virtual":"pZTpI3BKFw0lh6D7"},"2":{"text":"年度各月份佣金收入","style":23,"merge":[0,3],"virtual":"pZTpI3BKFw0lh6D7"},"3":{"style":24},"4":{"style":24},"5":{"style":24},"6":{"text":" "}},"height":37},"2":{"cells":{"1":{"text":" "},"2":{"text":" "},"3":{"text":" "},"4":{"text":" "},"5":{"text":" "},"6":{"text":" "}}},"4":{"cells":{"1":{"text":"查询年度：2019"},"4":{"text":"查询机构：总公司"},"6":{"text":"单位：元"}}},"6":{"cells":{"1":{"text":"月份","style":12},"2":{"text":"佣金/主营业收入","style":12},"3":{"text":"累计","style":12},"4":{"text":"历史最低水平","style":12},"5":{"text":"历史平均水平","style":12},"6":{"text":"历史最高水平","style":12}}},"7":{"cells":{"1":{"text":"#{tmp_report_data_1.monty}","style":0},"2":{"text":"#{tmp_report_data_1.main_income}","style":0},"3":{"text":"#{tmp_report_data_1.total}","style":18},"4":{"text":"#{tmp_report_data_1.his_lowest}","style":0},"5":{"text":"#{tmp_report_data_1.his_average}","style":0},"6":{"text":"#{tmp_report_data_1.his_highest}","style":0}},"isDrag":true},"9":{"cells":{"1":{"merge":[1,1]}}},"len":99},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":703,"background":false,"name":"sheet1","autofilter":{},"styles":[{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":true}},{"font":{"bold":true}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":false}},{"font":{"bold":false}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":true},"align":"center"},{"font":{"bold":true},"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":true,"size":15},"align":"center"},{"font":{"bold":true,"size":15},"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#01b0f1"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#33CCCC"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#33CCCC","align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#33CCCC","align":"left"},{"font":{"bold":true,"size":16}},{"font":{"bold":true,"size":24}},{"font":{"bold":true,"size":22}},{"font":{"bold":true,"size":22},"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"format":"usd"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"format":"rmb"},{"font":{"bold":true,"name":"黑体"}},{"font":{"bold":true,"name":"黑体","size":22}},{"font":{"bold":true,"name":"宋体","size":22}},{"font":{"bold":true,"name":"楷体","size":22}},{"font":{"bold":true,"name":"楷体","size":22},"align":"center"},{"align":"center"}],"validations":[],"cols":{"0":{"width":54},"1":{"width":111},"2":{"width":116},"4":{"width":122},"len":26},"merges":["B10:C11","C2:F2"],"imgList":[{"row":1,"col":1,"width":"148","height":"56","src":"https://static.jeecg.com/designreport/images/kunlunlog_1610591367645.png","layer_id":"pZTpI3BKFw0lh6D7","offsetX":0,"offsetY":0,"virtualCellRange":[[1,1],[1,2]]}]}', NULL, NULL, 'admin', TO_DATE('2021-01-19 10:45:44', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 12:02:25', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, NULL, '0', '43', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('6059e405dd9c66a6d38e00841d2e40cc', '566777', '处方笺', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":{"sri":9,"sci":3,"eri":9,"eci":11,"width":593,"height":25},"printElWidth":718,"excel_config_id":"6059e405dd9c66a6d38e00841d2e40cc","printElHeight":1047,"rows":{"0":{"cells":{"3":{"style":80,"text":" "}},"height":96},"1":{"cells":{"1":{"style":24,"text":" "},"2":{"style":25,"text":" "},"3":{"style":25,"text":" "},"4":{"style":25,"text":" "},"5":{"style":25,"text":" "},"6":{"style":25,"text":" "},"7":{"style":25,"text":" "},"8":{"style":25,"text":" "},"9":{"style":25,"text":" "},"10":{"style":25,"text":" "},"11":{"style":25,"text":" "},"12":{"style":26,"text":" "}},"height":18},"2":{"cells":{"1":{"text":" ","style":27},"2":{"merge":[0,9],"text":"智能医学院处方笺","style":38},"3":{"style":12,"text":" "},"4":{"style":12,"text":" "},"5":{"style":12,"text":" "},"6":{"style":12,"text":" "},"7":{"style":12,"text":" "},"8":{"style":12,"text":" "},"9":{"text":" "},"10":{"style":12,"text":" "},"11":{"style":12,"text":" "},"12":{"style":28,"text":" "},"13":{"style":80,"text":" "}},"height":124},"3":{"cells":{"1":{"text":" ","style":46},"2":{"merge":[0,1],"text":"姓名：","style":4},"3":{"style":4,"text":" "},"4":{"text":"${yonghu.yphone}"},"5":{"text":"性别：","style":42},"6":{"text":"${yonghu.ysex}","style":42},"7":{"text":"年龄：","style":47},"8":{"text":"${yonghu.yage}"},"9":{"text":" "},"10":{"text":" ","style":42},"11":{"style":69,"text":" ","merge":[0,1]},"12":{"style":43,"text":" "},"13":{"style":80,"text":" "}},"isDrag":true},"4":{"cells":{"1":{"text":" ","style":74},"2":{"style":4,"merge":[0,1],"text":"单位："},"3":{"style":4,"text":" "},"4":{"text":"${yonghu.danwei}"},"5":{"text":"电话："},"6":{"text":"${yonghu.yphone}","merge":[0,5]},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "},"15":{"text":""}},"isDrag":true,"height":29},"5":{"cells":{"1":{"style":31,"text":" "},"2":{"merge":[0,1],"text":"初步诊断：","style":4},"3":{"text":" ","style":4},"4":{"text":"${yonghu.yjieguo}","merge":[0,7]},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "}},"isDrag":true,"height":34},"6":{"cells":{"1":{"text":" RP：","merge":[0,2],"style":79},"2":{"style":11,"text":" "},"3":{"style":11,"text":" "},"4":{"style":39,"text":" "},"5":{"style":0,"text":" "},"6":{"style":0,"text":" "},"7":{"style":0,"text":" "},"8":{"style":0,"text":" "},"9":{"text":" "},"10":{"style":0,"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "},"14":{},"16":{}},"height":79},"7":{"cells":{"1":{"text":".","style":48},"2":{"text":"","style":1},"3":{"text":"#{yaopin.name}","merge":[0,1]},"5":{},"6":{},"7":{"text":"#{yaopin.percent}","merge":[0,1]},"9":{},"10":{},"11":{"text":""},"12":{"style":28,"text":" "},"14":{}},"isDrag":true,"height":37},"8":{"cells":{"1":{"style":31,"text":" "},"2":{"text":" "},"3":{"text":" "},"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "}},"height":27},"9":{"cells":{"1":{"style":31,"text":" "},"2":{"text":"医嘱：","style":76},"3":{"text":"${yonghu.yizhu}","style":6,"merge":[0,8]},"12":{"style":28,"text":" "}},"isDrag":true},"10":{"cells":{"1":{"style":31,"text":" "},"2":{"text":"药品费","style":6,"merge":[0,1]},"3":{"text":" "},"4":{"text":"${yonghu.yprice}","style":6},"5":{"text":"中成药费","style":6,"rendered":"","merge":[0,1]},"7":{"style":6,"text":" "},"8":{"text":"治疗费","merge":[0,2],"style":6},"9":{"text":" "},"10":{"text":" "},"11":{"style":6,"text":" "},"12":{"style":28,"text":" "}},"isDrag":true},"11":{"cells":{"1":{"style":31,"text":" "},"2":{"text":"检查费","style":6,"merge":[0,1]},"3":{"text":" "},"4":{"style":6,"text":" "},"5":{"text":"换药费","style":6,"merge":[0,1]},"7":{"style":6,"text":" "},"8":{"merge":[0,2],"text":"诊疗费","style":6},"9":{"text":" "},"10":{"text":" "},"11":{"text":"${yonghu.yzhenliao}","style":6},"12":{"style":28,"text":" "}},"isDrag":true},"12":{"cells":{"1":{"style":31,"text":" "},"2":{"text":"注射费","style":6,"merge":[0,1]},"3":{"text":" "},"4":{"style":6,"merge":[0,3],"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"merge":[0,2],"text":"其他","style":6},"9":{"text":" "},"10":{"text":" "},"11":{"style":6,"text":" "},"12":{"style":28,"text":" "}}},"13":{"cells":{"1":{"style":31,"text":" "},"2":{"text":"合计","style":6,"merge":[0,1]},"3":{"text":" "},"4":{"text":"${yonghu.ytotal}","style":6,"merge":[0,7]},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "}},"isDrag":true},"14":{"cells":{"1":{"style":31,"text":" "},"2":{"text":" "},"3":{"text":" "},"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "},"13":{"style":80,"text":" "}},"height":9},"15":{"cells":{"1":{"style":31,"text":" "},"2":{"text":"医师：","style":4,"rendered":"","merge":[0,1]},"4":{"text":"${yonghu.yishe}","style":80},"5":{"style":80,"text":" "},"6":{"style":80,"text":" "},"7":{"style":80,"text":" "},"8":{"text":"日期：","style":4},"9":{"text":"${yonghu.kdata}","style":80,"merge":[0,2]},"12":{"style":71,"text":" "},"13":{"style":80,"text":" "}},"isDrag":true,"height":43},"16":{"cells":{"1":{"style":31,"text":" "},"2":{"style":80,"text":" "},"3":{"style":80,"text":" "},"4":{"style":80,"text":" "},"5":{"style":80,"text":" "},"6":{"style":80,"text":" "},"7":{"style":80,"text":" "},"8":{"style":80,"text":" "},"9":{"style":80,"text":" "},"10":{"style":80,"text":" "},"11":{"style":80,"text":" "},"12":{"style":28,"text":" "}},"height":17},"17":{"cells":{"1":{"text":" ","style":32},"2":{"text":" ","style":33},"3":{"style":33,"text":" "},"4":{"text":" ","style":33},"5":{"text":" ","style":33},"6":{"text":" ","style":33},"7":{"text":" ","style":33},"8":{"text":" ","style":33},"9":{"text":" ","style":33},"10":{"text":" ","style":33},"11":{"text":" ","style":33},"12":{"text":" ","style":34}}},"18":{"cells":{"11":{"text":""}},"isDrag":true},"len":94,"-1":{"cells":{"-1":{"text":"#{yaopin.key1}"}},"isDrag":true},"":{"cells":{"NaN":{"text":"","rendered":""}}}},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":709,"background":false,"name":"sheet1","autofilter":{},"styles":[{"font":{"size":12}},{"font":{"size":10}},{"font":{"size":12},"align":"right"},{"font":{"size":14}},{"align":"right"},{"font":{"size":10},"align":"right"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center"},{"align":"center"},{"font":{"size":12},"align":"center"},{"font":{"size":12,"bold":true},"align":"center"},{"align":"center","font":{"bold":true}},{"font":{"size":14,"bold":true},"align":"center"},{"border":{"top":["thin","#000"],"left":["thin","#000"]}},{"border":{"top":["thin","#000"]}},{"border":{"top":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":14,"bold":true},"align":"center","border":{"left":["thin","#000"]}},{"border":{"right":["thin","#000"]}},{"font":{"size":12},"border":{"left":["thin","#000"]}},{"font":{"size":10},"border":{"left":["thin","#000"]}},{"border":{"left":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"left":["thin","#000"]}},{"border":{"bottom":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"right":["thin","#000"]}},{"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":14,"bold":true},"align":"center","border":{"left":["thick","#000"]}},{"border":{"right":["thick","#000"]}},{"font":{"size":12},"border":{"left":["thick","#000"]}},{"font":{"size":10},"border":{"left":["thick","#000"]}},{"border":{"left":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]}},{"border":{"bottom":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":15},"border":{"left":["thick","#000"]}},{"font":{"size":15}},{"align":"left"},{"font":{"size":14,"bold":true},"align":"center","border":{"bottom":["thick","#000"]}},{"font":{"size":12,"bold":true}},{"font":{"size":12,"bold":true},"align":"center","border":{"bottom":["thick","#000"]}},{"font":{"size":10},"border":{"left":["thick","#000"]},"valign":"bottom"},{"font":{"size":10},"valign":"bottom"},{"valign":"bottom"},{"align":"right","border":{"top":["thick","#000"]}},{"align":"left","border":{"top":["thick","#000"]}},{"font":{"size":10},"border":{"left":["thick","#000"]},"valign":"bottom","align":"right"},{"font":{"size":10},"valign":"bottom","align":"right"},{"font":{"size":10},"border":{"left":["thick","#000"]},"align":"right"},{"font":{"size":10},"border":{"left":["thick","#000"]},"textwrap":true},{"font":{"size":10},"textwrap":true},{"font":{"size":10},"border":{"left":["thick","#000"]},"textwrap":false},{"font":{"size":10},"textwrap":false},{"font":{"size":10},"border":{"left":["thick","#000"]},"textwrap":false,"align":"right"},{"font":{"size":10},"textwrap":false,"align":"right"},{"font":{"size":10},"border":{"left":["thick","#000"]},"textwrap":false,"align":"left"},{"font":{"size":10},"textwrap":false,"align":"left"},{"font":{"size":10},"border":{"left":["thick","#000"]},"textwrap":false,"align":"center"},{"font":{"size":10},"textwrap":false,"align":"center"},{"font":{"size":15},"border":{"left":["thick","#000"]},"align":"right"},{"font":{"size":15},"align":"right"},{"font":{"size":15},"border":{"left":["thick","#000"]},"align":"center"},{"font":{"size":10},"border":{"left":["thin","#000"]},"valign":"bottom","align":"right"},{"font":{"size":10},"valign":"bottom","border":{"right":["thin","#000"]}},{"font":{"size":10},"border":{"left":["thin","#000"]},"align":"right"},{"font":{"size":10},"border":{"left":["thin","#000"]},"textwrap":false,"align":"left"},{"font":{"size":10},"border":{"right":["thin","#000"]}},{"font":{"size":15},"border":{"left":["thin","#000"]},"align":"center"},{"align":"left","border":{"right":["thin","#000"]}},{"font":{"size":10},"valign":"bottom","border":{"right":["thick","#000"]}},{"font":{"size":10},"border":{"right":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]}},{"font":{"size":10},"align":"left"},{"border":{"left":["thick","#000"]},"align":"center"},{"border":{"left":["thick","#000"]},"align":"right"},{"border":{"bottom":["thick","#000"],"top":["thick","#000"],"left":["thick","#000"],"right":["thick","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"right"},{"font":{"size":10},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":10},"align":"left","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":15,"bold":true},"border":{"left":["thick","#000"]},"align":"center"},{},{"font":{"size":15,"bold":true},"align":"center"},{"align":"right","border":{"top":["thin","#000"],"left":["thin","#000"]}},{"font":{"size":14,"bold":true},"align":"center","border":{"bottom":["thick","#000"],"top":["thick","#000"],"left":["thick","#000"],"right":["thick","#000"]}}],"validations":[],"cols":{"0":{"width":23},"1":{"width":14},"2":{"width":56},"3":{"width":40},"4":{"width":156},"5":{"width":41},"6":{"width":18},"7":{"width":92},"8":{"width":58},"9":{"width":20},"10":{"width":20},"11":{"width":148},"12":{"width":12},"13":{"width":11},"len":50},"merges":["C3:E3","C7:E7","H3:I3","H7:I7","C7:E7","H7:I7","I11:K11","I12:K12","I13:K13","E13:H13","C11:D11","C12:D12","C13:D13","C14:D14","L4:M4","C3:L3","B7:D7","C4:D4","C5:D5","E14:L14","G5:L5","C6:D6","E6:L6","D8:E8","H8:I8","C16:D16","J16:L16","F11:G11","F12:G12","D10:L10"]}', NULL, 'https://static.jeecg.com/designreport/images/处方_1607071731580.png', 'jeecg', TO_DATE('2020-07-10 17:12:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 14:03:05', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '846', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('6d6bdcb5e820c301ea32789e3ae43c44', '1223', '供电公司抢修单', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":{"sri":14,"sci":8,"eri":14,"eci":8,"width":100,"height":67},"printElWidth":718,"excel_config_id":"6d6bdcb5e820c301ea32789e3ae43c44","printElHeight":1047,"rows":{"0":{"cells":{},"height":11},"1":{"cells":{"1":{"text":"供电公司抢修竣工单","merge":[0,5],"style":39},"2":{"style":39},"3":{"style":39},"4":{"style":39},"5":{"style":39},"6":{"style":39}},"height":56},"2":{"cells":{"1":{"text":"填报单位：","style":26},"2":{"text":"#{qiangxiu.danwei}","style":27},"3":{"style":27},"4":{"text":"","style":27},"5":{"text":"填报日期：","style":26},"6":{"text":"#{qiangxiu.time}","style":27}}},"3":{"cells":{"1":{"text":"填报名称：","style":26},"2":{"text":"#{qiangxiu.ktime}","style":27},"3":{"style":27},"4":{"style":27},"5":{"text":"项目编号：","style":26},"6":{"text":"#{qiangxiu.wtime}","style":27}}},"4":{"cells":{"1":{"style":28},"2":{"style":28},"3":{"style":28},"4":{"style":28},"5":{"style":28},"6":{"style":28}},"height":10},"5":{"cells":{"1":{"text":"项目批准核算","style":29},"2":{"text":"#{qiangxiu.yusuan}","style":30,"merge":[0,4]}},"height":89},"6":{"cells":{"1":{"text":"开工日期","style":32},"2":{"style":33,"text":"#{qiangxiu.ktime}","merge":[0,1]},"3":{"style":28},"4":{"style":34,"text":"完工日期"},"5":{"style":33,"merge":[0,1],"text":"#{qiangxiu.wtime}"},"6":{"style":28}},"height":31},"7":{"cells":{"1":{"text":"完工主要内容","style":32},"2":{"style":33,"text":"#{qiangxiu.neirong}","merge":[0,4]}},"height":71},"8":{"cells":{"1":{"text":"形成能力","style":32},"2":{"style":33,"merge":[0,4],"text":"#{qiangxiu.nengli}"},"3":{"style":28},"4":{"style":28},"5":{"style":28},"6":{"style":28}},"height":49},"9":{"cells":{"1":{"text":"目标效益验收意见","style":32},"2":{"style":35,"text":"#{qiangxiu.yijian}","rendered":"","merge":[0,4]}},"height":100},"10":{"cells":{"1":{"style":37,"text":"                                                                                                                     ","merge":[0,3]},"2":{"style":28},"3":{"style":28},"4":{"style":28},"5":{"style":37,"text":"#{qiangxiu.time1}","merge":[0,1]},"6":{"style":28}}},"11":{"cells":{"1":{"text":"实施质量验收评价","style":32},"2":{"style":35,"text":"#{qiangxiu.pingjia}","merge":[0,4]}},"height":99},"12":{"cells":{"1":{"style":33,"merge":[0,3]},"2":{"style":28},"3":{"style":28},"4":{"style":28},"5":{"style":33,"merge":[0,1],"text":"#{qiangxiu.time1}"},"6":{"style":28}}},"13":{"cells":{"1":{"text":"验收总结","style":32},"2":{"style":35,"text":"#{qiangxiu.zongjie}","merge":[0,4],"rendered":""}},"height":80},"14":{"cells":{"1":{"text":"责任单位意见","style":32},"2":{"style":33,"merge":[0,4],"text":"#{qiangxiu.zongjie}"}},"height":67},"15":{"cells":{"1":{"text":"责任单位审核人","style":32},"2":{"style":33,"merge":[0,1],"text":"#{qiangxiu.dshenhe}"},"3":{"style":28},"4":{"style":34,"text":"日期"},"5":{"style":33,"text":"#{qiangxiu.time3}","merge":[0,1]},"6":{"style":28}},"height":42},"16":{"cells":{"1":{"text":"生技部审批意见","style":32},"2":{"style":33,"text":"#{qiangxiu.dshenhe}","merge":[0,4]}},"height":107},"17":{"cells":{"1":{"text":"生技部主任","style":32},"2":{"style":33,"merge":[0,1],"text":"#{qiangxiu.zhuren}"},"3":{"style":28},"4":{"style":34,"text":"日期"},"5":{"style":33,"text":"#{qiangxiu.time4}","merge":[0,1]},"6":{"style":28}},"height":41},"18":{"cells":{"1":{"style":28},"2":{"style":28},"3":{"style":28},"4":{"style":28},"5":{"style":28},"6":{"style":28}}},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":699,"background":false,"name":"sheet1","autofilter":{},"styles":[{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#9cc2e6"},{"bgcolor":"#9cc2e6"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#ffffff"},{"bgcolor":"#ffffff"},{"align":"center"},{"align":"center","font":{"size":14}},{"align":"center","font":{"size":14,"bold":true}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"right"},{"align":"right"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"left"},{"align":"left"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true},{"textwrap":true},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":false},{"textwrap":false},{"align":"center","font":{"size":18,"bold":true}},{"align":"center","font":{"size":16,"bold":true}},{"align":"right","color":"#7f7f7f"},{"color":"#7f7f7f"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#ffffff","font":{"bold":true}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":true}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#ffffff","font":{"bold":false}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":false}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"right","font":{"bold":true}},{"align":"center","font":{"size":16,"bold":true,"name":"宋体"}},{"align":"right","color":"#7f7f7f","font":{"name":"宋体"}},{"color":"#7f7f7f","font":{"name":"宋体"}},{"font":{"name":"宋体"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#ffffff","font":{"bold":true,"name":"宋体"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#ffffff","font":{"name":"宋体"}},{"bgcolor":"#ffffff","font":{"name":"宋体"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"bold":true,"name":"宋体"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"right","font":{"bold":true,"name":"宋体"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"font":{"name":"宋体"}},{"textwrap":true,"font":{"name":"宋体"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"left","font":{"name":"宋体"}},{"align":"center","font":{"size":16,"bold":false,"name":"宋体"}},{"align":"center","font":{"size":18,"bold":true,"name":"宋体"}}],"validations":[],"cols":{"0":{"width":23},"1":{"width":117},"3":{"width":108},"4":{"width":127},"5":{"width":76},"6":{"width":148},"7":{"width":13},"len":50},"merges":["C7:D7","F7:G7","B2:G2","C9:G9","B11:E11","F11:G11","B13:E13","F13:G13","C16:D16","C18:D18","F16:G16","F18:G18","C10:G10","C8:G8","C6:G6","C12:G12","C14:G14","C15:G15","C17:G17"]}', NULL, 'https://static.jeecg.com/designreport/images/222_1607311944321.png', 'jeecg', TO_DATE('2020-07-20 19:37:54', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 14:00:39', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '177', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('6df599d933df24de007764d0e98eb105', '5667774539', '处方笺副本4539', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":false,"printElWidth":718,"excel_config_id":"6df599d933df24de007764d0e98eb105","printElHeight":1047,"rows":{"0":{"cells":{"3":{"style":80,"text":" "}},"height":96},"1":{"cells":{"1":{"style":24,"text":" "},"2":{"style":25,"text":" "},"3":{"style":25,"text":" "},"4":{"style":25,"text":" "},"5":{"style":25,"text":" "},"6":{"style":25,"text":" "},"7":{"style":25,"text":" "},"8":{"style":25,"text":" "},"9":{"style":25,"text":" "},"10":{"style":25,"text":" "},"11":{"style":25,"text":" "},"12":{"style":26,"text":" "}},"height":18},"2":{"cells":{"1":{"text":" ","style":27},"2":{"merge":[0,9],"text":"智能医学院处方笺","style":38},"3":{"style":12,"text":" "},"4":{"style":12,"text":" "},"5":{"style":12,"text":" "},"6":{"style":12,"text":" "},"7":{"style":12,"text":" "},"8":{"style":12,"text":" "},"9":{"text":" "},"10":{"style":12,"text":" "},"11":{"style":12,"text":" "},"12":{"style":28,"text":" "},"13":{"style":80,"text":" "}},"height":124},"3":{"cells":{"1":{"text":" ","style":46},"2":{"merge":[0,1],"text":"姓名：","style":4},"3":{"style":4,"text":" "},"4":{"text":"${yonghu.yphone}"},"5":{"text":"性别：","style":42},"6":{"text":"${yonghu.ysex}","style":42},"7":{"text":"年龄：","style":47},"8":{"text":"${yonghu.yage}"},"9":{"text":" "},"10":{"text":" ","style":42},"11":{"style":69,"text":" ","merge":[0,1]},"12":{"style":43,"text":" "},"13":{"style":80,"text":" "}},"isDrag":true},"4":{"cells":{"1":{"text":" ","style":74},"2":{"style":4,"merge":[0,1],"text":"单位："},"3":{"style":4,"text":" "},"4":{"text":"${yonghu.danwei}"},"5":{"text":"电话："},"6":{"text":"${yonghu.yphone}","merge":[0,5]},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "},"15":{"text":""}},"isDrag":true,"height":29},"5":{"cells":{"1":{"style":31,"text":" "},"2":{"merge":[0,1],"text":"初步诊断：","style":4},"3":{"text":" ","style":4},"4":{"text":"${yonghu.yjieguo}","merge":[0,7]},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "}},"isDrag":true,"height":34},"6":{"cells":{"1":{"text":" RP：","merge":[0,2],"style":79},"2":{"style":11,"text":" "},"3":{"style":11,"text":" "},"4":{"style":39,"text":" "},"5":{"style":0,"text":" "},"6":{"style":0,"text":" "},"7":{"style":0,"text":" "},"8":{"style":0,"text":" "},"9":{"text":" "},"10":{"style":0,"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "},"14":{},"16":{}},"height":79},"7":{"cells":{"1":{"text":".","style":48},"2":{"text":"","style":1},"3":{"text":"#{yaopin.name}","merge":[0,1]},"5":{},"6":{},"7":{"text":"#{yaopin.percent}","merge":[0,1]},"9":{},"10":{},"11":{"text":""},"12":{"style":28,"text":" "},"14":{}},"isDrag":true,"height":37},"8":{"cells":{"1":{"style":31,"text":" "},"2":{"text":" "},"3":{"text":" "},"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "}},"height":27},"9":{"cells":{"1":{"style":31,"text":" "},"2":{"text":"医嘱：","style":76},"3":{"text":"${yonghu.yizhu}","style":6,"merge":[0,8]},"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "}},"isDrag":true},"10":{"cells":{"1":{"style":31,"text":" "},"2":{"text":"药品费","style":6,"merge":[0,1]},"3":{"text":" "},"4":{"text":"${yonghu.yprice}","style":6},"5":{"merge":[0,1],"text":"中成药费","style":6},"6":{"text":" "},"7":{"style":6,"text":" "},"8":{"text":"治疗费","merge":[0,2],"style":6},"9":{"text":" "},"10":{"text":" "},"11":{"style":6,"text":" "},"12":{"style":28,"text":" "}},"isDrag":true},"11":{"cells":{"1":{"style":31,"text":" "},"2":{"text":"检查费","style":6,"merge":[0,1]},"3":{"text":" "},"4":{"style":6,"text":" "},"5":{"merge":[0,1],"text":"换药费","style":6},"6":{"text":" "},"7":{"style":6,"text":" "},"8":{"merge":[0,2],"text":"诊疗费","style":6},"9":{"text":" "},"10":{"text":" "},"11":{"text":"${yonghu.yzhenliao}","style":6},"12":{"style":28,"text":" "}},"isDrag":true},"12":{"cells":{"1":{"style":31,"text":" "},"2":{"text":"注射费","style":6,"merge":[0,1]},"3":{"text":" "},"4":{"style":6,"merge":[0,3],"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"merge":[0,2],"text":"其他","style":6},"9":{"text":" "},"10":{"text":" "},"11":{"style":6,"text":" "},"12":{"style":28,"text":" "}}},"13":{"cells":{"1":{"style":31,"text":" "},"2":{"text":"合计","style":6,"merge":[0,1]},"3":{"text":" "},"4":{"text":"${yonghu.ytotal}","style":6,"merge":[0,7]},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "}},"isDrag":true},"14":{"cells":{"1":{"style":31,"text":" "},"2":{"text":" "},"3":{"text":" "},"4":{"text":" "},"5":{"text":" "},"6":{"text":" "},"7":{"text":" "},"8":{"text":" "},"9":{"text":" "},"10":{"text":" "},"11":{"text":" "},"12":{"style":28,"text":" "},"13":{"style":80,"text":" "}},"height":9},"15":{"cells":{"1":{"style":31,"text":" "},"2":{"text":"医师：","style":4,"merge":[0,1]},"3":{"text":" "},"4":{"text":"${yonghu.yishe}","style":80},"5":{"style":80,"text":" "},"6":{"style":80,"text":" "},"7":{"style":80,"text":" "},"8":{"text":"日期：","style":4},"9":{"text":"${yonghu.kdata}","style":80,"merge":[0,2]},"10":{"text":" "},"11":{"text":" "},"12":{"style":71,"text":" "},"13":{"style":80,"text":" "}},"isDrag":true,"height":43},"16":{"cells":{"1":{"style":31,"text":" "},"2":{"style":80,"text":" "},"3":{"style":80,"text":" "},"4":{"style":80,"text":" "},"5":{"style":80,"text":" "},"6":{"style":80,"text":" "},"7":{"style":80,"text":" "},"8":{"style":80,"text":" "},"9":{"style":80,"text":" "},"10":{"style":80,"text":" "},"11":{"style":80,"text":" "},"12":{"style":28,"text":" "}},"height":17},"17":{"cells":{"1":{"text":" ","style":32},"2":{"text":" ","style":33},"3":{"style":33,"text":" "},"4":{"text":" ","style":33},"5":{"text":" ","style":33},"6":{"text":" ","style":33},"7":{"text":" ","style":33},"8":{"text":" ","style":33},"9":{"text":" ","style":33},"10":{"text":" ","style":33},"11":{"text":" ","style":33},"12":{"text":" ","style":34}}},"18":{"cells":{"11":{"text":""}},"isDrag":true},"len":94,"-1":{"cells":{"-1":{"text":"#{yaopin.key1}"}},"isDrag":true},"":{"cells":{"NaN":{"text":"","rendered":""}}}},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":798,"background":false,"name":"sheet1","autofilter":{},"styles":[{"font":{"size":12}},{"font":{"size":10}},{"font":{"size":12},"align":"right"},{"font":{"size":14}},{"align":"right"},{"font":{"size":10},"align":"right"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center"},{"align":"center"},{"font":{"size":12},"align":"center"},{"font":{"size":12,"bold":true},"align":"center"},{"align":"center","font":{"bold":true}},{"font":{"size":14,"bold":true},"align":"center"},{"border":{"top":["thin","#000"],"left":["thin","#000"]}},{"border":{"top":["thin","#000"]}},{"border":{"top":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":14,"bold":true},"align":"center","border":{"left":["thin","#000"]}},{"border":{"right":["thin","#000"]}},{"font":{"size":12},"border":{"left":["thin","#000"]}},{"font":{"size":10},"border":{"left":["thin","#000"]}},{"border":{"left":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"left":["thin","#000"]}},{"border":{"bottom":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"right":["thin","#000"]}},{"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":14,"bold":true},"align":"center","border":{"left":["thick","#000"]}},{"border":{"right":["thick","#000"]}},{"font":{"size":12},"border":{"left":["thick","#000"]}},{"font":{"size":10},"border":{"left":["thick","#000"]}},{"border":{"left":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]}},{"border":{"bottom":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":15},"border":{"left":["thick","#000"]}},{"font":{"size":15}},{"align":"left"},{"font":{"size":14,"bold":true},"align":"center","border":{"bottom":["thick","#000"]}},{"font":{"size":12,"bold":true}},{"font":{"size":12,"bold":true},"align":"center","border":{"bottom":["thick","#000"]}},{"font":{"size":10},"border":{"left":["thick","#000"]},"valign":"bottom"},{"font":{"size":10},"valign":"bottom"},{"valign":"bottom"},{"align":"right","border":{"top":["thick","#000"]}},{"align":"left","border":{"top":["thick","#000"]}},{"font":{"size":10},"border":{"left":["thick","#000"]},"valign":"bottom","align":"right"},{"font":{"size":10},"valign":"bottom","align":"right"},{"font":{"size":10},"border":{"left":["thick","#000"]},"align":"right"},{"font":{"size":10},"border":{"left":["thick","#000"]},"textwrap":true},{"font":{"size":10},"textwrap":true},{"font":{"size":10},"border":{"left":["thick","#000"]},"textwrap":false},{"font":{"size":10},"textwrap":false},{"font":{"size":10},"border":{"left":["thick","#000"]},"textwrap":false,"align":"right"},{"font":{"size":10},"textwrap":false,"align":"right"},{"font":{"size":10},"border":{"left":["thick","#000"]},"textwrap":false,"align":"left"},{"font":{"size":10},"textwrap":false,"align":"left"},{"font":{"size":10},"border":{"left":["thick","#000"]},"textwrap":false,"align":"center"},{"font":{"size":10},"textwrap":false,"align":"center"},{"font":{"size":15},"border":{"left":["thick","#000"]},"align":"right"},{"font":{"size":15},"align":"right"},{"font":{"size":15},"border":{"left":["thick","#000"]},"align":"center"},{"font":{"size":10},"border":{"left":["thin","#000"]},"valign":"bottom","align":"right"},{"font":{"size":10},"valign":"bottom","border":{"right":["thin","#000"]}},{"font":{"size":10},"border":{"left":["thin","#000"]},"align":"right"},{"font":{"size":10},"border":{"left":["thin","#000"]},"textwrap":false,"align":"left"},{"font":{"size":10},"border":{"right":["thin","#000"]}},{"font":{"size":15},"border":{"left":["thin","#000"]},"align":"center"},{"align":"left","border":{"right":["thin","#000"]}},{"font":{"size":10},"valign":"bottom","border":{"right":["thick","#000"]}},{"font":{"size":10},"border":{"right":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]}},{"font":{"size":10},"align":"left"},{"border":{"left":["thick","#000"]},"align":"center"},{"border":{"left":["thick","#000"]},"align":"right"},{"border":{"bottom":["thick","#000"],"top":["thick","#000"],"left":["thick","#000"],"right":["thick","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"right"},{"font":{"size":10},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":10},"align":"left","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":15,"bold":true},"border":{"left":["thick","#000"]},"align":"center"},{},{"font":{"size":15,"bold":true},"align":"center"},{"align":"right","border":{"top":["thin","#000"],"left":["thin","#000"]}},{"font":{"size":14,"bold":true},"align":"center","border":{"bottom":["thick","#000"],"top":["thick","#000"],"left":["thick","#000"],"right":["thick","#000"]}}],"validations":[],"cols":{"0":{"width":23},"1":{"width":14},"2":{"width":56},"3":{"width":40},"4":{"width":156},"5":{"width":41},"6":{"width":18},"7":{"width":92},"8":{"width":58},"9":{"width":20},"10":{"width":20},"11":{"width":148},"12":{"width":12},"len":50},"merges":["C3:E3","C7:E7","H3:I3","H7:I7","C7:E7","H7:I7","F11:G11","I11:K11","F12:G12","I12:K12","I13:K13","E13:H13","C11:D11","C12:D12","C13:D13","C14:D14","C16:D16","L4:M4","C3:L3","B7:D7","C4:D4","C5:D5","E14:L14","J16:L16","D10:L10","G5:L5","C6:D6","E6:L6","D8:E8","H8:I8"]}', NULL, 'https://static.jeecg.com/designreport/images/处方_1607071731580.png', 'admin', TO_DATE('2021-02-02 20:13:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 14:01:33', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '0', '834', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('7905022412733a0c68dc7b4ef8947489', '8996445', '介绍信', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":false,"excel_config_id":"7905022412733a0c68dc7b4ef8947489","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":false,"marginX":10,"marginY":10},"rows":{"0":{"cells":{"1":{},"12":{}},"height":11},"1":{"cells":{},"height":24},"2":{"cells":{},"isDrag":true,"height":43},"3":{"cells":{"0":{"text":"","style":46},"1":{"merge":[0,10],"text":"介绍信","style":337}},"height":216},"4":{"cells":{"1":{"text":"${jieshaoxin.name}","style":338,"merge":[0,3]},"5":{"text":"：","style":339}},"isDrag":true,"height":80},"5":{"cells":{"1":{"text":"兹介绍我局","style":340,"merge":[0,5]},"7":{"text":"${jieshaoxin.value}","style":341},"8":{"text":"同志","style":339},"9":{"text":"#{jieshaoxin.percent}","style":339},"10":{"text":"人，前往你处","style":339,"merge":[0,1]}},"isDrag":true,"height":42},"6":{"cells":{"1":{"text":"${jieshaoxin.shiqing}","style":342,"merge":[0,5]},"15":{"text":""}},"isDrag":true,"height":48},"7":{"cells":{"1":{"style":343,"text":""},"2":{"style":344,"merge":[0,5],"text":"请予接洽并给予帮助。"}},"height":56},"8":{"cells":{},"height":15},"9":{"cells":{},"height":11},"10":{"cells":{"8":{"text":"","style":316,"merge":[0,3]}},"height":39},"11":{"cells":{"8":{"merge":[0,2],"text":"单位盖章","style":347},"11":{"merge":[0,1],"style":316}},"height":84},"12":{"cells":{"1":{"merge":[0,2],"text":"","style":317},"4":{"merge":[0,2],"text":"","style":346},"7":{"text":"（有效时间：至","style":317},"8":{"text":"${jieshaoxin.gdata}","style":316,"merge":[0,2]},"11":{"style":348,"text":"止）"}},"isDrag":true,"height":30},"13":{"cells":{"1":{"merge":[12,11]}}},"17":{"cells":{},"isDrag":true},"len":89},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":688,"displayConfig":{},"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"left"},{"align":"left","underline":true},{"underline":true},{"align":"center","underline":true},{"align":"center"},{"align":"center","underline":false},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]}},{"align":"left","border":{"bottom":["thin","#000"]}},{"align":"left","font":{"size":16}},{"font":{"size":16}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":16}},{"align":"center","underline":false,"font":{"size":16}},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":16}},{"align":"left","font":{"size":16,"bold":true}},{"font":{"size":16,"bold":true}},{"align":"center","underline":false,"font":{"size":16,"bold":true}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":16,"bold":true}},{"font":{"bold":true}},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":16,"bold":true}},{"align":"left","font":{"size":16,"bold":false}},{"font":{"size":16,"bold":false}},{"align":"center","underline":false,"font":{"size":16,"bold":false}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":16,"bold":false}},{"font":{"bold":false}},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":16,"bold":false}},{"align":"left","font":{"size":16,"bold":false},"color":"#3f3f3f"},{"font":{"size":16,"bold":false},"color":"#3f3f3f"},{"align":"center","underline":false,"font":{"size":16,"bold":false},"color":"#3f3f3f"},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":16,"bold":false},"color":"#3f3f3f"},{"font":{"bold":false},"color":"#3f3f3f"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":16,"bold":false},"color":"#3f3f3f"},{"font":{"size":12}},{"align":"left","font":{"size":12,"bold":false},"color":"#3f3f3f"},{"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"center","underline":false,"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"font":{"size":12,"bold":false},"color":"#3f3f3f","align":"center"},{"font":{"size":12},"align":"center"},{"font":{"size":8}},{"font":{"size":10}},{"font":{"size":10,"bold":true}},{"font":{"size":10,"bold":true},"align":"center"},{"font":{"size":18,"bold":true},"align":"center"},{"align":"center","font":{"size":18}},{"font":{"size":16,"bold":true},"align":"center"},{"align":"center","font":{"size":16}},{"font":{"size":12},"valign":"bottom"},{"font":{"size":12},"valign":"middle"},{"font":{"size":12},"border":{"top":["thin","#000"],"left":["thin","#000"]}},{"font":{"size":12},"border":{"top":["thin","#000"]}},{"border":{"top":["thin","#000"]}},{"font":{"size":12},"border":{"top":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":12},"border":{"left":["thin","#000"]}},{"font":{"size":12},"border":{"right":["thin","#000"]}},{"font":{"size":12},"valign":"middle","border":{"right":["thin","#000"]}},{"align":"left","font":{"size":12,"bold":false},"color":"#3f3f3f","border":{"left":["thin","#000"],"right":["thin","#000"]}},{"align":"left","font":{"size":12,"bold":false},"color":"#3f3f3f","border":{"left":["thin","#000"]}},{"align":"center","underline":false,"border":{"right":["thin","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"center","border":{"right":["thin","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"left","border":{"right":["thin","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"border":{"bottom":["thin","#000"],"left":["thin","#000"]}},{"border":{"bottom":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":12},"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"font":{"size":12},"border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"]}},{"font":{"size":12},"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12},"border":{"left":["thick","#000"]}},{"font":{"size":12},"border":{"right":["thick","#000"]}},{"font":{"size":12},"valign":"middle","border":{"right":["thick","#000"]}},{"align":"left","font":{"size":12,"bold":false},"color":"#3f3f3f","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"align":"left","font":{"size":12,"bold":false},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"right":["thick","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"center","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]}},{"border":{"bottom":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]}},{"align":"center","font":{"size":12,"bold":false},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"border":{"left":["thin","#000"]}},{"border":{"left":["dashed","#000"]}},{"border":{"left":["thick","#000"]}},{"border":{"right":["thick","#000"]}},{"align":"left","border":{"bottom":["thick","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"font":{"size":12},"border":{"left":["thick","#000"]},"align":"center"},{"font":{"size":12,"bold":true},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"bold":true}},{"font":{"size":14,"bold":true},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"bold":true,"size":14}},{"font":{"size":12,"name":"Arial"},"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"font":{"size":12,"name":"Arial"},"border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"]},"font":{"name":"Arial"}},{"font":{"size":12,"name":"Arial"},"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"name":"Arial"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"name":"Arial"}},{"font":{"size":14,"bold":true,"name":"Arial"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"bold":true,"size":14,"name":"Arial"}},{"font":{"size":12,"name":"Arial"},"border":{"left":["thick","#000"]}},{"font":{"size":12,"name":"Arial"}},{"font":{"name":"Arial"}},{"font":{"size":12,"name":"Arial"},"valign":"middle","border":{"right":["thick","#000"]}},{"align":"left","font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f"},{"font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f"},{"font":{"size":12,"name":"Arial"},"border":{"right":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Arial"}},{"border":{"bottom":["thick","#000"]},"font":{"name":"Arial"}},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Arial"}},{"font":{"size":12,"name":"Source Sans Pro"},"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"font":{"size":12,"name":"Source Sans Pro"},"border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"]},"font":{"name":"Source Sans Pro"}},{"font":{"size":12,"name":"Source Sans Pro"},"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"name":"Source Sans Pro"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"name":"Source Sans Pro"}},{"font":{"size":14,"bold":true,"name":"Source Sans Pro"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"bold":true,"size":14,"name":"Source Sans Pro"}},{"font":{"size":12,"name":"Source Sans Pro"},"border":{"left":["thick","#000"]}},{"font":{"size":12,"name":"Source Sans Pro"}},{"font":{"name":"Source Sans Pro"}},{"font":{"size":12,"name":"Source Sans Pro"},"valign":"middle","border":{"right":["thick","#000"]}},{"align":"left","font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f"},{"font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f"},{"font":{"size":12,"name":"Source Sans Pro"},"border":{"right":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thick","#000"]},"font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Source Sans Pro"}},{"font":{"size":12,"name":"Comic Sans MS"},"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"font":{"size":12,"name":"Comic Sans MS"},"border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"]},"font":{"name":"Comic Sans MS"}},{"font":{"size":12,"name":"Comic Sans MS"},"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"name":"Comic Sans MS"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"name":"Comic Sans MS"}},{"font":{"size":14,"bold":true,"name":"Comic Sans MS"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"bold":true,"size":14,"name":"Comic Sans MS"}},{"font":{"size":12,"name":"Comic Sans MS"},"border":{"left":["thick","#000"]}},{"font":{"size":12,"name":"Comic Sans MS"}},{"font":{"name":"Comic Sans MS"}},{"font":{"size":12,"name":"Comic Sans MS"},"valign":"middle","border":{"right":["thick","#000"]}},{"align":"left","font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f"},{"font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f"},{"font":{"size":12,"name":"Comic Sans MS"},"border":{"right":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Comic Sans MS"}},{"border":{"bottom":["thick","#000"]},"font":{"name":"Comic Sans MS"}},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Comic Sans MS"}},{"font":{"size":12,"name":"Courier New"},"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"font":{"size":12,"name":"Courier New"},"border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"]},"font":{"name":"Courier New"}},{"font":{"size":12,"name":"Courier New"},"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"name":"Courier New"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"name":"Courier New"}},{"font":{"size":14,"bold":true,"name":"Courier New"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"bold":true,"size":14,"name":"Courier New"}},{"font":{"size":12,"name":"Courier New"},"border":{"left":["thick","#000"]}},{"font":{"size":12,"name":"Courier New"}},{"font":{"name":"Courier New"}},{"font":{"size":12,"name":"Courier New"},"valign":"middle","border":{"right":["thick","#000"]}},{"align":"left","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f"},{"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f"},{"font":{"size":12,"name":"Courier New"},"border":{"right":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Courier New"}},{"border":{"bottom":["thick","#000"]},"font":{"name":"Courier New"}},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Courier New"}},{"font":{"size":12,"name":"Courier New"},"border":{"top":["thick","#000"],"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"border":{"top":["thick","#000"]},"color":"#000100"},{"border":{"top":["thick","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"border":{"top":["thick","#000"],"right":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"name":"Courier New"},"color":"#000100"},{"font":{"size":14,"bold":true,"name":"Courier New"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"bold":true,"size":14,"name":"Courier New"},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"border":{"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"color":"#000100"},{"font":{"name":"Courier New"},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"valign":"middle","border":{"right":["thick","#000"]},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100"},{"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"border":{"right":["thick","#000"]},"color":"#000100"},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"border":{"bottom":["thick","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"border":{"top":["thick","#000"],"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"border":{"top":["thick","#000"]},"color":"#000100"},{"border":{"top":["thick","#000"]},"font":{"name":"Arial"},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"border":{"top":["thick","#000"],"right":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"name":"Arial"},"color":"#000100"},{"font":{"size":14,"bold":true,"name":"Arial"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"bold":true,"size":14,"name":"Arial"},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"border":{"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"color":"#000100"},{"font":{"name":"Arial"},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"valign":"middle","border":{"right":["thick","#000"]},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100"},{"font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"border":{"right":["thick","#000"]},"color":"#000100"},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Arial"},"color":"#000100"},{"border":{"bottom":["thick","#000"]},"font":{"name":"Arial"},"color":"#000100"},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Arial"},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"border":{"top":["thick","#000"],"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"border":{"top":["thick","#000"]},"color":"#000100"},{"border":{"top":["thick","#000"]},"font":{"name":"Helvetica"},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"border":{"top":["thick","#000"],"right":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"name":"Helvetica"},"color":"#000100"},{"font":{"size":14,"bold":true,"name":"Helvetica"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"bold":true,"size":14,"name":"Helvetica"},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"border":{"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"color":"#000100"},{"font":{"name":"Helvetica"},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"valign":"middle","border":{"right":["thick","#000"]},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100"},{"font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"border":{"right":["thick","#000"]},"color":"#000100"},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Helvetica"},"color":"#000100"},{"border":{"bottom":["thick","#000"]},"font":{"name":"Helvetica"},"color":"#000100"},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Helvetica"},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"top":["thick","#000"],"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"top":["thick","#000"]},"color":"#000100"},{"border":{"top":["thick","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"top":["thick","#000"],"right":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"name":"Lato"},"color":"#000100"},{"font":{"size":14,"bold":true,"name":"Lato"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"bold":true,"size":14,"name":"Lato"},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"color":"#000100"},{"font":{"name":"Lato"},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"valign":"middle","border":{"right":["thick","#000"]},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"right":["thick","#000"]},"color":"#000100"},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"border":{"bottom":["thick","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"font":{"size":10,"name":"Lato"},"valign":"middle","border":{"right":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"color":"#000100","align":"center"},{"font":{"size":10,"name":"Lato"},"valign":"middle","color":"#000100"},{"align":"center","underline":false,"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{},{"font":{"size":12,"name":"Lato","bold":true},"color":"#000100","align":"center"},{"align":"center","font":{"name":"Lato","bold":true},"color":"#000100"},{"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","align":"right"},{"align":"right"},{"align":"right","font":{"size":12}},{"align":"left","font":{"size":12}},{"font":{"size":12},"border":{"bottom":["thin","#000"]}},{"font":{"size":12},"border":{"bottom":["thin","#000"]},"align":"center"},{"valign":"top"},{"valign":"top","align":"center"},{"valign":"top","align":"center","font":{"size":12}},{"font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100","align":"right"},{"font":{"size":14}},{"align":"right","font":{"size":14}},{"font":{"size":14},"border":{"bottom":["thin","#000"]}},{"font":{"size":14,"bold":true}},{"align":"right","font":{"size":9}},{"font":{"size":9}},{"font":{"size":9},"align":"center"},{"font":{"size":9},"align":"left"},{"align":"left","font":{"bold":true,"size":14}},{"align":"center","font":{"bold":true,"size":14},"valign":"top"},{"align":"center","font":{"bold":true,"size":16},"valign":"top"},{"align":"center","font":{"bold":true,"size":18},"valign":"top"},{"align":"right","font":{"size":10}},{"font":{"size":10},"align":"center"},{"align":"left","font":{"size":10}},{"align":"right","font":{"size":12},"valign":"bottom"},{"valign":"bottom"},{"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","align":"right","valign":"bottom"},{"font":{"size":12},"border":{"bottom":["thin","#000"]},"align":"center","valign":"bottom"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","valign":"bottom"},{"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","valign":"bottom"},{"align":"center","font":{"bold":true,"size":22},"valign":"top"},{"align":"right","font":{"size":14},"valign":"bottom"},{"font":{"size":14},"valign":"bottom"},{"font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100","align":"right","valign":"bottom"},{"font":{"size":14},"border":{"bottom":["thin","#000"]},"align":"center","valign":"bottom"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100","valign":"bottom"},{"align":"left","font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100"},{"font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100","valign":"bottom"},{"font":{"size":14,"name":"Lato"},"color":"#000100"},{"font":{"size":14},"align":"center"},{"valign":"top","align":"center","font":{"size":14}},{"align":"left","font":{"size":14}}],"validations":[],"cols":{"0":{"width":23},"1":{"width":46},"2":{"width":24},"3":{"width":15},"4":{"width":37},"5":{"width":13},"6":{"width":83},"7":{"width":256},"8":{"width":42},"9":{"width":18},"10":{"width":77},"11":{"width":54},"12":{"width":28},"13":{"width":62},"16":{"width":55},"len":50},"merges":["C0:D0","G11:H11","G12:H12","B5:E5","B6:G6","C8:H8","I12:K12","B4:L4","K6:L6","B13:D13","E13:G13","I11:L11","L12:M12","B14:M26","I13:K13","B7:G7"]}', NULL, 'https://static.jeecg.com/designreport/images/介绍xin_1607072641405.png', 'jeecg', TO_DATE('2020-07-10 13:38:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-01 03:15:11', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '831', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('7acddbc92bc73d06c7f62ff55dfdca19', '566233333333867', '销售单副本3867', NULL, NULL, 'printinfo', '{"area":{"sri":6,"sci":7,"eri":6,"eci":7,"width":88,"height":25},"printElWidth":794,"excel_config_id":"519c1c6f4d1f584ae8fa5b43b45acdc7","printElHeight":1047,"rows":{"0":{"cells":{"1":{"text":"销售单","style":40,"merge":[0,6]},"2":{"style":41},"3":{"style":41},"4":{"style":41},"5":{"style":41},"6":{"style":41},"7":{"style":41}},"height":99},"1":{"cells":{"1":{"text":"商品编码","style":62},"2":{"text":"商品名称","style":62},"3":{"text":"销售时间","style":62},"4":{"text":"销售数量","style":62},"5":{"text":"定价","style":62},"6":{"text":"优惠价","style":62},"7":{"text":"付款金额","style":62}},"height":39},"2":{"cells":{"1":{"text":"#{xiaoshou.bianma}","style":61},"2":{"text":"#{xiaoshou.cname}","style":61},"3":{"text":"#{xiaoshou.ctime}","style":61},"4":{"text":"#{xiaoshou.cnum}","style":61},"5":{"text":"#{xiaoshou.cprice}","style":61},"6":{"text":"#{xiaoshou.yprice}","style":61},"7":{"text":"#{xiaoshou.ctotal}","style":61}},"isDrag":true,"height":35},"3":{"cells":{"1":{"style":44,"text":""},"2":{"style":44},"3":{"style":44},"4":{"style":44},"5":{"style":44,"text":""},"6":{"text":"","style":45},"7":{"style":46,"text":"=SUM(H3)"}},"isDrag":true,"height":73},"5":{"cells":{},"isDrag":true},"6":{"cells":{},"isDrag":true},"7":{"cells":{"2":{"text":""}},"isDrag":true},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":754,"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","color":"#000100"},{"align":"center","color":"#000100","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","color":"#000100","border":{"bottom":["thin","#01b0f1"],"top":["thin","#01b0f1"],"left":["thin","#01b0f1"],"right":["thin","#01b0f1"]}},{"border":{"bottom":["thin","#01b0f1"],"top":["thin","#01b0f1"],"left":["thin","#01b0f1"],"right":["thin","#01b0f1"]}},{"align":"center","color":"#000100","border":{"bottom":["thin","#01b0f1"],"top":["thin","#01b0f1"],"left":["thin","#01b0f1"],"right":["thin","#01b0f1"]},"bgcolor":"#01b0f1"},{"align":"center","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"bgcolor":"#01b0f1"},{"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"size":18}},{"align":"center","font":{"size":18,"bold":true}},{"align":"center","font":{"size":16,"bold":true}},{"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"align":"center"},{"align":"center","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"bgcolor":"#fed964"},{"align":"center","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"bgcolor":"#fdc101"},{"align":"center","color":"#000100","border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"bgcolor":"#fdc101"},{"border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"align":"center"},{"align":"center","color":"#000100","border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"bgcolor":"#ffe59a"},{"align":"center","color":"#000100","border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"bgcolor":"#ffc001"},{"align":"center","color":"#000100","border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"bgcolor":"#fed964"},{"align":"center","color":"#000100","border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"bgcolor":"#ed7d31"},{"align":"center","color":"#000100","border":{"bottom":["thin","#fdc101"],"top":["thin","#fdc101"],"left":["thin","#fdc101"],"right":["thin","#fdc101"]},"bgcolor":"#5b9cd6"},{"align":"center","color":"#000100","border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"align":"center"},{"font":{"size":8}},{"font":{"size":8},"color":"#7f7f7f"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","color":"#000100","border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"bgcolor":"#9cc2e6"},{"align":"center","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"bgcolor":"#9cc2e6"},{"border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]}},{"font":{"bold":true}},{"font":{"bold":true,"size":12}},{"font":{"bold":true,"size":16}},{"font":{"bold":true,"size":18}},{"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"align":"right"},{"align":"right"},{"align":"left"},{"align":"right","font":{"size":16}},{"align":"left","font":{"size":16}},{"align":"right","font":{"size":14}},{"align":"left","font":{"size":14}},{"align":"center","font":{"size":18,"bold":true,"name":"宋体"}},{"font":{"name":"宋体"}},{"align":"center","color":"#000100","border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"bgcolor":"#9cc2e6","font":{"name":"宋体"}},{"border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"align":"center","font":{"name":"宋体"}},{"align":"right","font":{"name":"宋体"}},{"align":"right","font":{"size":14,"name":"宋体"}},{"align":"left","font":{"size":14,"name":"宋体"}},{"align":"center","color":"#000100","border":{"bottom":["thin","#2e75b5"],"top":["thin","#2e75b5"],"left":["thin","#2e75b5"],"right":["thin","#2e75b5"]},"bgcolor":"#9cc2e6","font":{"name":"宋体"}},{"align":"center","color":"#000100","bgcolor":"#9cc2e6","font":{"name":"宋体"}},{"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"align":"center","font":{"name":"宋体"}},{"border":{"bottom":["thin","#ffff01"],"top":["thin","#ffff01"],"left":["thin","#ffff01"],"right":["thin","#ffff01"]},"align":"center","font":{"name":"宋体"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","font":{"name":"宋体"}},{"align":"right","font":{"size":14,"name":"宋体"},"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","color":"#000100","bgcolor":"#9cc2e6","font":{"name":"宋体"},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","color":"#000100","bgcolor":"#9cc2e6","font":{"name":"宋体"},"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","color":"#ffffff","bgcolor":"#9cc2e6","font":{"name":"宋体"},"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","color":"#ffffff","border":{"bottom":["thin","#2e75b5"],"top":["thin","#2e75b5"],"left":["thin","#2e75b5"],"right":["thin","#2e75b5"]},"bgcolor":"#9cc2e6","font":{"name":"宋体"}},{"align":"center","color":"#ffffff","border":{"bottom":["thin","#4371c6"],"top":["thin","#4371c6"],"left":["thin","#4371c6"],"right":["thin","#4371c6"]},"bgcolor":"#9cc2e6","font":{"name":"宋体"}},{"align":"center","color":"#ffffff","bgcolor":"#9cc2e6","font":{"name":"宋体"},"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]}},{"border":{"bottom":["thin","#d8d8d8"],"top":["thin","#d8d8d8"],"left":["thin","#d8d8d8"],"right":["thin","#d8d8d8"]},"align":"center","font":{"name":"宋体"}},{"align":"center","color":"#ffffff","bgcolor":"#9cc2e6","font":{"name":"宋体"},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center","font":{"name":"宋体"}},{"align":"center","color":"#ffffff","bgcolor":"#5b9cd6","font":{"name":"宋体"},"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]}}],"validations":[],"cols":{"0":{"width":31},"1":{"width":102},"2":{"width":170},"3":{"width":147},"4":{"width":66},"5":{"width":66},"6":{"width":84},"7":{"width":88},"8":{"width":121},"len":26},"merges":["B1:H1"]}', NULL, 'https://static.jeecg.com/designreport/images/xiaoshou_1607310086160.png', 'admin', TO_DATE('2021-01-19 10:46:18', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-02 19:01:02', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, NULL, '0', '2096', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('7c02c224a2db56d0350069650033f702', '895666', '核查评估表', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":{"sri":5,"sci":18,"eri":5,"eci":18,"width":53,"height":46},"printElWidth":1399,"excel_config_id":"7c02c224a2db56d0350069650033f702","printElHeight":790,"rows":{"0":{"cells":{"1":{"text":"XX县（市、区）YY低保第三方核查评估汇总表","merge":[0,21],"style":386},"2":{"style":386},"3":{"style":386},"4":{"style":386},"5":{"style":386},"6":{"style":386},"7":{"style":386},"8":{"style":386},"9":{"style":386},"10":{"style":386},"11":{"style":386},"12":{"style":386},"13":{"style":386},"14":{"style":386},"15":{"style":386},"16":{"style":386},"17":{"style":386},"18":{"style":386},"19":{"style":386},"20":{"style":386},"21":{"style":386},"22":{"style":386}},"height":70},"1":{"cells":{"1":{"merge":[0,2],"style":403,"text":"     北京市林翠社区"},"2":{"style":398,"text":" "},"3":{"style":398,"text":" "},"4":{"merge":[0,2],"text":"镇（乡、街道办事处）","style":399},"5":{"style":399},"6":{"style":399},"7":{"style":399,"merge":[0,7]},"8":{"style":400},"9":{"style":400},"10":{"style":400},"11":{"style":400},"12":{"style":400},"13":{"style":400},"14":{"style":400},"15":{"merge":[0,7],"text":"单位：人、元、套、平方米","style":398},"16":{"style":401},"17":{"style":401},"18":{"style":401},"19":{"style":401},"20":{"style":401},"21":{"style":401},"22":{"style":401}}},"2":{"cells":{"1":{"style":114},"2":{"style":114},"3":{"style":114},"4":{"style":114},"5":{"style":114},"6":{"style":114},"7":{"style":114},"8":{"style":114},"9":{"style":114},"10":{"style":114},"11":{"style":114},"12":{"style":114},"13":{"style":114},"14":{"style":114},"15":{"style":114},"16":{"style":114},"17":{"style":114},"18":{"style":114},"19":{"style":114},"20":{"style":114},"21":{"style":114},"22":{"style":114}},"height":14},"3":{"cells":{"1":{"style":406,"text":"村（社区）名称","merge":[1,0]},"2":{"style":407,"text":"户主名称","merge":[1,0]},"3":{"style":407,"text":"保障编号","merge":[1,0]},"4":{"style":408,"text":"家庭人口","merge":[1,0]},"5":{"style":409,"text":"家庭住址","merge":[1,0]},"6":{"style":409,"text":"联系电话","merge":[1,0]},"7":{"style":408,"text":"身份证号码","merge":[1,0]},"8":{"style":409,"text":"原保障","merge":[0,2]},"9":{"style":377,"text":" "},"10":{"style":377,"text":" "},"11":{"text":"核减后月人均收入","style":408,"merge":[1,0]},"12":{"merge":[0,5],"text":"保障建议","style":410},"13":{"style":379,"text":" "},"14":{"style":379,"text":" "},"15":{"style":379,"text":" "},"16":{"style":379,"text":" "},"17":{"style":379,"text":" "},"18":{"text":"是否新增对象","style":411,"merge":[1,0]},"19":{"text":"建议取消原因","style":409,"merge":[0,3]},"20":{"style":377,"text":" "},"21":{"style":377,"text":" "},"22":{"style":377,"text":" "}}},"4":{"cells":{"1":{"style":381,"text":" "},"2":{"style":407,"text":" "},"3":{"style":382,"text":" "},"4":{"style":408,"text":" "},"5":{"style":377,"text":" "},"6":{"style":409,"text":" "},"7":{"style":383,"text":" "},"8":{"text":"户数","style":412},"9":{"style":411,"text":"人口"},"10":{"style":413,"text":"金额"},"11":{"style":383,"text":" "},"12":{"text":"保障类型","style":408},"13":{"style":413,"text":"人口"},"14":{"style":408,"text":"差额补助"},"15":{"style":408,"text":"全额补助"},"16":{"style":408,"text":"增发补助"},"17":{"style":408,"text":"合计补助"},"18":{"style":411,"text":" "},"19":{"style":408,"text":"收入超标"},"20":{"style":406,"text":"机动车超标"},"21":{"style":410,"text":"死亡"},"22":{"style":410,"text":"其他"}},"height":50},"5":{"cells":{"1":{"text":"#{hecha.name}","style":414,"rendered":""},"2":{"text":"#{hecha.hname}","style":414},"3":{"text":"#{hecha.num}","style":414},"4":{"text":"#{hecha.knum}","style":414},"5":{"text":"#{hecha.zhuzhi}","style":414},"6":{"text":"#{hecha.phone}","style":414},"7":{"text":"#{hecha.scard}","style":414},"8":{"text":"#{hecha.yhnum}","style":414},"9":{"text":"#{hecha.yren}","style":414},"10":{"text":"#{hecha.yjine}","style":414},"11":{"text":"#{hecha.yjine}","style":414},"12":{"text":"#{hecha.type}","style":414},"13":{"text":"#{hecha.rk}","style":414},"14":{"text":"#{hecha.cbz}","style":414},"15":{"text":"#{hecha.cbz}","style":414},"16":{"text":"#{hecha.cbz}","style":414},"17":{"text":"#{hecha.cbz}","style":414},"18":{"text":"#{hecha.sf1}","style":414},"19":{"text":"#{hecha.sf2}","style":414},"20":{"text":"#{hecha.sf3}","style":414},"21":{"text":"#{hecha.sf4}","style":414},"22":{"text":"#{hecha.bz}","style":414}},"isDrag":true,"height":46},"6":{"cells":{"1":{"style":114},"2":{"style":114},"3":{"style":114},"4":{"style":114},"5":{"style":114},"6":{"style":114},"7":{"style":114},"8":{"style":114},"9":{"style":114},"10":{"style":114},"11":{"style":114},"12":{"style":114},"13":{"style":114},"14":{"style":114},"15":{"style":114},"16":{"style":114},"17":{"style":114},"18":{"style":114},"19":{"style":114},"20":{"style":114},"21":{"style":114},"22":{"style":114}},"height":46},"7":{"cells":{"1":{"style":114},"2":{"style":114},"3":{"style":114},"4":{"style":114},"5":{"style":114},"6":{"style":114},"7":{"style":114},"8":{"style":114},"9":{"style":114},"10":{"style":114},"11":{"style":114},"12":{"style":114},"13":{"style":114},"14":{"style":114},"15":{"style":114},"16":{"style":114},"17":{"style":114},"18":{"style":114},"19":{"style":114},"20":{"style":114},"21":{"style":114},"22":{"style":114}},"height":46},"8":{"cells":{"1":{"text":""},"2":{"style":114},"3":{"style":114},"4":{"style":114},"5":{"style":114},"6":{"style":114},"7":{"style":114},"8":{"style":114},"9":{"style":114},"10":{"style":114},"11":{"style":114},"12":{"style":114},"13":{"style":114},"14":{"style":114},"15":{"style":114},"16":{"style":114},"17":{"style":114},"18":{"style":114},"19":{"style":114},"20":{"style":114},"21":{"style":114},"22":{"style":114}},"isDrag":true},"len":102},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":1378,"background":false,"name":"sheet1","autofilter":{},"styles":[{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true},{"textwrap":true},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":false},{"textwrap":false},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center"},{"textwrap":true,"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center"},{"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"middle"},{"textwrap":true,"align":"center","valign":"middle"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"valign":"middle"},{"textwrap":true,"valign":"middle"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":false,"valign":"middle"},{"textwrap":false,"valign":"middle"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"bottom"},{"textwrap":true,"align":"center","valign":"bottom"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"top"},{"textwrap":true,"align":"center","valign":"top"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"valign":"bottom"},{"textwrap":true,"valign":"bottom"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"valign":"top"},{"border":{"bottom":["medium","#000"]}},{"border":{"bottom":["thin","#000"]}},{"align":"center","font":{"size":18}},{"align":"center","font":{"size":16}},{"align":"center","font":{"size":16,"bold":true}},{"align":"center","font":{"size":16,"bold":true,"name":"Helvetica"}},{"border":{"bottom":["thin","#000"]},"font":{"name":"Helvetica"}},{"font":{"name":"Helvetica"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"font":{"name":"Helvetica"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","font":{"name":"Helvetica"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","font":{"name":"Helvetica"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Helvetica"}},{"align":"center","font":{"name":"Helvetica"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Helvetica"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Helvetica"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Helvetica"}},{"textwrap":true,"font":{"name":"Helvetica"}},{"textwrap":true,"align":"center","font":{"name":"Helvetica"}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Helvetica"}},{"textwrap":true,"align":"center","valign":"top","font":{"name":"Helvetica"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"valign":"bottom","font":{"name":"Helvetica"}},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Helvetica"}},{"align":"center","font":{"size":16,"bold":true,"name":"Source Sans Pro"}},{"border":{"bottom":["thin","#000"]},"font":{"name":"Source Sans Pro"}},{"font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Source Sans Pro"}},{"align":"center","font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Source Sans Pro"}},{"textwrap":true,"font":{"name":"Source Sans Pro"}},{"textwrap":true,"align":"center","font":{"name":"Source Sans Pro"}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Source Sans Pro"}},{"textwrap":true,"align":"center","valign":"top","font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"valign":"bottom","font":{"name":"Source Sans Pro"}},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Source Sans Pro"}},{"align":"center","font":{"size":16,"bold":true,"name":"Comic Sans MS"}},{"border":{"bottom":["thin","#000"]},"font":{"name":"Comic Sans MS"}},{"font":{"name":"Comic Sans MS"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"font":{"name":"Comic Sans MS"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","font":{"name":"Comic Sans MS"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","font":{"name":"Comic Sans MS"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Comic Sans MS"}},{"align":"center","font":{"name":"Comic Sans MS"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Comic Sans MS"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Comic Sans MS"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Comic Sans MS"}},{"textwrap":true,"font":{"name":"Comic Sans MS"}},{"textwrap":true,"align":"center","font":{"name":"Comic Sans MS"}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Comic Sans MS"}},{"textwrap":true,"align":"center","valign":"top","font":{"name":"Comic Sans MS"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"valign":"bottom","font":{"name":"Comic Sans MS"}},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Comic Sans MS"}},{"align":"center","font":{"size":16,"bold":true,"name":"Courier New"}},{"border":{"bottom":["thin","#000"]},"font":{"name":"Courier New"}},{"font":{"name":"Courier New"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"font":{"name":"Courier New"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","font":{"name":"Courier New"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","font":{"name":"Courier New"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Courier New"}},{"align":"center","font":{"name":"Courier New"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Courier New"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Courier New"}},{"textwrap":true,"font":{"name":"Courier New"}},{"textwrap":true,"align":"center","font":{"name":"Courier New"}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Courier New"}},{"textwrap":true,"align":"center","valign":"top","font":{"name":"Courier New"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"valign":"bottom","font":{"name":"Courier New"}},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Courier New"}},{"align":"center","font":{"size":16,"bold":true,"name":"Verdana"}},{"border":{"bottom":["thin","#000"]},"font":{"name":"Verdana"}},{"font":{"name":"Verdana"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"font":{"name":"Verdana"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","font":{"name":"Verdana"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","font":{"name":"Verdana"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Verdana"}},{"align":"center","font":{"name":"Verdana"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Verdana"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Verdana"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Verdana"}},{"textwrap":true,"font":{"name":"Verdana"}},{"textwrap":true,"align":"center","font":{"name":"Verdana"}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Verdana"}},{"textwrap":true,"align":"center","valign":"top","font":{"name":"Verdana"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"valign":"bottom","font":{"name":"Verdana"}},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Verdana"}},{"align":"center","font":{"size":16,"bold":true,"name":"Lato"}},{"border":{"bottom":["thin","#000"]},"font":{"name":"Lato"}},{"font":{"name":"Lato"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"font":{"name":"Lato"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","font":{"name":"Lato"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","font":{"name":"Lato"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato"}},{"align":"center","font":{"name":"Lato"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Lato"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato"}},{"textwrap":true,"font":{"name":"Lato"}},{"textwrap":true,"align":"center","font":{"name":"Lato"}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato"}},{"textwrap":true,"align":"center","valign":"top","font":{"name":"Lato"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"textwrap":true,"valign":"bottom","font":{"name":"Lato"}},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato"}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"textwrap":true,"font":{"name":"Lato"}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"textwrap":true,"align":"center","font":{"name":"Lato"}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"align":"center","font":{"name":"Lato"}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato"}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Lato"}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"name":"Lato"}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato"}},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"textwrap":true,"valign":"bottom","font":{"name":"Lato"}},{"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"textwrap":true,"font":{"name":"Lato"}},{"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"textwrap":true,"align":"center","font":{"name":"Lato"}},{"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"align":"center","font":{"name":"Lato"}},{"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato"}},{"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Lato"}},{"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"font":{"name":"Lato"}},{"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato"}},{"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"textwrap":true,"valign":"bottom","font":{"name":"Lato"}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"font":{"name":"Lato"}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"align":"center","font":{"name":"Lato"}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"align":"center","font":{"name":"Lato"}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato"}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Lato"}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"name":"Lato"}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato"}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"valign":"bottom","font":{"name":"Lato"}},{"align":"center","valign":"middle"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","valign":"middle"},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":false,"font":{"name":"Lato"}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"font":{"name":"Lato"},"valign":"middle"},{"align":"center","font":{"size":16,"bold":true,"name":"Lato"},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"align":"center","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"align":"center","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"align":"center","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"textwrap":true,"font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"textwrap":true,"align":"center","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"textwrap":true,"align":"center","valign":"top","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"textwrap":true,"valign":"bottom","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"align":"center","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"align":"center","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"valign":"bottom","font":{"name":"Lato"},"bgcolor":"#5b9cd6"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"align":"center","font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"align":"center","font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"align":"center","font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"textwrap":true,"font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"textwrap":true,"align":"center","font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"top","font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"valign":"bottom","font":{"name":"Lato"},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"align":"center","valign":"top","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"top","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]},"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff","valign":"middle"},{"align":"center","border":{"right":["thin","#ffffff"]}},{"align":"center","border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]}},{"align":"center","valign":"middle","border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]}},{"align":"center","font":{"name":"Lato"},"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]}},{"border":{"bottom":["thin","#ffffff"],"top":["thin","#ffffff"],"left":["thin","#ffffff"],"right":["thin","#ffffff"]}},{"align":"center","valign":"middle","border":{"right":["thin","#ffffff"]}},{"align":"center","font":{"name":"Lato"},"border":{"right":["thin","#ffffff"]}},{"border":{"right":["thin","#ffffff"]}},{"align":"center","valign":"middle","border":{"right":["thin","#000100"]}},{"align":"center","border":{"right":["thin","#000100"]}},{"align":"center","font":{"name":"Lato"},"border":{"right":["thin","#000100"]}},{"border":{"right":["thin","#000100"]}},{"align":"center","valign":"middle","border":{"left":["thin","#000100"]}},{"align":"center","valign":"middle","border":{"bottom":["thin","#000100"]}},{"align":"center","border":{"bottom":["thin","#000100"]}},{"align":"center","font":{"name":"Lato"},"border":{"bottom":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"]}},{"font":{"name":"Lato"},"border":{"top":["thin","#000100"]}},{"align":"center","valign":"middle","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"align":"center","border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"font":{"name":"Lato"},"border":{"bottom":["thin","#7f7f7f"]}},{"font":{"name":"Lato"},"border":{"bottom":["thin","#000100"]}},{"font":{"name":"Lato"},"border":{"bottom":["thin","#000100"]},"align":"right"},{"font":{"name":"Lato"},"align":"right"},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff"},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff","valign":"middle"},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#5b9cd6","color":"#ffffff","valign":"middle","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"align":"center"},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff"},{"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff"},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff"},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#ffffff","valign":"middle","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100"},{"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100"},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100"},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100"},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100"},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#000100","valign":"middle","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626"},{"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626"},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626"},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626"},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626"},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#f4b184","color":"#262626","valign":"middle","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626"},{"font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626"},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626"},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626"},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626"},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#9cc2e6","color":"#262626","valign":"middle","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626"},{"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626"},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626"},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626"},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626"},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#262626","valign":"middle","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff"},{"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff"},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff"},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","valign":"middle","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#00b04e","color":"#ffffff","valign":"middle","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]},"align":"center"},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff"},{"font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff"},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff"},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#a7d08c","color":"#ffffff","valign":"middle","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff"},{"font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff"},{"textwrap":true,"align":"center","font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff"},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"font":{"name":"Lato","size":8},"bgcolor":"#71ae47","color":"#ffffff","valign":"middle","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]},"align":"center","font":{"size":8}},{"textwrap":true,"font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"align":"center","font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"align":"center","font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff"},{"font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff"},{"textwrap":true,"align":"center","font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff"},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"font":{"name":"Lato","size":10},"bgcolor":"#71ae47","color":"#ffffff","valign":"middle","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"align":"center","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"align":"center","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff"},{"font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff"},{"textwrap":true,"align":"center","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff"},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff"},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"textwrap":true,"font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","valign":"middle","border":{"bottom":["thin","#00b04e"],"top":["thin","#00b04e"],"left":["thin","#00b04e"],"right":["thin","#00b04e"]}},{"align":"center","font":{"size":15,"bold":true,"name":"Lato"}},{"align":"center","font":{"name":"Lato","size":9},"border":{"bottom":["thin","#000100"]}},{"align":"center","font":{"name":"Lato","size":9}},{"font":{"name":"Lato","size":9}},{"font":{"size":9}},{"align":"center","font":{"size":9}},{"align":"center","font":{"name":"Lato","size":9},"border":{"bottom":["thin","#000100"]},"color":"#a5a5a5"},{"align":"center","font":{"name":"Lato","size":9},"color":"#a5a5a5"},{"font":{"name":"Lato","size":9},"color":"#a5a5a5"},{"font":{"size":9},"color":"#a5a5a5"},{"align":"center","font":{"size":9},"color":"#a5a5a5"},{"align":"center","font":{"name":"Lato","size":9},"border":{"bottom":["thin","#000100"]},"color":"#7f7f7f"},{"align":"center","font":{"name":"Lato","size":9},"color":"#7f7f7f"},{"font":{"name":"Lato","size":9},"color":"#7f7f7f"},{"font":{"size":9},"color":"#7f7f7f"},{"align":"center","font":{"size":9},"color":"#7f7f7f"},{"align":"center","font":{"name":"Lato","size":9},"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]},"color":"#7f7f7f"},{"align":"center","font":{"name":"Lato","size":9},"border":{"bottom":["thin","#7f7f7f"]},"color":"#7f7f7f"},{"border":{"bottom":["thin","#d8d8d8"]},"align":"center","font":{"size":8}},{"border":{"bottom":["thin","#a5a5a5"]},"align":"center","font":{"size":8}},{"textwrap":true,"font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]}},{"textwrap":true,"align":"center","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]}},{"textwrap":true,"align":"center","valign":"middle","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]}},{"align":"center","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]}},{"font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]}},{"textwrap":true,"align":"center","valign":"bottom","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]}},{"textwrap":true,"valign":"bottom","font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]}},{"textwrap":true,"font":{"name":"Lato","size":10},"bgcolor":"#02a274","color":"#ffffff","valign":"middle","border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]}},{"border":{"bottom":["thin","#a5a5a5"],"top":["thin","#a5a5a5"],"left":["thin","#a5a5a5"],"right":["thin","#a5a5a5"]},"align":"center","font":{"size":8}}],"validations":[],"cols":{"0":{"width":30},"1":{"width":68},"2":{"width":86},"3":{"width":93},"4":{"width":91},"5":{"width":156},"6":{"width":95},"7":{"width":85},"8":{"width":37},"9":{"width":30},"10":{"width":43},"11":{"width":66},"12":{"width":38},"13":{"width":41},"14":{"width":54},"15":{"width":49},"16":{"width":45},"17":{"width":49},"18":{"width":53},"19":{"width":40},"20":{"width":50},"21":{"width":40},"22":{"width":39},"len":50},"merges":["M4:R4","B4:B5","C4:C5","D4:D5","E4:E5","F4:F5","G4:G5","H4:H5","I4:K4","L4:L5","S4:S5","T4:W4","E2:G2","B2:D2","B1:W1","P2:W2","H2:O2"]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201207113312_1607312171402.png', 'jeecg', TO_DATE('2020-07-14 16:41:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 14:01:17', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '260', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('94b04a1ed7c17f8e96baa6d89fb90758', '3698522', '员工请假单', NULL, NULL, 'printinfo', '{"area":false,"printElWidth":794,"excel_config_id":"94b04a1ed7c17f8e96baa6d89fb90758","printElHeight":1047,"rows":{"1":{"cells":{"0":{"text":"员工请假单","style":100,"merge":[0,7]},"1":{"style":100},"2":{"style":100},"3":{"style":100},"4":{"style":100},"5":{"style":100},"6":{"style":100},"7":{"style":100}},"height":65},"2":{"cells":{"0":{"text":"单位：北极星","style":101,"merge":[0,2]},"1":{"style":101},"2":{"style":101},"3":{"style":102},"4":{"style":102},"5":{"style":102},"6":{"style":102},"7":{"style":102}},"height":38},"3":{"cells":{"0":{"text":"姓名","style":119},"1":{"style":119,"text":" "},"2":{"text":"工作岗位","style":120},"3":{"style":119,"text":" "},"4":{"text":"工作时间","style":119},"5":{"style":119,"text":" "},"6":{"text":"出生日期","style":119},"7":{"style":119,"text":" "}}},"4":{"cells":{"0":{"text":"请选择假类型","style":121,"merge":[4,0]},"1":{"text":"年休假","style":120},"2":{"style":120,"text":"病、事假"},"3":{"style":120,"text":"探亲假"},"4":{"style":119,"merge":[0,1],"text":"婚、丧假"},"5":{"style":107,"text":" "},"6":{"style":119,"merge":[0,1],"text":"生育假"},"7":{"style":107,"text":" "}},"height":29},"5":{"cells":{"0":{"style":0},"1":{"text":"1、公岭满1~9年（5天）","style":122},"2":{"style":119,"text":"1、病假"},"3":{"style":119,"text":"1、未婚探父母（20天）"},"4":{"style":119,"merge":[0,1],"text":"1、婚假（3天）"},"5":{"style":107,"text":" "},"6":{"style":119,"merge":[0,1],"text":"1、流产"},"7":{"style":107,"text":" "}},"height":25},"6":{"cells":{"0":{"style":0},"1":{"style":123,"text":"2、公岭满10~19年（10天）"},"2":{"style":119,"text":"2、事假"},"3":{"style":119,"text":"2、已婚探父母（20天）"},"4":{"style":119,"merge":[0,1],"text":"2、晚婚假（13天）"},"5":{"style":107,"text":" "},"6":{"style":119,"merge":[0,1],"text":"2、产假"},"7":{"style":107,"text":" "}}},"7":{"cells":{"0":{"style":0},"1":{"style":123,"text":"3、公岭满20年（15天）"},"2":{"style":119,"text":" "},"3":{"style":119,"text":"3、探配偶（30天）"},"4":{"style":119,"merge":[0,1],"text":"3、丧假（3天）"},"5":{"style":107,"text":" "},"6":{"style":119,"merge":[0,1],"text":"3、哺乳假"},"7":{"style":107,"text":" "}}},"8":{"cells":{"0":{"style":0},"1":{"style":119,"text":" "},"2":{"style":119,"text":" "},"3":{"style":119,"text":"探亲地点：","merge":[0,2]},"4":{"style":107,"text":" "},"5":{"style":107,"text":" "},"6":{"style":119,"merge":[0,1],"text":"4、陪护假"},"7":{"style":107,"text":" "},"8":{"style":15},"9":{"style":15},"10":{"style":15},"11":{"style":15},"12":{"style":15},"13":{"style":15},"14":{"style":15},"15":{"style":15},"16":{"style":15},"17":{"style":15},"18":{"style":15},"19":{"style":15},"20":{"style":15},"21":{"style":15},"22":{"style":15},"23":{"style":5},"24":{"style":5},"25":{"style":5}}},"9":{"cells":{"0":{"style":124,"text":"请假时间"},"1":{"style":125,"merge":[0,6],"text":"2020年02-30 至2020年02-03-30"},"2":{"style":115,"text":" "},"3":{"style":115,"text":" "},"4":{"style":115,"text":" "},"5":{"style":115,"text":" "},"6":{"style":115,"text":" "},"7":{"style":115,"text":" "}},"height":46},"10":{"cells":{"0":{"style":126,"text":"审批人员及意见"},"1":{"merge":[0,6],"style":127,"text":"同意"},"2":{"style":118,"text":" "},"3":{"style":118,"text":" "},"4":{"style":118,"text":" "},"5":{"style":118,"text":" "},"6":{"style":118,"text":" "},"7":{"style":118,"text":" "}},"height":89},"11":{"cells":{"0":{"text":"备注","style":119},"1":{"style":119,"text":" "},"2":{"text":"请假人签名","style":119},"3":{"merge":[0,4],"style":119,"text":" "},"4":{"style":107,"text":" "},"5":{"style":107,"text":" "},"6":{"style":107,"text":" "},"7":{"style":107,"text":" "}},"height":90},"12":{"cells":{"0":{"merge":[0,7],"style":120,"text":"请假审批表一式两份，考勤员与人力资源部门各存一份"},"1":{"style":106,"text":" "},"2":{"style":106,"text":" "},"3":{"style":106,"text":" "},"4":{"style":106,"text":" "},"5":{"style":106,"text":" "},"6":{"style":106,"text":" "},"7":{"style":106,"text":" "}},"height":25},"len":101},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":789,"background":false,"name":"sheet1","autofilter":{},"styles":[{"textwrap":true},{"textwrap":false},{"textwrap":true,"valign":"middle"},{"textwrap":false,"valign":"middle"},{"align":"center"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"textwrap":false,"valign":"middle","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"textwrap":false,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"textwrap":false,"valign":"middle","border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"textwrap":false,"border":{"left":["thin","#000"],"right":["thin","#000"]}},{"textwrap":false,"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"left"},{},{"font":{"name":"Helvetica"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Helvetica"}},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Helvetica"}},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Helvetica"}},{"align":"center","font":{"name":"Helvetica"}},{"textwrap":false,"valign":"middle","border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Helvetica"}},{"textwrap":false,"border":{"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Helvetica"}},{"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Helvetica"}},{"font":{"name":"Arial"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Arial"}},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Arial"}},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Arial"}},{"align":"center","font":{"name":"Arial"}},{"textwrap":false,"valign":"middle","border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Arial"}},{"textwrap":false,"border":{"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Arial"}},{"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Arial"}},{"font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Source Sans Pro"}},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Source Sans Pro"}},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Source Sans Pro"}},{"align":"center","font":{"name":"Source Sans Pro"}},{"textwrap":false,"valign":"middle","border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Source Sans Pro"}},{"textwrap":false,"border":{"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Source Sans Pro"}},{"font":{"name":"Courier New"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"}},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"}},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"}},{"align":"center","font":{"name":"Courier New"}},{"textwrap":false,"valign":"middle","border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"}},{"textwrap":false,"border":{"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"}},{"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"}},{"font":{"name":"Courier New"},"border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"name":"Courier New"},"border":{"left":["thin","#000"],"right":["thin","#000"]}},{"textwrap":true,"border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"}},{"textwrap":true,"border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"},"align":"center"},{"font":{"name":"Courier New"},"border":{"left":["thin","#000"],"right":["thin","#000"]},"align":"center"},{"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"},"align":"center"},{"align":"center","font":{"name":"Courier New","size":14}},{"align":"center","font":{"size":14}},{"align":"center","font":{"name":"Courier New","size":14,"bold":true}},{"align":"center","font":{"size":14,"bold":true}},{"font":{"name":"Courier New"},"color":"#7f7f7f"},{"color":"#7f7f7f"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"textwrap":true,"border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"},"align":"center","color":"#000100"},{"align":"center","font":{"name":"Courier New"},"color":"#000100"},{"font":{"name":"Courier New"},"color":"#000100"},{"font":{"name":"Courier New"},"border":{"left":["thin","#000"],"right":["thin","#000"]},"align":"center","color":"#000100"},{"textwrap":false,"valign":"middle","border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"textwrap":false,"border":{"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"},"align":"center","color":"#000100"},{"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100"},{"align":"center","color":"#000100"},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100"},{"color":"#000100"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"textwrap":true,"border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"},"align":"center","color":"#000100"},{"align":"center","font":{"name":"Lato"},"color":"#000100"},{"font":{"name":"Lato"},"color":"#000100"},{"font":{"name":"Lato"},"border":{"left":["thin","#000"],"right":["thin","#000"]},"align":"center","color":"#000100"},{"textwrap":false,"valign":"middle","border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"textwrap":false,"border":{"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"},"align":"center","color":"#000100"},{"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100","font":{"name":"Lato"}},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100","font":{"name":"Lato"},"valign":"middle"},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100","font":{"name":"Lato"},"valign":"bottom"},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100","font":{"name":"Lato"},"valign":"top"},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"},"color":"#000100","valign":"top"},{"align":"center","font":{"name":"Lato"},"color":"#000100","valign":"top"},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"},"color":"#000100","valign":"middle"},{"align":"center","font":{"name":"Lato"},"color":"#000100","valign":"middle"},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"},"color":"#000100","valign":"bottom"},{"align":"center","font":{"name":"Lato"},"color":"#000100","valign":"bottom"},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"},"color":"#000100","textwrap":true},{"align":"center","font":{"name":"Lato"},"color":"#000100","textwrap":true},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"Lato"},"color":"#000100","textwrap":false},{"align":"center","font":{"name":"Lato"},"color":"#000100","textwrap":false},{"textwrap":false,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100","font":{"name":"Lato"}},{"align":"center","font":{"name":"宋体","size":14,"bold":true}},{"font":{"name":"宋体"},"color":"#7f7f7f"},{"font":{"name":"宋体"}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"color":"#000100"},{"textwrap":true,"border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"align":"center","color":"#000100"},{"align":"center","font":{"name":"宋体"},"color":"#000100"},{"font":{"name":"宋体"},"color":"#000100"},{"font":{"name":"宋体"},"border":{"left":["thin","#000"],"right":["thin","#000"]},"align":"center","color":"#000100"},{"textwrap":false,"valign":"middle","border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"color":"#000100"},{"textwrap":false,"border":{"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"color":"#000100"},{"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"align":"center","color":"#000100"},{"border":{"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"color":"#000100"},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100","font":{"name":"宋体"},"valign":"top"},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"color":"#000100","valign":"top"},{"align":"center","font":{"name":"宋体"},"color":"#000100","valign":"top"},{"textwrap":true,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100","font":{"name":"宋体"},"valign":"bottom"},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"name":"宋体"},"color":"#000100","textwrap":false},{"align":"center","font":{"name":"宋体"},"color":"#000100","textwrap":false},{"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"name":"宋体"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"name":"宋体"},"color":"#000100"},{"textwrap":true,"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"name":"宋体"},"align":"center","color":"#000100"},{"textwrap":false,"valign":"middle","border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"name":"宋体"},"color":"#000100"},{"textwrap":false,"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"name":"宋体"},"color":"#000100"},{"textwrap":true,"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"color":"#000100","font":{"name":"宋体"},"valign":"top"},{"align":"center","border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"name":"宋体"},"color":"#000100","valign":"top"},{"textwrap":true,"border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"color":"#000100","font":{"name":"宋体"},"valign":"bottom"},{"align":"center","border":{"bottom":["thin","#262626"],"top":["thin","#262626"],"left":["thin","#262626"],"right":["thin","#262626"]},"font":{"name":"宋体"},"color":"#000100","textwrap":false}],"validations":[],"cols":{"0":{"width":35},"1":{"width":195},"2":{"width":77},"3":{"width":168},"4":{"width":62},"6":{"width":70},"7":{"width":82},"len":26},"merges":["D9:F9","E5:F5","E6:F6","E7:F7","E8:F8","G5:H5","G6:H6","G7:H7","G8:H8","G9:H9","B10:H10","B11:H11","D12:H12","A13:H13","A3:C3","A2:H2","A5:A9"]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201207135257_1607320433681.png', 'jeecg', TO_DATE('2020-07-10 18:29:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 14:01:12', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '142', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('961455b47c0b86dc961e90b5893bff05', '56780774', '阜阳检票数查询副本0774', NULL, NULL, 'printinfo', '{"area":{"sri":8,"sci":6,"eri":8,"eci":6,"width":75,"height":25},"printElWidth":794,"excel_config_id":"53c82a76f837d5661dceec7d93afafec","printElHeight":1047,"rows":{"0":{"cells":{"0":{"style":58},"1":{"text":"","style":66},"2":{"style":66},"3":{"style":67,"merge":[0,3],"text":"阜阳火车站检票数"},"4":{"style":67},"5":{"style":67},"6":{"style":67},"7":{"style":66},"8":{"style":66},"9":{"style":58}},"height":63},"1":{"cells":{"0":{"style":58},"1":{"style":66},"2":{"style":66},"3":{"style":66},"4":{"style":66},"5":{"style":66},"6":{"style":66},"7":{"style":66},"8":{"style":66},"9":{"style":58}},"height":20},"2":{"cells":{"0":{"style":58},"1":{"text":"日期：","style":68},"2":{"text":"${gongsi.tdata}","style":69},"3":{"style":66},"4":{"style":66,"text":"制表人："},"5":{"text":"${gongsi.gname}","style":66},"6":{"style":66},"7":{"text":"","merge":[0,1],"style":70},"8":{"style":70},"9":{"style":58}},"isDrag":true},"3":{"cells":{"0":{"style":58},"1":{"text":"班次","merge":[1,0],"style":71},"2":{"text":"发车时间","merge":[1,0],"style":71},"3":{"text":"是否放空","merge":[1,0],"style":71},"4":{"text":"路线","merge":[0,1],"style":71},"5":{"style":72},"6":{"text":"核载座位数","merge":[1,0],"style":71},"7":{"merge":[1,0],"style":71,"text":"检票数"},"8":{"merge":[1,0],"style":71,"text":"实载率（%）"},"9":{"style":58}}},"4":{"cells":{"0":{"style":58},"1":{"style":72},"2":{"style":71},"3":{"style":72},"4":{"text":"从","style":71},"5":{"text":"到","style":71},"6":{"style":72},"7":{"style":71},"8":{"style":72},"9":{"style":58}},"height":25},"5":{"cells":{"0":{"style":58},"1":{"style":73,"text":"#{jianpiao.bnum}"},"2":{"style":73,"text":"#{jianpiao.ftime}"},"3":{"style":73,"text":"#{jianpiao.sfkong}"},"4":{"style":73,"text":"#{jianpiao.kaishi}"},"5":{"style":73,"text":"#{jianpiao.jieshu}"},"6":{"style":73,"text":"#{jianpiao.hezairen}"},"7":{"style":73,"text":"#{jianpiao.jpnum}"},"8":{"style":73,"text":"#{jianpiao.shihelv}"},"9":{"style":58}},"height":33},"6":{"cells":{"1":{"text":"","style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}},"isDrag":true},"7":{"cells":{"1":{"style":11},"2":{"style":11,"text":""},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"8":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"9":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"10":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"11":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"12":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"13":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"14":{"cells":{"1":{"style":11},"2":{"style":11},"3":{"style":11},"4":{"style":11},"5":{"style":11},"6":{"style":11},"7":{"style":11},"8":{"style":11}}},"len":96,"-1":{"cells":{"-1":{"text":"${gongsi.id}"}},"isDrag":true}},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":737,"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","border":{"top":["thin","#000"],"bottom":["thin","#000"],"left":["thin","#000"]}},{"align":"center","border":{"top":["thin","#000"],"bottom":["thin","#000"]}},{"align":"center","border":{"top":["thin","#000"]}},{"align":"center","border":{"top":["thin","#000"],"bottom":["thin","#000"],"right":["thin","#000"]}},{"align":"center","border":{"bottom":["thin","#000"]}},{"align":"center","border":{"top":["thin","#000"],"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","border":{"bottom":["thin","#000"],"left":["thin","#000"]}},{"align":"center","border":{"bottom":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{},{"border":{"bottom":["thin","#7f7f7f"],"top":["thin","#7f7f7f"],"left":["thin","#7f7f7f"],"right":["thin","#7f7f7f"]}},{"border":{"top":["thin","#000100"],"left":["thin","#000100"]}},{"border":{"top":["thin","#000100"]}},{"border":{"top":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"left":["thin","#000100"]}},{"border":{"right":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"],"left":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"top":["thin","#7f7f7f"]}},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]}},{"border":{"right":["thin","#7f7f7f"],"bottom":["thin","#7f7f7f"]}},{"border":{"bottom":["thin","#7f7f7f"]}},{"border":{"right":["thin","#7f7f7f"]}},{"align":"center","font":{"size":16}},{"align":"center","font":{"size":16,"bold":true}},{"font":{"bold":true}},{"font":{"bold":false}},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":true}},{"align":"center","font":{"bold":true}},{"align":"right"},{"align":"center","font":{"size":14,"bold":true}},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":true},"bgcolor":"#4371c6"},{"align":"center","font":{"bold":true},"bgcolor":"#4371c6"},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false},"bgcolor":"#4371c6"},{"align":"center","font":{"bold":false},"bgcolor":"#4371c6"},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false},"bgcolor":"#2e75b5"},{"align":"center","font":{"bold":false},"bgcolor":"#2e75b5"},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false},"bgcolor":"#5b9cd6"},{"align":"center","font":{"bold":false},"bgcolor":"#5b9cd6"},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false},"bgcolor":"#0170c1"},{"align":"center","font":{"bold":false},"bgcolor":"#0170c1"},{"font":{"bold":false},"color":"#7f7f7f"},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false},"bgcolor":"#9cc2e6"},{"align":"center","font":{"bold":false},"bgcolor":"#9cc2e6"},{"align":"center","border":{"bottom":["thin","#000100"],"top":["thin","#000100"],"left":["thin","#000100"],"right":["thin","#000100"]},"font":{"bold":false},"bgcolor":"#01b0f1"},{"align":"center","font":{"bold":false},"bgcolor":"#01b0f1"},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"font":{"bold":false},"bgcolor":"#5b9cd6"},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"font":{"bold":false},"bgcolor":"#9cc2e6"},{"align":"center","font":{"size":16,"bold":true},"valign":"bottom"},{"align":"center","font":{"size":22,"bold":true},"valign":"bottom"},{"align":"center","font":{"size":18,"bold":true},"valign":"bottom"},{"font":{"bold":false},"color":"#7f7f7f","align":"right"},{"color":"#7f7f7f"},{"font":{"name":"宋体"}},{"align":"center","font":{"size":18,"bold":true,"name":"宋体"},"valign":"bottom"},{"font":{"bold":false,"name":"宋体"},"color":"#7f7f7f","align":"right"},{"color":"#7f7f7f","font":{"name":"宋体"}},{"align":"right","font":{"name":"宋体"}},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"font":{"bold":false,"name":"宋体"},"bgcolor":"#9cc2e6"},{"align":"center","font":{"bold":false,"name":"宋体"},"bgcolor":"#9cc2e6"},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"font":{"name":"宋体"}},{"font":{"name":"Microsoft YaHei"}},{"align":"center","font":{"size":18,"bold":true,"name":"Microsoft YaHei"},"valign":"bottom"},{"font":{"bold":false,"name":"Microsoft YaHei"},"color":"#7f7f7f","align":"right"},{"color":"#7f7f7f","font":{"name":"Microsoft YaHei"}},{"align":"right","font":{"name":"Microsoft YaHei"}},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"font":{"bold":false,"name":"Microsoft YaHei"},"bgcolor":"#9cc2e6"},{"align":"center","font":{"bold":false,"name":"Microsoft YaHei"},"bgcolor":"#9cc2e6"},{"align":"center","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"font":{"name":"Microsoft YaHei"}}],"validations":[],"cols":{"0":{"width":53},"1":{"width":118},"2":{"width":75},"3":{"width":54},"4":{"width":95},"5":{"width":109},"6":{"width":75},"7":{"width":75},"8":{"width":83},"9":{"width":30},"len":27},"merges":["E4:F4","B4:B5","C4:C5","D4:D5","G4:G5","H4:H5","I4:I5","D1:G1","H3:I3"]}', NULL, 'https://static.jeecg.com/designreport/images/25_1597233573577.png', 'admin', TO_DATE('2021-01-19 10:46:45', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 13:58:22', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '0', '695', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('9dbadaee8720767efe3164a7d018c870', '45566', '发票打印', NULL, NULL, 'printinfo', '{"area":{"sri":8,"sci":4,"eri":8,"eci":4,"width":100,"height":25},"printElWidth":794,"excel_config_id":"9dbadaee8720767efe3164a7d018c870","printElHeight":500,"rows":{"0":{"cells":{"0":{"text":"","virtual":"RTA6TUIKs1pmgVOM"},"1":{"text":" ","virtual":"RTA6TUIKs1pmgVOM"},"2":{"text":" ","virtual":"RTA6TUIKs1pmgVOM"},"3":{"text":" ","virtual":"RTA6TUIKs1pmgVOM"},"4":{"text":" ","virtual":"RTA6TUIKs1pmgVOM"},"5":{"text":" ","virtual":"RTA6TUIKs1pmgVOM"},"6":{"text":" ","virtual":"RTA6TUIKs1pmgVOM"},"7":{"text":" ","virtual":"RTA6TUIKs1pmgVOM"},"8":{"text":" ","virtual":"RTA6TUIKs1pmgVOM"}}},"2":{"cells":{},"height":11},"3":{"cells":{"2":{"text":""},"5":{"text":""}},"height":18},"4":{"cells":{"2":{"text":"182123434","style":0},"5":{"text":"12345678"}},"height":15},"5":{"cells":{"2":{"text":""}}},"7":{"cells":{}},"8":{"cells":{"1":{"text":"餐饮"},"2":{"text":"        A11"},"3":{"text":"    333      3"},"4":{"text":"  3                   4"},"5":{"text":"          1"},"6":{"text":"3333"}}},"9":{"cells":{"1":{"text":"测试"},"2":{"text":"      mmm"},"3":{"text":"    33          5"}}},"10":{"cells":{},"height":22},"11":{"cells":{"2":{"text":"                          "},"3":{"text":"343434"},"6":{"text":"3434"}},"height":45},"12":{"cells":{"4":{"text":"           刮开中奖"}},"height":12},"13":{"cells":{"2":{"text":""},"4":{"text":"      "},"5":{"text":"备注"}},"height":31},"14":{"cells":{"1":{"text":" 张三"},"3":{"text":"完成"},"4":{"text":"           李思"}},"height":41},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":847,"background":false,"name":"sheet1","autofilter":{},"styles":[{"font":{"size":8}}],"validations":[],"cols":{"0":{"width":93},"1":{"width":74},"2":{"width":80},"len":26},"merges":[],"imgList":[{"row":0,"col":0,"width":"832","height":"480","src":"https://static.jeecg.com/designreport/images/套打_1609313052910.png","isBackend":true,"commonBackend":true,"layer_id":"RTA6TUIKs1pmgVOM","offsetX":0,"offsetY":0,"virtualCellRange":[[0,0],[0,1],[0,2],[0,3],[0,4],[0,5],[0,6],[0,7],[0,8]]}]}', NULL, 'https://static.jeecg.com/designreport/images/QQ截图20201207113651_1607312223499.png', 'jeecg', TO_DATE('2020-07-20 18:55:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-03 13:38:49', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '0', '1124', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('a250846887abe01217aab173d3006489', '56663', '不动产打印', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":false,"excel_config_id":"a250846887abe01217aab173d3006489","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":true,"marginX":10,"marginY":10},"rows":{"0":{"cells":{"0":{"text":" ","virtual":"BJ9o6oelCr85EpT2"},"1":{"text":" ","virtual":"BJ9o6oelCr85EpT2"},"2":{"text":" ","virtual":"BJ9o6oelCr85EpT2"},"3":{"text":" ","virtual":"BJ9o6oelCr85EpT2"},"4":{"text":" ","virtual":"BJ9o6oelCr85EpT2"},"5":{"text":" ","virtual":"BJ9o6oelCr85EpT2"},"6":{"text":" ","virtual":"BJ9o6oelCr85EpT2"},"7":{"text":" ","virtual":"BJ9o6oelCr85EpT2"},"8":{"text":" ","virtual":"BJ9o6oelCr85EpT2"},"9":{"text":" ","virtual":"BJ9o6oelCr85EpT2"}},"isDrag":true,"height":45},"1":{"cells":{},"height":23},"2":{"cells":{"0":{"text":"","style":0},"1":{"text":"           ${budong.yname}","style":21,"merge":[0,2]}},"isDrag":true,"height":34},"3":{"cells":{"1":{"text":"            ${budong.chanquan}","style":0,"merge":[0,2]},"5":{"text":"${budong.beizhu}","merge":[5,3]}},"isDrag":true,"height":39},"4":{"cells":{"1":{"text":"           ${budong.zhuzhi}","style":39,"merge":[0,2]}},"isDrag":true,"height":33},"5":{"cells":{"1":{"text":"           ${budong.danyuan}","style":0,"merge":[0,2]}},"isDrag":true,"height":53},"6":{"cells":{"1":{"text":"            ${budong.type}","style":0,"merge":[0,2]}},"isDrag":true,"height":47},"7":{"cells":{"1":{"text":"            ${budong.xtype}","style":0,"merge":[0,2]}},"isDrag":true,"height":38},"8":{"cells":{"1":{"text":"             ${budong.suoyou}","style":0,"merge":[0,2]}},"isDrag":true,"height":31},"9":{"cells":{"1":{"text":"              ${budong.mianji}","style":0,"merge":[0,2]}},"isDrag":true,"height":45},"10":{"cells":{"1":{"text":"               ${budong.riqi}","style":0,"merge":[0,2]}},"isDrag":true,"height":26},"11":{"cells":{"1":{"text":"","style":0,"merge":[0,2]}},"height":35},"12":{"cells":{"1":{"text":"","style":0},"2":{"text":"${budong.chanquan}","style":0,"merge":[4,1]}},"isDrag":true},"13":{"cells":{}},"14":{"cells":{}},"15":{"cells":{}},"16":{"cells":{},"height":5},"17":{"cells":{"2":{"text":"","style":0}},"isDrag":true,"height":33},"18":{"cells":{"2":{"style":0,"text":""}}},"len":100,"-1":{"cells":{"0":{"text":"#{budong.zhuzhi}"},"-1":{"text":"#{budong.suoyou}"}},"isDrag":true}},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":1024,"displayConfig":{},"background":false,"name":"sheet1","autofilter":{},"styles":[{"font":{"bold":true}},{"font":{"italic":true}},{"font":{"italic":true,"bold":true}},{"font":{"italic":true,"bold":false}},{"font":{"italic":false,"bold":false}},{"font":{"italic":false,"bold":true}},{"align":"left"},{"align":"center"},{"align":"right"},{"align":"left","valign":"top"},{"align":"left","valign":"top","font":{"bold":true}},{"font":{"bold":false}},{"align":"left","valign":"bottom"},{"valign":"bottom"},{"align":"center","valign":"bottom"},{"textwrap":true},{"font":{"bold":true},"valign":"bottom"},{"font":{"italic":false,"bold":true},"valign":"top"},{"valign":"top"},{"textwrap":true,"font":{"bold":true}},{"align":"center","valign":"bottom","font":{"bold":true}},{"align":"left","valign":"bottom","font":{"bold":true}},{"align":"left","valign":"bottom","font":{"bold":true,"size":8}},{"font":{"bold":true,"size":8},"valign":"bottom"},{"align":"center","valign":"bottom","font":{"bold":true,"size":8}},{"align":"left","valign":"middle","font":{"bold":true}},{"align":"left","valign":"middle"},{"font":{"italic":false,"bold":true},"valign":"bottom"},{"font":{"italic":false,"bold":true},"valign":"middle"},{"valign":"middle"},{"font":{"italic":true,"bold":true},"valign":"middle"},{"valign":"middle","font":{"italic":true}},{"valign":"middle","font":{"italic":false}},{"font":{"italic":false,"bold":false},"valign":"middle"},{"align":"center","valign":"middle","font":{"bold":true,"size":8}},{"font":{"bold":true,"size":8},"valign":"middle"},{"align":"left","valign":"middle","font":{"bold":true,"size":8}},{"align":"right","valign":"middle","font":{"bold":true,"size":8}},{"font":{"italic":false,"bold":true},"valign":"middle","align":"center"},{"font":{"italic":false,"bold":true},"valign":"middle","align":"left"},{"align":"right","valign":"bottom"},{"align":"right","valign":"bottom","font":{"bold":true,"size":8}},{"align":"center","valign":"middle"}],"validations":[],"cols":{"0":{"width":107},"1":{"width":54},"2":{"width":135},"3":{"width":180},"6":{"width":123},"8":{"width":25},"len":50},"merges":["B1:B2","B12:D12","B9:D9","B7:D7","B6:D6","B5:D5","B3:D3","B11:D11","B8:D8","B10:D10","C13:D17","C1:C2","B4:D4","F4:I9","D1:D2"],"imgList":[{"row":0,"col":0,"width":"950","height":"683","src":"https://jimureport.oss-cn-beijing.aliyuncs.com/designreport/images/38_1610456500965_1617247643815.jpg","isBackend":true,"commonBackend":true,"layer_id":"BJ9o6oelCr85EpT2","offsetX":0,"offsetY":0,"virtualCellRange":[[0,0],[0,1],[0,2],[0,3],[0,4],[0,5],[0,6],[0,7],[0,8],[0,9]]}]}', NULL, 'https://static.jeecg.com/designreport/images/24_1597233568822.png', 'jeecg', TO_DATE('2020-07-09 10:48:22', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-01 03:27:28', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '1413', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('a9f068972508920cd4aab831814f0c04', '23445', '逮捕证', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":false,"excel_config_id":"a9f068972508920cd4aab831814f0c04","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":false,"marginX":10,"marginY":10},"rows":{"0":{"cells":{"2":{"text":"","merge":[0,9],"style":324},"12":{}},"isDrag":true,"height":55},"1":{"cells":{"1":{"style":410,"merge":[0,13],"text":"兰州市经济侦查大队"},"15":{"style":324,"text":" "}},"height":128},"2":{"cells":{"1":{"style":411,"merge":[0,13],"text":"逮捕令"},"15":{"style":324,"text":" "}},"height":41},"3":{"cells":{"1":{"style":412,"merge":[0,12],"text":"第123459663号"},"14":{"style":413,"text":" "}},"height":60},"4":{"cells":{"1":{"style":414,"text":" "},"2":{"text":"                                 根据《中华人民共和国刑事诉讼法》第七十八条之规定，","style":341,"merge":[0,11]},"14":{"style":413,"text":" "}},"height":43},"5":{"cells":{"1":{"style":414,"text":" "},"2":{"style":341,"text":"经","merge":[0,1]},"4":{"text":"${pdaibu.pname}","style":342,"merge":[0,9]},"14":{"style":413,"text":" "}},"isDrag":true,"height":47},"6":{"cells":{"1":{"style":414,"text":" "},"2":{"style":344,"text":" ","merge":[0,2]},"5":{"merge":[0,3],"text":"批准，兹由我局对涉嫌","style":338},"9":{"text":"${pdaibu.shiqing}","style":347,"merge":[0,4]},"14":{"style":413,"text":" "}},"isDrag":true,"height":49},"7":{"cells":{"1":{"style":414,"text":" "},"2":{"style":341,"text":"的"},"3":{"text":"${pdaibu.fname}","style":345,"merge":[0,1]},"5":{"text":"(性别","style":343},"6":{"text":"${pdaibu.fsex}","style":347,"merge":[0,1]},"8":{"style":346,"text":"出生日期"},"9":{"text":"${pdaibu.cdata}","style":345,"merge":[0,4]},"14":{"style":413,"text":" "}},"isDrag":true,"height":51},"8":{"cells":{"1":{"style":414,"text":" "},"2":{"text":"${pdaibu.zhuzhi}","style":345,"merge":[0,7]},"10":{"style":341,"text":"执行逮捕，送兰州","merge":[0,3]},"14":{"style":413,"text":" "}},"isDrag":true,"height":51},"9":{"cells":{"1":{"style":414,"text":" "},"2":{"style":341,"merge":[0,6],"text":"市经济侦查大队羁押。"},"9":{"style":341,"text":" "},"10":{"style":341,"merge":[5,1],"text":" "},"14":{"style":413,"text":" "}},"height":57},"10":{"cells":{"1":{"style":414,"text":" "},"4":{"style":338,"virtual":"DId4FGTLnP3vfp4y","text":" "},"5":{"style":338,"virtual":"DId4FGTLnP3vfp4y","text":" "},"6":{"style":338,"virtual":"DId4FGTLnP3vfp4y","text":" "},"14":{"style":413,"text":" "}},"height":61},"11":{"cells":{"1":{"style":414,"text":" "},"6":{"style":376,"merge":[0,2],"text":" "},"14":{"style":413,"text":" "}},"height":83},"12":{"cells":{"1":{"style":414,"text":" "},"2":{"merge":[0,6],"style":338,"text":" "},"14":{"style":413,"text":" "}},"height":14},"13":{"cells":{"1":{"style":414,"text":" "},"2":{"style":351,"merge":[0,5],"text":" "},"8":{"style":380,"text":"公安局印"},"9":{"text":" ","virtual":"XefZfpEcdS3wI6Ae"},"10":{"text":" ","virtual":"XefZfpEcdS3wI6Ae"},"11":{"text":" ","virtual":"XefZfpEcdS3wI6Ae"},"14":{"style":413,"text":" "}},"height":89},"14":{"cells":{"1":{"style":414,"text":" "},"14":{"style":413,"text":" "}},"height":21},"15":{"cells":{"1":{"style":415,"text":" "},"2":{"style":416,"text":" "},"3":{"style":417,"text":" "},"4":{"style":417,"text":" "},"5":{"style":417,"text":" "},"6":{"text":"${pdaibu.gdata}","style":421,"merge":[0,6]},"13":{"style":417,"text":" "},"14":{"style":419,"text":" "}},"isDrag":true,"height":168},"len":88,"-1":{"cells":{"1":{"text":"#{daibu.fdata}"},"-1":{"text":"#{pdaibu.shiqing}"}},"isDrag":true}},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":709,"displayConfig":{},"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"left"},{"align":"left","underline":true},{"underline":true},{"align":"center","underline":true},{"align":"center"},{"align":"center","underline":false},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]}},{"align":"left","border":{"bottom":["thin","#000"]}},{"align":"left","font":{"size":16}},{"font":{"size":16}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":16}},{"align":"center","underline":false,"font":{"size":16}},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":16}},{"align":"left","font":{"size":16,"bold":true}},{"font":{"size":16,"bold":true}},{"align":"center","underline":false,"font":{"size":16,"bold":true}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":16,"bold":true}},{"font":{"bold":true}},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":16,"bold":true}},{"align":"left","font":{"size":16,"bold":false}},{"font":{"size":16,"bold":false}},{"align":"center","underline":false,"font":{"size":16,"bold":false}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":16,"bold":false}},{"font":{"bold":false}},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":16,"bold":false}},{"align":"left","font":{"size":16,"bold":false},"color":"#3f3f3f"},{"font":{"size":16,"bold":false},"color":"#3f3f3f"},{"align":"center","underline":false,"font":{"size":16,"bold":false},"color":"#3f3f3f"},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":16,"bold":false},"color":"#3f3f3f"},{"font":{"bold":false},"color":"#3f3f3f"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":16,"bold":false},"color":"#3f3f3f"},{"font":{"size":12}},{"align":"left","font":{"size":12,"bold":false},"color":"#3f3f3f"},{"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"center","underline":false,"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"font":{"size":12,"bold":false},"color":"#3f3f3f","align":"center"},{"font":{"size":12},"align":"center"},{"font":{"size":8}},{"font":{"size":10}},{"font":{"size":10,"bold":true}},{"font":{"size":10,"bold":true},"align":"center"},{"font":{"size":18,"bold":true},"align":"center"},{"align":"center","font":{"size":18}},{"font":{"size":16,"bold":true},"align":"center"},{"align":"center","font":{"size":16}},{"font":{"size":12},"valign":"bottom"},{"font":{"size":12},"valign":"middle"},{"font":{"size":12},"border":{"top":["thin","#000"],"left":["thin","#000"]}},{"font":{"size":12},"border":{"top":["thin","#000"]}},{"border":{"top":["thin","#000"]}},{"font":{"size":12},"border":{"top":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":12},"border":{"left":["thin","#000"]}},{"font":{"size":12},"border":{"right":["thin","#000"]}},{"font":{"size":12},"valign":"middle","border":{"right":["thin","#000"]}},{"align":"left","font":{"size":12,"bold":false},"color":"#3f3f3f","border":{"left":["thin","#000"],"right":["thin","#000"]}},{"align":"left","font":{"size":12,"bold":false},"color":"#3f3f3f","border":{"left":["thin","#000"]}},{"align":"center","underline":false,"border":{"right":["thin","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"center","border":{"right":["thin","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"left","border":{"right":["thin","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"border":{"bottom":["thin","#000"],"left":["thin","#000"]}},{"border":{"bottom":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":12},"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"font":{"size":12},"border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"]}},{"font":{"size":12},"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12},"border":{"left":["thick","#000"]}},{"font":{"size":12},"border":{"right":["thick","#000"]}},{"font":{"size":12},"valign":"middle","border":{"right":["thick","#000"]}},{"align":"left","font":{"size":12,"bold":false},"color":"#3f3f3f","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"align":"left","font":{"size":12,"bold":false},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"right":["thick","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"center","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]}},{"border":{"bottom":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]}},{"align":"center","font":{"size":12,"bold":false},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"border":{"left":["thin","#000"]}},{"border":{"left":["dashed","#000"]}},{"border":{"left":["thick","#000"]}},{"border":{"right":["thick","#000"]}},{"align":"left","border":{"bottom":["thick","#000"]},"font":{"size":12,"bold":false},"color":"#3f3f3f"},{"font":{"size":12},"border":{"left":["thick","#000"]},"align":"center"},{"font":{"size":12,"bold":true},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"bold":true}},{"font":{"size":14,"bold":true},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"bold":true,"size":14}},{"font":{"size":12,"name":"Arial"},"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"font":{"size":12,"name":"Arial"},"border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"]},"font":{"name":"Arial"}},{"font":{"size":12,"name":"Arial"},"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"name":"Arial"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"name":"Arial"}},{"font":{"size":14,"bold":true,"name":"Arial"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"bold":true,"size":14,"name":"Arial"}},{"font":{"size":12,"name":"Arial"},"border":{"left":["thick","#000"]}},{"font":{"size":12,"name":"Arial"}},{"font":{"name":"Arial"}},{"font":{"size":12,"name":"Arial"},"valign":"middle","border":{"right":["thick","#000"]}},{"align":"left","font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f"},{"font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Arial"},"color":"#3f3f3f"},{"font":{"size":12,"name":"Arial"},"border":{"right":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Arial"}},{"border":{"bottom":["thick","#000"]},"font":{"name":"Arial"}},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Arial"}},{"font":{"size":12,"name":"Source Sans Pro"},"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"font":{"size":12,"name":"Source Sans Pro"},"border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"]},"font":{"name":"Source Sans Pro"}},{"font":{"size":12,"name":"Source Sans Pro"},"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"name":"Source Sans Pro"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"name":"Source Sans Pro"}},{"font":{"size":14,"bold":true,"name":"Source Sans Pro"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"bold":true,"size":14,"name":"Source Sans Pro"}},{"font":{"size":12,"name":"Source Sans Pro"},"border":{"left":["thick","#000"]}},{"font":{"size":12,"name":"Source Sans Pro"}},{"font":{"name":"Source Sans Pro"}},{"font":{"size":12,"name":"Source Sans Pro"},"valign":"middle","border":{"right":["thick","#000"]}},{"align":"left","font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f"},{"font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Source Sans Pro"},"color":"#3f3f3f"},{"font":{"size":12,"name":"Source Sans Pro"},"border":{"right":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thick","#000"]},"font":{"name":"Source Sans Pro"}},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Source Sans Pro"}},{"font":{"size":12,"name":"Comic Sans MS"},"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"font":{"size":12,"name":"Comic Sans MS"},"border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"]},"font":{"name":"Comic Sans MS"}},{"font":{"size":12,"name":"Comic Sans MS"},"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"name":"Comic Sans MS"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"name":"Comic Sans MS"}},{"font":{"size":14,"bold":true,"name":"Comic Sans MS"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"bold":true,"size":14,"name":"Comic Sans MS"}},{"font":{"size":12,"name":"Comic Sans MS"},"border":{"left":["thick","#000"]}},{"font":{"size":12,"name":"Comic Sans MS"}},{"font":{"name":"Comic Sans MS"}},{"font":{"size":12,"name":"Comic Sans MS"},"valign":"middle","border":{"right":["thick","#000"]}},{"align":"left","font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f"},{"font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Comic Sans MS"},"color":"#3f3f3f"},{"font":{"size":12,"name":"Comic Sans MS"},"border":{"right":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Comic Sans MS"}},{"border":{"bottom":["thick","#000"]},"font":{"name":"Comic Sans MS"}},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Comic Sans MS"}},{"font":{"size":12,"name":"Courier New"},"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"font":{"size":12,"name":"Courier New"},"border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"]},"font":{"name":"Courier New"}},{"font":{"size":12,"name":"Courier New"},"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"name":"Courier New"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"name":"Courier New"}},{"font":{"size":14,"bold":true,"name":"Courier New"},"border":{"left":["thick","#000"]},"align":"center"},{"align":"center","font":{"bold":true,"size":14,"name":"Courier New"}},{"font":{"size":12,"name":"Courier New"},"border":{"left":["thick","#000"]}},{"font":{"size":12,"name":"Courier New"}},{"font":{"name":"Courier New"}},{"font":{"size":12,"name":"Courier New"},"valign":"middle","border":{"right":["thick","#000"]}},{"align":"left","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f"},{"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f"},{"align":"left","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#3f3f3f"},{"font":{"size":12,"name":"Courier New"},"border":{"right":["thick","#000"]}},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Courier New"}},{"border":{"bottom":["thick","#000"]},"font":{"name":"Courier New"}},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Courier New"}},{"font":{"size":12,"name":"Courier New"},"border":{"top":["thick","#000"],"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"border":{"top":["thick","#000"]},"color":"#000100"},{"border":{"top":["thick","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"border":{"top":["thick","#000"],"right":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"name":"Courier New"},"color":"#000100"},{"font":{"size":14,"bold":true,"name":"Courier New"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"bold":true,"size":14,"name":"Courier New"},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"border":{"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"color":"#000100"},{"font":{"name":"Courier New"},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"valign":"middle","border":{"right":["thick","#000"]},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100"},{"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Courier New"},"color":"#000100"},{"font":{"size":12,"name":"Courier New"},"border":{"right":["thick","#000"]},"color":"#000100"},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"border":{"bottom":["thick","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Courier New"},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"border":{"top":["thick","#000"],"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"border":{"top":["thick","#000"]},"color":"#000100"},{"border":{"top":["thick","#000"]},"font":{"name":"Arial"},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"border":{"top":["thick","#000"],"right":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"name":"Arial"},"color":"#000100"},{"font":{"size":14,"bold":true,"name":"Arial"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"bold":true,"size":14,"name":"Arial"},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"border":{"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"color":"#000100"},{"font":{"name":"Arial"},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"valign":"middle","border":{"right":["thick","#000"]},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100"},{"font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Arial"},"color":"#000100"},{"font":{"size":12,"name":"Arial"},"border":{"right":["thick","#000"]},"color":"#000100"},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Arial"},"color":"#000100"},{"border":{"bottom":["thick","#000"]},"font":{"name":"Arial"},"color":"#000100"},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Arial"},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"border":{"top":["thick","#000"],"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"border":{"top":["thick","#000"]},"color":"#000100"},{"border":{"top":["thick","#000"]},"font":{"name":"Helvetica"},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"border":{"top":["thick","#000"],"right":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"name":"Helvetica"},"color":"#000100"},{"font":{"size":14,"bold":true,"name":"Helvetica"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"bold":true,"size":14,"name":"Helvetica"},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"border":{"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"color":"#000100"},{"font":{"name":"Helvetica"},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"valign":"middle","border":{"right":["thick","#000"]},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100"},{"font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Helvetica"},"color":"#000100"},{"font":{"size":12,"name":"Helvetica"},"border":{"right":["thick","#000"]},"color":"#000100"},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Helvetica"},"color":"#000100"},{"border":{"bottom":["thick","#000"]},"font":{"name":"Helvetica"},"color":"#000100"},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Helvetica"},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"top":["thick","#000"],"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"top":["thick","#000"]},"color":"#000100"},{"border":{"top":["thick","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"top":["thick","#000"],"right":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"name":"Lato"},"color":"#000100"},{"font":{"size":14,"bold":true,"name":"Lato"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100"},{"align":"center","font":{"bold":true,"size":14,"name":"Lato"},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"left":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"color":"#000100"},{"font":{"name":"Lato"},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"valign":"middle","border":{"right":["thick","#000"]},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","align":"center"},{"align":"center","font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"left","border":{"right":["thick","#000"]},"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"align":"left","font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"right":["thick","#000"]},"color":"#000100"},{"border":{"bottom":["thick","#000"],"left":["thick","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"border":{"bottom":["thick","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"border":{"bottom":["thick","#000"],"right":["thick","#000"]},"font":{"name":"Lato"},"color":"#000100"},{"font":{"size":10,"name":"Lato"},"valign":"middle","border":{"right":["thick","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"color":"#000100","align":"center"},{"font":{"size":12,"name":"Lato"},"border":{"left":["thick","#000"]},"color":"#000100","align":"right"},{"align":"right"},{"font":{"size":12,"name":"Lato"},"border":{"left":["thick","#000"]},"align":"left","color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"left":["thick","#000"]},"align":"left","color":"#000100","valign":"top"},{"align":"left","valign":"top"},{"font":{"size":12,"name":"Lato"},"border":{"left":["thick","#000"]},"align":"left","color":"#000100","valign":"middle"},{"align":"left","valign":"middle"},{"font":{"size":12,"name":"Lato"},"border":{"left":["thick","#000"]},"align":"left","color":"#000100","valign":"bottom"},{"align":"left","valign":"bottom"},{"font":{"size":12,"name":"Lato"},"border":{"left":["thick","#000"]},"align":"center","color":"#000100","valign":"bottom"},{"font":{"size":12,"name":"Lato"},"border":{"left":["thick","#000"]},"align":"right","color":"#000100","valign":"bottom"},{"font":{"size":12,"name":"Lato"},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","color":"#000100"},{"font":{"size":14,"bold":true,"name":"Lato"},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","color":"#000100"},{"font":{"size":12,"name":"Lato"},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"right","color":"#000100","valign":"bottom"},{"align":"left","font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","underline":false,"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"font":{"name":"Lato"},"color":"#000100","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":12,"name":"Lato"},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100","align":"right"},{"font":{"size":12,"name":"Lato","bold":true},"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"color":"#000100"},{"border":{"right":["thin","#000"]}},{},{"font":{"size":12,"name":"Lato"},"border":{"bottom":["thin","#000"]},"color":"#000100","align":"right"},{"font":{"size":12,"name":"Lato","bold":true},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"align":"right","color":"#000100","valign":"bottom"},{"align":"center","underline":false,"font":{"size":12,"bold":false,"name":"Lato"},"color":"#000100"},{"font":{"size":12},"align":"center","border":{"bottom":["thin","#000"]}},{"align":"left","font":{"name":"Lato"},"color":"#000100"},{"font":{"size":12,"name":"Lato"},"color":"#000100","align":"right"},{"border":{"bottom":["thin","#000"]},"font":{"size":12}},{"align":"center","font":{"bold":false}},{"align":"center","font":{"bold":false,"size":12}},{"align":"center","font":{"bold":false,"size":12},"border":{"bottom":["thin","#000"]}},{"align":"center","valign":"top"},{"font":{"size":14,"name":"Lato"},"color":"#000100","align":"center"},{"font":{"size":14}},{"align":"center","font":{"bold":true,"size":16,"name":"Lato"},"color":"#000100"},{"font":{"size":14,"name":"Lato"},"align":"right","color":"#000100","valign":"bottom"},{"align":"left","font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100"},{"align":"center","font":{"bold":false,"size":14},"border":{"bottom":["thin","#000"]}},{"font":{"name":"Lato","size":14},"color":"#000100"},{"align":"left","border":{"bottom":["thin","#000"]},"font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100"},{"align":"center","border":{"bottom":["thin","#000"]},"font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100"},{"font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100","align":"center"},{"font":{"size":14},"align":"center","border":{"bottom":["thin","#000"]}},{"border":{"bottom":["thin","#000"]},"font":{"size":14}},{"align":"left","font":{"size":14}},{"align":"left","font":{"name":"Lato","size":14},"color":"#000100"},{"font":{"size":14,"name":"Lato"},"color":"#000100","align":"right"},{"align":"left","valign":"top","font":{"size":14}},{"border":{"top":["thick","#000"],"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":14,"name":"Lato"},"color":"#000100","align":"center","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"align":"center","font":{"bold":true,"size":16,"name":"Lato"},"color":"#000100","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":14,"name":"Lato"},"align":"right","color":"#000100","valign":"bottom","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"align":"left","font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100","border":{"left":["thick","#000"],"right":["thick","#000"]}},{"align":"left","font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100","border":{"left":["thick","#000"]}},{"align":"center","font":{"bold":false,"size":14},"border":{"right":["thick","#000"]}},{"align":"center","border":{"right":["thick","#000"]},"font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100"},{"border":{"right":["thick","#000"]},"font":{"size":14}},{"align":"left","font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100","border":{"right":["thick","#000"]}},{"font":{"name":"Lato","size":14},"color":"#000100","border":{"left":["thick","#000"]}},{"font":{"size":14,"name":"Lato"},"color":"#000100","align":"center","border":{"left":["thick","#000"]}},{"font":{"size":14},"border":{"left":["thick","#000"]}},{"font":{"size":14,"name":"Lato"},"color":"#000100","align":"right","border":{"left":["thick","#000"]}},{"font":{"size":12,"name":"Lato"},"color":"#000100","align":"right","border":{"bottom":["thick","#000"],"left":["thick","#000"]}},{"font":{"size":14},"border":{"bottom":["thick","#000"]}},{"align":"center","font":{"bold":false,"size":14}},{"font":{"size":14},"align":"center"},{"font":{"size":14,"name":"Lato"},"color":"#000100","align":"center","border":{"top":["thick","#000"],"left":["thick","#000"],"right":["thick","#000"]}},{"border":{"top":["thick","#000"],"left":["thick","#000"]}},{"font":{"size":14,"name":"Lato"},"color":"#000100","align":"center","border":{"top":["thick","#000"]}},{"border":{"top":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":12,"name":"Lato"},"color":"#000100","align":"right","border":{"bottom":["thick","#000"]}},{"font":{"size":14},"align":"right"},{"border":{"bottom":["thick","#000"]},"font":{"size":12}},{"font":{"size":14},"border":{"bottom":["thick","#000"]},"align":"center"},{"border":{"bottom":["thick","#000"]},"font":{"size":12},"align":"center"},{"align":"left","valign":"middle","font":{"size":14}},{"border":{"top":["thick","#000"]},"font":{"size":24}},{"font":{"size":24}},{"border":{"top":["thick","#000"]},"font":{"size":22}},{"font":{"size":22}},{"border":{"top":["thick","#000"]},"font":{"size":18}},{"font":{"size":18}},{"border":{"top":["thick","#000"]},"font":{"size":18,"bold":true}},{"font":{"size":18,"bold":true}},{"border":{"top":["thick","#000"]},"font":{"size":18,"bold":true},"align":"center"},{"border":{"top":["thick","#000"]},"font":{"size":18,"bold":false},"align":"center"},{"font":{"size":18,"bold":false},"align":"center"},{"font":{"size":14,"bold":true}},{"border":{"top":["thick","#000"]},"font":{"size":18,"bold":false},"align":"center","valign":"bottom"},{"font":{"size":18,"bold":false},"align":"center","valign":"bottom"},{"valign":"bottom"},{"valign":"bottom","align":"right"},{"valign":"bottom","align":"right","font":{"size":14}},{"font":{"size":18,"bold":false},"align":"center","valign":"bottom","border":{"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","font":{"bold":true,"size":14},"border":{"left":["thin","#000"],"right":["thin","#000"]}},{"valign":"bottom","align":"right","font":{"size":14},"border":{"left":["thin","#000"],"right":["thin","#000"]}},{"align":"left","font":{"size":14,"bold":false,"name":"Lato"},"color":"#000100","border":{"right":["thin","#000"]}},{"align":"center","font":{"bold":false,"size":14},"border":{"right":["thin","#000"]}},{"font":{"size":14},"align":"center","border":{"right":["thin","#000"]}},{"font":{"size":18,"bold":false},"align":"center","valign":"bottom","border":{"top":["thick","#000"],"left":["thick","#000"],"right":["thick","#000"]}},{"align":"center","font":{"bold":true,"size":14},"border":{"left":["thick","#000"],"right":["thick","#000"]}},{"valign":"bottom","align":"right","font":{"size":14},"border":{"left":["thick","#000"],"right":["thick","#000"]}},{"font":{"size":14},"align":"center","border":{"right":["thick","#000"]}},{"font":{"size":18,"bold":false},"align":"center","valign":"bottom","border":{"top":["thick","#000"],"left":["thick","#000"]}},{"valign":"bottom","align":"right","font":{"size":14},"border":{"left":["thick","#000"]}},{"font":{"size":18,"bold":false},"align":"center","valign":"bottom","border":{"top":["medium","#000"],"left":["medium","#000"],"right":["medium","#000"]}},{"align":"center","font":{"bold":true,"size":14},"border":{"left":["medium","#000"],"right":["medium","#000"]}},{"valign":"bottom","align":"right","font":{"size":14},"border":{"left":["medium","#000"]}},{"border":{"right":["medium","#000"]}},{"border":{"left":["medium","#000"]}},{"border":{"bottom":["medium","#000"],"left":["medium","#000"]}},{"font":{"size":12,"name":"Lato"},"color":"#000100","align":"right","border":{"bottom":["medium","#000"]}},{"border":{"bottom":["medium","#000"]}},{"font":{"size":12},"align":"center","border":{"bottom":["medium","#000"]}},{"border":{"bottom":["medium","#000"],"right":["medium","#000"]}},{"align":"center","font":{"bold":false,"size":14},"border":{"top":["thin","#000"],"bottom":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"font":{"size":12},"align":"right","border":{"bottom":["medium","#000"]}},{"font":{"size":12},"align":"right"}],"validations":[],"cols":{"0":{"width":18},"1":{"width":21},"2":{"width":27},"3":{"width":6},"4":{"width":87},"5":{"width":51},"6":{"width":51},"7":{"width":1},"8":{"width":86},"9":{"width":163},"10":{"width":1},"11":{"width":60},"12":{"width":45},"13":{"width":49},"14":{"width":23},"15":{"width":20},"len":50},"merges":["D8:E8","C6:D6","C10:I10","G8:H8","C9:J9","C1:L1","K10:L15","C13:I13","C14:H14","F7:I7","G12:I12","G16:M16","B4:N4","C5:N5","E6:N6","J7:N7","C7:E7","K9:N9","B2:O2","B3:O3","J8:N8"],"imgList":[{"row":13,"col":9,"width":"168","height":"158","src":"https://static.jeecg.com/designreport/images/QQ截图20210105214919_1610075317075.png","layer_id":"XefZfpEcdS3wI6Ae","offsetX":0,"offsetY":0,"virtualCellRange":[[13,9],[13,10],[13,11]]}]}', NULL, 'https://static.jeecg.com/designreport/images/逮捕令_1607070625878.png', 'jeecg', TO_DATE('2020-07-10 13:38:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-05 18:47:36', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '2506', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('dd482bfd6ca470a0f49d9bb4e61ec694', '202101081046034402', '实习证明副本4402', NULL, NULL, 'printinfo', '{"area":false,"printElWidth":570,"excel_config_id":"1347373863746539520","printElHeight":1047,"rows":{"6":{"cells":{"2":{"merge":[0,1],"text":"实习证明","style":2},"3":{"style":2}},"height":50},"8":{"cells":{"1":{"text":"#{tt.name}","style":3},"2":{"merge":[0,2],"text":"同学在我公司与 2020年4月1日 至 2020年5月1日 实习。"}}},"9":{"cells":{"1":{"text":""}},"isDrag":true},"12":{"cells":{"1":{"merge":[4,3],"text":"#{tt.pingjia}","style":6},"2":{"style":6},"3":{"style":6},"4":{"style":6}}},"13":{"cells":{"1":{"style":6},"2":{"style":6},"3":{"style":6},"4":{"style":6}}},"14":{"cells":{"1":{"style":6},"2":{"style":6},"3":{"style":6},"4":{"style":6}}},"15":{"cells":{"1":{"style":6},"2":{"style":6},"3":{"style":6},"4":{"style":6}}},"16":{"cells":{"1":{"style":6},"2":{"style":6},"3":{"style":6},"4":{"style":6}}},"17":{"cells":{"1":{"text":"特此证明！"}}},"20":{"cells":{"2":{"text":""},"3":{"text":"","style":3},"4":{"text":""}}},"21":{"cells":{"4":{"text":""}}},"22":{"cells":{"3":{"text":"证明人：","style":3},"4":{"text":"#{tt.lingdao}"}}},"23":{"cells":{"4":{"text":"#{tt.shijian}"}}},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":487,"background":{"path":"https://static.jeecg.com/designreport/images/report_1595906079684_1610075686629.png","repeat":"no-repeat","width":"","height":""},"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","font":{"size":14}},{"align":"center","font":{"size":16}},{"align":"right"},{"align":"left"},{"align":"left","valign":"top"},{"align":"left","valign":"top","textwrap":true}],"validations":[],"cols":{"0":{"width":82},"1":{"width":86},"4":{"width":119},"len":26},"merges":["C7:D7","C9:E9","B13:E17"]}', NULL, 'https://static.jeecg.com/designreport/images/未标题-1_1610074948259.png', 'admin', TO_DATE('2021-01-18 13:21:18', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-02 19:01:05', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, NULL, '0', '94', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('f5f275b5e28b45256ef24587ec792f0c', '202101081641215447', '实例:来源收入统计副本5447', NULL, NULL, 'datainfo', '{"loopBlockList":[],"chartList":[{"row":1,"col":1,"colspan":0,"rowspan":0,"width":"624","height":"281","config":"{\"legend\":{\"padding\":[25,20,25,10],\"data\":[\"中国石油全资（集团所属）\",\"中国石油全资（股份所属）\",\"中石油控股或有控股权\",\"中石油参股\",\"非中石油\"],\"top\":\"top\",\"orient\":\"vertical\",\"left\":\"right\",\"show\":true,\"textStyle\":{\"color\":\"#333\",\"fontSize\":12}},\"series\":[{\"isRose\":false,\"data\":[{\"name\":\"中国石油全资（集团所属）\",\"value\":38460270.57,\"itemStyle\":{\"color\":\"#E46C8A\"}},{\"name\":\"中国石油全资（股份所属）\",\"value\":227595.77,\"itemStyle\":{\"color\":\"#FCDE43\"}},{\"name\":\"中石油控股或有控股权\",\"value\":679926.75,\"itemStyle\":{\"color\":\"#01A8E1\"}},{\"name\":\"中石油参股\",\"value\":72062.75,\"itemStyle\":{\"color\":\"#99CC00\"}},{\"name\":\"非中石油\",\"value\":1698597.62,\"itemStyle\":{\"color\":\"#800080\"}}],\"isRadius\":false,\"roseType\":\"\",\"notCount\":false,\"center\":[320,180],\"name\":\"total\",\"minAngle\":0,\"label\":{\"show\":false,\"position\":\"outside\",\"textStyle\":{\"fontSize\":16,\"fontWeight\":\"bolder\"}},\"type\":\"pie\",\"radius\":\"55%\",\"autoSort\":false}],\"tooltip\":{\"formatter\":\"{b} : {c}\",\"show\":true,\"textStyle\":{\"color\":\"#fff\",\"fontSize\":18}},\"title\":{\"show\":true,\"top\":5,\"text\":\"来源收入统计\",\"textStyle\":{\"color\":\"#c23531\",\"fontWeight\":\"bolder\",\"fontSize\":18},\"left\":\"center\",\"padding\":[5,20,5,10]}}","url":"","extData":{"dataType":"sql","apiStatus":"","apiUrl":"","dataId":"4af57d343f1d6521b71b85097b580786","axisX":"biz_income","axisY":"total","series":"","yText":"total","xText":"biz_income","dbCode":"tmp_report_data_income","dataId1":"","source":"","target":"","isTiming":true,"intervalTime":"5","chartType":"pie.simple","id":""},"layer_id":"nVUy533exgQ70OPb","offsetX":0,"offsetY":0,"backgroud":{"enabled":false,"color":"#fff","image":""},"virtualCellRange":[[1,1],[1,2],[1,3],[1,4],[1,5],[1,6],[1,7],[1,8]]}],"area":{"sri":20,"sci":6,"eri":20,"eci":6,"width":60,"height":25},"excel_config_id":"f5f275b5e28b45256ef24587ec792f0c","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":false,"marginX":10,"marginY":10},"zonedEditionList":[],"rows":{"1":{"cells":{"1":{"text":" ","virtual":"nVUy533exgQ70OPb"},"2":{"text":" ","virtual":"nVUy533exgQ70OPb"},"3":{"text":" ","virtual":"nVUy533exgQ70OPb"},"4":{"text":" ","virtual":"nVUy533exgQ70OPb"},"5":{"text":" ","virtual":"nVUy533exgQ70OPb"},"6":{"text":" ","virtual":"nVUy533exgQ70OPb"},"7":{"text":" ","virtual":"nVUy533exgQ70OPb"},"8":{"text":" ","virtual":"nVUy533exgQ70OPb"}}},"13":{"cells":{"2":{}}},"16":{"cells":{"1":{"text":"业务来源","style":1},"2":{"text":"保险经纪佣金费","style":1},"3":{"text":"风险咨询费","style":1},"4":{"text":"承保公证评估费","style":1},"5":{"text":"保险公证费","style":1},"6":{"text":"投标咨询费","style":1},"7":{"text":"内控咨询费","style":1},"8":{"text":"总计","style":1}}},"17":{"cells":{"1":{"text":"#{tmp_report_data_income.biz_income}","style":0},"2":{"text":"#{tmp_report_data_income.bx_jj_yongjin}","style":0},"3":{"text":"#{tmp_report_data_income.bx_zx_money}","style":0},"4":{"text":"#{tmp_report_data_income.chengbao_gz_money}","style":0},"5":{"text":"#{tmp_report_data_income.bx_gg_moeny}","style":0},"6":{"text":"#{tmp_report_data_income.tb_zx_money}","style":0},"7":{"text":"#{tmp_report_data_income.neikong_zx_money}","style":0},"8":{"text":"#{tmp_report_data_income.total}","style":0}},"isDrag":true,"height":24},"len":58},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"rpbar":{"show":true,"pageSize":"","btnList":[]},"freeze":"A1","dataRectWidth":701,"displayConfig":{},"background":false,"name":"sheet1","autofilter":{},"styles":[{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#33CCCC"}],"validations":[],"cols":{"0":{"width":15},"1":{"width":105},"2":{"width":119},"3":{"width":87},"4":{"width":61},"5":{"width":63},"6":{"width":60},"7":{"width":91},"len":50},"merges":[]}', NULL, NULL, 'admin', TO_DATE('2021-01-18 13:21:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 19:39:56', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '0', '65', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('f6ee801e8bdc28ba9d63f95dc65ccd79', '4556633', '采购单', NULL, NULL, 'printinfo', '{"loopBlockList":[],"area":false,"excel_config_id":"f6ee801e8bdc28ba9d63f95dc65ccd79","printConfig":{"paper":"A4","width":210,"height":297,"definition":1,"isBackend":false,"marginX":10,"marginY":10},"rows":{"0":{"cells":{"1":{"text":"采购单","style":21,"merge":[0,6]}},"height":89},"1":{"cells":{"1":{"text":"产品名称","style":23},"2":{"text":"产品数量","style":23},"3":{"text":"单价","style":23},"4":{"text":"库存量","style":23},"5":{"text":"库存总值","style":23},"6":{"text":"订购量","style":23},"7":{"text":"二次订购量","style":23}},"height":45},"2":{"cells":{"1":{"style":24,"text":"#{caigou.cname}"},"2":{"style":24,"text":"#{caigou.cnum}"},"3":{"style":24,"text":"#{caigou.cprice}"},"4":{"style":24,"text":"#{caigou.ctotal}"},"5":{"style":24,"text":"#{caigou.tp}"},"6":{"style":24,"text":"#{caigou.dtotal}"},"7":{"style":24,"text":"#{caigou.ztotal}"}},"height":26},"5":{"cells":{"1":{"text":""}},"isDrag":true},"6":{"cells":{"1":{"text":""}},"isDrag":true},"7":{"cells":{"1":{"text":""},"2":{"text":""}},"isDrag":true},"len":100},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":718,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":682,"displayConfig":{},"background":false,"name":"sheet1","autofilter":{},"styles":[{"align":"center"},{"align":"center","color":"#000100"},{"align":"center","color":"#000100","border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"align":"center","color":"#000100","border":{"bottom":["thin","#01b0f1"],"top":["thin","#01b0f1"],"left":["thin","#01b0f1"],"right":["thin","#01b0f1"]}},{"border":{"bottom":["thin","#01b0f1"],"top":["thin","#01b0f1"],"left":["thin","#01b0f1"],"right":["thin","#01b0f1"]}},{"align":"center","color":"#000100","border":{"bottom":["thin","#01b0f1"],"top":["thin","#01b0f1"],"left":["thin","#01b0f1"],"right":["thin","#01b0f1"]},"bgcolor":"#01b0f1"},{"align":"center","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"bgcolor":"#01b0f1"},{"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]}},{"align":"center","font":{"size":18}},{"align":"center","font":{"size":18,"bold":true}},{"align":"center","font":{"size":16,"bold":true}},{"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"align":"center"},{"align":"center","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"bgcolor":"#9cc2e6"},{"font":{"name":"宋体"}},{"align":"center","font":{"size":16,"bold":true,"name":"宋体"}},{"align":"center","color":"#000100","border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"bgcolor":"#9cc2e6","font":{"name":"宋体"}},{"border":{"bottom":["thin","#5b9cd6"],"top":["thin","#5b9cd6"],"left":["thin","#5b9cd6"],"right":["thin","#5b9cd6"]},"align":"center","font":{"name":"宋体"}},{"align":"center","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#9cc2e6","font":{"name":"宋体"}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center","font":{"name":"宋体"}},{"align":"center","color":"#000100","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#5b9cd6","font":{"name":"宋体"}},{"align":"center","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#5b9cd6","font":{"name":"宋体"}},{"align":"center","font":{"size":16,"bold":true,"name":"Microsoft YaHei"}},{"font":{"name":"Microsoft YaHei"}},{"align":"center","color":"#ffffff","border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"bgcolor":"#5b9cd6","font":{"name":"Microsoft YaHei"}},{"border":{"bottom":["thin","#bfbfbf"],"top":["thin","#bfbfbf"],"left":["thin","#bfbfbf"],"right":["thin","#bfbfbf"]},"align":"center","font":{"name":"Microsoft YaHei"}}],"validations":[],"cols":{"0":{"width":43},"1":{"width":114},"2":{"width":109},"3":{"width":78},"4":{"width":77},"5":{"width":84},"6":{"width":82},"7":{"width":95},"len":50},"merges":["B1:H1"]}', NULL, 'https://static.jeecg.com/designreport/images/caigou_1607310279439.png', 'jeecg', TO_DATE('2020-07-28 16:54:44', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-01 03:09:41', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '1', '1249', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT" VALUES ('ff9bd143582a6dfed897ba8b6f93b175', '56696', '销售公司出库单', NULL, NULL, 'printinfo', '{"area":{"sri":4,"sci":0,"eri":4,"eci":0,"width":32,"height":25},"printElWidth":794,"excel_config_id":"ff9bd143582a6dfed897ba8b6f93b175","printElHeight":800,"rows":{"0":{"cells":{"0":{"style":11,"text":"医疗器械销售公司出货单","merge":[0,9]}},"height":83},"1":{"cells":{"0":{"text":"供货单位：","style":20,"merge":[0,1]},"1":{"style":30},"2":{"text":"${gongsi.gname}","style":19},"3":{"style":19},"4":{"text":"供货日期：","style":19},"5":{"text":"${gongsi.gdata}","style":19,"merge":[0,1]},"6":{"style":19},"7":{"text":"编号：","style":20},"8":{"text":"${gongsi.num}","style":19,"merge":[0,1]},"9":{"style":19}},"isDrag":true},"2":{"cells":{"0":{"text":"行号","style":39},"1":{"text":"产品代码","style":39},"2":{"text":"产品名称","style":39},"3":{"text":"规格型号","style":39},"4":{"text":"单位","style":39},"5":{"text":"实发数量","style":39},"6":{"text":"销售单价(元)","style":39},"7":{"text":"折扣率（%）","style":39},"8":{"text":"销售金额(元)","style":39},"9":{"text":"备注","style":39}}},"3":{"cells":{"0":{"style":35,"text":"#{xiaoshou.id}"},"1":{"style":35,"text":"#{xiaoshou.hnum}"},"2":{"style":35,"text":"#{xiaoshou.hname}"},"3":{"style":35,"text":"#{xiaoshou.xinghao}"},"4":{"style":35,"text":"#{xiaoshou.danwei}"},"5":{"style":35,"text":"#{xiaoshou.num}"},"6":{"style":35,"text":"#{xiaoshou.danjia}"},"7":{"style":35,"text":"#{xiaoshou.zhekoulv}"},"8":{"style":35,"text":"#{xiaoshou.xiaoshoujine}"},"9":{"style":35,"text":"#{xiaoshou.xiaoshoujine}"}}},"4":{"cells":{"0":{"style":4},"1":{}},"isDrag":true},"len":84,"-1":{"cells":{"0":{"text":"#{gongsi.gdata}"},"-1":{"text":"#{gongsi.didian}"}},"isDrag":true}},"dbexps":[],"toolPrintSizeObj":{"printType":"A4","widthPx":794,"heightPx":1047},"dicts":[],"freeze":"A1","dataRectWidth":794,"background":false,"name":"sheet1","autofilter":{},"styles":[{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center"},{"font":{"size":16}},{"font":{"size":16},"align":"center"},{"align":"center"},{"border":{"top":["thin","#000"],"bottom":["thin","#000"],"left":["thin","#000"]}},{"border":{"top":["thin","#000"],"bottom":["thin","#000"]}},{"border":{"top":["thin","#000"],"bottom":["thin","#000"],"right":["thin","#000"]}},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"right"},{"align":"right"},{"align":"center","font":{"size":14}},{"align":"center","font":{"size":14,"bold":true}},{"align":"center","font":{"size":9}},{"font":{"size":9}},{"align":"right","font":{"size":9}},{"align":"center","font":{"size":8}},{"font":{"size":8}},{"align":"right","font":{"size":8}},{"align":"center","font":{"size":8},"color":"#7f7f7f"},{"font":{"size":8},"color":"#7f7f7f"},{"align":"right","font":{"size":8},"color":"#7f7f7f"},{"align":"center","font":{"size":8},"color":"#3f3f3f"},{"font":{"size":8},"color":"#3f3f3f"},{"align":"right","font":{"size":8},"color":"#3f3f3f"},{"align":"center","font":{"size":8},"color":"#262626"},{"font":{"size":8},"color":"#262626"},{"align":"right","font":{"size":8},"color":"#262626"},{"align":"center","font":{"size":8},"color":"#0c0c0c"},{"font":{"size":8},"color":"#0c0c0c"},{"align":"right","font":{"size":8},"color":"#0c0c0c"},{"align":"right","color":"#7f7f7f"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"align":"center","bgcolor":"#71ae47"},{"border":{"bottom":["thin","#000"],"top":["thin","#000"],"left":["thin","#000"],"right":["thin","#000"]},"bgcolor":"#71ae47"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"align":"center","bgcolor":"#71ae47"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"bgcolor":"#71ae47"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"align":"center"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]}},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"align":"center","bgcolor":"#c5e0b3"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"bgcolor":"#c5e0b3"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"align":"center","bgcolor":"#a7d08c"},{"border":{"bottom":["thin","#538136"],"top":["thin","#538136"],"left":["thin","#538136"],"right":["thin","#538136"]},"bgcolor":"#a7d08c"}],"validations":[],"cols":{"0":{"width":32},"1":{"width":65},"2":{"width":115},"3":{"width":70},"4":{"width":52},"5":{"width":70},"6":{"width":93},"7":{"width":86},"8":{"width":75},"9":{"width":136},"10":{"width":81},"len":24},"merges":["F2:G2","F2:G2","I2:J2","A2:B2","C2:D2","A2:B2","A1:J1"]}', NULL, 'https://static.jeecg.com/designreport/images/医疗器械_1607070355110.png', 'jeecg', TO_DATE('2020-06-16 11:54:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-02 19:34:39', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, NULL, '0', '764', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for JIMU_REPORT_DATA_SOURCE
-- ----------------------------
DROP TABLE "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE";
CREATE TABLE "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE" (
  "ID" NVARCHAR2(36) NOT NULL,
  "NAME" NVARCHAR2(100),
  "REPORT_ID" NVARCHAR2(100),
  "CODE" NVARCHAR2(100),
  "REMARK" NVARCHAR2(200),
  "DB_TYPE" NVARCHAR2(10),
  "DB_DRIVER" NVARCHAR2(100),
  "DB_URL" NVARCHAR2(500),
  "DB_USERNAME" NVARCHAR2(100),
  "DB_PASSWORD" NVARCHAR2(100),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "CONNECT_TIMES" NUMBER(11,0),
  "TENANT_ID" NVARCHAR2(10),
  "TYPE" VARCHAR2(10 BYTE)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."NAME" IS '数据源名称';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."REPORT_ID" IS '报表_id';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."CODE" IS '编码';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."REMARK" IS '备注';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."DB_TYPE" IS '数据库类型';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."DB_DRIVER" IS '驱动类';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."DB_URL" IS '数据源地址';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."DB_USERNAME" IS '用户名';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."DB_PASSWORD" IS '密码';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."CONNECT_TIMES" IS '连接失败次数';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."TENANT_ID" IS '多租户标识';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE"."TYPE" IS '类型(report:报表;drag:仪表盘)';

-- ----------------------------
-- Records of JIMU_REPORT_DATA_SOURCE
-- ----------------------------
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE" VALUES ('1324261983692902402', 'jeewx', '1324261770294071296', NULL, NULL, 'MYSQL', 'com.mysql.jdbc.Driver', 'jdbc:mysql://127.0.0.1:3306/jeewx-boot?useUnicode=true&characterEncoding=UTF-8&serverTimezone=GMT%2B8', 'root', 'root', 'jeecg', TO_DATE('2020-11-05 16:07:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, TO_DATE('2020-11-05 16:07:15', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, 'report');
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE" VALUES ('26d21fe4f27920d2f56abc8d90a8e527', 'oracle', '1308645288868712448', NULL, NULL, 'ORACLE', 'oracle.jdbc.OracleDriver', 'jdbc:oracle:thin:@192.168.1.199:1521:helowin', 'jeecgbootbpm', 'jeecg196283', 'admin', TO_DATE('2021-01-05 19:26:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, TO_DATE('2021-01-05 19:26:24', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, 'report');
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE" VALUES ('8f90daf47d15d35ca6cf420748b8b9ba', 'localhost', '1316944968992034816', NULL, NULL, 'MYSQL5.7', 'com.mysql.cj.jdbc.Driver', 'jdbc:mysql://127.0.0.1:3306/jeecg-boot?useUnicode=true&characterEncoding=UTF-8&serverTimezone=GMT%2B8', 'root', 'root', 'admin', TO_DATE('2021-01-13 14:34:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, TO_DATE('2021-01-13 14:34:00', 'SYYYY-MM-DD HH24:MI:SS'), '0', NULL, 'report');

-- ----------------------------
-- Table structure for JIMU_REPORT_DB
-- ----------------------------
DROP TABLE "JEECGBOOT"."JIMU_REPORT_DB";
CREATE TABLE "JEECGBOOT"."JIMU_REPORT_DB" (
  "ID" NVARCHAR2(36) NOT NULL,
  "JIMU_REPORT_ID" NVARCHAR2(32),
  "CREATE_BY" NVARCHAR2(50),
  "UPDATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "DB_CODE" NVARCHAR2(32),
  "DB_CH_NAME" NVARCHAR2(50),
  "DB_TYPE" NVARCHAR2(32),
  "DB_TABLE_NAME" NVARCHAR2(32),
  "DB_DYN_SQL" NCLOB,
  "DB_KEY" NVARCHAR2(32),
  "TB_DB_KEY" NVARCHAR2(32),
  "TB_DB_TABLE_NAME" NVARCHAR2(32),
  "JAVA_TYPE" NVARCHAR2(32),
  "JAVA_VALUE" NVARCHAR2(255),
  "API_URL" NVARCHAR2(255),
  "API_METHOD" NVARCHAR2(255),
  "IS_LIST" NVARCHAR2(10),
  "IS_PAGE" NVARCHAR2(10),
  "DB_SOURCE" NVARCHAR2(255),
  "DB_SOURCE_TYPE" NVARCHAR2(50),
  "JSON_DATA" NCLOB,
  "API_CONVERT" NVARCHAR2(255)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."ID" IS 'id';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."JIMU_REPORT_ID" IS '主键字段';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."DB_CODE" IS '数据集编码';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."DB_CH_NAME" IS '数据集名字';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."DB_TYPE" IS '数据源类型';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."DB_TABLE_NAME" IS '数据库表名';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."DB_DYN_SQL" IS '动态查询SQL';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."DB_KEY" IS '数据源KEY';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."TB_DB_KEY" IS '填报数据源';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."TB_DB_TABLE_NAME" IS '填报数据表';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."JAVA_TYPE" IS 'java类数据集  类型（spring:springkey,class:java类名）';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."JAVA_VALUE" IS 'java类数据源  数值（bean key/java类名）';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."API_URL" IS '请求地址';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."API_METHOD" IS '请求方法0-get,1-post';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."IS_LIST" IS '是否是列表0否1是 默认0';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."IS_PAGE" IS '是否作为分页,0:不分页，1:分页';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."DB_SOURCE" IS '数据源';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."DB_SOURCE_TYPE" IS '数据库类型 MYSQL ORACLE SQLSERVER';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."JSON_DATA" IS 'json数据，直接解析json内容';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB"."API_CONVERT" IS 'api转换器';

-- ----------------------------
-- Records of JIMU_REPORT_DB
-- ----------------------------
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1331922734933987329', '1331503965770223616', 'admin', NULL, TO_DATE('2020-11-26 19:28:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-26 19:28:21', 'SYYYY-MM-DD HH24:MI:SS'), 'fangyuan', 'fangyuan', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/fangyuan', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1331926127597441025', '1331503965770223616', 'admin', NULL, TO_DATE('2020-11-26 19:41:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-26 19:41:49', 'SYYYY-MM-DD HH24:MI:SS'), 'qingkuang', 'qingkuang', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/qingkuang', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1334390762455965697', '1334378897302753280', 'admin', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), 'quyuxiaoshou', 'quyuxiaoshou', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/quyuxiaoshou', '0', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1334440263732436994', '1334420681185566722', 'admin', NULL, TO_DATE('2021-01-04 21:28:19', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-04 21:28:19', 'SYYYY-MM-DD HH24:MI:SS'), 'laiyuan', 'laiyuan', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/laiyuan', '0', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1334465135435063298', '1334457419857793024', 'admin', NULL, TO_DATE('2021-01-04 21:29:28', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-04 21:29:28', 'SYYYY-MM-DD HH24:MI:SS'), 'xiaoshou', 'xiaoshou', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/xiaoshou', '0', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1334708015269490689', '1334696790477377536', 'admin', NULL, TO_DATE('2021-01-04 21:30:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-04 21:30:29', 'SYYYY-MM-DD HH24:MI:SS'), 'shouru', 'shouru', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/shouru', '0', '1', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1334763434197200897', '1334757703079301120', 'admin', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), 'chejian', 'chejian', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/chejian', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1338756341933543425', '1338744112815411200', 'admin', NULL, TO_DATE('2021-02-02 19:20:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-02-02 19:20:56', 'SYYYY-MM-DD HH24:MI:SS'), 'jdcx', 'jdcx', '0', NULL, 'select * from rep_demo_dxtj', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('22f025b781ee9fe4746438621e82674f', '01a1e07ed4b12348b29d5a47ac7f0228', 'admin', NULL, TO_DATE('2020-12-14 16:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-12-14 16:21:09', 'SYYYY-MM-DD HH24:MI:SS'), 'xiaoshou', 'xiaoshou', '0', NULL, 'select * from rep_demo_xiaoshou where s_id=''${id}''', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('2324fac242b35938678a05bbbba345e2', '7acddbc92bc73d06c7f62ff55dfdca19', 'admin', NULL, TO_DATE('2021-01-11 14:25:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-11 14:25:45', 'SYYYY-MM-DD HH24:MI:SS'), 'xiaoshou', 'xiaoshou', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/xiaoshou?pageNo=''${pageNo}''&pageSize=''${pageSize}''', '0', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('28e0b01cc3e2b0d361107661527bfdff', '6df599d933df24de007764d0e98eb105', 'admin', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'yaopin', 'yaopin', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/chufangjian', '0', '0', '0', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('4af57d343f1d6521b71b85097b580786', '1347459370216198144', 'admin', NULL, TO_DATE('2021-01-08 17:26:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-08 17:26:57', 'SYYYY-MM-DD HH24:MI:SS'), 'tmp_report_data_income', '来源收入统计', '0', NULL, 'select * from tmp_report_data_income', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('4dc208eb92fd1a84ef7b4723251e3e51', '5485950d88c9918d03dece2ad24b4d72', 'admin', NULL, TO_DATE('2021-01-08 16:24:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-08 16:24:16', 'SYYYY-MM-DD HH24:MI:SS'), 'tmp_report_data_1', '年度佣金收入', '0', NULL, 'select monty,main_income,total,his_lowest,his_average,his_highest from tmp_report_data_1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('537477711022567424', '537446834339098624', 'admin', 'admin', TO_DATE('2021-04-01 05:54:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-04-01 05:54:42', 'SYYYY-MM-DD HH24:MI:SS'), 'yy', 'yy', '0', NULL, 'select * from rep_demo_dxtj', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('537478337278291968', '537446834339098624', 'admin', 'admin', TO_DATE('2021-04-01 05:54:37', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-04-01 05:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'tt', 'tt', '0', NULL, 'select *  from SYS_DATA_LOG', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', '26d21fe4f27920d2f56abc8d90a8e527', 'ORACLE', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('537478706314129408', '537446834339098624', 'admin', 'admin', TO_DATE('2021-04-01 05:56:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-04-01 05:56:44', 'SYYYY-MM-DD HH24:MI:SS'), 'pp', 'pp', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/caigou', '0', '1', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('6011955e58d89040fca52e7f962d0bf4', '961455b47c0b86dc961e90b5893bff05', 'admin', NULL, TO_DATE('2021-01-04 20:47:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-04 20:47:07', 'SYYYY-MM-DD HH24:MI:SS'), 'gongsi', 'gongsi', '0', NULL, 'select * from rep_demo_gongsi where id=''${id}''', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('60b3feffadc55eb49baa5a48fdf1ff0e', '1352160857479581696', 'admin', 'admin', TO_DATE('2021-05-19 19:20:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-05-19 19:20:44', 'SYYYY-MM-DD HH24:MI:SS'), 'infoForReport', '信息', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{{ domainURL }}/sys/actuator/redis/infoForReport', '0', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('629609c4d540cb4675e9064af8955296', '7c02c224a2db56d0350069650033f702', 'admin', NULL, TO_DATE('2021-02-02 19:33:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-02-02 19:33:09', 'SYYYY-MM-DD HH24:MI:SS'), 'hecha', 'hecha', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/hecha', '0', '1', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('654609e4247a0469e0b2befbc69b00f9', '1cd9d574d0c42f3915046dc61d9f33bd', 'admin', NULL, TO_DATE('2020-12-17 16:42:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-12-17 19:50:14', 'SYYYY-MM-DD HH24:MI:SS'), 'xiaoshoue', '销售额', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/xiaoshoue', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('6a1d22ca4c95e8fab655d3ceed43a84d', '1352160857479581696', 'admin', 'admin', TO_DATE('2021-05-19 19:20:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-05-19 19:20:50', 'SYYYY-MM-DD HH24:MI:SS'), 'memoryForReport', '内存', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{{ domainURL }}/sys/actuator/redis/memoryForReport', '0', '1', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('7911bd189c2d53e182693bd599a315a2', '1cd9d574d0c42f3915046dc61d9f33bd', 'admin', NULL, TO_DATE('2020-12-17 16:59:12', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-12-17 19:50:14', 'SYYYY-MM-DD HH24:MI:SS'), 'chengshi', '城市', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/chengshi', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('7b20679054449c554cde856ef24126ab', '1347454742040809472', 'admin', NULL, TO_DATE('2021-01-08 16:24:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-08 16:24:16', 'SYYYY-MM-DD HH24:MI:SS'), 'tmp_report_data_1', '年度佣金收入', '0', NULL, 'select monty,main_income,total,his_lowest,his_average,his_highest from tmp_report_data_1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('94bcd8202bc6bc467efd0d679dadd7bb', '1338370016550195200', 'admin', NULL, TO_DATE('2021-02-02 19:27:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-02-02 19:27:31', 'SYYYY-MM-DD HH24:MI:SS'), 'tm', 'tm', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/tiaoma1', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('9b75c161322e0b7e29b3ffc84239a72c', '1cd9d574d0c42f3915046dc61d9f33bd', 'admin', NULL, TO_DATE('2020-12-17 17:13:21', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-12-17 19:50:14', 'SYYYY-MM-DD HH24:MI:SS'), 'xsjd', '销售进度', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/xsjd', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('9b7d28336b01f9a6b1a613957c3d7cda', '1338769064067076098', 'admin', NULL, TO_DATE('2021-02-02 19:12:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-02-02 19:12:55', 'SYYYY-MM-DD HH24:MI:SS'), 'pop', 'pop', '0', NULL, 'select * from rep_demo_dxtj', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('a543d8dd40f4d26839b78bd604be659e', 'f5f275b5e28b45256ef24587ec792f0c', 'admin', NULL, TO_DATE('2021-01-08 17:26:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-08 17:26:57', 'SYYYY-MM-DD HH24:MI:SS'), 'tmp_report_data_income', '来源收入统计', '0', NULL, 'select * from tmp_report_data_income', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('bbc5d5ab143d59f0beab484682361aa5', 'dd482bfd6ca470a0f49d9bb4e61ec694', 'admin', NULL, TO_DATE('2021-01-08 10:47:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-08 10:47:52', 'SYYYY-MM-DD HH24:MI:SS'), 'tt', 'tt', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/shixi', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('c9bdb6b7ac68accfecb366718bf78f79', '01a1e07ed4b12348b29d5a47ac7f0228', 'admin', NULL, TO_DATE('2020-09-28 10:18:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-12-14 16:21:09', 'SYYYY-MM-DD HH24:MI:SS'), 'gongsi', 'gongsi', '0', NULL, 'select * from rep_demo_gongsi where id=''${id}''', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('d4a29dfda94357308faf62be2b94db08', '1352160857479581696', 'admin', 'admin', TO_DATE('2021-05-19 19:21:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-05-19 19:21:03', 'SYYYY-MM-DD HH24:MI:SS'), 'keysSizeForReport', '数量', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '{{ domainURL }}/sys/actuator/redis/keysSizeForReport', '0', '1', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('e0fe1d693625c906c1171d7de706a47c', '6df599d933df24de007764d0e98eb105', NULL, NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, 'yonghu', 'yonghu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/yonghu', '0', '0', NULL, NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('e4cec9ff15bc0ea42f536a442a6d1335', '961455b47c0b86dc961e90b5893bff05', 'admin', NULL, TO_DATE('2021-01-04 20:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-04 20:42:17', 'SYYYY-MM-DD HH24:MI:SS'), 'jianpiao', 'jianpiao', '0', NULL, 'select * from rep_demo_jianpiao where s_id=''${id}''', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('f7649b77cfc9e0a9dacdac370cd4036b', '1347373863746539520', 'admin', NULL, TO_DATE('2021-01-08 10:47:52', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-08 10:47:52', 'SYYYY-MM-DD HH24:MI:SS'), 'tt', 'tt', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/shixi', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('fb70a91730f087f8023afd88d24f9697', '1cd9d574d0c42f3915046dc61d9f33bd', 'admin', NULL, TO_DATE('2020-12-17 19:50:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-12-17 19:50:14', 'SYYYY-MM-DD HH24:MI:SS'), 'zhexian', 'zhexian', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/zhexian', '0', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1272834687525482497', '53c82a76f837d5661dceec7d93afafec', 'admin', NULL, TO_DATE('2021-01-04 20:42:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-04 20:42:17', 'SYYYY-MM-DD HH24:MI:SS'), 'jianpiao', 'jianpiao', '0', NULL, 'select * from rep_demo_jianpiao where s_id=''${id}''', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1272858455908073473', 'ff9bd143582a6dfed897ba8b6f93b175', 'admin', NULL, TO_DATE('2020-12-14 16:21:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-12-14 16:21:09', 'SYYYY-MM-DD HH24:MI:SS'), 'xiaoshou', 'xiaoshou', '0', NULL, 'select * from rep_demo_xiaoshou where s_id=''${id}''', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1273495682564534273', 'ff9bd143582a6dfed897ba8b6f93b175', 'admin', NULL, TO_DATE('2020-09-28 10:18:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-12-14 16:21:09', 'SYYYY-MM-DD HH24:MI:SS'), 'gongsi', 'gongsi', '0', NULL, 'select * from rep_demo_gongsi where id=''${id}''', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1283730831482937345', '6059e405dd9c66a6d38e00841d2e40cc', 'admin', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'yaopin', 'yaopin', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/chufangjian', '0', '0', '0', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1283957016150249473', '6059e405dd9c66a6d38e00841d2e40cc', NULL, NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, 'yonghu', 'yonghu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/yonghu', '0', '0', NULL, NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1284070508744257537', 'a250846887abe01217aab173d3006489', NULL, NULL, TO_DATE('2020-07-17 15:33:53', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), 'budong', 'budong', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/budongchan', '0', '0', NULL, NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1285157606524002305', 'a9f068972508920cd4aab831814f0c04', 'admin', 'admin', TO_DATE('2021-04-01 02:44:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-04-01 02:44:48', 'SYYYY-MM-DD HH24:MI:SS'), 'pdaibu', 'pdaibu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/daibu', '0', '0', '0', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1285164420728692737', '7905022412733a0c68dc7b4ef8947489', NULL, NULL, TO_DATE('2020-07-20 18:47:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, 'jieshaoxin', 'jieshaoxin', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/jieshaoxin', '0', '0', NULL, NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1285178919099637762', '6d6bdcb5e820c301ea32789e3ae43c44', NULL, NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, 'qiangxiu', 'qiangxiu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/qiangxiu', '0', '0', NULL, NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1288038655293661186', 'f6ee801e8bdc28ba9d63f95dc65ccd79', 'admin', 'admin', TO_DATE('2021-04-01 03:09:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-04-01 03:09:40', 'SYYYY-MM-DD HH24:MI:SS'), 'caigou', 'caigou', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/caigou?pageNo=''${pageNo}''&pageSize=''${pageSize}''', '0', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1289140698221678593', '519c1c6f4d1f584ae8fa5b43b45acdc7', 'admin', 'admin', TO_DATE('2021-04-01 03:09:23', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-04-01 03:09:23', 'SYYYY-MM-DD HH24:MI:SS'), 'xiaoshou', 'xiaoshou', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/baobiao/xiaoshou?pageNo=''${pageNo}''&pageSize=''${pageSize}''', '0', '1', '1', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1290104038414721025', '53c82a76f837d5661dceec7d93afafec', 'admin', NULL, TO_DATE('2021-01-04 20:47:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-04 20:47:07', 'SYYYY-MM-DD HH24:MI:SS'), 'gongsi', 'gongsi', '0', NULL, 'select * from rep_demo_gongsi where id=''${id}''', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '0', NULL, 'MYSQL', NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1316987047604514817', '1314846205892759552', 'admin', NULL, TO_DATE('2021-01-08 10:36:58', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-08 10:36:58', 'SYYYY-MM-DD HH24:MI:SS'), 'yuangongjiben', 'yuangongjiben', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/yuangongjiben', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1316997232402231298', '1316944968992034816', 'admin', NULL, TO_DATE('2021-01-13 14:34:06', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-13 14:34:06', 'SYYYY-MM-DD HH24:MI:SS'), 'employee', 'employee', '0', NULL, 'select * from rep_demo_employee  where id=''${id}''', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1317006713165049858', '1314846205892759552', 'admin', NULL, TO_DATE('2021-01-11 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-11 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), 'xueli', 'xueli', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/xueli', '0', '1', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1317007979484147714', '1314846205892759552', 'admin', NULL, TO_DATE('2021-01-08 10:40:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-08 10:40:31', 'SYYYY-MM-DD HH24:MI:SS'), 'uu', 'uu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/gongzuojingli', '0', '1', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1317009166140829698', '1314846205892759552', 'admin', NULL, TO_DATE('2020-10-16 15:47:09', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-05 15:33:58', 'SYYYY-MM-DD HH24:MI:SS'), 'zhengshu', 'zhengshu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/zhengshu', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1317013474634756097', '1314846205892759552', 'admin', NULL, TO_DATE('2020-10-16 16:04:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-05 15:33:58', 'SYYYY-MM-DD HH24:MI:SS'), 'jtcy', 'jtcy', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/jtcy', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1317015169494282241', '1314846205892759552', 'admin', NULL, TO_DATE('2020-10-16 16:11:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-05 15:33:58', 'SYYYY-MM-DD HH24:MI:SS'), 'jiangli', 'jiangli', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/jiangli', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1331511745851731969', '1331503965770223616', 'admin', NULL, TO_DATE('2020-11-25 16:15:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-25 16:15:13', 'SYYYY-MM-DD HH24:MI:SS'), 'chengjiao', 'chengjiao', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/chengjiao', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1331514838211407873', '1331503965770223616', 'admin', NULL, TO_DATE('2020-11-25 16:27:30', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-25 16:27:30', 'SYYYY-MM-DD HH24:MI:SS'), 'cjpaihang', 'cjpaihang', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/cjpaihang', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1331514935028527106', '1331503965770223616', 'admin', NULL, TO_DATE('2020-11-25 16:27:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-25 16:27:54', 'SYYYY-MM-DD HH24:MI:SS'), 'cjjine', 'cjjine', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/cjjine', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1331872643531526146', '1331503965770223616', 'admin', NULL, TO_DATE('2020-11-26 16:09:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-26 16:09:18', 'SYYYY-MM-DD HH24:MI:SS'), 'chengjiao1', 'chengjiao1', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/chengjiao1', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1331878107552010242', '1331503965770223616', 'admin', NULL, TO_DATE('2020-11-26 16:31:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-26 16:31:01', 'SYYYY-MM-DD HH24:MI:SS'), 'zhuangxiu', 'zhuangxiu', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/zhuangxiu', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1331916030221602818', '1331503965770223616', 'admin', NULL, TO_DATE('2020-11-26 19:01:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-26 19:01:42', 'SYYYY-MM-DD HH24:MI:SS'), 'btchanquan', 'btchanquan', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/btchanquan', '0', '0', '0', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB" VALUES ('1331919172472524801', '1331503965770223616', 'admin', NULL, TO_DATE('2020-11-26 19:14:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-26 19:14:11', 'SYYYY-MM-DD HH24:MI:SS'), 'huxingxiaoshou', 'huxingxiaoshou', '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 'http://api.jeecg.com/mock/26/huxingxiaoshou', '0', '0', '0', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for JIMU_REPORT_DB_FIELD
-- ----------------------------
DROP TABLE "JEECGBOOT"."JIMU_REPORT_DB_FIELD";
CREATE TABLE "JEECGBOOT"."JIMU_REPORT_DB_FIELD" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "JIMU_REPORT_DB_ID" NVARCHAR2(32),
  "FIELD_NAME" NVARCHAR2(80),
  "FIELD_TEXT" NVARCHAR2(50),
  "WIDGET_TYPE" NVARCHAR2(50),
  "WIDGET_WIDTH" NUMBER(11,0),
  "ORDER_NUM" NUMBER(11,0),
  "SEARCH_FLAG" NUMBER(11,0),
  "SEARCH_MODE" NUMBER(11,0),
  "DICT_CODE" NVARCHAR2(255),
  "SEARCH_VALUE" NVARCHAR2(100),
  "SEARCH_FORMAT" NVARCHAR2(50),
  "EXT_JSON" NCLOB
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."ID" IS 'id';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."JIMU_REPORT_DB_ID" IS '数据源ID';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."FIELD_NAME" IS '字段名';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."FIELD_TEXT" IS '字段文本';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."WIDGET_TYPE" IS '控件类型';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."WIDGET_WIDTH" IS '控件宽度';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."ORDER_NUM" IS '排序';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."SEARCH_FLAG" IS '查询标识0否1是 默认0';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."SEARCH_MODE" IS '查询模式1简单2范围';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."DICT_CODE" IS '字典编码支持从表中取数据';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."SEARCH_VALUE" IS '查询默认值';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."SEARCH_FORMAT" IS '查询时间格式化表达式';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_FIELD"."EXT_JSON" IS '参数配置';

-- ----------------------------
-- Records of JIMU_REPORT_DB_FIELD
-- ----------------------------
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331916030229991427', NULL, TO_DATE('2020-11-26 19:01:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331916030221602818', 'type', 'type', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331919172480913409', NULL, TO_DATE('2020-11-26 19:14:11', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331919172472524801', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331919172480913410', NULL, TO_DATE('2020-11-26 19:14:11', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331919172472524801', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331922734942375938', NULL, TO_DATE('2020-11-26 19:28:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331922734933987329', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331922734942375939', NULL, TO_DATE('2020-11-26 19:28:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331922734933987329', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331926127605829634', NULL, TO_DATE('2020-11-26 19:41:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331926127597441025', 'cjl', 'cjl', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331926127605829635', NULL, TO_DATE('2020-11-26 19:41:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331926127597441025', 'cjje', 'cjje', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331926127605829636', NULL, TO_DATE('2020-11-26 19:41:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331926127597441025', 'xsmj', 'xsmj', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331926127605829637', NULL, TO_DATE('2020-11-26 19:41:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331926127597441025', 'cjjj', 'cjjj', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331926127605829638', NULL, TO_DATE('2020-11-26 19:41:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331926127597441025', 'sfyj', 'sfyj', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331926127605829639', NULL, TO_DATE('2020-11-26 19:41:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331926127597441025', 'ydkh', 'ydkh', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825602', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'class', 'class', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825603', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'school', 'school', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825604', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'lv', 'lv', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825605', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'renyuan_jy', 'renyuan_jy', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825606', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'richang_jy', 'richang_jy', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825607', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'biaozhun_jy', 'biaozhun_jy', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825608', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'xinxi_jy', 'xinxi_jy', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825609', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'jichubokuan_jy', 'jichubokuan_jy', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825610', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'renyuan_ct', 'renyuan_ct', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825611', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'richang_ct', 'richang_ct', 'String', NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825612', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'xiangmu_ct', 'xiangmu_ct', 'String', NULL, '11', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825613', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'jichubokuan_ct', 'jichubokuan_ct', 'String', NULL, '12', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825614', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'xiangmu_sh', 'xiangmu_sh', 'String', NULL, '13', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825615', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'jichubokuan_sh', 'jichubokuan_sh', 'String', NULL, '14', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825616', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'diannao', 'diannao', 'String', NULL, '15', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334440263740825617', NULL, TO_DATE('2020-12-03 18:12:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334440263732436994', 'xiaoyuanwang', 'xiaoyuanwang', 'String', NULL, '16', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135443451905', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'diqu', 'diqu', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135443451906', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'class', 'class', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135443451907', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_11', 'sales_11', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135443451908', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_12', 'sales_12', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135443451909', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_13', 'sales_13', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135443451910', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_14', 'sales_14', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135443451911', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_15', 'sales_15', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135443451912', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_16', 'sales_16', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135443451913', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_17', 'sales_17', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646210', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_18', 'sales_18', 'String', NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646211', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_19', 'sales_19', 'String', NULL, '11', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646212', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_20', 'sales_20', 'String', NULL, '12', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646213', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_21', 'sales_21', 'String', NULL, '13', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646214', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_22', 'sales_22', 'String', NULL, '14', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646215', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_31', 'sales_31', 'String', NULL, '15', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646216', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_32', 'sales_32', 'String', NULL, '16', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646217', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_33', 'sales_33', 'String', NULL, '17', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646218', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_34', 'sales_34', 'String', NULL, '18', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646219', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_35', 'sales_35', 'String', NULL, '19', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646220', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_36', 'sales_36', 'String', NULL, '20', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646221', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_37', 'sales_37', 'String', NULL, '21', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646222', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_38', 'sales_38', 'String', NULL, '22', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646223', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_39', 'sales_39', 'String', NULL, '23', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646224', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_40', 'sales_40', 'String', NULL, '24', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646225', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_41', 'sales_41', 'String', NULL, '25', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334465135447646226', NULL, TO_DATE('2020-12-03 19:50:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334465135435063298', 'sales_42', 'sales_42', 'String', NULL, '26', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015277879297', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'city', 'city', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073601', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'school', 'school', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073602', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'ncnum', 'ncnum', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073603', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'num', 'num', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073604', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'name', 'name', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073605', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'class', 'class', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073606', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'pay', 'pay', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073607', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'paytime', 'paytime', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073608', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'payclass', 'payclass', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073609', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'pay1', 'pay1', 'String', NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073610', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'paymoth', 'paymoth', 'String', NULL, '11', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073611', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'pay2', 'pay2', 'String', NULL, '12', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073612', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'tuition_09', 'tuition_09', 'String', NULL, '13', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073613', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'meals_09', 'meals_09', 'String', NULL, '14', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073614', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'busfee_09', 'busfee_09', 'String', NULL, '15', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073615', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'tuition_10', 'tuition_10', 'String', NULL, '16', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073616', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'meals_10', 'meals_10', 'String', NULL, '17', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334708015282073617', NULL, TO_DATE('2020-12-04 11:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334708015269490689', 'busfee_10', 'busfee_10', 'String', NULL, '18', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504126402561', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'city', 'city', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596866', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'finish', 'finish', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596867', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'semifinish', 'semifinish', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596868', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'time', 'time', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596869', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'state', 'state', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596870', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'attribute', 'attribute', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596871', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'num', 'num', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596872', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'gnum', 'gnum', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596873', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'jnum', 'jnum', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596874', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'wnum', 'wnum', 'String', NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596875', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'uph', 'uph', 'String', NULL, '11', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596876', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'hc', 'hc', 'String', NULL, '12', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596877', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'jtime', 'jtime', 'String', NULL, '13', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596878', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'yield', 'yield', 'String', NULL, '14', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334764504130596879', NULL, TO_DATE('2020-12-04 15:40:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334763434197200897', 'beizhu', 'beizhu', 'String', NULL, '15', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334782903430754305', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283730831482937345', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334782903430754306', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283730831482937345', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334782903430754307', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283730831482937345', 'key1', 'key1', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334782903430754308', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283730831482937345', 'key2', 'key2', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334782903430754309', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283730831482937345', 'key3', 'key3', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334782903430754310', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283730831482937345', 'key4', 'key4', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334782903430754311', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283730831482937345', 'key5', 'key5', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334782903430754312', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283730831482937345', 'key6', 'key6', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334782903430754313', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283730831482937345', 'key7', 'key7', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1334782903430754314', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283730831482937345', 'percent', 'percent', 'String', NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('141dc952421a55e66fcddb94adddc48b', NULL, TO_DATE('2021-02-02 19:10:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'sex', '性别', 'String', NULL, '10', '1', '1', 'sex', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('15eb0c90635e9b9427a6e0a2d87f31b6', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'chengbao_gz_money', 'chengbao_gz_money', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('16cca55134a7951fe6724e5d98787498', NULL, TO_DATE('2021-01-05 15:09:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '2324fac242b35938678a05bbbba345e2', 'yprice', 'yprice', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('175e76d9da7c88d8c2c0d7708b308e6c', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key7', 'key7', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('00a67b539ac15446c1bd658104e1020a', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'c9bdb6b7ac68accfecb366718bf78f79', 'gdata', 'gdata', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('014179e260e0adf1706c616a3ad6e552', NULL, TO_DATE('2021-01-08 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '7b20679054449c554cde856ef24126ab', 'main_income', 'main_income', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('01cb1f61f836aae43bca333dbaf293be', NULL, TO_DATE('2021-01-11 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317006713165049858', 'zhuanye', 'zhuanye', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('0470c07d386940053253fe8a8c200225', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'chengbao_gz_money', 'chengbao_gz_money', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('0680555456f0e579a0065c4ca5dd8d06', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'id', 'id', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('06b24135f3670ea4f4c7f554d2521a39', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'biz_income', 'biz_income', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('08a3043298245b914eec1444906f6acd', NULL, TO_DATE('2021-02-02 19:13:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1338756341933543425', 'name', '姓名', 'string', NULL, '2', '1', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('08e22bbf63e81198c0d2585dce8ee8f9', NULL, TO_DATE('2021-02-02 19:10:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'jperson', 'jperson', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('0c82931edb766ad89ead9e98a998d43f', NULL, TO_DATE('2021-01-11 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317006713165049858', 'kdate', 'kdate', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('0c9f65f5f754f1251070f51a2a19905d', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'hname', 'hname', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('0e47a8aa98116f10c53c3a366b9c2324', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'dizhi', 'dizhi', 'String', NULL, '21', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('0fb03c8e2330e051564f3dd1de54512f', NULL, TO_DATE('2021-01-11 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317006713165049858', 'jstudent', 'jstudent', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('10e61155dcf655d7843ebc01cc90c8b1', NULL, TO_DATE('2021-01-08 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '7b20679054449c554cde856ef24126ab', 'total', 'total', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('115c1ac01462ca1fbecb3c0a55218395', NULL, TO_DATE('2021-01-08 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '7b20679054449c554cde856ef24126ab', 'his_highest', 'his_highest', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('11713370900fa3c1455cac7e8db61fe1', NULL, TO_DATE('2021-01-08 10:47:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'bbc5d5ab143d59f0beab484682361aa5', 'pingjia', 'pingjia', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('11d3a082d297adeffecd86690e28cf39', NULL, TO_DATE('2021-01-05 15:09:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '2324fac242b35938678a05bbbba345e2', 'ctotal', 'ctotal', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('123772e3abf28b00bd43bf81a824b525', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'slyy', 'slyy', 'String', NULL, '11', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1260eb03ab66bd12766b2102e343d280', NULL, TO_DATE('2021-01-21 17:07:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '6a1d22ca4c95e8fab655d3ceed43a84d', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1272834907562864641', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272834687525482497', 'id', 'id', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1272834907567058946', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272834687525482497', 'bnum', 'bnum', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1272834907571253250', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272834687525482497', 'ftime', 'ftime', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1272834907571253251', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272834687525482497', 'sfkong', 'sfkong', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1272834907571253252', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272834687525482497', 'kaishi', 'kaishi', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1272834907571253253', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272834687525482497', 'jieshu', 'jieshu', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1272834907571253254', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272834687525482497', 'hezairen', 'hezairen', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1272834907571253255', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272834687525482497', 'jpnum', 'jpnum', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1272834907575447554', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272834687525482497', 'shihelv', 'shihelv', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1283957016175415297', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283957016150249473', 'yphone', 'yphone', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1283957016183803906', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283957016150249473', 'yzhenliao', 'yzhenliao', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1283957016187998209', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283957016150249473', 'ysex', 'ysex', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1283957016192192513', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283957016150249473', 'danwei', 'danwei', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1283957016196386818', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283957016150249473', 'kdata', 'kdata', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1283957016204775425', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283957016150249473', 'yname', 'yname', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1283957016208969729', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283957016150249473', 'yprice', 'yprice', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1283957016213164033', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283957016150249473', 'ytotal', 'ytotal', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1283957016217358337', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283957016150249473', 'yishe', 'yishe', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1283957016221552641', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283957016150249473', 'yizhu', 'yizhu', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1283957016225746946', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283957016150249473', 'yage', 'yage', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1283957016229941249', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1283957016150249473', 'yjieguo', 'yjieguo', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155649130497', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'xtype', 'xtype', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155686879234', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'danyuan', 'danyuan', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155691073538', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'chanquan', 'chanquan', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155695267841', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'zhuzhi', 'zhuzhi', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155699462145', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'fujian', 'fujian', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155707850754', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'didian', 'didian', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155707850755', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'type', 'type', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155712045058', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'suoyou', 'suoyou', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155716239361', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'name', 'name', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155716239362', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'bianhao', 'bianhao', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155720433666', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'yname', 'yname', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155720433667', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'riqi', 'riqi', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155724627969', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'beizhu', 'beizhu', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155728822274', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'time', 'time', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285150155728822275', NULL, TO_DATE('2020-07-20 17:50:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1284070508744257537', 'mianji', 'mianji', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285159608326889474', 'admin', TO_DATE('2021-04-01 02:44:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285157606524002305', 'fsex', 'fsex', 'string', NULL, NULL, '0', NULL, 'sex', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285159608335278082', 'admin', TO_DATE('2021-04-01 02:44:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285157606524002305', 'fname', 'fname', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285159608339472385', 'admin', TO_DATE('2021-04-01 02:44:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285157606524002305', 'shiqing', 'shiqing', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285159608339472386', 'admin', TO_DATE('2021-04-01 02:44:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285157606524002305', 'pname', 'pname', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285159608339472387', 'admin', TO_DATE('2021-04-01 02:44:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285157606524002305', 'zhuzhi', 'zhuzhi', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285159608339472388', 'admin', TO_DATE('2021-04-01 02:44:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285157606524002305', 'gdata', 'gdata', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285159608343666690', 'admin', TO_DATE('2021-04-01 02:44:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285157606524002305', 'cdata', 'cdata', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285164420749664258', NULL, TO_DATE('2020-07-20 18:47:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285164420728692737', 'shiqing', 'shiqing', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285164420753858561', NULL, TO_DATE('2020-07-20 18:47:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285164420728692737', 'name', 'name', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285164420758052866', NULL, TO_DATE('2020-07-20 18:47:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285164420728692737', 'gdata', 'gdata', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285164420758052867', NULL, TO_DATE('2020-07-20 18:47:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285164420728692737', 'value', 'value', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285164420758052868', NULL, TO_DATE('2020-07-20 18:47:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285164420728692737', 'percent', 'percent', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285164420762247169', NULL, TO_DATE('2020-07-20 18:47:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285164420728692737', 'tdata', 'tdata', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919124803585', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'ktime', 'ktime', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919133192193', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'danwei', 'danwei', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919133192194', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'wtime', 'wtime', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919133192195', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'yusuan', 'yusuan', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919133192196', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'dshenhe', 'dshenhe', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919133192197', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'zhuren', 'zhuren', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919137386498', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'neirong', 'neirong', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919137386499', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'yijian', 'yijian', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919137386500', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'time1', 'time1', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919137386501', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'time2', 'time2', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919137386502', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'time3', 'time3', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919141580801', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'time4', 'time4', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919141580802', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'pingjia', 'pingjia', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919141580803', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'name', 'name', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919141580804', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'bianhao', 'bianhao', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919141580805', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'zongjie', 'zongjie', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919145775105', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'nengli', 'nengli', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285178919145775106', NULL, TO_DATE('2020-07-20 19:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1285178919099637762', 'time', 'time', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285473875810967553', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1273495682564534273', 'id', 'id', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285473875823550466', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1273495682564534273', 'gname', 'gname', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285473875823550467', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1273495682564534273', 'gdata', 'gdata', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285473875823550468', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1273495682564534273', 'tdata', 'tdata', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285473875827744769', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1273495682564534273', 'didian', 'didian', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285473875827744770', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1273495682564534273', 'zhaiyao', 'zhaiyao', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1285473875827744771', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1273495682564534273', 'num', 'num', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288038655394324482', 'admin', TO_DATE('2021-04-01 03:09:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1288038655293661186', 'ctotal', '库存量', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288038655402713090', 'admin', TO_DATE('2021-04-01 03:09:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1288038655293661186', 'cname', '产品名称', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288038655406907393', 'admin', TO_DATE('2021-04-01 03:09:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1288038655293661186', 'cprice', '单价', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288038655411101697', 'admin', TO_DATE('2021-04-01 03:09:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1288038655293661186', 'dtotal', '订购量', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288038655411101698', 'admin', TO_DATE('2021-04-01 03:09:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1288038655293661186', 'tp', '库存总值', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288038655415296002', 'admin', TO_DATE('2021-04-01 03:09:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1288038655293661186', 'ztotal', '二次订购量', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288038655415296003', 'admin', TO_DATE('2021-04-01 03:09:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1288038655293661186', 'cnum', '产品数量', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288048290843074561', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272858455908073473', 'id', 'id', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288048290847268865', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272858455908073473', 'hnum', 'hnum', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288048290851463170', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272858455908073473', 'hname', 'hname', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288048290851463171', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272858455908073473', 'xinghao', 'xinghao', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288048290851463172', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272858455908073473', 'fahuocangku', 'fahuocangku', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288048290851463173', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272858455908073473', 'danwei', 'danwei', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288048290851463174', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272858455908073473', 'num', 'num', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288048290851463175', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272858455908073473', 'danjia', 'danjia', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288048290851463176', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272858455908073473', 'zhekoulv', 'zhekoulv', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288048290855657473', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272858455908073473', 'xiaoshoujine', 'xiaoshoujine', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288048290859851778', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272858455908073473', 'beizhu', 'beizhu', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1288048290859851779', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1272858455908073473', 's_id', 's_id', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1290104038439886849', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1290104038414721025', 'id', 'id', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1290104038448275458', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1290104038414721025', 'gname', 'gname', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1290104038448275459', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1290104038414721025', 'gdata', 'gdata', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1290104038448275460', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1290104038414721025', 'tdata', 'tdata', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1290104038452469761', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1290104038414721025', 'didian', 'didian', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1290104038452469762', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1290104038414721025', 'zhaiyao', 'zhaiyao', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1290104038452469763', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1290104038414721025', 'num', 'num', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317007979534479361', NULL, TO_DATE('2020-10-16 15:42:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317007979484147714', 'zmphone', 'zmphone', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317007979534479362', NULL, TO_DATE('2020-10-16 15:42:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317007979484147714', 'jstudent', 'jstudent', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317007979534479363', NULL, TO_DATE('2020-10-16 15:42:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317007979484147714', 'kdate', 'kdate', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317007979534479364', NULL, TO_DATE('2020-10-16 15:42:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317007979484147714', 'jdate', 'jdate', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317007979534479365', NULL, TO_DATE('2020-10-16 15:42:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317007979484147714', 'zmname', 'zmname', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317009166149218305', NULL, TO_DATE('2020-10-16 15:47:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317009166140829698', 'zcname', 'zcname', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317009166149218306', NULL, TO_DATE('2020-10-16 15:47:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317009166140829698', 'danwei', 'danwei', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317009166149218307', NULL, TO_DATE('2020-10-16 15:47:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317009166140829698', 'fdate', 'fdate', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317009166149218308', NULL, TO_DATE('2020-10-16 15:47:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317009166140829698', 'jibie', 'jibie', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317009166149218309', NULL, TO_DATE('2020-10-16 15:47:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317009166140829698', 'beizhu', 'beizhu', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317013474643144706', NULL, TO_DATE('2020-10-16 16:04:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317013474634756097', 'danwei', 'danwei', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317013474643144707', NULL, TO_DATE('2020-10-16 16:04:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317013474634756097', 'phone', 'phone', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317013474643144708', NULL, TO_DATE('2020-10-16 16:04:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317013474634756097', 'name', 'name', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317013474643144709', NULL, TO_DATE('2020-10-16 16:04:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317013474634756097', 'zzmm', 'zzmm', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317013474643144710', NULL, TO_DATE('2020-10-16 16:04:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317013474634756097', 'guanxi', 'guanxi', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317013474643144711', NULL, TO_DATE('2020-10-16 16:04:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317013474634756097', 'age', 'age', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317015169502670849', NULL, TO_DATE('2020-10-16 16:11:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317015169494282241', 'date', 'date', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317015169502670850', NULL, TO_DATE('2020-10-16 16:11:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317015169494282241', 'mingcheng', 'mingcheng', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1317015169502670851', NULL, TO_DATE('2020-10-16 16:11:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317015169494282241', 'didian', 'didian', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331511745855926274', NULL, TO_DATE('2020-11-25 16:15:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331511745851731969', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331511745855926275', NULL, TO_DATE('2020-11-25 16:15:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331511745851731969', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331511745855926276', NULL, TO_DATE('2020-11-25 16:15:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331511745851731969', 'type', 'type', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331514838215602178', NULL, TO_DATE('2020-11-25 16:27:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331514838211407873', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331514838215602179', NULL, TO_DATE('2020-11-25 16:27:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331514838211407873', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331514838215602180', NULL, TO_DATE('2020-11-25 16:27:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331514838211407873', 'type', 'type', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331514935032721409', NULL, TO_DATE('2020-11-25 16:27:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331514935028527106', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331514935032721410', NULL, TO_DATE('2020-11-25 16:27:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331514935028527106', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331514935032721411', NULL, TO_DATE('2020-11-25 16:27:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331514935028527106', 'type', 'type', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331872643539914754', NULL, TO_DATE('2020-11-26 16:09:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331872643531526146', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331872643539914755', NULL, TO_DATE('2020-11-26 16:09:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331872643531526146', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331872643539914756', NULL, TO_DATE('2020-11-26 16:09:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331872643531526146', 'type', 'type', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331878107560398849', NULL, TO_DATE('2020-11-26 16:31:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331878107552010242', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331878107560398850', NULL, TO_DATE('2020-11-26 16:31:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331878107552010242', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331916030229991425', NULL, TO_DATE('2020-11-26 19:01:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331916030221602818', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1331916030229991426', NULL, TO_DATE('2020-11-26 19:01:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1331916030221602818', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b2176d9680c08a7aa040aec9f71ff236', NULL, TO_DATE('2021-02-02 19:13:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1338756341933543425', 'id', 'id', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b279ab8f7d20ebbeec67f5bf2109ba22', NULL, TO_DATE('2021-01-08 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '7b20679054449c554cde856ef24126ab', 'his_average', 'his_average', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b2c01550c60da7b1babf36d8535fcaed', NULL, TO_DATE('2021-01-08 10:47:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'bbc5d5ab143d59f0beab484682361aa5', 'shijian', 'shijian', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b3c98ed9cb9e4a234273aa4921efd545', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'jpnum', 'jpnum', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b450669f376fa9f075ac403c7d7f2ee9', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'proportion_3', 'proportion_3', 'String', NULL, '11', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b46d80bfe53372b6ff92a6f8e8bf38df', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'hukoudi', 'hukoudi', NULL, NULL, '27', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b5afa6c7c63f649460d4d45b7d697098', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'zip_code', 'zip_code', 'String', NULL, '17', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b5df568754994e67a15a8f5b8d4bc297', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'phone', 'phone', 'String', NULL, '19', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b60fbeff0c77080cb73aa6aaf6dd8715', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22f025b781ee9fe4746438621e82674f', 'danjia', 'danjia', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b6884ea117811c5161ff1eb11502cf19', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'c9bdb6b7ac68accfecb366718bf78f79', 'num', 'num', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b81d3a495af538759aa6dbaf752c48db', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key6', 'key6', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b863f83ac64327d86f36c8796a00f777', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'jieshu', 'jieshu', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b8aafd56ddcf6902909722c7d2529797', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'department', 'department', NULL, NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ba83ad8a89105b198aa49798f2940c29', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'foreign_language', 'foreign_language', 'String', NULL, '20', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('bb8db85fed8034645c5517b6283addc7', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('bd09800edb1343880b05b65974875597', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'c9bdb6b7ac68accfecb366718bf78f79', 'tdata', 'tdata', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('bef01b3169ec05f63c9f92245b61bedf', NULL, TO_DATE('2021-02-02 19:13:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1338756341933543425', 'jperson', 'jperson', NULL, NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c17be48ad3705f848acdb28cbe3bc1b7', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22f025b781ee9fe4746438621e82674f', 'hname', 'hname', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c1913cffe0a0a65b8f76ef280af93038', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'tb_zx_money', 'tb_zx_money', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c2b7ed56f87bc4cb95c8e1e0300e51ff', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'ytotal', 'ytotal', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c357b23ae68c0ee6c9dab322507dce0b', NULL, TO_DATE('2021-01-11 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317006713165049858', 'jdate', 'jdate', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c3b0443ebecc7152343c5ea3ef32a38f', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'graduation_time', 'graduation_time', 'String', NULL, '23', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c3d8cd6e68c605fd6d6ac217fed5c8d4', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'weight', 'weight', 'String', NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c3fe8f62ea0c6ce9990bfa22dc0265b6', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'major', 'major', NULL, NULL, '13', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c40fe2cf7a74a6e96575f73ef5e7d205', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'nation', 'nation', NULL, NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c4d6132699dcdff382c93ab10d64551a', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'education_experience', 'education_experience', 'String', NULL, '26', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c578969584d9b639d249bcd981bc5a08', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'ydate', 'ydate', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c57bd36c25b13a8149268496e54052ae', NULL, TO_DATE('2020-12-17 19:50:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'fb70a91730f087f8023afd88d24f9697', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c5a801ff78f2ca6b1b7a03b3222fdd61', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'biz_income', 'biz_income', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c6144f2ca7422a71e951abea1bce6aaf', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'education', 'education', NULL, NULL, '12', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c6820a1e3308badb60582998805a0645', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'shihelv', 'shihelv', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c74ee42894f54c0ebc1a64a79395aa06', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key3', 'key3', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c8d1276d19bdd946e9fc18b83aacda15', 'admin', TO_DATE('2021-04-01 03:09:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1289140698221678593', 'cname', 'cname', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c904e40b35f065cbefd0b22fd5937b38', NULL, TO_DATE('2021-01-21 18:00:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '60b3feffadc55eb49baa5a48fdf1ff0e', 'description', 'description', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('c98a41c7d5edcba47273e192b9d66b9b', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22f025b781ee9fe4746438621e82674f', 'beizhu', 'beizhu', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('cb99a516d392d1efb87141ec42168aa9', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'card', 'card', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('cc91f43bf975f056944b5ec19266ec9c', NULL, TO_DATE('2020-12-17 16:59:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '7911bd189c2d53e182693bd599a315a2', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ce81562be14047bcbc29c0a66782fc42', NULL, TO_DATE('2021-01-21 17:07:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '6a1d22ca4c95e8fab655d3ceed43a84d', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('cec893b2241134ba9b03ed6d4edf2919', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'marital', 'marital', NULL, NULL, '23', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('cf9d32fea2f67e4b11cd2823dbbefbad', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'id', 'id', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('d076942aecee8f5197b66eb382ba1995', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'sbtype', 'sbtype', NULL, NULL, '33', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('d1d67bf8aea628bba4d28dfede489d55', NULL, TO_DATE('2021-01-08 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4dc208eb92fd1a84ef7b4723251e3e51', 'his_highest', 'his_highest', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('d3ef9876d3c56889157747be606f70fc', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'gift_6', 'gift_6', 'String', NULL, '19', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('d5b7b92023a2fb09fed9d36a4ac7b3e3', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'sales_z', 'sales_z', 'String', NULL, '21', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('d6accb7bb835271d1284d8a3dc394c1f', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22f025b781ee9fe4746438621e82674f', 'danwei', 'danwei', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('da9d0a2565cea7578415076a4d8e6c4c', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'sdate', 'sdate', 'String', NULL, '12', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('db503c31de99f35cbcb1f66a69f9964c', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'mailbox', 'mailbox', NULL, NULL, '15', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('dbc452a77ba1449096852d21c2959f34', NULL, TO_DATE('2021-02-02 19:13:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1338756341933543425', 'hukou', 'hukou', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('dd5697ec6eddcca16cca47080e9b801d', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'sld', 'sld', 'String', NULL, '15', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('dd56fbd98db5c1cda9dd77637ba1c7e6', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'create_by', 'create_by', 'String', NULL, '28', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ddcf7ade58e0a8a520b44fc94e0602bb', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'sk', 'sk', 'String', NULL, '20', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('dfbc8bba6261dcd4ceb3da5f517a0d58', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'school', 'school', NULL, NULL, '20', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('e1c77285c7ca39ebee455895ed081245', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'nation', 'nation', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('e1fffff7030dd37d70d7b5a138046fac', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key5', 'key5', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('e28cc14c4e1bc2c889f04a6cf30f9196', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'cbr', 'cbr', 'String', NULL, '14', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('e52e7896193ad09d700599d2ef6fa8ae', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'knum', 'knum', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('e757987004087de43f1ccab14092361f', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yishe', 'yishe', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('e7f6104183a7b2408f72b91f4638e9e2', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'gift_3', 'gift_3', 'String', NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('e8c0f052d6bca9045fdb6197b197a92d', NULL, TO_DATE('2021-02-02 19:13:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1338756341933543425', 'update_by', 'update_by', 'String', NULL, '4', '0', NULL, 'zhiwu', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ea6018bdbd9fb192b1d3f9e832b5d382', NULL, TO_DATE('2021-02-02 19:10:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'name', '姓名', 'string', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ec6c6f56c64de5f4de16166000f31d19', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'ftime', 'ftime', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ef685270770a69bddb4f24e37eed9dc0', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'office', 'office', NULL, NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('efe17d82b5daaa3f95364e9afaeffd1c', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'register', 'register', NULL, NULL, '11', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('efe4e0110a61d9791e18308aed422aa7', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'name', 'name', NULL, NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f0a83c77c0448a9f7c8c0bc3c7f42f13', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'qfjg', 'qfjg', 'String', NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f110f1f947e0f895b552f7edd133a60a', 'admin', TO_DATE('2021-04-01 03:09:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1289140698221678593', 'ctotal', 'ctotal', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f11af753ccbf495818e9c23c1b083ae2', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'foreign_language_level', 'foreign_language_level', 'String', NULL, '21', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f1905f7a175f8e56afd8f6c2969582e6', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'gift_5', 'gift_5', 'String', NULL, '16', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f192c538d9cb0dc88e537b11a37551c8', NULL, TO_DATE('2021-01-08 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4dc208eb92fd1a84ef7b4723251e3e51', 'his_lowest', 'his_lowest', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f31715d024bad06ea8862ba383e87f5b', NULL, TO_DATE('2021-01-05 15:09:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '2324fac242b35938678a05bbbba345e2', 'cnum', 'cnum', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f3b4e31c7ff6a365c4130cbc695e2621', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'num', 'num', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f430837a3f4c08f425bcd1de46d3a2d3', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'sex', 'sex', NULL, NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f53143608c570f9886861442be87b5ff', NULL, TO_DATE('2021-02-02 19:10:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'update_by', '职务', 'String', NULL, '4', '1', '3', 'zhiwu', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f82904af04e557b12dcfe3562900597c', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'gdata', 'gdata', NULL, NULL, '14', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f9154d882408b868253ed8fb87879220', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f95dd09a118b93cc7884b12118448ed4', NULL, TO_DATE('2021-02-02 19:10:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'hukou', 'hukou', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f978117e8eda0daee2c00223f9df4b48', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'update_time', 'update_time', 'String', NULL, '31', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('f984ef26fe0a505b279a0e4a3b27201f', NULL, TO_DATE('2021-01-08 10:47:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'f7649b77cfc9e0a9dacdac370cd4036b', 'shijian', 'shijian', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('fa6fce04eaee2480faa8a14393ffe15a', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'total', 'total', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('fac871f69237c6c25abe8c4332eabcbf', NULL, TO_DATE('2021-01-08 10:47:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'f7649b77cfc9e0a9dacdac370cd4036b', 'lingdao', 'lingdao', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('fc07c053ed0ecbfcc45041640acf6cb1', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'party', 'party', NULL, NULL, '22', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('fe3b1449ce346836f47234ca65949aea', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'sfkong', 'sfkong', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ffb5fbe81d2cf48ca45a815c676fd9eb', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'kaishi', 'kaishi', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('17a278c53299d1342c56a8eb1614a44e', 'admin', TO_DATE('2021-04-01 03:09:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1289140698221678593', 'ctime', 'ctime', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('19e6fe3dc95b352d97f460648dc93e15', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'proportion_z', 'proportion_z', 'String', NULL, '23', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1a1487eb23cc0008b933537c69d51bd9', NULL, TO_DATE('2021-01-05 15:09:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '2324fac242b35938678a05bbbba345e2', 'cname', 'cname', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1aee61147ee0eb946574db960bc77aec', NULL, TO_DATE('2021-01-08 10:47:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'bbc5d5ab143d59f0beab484682361aa5', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1b09540b3d8deddc06ebdbec26f6ae87', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'political', 'political', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1b53581fa4096f4a05c7e8d73c7a7af9', NULL, TO_DATE('2021-02-02 19:13:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1338756341933543425', 'jphone', 'jphone', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1b6fbe11728a1c4633eeea8ffb12bc25', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'update_by', 'update_by', 'String', NULL, '30', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1c649cbddf0506464e08ae84c20ea20d', NULL, TO_DATE('2021-01-21 18:00:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '60b3feffadc55eb49baa5a48fdf1ff0e', 'key', 'key', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1d21c72184f2e06ca1be3dc95fbcc259', NULL, TO_DATE('2021-01-11 14:38:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1317006713165049858', 'zhiwu', 'zhiwu', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1d4cc138f277f5d78e1fe3f5241db7f2', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'tb_zx_money', 'tb_zx_money', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1ee3018b4d0c305e2c06f77e1e5f3c4c', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'sales_3', 'sales_3', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('1fac3f8219222b8963dc6b85870ffd86', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'telphone', 'telphone', NULL, NULL, '16', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('218fb9e81e6255a6589c52ddd8279c40', NULL, TO_DATE('2021-02-02 19:13:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1338756341933543425', 'laddress', 'laddress', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('21f7de0326129dbbbc03d64aceb4d3f7', 'admin', TO_DATE('2021-04-01 03:09:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1289140698221678593', 'yprice', 'yprice', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('2309090975648b8765ef36ff16c09270', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'danwei', 'danwei', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('2330620c6a26ff9e2840fcdcb2fd22af', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yphone', 'yphone', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('240f3415fa8e7b3876c0b422d468c90d', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'gname', 'gname', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('26ee0ad4aea9dcd4604f98ea168aa1be', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22f025b781ee9fe4746438621e82674f', 'xiaoshoujine', 'xiaoshoujine', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('27bd70e2e4a08009edf64fac0fba5119', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yizhu', 'yizhu', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('284f03aead3848cf0994f71a64ce1eba', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key1', 'key1', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('298cfe65d8b484624f8a28199dc800e7', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'sr', 'sr', 'String', NULL, '16', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('29fcb4292d4782888e9fd0496bd8ddc8', 'admin', TO_DATE('2021-04-01 03:09:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1289140698221678593', 'id', 'id', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('2a20af47c214fc8ad9570c9c6ba585c2', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yzhenliao', 'yzhenliao', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('2a3b35b4830f1b1eff84a5a9bceed0b6', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'gift_z', 'gift_z', 'String', NULL, '22', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('2a613408420925ed9cf9618eb77a05cf', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yage', 'yage', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('2baefff331206f29a9c3bf895982473a', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'kdata', 'kdata', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('2be25d6c7e3ac28abec99854618d0e3d', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'birthday', 'birthday', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('2f94a4be25426f3f4013c50103559969', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'sales_4', 'sales_4', 'String', NULL, '12', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('30034c384d47b0193e04b19b3068b89b', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key4', 'key4', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('30f8183ff4ec5a6b30724a1da7fbbed0', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'pworktime', 'pworktime', NULL, NULL, '18', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('30fc020c8d14776e96350edb479f40ac', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'zhuzhi', 'zhuzhi', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('31649efb1fbc69009bdbb41f388c7d7f', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'ysex', 'ysex', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('31bd06f8bc201628d8c9c56b29f0621e', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yjieguo', 'yjieguo', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('32545e398eea7bf89791cc78dd16ab12', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'yhnum', 'yhnum', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('3331f86002c128555443d8e7b79c70d2', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('334ffa2aec9300ff712a1f3f3143a4cd', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'bx_gg_moeny', 'bx_gg_moeny', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('34c933903ddf6ba5bad588d913c487c5', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'gift_4', 'gift_4', 'String', NULL, '13', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('350be7312c299482acfe44fb086f91c1', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'sales_5', 'sales_5', 'String', NULL, '15', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('35c224f8acfb063af6828b31e31f3967', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'percent', 'percent', 'String', NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('35d9204189dd1d1f142a7587f89ab46c', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'email', 'email', 'String', NULL, '18', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('37868bf0bad09f6d2084340e0b05333d', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'sf4', 'sf4', 'String', NULL, '18', '0', NULL, 'ttype', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('38b2955e0ef75d384d0d9ff8417e4945', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'sf3', 'sf3', 'String', NULL, '17', '0', NULL, 'ttype', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('39878a3df0fe2cafc481469b8eb71ea5', NULL, TO_DATE('2021-02-02 19:13:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1338756341933543425', 'sex', 'sex', 'String', NULL, '10', '0', NULL, 'sex', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('3c2a8313af79dbecba4c5687b65a66ab', 'admin', TO_DATE('2021-04-01 03:09:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1289140698221678593', 'cnum', 'cnum', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('3c71c10a0d27796808cb201e30024fe8', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'school', 'school', 'String', NULL, '14', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('3c7597c1efa73ca9400cdc36a9a48e23', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'gift_1', 'gift_1', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('3cd9d09176d10d3225e4fe86b4538739', NULL, TO_DATE('2020-12-17 16:59:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '7911bd189c2d53e182693bd599a315a2', 'type', 'type', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('3d0f4b223f7ada50a7363235ae39e675', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22f025b781ee9fe4746438621e82674f', 'hnum', 'hnum', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('3ec76a981ff5353d4a65052963166477', NULL, TO_DATE('2020-12-17 17:13:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '9b75c161322e0b7e29b3ffc84239a72c', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('3f5a04060285392287f4e7f6d59988c6', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'tdata', 'tdata', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('3f7ce1ee2ad20770e64016384f2c1cd5', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'homephone', 'homephone', NULL, NULL, '17', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('42225abb0677e51111a8e9e7b001332c', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'yjine', 'yjine', 'String', NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('445c1d5a76a45fb0137425d1a51be6d7', NULL, TO_DATE('2021-01-08 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4dc208eb92fd1a84ef7b4723251e3e51', 'main_income', 'main_income', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('450316da5f9b7d8505944e16f1284a38', NULL, TO_DATE('2021-01-08 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '7b20679054449c554cde856ef24126ab', 'monty', 'monty', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('467edbfc6ca934a7a4d600391ed0fb75', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'bx_jj_yongjin', 'bx_jj_yongjin', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('468acf3a75a559a283e8f424db3ac4a8', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('46a4074647a27aaee0e5263d5f6bcf5a', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'tp', 'tp', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('46f68d27013cff9b09c5d059c79fbf28', NULL, TO_DATE('2021-02-02 19:10:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'gtime', '雇佣时间', 'date', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('472e430a024d9648a7ab8a125419b161', NULL, TO_DATE('2021-01-05 15:09:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '2324fac242b35938678a05bbbba345e2', 'cprice', 'cprice', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('48b03a60cab1f280d4b304da6b27dae2', NULL, TO_DATE('2021-01-05 15:09:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '2324fac242b35938678a05bbbba345e2', 'ctime', 'ctime', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('4942cc4d04ac7330799ecc3fec48ac8b', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'id_card', 'id_card', 'String', NULL, '12', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('49def4afc641cb52775ff03fdba3007a', NULL, TO_DATE('2021-01-08 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '7b20679054449c554cde856ef24126ab', 'his_lowest', 'his_lowest', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('49fa04e98f2ed62966d7f6141611dd7e', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'children', 'children', NULL, NULL, '24', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('49febadfe1eb3a59bfbe802d506aa590', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'data', 'data', NULL, NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('4b9e347c71a67de7a7a466b07109a101', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'c9bdb6b7ac68accfecb366718bf78f79', 'zhaiyao', 'zhaiyao', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('4d782de2bf10be3a79f04e8841053f00', NULL, TO_DATE('2021-01-08 10:47:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'f7649b77cfc9e0a9dacdac370cd4036b', 'pingjia', 'pingjia', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('4d7dd94ecf26b5fa69f9a1f811583340', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'address', 'address', 'String', NULL, '16', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('502a0a66b4dbf8689ed36e56ab272c2f', NULL, TO_DATE('2021-02-02 19:10:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'birth', '出生日期', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('52444b20f2fcdfe43461a5a49079e4dc', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'health', 'health', 'String', NULL, '11', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537477711047733248', 'admin', TO_DATE('2021-04-01 05:54:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537477711022567424', 'id', 'id', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537477711056121856', 'admin', TO_DATE('2021-04-01 05:54:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537477711022567424', 'name', 'name', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537477711064510464', 'admin', TO_DATE('2021-04-01 05:54:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537477711022567424', 'gtime', 'gtime', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537477711072899072', 'admin', TO_DATE('2021-04-01 05:54:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537477711022567424', 'update_by', 'update_by', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537477711077093376', 'admin', TO_DATE('2021-04-01 05:54:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537477711022567424', 'jphone', 'jphone', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537477711085481984', 'admin', TO_DATE('2021-04-01 05:54:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537477711022567424', 'birth', 'birth', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537477711093870592', 'admin', TO_DATE('2021-04-01 05:54:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537477711022567424', 'hukou', 'hukou', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537477711102259200', 'admin', TO_DATE('2021-04-01 05:54:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537477711022567424', 'laddress', 'laddress', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537477711106453504', 'admin', TO_DATE('2021-04-01 05:54:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537477711022567424', 'jperson', 'jperson', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537477711110647808', 'admin', TO_DATE('2021-04-01 05:54:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537477711022567424', 'sex', 'sex', 'String', NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478337303457792', 'admin', TO_DATE('2021-04-01 05:54:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478337278291968', 'id', 'id', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478337320235008', 'admin', TO_DATE('2021-04-01 05:54:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478337278291968', 'create_by', 'create_by', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478337328623616', 'admin', TO_DATE('2021-04-01 05:54:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478337278291968', 'create_time', 'create_time', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478337332817920', 'admin', TO_DATE('2021-04-01 05:54:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478337278291968', 'update_by', 'update_by', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478337341206528', 'admin', TO_DATE('2021-04-01 05:54:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478337278291968', 'update_time', 'update_time', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478337349595136', 'admin', TO_DATE('2021-04-01 05:54:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478337278291968', 'data_table', 'data_table', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478337353789440', 'admin', TO_DATE('2021-04-01 05:54:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478337278291968', 'data_id', 'data_id', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478337362178048', 'admin', TO_DATE('2021-04-01 05:54:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478337278291968', 'data_content', 'data_content', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478337370566656', 'admin', TO_DATE('2021-04-01 05:54:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478337278291968', 'data_version', 'data_version', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478337378955264', 'admin', TO_DATE('2021-04-01 05:54:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478337278291968', 'rownum_', 'rownum_', 'String', NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478706330906624', 'admin', TO_DATE('2021-04-01 05:56:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478706314129408', 'id', 'id', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478706343489536', 'admin', TO_DATE('2021-04-01 05:56:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478706314129408', 'cname', 'cname', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478706351878144', 'admin', TO_DATE('2021-04-01 05:56:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478706314129408', 'cnum', 'cnum', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478706356072448', 'admin', TO_DATE('2021-04-01 05:56:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478706314129408', 'cprice', 'cprice', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478706360266752', 'admin', TO_DATE('2021-04-01 05:56:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478706314129408', 'ctotal', 'ctotal', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478706368655360', 'admin', TO_DATE('2021-04-01 05:56:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478706314129408', 'tp', 'tp', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478706377043968', 'admin', TO_DATE('2021-04-01 05:56:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478706314129408', 'dtotal', 'dtotal', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478706381238272', 'admin', TO_DATE('2021-04-01 05:56:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478706314129408', 'ztotal', 'ztotal', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('537478706389626880', 'admin', TO_DATE('2021-04-01 05:56:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '537478706314129408', 'd_id', 'd_id', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('538563757aa1a49935824ce14568f27c', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'archivesdi', 'archivesdi', NULL, NULL, '34', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('53bb8b7ef4c8d8dc9b151f07929fb587', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22f025b781ee9fe4746438621e82674f', 'xinghao', 'xinghao', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('5406c33ff49384c2bcad5b85a9701355', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'province', 'province', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('558e3bb304d51582f225ec1d911cb4b8', NULL, TO_DATE('2021-01-05 15:09:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '2324fac242b35938678a05bbbba345e2', 'id', 'id', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('5648f5a00640e3adf57fb9bbf27269f4', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'tm', 'tm', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('56749103eb4a60e7046dea34453b439e', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'shao', 'shao', 'String', NULL, '13', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('57ee0e6ffe7135a943dde2408d424c97', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'proportion_1', 'proportion_1', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('589a5a4fe61fc71aa1bf45d3bd73974b', NULL, TO_DATE('2020-12-17 19:50:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'fb70a91730f087f8023afd88d24f9697', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('5a88459afcf01cc20ac5a50322b35fd6', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'hukounum', 'hukounum', NULL, NULL, '26', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('5b7f7bebf0c3951b891026e7c2ac90cb', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'didian', 'didian', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('5bc99af9cfddd240794167a6765a1517', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'neikong_zx_money', 'neikong_zx_money', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('5bf6aee0bd8f676a218e0210e9e6fa0e', NULL, TO_DATE('2020-12-17 16:59:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '7911bd189c2d53e182693bd599a315a2', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('5cf4a1ca15691d6340e522e1831dc3ac', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'sales_6', 'sales_6', 'String', NULL, '18', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('5e4e8b7531a88f4db1a0d133de159494', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'num', 'num', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('6020e457162b86b75a2d335999ab06ec', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'nation', 'nation', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('631632bc2243018788d11d4f8348bfd2', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'socialsecurity', 'socialsecurity', NULL, NULL, '30', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('6394ea45a090ca79cfbfdbbfe2016d95', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yprice', 'yprice', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('64ff8b4e61a58a0ca3e34108c9bd97c0', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'bx_gg_moeny', 'bx_gg_moeny', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('665f13c7fcebac6c35c894d885c4b344', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'proportion_6', 'proportion_6', 'String', NULL, '20', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('677bf4d6400fc465067b0d5bd6ad2a58', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'gift_2', 'gift_2', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('6a3544cc8c028e94692bb1b448620ec2', NULL, TO_DATE('2020-07-17 10:49:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e0fe1d693625c906c1171d7de706a47c', 'yname', 'yname', NULL, NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('6b2db5f824af08166e5074feea82ab52', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'sex', 'sex', 'String', NULL, '2', '0', NULL, 'sex', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('6c2b1c9e4cfd3f6b79d0fb26fea72cec', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'zhaiyao', 'zhaiyao', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('6c8250304aa25753f64c6f4723e6d2d8', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22f025b781ee9fe4746438621e82674f', 'fahuocangku', 'fahuocangku', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('6d4b24ab2f685556d6161a86658329c8', NULL, TO_DATE('2021-01-21 16:25:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'd4a29dfda94357308faf62be2b94db08', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('6dae70a5323b3d517c8f13278f0e1d5f', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'proportion_5', 'proportion_5', 'String', NULL, '17', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('6ec41a06e2dee9ec8f07a894ddcaaae5', NULL, TO_DATE('2021-02-02 19:10:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'jphone', 'jphone', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('70abaf24c413f38ff6a3c315ad8824b2', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'height', 'height', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('710104c3e0541602a151d5e00fc2ee29', NULL, TO_DATE('2020-12-17 16:42:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '654609e4247a0469e0b2befbc69b00f9', 'type', 'type', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('718a062a1e42276c1913c7d7836b1bee', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'hobby', 'hobby', NULL, NULL, '32', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('71cb567cd27fda05d55d80324c7b59e1', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'del_flag', 'del_flag', 'String', NULL, '32', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('729c2d2c70da0f3bc092f4aab4432244', NULL, TO_DATE('2020-12-17 16:42:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '654609e4247a0469e0b2befbc69b00f9', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('732c8b168ade2e34974c9db6396df61f', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'type', 'type', 'String', NULL, '12', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('742954cf518d8026db68cc87c017ad2a', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'bz', 'bz', 'String', NULL, '19', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('765d95a760a36d0c853bec639af85302', NULL, TO_DATE('2021-01-05 15:09:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '2324fac242b35938678a05bbbba345e2', 'bianma', 'bianma', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('768fb670937ab4aadde39842df36bfd3', 'admin', TO_DATE('2021-04-01 03:09:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1289140698221678593', 'cprice', 'cprice', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('796408f2959fc40edd9b460a1a5bdfb8', NULL, TO_DATE('2021-02-02 19:13:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1338756341933543425', 'gtime', '雇佣日期', 'date', NULL, '3', '1', '2', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('79f29ea3b1c7ec966077941fdd004e4d', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'bx_zx_money', 'bx_zx_money', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('7b794ecee6f61f64839eb1094a7c20bb', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'region', 'region', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('7c2c06cc52978c4e5665deac1784535d', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'yren', 'yren', 'String', NULL, '9', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('7df83cf21e083451a47f2f731a225a7e', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22f025b781ee9fe4746438621e82674f', 'num', 'num', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('7e564f212697079394030ac0563df496', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'id', 'id', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('7f5570e3056d82210d7d4e79b861560c', NULL, TO_DATE('2021-02-02 19:10:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'laddress', 'laddress', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('80017f23232ea91ae32e4718eb10e8c3', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'proportion_4', 'proportion_4', 'String', NULL, '14', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('80b5e3fd550d9be1a8c8ea69a2a593f8', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'birth', 'birth', NULL, NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('81dea8f0ccba2b3530038ebcf92b36b1', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'name', 'name', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('81f2de244fa1e6b5f28419f60c4db169', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'bnum', 'bnum', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('824a22cf80849d110e04fd5c573f40de', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'jphone', 'jphone', 'String', NULL, '17', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('83da395758d9bca23b2c5b9f54e79eed', NULL, TO_DATE('2021-01-21 16:25:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'd4a29dfda94357308faf62be2b94db08', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('84391d55c9bd4185c4abbc0d9a8a3f9b', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'native_place', 'native_place', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('85263a305fba4c7e7a991ed3b416e006', NULL, TO_DATE('2020-12-17 16:42:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '654609e4247a0469e0b2befbc69b00f9', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('865ca077977b78934e5e82e733ef4e47', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'major', 'major', 'String', NULL, '15', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('8749d00c6c3cf873841a227a5206478a', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'sales_1', 'sales_1', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('87f43f4f5220c34a95d55ff3fa9de0c1', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'health', 'health', NULL, NULL, '10', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('8875e4280c1a62759ec4b3719b5f9566', NULL, TO_DATE('2021-01-08 10:47:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'bbc5d5ab143d59f0beab484682361aa5', 'lingdao', 'lingdao', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('88b19703dac5a5ae8c01c68101cd8b5b', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'cbz', 'cbz', 'String', NULL, '14', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('89bd5c1f5b37b82ab2d56d8c9e50a674', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'sex', 'sex', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('8a122291db744a6109a93af5d289787f', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'computer_level', 'computer_level', 'String', NULL, '22', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('8ab8d51dfb792cdc767e68d7e9370f3d', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'num', 'num', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('8bfc84f6d610581d736fcccc5f04a863', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'scard', 'scard', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('8d186f249df9e1c1c549fbdc6a0a4d77', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'currentdi', 'currentdi', NULL, NULL, '28', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('8db810062e3a19eb83fca651691b848e', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'sales_2', 'sales_2', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('8e39d42a7fad183fe75ce1a56f148db1', 'admin', TO_DATE('2021-04-01 03:09:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1289140698221678593', 'bianma', 'bianma', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('8fb12c3929ea745f94cc4a90df9d5181', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'idcard', 'idcard', NULL, NULL, '21', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9168272dc8fa019a861f11b81bea1dc2', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'bx_jj_yongjin', 'bx_jj_yongjin', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9238ae757fb73c0ef546d7e0e91aa662', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22f025b781ee9fe4746438621e82674f', 's_id', 's_id', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9282683fd000d19b205ad6841f0f7b6e', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'total', 'total', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('92da818568d6c8e1e499abf51e439870', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'lzr', 'lzr', 'String', NULL, '18', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('94fc5c2791e2e218383864b80095c89c', NULL, TO_DATE('2021-02-02 19:10:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '9b7d28336b01f9a6b1a613957c3d7cda', 'id', 'id', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('95486ef4c7e0f3f3ac4ce249b1c761a1', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22f025b781ee9fe4746438621e82674f', 'id', 'id', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('95650b0335c6981bf0d657e11b1b2082', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'hysr', 'hysr', 'String', NULL, '11', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9a5f78c12595cb66d3b630962f7cd7bf', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'sf1', 'sf1', 'String', NULL, '15', '0', NULL, 'ttype', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9b77e74bed080cbd798d223bb0177c5d', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'c9bdb6b7ac68accfecb366718bf78f79', 'didian', 'didian', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9bb9b5329f79564ec030694a639ffd7f', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4af57d343f1d6521b71b85097b580786', 'bx_zx_money', 'bx_zx_money', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9bf1e9bc4e887eb0816365262d0e9c8e', NULL, TO_DATE('2020-07-28 17:46:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22f025b781ee9fe4746438621e82674f', 'zhekoulv', 'zhekoulv', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9d3986d3a32e9b4672dc2b29174749f3', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'rk', 'rk', 'String', NULL, '13', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9d6a3a8b9cf5c659e7d752028b70da8b', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'sf2', 'sf2', 'String', NULL, '16', '0', NULL, 'ttype', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9d9b437037bb304f5def5b97d4c2b4c4', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'zhuzhi', 'zhuzhi', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9ddf87596d6701eda383c3d8d7853b2b', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'education', 'education', 'String', NULL, '13', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9e28f1951ea83b6e6dae4e3892baea90', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'positional_titles', 'positional_titles', 'String', NULL, '25', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('9f15fef9efd35f5a5c1418ce5a6eceb0', NULL, TO_DATE('2021-02-02 19:13:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1338756341933543425', 'birth', '出生日期', 'datetime', NULL, '6', '1', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('a15e649faa93fbae15a66f5266bd9336', NULL, TO_DATE('2021-02-02 19:30:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '629609c4d540cb4675e9064af8955296', 'phone', 'phone', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('a17a61990a30e0cfbe4c7169dafcd85d', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'c9bdb6b7ac68accfecb366718bf78f79', 'id', 'id', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('a1b7ffeb00d30e7c0a1a1f466dd1fe06', NULL, TO_DATE('2020-12-04 16:53:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '28e0b01cc3e2b0d361107661527bfdff', 'key2', 'key2', 'String', NULL, '4', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('a200ec7a67ded4302744ee7e4e156d13', NULL, TO_DATE('2021-01-08 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4dc208eb92fd1a84ef7b4723251e3e51', 'monty', 'monty', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('a2e680c356e712b43343d589539da011', NULL, TO_DATE('2021-01-08 10:47:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'f7649b77cfc9e0a9dacdac370cd4036b', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('a379ebc1ac4dd2d567eee55c403ab2a3', NULL, TO_DATE('2020-07-21 15:17:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'c9bdb6b7ac68accfecb366718bf78f79', 'gname', 'gname', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('a42eed89da67da0653650edcc1576f8c', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'currentnum', 'currentnum', NULL, NULL, '29', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('a93ce07361b9d6ec02a58cf7f6b94664', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'political', 'political', NULL, NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('a949c4beac3fec79e96309a6d2d8f5bb', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'entrytime', 'entrytime', NULL, NULL, '19', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('a97ee04d3e745b3be9ee48cb16fdb419', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'birth', 'birth', 'String', NULL, '6', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('a9c7c96a412537b4da3df68ff8e93cc8', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'post', 'post', NULL, NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('a9e4bf3b458d821307e0749f6e119f8d', NULL, TO_DATE('2021-01-08 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4dc208eb92fd1a84ef7b4723251e3e51', 'total', 'total', 'String', NULL, '3', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('aa26aca6685baef7b24189214866f370', NULL, TO_DATE('2021-01-21 18:00:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '60b3feffadc55eb49baa5a48fdf1ff0e', 'value', 'value', 'String', NULL, '2', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ab0aabf8cc08327a4510420bd553e6c0', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'providentfund', 'providentfund', NULL, NULL, '31', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ab4ee4418e54c4a4fef3c14ad8e98fa5', NULL, TO_DATE('2021-01-08 16:29:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'a543d8dd40f4d26839b78bd604be659e', 'neikong_zx_money', 'neikong_zx_money', 'String', NULL, '7', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ad0b3d410c53378134428afb1b063758', NULL, TO_DATE('2021-01-08 16:10:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '4dc208eb92fd1a84ef7b4723251e3e51', 'his_average', 'his_average', 'String', NULL, '5', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ad146af051ba273a480223d49f59358b', NULL, TO_DATE('2021-01-05 15:33:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316987047604514817', 'hukoustreet', 'hukoustreet', NULL, NULL, '25', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ad1d1fe2ee182c2d3a263a127fea041e', NULL, TO_DATE('2021-01-06 11:43:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1334390762455965697', 'proportion_2', 'proportion_2', 'String', NULL, '8', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ad2cc52cc14e9aabc04ac79d9a10b530', NULL, TO_DATE('2021-02-02 19:23:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '94bcd8202bc6bc467efd0d679dadd7bb', 'ldate', 'ldate', 'String', NULL, '19', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('ae5ec6e56478a098b36587e93b1d8908', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'arrival_time', 'arrival_time', 'String', NULL, '24', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('aee0188ab2bf9849607f6ef34b36713e', NULL, TO_DATE('2020-12-17 17:13:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '9b75c161322e0b7e29b3ffc84239a72c', 'name', 'name', 'String', NULL, '1', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('aee106a24b11b0f8ca10bc88b62189d7', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '6011955e58d89040fca52e7f962d0bf4', 'gdata', 'gdata', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('aee31ce5eb6271601bc4e6f8affaceb0', NULL, TO_DATE('2020-06-16 18:14:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'e4cec9ff15bc0ea42f536a442a6d1335', 'hezairen', 'hezairen', 'string', NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b14588abed341d314a08d316dfde553f', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'work_experience', 'work_experience', 'String', NULL, '27', '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_FIELD" VALUES ('b1de05c2d02cdde59c1e2a93e45964f9', NULL, TO_DATE('2021-01-13 11:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1316997232402231298', 'create_time', 'create_time', 'String', NULL, '29', '0', NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for JIMU_REPORT_DB_PARAM
-- ----------------------------
DROP TABLE "JEECGBOOT"."JIMU_REPORT_DB_PARAM";
CREATE TABLE "JEECGBOOT"."JIMU_REPORT_DB_PARAM" (
  "ID" NVARCHAR2(36) NOT NULL,
  "JIMU_REPORT_HEAD_ID" NVARCHAR2(36) NOT NULL,
  "PARAM_NAME" NVARCHAR2(32) NOT NULL,
  "PARAM_TXT" NVARCHAR2(32),
  "PARAM_VALUE" NVARCHAR2(1000),
  "ORDER_NUM" NUMBER(11,0),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SEARCH_FLAG" NUMBER(11,0),
  "WIDGET_TYPE" NVARCHAR2(50),
  "SEARCH_MODE" NUMBER(11,0),
  "DICT_CODE" NVARCHAR2(255),
  "SEARCH_FORMAT" NVARCHAR2(50),
  "EXT_JSON" NCLOB
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."JIMU_REPORT_HEAD_ID" IS '动态报表ID';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."PARAM_NAME" IS '参数字段';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."PARAM_TXT" IS '参数文本';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."PARAM_VALUE" IS '参数默认值';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."ORDER_NUM" IS '排序';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."SEARCH_FLAG" IS '查询标识0否1是 默认0';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."WIDGET_TYPE" IS '查询控件类型';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."SEARCH_MODE" IS '查询模式1简单2范围';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."DICT_CODE" IS '字典';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."SEARCH_FORMAT" IS '查询时间格式化表达式';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_DB_PARAM"."EXT_JSON" IS '参数配置';

-- ----------------------------
-- Records of JIMU_REPORT_DB_PARAM
-- ----------------------------
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('078d99565feef91904c84b42b43f5174', '1273495682564534273', 'id', 'id', '1', '1', NULL, TO_DATE('2020-08-03 09:55:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('0d91170e4546cdbebbc3e9cc7879ce79', '22f025b781ee9fe4746438621e82674f', 'id', 'id', '1', '1', NULL, TO_DATE('2020-07-21 15:31:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('1324279360203526146', '1324279359998005250', 'pageSize', 'pageSize', '10', '2', NULL, TO_DATE('2020-08-03 15:19:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('1324279360220303361', '1324279359998005250', 'pageNo', 'pageNo', '1', '1', NULL, TO_DATE('2020-08-03 15:19:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('143f8c164072ddbdeafec5c5b1466827', '1272858455908073473', 'id', 'id', '1', '1', NULL, TO_DATE('2020-07-21 15:31:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('173c869cc45b683a9cfe25826110cead', '1272834687525482497', 'id', 'id', '1', '1', NULL, TO_DATE('2020-08-03 09:57:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('1805eb351a966dc3c039b5239b6faa49', '1291310198925840385', 'sex', 'sex', '男', '2', NULL, TO_DATE('2020-06-08 15:21:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('256eb2f8582ce4d74559b1fc1e2917ca', '1291310198925840385', 'id', 'id', '111', '1', NULL, TO_DATE('2020-06-08 15:21:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('3957799c20fcc696d680cca9649897bb', 'e4cec9ff15bc0ea42f536a442a6d1335', 'id', 'id', '1', '1', NULL, TO_DATE('2020-08-03 09:57:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('3a9efc51a6b6723d5a0ddf109aacb2b5', '1288038655293661186', 'pageNo', 'pageNo', '1', '1', 'admin', TO_DATE('2021-04-01 03:09:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('3ced36c7a2cce40c667cc485bf59cd11', '1291217511962902530', 'pageSize', 'pageSize', '10', '2', NULL, TO_DATE('2020-08-03 15:19:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('49bd3f212cd6c406c8584e6bb0d9cf93', '1291549569390243841', 'pageSize', 'pageSize', '10', '2', NULL, TO_DATE('2020-07-30 17:26:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('52db6da75ea733ae741c62cc54c85d92', '6011955e58d89040fca52e7f962d0bf4', 'id', 'id', '1', '1', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('57165a6fe5f2b700d4ef19518de4defd', '1290104038414721025', 'id', 'id', '1', '1', NULL, TO_DATE('2020-08-03 09:55:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('7569e95c1fa73d5438aceb19c1b85ef0', '1288038655293661186', 'pageSize', 'pageSize', '20', '2', 'admin', TO_DATE('2021-04-01 03:09:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('7d7765754aadaddab91bf1257447ae73', '1291549569390243841', 'pageNo', 'pageNo', '1', '1', NULL, TO_DATE('2020-07-30 17:26:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('8bff26e0c3fe48ddd41cf8d939ad4f2c', '2324fac242b35938678a05bbbba345e2', 'pageSize', 'pageSize', '10', '2', NULL, TO_DATE('2020-08-03 15:19:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('90b22a058cc331146b548bc93f09b5cd', '1289140698221678593', 'pageSize', 'pageSize', '20', '2', 'admin', TO_DATE('2021-04-01 03:09:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('944eaee4cb7639a435aadbf2ad7469a0', '2324fac242b35938678a05bbbba345e2', 'pageNo', 'pageNo', '1', '1', NULL, TO_DATE('2020-08-03 15:19:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('a29c10ed01c6608e899e1368f2d5d7e3', '1316997232402231298', 'id', 'id', '1', '1', NULL, TO_DATE('2021-01-13 14:31:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('a803707f3383dd9f4685fadc7efa07f4', '1224643501392728065', 'sex', 'sex', '男', '2', NULL, TO_DATE('2020-06-08 15:21:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('b7c34e8a3c2804715825af4bdbcf857a', '1224643501392728065', 'id', 'id', '111', '1', NULL, TO_DATE('2020-06-08 15:21:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('d8010a4ffbe567e6117e7f59641aeb7c', '1289140698221678593', 'pageNo', 'pageNo', '1', '1', 'admin', TO_DATE('2021-04-01 03:09:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('d9d94d6b09dd074f39af96d7a4696f9a', '1291217511962902530', 'pageNo', 'pageNo', '1', '1', NULL, TO_DATE('2020-08-03 15:19:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."JIMU_REPORT_DB_PARAM" VALUES ('ec09a8b27e7e9ec9dbc683fc5a38faec', 'c9bdb6b7ac68accfecb366718bf78f79', 'id', 'id', '1', '1', NULL, TO_DATE('2020-08-03 09:55:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for JIMU_REPORT_LINK
-- ----------------------------
DROP TABLE "JEECGBOOT"."JIMU_REPORT_LINK";
CREATE TABLE "JEECGBOOT"."JIMU_REPORT_LINK" (
  "ID" NVARCHAR2(32) NOT NULL,
  "REPORT_ID" NVARCHAR2(32),
  "PARAMETER" NCLOB,
  "EJECT_TYPE" NVARCHAR2(1),
  "LINK_NAME" NVARCHAR2(255),
  "API_METHOD" NVARCHAR2(1),
  "LINK_TYPE" NVARCHAR2(1),
  "API_URL" NVARCHAR2(1000),
  "LINK_CHART_ID" NVARCHAR2(50),
  "REQUIREMENT" NVARCHAR2(255)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_LINK"."ID" IS '主键id';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_LINK"."REPORT_ID" IS '积木设计器id';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_LINK"."PARAMETER" IS '参数';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_LINK"."EJECT_TYPE" IS '弹出方式（0 当前页面 1 新窗口）';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_LINK"."LINK_NAME" IS '链接名称';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_LINK"."API_METHOD" IS '请求方法0-get,1-post';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_LINK"."LINK_TYPE" IS '链接方式(0 网络报表 1 网络连接 2 图表联动)';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_LINK"."API_URL" IS '外网api';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_LINK"."LINK_CHART_ID" IS '联动图表的ID';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_LINK"."REQUIREMENT" IS '条件';
COMMENT ON TABLE "JEECGBOOT"."JIMU_REPORT_LINK" IS '超链接配置表';

-- ----------------------------
-- Records of JIMU_REPORT_LINK
-- ----------------------------

-- ----------------------------
-- Table structure for JIMU_REPORT_MAP
-- ----------------------------
DROP TABLE "JEECGBOOT"."JIMU_REPORT_MAP";
CREATE TABLE "JEECGBOOT"."JIMU_REPORT_MAP" (
  "ID" NVARCHAR2(64) NOT NULL,
  "LABEL" NVARCHAR2(125),
  "NAME" NVARCHAR2(125),
  "DATA" NCLOB,
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "DEL_FLAG" NVARCHAR2(1),
  "SYS_ORG_CODE" NVARCHAR2(64)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_MAP"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_MAP"."LABEL" IS '地图名称';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_MAP"."NAME" IS '地图编码';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_MAP"."DATA" IS '地图数据';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_MAP"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_MAP"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_MAP"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_MAP"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_MAP"."DEL_FLAG" IS '0表示未删除,1表示删除';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_MAP"."SYS_ORG_CODE" IS '所属部门';
COMMENT ON TABLE "JEECGBOOT"."JIMU_REPORT_MAP" IS '地图配置表';

-- ----------------------------
-- Records of JIMU_REPORT_MAP
-- ----------------------------

-- ----------------------------
-- Table structure for JIMU_REPORT_SHARE
-- ----------------------------
DROP TABLE "JEECGBOOT"."JIMU_REPORT_SHARE";
CREATE TABLE "JEECGBOOT"."JIMU_REPORT_SHARE" (
  "ID" NVARCHAR2(32) NOT NULL,
  "REPORT_ID" NVARCHAR2(32),
  "PREVIEW_URL" NVARCHAR2(1000),
  "PREVIEW_LOCK" NVARCHAR2(4),
  "LAST_UPDATE_TIME" DATE,
  "TERM_OF_VALIDITY" NVARCHAR2(1),
  "STATUS" NVARCHAR2(1),
  "PREVIEW_LOCK_STATUS" NVARCHAR2(1)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_SHARE"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_SHARE"."REPORT_ID" IS '在线excel设计器id';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_SHARE"."PREVIEW_URL" IS '预览地址';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_SHARE"."PREVIEW_LOCK" IS '密码锁';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_SHARE"."LAST_UPDATE_TIME" IS '最后更新时间';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_SHARE"."TERM_OF_VALIDITY" IS '有效期(0:永久有效，1:1天，2:7天)';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_SHARE"."STATUS" IS '是否过期(0未过期，1已过期)';
COMMENT ON COLUMN "JEECGBOOT"."JIMU_REPORT_SHARE"."PREVIEW_LOCK_STATUS" IS '是否为密码锁(0 否,1是)';
COMMENT ON TABLE "JEECGBOOT"."JIMU_REPORT_SHARE" IS '积木报表预览权限表';

-- ----------------------------
-- Records of JIMU_REPORT_SHARE
-- ----------------------------

-- ----------------------------
-- Table structure for JOA_DEMO
-- ----------------------------
DROP TABLE "JEECGBOOT"."JOA_DEMO";
CREATE TABLE "JEECGBOOT"."JOA_DEMO" (
  "ID" NVARCHAR2(32),
  "NAME" NVARCHAR2(100),
  "DAYS" NUMBER(11,0),
  "BEGIN_DATE" DATE,
  "END_DATE" DATE,
  "REASON" NVARCHAR2(500),
  "BPM_STATUS" NVARCHAR2(50),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."JOA_DEMO"."ID" IS 'ID';
COMMENT ON COLUMN "JEECGBOOT"."JOA_DEMO"."NAME" IS '请假人';
COMMENT ON COLUMN "JEECGBOOT"."JOA_DEMO"."DAYS" IS '请假天数';
COMMENT ON COLUMN "JEECGBOOT"."JOA_DEMO"."BEGIN_DATE" IS '开始时间';
COMMENT ON COLUMN "JEECGBOOT"."JOA_DEMO"."END_DATE" IS '请假结束时间';
COMMENT ON COLUMN "JEECGBOOT"."JOA_DEMO"."REASON" IS '请假原因';
COMMENT ON COLUMN "JEECGBOOT"."JOA_DEMO"."BPM_STATUS" IS '流程状态';
COMMENT ON COLUMN "JEECGBOOT"."JOA_DEMO"."CREATE_BY" IS '创建人id';
COMMENT ON COLUMN "JEECGBOOT"."JOA_DEMO"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."JOA_DEMO"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."JOA_DEMO"."UPDATE_BY" IS '修改人id';
COMMENT ON TABLE "JEECGBOOT"."JOA_DEMO" IS '流程测试';

-- ----------------------------
-- Records of JOA_DEMO
-- ----------------------------

-- ----------------------------
-- Table structure for ONL_AUTH_DATA
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_AUTH_DATA";
CREATE TABLE "JEECGBOOT"."ONL_AUTH_DATA" (
  "ID" NVARCHAR2(32) NOT NULL,
  "CGFORM_ID" NVARCHAR2(32),
  "RULE_NAME" NVARCHAR2(50),
  "RULE_COLUMN" NVARCHAR2(50),
  "RULE_OPERATOR" NVARCHAR2(50),
  "RULE_VALUE" NVARCHAR2(255),
  "STATUS" NUMBER(11,0),
  "CREATE_TIME" DATE,
  "CREATE_BY" NVARCHAR2(50),
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_DATA"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_DATA"."CGFORM_ID" IS 'online表ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_DATA"."RULE_NAME" IS '规则名';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_DATA"."RULE_COLUMN" IS '规则列';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_DATA"."RULE_OPERATOR" IS '规则条件 大于小于like';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_DATA"."RULE_VALUE" IS '规则值';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_DATA"."STATUS" IS '1有效 0无效';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_DATA"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_DATA"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_DATA"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_DATA"."UPDATE_TIME" IS '更新日期';

-- ----------------------------
-- Records of ONL_AUTH_DATA
-- ----------------------------
INSERT INTO "JEECGBOOT"."ONL_AUTH_DATA" VALUES ('1533109082784460801', '9ab817fd4c2e4e7ba6652c4fa46af389', '性别等于1', 'sex', '=', '1', '0', TO_DATE('2022-06-04 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', 'admin', TO_DATE('2022-10-28 10:49:44', 'SYYYY-MM-DD HH24:MI:SS'));

-- ----------------------------
-- Table structure for ONL_AUTH_PAGE
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_AUTH_PAGE";
CREATE TABLE "JEECGBOOT"."ONL_AUTH_PAGE" (
  "ID" NVARCHAR2(32) NOT NULL,
  "CGFORM_ID" NVARCHAR2(32),
  "CODE" NVARCHAR2(255),
  "TYPE" NUMBER(11,0),
  "CONTROL" NUMBER(11,0),
  "PAGE" NUMBER(11,0),
  "STATUS" NUMBER(11,0),
  "CREATE_TIME" DATE,
  "CREATE_BY" NVARCHAR2(32),
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_PAGE"."ID" IS ' 主键';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_PAGE"."CGFORM_ID" IS 'online表id';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_PAGE"."CODE" IS '字段名/按钮编码';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_PAGE"."TYPE" IS '1字段 2按钮';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_PAGE"."CONTROL" IS '3可编辑 5可见(仅支持两种状态值3,5)';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_PAGE"."PAGE" IS '3列表 5表单(仅支持两种状态值3,5)';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_PAGE"."STATUS" IS '1有效 0无效';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_PAGE"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_PAGE"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_PAGE"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_PAGE"."UPDATE_TIME" IS '更新日期';

-- ----------------------------
-- Records of ONL_AUTH_PAGE
-- ----------------------------
INSERT INTO "JEECGBOOT"."ONL_AUTH_PAGE" VALUES ('1533108974999236609', '9ab817fd4c2e4e7ba6652c4fa46af389', 'age', '1', '5', '3', '0', TO_DATE('2022-06-04 23:30:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_AUTH_PAGE" VALUES ('1533108974999236610', '9ab817fd4c2e4e7ba6652c4fa46af389', 'age', '1', '5', '5', '0', TO_DATE('2022-06-04 23:30:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_AUTH_PAGE" VALUES ('1533108974999236611', '9ab817fd4c2e4e7ba6652c4fa46af389', 'age', '1', '3', '5', '0', TO_DATE('2022-06-04 23:30:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_AUTH_PAGE" VALUES ('1533108984834879490', '9ab817fd4c2e4e7ba6652c4fa46af389', 'batch_delete', '2', '5', '3', '0', TO_DATE('2022-06-04 23:30:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_AUTH_PAGE" VALUES ('1533108987271770113', '9ab817fd4c2e4e7ba6652c4fa46af389', 'export', '2', '5', '3', '0', TO_DATE('2022-06-04 23:30:41', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_AUTH_PAGE" VALUES ('1533108989922570242', '9ab817fd4c2e4e7ba6652c4fa46af389', 'import', '2', '5', '3', '0', TO_DATE('2022-06-04 23:30:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_AUTH_PAGE" VALUES ('1533108994662133761', '9ab817fd4c2e4e7ba6652c4fa46af389', 'bpm', '2', '5', '3', '0', TO_DATE('2022-06-04 23:30:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_AUTH_PAGE" VALUES ('1533108997505871874', '9ab817fd4c2e4e7ba6652c4fa46af389', 'super_query', '2', '5', '3', '0', TO_DATE('2022-06-04 23:30:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_AUTH_PAGE" VALUES ('1580815057246892034', '56870166aba54ebfacb20ba6c770bd73', 'order_date', '1', '5', '3', '0', TO_DATE('2022-10-14 14:57:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_AUTH_PAGE" VALUES ('1580815057309806593', '56870166aba54ebfacb20ba6c770bd73', 'order_date', '1', '5', '5', '0', TO_DATE('2022-10-14 14:57:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_AUTH_PAGE" VALUES ('1580815057309806594', '56870166aba54ebfacb20ba6c770bd73', 'order_date', '1', '3', '5', '0', TO_DATE('2022-10-14 14:57:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);

-- ----------------------------
-- Table structure for ONL_AUTH_RELATION
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_AUTH_RELATION";
CREATE TABLE "JEECGBOOT"."ONL_AUTH_RELATION" (
  "ID" NVARCHAR2(32) NOT NULL,
  "ROLE_ID" NVARCHAR2(32),
  "AUTH_ID" NVARCHAR2(32),
  "TYPE" NUMBER(11,0),
  "CGFORM_ID" NVARCHAR2(32),
  "AUTH_MODE" NVARCHAR2(50)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_RELATION"."ROLE_ID" IS '角色id';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_RELATION"."AUTH_ID" IS '权限id';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_RELATION"."TYPE" IS '1字段 2按钮 3数据权限';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_RELATION"."CGFORM_ID" IS 'online表单ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_AUTH_RELATION"."AUTH_MODE" IS '授权方式role角色，depart部门，user人';

-- ----------------------------
-- Records of ONL_AUTH_RELATION
-- ----------------------------

-- ----------------------------
-- Table structure for ONL_CGFORM_BUTTON
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_CGFORM_BUTTON";
CREATE TABLE "JEECGBOOT"."ONL_CGFORM_BUTTON" (
  "ID" NVARCHAR2(32) NOT NULL,
  "BUTTON_CODE" NVARCHAR2(50),
  "BUTTON_ICON" NVARCHAR2(20),
  "BUTTON_NAME" NVARCHAR2(50),
  "BUTTON_STATUS" NVARCHAR2(2),
  "BUTTON_STYLE" NVARCHAR2(20),
  "EXP" NVARCHAR2(255),
  "CGFORM_HEAD_ID" NVARCHAR2(32),
  "OPT_TYPE" NVARCHAR2(20),
  "ORDER_NUM" NUMBER(11,0),
  "OPT_POSITION" NVARCHAR2(3)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_BUTTON"."ID" IS '主键ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_BUTTON"."BUTTON_CODE" IS '按钮编码';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_BUTTON"."BUTTON_ICON" IS '按钮图标';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_BUTTON"."BUTTON_NAME" IS '按钮名称';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_BUTTON"."BUTTON_STATUS" IS '按钮状态';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_BUTTON"."BUTTON_STYLE" IS '按钮样式';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_BUTTON"."EXP" IS '表达式';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_BUTTON"."CGFORM_HEAD_ID" IS '表单ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_BUTTON"."OPT_TYPE" IS '按钮类型';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_BUTTON"."ORDER_NUM" IS '排序';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_BUTTON"."OPT_POSITION" IS '按钮位置1侧面 2底部';
COMMENT ON TABLE "JEECGBOOT"."ONL_CGFORM_BUTTON" IS 'Online表单自定义按钮';

-- ----------------------------
-- Records of ONL_CGFORM_BUTTON
-- ----------------------------
INSERT INTO "JEECGBOOT"."ONL_CGFORM_BUTTON" VALUES ('007de67711d08337f7c246b6cfe306ae', 'jihuo', NULL, '激活', '1', 'link', NULL, '9ab817fd4c2e4e7ba6652c4fa46af389', 'js', '2', '2');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_BUTTON" VALUES ('108a564643763de3f4c81bc2deb463df', 'bt1', NULL, '激活', '1', 'button', NULL, '05a3a30dada7411c9109306aa4117068', 'js', NULL, '2');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_BUTTON" VALUES ('5173e0b138c808f03d17d08ec4e66f3a', 'hangjihuo', NULL, '行激活', '0', 'link', NULL, '9ab817fd4c2e4e7ba6652c4fa46af389', 'js', NULL, '2');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_BUTTON" VALUES ('7c140322fb6b1da7a5daed8b6edc0fb7', 'tjbpm', NULL, '提交流程', '1', 'link', NULL, '05a3a30dada7411c9109306aa4117068', 'js', NULL, '2');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_BUTTON" VALUES ('a45bc1c6fba96be6b0c91ffcdd6b54aa', 'genereate_person_config', 'icon-edit', '生成配置', '1', 'link', NULL, 'e2faf977fdaf4b25a524f58c2441a51c', 'js', NULL, '2');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_BUTTON" VALUES ('cc1d12de57a1a41d3986ed6d13e3ac11', '链接按钮测试', 'icon-edit', '自定义link', '1', 'link', NULL, 'd35109c3632c4952a19ecc094943dd71', 'js', NULL, '2');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_BUTTON" VALUES ('e2a339b9fdb4091bee98408c233ab36d', 'zuofei', NULL, '作废', '1', 'form', NULL, '05a3a30dada7411c9109306aa4117068', 'js', NULL, '2');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_BUTTON" VALUES ('e95e84b749761b574a9cc0967c06c2a9', 'test1', NULL, '弹出表单', '1', 'button', NULL, '9ab817fd4c2e4e7ba6652c4fa46af389', 'js', '1', '2');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_BUTTON" VALUES ('ebcc48ef0bde4433a6faf940a5e170c1', 'button按钮测试', 'icon-edit', '自定义button', '1', 'button', NULL, 'd35109c3632c4952a19ecc094943dd71', 'js', NULL, '2');

-- ----------------------------
-- Table structure for ONL_CGFORM_ENHANCE_JAVA
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA";
CREATE TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA" (
  "ID" NVARCHAR2(36) NOT NULL,
  "BUTTON_CODE" NVARCHAR2(32),
  "CG_JAVA_TYPE" NVARCHAR2(32) NOT NULL,
  "CG_JAVA_VALUE" NVARCHAR2(200) NOT NULL,
  "CGFORM_HEAD_ID" NVARCHAR2(32) NOT NULL,
  "ACTIVE_STATUS" NVARCHAR2(2),
  "EVENT" NVARCHAR2(10) NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA"."BUTTON_CODE" IS '按钮编码';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA"."CG_JAVA_TYPE" IS '类型';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA"."CG_JAVA_VALUE" IS '数值';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA"."CGFORM_HEAD_ID" IS '表单ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA"."ACTIVE_STATUS" IS '生效状态';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA"."EVENT" IS '事件状态(end:结束，start:开始)';

-- ----------------------------
-- Records of ONL_CGFORM_ENHANCE_JAVA
-- ----------------------------

-- ----------------------------
-- Table structure for ONL_CGFORM_ENHANCE_JS
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS";
CREATE TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" (
  "ID" NVARCHAR2(32) NOT NULL,
  "CG_JS" NCLOB,
  "CG_JS_TYPE" NVARCHAR2(20),
  "CONTENT" NVARCHAR2(1000),
  "CGFORM_HEAD_ID" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS"."ID" IS '主键ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS"."CG_JS" IS 'JS增强内容';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS"."CG_JS_TYPE" IS '类型';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS"."CONTENT" IS '备注';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS"."CGFORM_HEAD_ID" IS '表单ID';

-- ----------------------------
-- Records of ONL_CGFORM_ENHANCE_JS
-- ----------------------------
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('0b326acbbc8e52c9c9ecdb19342fc3cf', 'show(){
   console.log(''form'',that)
   //this.form.setFieldsValue({"name":"name值"})  
  that.$nextTick(() => {
           //age是对应表的字段名
            that.form.setFieldsValue({"age":"999"})
          });
}

onlChange(){
   return {
     
     sex(){
        let value = event.value
        //alert(''触发控件'',value)
        
         //性别改动，年龄归零
        if(value!=null && value!=""){   
          let values = {''age'':0}
          that.triggleChangeValues(values)
        }
      }
     
    }
 }
', 'form', NULL, '05a3a30dada7411c9109306aa4117068');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('274b5d741a0262d3411958f0c465c5f0', 'genereate_person_config(row){
console.log(''选择'',row)
alert(row.name + ''，个人积分配置生成成功！'');
}', 'list', NULL, 'e2faf977fdaf4b25a524f58c2441a51c');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('2cbaf25f1edb620bea2d8de07f8233a1', 'air_china_post_materiel_item_onlChange(){
    return {
        wl_name(){
           
            let id = event.row.id
            let cnum = event.row.num
            let value = event.value
            let targrt = event.target
            let columnKey = event.column.key
           let nval = 200*cnum
           console.log(''row'',event.row);
           console.log(''cnum'',cnum);
           let otherValues = {''jifen'': nval}
              
                that.triggleChangeValues(targrt,id,otherValues)

        }
    }
}', 'form', NULL, 'e67d26b610dd414c884c4dbb24e71ce3');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('32e7b7373abe0fb9c4dd608b4517f814', NULL, 'form', NULL, '53a3e82b54b946c2b904f605875a275c');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('35d4ef464e5e8c87c9aa82ea89215fc1', NULL, 'list', NULL, 'e67d26b610dd414c884c4dbb24e71ce3');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('44cad4eec436328ed3cc134855f8d1d5', ' onlChange(){
   return {
    name(that, event) {
      that.executeMainFillRule()
    }
  }
 }', 'form', NULL, '4adec929a6594108bef5b35ee9966e9f');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('4569bc0e6126d2b8a0e0c69b9a47e8db', NULL, 'list', NULL, '56efb74326e74064b60933f6f8af30ea');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('5e9ccc1e2b977bdd5a873a6bd6311290', 'jihuo_hook(){
  console.log(''当前选中行的id'', this);
  console.log(''this.abc'', this.abc);
   import {useMessage} from "@/hooks/useMessage"
        const {createMessage} = useMessage()
        function sayHi () {
            createMessage.success("这是代码里的提示：hello world!")
        }
        sayHi();
}



test1(){
  this.openCustomModal({
    title: ''测试自定义弹框1'',
    width: 800,
     hide: [''cc'']
  });
}

setup(){
    console.log("进入form: ",this)
    import { defineComponent, computed, CSSProperties, unref, ref, watchEffect, watch, PropType } from ''vue'';
  
  watch(name,(newValue,oldValue)=>{
    console.log("新值是"+newValue, "旧址是"+oldValue);
  })
  
}', 'list', NULL, '9ab817fd4c2e4e7ba6652c4fa46af389');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('6dd82d8eac166627302230a809233481', 'ces_order_goods_onlChange(){
    return {
        num(){
           
            let id = event.row.id
            let num = event.row.num
            let price = event.row.price

            let targrt = event.target
            
            let nval = price*num
            console.log(''row'',event.row);
            console.log(''num'',num);
            console.log(''that'',that);
            let otherValues = {''zong_price'': nval}
              
            that.triggleChangeValues(otherValues,id,targrt)
   

        }
    }
}', 'form', NULL, '56efb74326e74064b60933f6f8af30ea');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('73ff4666e0cf5c2070263345e1e11835', 'one(){
  console.log(''当前选中行的id'', this.selectedRowKeys);
}

beforeDelete(row){
  return new Promise(resolve=>{
    console.log(''删除数据之前看看数据'', row);
    resolve();
  });
}', 'list', NULL, '553a4172fde446419cb602dc70f9ee67');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('85e7acd772c8ec322b97a1fd548007e0', NULL, 'form', NULL, '09fd28e4b7184c1a9668496a5c496450');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('8b76f282ddc81ce99a129e90fdd977ce', NULL, 'form', NULL, '86bf17839a904636b7ed96201b2fa6ea');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('90394fbc3d48978cc0937bc56f2d5370', NULL, 'list', NULL, 'deea5a8ec619460c9245ba85dbc59e80');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('a0ca1d842f138ba2cda00bc44e95edd9', 'loaded(){
  this.$nextTick(()=>{
    let text = ''测试js增强设置默认值'';
    if(this.isUpdate.value === true){
      text = ''测试js增强修改表单值'';
    }
    this.setFieldsValue({
      name: text
    })
  })
}

 onlChange(){
   return {
    name(){
      let value = event.value
      let values = {''dhwb'': ''我的名称是：''+ value }
      this.triggleChangeValues(values)
    }
  }
 }

beforeSubmit(row){
	return new Promise((resolve, reject)=>{
    //此处模拟等待时间，可能需要发起请求
    setTimeout(()=>{
      if(row.name == ''test''){
        // 当某个字段不满足要求的时候可以reject 
        reject(''不能提交测试数据'');
      }else{
        resolve();
      }
    },3000)
  })
}', 'form', NULL, '553a4172fde446419cb602dc70f9ee67');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('ae9cf52fbe13cc718de2de6e1b3d6792', NULL, 'list', NULL, '18f064d1ef424c93ba7a16148851664f');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('beec235f0b2d633ff3a6c395affdf59d', NULL, 'list', NULL, '4adec929a6594108bef5b35ee9966e9f');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('c5ac9a2b2fd92ef68274f630b8aec78a', 'tjbpm(row){
  alert(''提交流程'')
  console.log(''row'',row)
}

bt1(){
   console.log(''that.table.selectionRows'',this.selectedRowKeys)
   console.log(''that.table.selectedRowKeys'',this.selectedRows)
   alert(''激活全部数据'')
}', 'list', NULL, '05a3a30dada7411c9109306aa4117068');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('d7ddb7aa407f6deed75aac11f0a25f0e', '222', 'list', NULL, '09fd28e4b7184c1a9668496a5c496450');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('de79fe5530e19ccb71b750900892a3a4', 'setup(){
    console.log("进入form: ",this)
    import { defineComponent, computed, CSSProperties, unref, ref, watchEffect, watch, PropType } from ''vue'';
  
  watch(name,(newValue,oldValue)=>{
    console.log("新值是"+newValue, "旧址是"+oldValue);
  })
  
}', 'form', NULL, '9ab817fd4c2e4e7ba6652c4fa46af389');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('f6f8f230566d09d4b66338955ffb5691', NULL, 'form', NULL, '18f064d1ef424c93ba7a16148851664f');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" VALUES ('fd711738f58d5481ca0ce9bc3a415223', NULL, 'list', NULL, '86bf17839a904636b7ed96201b2fa6ea');

-- ----------------------------
-- Table structure for ONL_CGFORM_ENHANCE_SQL
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL";
CREATE TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL" (
  "ID" NVARCHAR2(32) NOT NULL,
  "BUTTON_CODE" NVARCHAR2(50),
  "CGB_SQL" NCLOB,
  "CGB_SQL_NAME" NVARCHAR2(50),
  "CONTENT" NVARCHAR2(1000),
  "CGFORM_HEAD_ID" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL"."ID" IS '主键ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL"."BUTTON_CODE" IS '按钮编码';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL"."CGB_SQL" IS 'SQL内容';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL"."CGB_SQL_NAME" IS 'Sql名称';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL"."CONTENT" IS '备注';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL"."CGFORM_HEAD_ID" IS '表单ID';

-- ----------------------------
-- Records of ONL_CGFORM_ENHANCE_SQL
-- ----------------------------
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL" VALUES ('0ebf418bd02f486342123eaf84cd39ad', 'add', NULL, NULL, NULL, '18f064d1ef424c93ba7a16148851664f');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL" VALUES ('5ab418a13fd0bbf30ee9dd04203f3c28', 'add', NULL, NULL, NULL, '4adec929a6594108bef5b35ee9966e9f');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL" VALUES ('8750b93ba5332460c76c492359d7a06b', 'edit', NULL, NULL, NULL, '18f064d1ef424c93ba7a16148851664f');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL" VALUES ('c1ba45b6ee70e4662b5ec95f8fdcb31f', 'add', NULL, NULL, NULL, '05a3a30dada7411c9109306aa4117068');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL" VALUES ('edfab059050b19328ac81e6833b5ebc2', 'delete', NULL, NULL, NULL, '18f064d1ef424c93ba7a16148851664f');

-- ----------------------------
-- Table structure for ONL_CGFORM_FIELD
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_CGFORM_FIELD";
CREATE TABLE "JEECGBOOT"."ONL_CGFORM_FIELD" (
  "ID" NVARCHAR2(32) NOT NULL,
  "CGFORM_HEAD_ID" NVARCHAR2(32) NOT NULL,
  "DB_FIELD_NAME" NVARCHAR2(32) NOT NULL,
  "DB_FIELD_TXT" NVARCHAR2(200),
  "DB_FIELD_NAME_OLD" NVARCHAR2(32),
  "DB_IS_KEY" NUMBER(4,0),
  "DB_IS_NULL" NUMBER(4,0),
  "DB_IS_PERSIST" NUMBER(4,0),
  "DB_TYPE" NVARCHAR2(32) NOT NULL,
  "DB_LENGTH" NUMBER(11,0) NOT NULL,
  "DB_POINT_LENGTH" NUMBER(11,0),
  "DB_DEFAULT_VAL" NVARCHAR2(20),
  "DICT_FIELD" NVARCHAR2(100),
  "DICT_TABLE" NVARCHAR2(255),
  "DICT_TEXT" NVARCHAR2(100),
  "FIELD_SHOW_TYPE" NVARCHAR2(20),
  "FIELD_HREF" NVARCHAR2(200),
  "FIELD_LENGTH" NUMBER(11,0),
  "FIELD_VALID_TYPE" NVARCHAR2(300),
  "FIELD_MUST_INPUT" NVARCHAR2(2),
  "FIELD_EXTEND_JSON" NVARCHAR2(500),
  "FIELD_DEFAULT_VALUE" NVARCHAR2(100),
  "IS_QUERY" NUMBER(4,0),
  "IS_SHOW_FORM" NUMBER(4,0),
  "IS_SHOW_LIST" NUMBER(4,0),
  "IS_READ_ONLY" NUMBER(4,0),
  "QUERY_MODE" NVARCHAR2(10),
  "MAIN_TABLE" NVARCHAR2(100),
  "MAIN_FIELD" NVARCHAR2(100),
  "ORDER_NUM" NUMBER(11,0),
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "CREATE_TIME" DATE,
  "CREATE_BY" NVARCHAR2(255),
  "CONVERTER" NVARCHAR2(255),
  "QUERY_DEF_VAL" NVARCHAR2(50),
  "QUERY_DICT_TEXT" NVARCHAR2(100),
  "QUERY_DICT_FIELD" NVARCHAR2(100),
  "QUERY_DICT_TABLE" NVARCHAR2(500),
  "QUERY_SHOW_TYPE" NVARCHAR2(50),
  "QUERY_CONFIG_FLAG" NVARCHAR2(3),
  "QUERY_VALID_TYPE" NVARCHAR2(50),
  "QUERY_MUST_INPUT" NVARCHAR2(3),
  "SORT_FLAG" NVARCHAR2(3)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."ID" IS '主键ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."CGFORM_HEAD_ID" IS '表ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DB_FIELD_NAME" IS '字段名字';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DB_FIELD_TXT" IS '字段备注';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DB_FIELD_NAME_OLD" IS '原字段名';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DB_IS_KEY" IS '是否主键 0否 1是';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DB_IS_NULL" IS '是否允许为空0否 1是';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DB_IS_PERSIST" IS '是否需要同步数据库字段， 1是0否';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DB_TYPE" IS '数据库字段类型';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DB_LENGTH" IS '数据库字段长度';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DB_POINT_LENGTH" IS '小数点';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DB_DEFAULT_VAL" IS '表字段默认值';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DICT_FIELD" IS '字典code';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DICT_TABLE" IS '字典表';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."DICT_TEXT" IS '字典Text';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."FIELD_SHOW_TYPE" IS '表单控件类型';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."FIELD_HREF" IS '跳转URL';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."FIELD_LENGTH" IS '表单控件长度';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."FIELD_VALID_TYPE" IS '表单字段校验规则';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."FIELD_MUST_INPUT" IS '字段是否必填';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."FIELD_EXTEND_JSON" IS '扩展参数JSON';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."FIELD_DEFAULT_VALUE" IS '控件默认值，不同的表达式展示不同的结果。
1. 纯字符串直接赋给默认值；
2. #{普通变量}；
3. {{ 动态JS表达式 }}；
4. ${填值规则编码}；
填值规则表达式只允许存在一个，且不能和其他规则混用。';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."IS_QUERY" IS '是否查询条件0否 1是';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."IS_SHOW_FORM" IS '表单是否显示0否 1是';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."IS_SHOW_LIST" IS '列表是否显示0否 1是';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."IS_READ_ONLY" IS '是否是只读（1是 0否）';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."QUERY_MODE" IS '查询模式';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."MAIN_TABLE" IS '外键主表名';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."MAIN_FIELD" IS '外键主键字段';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."ORDER_NUM" IS '排序';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."CONVERTER" IS '自定义值转换器';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."QUERY_DEF_VAL" IS '查询默认值';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."QUERY_DICT_TEXT" IS '查询配置字典text';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."QUERY_DICT_FIELD" IS '查询配置字典code';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."QUERY_DICT_TABLE" IS '查询配置字典table';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."QUERY_SHOW_TYPE" IS '查询显示控件';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."QUERY_CONFIG_FLAG" IS '是否启用查询配置1是0否';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."QUERY_VALID_TYPE" IS '查询字段校验类型';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."QUERY_MUST_INPUT" IS '查询字段是否必填1是0否';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_FIELD"."SORT_FLAG" IS '是否支持排序1是0否';

-- ----------------------------
-- Records of ONL_CGFORM_FIELD
-- ----------------------------
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('08f002095da7c1886c86648fcec38ca9', '56efb74326e74064b60933f6f8af30ea', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2020-07-10 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:45:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('09450359eb90b40d224ec43588a62f9e', '402860816bff91c0016bff91c0cb0000', 'user_id', '用户ID', 'user_id', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '3', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0a1208184216d9f5defa41d08040a8fd', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'sex', 'sex', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2021-01-24 14:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-24 14:38:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0a453a63e33654aa1b9ee2affa854a6d', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:47:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0a4cdcb7e54f614ab952024f6c72bb6d', 'beee191324fd40c1afec4fda18bd9d47', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2019-04-13 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-13 13:40:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0aad6fa0bf0965a6be1df8aa6005afb4', 'feea98637c2144caae7c5d56a815a245', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2021-10-27 10:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0acfc27e493c204f72d42b6dc00a2ded', '53a3e82b54b946c2b904f605875a275c', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2022-10-25 11:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-07 22:49:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0adc06d9b497684bcbb5a781e044517c', '1acb6f81a1d9439da6cc4e868617b565', 'supplier', '供应商', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'air_china_ supplier', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '15', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 16:52:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0ae4bc5d4921aa240d814e018ddb7779', '56efb74326e74064b60933f6f8af30ea', 'money', '订单总额', NULL, '0', '1', '1', 'double', '10', '3', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2020-07-10 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:45:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0b3e833ac4aae3a13ec2f8ae460708f8', '4028839a6de2ebd3016de2ebd3870000', 'no', '预算表序号', 'no', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '8', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0ba1bf74e2a6a94a7a63010ec7230706', '402860816bff91c0016bffa220a9000b', 'update_time', '更新时间', 'update_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '42', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0bd10d416252bdc6b169056d2a1a4a68', '402880e5721355dd01721355dd390000', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2020-05-14 21:18:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0c34ebfe2e2a619d42db13f93d2a2d40', 'b81de38db24047b497d476516f8a0865', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2020-02-24 14:56:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0cba94f0497d4d3d829fc573f58eff9f', '402860816bff91c0016bffa220a9000b', 'graduation_time', '毕业时间', 'graduation_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '16', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0d00c51a4ddad2598a587fadc968a8b2', '402860816bff91c0016bff91cfea0004', 'sys_org_code', '组织机构编码', 'sys_org_code', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '13', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0ddd0c0afc967a9ab6050401ca62a4be', 'e67d26b610dd414c884c4dbb24e71ce3', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2019-04-24 11:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:02:57', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0e157503e648653836a602f5bbad4e83', '402881e6760269a201760269a2af0000', 'files', '文件', NULL, '0', '1', '1', 'string', '1000', '0', NULL, NULL, NULL, NULL, 'file', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '15', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0e5fb96c3f5a37c758eb7f5d1322694f', '402880e5721355dd01721355dd390000', 'good_name', '商品名字', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2020-05-14 21:18:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0f7241c8d5e1c8b1d913dc8a6099c59f', '31cf57ac0ce04a34aff6aa15867d6d95', 'aaa', 'aa', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '24', 'admin', TO_DATE('2023-03-04 16:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-11-07 19:09:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0fb6fa76c5c78a1e957dbb411e110738', '402860816bff91c0016bff91d8830007', 'politically_status', '政治面貌', 'politically_status', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0fd6b83f09ea78d32094aabbdf639a36', '553a4172fde446419cb602dc70f9ee67', 'wenjian', '文件', NULL, '0', '1', '1', 'string', '250', '0', NULL, NULL, NULL, NULL, 'file', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '16', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('101a73df0aa5199ac05c4ce92a4f0e3e', '4adec929a6594108bef5b35ee9966e9f', 'name', '姓名', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '#{sysUserCode}', '0', '1', '1', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2020-04-10 19:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:35:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('105be0f7d827a0324216cf8af268fb9e', '09fd28e4b7184c1a9668496a5c496450', 'birthday', '客户生日', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2022-05-07 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:51:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('105c8e44ad13026b641f0363601f30f3', 'e5464aa8fa7b47c580e91593cf9b46dc', 'num', '循环数量', NULL, '0', '1', '1', 'int', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2019-04-24 17:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('105f18fb02dceff075953e149e8333e5', '9ab817fd4c2e4e7ba6652c4fa46af389', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2022-11-04 10:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-04 22:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('23f42061ed218bdbc1262913c071e1cd', 'e5464aa8fa7b47c580e91593cf9b46dc', 'iz_valid', '启动状态', NULL, '0', '1', '1', 'int', '2', '0', NULL, 'air_china_valid', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '12', 'admin', TO_DATE('2019-04-24 17:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 14:09:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('242cc59b23965a92161eca69ffdbf018', 'd35109c3632c4952a19ecc094943dd71', 'age', '年龄', NULL, '0', '1', '1', 'int', '32', '0', NULL, NULL, NULL, NULL, 'text', 'http://www.baidu.com', '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-15 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('246f515a94d43a64454645bb1058ca9c', '402885e9812f585201812f5852920000', 'cc', '备注', NULL, '0', '1', '1', 'string', '1000', '0', NULL, NULL, NULL, NULL, 'textarea', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', NULL, NULL, TO_DATE('2022-06-04 23:32:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('25d91ca4cdc3919c7557d23caf7ed6de', 'f9fb8bee1a64472889d077c757b9acc7', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2021-08-17 13:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-08-17 13:57:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2640235b9638547f1776b930bd8c12b4', '997ee931515a4620bc30a9c1246429a9', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2020-05-03 00:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-03 00:56:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('265702edb8872e322fe72d3640e34ac5', '402860816bff91c0016bff91cfea0004', 'from_time', '开始日期', 'from_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '3', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('26be1b96f3c5d1f25254cc8ab60a268a', '5517e93b148a42a7b82d5f3f94542dcf', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '0', NULL, NULL, TO_DATE('2022-07-19 19:36:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2739ab1ece4d6053ba931bb6572f4ed8', '4028839a6de2ebd3016de2ebd3870000', 'iz_valid', '启用状态', 'iz_valid', '0', '1', '1', 'string', '2', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '9', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('273b0fd37640a9ef1614e987e2bc44a0', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'pics', '图片', NULL, '0', '1', '1', 'string', '500', '0', NULL, NULL, NULL, NULL, 'image', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', NULL, NULL, TO_DATE('2020-05-07 22:46:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('281ce0b5343cd42b28825d7df16422f1', 'b81de38db24047b497d476516f8a0865', 'vv', 'vv', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', NULL, NULL, TO_DATE('2020-02-24 14:56:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('283f42283b9d0bf3b95ba3384ab2d255', '758334cb1e7445e2822b60e807aec4a3', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2019-10-18 18:02:09', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('284864d99fddfdcb00e188e3a512cb28', '1acb6f81a1d9439da6cc4e868617b565', 'no', '预算表序号', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2889d3cef706f91e092d76a56b8055be', '402860816bff91c0016bff91cda80003', 'order_no', '序号', 'order_no', '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '8', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('28900c8e76dd0e77193cbd85b5bc6af8', '402881e6760269a201760269a2af0000', 'remakr', 'markdown', NULL, '0', '1', '1', 'Text', '0', '0', NULL, NULL, NULL, NULL, 'markdown', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '16', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('28ab929fd8535396feee2995ad6a2dd5', '553a4172fde446419cb602dc70f9ee67', 'zdys', '自定义树', NULL, '0', '1', '1', 'string', '255', '0', NULL, '0', 'sys_category', 'id,pid,name,has_child', 'sel_tree', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '32', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('293f6bc9a0f557a32bbdf45669404f35', 'feea98637c2144caae7c5d56a815a245', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2021-10-27 10:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('29e4abea55d9fa7dbbd0c8dbbb2b3756', '402860816bff91c0016bff91cda80003', 'update_time', '更新时间', 'update_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '12', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2aef31179964d0a5a945df7bddff00ae', '53a3e82b54b946c2b904f605875a275c', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2022-10-25 11:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-07 22:49:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2c9be627e7cab7f5a2ae9c7ca7ce94a2', 'cb2d8534a2f544bc9c618dd49da66336', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2020-02-24 17:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:15:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2d53a66f0b72d820b86ff445e2181d76', 'beee191324fd40c1afec4fda18bd9d47', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2019-04-13 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-13 13:40:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2dfc4c81926f678c5f8d5ffd27858201', 'e2faf977fdaf4b25a524f58c2441a51c', 'account', '用户编码', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2019-06-10 17:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 17:12:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2e0374878fb3d5be3b0b3f868a97fb59', '09fd28e4b7184c1a9668496a5c496450', 'sex', '客户性别', NULL, '0', '1', '1', 'string', '1', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2022-05-07 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:51:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2e5275b6407e1b4265af8519077fa4a5', 'd3ae1c692b9640e0a091f8c46e17bb01', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2019-07-24 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2e66b9db37648389e0846e2204111732', '73162c3b8161413e8ecdca7eb288d0c9', 'has_child', '是否有子节点', NULL, '0', '1', '1', 'string', '3', '0', NULL, 'valid_status', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2019-07-01 14:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-06-10 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('10b78ee7954f230117689a226c44c0db', '402880e570a5d7000170a5d700f50000', 'descc', '描述', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', NULL, NULL, TO_DATE('2020-03-04 21:58:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('10cfb512423f929b6a488f5e50923199', '402881fd812267500181226750e90000', 'contents', '商品简介', NULL, '0', '1', '1', 'Text', '0', '0', NULL, NULL, NULL, NULL, 'umeditor', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', NULL, NULL, TO_DATE('2022-06-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1130f1e252533529bb1167b896dffe32', 'deea5a8ec619460c9245ba85dbc59e80', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2020-05-03 01:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('117fc4ba649d6690a3ac482ad5e4ad38', '56870166aba54ebfacb20ba6c770bd73', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2022-10-30 11:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:38:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('12aa08f8e948e2b60b40a7b6429c866b', '56efb74326e74064b60933f6f8af30ea', 'order_code', '订单编码', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '${shop_order_num}', '0', '1', '1', '1', 'single', NULL, NULL, '7', 'admin', TO_DATE('2020-07-10 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:45:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('13246645b7650491b70205d99703ca06', '402860816aa5921f016aa5dedcb90009', 'bpm_status', '流程状态', 'bpm_status', '0', '1', '1', 'string', '32', '0', '1', 'bpm_status', NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '1', '0', 'group', NULL, NULL, '8', 'admin', TO_DATE('2019-05-11 15:56:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:50:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('135dd0ee50712722db65b8762bd487ea', '8994f2817b5a45d9890aa04497a317c5', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2019-03-23 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('13d9c22ba0a4f09111d115022a148d23', '09fd28e4b7184c1a9668496a5c496450', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2022-05-07 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:51:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('14b7e6161d1f908e13026439af302a66', '3b5e18da618247539481816995b6bf9f', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2020-07-11 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-07-11 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('14ec4c83c29966ab42b6b718c5a3e774', '7ea60a25fa27470e9080d6a921aabbd1', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2019-04-17 00:22:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('154ba4ca5328866010e042086ffc2b81', '56efb74326e74064b60933f6f8af30ea', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', 'admin', TO_DATE('2020-07-10 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:45:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('15768c8d3a9b43069678c017e1fa1d15', '5517e93b148a42a7b82d5f3f94542dcf', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2022-07-19 19:36:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('157bcfec23eceb0bc9197c4ac13375c5', '41de7884bf9a42b7a2c5918f9f765dff', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2022-11-23 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('16363d0bc125125e395772278d0cf22e', '4b556f0168f64976a3d20bfb932bc798', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2019-04-12 23:38:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('168426cf1016cf0b99705ae1c4c8591e', '402880e5721355dd01721355dd390000', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2020-05-14 21:18:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('16918ac159cb6313fec1dea7ac4bd0a0', '402880eb71d52dc30171d52dc3a10000', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '10', NULL, NULL, TO_DATE('2020-05-02 19:37:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('16963d4264b4abcb46beb21c66459350', '41de7884bf9a42b7a2c5918f9f765dff', 'name', '客户名字', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2022-11-23 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('179c290e383009810fb738f07bd5af8d', '402860816bff91c0016bff91d2810005', 'id', 'id', 'id', '1', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '1', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('17cbda69da9dd3632625a0647c259070', '73162c3b8161413e8ecdca7eb288d0c9', 'wl_name', '物料名字', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '1', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2019-07-01 14:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-06-10 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('182d038554a6ee7ddfd07763aaa10686', '53a3e82b54b946c2b904f605875a275c', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2022-10-25 11:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-07 22:49:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('18fefb2257901f05508f8ec13ada78a3', 'e5464aa8fa7b47c580e91593cf9b46dc', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2019-04-24 17:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('191705159cea35e8cbacb326f172be94', 'd35109c3632c4952a19ecc094943dd71', 'search_sel', '搜索下拉', NULL, '0', '1', '1', 'string', '100', '0', NULL, 'role_code', 'sys_role', 'role_name', 'sel_search', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '17', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-26 18:02:20', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('193c3c062cc6ee210970dbe327412e67', '553a4172fde446419cb602dc70f9ee67', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1973ef1d3728fbff2db6a352e001f5f7', 'fb7125a344a649b990c12949945cb6c1', 'name', '用户名', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2019-03-26 19:24:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-26 19:01:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('19a9bf071cf3aa3b2ef94344d2300616', '402881e6760269a20176026d25650002', 'create_by', '创建人', 'create_by', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '12', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1ab5be1f937f393b3e5cc214ef1b855c', '7ea60a25fa27470e9080d6a921aabbd1', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2019-04-17 00:22:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1b071c02de2830f9fe82a542b31cce7f', '3b5e18da618247539481816995b6bf9f', 'age', '年龄', NULL, '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2020-07-11 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-07-11 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1b6c7b95028bed9ff656d65557dd2bdf', '402860816bff91c0016bffa220a9000b', 'user_id', '用户id', 'user_id', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '3', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1c2f307e315bac77a6d3f02e88387a43', 'deea5a8ec619460c9245ba85dbc59e80', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2020-05-03 01:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1c3b2ad0a52ecb47fa7fd53f25875beb', 'deea5a8ec619460c9245ba85dbc59e80', 'price', '价格', NULL, '0', '1', '1', 'double', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', 'n', '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2020-05-03 01:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1c4d25a12388c80d397bb4f4664fe4e6', '4b556f0168f64976a3d20bfb932bc798', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2019-04-12 23:38:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1cb1bad94673821cbbe1c0cfbcb4a0e2', '402881fd812267500181226787d90001', 'name', '用户名', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'username', 'tj_user_report', 'name', 'popup', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2022-06-02 11:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-02 11:13:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '1');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1cfe967bb457cbaa6e041e45d019b583', '402860816bff91c0016bff91c7010001', 'update_time', '更新时间', 'update_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '10', 'admin', TO_DATE('2019-07-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1d0037eba10efd76be45150479399a7e', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2020-05-07 22:46:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1d712db19506ee40b2c1ef5a611baf88', '53a3e82b54b946c2b904f605875a275c', 'name', '商品名字', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2022-10-25 11:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-07 22:49:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1d95bdf1120c5a1776df022d0a571f21', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:47:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1e37ae77c0d406d4ff3c5442ec63cd1f', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2020-05-07 22:46:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1e3d8cfbf12155559666a23ee2c6c5ca', 'e5464aa8fa7b47c580e91593cf9b46dc', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2019-04-24 17:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1e7e42da333a90a52d65ba70eb53b2b3', '402885e9812f585201812f5852920000', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2022-06-04 23:32:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1ed46fdeb289bd7805c9b83332ccd3b4', '402860816bff91c0016bff91d2810005', 'relation', '关系', 'relation', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '4', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1ed97e424f2c7799626fb6507167672a', '9ab817fd4c2e4e7ba6652c4fa46af389', 'rel_filed', '他表字段', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, 'rel_user', 'age', 'link_table_field', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '13', 'admin', TO_DATE('2022-11-04 10:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:05:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1eda61dece35abd76b8d8d49e1b139b8', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'content', '描述', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', NULL, NULL, TO_DATE('2020-05-07 22:46:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1f0c6d33b79713fe79fb30373c81f6f7', '758334cb1e7445e2822b60e807aec4a3', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2019-10-18 18:02:09', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('1fa5f07b3e70d4925b69b2bf51309421', '56870166aba54ebfacb20ba6c770bd73', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2022-10-30 11:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:38:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('209ddb923d8dab9f454d56d82c0cc725', '3d447fa919b64f6883a834036c14aa67', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2022-10-13 20:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-20 16:19:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('20ff34fb0466089cb633d73d5a6f08d6', 'd35109c3632c4952a19ecc094943dd71', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-15 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2113a4ec7b88b4820dcbbdf96e46bbb7', 'fbc35f067da94a70adb622ddba259352', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2019-07-03 19:44:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2150e48b2cb6072d2d8ecd79a7daf7cc', '402860816bff91c0016bff91ca7e0002', 'create_time', '创建时间', 'create_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '10', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2323239efb5a40b73034411868dfc41d', 'fb19fb067cd841f9ae93d4eb3b883dc0', 'update_by', '更新人登录名称', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2019-03-23 11:39:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0021c969dc23a9150d6f70a13b52e73e', '402860816aa5921f016aa5921f480000', 'begin_date', '开始时间', 'begin_date', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '4', 'admin', TO_DATE('2019-05-11 15:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('020c1622c3df0aef30185f57874f6959', '79091e8277c744158530321513119c68', 'bpm_status', '流程状态', NULL, '0', '1', '1', 'string', '32', '0', '1', 'bpm_status', NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2019-05-11 15:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:29:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('02b20e692456403e2fed1a89a06833b4', '402860816bff91c0016bff91d2810005', 'phone', '联系方式', 'phone', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '8', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('03668009f0ad92b20abb1a377197ee47', 'deea5a8ec619460c9245ba85dbc59e80', 'order_fk_id', '订单外键ID', NULL, '0', '0', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', 'test_order_main', 'id', '10', 'admin', TO_DATE('2020-05-03 01:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:42:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('03709092184fdf4a66b0cdb4dd10a159', '402860816bff91c0016bffa220a9000b', 'bpm_status', '流程状态', NULL, '0', '1', '1', 'string', '32', '0', '1', NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '46', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-19 15:34:44', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('03988419d751a330c2b0f0519a531880', '997ee931515a4620bc30a9c1246429a9', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2020-05-03 00:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-03 00:56:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('03c105d2706c8286416833684de67406', '79091e8277c744158530321513119c68', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2019-05-11 15:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('03fd5ab69f331ff760c3f7d86b4a93f8', '4028318169e81b970169e81b97650000', 'log_content', '日志内容', 'log_content', '0', '1', '1', 'string', '1000', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '3', NULL, NULL, TO_DATE('2019-04-04 19:28:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('045eb432c418b2b103b1e1b8e8a8a75d', 'fb7125a344a649b990c12949945cb6c1', 'age', '年龄', NULL, '0', '1', '1', 'int', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, NULL, NULL, NULL, TO_DATE('2019-03-26 19:24:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('04e4185a503e6aaaa31c243829ff4ac7', 'd35109c3632c4952a19ecc094943dd71', 'birthday', '生日', NULL, '0', '1', '1', 'Datetime', '32', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-15 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('04ff134cb4aae845059e10b3b85f1451', '7ea60a25fa27470e9080d6a921aabbd1', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2019-04-17 00:22:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('051dd70c504c97a028daab2af261ea35', '1acb6f81a1d9439da6cc4e868617b565', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('052dcc6f34976b66754fd99415bd22ce', '79091e8277c744158530321513119c68', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2019-05-11 15:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('054db05394e83b318f097a60bc044134', '402860816bff91c0016bffa220a9000b', 'residence_address', '户籍地址', 'residence_address', '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '28', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('05dbdd8d9f0f84c8504faa6f24c7d4ac', '402880eb71d61d3d0171d61d3de30000', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2020-05-03 00:54:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-02 23:59:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('05ed6a78a2e9d0c82bfa2c55898570b8', '997ee931515a4620bc30a9c1246429a9', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', 'admin', TO_DATE('2020-05-03 00:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-03 00:56:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0604945c206e867644e9a44b4c9b20c6', 'fb19fb067cd841f9ae93d4eb3b883dc0', '2', '4', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2019-03-23 11:39:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0617de6d735b37a3f80f2f35ad5d1511', '4028839a6de2ebd3016de2ebd3870000', 'size_type', '尺码类型', 'size_type', '0', '1', '1', 'string', '2', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '13', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('0619dfc3fbf9e193534bb3460a1a9d92', 'cb2d8534a2f544bc9c618dd49da66336', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', 'admin', TO_DATE('2020-02-24 17:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:15:13', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('06a1badae6119abf4ec48858a3e94e1c', '402860816bff91c0016bffa220a9000b', 'sys_org_code', '组织机构编码', 'sys_org_code', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '43', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('06be12d850f7cb3261111e35c2622f5c', 'b493c5fd4fa64a3a84e74ee171763e37', 'dd', 'dd', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', NULL, NULL, TO_DATE('2021-06-07 18:13:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('06f1cfff58395ff62526b894f6182641', 'e67d26b610dd414c884c4dbb24e71ce3', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2019-04-24 11:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:02:57', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('07a307972076a392ffc61b11437f89dd', '402860816bff91c0016bff91c0cb0000', 'create_time', '创建时间', 'create_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '13', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('07f4776fd641389a8c98a85713990dce', '402860816bff91c0016bff91c0cb0000', 'update_by', '更新人', 'update_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '14', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('08a3353c11efd5f062c3076d0554b5c5', '402881e6760269a20176026d25650002', 'salary_money', '工资', 'salary_money', '0', '1', '1', 'BigDecimal', '10', '3', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('45d59eb647257fcbcb9d143ff1ba2080', 'deea5a8ec619460c9245ba85dbc59e80', 'pro_type', '产品类型', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'radio', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2020-05-03 01:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 20:54:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('469b250595f15dfebe69991d72e4bfb2', 'e9faf717024b4aae95cff224ae9b6d97', 'name', '员工姓名', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-07-03 18:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-03 18:22:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('46be01bef342519e268902d0d36a7473', 'deea5a8ec619460c9245ba85dbc59e80', 'descc', '描述', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', 'admin', TO_DATE('2020-05-03 01:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('46c13ceab79269d151c975bf11847a2e', '553a4172fde446419cb602dc70f9ee67', 'ldzjs', '联动组件三', NULL, '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '31', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('46f1a875f86a4f48d0540ad0d5e667d7', '56870166aba54ebfacb20ba6c770bd73', 'order_date', '下单时间', NULL, '0', '1', '1', 'Datetime', '32', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2022-10-30 11:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:38:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('470a3a02210932c55950cd673c50705b', '553a4172fde446419cb602dc70f9ee67', 'geshu', 'integer类型', NULL, '0', '1', '1', 'int', '9', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '34', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('47c21a6b45e59a6b70bb9c0cc4510a68', '1acb6f81a1d9439da6cc4e868617b565', 'integral_val', '积分值', NULL, '0', '1', '1', 'int', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '13', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('47fa05530f3537a1be8f9e7a9e98be82', 'd35109c3632c4952a19ecc094943dd71', 'sex', '性别', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-15 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '1');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4851697fdf63709d2bc7451b7415f4af', '32f75e4043ef4070919dbd4337186a3d', 'sex', '性别', NULL, '0', '1', '1', 'string', '32', '0', '1', 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-04-11 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-27 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('485a8ddce2c033f88af674ec98b68e32', '402860816bff91c0016bffa220a9000b', 'create_time', '创建时间', 'create_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '40', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4863e3b3e632a254ad3b2ec873767bcb', 'b493c5fd4fa64a3a84e74ee171763e37', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2021-06-07 18:13:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('492a462b212fc34b0ee70e872684ed7e', '7ea60a25fa27470e9080d6a921aabbd1', 'name', '用户名', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2019-04-17 00:22:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('499a5dac033a01ce58009e4c5b786697', 'e9faf717024b4aae95cff224ae9b6d97', 'age', '员工年龄', NULL, '0', '1', '1', 'int', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2019-07-03 18:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-03 18:22:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('49cd3dbd4f7f7cf0d19b1ee1045cfa69', 'e67d26b610dd414c884c4dbb24e71ce3', 'post_code', '岗位编码', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-04-24 11:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:02:57', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4ad94222c025b56fb0833a88a1514aeb', '86bf17839a904636b7ed96201b2fa6ea', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', 'admin', TO_DATE('2020-05-14 21:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:48:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4b136f953675fffcc1b6d7d6d414d57e', '402880eb71d61d3d0171d61d3de30000', 'date', '日期', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '#{date}', '0', '1', '1', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-02 23:59:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4b1d4d7a1c1f7d5b99ae6c6a6d91b403', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'dated', '生日', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2021-01-24 14:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-24 14:38:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4ba7c553ca4babcec75273c531cd65e1', '402860816bff91c0016bff91cfea0004', 'workplace', '工作单位', 'workplace', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '5', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4c17487e6944555ec05781cd085add08', '553a4172fde446419cb602dc70f9ee67', 'create_time', '创建时间', NULL, '0', '1', '1', 'Datetime', '50', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', 'n6-16', '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4c2cba9fc950333421c4193576b8384d', '32f75e4043ef4070919dbd4337186a3d', 'salary', '工资', NULL, '0', '1', '1', 'double', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2019-04-11 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-28 15:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4c4f4067fa31737f3ff9e088130ef793', '4adec929a6594108bef5b35ee9966e9f', 'sex', '性别', NULL, '0', '1', '1', 'string', '200', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, '{{ 2 }}', '0', '1', '1', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2020-04-10 19:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:35:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4c570c5cf05590348e12621ca62773cf', '402860816aa5921f016aa5921f480000', 'name', '请假人', 'name', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '2', 'admin', TO_DATE('2019-05-11 15:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4c8d4e40c7f939b403fd804add16e7f0', '31cf57ac0ce04a34aff6aa15867d6d95', 'xia_time', '下单时间', NULL, '0', '1', '1', 'Datetime', '32', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4cacfa054e96791ab938b5c8f8e02cd1', '27fc5f91274344afa7673a732b279939', 'bpm_status', '流程状态', NULL, '0', '1', '1', 'string', '2', '0', NULL, 'bpm_status', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', NULL, NULL, TO_DATE('2019-07-01 16:28:20', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4d0b04cbb7db89b5468f32edafb610bc', '402881fd812267500181226750e90000', 'good_type_id', '商品分类', NULL, '0', '1', '1', 'string', '32', '0', NULL, '0', 'ces_shop_type', 'id,pid,name,has_child', 'sel_tree', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', NULL, NULL, TO_DATE('2022-06-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4dc3f7e772564de45773a8379adc4335', '3b5e18da618247539481816995b6bf9f', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2020-07-11 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-07-11 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('686dea2621feadcd9b4c611df046adb4', '86bf17839a904636b7ed96201b2fa6ea', 'price', '价格', NULL, '0', '1', '1', 'double', '10', '3', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2020-05-14 21:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:48:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('68769fa7e4696e3a28f4cecf63076b7b', '402860816bff91c0016bff91ca7e0002', 'order_no', '序号', 'order_no', '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '8', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('68861523516849eff46a0df045f1031b', '402881e6760269a201760269a2af0000', 'birthday', '时间', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '13', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('69666f21896136af16a6303aff440156', '402860816bff91c0016bffa220a9000b', 'nation', '民族', 'nation', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '11', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('69d11490788fecfc9fb7d74bf449ba86', '32f75e4043ef4070919dbd4337186a3d', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2019-04-11 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-27 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6a0082c8ffbae092e99689520f1c83f7', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:47:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6a30c2e6f01ddd24349da55a37025cc0', 'd35109c3632c4952a19ecc094943dd71', 'top_pic', '头像', NULL, '0', '1', '1', 'string', '500', '0', NULL, NULL, NULL, NULL, 'image', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-06-10 20:06:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6ab2e3d9b944701b405fb1a5ed167012', '86bf17839a904636b7ed96201b2fa6ea', 'zong_price', '单品总价', NULL, '0', '1', '1', 'double', '10', '3', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2020-05-14 21:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:48:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6b21f5239671023ca769b6717a51130e', '402880eb71d61d3d0171d61d3de30000', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2020-05-03 00:54:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-02 23:59:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6b6f3aa00b8e73fb785154e795189739', '402860816aa5921f016aa5dedcb90009', 'start_time', '会签发起时间', 'start_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2019-05-11 15:56:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:50:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6beb40bdd28af22e06b26640bc0c3f4d', '3b5e18da618247539481816995b6bf9f', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', 'admin', TO_DATE('2020-07-11 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-07-11 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6c35eb97737e9f86279939d264454a94', '86bf17839a904636b7ed96201b2fa6ea', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2020-05-14 21:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:48:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6cfb5acbbb69782bf0c7043b53f595b2', '402860816bff91c0016bff91cda80003', 'update_by', '更新人', 'update_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '11', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6d03a7774a50c6e6f76dbc7a8269beba', '3b5e18da618247539481816995b6bf9f', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2020-07-11 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-07-11 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6d4a4414b55ad5b6f31c8fb327dad834', '09fd28e4b7184c1a9668496a5c496450', 'address', '常用地址', NULL, '0', '1', '1', 'string', '300', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', 'admin', TO_DATE('2022-05-07 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:51:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6dea0ed8104a84f25d84b39187249109', '41de7884bf9a42b7a2c5918f9f765dff', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2022-11-23 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6e5c9d8e8b7eb6980ec246cb813b180b', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:47:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6ed8d9acef3cccd1b8fd659b3b538023', '53a3e82b54b946c2b904f605875a275c', 'price', '价格', NULL, '0', '1', '1', 'BigDecimal', '10', '5', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2022-10-25 11:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-07 22:49:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6edce6cf880cf68d4d7812076e274610', '402881fd812267500181226750e90000', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2022-06-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6f38a07ea2b1065315a6b89a02af5bb4', '3b5e18da618247539481816995b6bf9f', 'name', '用户名', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2020-07-11 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-07-11 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6f47a2e4426e7d63c223803b1ecbe790', '553a4172fde446419cb602dc70f9ee67', 'update_time', '更新时间', NULL, '0', '1', '1', 'Datetime', '50', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6f73e96a659c200c083006b6fce1f043', '402860816bff91c0016bff91ca7e0002', 'cert_name', '证书名称', 'cert_name', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '4', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('71197d255e05c9f6db67fd30380953c7', '402881e6760269a201760269a2af0000', 'sel_mut', '下拉多选', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'list_multi', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4e3760f9068aee4318123d85fbf2ebf9', '53a3e82b54b946c2b904f605875a275c', 'good_type_id', '商品分类', NULL, '0', '1', '1', 'string', '32', '0', NULL, '0', 'ces_shop_type', 'id,pid,name,has_child', 'sel_tree', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2022-10-25 11:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-07 22:51:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4f718d95ad9de33eac18fd0663e4c1f1', '32f75e4043ef4070919dbd4337186a3d', 'birthday', '生日', NULL, '0', '1', '1', 'Datetime', '32', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2019-04-11 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-27 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4f7cba71de7afe6efbd024f5f9935521', '402860816bff91c0016bff91cda80003', 'to_time', '截止时间', 'to_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '4', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4faa7848b92f05bcb3cf03de34af9ff2', 'cb2d8534a2f544bc9c618dd49da66336', 'ddd', 'dd', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2020-02-24 17:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:15:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('50552383ac67ed56760fb8c84d01de9e', '553a4172fde446419cb602dc70f9ee67', 'xlss', '字典表下拉搜索框', NULL, '0', '1', '1', 'string', '50', '0', NULL, 'username', 'sys_user', 'realname', 'sel_search', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '20', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('506c9b0b2331a24e5c284274d28fe569', '27fc5f91274344afa7673a732b279939', 'kkk', '描述', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2019-07-01 16:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-01 16:26:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('508eb28e1409a2a9501cdf6fd7eb24c7', 'dbf4675875e14676a3f9a8b2b8941140', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2019-05-27 18:02:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('509a4f63f02e784bc04499a6a9be8528', 'd35109c3632c4952a19ecc094943dd71', 'update_by', '更新人登录名称', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2022-10-30 11:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-15 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('50a1fc04f08226f0e29a62e39d2f87fc', '402881fd812267500181226787d90001', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2022-06-02 11:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-02 11:13:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('519f68557b953fc2d38400182b187366', '402860816bff91c0016bffa220a9000b', 'residence_type', '户籍类别', 'residence_type', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '13', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('52241dbe405db36d2960765e061c117c', '553a4172fde446419cb602dc70f9ee67', 'yuanjia', 'double类型', NULL, '0', '1', '1', 'double', '6', '2', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '33', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5237e186de11017ee52d3c344f450b3b', 'f9fb8bee1a64472889d077c757b9acc7', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2021-08-17 13:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-08-17 13:57:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('524d75f1e4fed1167c80477658290ddf', '402881fd812267500181226787d90001', 'age', '年龄', NULL, '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2022-06-02 11:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-02 11:13:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '1');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('526ceb0666c46999bd457a1c18846fbf', '31cf57ac0ce04a34aff6aa15867d6d95', 'pic', '图片', NULL, '0', '1', '1', 'string', '300', '0', NULL, NULL, NULL, NULL, 'image', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '19', 'admin', TO_DATE('2023-03-04 16:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('52975c3f03325de8233d3459b2230b09', 'f9fb8bee1a64472889d077c757b9acc7', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', 'admin', TO_DATE('2021-08-17 13:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-08-17 13:57:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('52ee861bc1b62cd8e4f10632b3d9d1b2', '79091e8277c744158530321513119c68', 'name', '顺序会签标题', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-05-11 15:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5531fb261c77e9d12f7cca1af528f70a', '05a3a30dada7411c9109306aa4117068', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2022-10-28 10:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-06 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('553a250fb89de39e4ba9f8450fd72ade', '05a3a30dada7411c9109306aa4117068', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2022-10-28 10:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-06 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('555f9d43db20204128d76e22226ca36e', '402881e6760269a201760269a2af0000', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5562a7242e4978f02e6d3a08d5828bbf', '53a3e82b54b946c2b904f605875a275c', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2022-10-25 11:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-07 22:49:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5562ad3165b1399f97a48f5f06d7fa06', '3b5e18da618247539481816995b6bf9f', 'ccc', 'cc', NULL, '0', '1', '1', 'string', '1000', '0', NULL, NULL, NULL, NULL, 'umeditor', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2020-07-11 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-07-11 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('55ee63fe34f0b666078e6af940bee222', 'feea98637c2144caae7c5d56a815a245', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2021-10-27 10:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('566db879e54b175b20195ca284e76eec', '402881fd812267500181226750e90000', 'chuc_date', '出厂时间', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', NULL, NULL, TO_DATE('2022-06-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('56a7800e4e476812c74217c2aad781aa', '32feeb502544416c9bf41329c10a88f4', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2019-08-23 20:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-02 18:23:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('56cd0a76f922bf76d982b24a509e4782', '4028839a6de2ebd3016de2ebd3870000', 'create_time', '创建日期', 'create_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '3', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('56e247f12d62b49cd9bd537e3efecf16', '402860816bff91c0016bff91c0cb0000', 'create_by', '创建人', 'create_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '12', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('57552a4f0b7b5c096ab8985ced57cc7d', 'cb2d8534a2f544bc9c618dd49da66336', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2020-02-24 17:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:15:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('57a277bbf4cac35fb8a606e3aa4abc6c', '31cf57ac0ce04a34aff6aa15867d6d95', 'age', '年龄', NULL, '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('581d8e8ce270b762458121b1dea0be9a', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2020-05-07 22:46:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('588400f6ebcdd0bc9bb560dd36636af9', 'e2faf977fdaf4b25a524f58c2441a51c', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2019-06-10 17:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 17:12:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('58a96f945912d33b64ebf5dee98156dc', '402860816bff91c0016bffa220a9000b', 'mobile', '手机号', 'mobile', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '19', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('58eea85add4788b83c893092434bc413', 'fb19fb067cd841f9ae93d4eb3b883dc0', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2019-03-23 11:39:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('59ae1e853668c676e85329aa029c68a6', '402860816bff91c0016bff91c0cb0000', 'status', '状态（1：申请中 2：通过）', 'status', '0', '1', '1', 'string', '2', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '11', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5a043c7ae042e48f50d1fb0bb3d760a8', '402880eb71d61d3d0171d61d3de30000', 'code', '编码', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '${order_num_rule_param}', '0', '1', '1', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-02 23:59:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5a1ab458d88bb766f92c3d791495cdcd', '402860816bff91c0016bff91d2810005', 'age', '年龄', 'age', '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '5', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5a48150409b0960173f091558d1611d0', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2021-01-24 14:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-24 14:38:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5a4ef083dd572114aeb581b6828de545', '402860816bff91c0016bff91c7010001', 'award_name', '获奖名称', 'award_name', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '5', 'admin', TO_DATE('2019-07-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5a621f27aa443fe9eccc73717e4fa172', '4028318169e81b970169e81b97650000', 'method', '请求java方法', 'method', '0', '1', '1', 'string', '500', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '8', NULL, NULL, TO_DATE('2019-04-04 19:28:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5a655b208d6318ed02f236f15a319b5f', 'fbc35f067da94a70adb622ddba259352', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2019-07-03 19:44:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5a6f88710c49bbe8e2e0ca58e149abad', '402860816bff91c0016bff91cda80003', 'create_by', '创建人', 'create_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '9', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5a7ce5af50f28d613d8beea7c866ae0c', '402881e6760269a20176026d25650002', 'update_by', '修改人', 'update_by', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '14', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5ab702dbc37d6fd8d3a1093fda7223bf', '53a3e82b54b946c2b904f605875a275c', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2022-10-25 11:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-07 22:49:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5abea6889600033da866909852462af1', '31cf57ac0ce04a34aff6aa15867d6d95', 'ccc', '单选框', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'radio', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '23', 'admin', TO_DATE('2023-03-04 16:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5b17ba693745c258f6b66380ac851e5f', 'd35109c3632c4952a19ecc094943dd71', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '0', 'admin', TO_DATE('2022-10-30 11:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-15 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5c25a6636c8d2c93d2859c7db6cb8281', '553a4172fde446419cb602dc70f9ee67', 'xldx', '字典下拉多选框', NULL, '0', '1', '1', 'string', '250', '0', NULL, 'urgent_level', NULL, NULL, 'list_multi', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '19', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5c64d270eb4ee8ea6bf55c7e4257f162', '553a4172fde446419cb602dc70f9ee67', 'flzds', '分类字典树', NULL, '0', '1', '1', 'string', '100', '0', NULL, 'B02', NULL, NULL, 'cat_tree', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '23', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5c76f5ecc774d7339eb0c2199c0052bc', '402860816bff91c0016bff91c0cb0000', 'biz_no', '编号', 'biz_no', '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '2', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5c8c8d573e01e4f40b5a7c451515e1d2', '32feeb502544416c9bf41329c10a88f4', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2019-08-23 20:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-02 18:23:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5dfbea516ee2390d712eace5405c5219', '402860816bff91c0016bff91ca7e0002', 'create_by', '创建人', 'create_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '9', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5e4484b7348dc3e59a0c58bdc3828cc0', '27fc5f91274344afa7673a732b279939', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2019-07-01 16:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-01 16:26:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5e4ac29ac2007ceabf93368330290a42', '402860816bff91c0016bff91d8830007', 'order_no', '序号', 'order_no', '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '9', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5e729f9823b5cc96c50b0b7c0f07eb05', '402880e5721355dd01721355dd390000', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2020-05-14 21:18:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5f13f7087caa0bbf47e5eba01d0d0443', '05a3a30dada7411c9109306aa4117068', 'contents', '请假原因', NULL, '0', '1', '1', 'string', '500', '0', NULL, NULL, NULL, NULL, 'umeditor', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2022-10-28 10:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-06 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5f5ac4d37fd1a3a09e2b19f0d4d99c0f', '4adec929a6594108bef5b35ee9966e9f', 'code', '编码', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '${order_num_rule_param}', '0', '1', '1', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2020-04-10 19:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:35:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('5f718d8968d908cd2e4de6ee4c74d644', '402880eb71d61d3d0171d61d3de30000', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2020-05-03 00:54:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-02 23:59:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('60b3b452232904f5a1130348bc1eab53', '402881e6760269a20176026d25650002', 'sys_org_code', '所属部门编码', 'sys_org_code', '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '16', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('60eed6c429cf7796c3f0a17faaed00da', 'b493c5fd4fa64a3a84e74ee171763e37', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2021-06-07 18:13:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6130dbb6d36bab8ee9154e7ab58af34c', '402880e570a5d7000170a5d700f50000', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2020-03-04 21:58:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('617349b18dab429009ccd304fd7d459c', '4028839a6de2ebd3016de2ebd3870000', 'update_by', '更新人', 'update_by', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '4', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('61ac54dda5e51ded8dcf95e1cf3f1372', '9ab817fd4c2e4e7ba6652c4fa46af389', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2022-11-04 10:58:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-04 22:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('61c7a0058c264dd746eb35e6f50fc15b', '402860816aa5921f016aa5dedcb90009', 'update_time', '更新日期', 'update_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '5', 'admin', TO_DATE('2019-05-11 15:56:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:50:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6232ade7e2a0c1e97e2c0945b32e61b6', '402860816bff91c0016bffa220a9000b', 'paying_social_insurance', '是否上社保', 'paying_social_insurance', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '32', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('631a606d35a74c2036a81f27dd16a1a6', 'feea98637c2144caae7c5d56a815a245', 'dd', 'dd', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', NULL, NULL, TO_DATE('2021-10-27 10:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6352d477b6b2751780c5852e92d0daa6', '402880eb71d61d3d0171d61d3de30000', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2020-05-03 00:54:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-02 23:59:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('635e09afc01aad757faacf1321465c23', 'b81de38db24047b497d476516f8a0865', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2020-02-24 14:56:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('641e74beb228275dc2ca38a977b76c47', '553a4172fde446419cb602dc70f9ee67', 'nyrsfm', '年月日时分秒', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '14', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6490a98dccb6df218feaeb4ce11bc03b', '402860816aa5921f016aa5921f480000', 'update_time', '修改时间', 'update_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '10', 'admin', TO_DATE('2019-05-11 15:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('654362725195829005036b3db47ec826', '402860816bff91c0016bffa220a9000b', 'post', '职务', 'post', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '4', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6553f398286b38e669a1e0f5cb8588ea', '31cf57ac0ce04a34aff6aa15867d6d95', 'birthday', '生日', NULL, '0', '1', '1', 'Date', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('656ec51bb57da5a47076f8a26053bbbb', '553a4172fde446419cb602dc70f9ee67', 'zdmrz', '自定义查询', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '1', '1', '1', '1', '0', 'single', NULL, NULL, '37', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, '1', NULL, 'sex', NULL, 'list', '1', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('6603058186832c4ff9e8c6e43baa5c3d', '86bf17839a904636b7ed96201b2fa6ea', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2020-05-14 21:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:48:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('66a7ef842bc34e105a90186e48167ef2', 'dbf4675875e14676a3f9a8b2b8941140', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2019-05-27 18:02:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('671e62c685bc86bde3cef0e023418fb4', '05a3a30dada7411c9109306aa4117068', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2022-10-28 10:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-06 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2e6f741fa96a49a0adccc7b4682c1cef', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'name', '名称', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '#{sysUserName}', '0', '1', '1', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:47:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2e9f4340f5cc919f83d50db558cf5598', '41de7884bf9a42b7a2c5918f9f765dff', 'age', '年龄', NULL, '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2022-11-23 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2ee58d8e4844dfe1fa6b1b841ae0b312', '402860816bff91c0016bff91d2810005', 'politically_status', '政治面貌', 'politically_status', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2f111722eb3a994450e67e3211fd69a8', '402860816bff91c0016bff91ca7e0002', 'id', 'id', 'id', '1', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '1', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('2f13bd36aadfe10fb79c57d727279981', 'feea98637c2144caae7c5d56a815a245', 'aaa', 'aa', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2021-10-27 10:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('30143cc3de69c413828f9fba20662026', '402860816bff91c0016bffa220a9000b', 'healthy', '健康状况', 'healthy', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '12', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('306e3fb9c87ca6442cefbd61f498f1f7', '402881e6760269a201760269a2af0000', 'dep_sel', '选择部门', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'sel_depart', NULL, '120', NULL, '0', NULL, '#{sysOrgCode}', '0', '1', '1', '0', 'single', NULL, NULL, '19', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3087aa8f38c787e066a886d950a9edfa', '05a3a30dada7411c9109306aa4117068', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2022-10-28 10:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-06 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('310c86bfd1e67500774c208d601acdc3', '56870166aba54ebfacb20ba6c770bd73', 'xiala', '下拉多选', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'list_multi', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2022-10-30 11:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-30 21:08:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('31193dc8ceacf979e4042e784ea8278a', '402880e570a5d7000170a5d700f50000', 'order_fk_id', '订单外键ID', NULL, '0', '0', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '10', NULL, NULL, TO_DATE('2020-03-04 21:58:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('31fd90306c3942f09cb79deabbf2f541', '402860816bff91c0016bff91d2810005', 'employee_id', '员工ID', 'employee_id', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', 'oa_employee_info', 'id', '2', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('333dba540ebd4d62b0df64a6ba0e1697', '402885e9812f585201812f5852920000', 'name', '名字', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2022-06-04 23:32:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('336495117e3a31351fed6963b950dddb', '402860816bff91c0016bffa220a9000b', 'inside_transfer', '内部工作调动情况', 'inside_transfer', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '37', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('34138092d743d4232341a920efd2699e', '402880eb71d52dc30171d52dc3a10000', 'name', '名称', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '#{sysUserName}', '0', '1', '1', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2020-05-02 19:37:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('343e4f0750bd705b8d90c931e8091ae3', '9ab817fd4c2e4e7ba6652c4fa46af389', 'rel_user', '关联记录', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'id', 'test_note', 'name,sex,age', 'link_table', NULL, '120', NULL, '0', '{"showType":"card","multiSelect":false,"imageField":""}', NULL, '0', '1', '1', '0', 'single', NULL, NULL, '12', 'admin', TO_DATE('2022-11-04 10:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:05:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('345c8b48e1e128e77c4c6e2b36512804', '402860816aa5921f016aa5dedcb90009', 'create_by', '创建人', 'create_by', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '2', 'admin', TO_DATE('2019-05-11 15:56:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:50:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('34625a911b39e0596690c1a15f784448', '402880e570a5d7000170a5d700f50000', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2020-03-04 21:58:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3489a6451bbbcabc0f39ca04b0dd62f2', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2020-05-07 22:46:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('34ecf29484ffd4b287bd34b52cf89775', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'name', 'name', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2021-01-24 14:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-24 14:38:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('34f0c4cb0049ef71735e9f12a1006a9c', '41de7884bf9a42b7a2c5918f9f765dff', 'address', '地址', NULL, '0', '1', '1', 'string', '300', '0', NULL, NULL, NULL, NULL, 'pca', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', NULL, NULL, TO_DATE('2022-11-23 12:01:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('351faaeb2dd8105e9c66f678211c9d4f', 'dbf4675875e14676a3f9a8b2b8941140', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2019-05-27 18:02:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('35417ba3993afe3405e1e0b9abbd7e1b', '402880e5721355dd01721355dd390000', 'num', '数量', NULL, '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', NULL, NULL, TO_DATE('2020-05-14 21:18:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('354b2ce39c5e8ec3f0bbb01bf8ff0fb7', '32f75e4043ef4070919dbd4337186a3d', 'content', '描述', NULL, '0', '1', '1', 'string', '300', '0', NULL, NULL, NULL, NULL, 'textarea', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2019-04-11 10:15:31', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-28 15:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('35ca1c8aa1501bc8a79c880928841f18', '402860816aa5921f016aa5921f480000', 'update_by', '修改人id', 'update_by', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '11', 'admin', TO_DATE('2019-05-11 15:31:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3635793767371c6db9f76b4b79f9d321', '402860816bff91c0016bff91d8830007', 'create_time', '创建时间', 'create_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '11', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('36de6b200a489f1fedc8cdbebfa264ee', '553a4172fde446419cb602dc70f9ee67', 'bmxz', '部门选择', NULL, '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'sel_depart', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '24', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('370a6eebc2d732eaf121fe0830d853a6', 'e5464aa8fa7b47c580e91593cf9b46dc', 'wl_code', '物料编码', NULL, '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2019-04-24 17:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3722bec99d589389c6b974accd87b060', '402881fd812267500181226787d90001', 'birthday', '生日', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2022-06-02 11:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-02 11:13:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('37462a4d78968d0e432d746423603b81', '3d447fa919b64f6883a834036c14aa67', 'province', '省份', NULL, '0', '1', '1', 'string', '100', '0', NULL, NULL, '{table:''sys_category'',txt:''name'',key:''id'',linkField:''city,area'',idField:''id'',pidField:''pid'', condition:" pid = ''1230769196661510146'' "         }', NULL, 'link_down', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2022-10-13 20:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-20 16:19:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('375957774c7d424ce9a58d84d4c4387f', '553a4172fde446419cb602dc70f9ee67', 'yhxz', '用户选择', NULL, '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'sel_user', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '25', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('37e2548874f09ef7d08642a30bc918fa', 'fbc35f067da94a70adb622ddba259352', 'group_name', '小组名', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2019-07-03 19:44:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3816bb487c6665a5f2ae7a4dbcbc9095', 'd35109c3632c4952a19ecc094943dd71', 'sel_table', '下拉字典表', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'username', 'sys_user where username like ''a%''', 'realname', 'sel_search', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '18', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-07-01 12:29:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('38a2ac11d1bd65b4bbf7b673f25e35e2', '31cf57ac0ce04a34aff6aa15867d6d95', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('391e7cbd9f29743b11bb555c50547b1f', '32f75e4043ef4070919dbd4337186a3d', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2019-04-11 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-27 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('393227a51251906a91f4e05a095eb1ba', '553a4172fde446419cb602dc70f9ee67', 'markdown', 'markdown', NULL, '0', '1', '1', 'Blob', '0', '0', NULL, NULL, NULL, NULL, 'markdown', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '0', '0', 'single', NULL, NULL, '27', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('396c36fa5320975851d06772d10ea7b1', 'cb2d8534a2f544bc9c618dd49da66336', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2020-02-24 17:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:15:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3aa6c41ffd2cd6321f91f60e6c6b7191', '402881fd812267500181226787d90001', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2022-06-02 11:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-02 11:13:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3acd1b022fd8cb6b99534161fa3d6a24', 'd35109c3632c4952a19ecc094943dd71', 'ceck', 'checkbox', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'checkbox', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '15', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-26 18:02:20', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3b439859f98e30e34d25e983eb22e408', '402860816bff91c0016bff91c7010001', 'award_time', '获奖时间', 'award_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '3', 'admin', TO_DATE('2019-07-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3b67be0187044a0d023fc2c4c7eceabc', '402881e6760269a20176026d25650002', 'bonus_money', '奖金', 'bonus_money', '0', '1', '1', 'double', '10', '2', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3bf44e68de518f3ddf72b87671d0ff90', '8994f2817b5a45d9890aa04497a317c5', 'update_by', '更新人登录名称', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2019-03-23 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3c4d535332034bdeb744ac08be036fd0', '31cf57ac0ce04a34aff6aa15867d6d95', 'sex', '性别', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3c74df163f36d1ac61af6811d2569d6c', 'f9fb8bee1a64472889d077c757b9acc7', 'ds', 'ds', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2021-08-17 13:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-08-17 13:57:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3cd2061ea15ce9eeb4b7cf2e544ccb6b', 'd35109c3632c4952a19ecc094943dd71', 'file_kk', '附件', NULL, '0', '1', '1', 'string', '500', '0', NULL, NULL, NULL, NULL, 'file', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '12', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-06-10 20:06:57', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3cfd4d60c7d8409ae716a579bcb0910d', '402860816bff91c0016bff91c0cb0000', 'sys_org_code', '组织机构编码', 'sys_org_code', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '16', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3d72550564009a430d8d9099f47c4a05', '553a4172fde446419cb602dc70f9ee67', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3e32f6c30c9028872388f70743c5d6a5', '402860816bff91c0016bff91c0cb0000', 'reason', '申请理由', 'reason', '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '9', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3e70d1c516c3533c6698300665c669e1', '402860816bff91c0016bff91c0cb0000', 'id', 'id', 'id', '1', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '1', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3ef0a9ed04605267f7fa304a8c353576', '05a3a30dada7411c9109306aa4117068', 'name', '用户名', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'username', 'tj_user_report', 'name', 'popup', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2022-10-28 10:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-06 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '1');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3eff1d21b946e23d7f83de977962d9cf', '402880eb71d61d3d0171d61d3de30000', 'main_id', '主表ID', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-02 23:59:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3f2ace8f968a0e5b91d1340ee2957cda', '402860816bff91c0016bff91d8830007', 'real_name', '姓名', 'real_name', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '3', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3f7f7720ee65648cb2850fccedf7be9d', '53a3e82b54b946c2b904f605875a275c', 'contents', '商品简介', NULL, '0', '1', '1', 'Text', '0', '0', NULL, NULL, NULL, NULL, 'umeditor', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '0', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2022-10-25 11:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-07 22:49:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3f9deca6c193f0b2609113713956ad19', '86bf17839a904636b7ed96201b2fa6ea', 'order_main_id', '订单ID', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', 'ces_order_main', 'id', '11', 'admin', TO_DATE('2020-05-14 21:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:48:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3fab15057918efd10650bd31b1dd10cc', '553a4172fde446419cb602dc70f9ee67', 'ldzuy', '联动组件一', NULL, '0', '1', '1', 'string', '255', '0', NULL, NULL, '
{
	table: "sys_category",
	txt: "name",
	key: "id",
	linkField: "ldzje,ldzjs",
	idField: "id",
	pidField: "pid",
	condition:"pid = ''0''"
}', NULL, 'link_down', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '29', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('3fed00db3750956f00a2dfa3b98b8c32', '9ab817fd4c2e4e7ba6652c4fa46af389', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2022-11-04 10:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-04 22:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('40471eb4560bf0bbd2ffef17d48a269d', 'dbf4675875e14676a3f9a8b2b8941140', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2019-05-27 18:02:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('404b516d4f2229f292783db595b02ba1', '402860816bff91c0016bff91d8830007', 'update_time', '更新时间', 'update_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '13', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('405de5ea82e54138a0613dd41b006dfb', '56870166aba54ebfacb20ba6c770bd73', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2022-10-30 11:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:38:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('40675bb9f053aabf8823ddf4b5389141', 'b81de38db24047b497d476516f8a0865', 'aa', 'aa', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2020-02-24 14:56:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4164314d6a51d100169a29872b7504d8', '402860816bff91c0016bff91ca7e0002', 'cert_time', '发证时间', 'cert_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '3', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('41b80b89de0ceb609eb016dacf106ef8', '553a4172fde446419cb602dc70f9ee67', 'shq', '省市区', NULL, '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'pca', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '28', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('41d4215c01b0d26871f2cb83d3e532ae', '402860816bff91c0016bff91c0cb0000', 'bpm_status', '流程状态', NULL, '0', '1', '1', 'string', '32', '0', '1', NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '17', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-19 15:35:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('422a44a15fa39fd57c3c23eb601f7c03', '56870166aba54ebfacb20ba6c770bd73', 'descc', '描述', NULL, '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2022-10-30 11:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:38:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('42cccfa014c9e131a0a1b23f563d3688', '402860816bff91c0016bffa220a9000b', 'sex', '性别', 'sex', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '6', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4312f618c83e07db82e468b81a1eaa45', '402860816bff91c0016bffa220a9000b', 'photo', '照片', 'photo', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '20', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('4355aaad8679a1adf8578b20310e93c1', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2021-01-24 14:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-24 14:38:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('435b57180fc995e3c4ec42516963bca3', '4028839a6de2ebd3016de2ebd3870000', 'wl_code', '物料编码', 'wl_code', '0', '1', '1', 'string', '60', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '6', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('44bdc595f1e565fc053e01134b92bb47', 'd3ae1c692b9640e0a091f8c46e17bb01', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2019-07-24 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('44dbe1930beffdb0c1d11f4ecabc6999', '9ab817fd4c2e4e7ba6652c4fa46af389', 'cc', '备注', NULL, '0', '1', '1', 'string', '1000', '0', NULL, NULL, NULL, NULL, 'textarea', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', 'admin', TO_DATE('2022-11-04 10:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-04 22:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('44e81e24d2384b0f187e8f69eda55390', '402860816bff91c0016bff91cda80003', 'create_time', '创建时间', 'create_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '10', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('45c0a1a89a1e2a72533b9af894be1011', '27fc5f91274344afa7673a732b279939', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2019-07-01 16:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-01 16:26:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9ceff249ef81ca6fa145456667c89051', '4adec929a6594108bef5b35ee9966e9f', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2020-04-10 19:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:35:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9d85bafa399f28a40e1de1eeef747223', '4028318169e81b970169e81b97650000', 'ip', 'IP', 'ip', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '7', NULL, NULL, TO_DATE('2019-04-04 19:28:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9d88e0661ed4b0969b7f0608a714b14a', '402881e6760269a20176026d25650002', 'create_time', '创建时间', 'create_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '13', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9d89ff1a019f41d80307652041490944', '32feeb502544416c9bf41329c10a88f4', 'name', '请假人', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2019-08-23 20:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-02 18:23:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9e50680eb4e79b3af352a5933d239dff', 'dbf4675875e14676a3f9a8b2b8941140', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2019-05-27 18:02:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a01a7fe5660206e6f407ed98b6c732d6', '402860816bff91c0016bff91cfea0004', 'phone', '联系方式', 'phone', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a029ecf9b943773bdf30a490e9922e45', '553a4172fde446419cb602dc70f9ee67', 'zdbxldx', '字典表下拉多选', NULL, '0', '1', '1', 'string', '255', '0', NULL, 'id', 'sys_depart', 'depart_name', 'list_multi', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '41', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a047f542fc3f1eb833593dfffdee5d5d', '553a4172fde446419cb602dc70f9ee67', 'popback', 'popback', NULL, '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '22', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a1a2d49b35c185df9f9e149b290aa277', '56efb74326e74064b60933f6f8af30ea', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2020-07-10 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:45:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a1f5daba36f536e7acf6a939826183b0', 'fb19fb067cd841f9ae93d4eb3b883dc0', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '0', NULL, NULL, TO_DATE('2019-03-23 11:39:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a2271c3d2b0b68d35a697958957f1f0e', '31cf57ac0ce04a34aff6aa15867d6d95', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a232d608434d15fcecd8a3f31a9044b2', '86bf17839a904636b7ed96201b2fa6ea', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2020-05-14 21:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:48:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a2baa3a18062f28e3d8a81178027f171', '402881fd812267500181226750e90000', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2022-06-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a3dea64c8009780e213d16c69704c030', '53a3e82b54b946c2b904f605875a275c', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '0', 'admin', TO_DATE('2022-10-25 11:10:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-07 22:49:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a45eba33810c485b9d8e6f70818a1dfa', '402860816aa5921f016aa5921f480000', 'bpm_status', '流程状态', 'bpm_status', '0', '1', '1', 'string', '50', '0', '1', 'bpm_status', NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2019-05-11 15:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a49126643acde263c484f59fdb38b158', '9ab817fd4c2e4e7ba6652c4fa46af389', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', 'admin', TO_DATE('2022-11-04 10:58:02', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-04 22:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a4e83c528933fc7d3a4230d4141a5a20', '553a4172fde446419cb602dc70f9ee67', 'dhwb', '多行文本框', NULL, '0', '1', '1', 'string', '250', '0', NULL, NULL, NULL, NULL, 'textarea', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '18', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a503e97dd837d1aac8496f90ab26a22e', '31cf57ac0ce04a34aff6aa15867d6d95', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a580da2ed71670c4763a048a3cbd8b53', '402885e9812f585201812f5852920000', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2022-06-04 23:32:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a6471d4fb3dbffef01dab1f7d452bb30', '27fc5f91274344afa7673a732b279939', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2019-07-01 16:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-01 16:26:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a6722b498602d7d7b5177b16789d8cc1', 'e5464aa8fa7b47c580e91593cf9b46dc', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2019-04-24 17:09:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a6c428d67bbad26f220794ddfc7c637d', 'b493c5fd4fa64a3a84e74ee171763e37', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2021-06-07 18:13:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a73c0c778af0d398760c67786df451ee', '402885e9812f585201812f5852920000', 'sex', '性别', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', NULL, NULL, TO_DATE('2022-06-04 23:32:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a7444c8c7be4fa4a0e18c65d9ea3de37', '553a4172fde446419cb602dc70f9ee67', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a76f561057ac9e43a8ca09e478a1eab8', '402860816bff91c0016bff91ca7e0002', 'update_time', '更新时间', 'update_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '12', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7154c75d754a5f88bef2b68829baf576', '4028318169e81b970169e81b97650000', 'operate_type', '操作类型', 'operate_type', '0', '1', '1', 'string', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '4', NULL, NULL, TO_DATE('2019-04-04 19:28:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('71afb00a1971125ecfa13b4dfa49665e', '402860816bff91c0016bff91cfea0004', 'order_no', '序号', 'order_no', '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '8', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('71d5b0675df5aba71688c9d7d75cccee', '4028318169e81b970169e81b97650000', 'log_type', '日志类型（1登录日志，2操作日志）', 'log_type', '0', '1', '1', 'string', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '2', NULL, NULL, TO_DATE('2019-04-04 19:28:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('71e9ab74dae687837365e50eed090591', '1acb6f81a1d9439da6cc4e868617b565', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7280c56a210e6a47794fda855d0c6abb', 'fbc35f067da94a70adb622ddba259352', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2019-07-03 19:44:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('72e784af5c47bbbc0534b29bf656bd61', '4028839a6de2ebd3016de2ebd3870000', 'id', '主键', 'id', '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '1', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7365f05f551092716223d5d449efd8c7', 'beee191324fd40c1afec4fda18bd9d47', 'name', 'ss', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-04-13 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-13 13:40:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('73d3b57df0c6cf15c21970f4dd979319', '402880e5721355dd01721355dd390000', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2020-05-14 21:18:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('73dc6089556f3446e39d42df3dedb2db', '402880e570a5d7000170a5d700f50000', 'num', '数量', NULL, '0', '1', '1', 'int', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', 'n', '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', NULL, NULL, TO_DATE('2020-03-04 21:58:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('742329ccdb185cf5d3e0b5b0c05dcffa', '402860816bff91c0016bffa220a9000b', 'interest', '兴趣爱好', 'interest', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '34', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('744444a7ada3bbb05c6b114b5ba0d477', '402860816aa5921f016aa5dedcb90009', 'id', 'id', 'id', '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '1', 'admin', TO_DATE('2019-05-11 15:56:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:50:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('74af99545de724a4abd2022581a36026', 'fb7125a344a649b990c12949945cb6c1', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2019-03-26 19:24:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-26 19:01:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('756b07656386dbd91245f7ffda32ae61', '402860816bff91c0016bff91d8830007', 'id', 'id', 'id', '1', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '1', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('75841fa7c75ebdc94655bd5e44fbc9f6', '402860816bff91c0016bffa220a9000b', 'native_place', '籍贯', 'native_place', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '10', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('75ba781c67711bed71bba1c3e3c68e11', '8994f2817b5a45d9890aa04497a317c5', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '0', NULL, NULL, TO_DATE('2019-03-23 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('75e82f151e8cc12455f7f0d25bf4dac0', '4028839a6de2ebd3016de2ebd3870000', 'wl_name', '物料名称', 'wl_name', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '7', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7639c1bc4327f1f674ffeab2ca261134', '32f75e4043ef4070919dbd4337186a3d', 'update_by', '更新人登录名称', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2019-04-11 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-27 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('766ca866b72d118f5d8883de46a8c043', '4028839a6de2ebd3016de2ebd3870000', 'supplier', '供应商', 'supplier', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '15', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('76c64fdb02faecd86c817cbb58d293c2', '402881e6760269a201760269a2af0000', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('773910592db75466ccb080797cd66e7a', '553a4172fde446419cb602dc70f9ee67', 'price', '单价', NULL, '0', '1', '1', 'BigDecimal', '10', '2', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7750ea46d98233d93c0be7069bb0fd34', '402885e9812f585201812f5852920000', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2022-06-04 23:32:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('78a40344207c791b8d7ac7de721ce1c4', '79091e8277c744158530321513119c68', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2019-05-11 15:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('78eb7e3b77cd49f9acb9b024cfe834e1', '402860816aa5921f016aa5dedcb90009', 'create_time', '创建日期', 'create_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '3', 'admin', TO_DATE('2019-05-11 15:56:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:50:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('78fd804d93dc716fd8c2ccc45f788565', 'fb7125a344a649b990c12949945cb6c1', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2019-03-26 19:24:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-26 19:01:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('790c9f3dba773ed9a6ea3ad627393f57', '402860816bff91c0016bffa220a9000b', 'archives_location', '档案所在地', 'archives_location', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '36', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7a665ed90ef64b4d65632c941e5795b2', '4b556f0168f64976a3d20bfb932bc798', 'sex', '性别', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2019-04-12 23:38:29', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7a697e4053445f07ad1a56a246f593e7', '86bf17839a904636b7ed96201b2fa6ea', 'good_name', '商品名字', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2020-05-14 21:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:48:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7b4c181e4ebd76022f75535ed6fd9de3', '4adec929a6594108bef5b35ee9966e9f', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2020-04-10 19:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:35:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7b642d983ac06bfef91edde2c932dbe7', '1acb6f81a1d9439da6cc4e868617b565', 'xg_shangxian', '选购上限', NULL, '0', '1', '1', 'int', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '14', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7b6fe525c26b7085c13e32e94c90aff9', '553a4172fde446419cb602dc70f9ee67', 'province', '输入2到10位的字母', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', '^[a-z|A-Z]{2,10}$', '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '36', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7b849e57debfb889caea5e0fef09062b', 'beee191324fd40c1afec4fda18bd9d47', 'sex2', 'dd', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2019-04-13 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-13 13:40:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7beb639aa9ffda07edb5ce1e49c2287f', '402860816bff91c0016bff91d2810005', 'update_time', '更新时间', 'update_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '13', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7bf091da401b74d55b107fe9f930ea54', '4028839a6de2ebd3016de2ebd3870000', 'create_by', '创建人', 'create_by', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '2', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7c6aecc377816c69147f1193b17dfcc5', 'e9faf717024b4aae95cff224ae9b6d97', 'sex', '员工性别', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2019-07-03 18:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-03 18:22:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7c8c5f45cb994038a51febdb0112a995', '553a4172fde446419cb602dc70f9ee67', 'jycs', '唯一检验', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', 'only', '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '35', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7c8d8bdb8c80340305162a1b8c71930a', '31cf57ac0ce04a34aff6aa15867d6d95', 'salary', '薪资', NULL, '0', '1', '1', 'double', '10', '3', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '12', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7ca2ae42e686e917f766edd2570c5141', '553a4172fde446419cb602dc70f9ee67', 'shijian', '时间', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'time', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'group', NULL, NULL, '15', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7cadf4e0be0b173bb5b8d39613e25190', '402860816bff91c0016bffa220a9000b', 'residence_postcode', '户籍邮编', 'residence_postcode', '0', '1', '1', 'string', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '29', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7cce797000cec08416fb027d1a4013cb', '402881e6760269a20176026d25650002', 'sex', '性别 {男:1,女:2}', 'sex', '0', '1', '1', 'string', '2', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7cdbe0d563e15f3fb1fb32d996fe4ba7', '3d447fa919b64f6883a834036c14aa67', 'area', '区', NULL, '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2022-10-13 20:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-20 16:19:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7d107728408c21ece332406a21f2d692', '402860816bff91c0016bff91cfea0004', 'update_by', '更新人', 'update_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '11', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7d27d79157dff60f847d98cbc4e66e81', 'b493c5fd4fa64a3a84e74ee171763e37', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2021-06-07 18:13:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7d4a30a4163a86c3ed37a8c71ceacb3e', '31cf57ac0ce04a34aff6aa15867d6d95', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7e066f60680158d47b328ef519d80e49', 'beee191324fd40c1afec4fda18bd9d47', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2019-04-13 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-13 13:40:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7e331396f6e544ae801690cf475e7615', '402881e6760269a201760269a2af0000', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7e5013b8a3e970fdcef2b577829bfa83', '402881fd812267500181226750e90000', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2022-06-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7f10901c6ade3aa9d9ff46ed7039c70f', '1acb6f81a1d9439da6cc4e868617b565', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('7f610ecd480210d2d12ce6eb47f261f0', '402881fd812267500181226787d90001', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2022-06-02 11:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-02 11:13:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('809a9fafe0b79c9997de32cb6e831c6f', '05a3a30dada7411c9109306aa4117068', 'birthday', '生日', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2022-10-28 10:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-06 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8119d3de514092232935b038531828c5', '05a3a30dada7411c9109306aa4117068', 'sex', '性别', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2022-10-28 10:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-06 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('813a5ebf7335309c7edb3803f7e4b204', '402880e570a5d7000170a5d700f50000', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2020-03-04 21:58:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('817cc5e277e88164dffd4caee1169276', '56efb74326e74064b60933f6f8af30ea', 'remark', '备注', NULL, '0', '1', '1', 'string', '500', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2020-07-10 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:45:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('81ed9556c9fda1bbb46d94a53a6c90c7', '402860816bff91c0016bff91c0cb0000', 'depart_name', '部门名称', 'depart', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('81f06f6fc5eb58be87c98dee8e5d9c14', '31cf57ac0ce04a34aff6aa15867d6d95', 'dep_id', '部门', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'sel_depart', NULL, '120', NULL, '0', '{"multiSelect":false,"store": "orgCode"}', NULL, '0', '1', '1', '0', 'single', NULL, NULL, '16', 'admin', TO_DATE('2023-03-04 16:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('825e5e14598ac43d024b1b3989aee33d', '9ab817fd4c2e4e7ba6652c4fa46af389', 'birthday', '生日', NULL, '0', '1', '1', 'Date', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2022-11-04 10:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-04 22:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('82ac28d632eb5d75ce4bfb68459c58bc', '553a4172fde446419cb602dc70f9ee67', 'zddtjxlss', '字典表带条件下拉搜索', NULL, '0', '1', '1', 'string', '255', '0', NULL, 'username', 'sys_user where username like ''%a%''', 'realname', 'sel_search', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '46', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('83764a3d17590f5a69047295803eaa07', 'feea98637c2144caae7c5d56a815a245', 'cc', 'cc', NULL, '0', '1', '1', 'double', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', NULL, NULL, TO_DATE('2021-10-27 10:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('838622bc247b35606e95ddcc079f70f4', 'f9fb8bee1a64472889d077c757b9acc7', 'nn', 'nn', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2021-08-17 13:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-08-17 13:57:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('840343a59a8e705821d393506c2bc1fe', '402880e570a5d7000170a5d700f50000', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2020-03-04 21:58:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8419278effeb3a6531247fbfdb3b10e3', '402881e6760269a201760269a2af0000', 'user_sel', '选择用户', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'sel_user', NULL, '120', NULL, '0', NULL, '#{sysUserCode}', '0', '1', '1', '0', 'single', NULL, NULL, '18', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8422485e1cbf4455f9ded7d0af59379c', '402860816bff91c0016bff91cfea0004', 'to_time', '截止时间', 'to_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '4', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('843c14e8c8709eb13014303671192ae4', '402881fd812267500181226787d90001', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2022-06-02 11:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-02 11:13:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('844334fbd9dc9bd87682d7058ee65bcb', '553a4172fde446419cb602dc70f9ee67', 'mi_ma', '密码', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'password', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('845c70568d44a074f067d6d277950525', '402860816bff91c0016bffa220a9000b', 'entrytime', '入职时间', 'entrytime', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '23', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('845f20dcbcb3cae414387203a8c70f1d', '553a4172fde446419cb602dc70f9ee67', 'name', '用户名', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '1', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8529ddaed8d5f3d9084e873203d55cac', '402860816bff91c0016bffa220a9000b', 'marital_status', '婚姻状况', 'marital_status', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '24', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('856ee397107030b20081d412979e336a', '402885e9812f585201812f5852920000', 'birthday', '生日', NULL, '0', '1', '1', 'Date', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', NULL, NULL, TO_DATE('2022-06-04 23:32:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('857a0daa9cd8a058f2f15fc7c5fb3571', '402860816bff91c0016bffa220a9000b', 'email', '邮箱', 'email', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '17', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('85e43fa87074845f86cf52606a23a57c', 'b81de38db24047b497d476516f8a0865', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2020-02-24 14:56:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8652ca69a947fd4c961a3ac7c0fa252a', 'fb19fb067cd841f9ae93d4eb3b883dc0', 'create_by', '创建人登录名称', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2019-03-23 11:39:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('867b7947db161541ad7f4d0b2127d793', '553a4172fde446419cb602dc70f9ee67', 'tupian', '图片', NULL, '0', '1', '1', 'string', '250', '0', NULL, NULL, NULL, NULL, 'image', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '17', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('86bbafef5683674a736cf7241c458d44', '27fc5f91274344afa7673a732b279939', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2019-07-01 16:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-01 16:26:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('86c598da4f5a3dd3e82e1d9f38d06747', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2021-01-24 14:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-24 14:38:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('86d21d37e3a210a4204a88d154e1c48b', '402885e9812f585201812f5852920000', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '0', NULL, NULL, TO_DATE('2022-06-04 23:32:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('86e0f3a8f31c60698157f139ed993954', '402860816bff91c0016bffa220a9000b', 'having_reserve_funds', '是否有公积金', 'having_reserve_funds', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '33', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('86f29e9919766e0d1128263608c016a0', '997ee931515a4620bc30a9c1246429a9', 'type_name', '商品分类', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2020-05-03 00:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-03 00:56:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('873e2bb041b17bff77d3aca72900ea1b', '56870166aba54ebfacb20ba6c770bd73', 'order_code', '订单编码', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '${shop_order_num}', '1', '1', '1', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2022-10-30 11:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:38:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8756fbb5c23a0258e029e0cb3c0a045c', '402880e5721355dd01721355dd390000', 'price', '价格', NULL, '0', '1', '1', 'double', '10', '3', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', NULL, NULL, TO_DATE('2020-05-14 21:18:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('877391ae770a4ce2c95181ef410982ce', '4028318169e81b970169e81b97650000', 'request_param', '请求参数', 'request_param', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '10', NULL, NULL, TO_DATE('2019-04-04 19:28:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('87e82e3c723a6abb020122babdac6bd1', '8994f2817b5a45d9890aa04497a317c5', 'create_by', '创建人登录名称', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2019-03-23 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('87f7a2703c5850f0b063dd866d0e2917', '402860816bff91c0016bffa220a9000b', 'birthday', '出生日期', 'birthday', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('87fafe1a4a8a626e3875697574c19f15', '402860816bff91c0016bff91d2810005', 'sys_org_code', '组织机构编码', 'sys_org_code', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '14', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('883265736ad6db0c98a7517d1f4a2488', '402880eb71d52dc30171d52dc3a10000', 'main_id', '主表ID', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2020-05-02 19:37:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('88a12570e14c9f6f442e731ae5ad0eb1', 'beee191324fd40c1afec4fda18bd9d47', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2019-04-13 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-13 13:40:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('88de72456c03410c364c80095aaa96eb', 'd35109c3632c4952a19ecc094943dd71', 'pop', '弹窗', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '14', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-26 18:02:20', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('89370ae67e241fa5d1e47d22adeaca7b', '402880eb71d52dc30171d52dc3a10000', 'date', '日期', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '#{date}', '0', '1', '1', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2020-05-02 19:37:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('89ab9eedbac6141e7a0df6d37a3655d0', 'e67d26b610dd414c884c4dbb24e71ce3', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2019-04-24 11:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:02:57', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8a24fb45e2af120c253c8b61c0085f7a', '402860816bff91c0016bff91cda80003', 'sys_org_code', '组织机构编码', 'sys_org_code', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '13', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8a2f97fde739720e86fbcd3ce311c037', '09fd28e4b7184c1a9668496a5c496450', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2022-05-07 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:51:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8a6440c447ca97b1ceac40fa8576044e', '3b5e18da618247539481816995b6bf9f', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2020-07-11 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-07-11 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8a9d6bbbe45fd3539a8cb3ba2cee470a', '402881e6760269a201760269a2af0000', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8ac8a0c0087469a4e7579229ff17f273', 'e5464aa8fa7b47c580e91593cf9b46dc', 'jifen', '合计积分', NULL, '0', '1', '1', 'int', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2019-04-24 17:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8b0d9ecfe8d44282b973cd56bd99f1a8', '553a4172fde446419cb602dc70f9ee67', 'xiala', '字典下拉', NULL, '0', '1', '1', 'string', '50', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8bd4deadc9e96c1a6d7abd77033105f6', 'e67d26b610dd414c884c4dbb24e71ce3', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2019-04-24 11:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:02:57', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8c10f1728f8aa4f0a650af5a6856ccaa', 'f9fb8bee1a64472889d077c757b9acc7', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2021-08-17 13:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-08-17 13:57:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8c1b6fff73650b8650947c2a29c63492', '402881e6760269a201760269a2af0000', 'sex', '下拉框', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '1');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8c4f4e151639f85bdf4a53f988588dc9', '402881fd812267500181226787d90001', 'contents', '请假原因', NULL, '0', '1', '1', 'string', '500', '0', NULL, NULL, NULL, NULL, 'markdown', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2022-06-02 11:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-02 11:13:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8c6518fec11fc4769ba4eb770c9e00f7', '4028839a6de2ebd3016de2ebd3870000', 'integral_val', '积分值', 'integral_val', '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '11', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8ca56210938fbe649f840e505eb9fd41', '56870166aba54ebfacb20ba6c770bd73', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2022-10-30 11:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:38:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8e080f4ded1e3b2a1daa5b11eca4a0ff', '4adec929a6594108bef5b35ee9966e9f', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2020-04-10 19:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:35:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8e1212df6a94ed8f5102a327564e5af6', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'name', '分类名字', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2020-05-07 22:46:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8e131d4a438c907b3272474780be7603', '402880eb71d52dc30171d52dc3a10000', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '8', NULL, NULL, TO_DATE('2020-05-02 19:37:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8e1e4cb5c41ba685c48ebabf0aacc469', '402880eb71d61d3d0171d61d3de30000', 'name', '名称', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '#{sysUserName}', '0', '1', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-02 23:59:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8e4012b263d899531aac5227db147bda', '41de7884bf9a42b7a2c5918f9f765dff', 'sex', '性别', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'radio', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2022-11-23 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8ea43fd1e4ce82becee61b2f1e2e843f', '32feeb502544416c9bf41329c10a88f4', 'sex', '性别', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2019-08-23 20:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-02 18:23:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8f1d302868640b72cef52171a023a203', 'e9faf717024b4aae95cff224ae9b6d97', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2019-07-03 18:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-03 18:22:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8f3e6fb68179c690f748f3c541fb50f1', '7ea60a25fa27470e9080d6a921aabbd1', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2019-04-17 00:22:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8f6810b315b5101bea9d3de4d2400edd', '553a4172fde446419cb602dc70f9ee67', 'zddtjdx', '字典表带条件单选', NULL, '0', '1', '1', 'string', '255', '0', NULL, 'username', 'sys_user where username like ''%a%''', 'realname', 'radio', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '43', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('8fc0be84bed1216635c69af918e097ff', '402860816aa5921f016aa5dedcb90009', 'name', '并行会签标题', 'name', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '6', 'admin', TO_DATE('2019-05-11 15:56:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:50:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('903c33f7d18175a269b783cd4288216f', '402881e6760269a20176026d25650002', 'update_time', '修改时间', 'update_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '15', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('909b3de0c8a48a21ef8cf98eb4831689', '56efb74326e74064b60933f6f8af30ea', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2020-07-10 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:45:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('90a822b8a63bbbc1e9575c9f4e21e021', 'd35109c3632c4952a19ecc094943dd71', 'descc', '描述', NULL, '0', '1', '1', 'string', '500', '0', NULL, NULL, NULL, NULL, 'textarea', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-15 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('90f39a6e29dae2e1fbb59d7d605f7c09', '1acb6f81a1d9439da6cc4e868617b565', 'iz_valid', '启用状态', NULL, '0', '1', '1', 'string', '2', '0', NULL, 'air_china_valid', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('918b8d661e480624713ddcff1bdda4f4', '402881e6760269a20176026d25650002', 'birthday', '生日', 'birthday', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('91be98b96dea1528abc943f9f131fd16', '402880e570a5d7000170a5d700f50000', 'price', '价格', NULL, '0', '1', '1', 'double', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', 'n', '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2020-03-04 21:58:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('91f7cd9b59c0da033363f8a09b02ec96', '3d447fa919b64f6883a834036c14aa67', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2022-10-13 20:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-20 16:19:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('921cc5a92a79e1e21e9e631a1b7f3fbd', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2020-05-07 22:46:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9341a3b2a734d8c73455c136e1cac8ad', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:47:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9370c9304af30b8d29defe0a5ada6e5b', '62e29cdb81ac44d1a2d8ff89851b853d', 'DC_DDSA', 'DD', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2019-05-11 14:01:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9371f61d39c5d57ddb0a2db96b2e2412', '402860816bff91c0016bffa220a9000b', 'speciality', '专业', 'speciality', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '15', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('941ef1bddbf91fcd3a437a7a7dd347e7', 'feea98637c2144caae7c5d56a815a245', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2021-10-27 10:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('94314c4176aa2a81b20dce463578eb24', '31cf57ac0ce04a34aff6aa15867d6d95', 'remark', '备注', NULL, '0', '1', '1', 'string', '1000', '0', NULL, NULL, NULL, NULL, 'textarea', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('947174892512ea97fafde899d427ea7e', '402860816bff91c0016bff91c0cb0000', 'real_name', '姓名', 'real_name', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '4', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('94b8bf435175cc545366e11992280757', '32f75e4043ef4070919dbd4337186a3d', 'age', '年龄', NULL, '0', '1', '1', 'int', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2019-04-11 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-27 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('94e682cb802777fe4205536888f69353', '402860816bff91c0016bff91d2810005', 'create_by', '创建人', 'create_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '10', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('951c51699d728072d88196d30f7aad10', '4adec929a6594108bef5b35ee9966e9f', 'address', '地址', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '{{ demoFieldDefVal_getAddress() }}', '0', '1', '1', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2020-04-10 19:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:35:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('957386b500be42a200d6a56d54345392', 'deea5a8ec619460c9245ba85dbc59e80', 'num', '数量', NULL, '0', '1', '1', 'int', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', 'n', '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2020-05-03 01:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('960d2847922b61dadeb3518ef55fb0c1', '1acb6f81a1d9439da6cc4e868617b565', 'wl_name', '物料名称', NULL, '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('96299c1224b35ee352fdbaf24d69eee5', '31cf57ac0ce04a34aff6aa15867d6d95', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9665f02764774fdd77c19923d3ff3c3e', '4028318169e81b970169e81b97650000', 'cost_time', '耗时', 'cost_time', '0', '1', '1', 'string', '19', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '12', NULL, NULL, TO_DATE('2019-04-04 19:28:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('966a4988298d5cb0be47848735ce8cb7', '4028839a6de2ebd3016de2ebd3870000', 'xg_shangxian', '选购上限', 'xg_shangxian', '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '12', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9698964a9e06edf12fc88df976080984', '09fd28e4b7184c1a9668496a5c496450', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2022-05-07 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:51:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('96c585a4f71e5c38ed25b9741366365b', '402860816bff91c0016bff91c7010001', 'sys_org_code', '组织机构编码', 'sys_org_code', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '11', 'admin', TO_DATE('2019-07-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9765efa2cafde6d0ede2215848c9e80b', '32f75e4043ef4070919dbd4337186a3d', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '0', 'admin', TO_DATE('2019-04-11 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-27 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('978df3771e9d749cc42d4e6b43d86f93', '31cf57ac0ce04a34aff6aa15867d6d95', 'name', '用户名', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9874c79ce2e8663867d20ba4a5058ebd', '553a4172fde446419cb602dc70f9ee67', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '1', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '0', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('98e82cb1595609a3b42fa75c60ac1229', '402860816bff91c0016bff91d2810005', 'update_by', '更新人', 'update_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '12', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9914a0c84805e72c4b6075e36edb13f9', '402860816aa5921f016aa5921f480000', 'create_time', '创建时间', 'create_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '9', 'admin', TO_DATE('2019-05-11 15:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9920ecec9c9109fc6b93e86f8fdfa03b', '402860816bff91c0016bffa220a9000b', 'depart_name', '所在部门', 'depart_name', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'group', NULL, NULL, '2', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('99b43bbb23237815ebb74b12b4d7ea2f', '62e29cdb81ac44d1a2d8ff89851b853d', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2019-05-11 14:01:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9a462d83210cad30f0e12b98e8a172a7', '3b5e18da618247539481816995b6bf9f', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2020-07-11 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-07-11 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9a4dc8718000c30953a3923eb7db5096', '402880eb71d52dc30171d52dc3a10000', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2020-05-02 19:37:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9a579c506f75f75baf88352a5eb2c249', '1acb6f81a1d9439da6cc4e868617b565', 'bpm_status', '流程状态', NULL, '0', '1', '1', 'string', '2', '0', '1', 'bpm_status', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '1', '0', 'single', NULL, NULL, '16', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-07 16:54:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9a9516645cbc8147b23333fea76aa2bb', 'b81de38db24047b497d476516f8a0865', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2020-02-24 14:56:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9aa6738443d3d8a67cf50506199d15ad', 'cb2d8534a2f544bc9c618dd49da66336', 'aaae', 'aae', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', NULL, NULL, TO_DATE('2020-02-24 17:22:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9b66c6501baaef67b35bd41ba7a6a781', '402881fd812267500181226750e90000', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2022-06-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9bd056786694d67666f6924cc225b1a0', '3d447fa919b64f6883a834036c14aa67', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '0', 'admin', TO_DATE('2022-10-13 20:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-20 16:19:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9c40fb4db8afed3c682c6b8a732fd69d', 'e2faf977fdaf4b25a524f58c2441a51c', 'post', '用户岗位', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'post_code', 'air_china_post_materiel_main', 'post_name', 'sel_search', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2019-06-10 17:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 17:12:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('9cc60be30026301b9eafb8c310387f54', '402880e570a5d7000170a5d700f50000', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2020-03-04 21:58:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bd39cb237049ac60218b3f4dd844f30c', '402860816bff91c0016bffa220a9000b', 'current_address', '现居住地', 'current_address', '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '30', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bde81809057b1a4c974fa0f090501fdd', '402860816aa5921f016aa5dedcb90009', 'update_by', '更新人', 'update_by', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '4', 'admin', TO_DATE('2019-05-11 15:56:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:50:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bdea5b776a15897265c43e6ee44af2e1', '997ee931515a4620bc30a9c1246429a9', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2020-05-03 00:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-03 00:56:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('be3f8c157d8a1b40e6f7b836552a8095', '8994f2817b5a45d9890aa04497a317c5', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2019-03-23 11:39:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('be5eeda7d51dace73d3818bd8467b53b', '402860816bff91c0016bff91c0cb0000', 'update_time', '更新时间', 'update_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '15', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('be868eed386da3cfcf49ea9afcdadf11', 'd35109c3632c4952a19ecc094943dd71', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2022-10-30 11:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-15 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bec3082fc5f0f194be5cd72cc2866ff4', 'e5464aa8fa7b47c580e91593cf9b46dc', 'wl_name', '物料名字', NULL, '0', '1', '1', 'string', '200', '0', NULL, 'wl_code', 'air_china_materiel', 'wl_name', 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-04-24 17:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bed0bc67f570613eaa6a1bd8bcaaddcc', '4b556f0168f64976a3d20bfb932bc798', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2019-04-12 23:38:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bed95ca6dd6bb4b4f7cfd787313a0a4b', '402880e570a5d7000170a5d700f50000', 'product_name', '产品名字', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2020-03-04 21:58:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bef85fd2846dd7ffc42d747095557d14', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'date', '日期', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '#{date}', '0', '1', '1', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:47:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bf61aa04c5ca77ad54c764f8f8b2bdec', '402860816bff91c0016bff91d8830007', 'update_by', '更新人', 'update_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '12', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bfc2f19fae367f885adb8bd82a344391', '4028318169e81b970169e81b97650000', 'userid', '操作用户账号', 'userid', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '5', NULL, NULL, TO_DATE('2019-04-04 19:28:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bff39a86bd05656ee156b685e5187211', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2021-01-24 14:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-24 14:38:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c047ed2cead5bab0307967435f370936', '53a3e82b54b946c2b904f605875a275c', 'chuc_date', '出厂时间', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2022-10-25 11:10:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-07 22:49:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c08da9dc0325c441d89ae7378bcbf599', '553a4172fde446419cb602dc70f9ee67', 'zdbduoxuan', '字典表多选', NULL, '0', '1', '1', 'string', '255', '0', NULL, 'id', 'sys_depart', 'depart_name', 'checkbox', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '40', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c0c80f370e1d400fe670d8702c3b84da', '4adec929a6594108bef5b35ee9966e9f', 'address_param', '地址（传参）', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '{{ demoFieldDefVal_getAddress("昌平区") }}', '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2020-04-10 19:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:40:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c0d66c95773774e7ac1f2a88df307e7a', '402860816aa5921f016aa5921f480000', 'reason', '请假原因', 'reason', '0', '1', '1', 'string', '500', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '6', 'admin', TO_DATE('2019-05-11 15:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c13397048e7ba97e3686d1a6026116b6', '31cf57ac0ce04a34aff6aa15867d6d95', 'shengshiqu', '省市区', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'pca', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '20', 'admin', TO_DATE('2023-03-04 16:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c29216d975fee50af175bca8c664a475', 'e67d26b610dd414c884c4dbb24e71ce3', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2019-04-24 11:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:02:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c2ae3c798c9a74c53e7a6970075de85d', '31cf57ac0ce04a34aff6aa15867d6d95', 'pop_cc', '弹出报表', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'name', 'demo', 'pop_cc', 'popup', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '14', 'admin', TO_DATE('2023-03-04 16:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c2b9eae184afe56d59ea7940d77cfced', '4adec929a6594108bef5b35ee9966e9f', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', 'admin', TO_DATE('2020-04-10 19:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:35:57', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c311cca084580e5fd4b5a2e5b81c4cc5', '402881e6760269a20176026d25650002', 'email', '邮箱', 'email', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c382877700a9987f4bcc2deea9ee9daf', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:47:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c3d5f211ff18ff241fac97d31254173a', '402881fd812267500181226787d90001', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2022-06-02 11:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-02 11:13:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c43d87b6340c29c0c354aa9c579f387f', '32feeb502544416c9bf41329c10a88f4', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2019-08-23 20:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-02 18:23:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('dd3e1e13d7429807b83a00a090e060b7', '402860816bff91c0016bffa220a9000b', 'join_party_info', '入党（团）时间地点', 'join_party_info', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '26', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ddc302f84c75a5f056855c664b82202a', '402860816aa5921f016aa5921f480000', 'days', '请假天数', 'days', '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '3', 'admin', TO_DATE('2019-05-11 15:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ddcc14a2105588982b4ae657f2893d81', '32feeb502544416c9bf41329c10a88f4', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2019-08-23 20:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-02 18:23:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('de34e46a66def956437635585db427b7', 'cb2d8534a2f544bc9c618dd49da66336', 'dde', 'ee', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', NULL, NULL, TO_DATE('2020-02-24 17:22:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('de3a8a6b042b1821b3dcbd236fd82174', '402881e6760269a201760269a2af0000', 'pic', '图片', NULL, '0', '1', '1', 'string', '1000', '0', NULL, NULL, NULL, NULL, 'image', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '14', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('de8f510d358f499dcd966e97708f82d4', '997ee931515a4620bc30a9c1246429a9', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2020-05-03 00:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-03 00:56:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('dec74e7fe09a525cda36efd37e6c4dca', '553a4172fde446419cb602dc70f9ee67', 'zddtjxldx', '字典表带条件下拉多选', NULL, '0', '1', '1', 'string', '255', '0', NULL, 'username', 'sys_user where username like ''%a%''', 'realname', 'list_multi', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '45', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('dedb920a5e876e27eb144464209ebe1e', '27fc5f91274344afa7673a732b279939', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-07-01 16:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-01 16:26:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('df489194c6008f3bd21b2c1c11fde337', 'fb19fb067cd841f9ae93d4eb3b883dc0', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2019-03-23 11:39:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('df4c5e8411c102f02a6fe6727e858d55', '997ee931515a4620bc30a9c1246429a9', 'pic', '分类图片', NULL, '0', '1', '1', 'string', '500', '0', NULL, NULL, NULL, NULL, 'image', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2020-05-03 00:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-03 00:56:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('df58a7b1c3ed8f58a1994c0c0855db16', '4adec929a6594108bef5b35ee9966e9f', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '11', 'admin', TO_DATE('2020-04-10 19:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:35:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('dff586dae2bf4587a0b438cdbba0a5b9', 'b493c5fd4fa64a3a84e74ee171763e37', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2021-06-07 18:13:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e09b191e3c37f9c89ae2192c75220b89', 'b81de38db24047b497d476516f8a0865', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2020-02-24 14:56:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e0c5d6e483897d5c4e7894dc66dd1aff', '32feeb502544416c9bf41329c10a88f4', 'bpm_status', '流程状态', NULL, '0', '1', '1', 'string', '2', '0', NULL, 'bpm_status', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2019-08-23 20:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-02 18:23:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e24de426223dc0271a55eccc1d5457d0', '73162c3b8161413e8ecdca7eb288d0c9', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2019-07-01 14:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-06-10 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e26049cfca3941005e4a2ade0f06186d', '402885e9812f585201812f5852920000', 'rel_filed', '他表字段', NULL, '0', '1', '0', 'string', '32', '0', NULL, NULL, 'rel_user', 'price', 'link_table_field', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '12', NULL, NULL, TO_DATE('2022-10-13 20:05:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e268078ba97f9853b4e0d745c4a7e0b9', '402885e9812f585201812f5852920000', 'rel_user', '关联记录', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'id', 'ces_shop_goods$1', 'name,price,chuc_date', 'link_table', NULL, '120', NULL, '0', '{"showType":"card","multiSelect":false}', NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', NULL, NULL, TO_DATE('2022-10-13 20:05:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e2d73ccda7f10f5a1ccce3c48b1e699e', '402860816bff91c0016bffa220a9000b', 'residence_street', '户口所在街道', 'residence_street', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '27', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e350986acb670f247df30fe4a44e73df', '09fd28e4b7184c1a9668496a5c496450', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', 'admin', TO_DATE('2022-05-07 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:51:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e461b46a91d2f856d417fa32f4c4d887', 'f9fb8bee1a64472889d077c757b9acc7', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2021-08-17 13:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-08-17 13:57:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e48ebd15c6110e9eb753bdfc88c04683', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2021-01-24 14:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-24 14:38:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e4914fdff68ac72486ada105e6e9fa36', 'e9faf717024b4aae95cff224ae9b6d97', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2019-07-03 18:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-03 18:22:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e4a4c1d50b7b46678bc14fd5b90ee082', '73162c3b8161413e8ecdca7eb288d0c9', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2019-07-01 14:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-06-10 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c456753a9c83e55fa241c4ec72c00f86', '402880eb71d52dc30171d52dc3a10000', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2020-05-02 19:37:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c4d71528f3f45661b1a87841b7256204', '402880e5721355dd01721355dd390000', 'order_main_id', '订单ID', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '11', NULL, NULL, TO_DATE('2020-05-14 21:18:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c52711856d2e81ad1074265833f44328', 'b81de38db24047b497d476516f8a0865', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2020-02-24 14:56:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c596f7f9035c71f9d2d0206d14b0eee8', '402881e6760269a201760269a2af0000', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c59f39e7b3bb877398f16796b2cd7962', '997ee931515a4620bc30a9c1246429a9', 'pid', '父级节点', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '0', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2020-05-03 00:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-03 00:56:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c5a61724b3b1fdfd0eb39c361f22bafd', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2020-05-07 22:46:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c5dd2fc34ae825ebfced2ec74948654c', '402860816aa5921f016aa5921f480000', 'end_date', '请假结束时间', 'end_date', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '5', 'admin', TO_DATE('2019-05-11 15:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c5f6ea01a6523a60df153cc61dc92f4d', 'fbc35f067da94a70adb622ddba259352', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2019-07-03 19:44:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c6024742fbc62f2fc39992e6b59ac13d', '05a3a30dada7411c9109306aa4117068', 'age', '年龄', NULL, '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2022-10-28 10:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-06 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '1');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c6730e00df5efd77fedf181df29102de', '402860816bff91c0016bff91c7010001', 'update_by', '更新人', 'update_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '9', 'admin', TO_DATE('2019-07-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c71bd0a3ab8fd33632f23359bef14e97', '31cf57ac0ce04a34aff6aa15867d6d95', 'user_id', '用户', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'sel_user', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '15', 'admin', TO_DATE('2023-03-04 16:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c75a7cb0a21958aa7ca5442f66019669', 'e9faf717024b4aae95cff224ae9b6d97', 'depart', '所属部门', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2019-07-03 18:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-03 18:22:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c772ed9cbe2d1dc69e9ffa73d3487021', '4b556f0168f64976a3d20bfb932bc798', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2019-04-12 23:38:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c78cff7900496d917729787b5c704a5b', '9ab817fd4c2e4e7ba6652c4fa46af389', 'name', '名字', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2022-11-04 10:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-04 22:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c7e0a5c6e23e99ac9af5d3fcc33323f7', 'b493c5fd4fa64a3a84e74ee171763e37', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2021-06-07 18:13:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c7f1907e8e7aa373c6829263ca6322d0', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', 'admin', TO_DATE('2021-01-24 14:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-24 14:38:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c8027cf4f2483042445c89ba86c4e51f', '402880e5721355dd01721355dd390000', 'zong_price', '单品总价', NULL, '0', '1', '1', 'double', '10', '3', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', NULL, NULL, TO_DATE('2020-05-14 21:18:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c91b697b1bcd2be943fc746e2660bc9e', '402860816bff91c0016bff91d2810005', 'real_name', '姓名', 'real_name', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '3', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c962b89c893e2b8cf1a12c678ba12962', '553a4172fde446419cb602dc70f9ee67', 'zdbdx', '字典表单选', NULL, '0', '1', '1', 'string', '255', '0', NULL, 'id', 'sys_depart', 'depart_name', 'radio', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '39', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c988bd2b6125c01ceb3579a207dd8784', '3d447fa919b64f6883a834036c14aa67', 'city', '市', NULL, '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2022-10-13 20:58:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-20 16:19:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('c9b698d3f75aa780ee1eb67ef090b15b', '73162c3b8161413e8ecdca7eb288d0c9', 'wl_code', '物料编码', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2019-07-01 14:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-06-10 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ca68d935c875ba92c998a20fca314bed', '402881fd812267500181226787d90001', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '0', 'admin', TO_DATE('2022-06-02 11:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-02 11:13:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('caf5a071f2299c0f9ff2f3038d6d0fc6', '402860816bff91c0016bff91ca7e0002', 'update_by', '更新人', 'update_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '11', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('cb33a708b95e19085f8c9001d2d5c64c', 'e9faf717024b4aae95cff224ae9b6d97', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2019-07-03 18:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-03 18:22:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('cb50a5991ca29e617aa32e49e92c01e7', '09fd28e4b7184c1a9668496a5c496450', 'age', '年龄', NULL, '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2022-05-07 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:51:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('cb7da49a981a1b0acc5f7e8a0130bdcd', 'd35109c3632c4952a19ecc094943dd71', 'user_code', '用户编码', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '0', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 16:26:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('cb871284e845e26e88242a96fac9c576', '402860816bff91c0016bff91c7010001', 'order_no', '序号', 'order_no', '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '6', 'admin', TO_DATE('2019-07-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('cb883a4932f0fd3a80fcf27efd7d1f2d', 'f9fb8bee1a64472889d077c757b9acc7', 'sdf', 'sdf', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', 'admin', TO_DATE('2021-08-17 13:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-08-17 13:58:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('cc1ddc1304d3eb5d9a189da0a509ccd0', '32f75e4043ef4070919dbd4337186a3d', 'create_by', '创建人登录名称', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2019-04-11 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-27 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ccda49a8cea079c34f0034361d058c08', '09fd28e4b7184c1a9668496a5c496450', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2022-05-07 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:51:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ccf2f331af46ddc411b8039dd187621b', '4028839a6de2ebd3016de2ebd3870000', 'price', '单价', 'price', '0', '1', '1', 'double', '10', '2', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '10', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('cee3c1dbf67b4a7d9626b8032897a4c7', '402860816bff91c0016bff91d8830007', 'employee_id', '员工ID', 'employee_id', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', 'oa_employee_info', 'id', '2', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('cefb82e2168ab7e3aa57a7e9c3ca950e', '09fd28e4b7184c1a9668496a5c496450', 'order_main_id', '订单ID', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', 'ces_order_main', 'id', '12', 'admin', TO_DATE('2022-05-07 19:05:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:51:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('cf4c5a4c06ae6bac701edfeedfcd16aa', 'd3ae1c692b9640e0a091f8c46e17bb01', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2019-07-24 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('cfd0623c8f7a97e49ab1b176dbbe43da', '31cf57ac0ce04a34aff6aa15867d6d95', 'accc', '富文本', NULL, '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'umeditor', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '21', 'admin', TO_DATE('2023-03-04 16:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('cfeb6491427aec2b4db9694af867da23', 'e9faf717024b4aae95cff224ae9b6d97', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2019-07-03 18:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-03 18:22:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d04f619a5834ad212cc436a1c183f706', '9ab817fd4c2e4e7ba6652c4fa46af389', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2022-11-04 10:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-04 22:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d0559db07f05c870860f98313eb0f857', 'cb2d8534a2f544bc9c618dd49da66336', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2020-02-24 17:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:15:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d0d1be336726df9c41f2173f8886ba35', '997ee931515a4620bc30a9c1246429a9', 'has_child', '是否有子节点', NULL, '0', '1', '1', 'string', '3', '0', NULL, 'yn', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2020-05-03 00:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-03 00:56:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d11ce01cafc04f9430859c6c7688436d', '31cf57ac0ce04a34aff6aa15867d6d95', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '0', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d14e47befe47925b1440d584f4ca56fc', '09fd28e4b7184c1a9668496a5c496450', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2022-05-07 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:51:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d2551b70dc96a45a73b304bf755a996f', '402860816bff91c0016bff91d8830007', 'workplace', '工作单位', 'workplace', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '6', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d29dcdba14ea61808391fff2d927efea', '402860816bff91c0016bff91c0cb0000', 'work_summary', '工作总结', 'work_summary', '0', '1', '1', 'Text', '65535', '0', NULL, NULL, NULL, NULL, 'textarea', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '10', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d3a701472d27ca8435d6a781a597038d', 'deea5a8ec619460c9245ba85dbc59e80', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2020-05-03 01:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d3ba5f990e14f9a1a0bbf6aa4cfa26dc', '56efb74326e74064b60933f6f8af30ea', 'xd_date', '下单时间', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2020-07-10 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:45:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d44b89cc5f1828f7ceb9be196d549665', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'code', '编码', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '${order_num_rule_param}', '0', '1', '1', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:47:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d48bfd2a840f9b1d00bd3b5599dca0f0', '402860816bff91c0016bff91cda80003', 'post', '职务', 'post', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d4d8cae3cd9ea93e378fc14303eee105', 'd35109c3632c4952a19ecc094943dd71', 'create_by', '创建人登录名称', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2022-10-30 11:16:45', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-15 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d4dea775487aef5a7aea41791d3a65db', 'e5464aa8fa7b47c580e91593cf9b46dc', 'cycle_time', '发放周期(年)', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', 'admin', TO_DATE('2019-04-24 17:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 14:09:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d525e93aca3f1ec6c20a7ab058724e82', '553a4172fde446419cb602dc70f9ee67', 'danxuan', '字典单选', NULL, '0', '1', '1', 'string', '50', '0', NULL, 'sex', NULL, NULL, 'radio', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d52c79620e21128fb69b4e8628cf25cc', 'dbf4675875e14676a3f9a8b2b8941140', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2019-05-27 18:02:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d530ab1bc3c51e8249a506a25d1003c7', '79091e8277c744158530321513119c68', 'start_time', '会签发起时间', NULL, '0', '1', '1', 'Datetime', '32', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2019-05-11 15:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d53e70411c206efecb8dcd00174e907c', '62e29cdb81ac44d1a2d8ff89851b853d', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2019-05-11 14:01:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d5df0a35352ee960053686e959e9084b', '1acb6f81a1d9439da6cc4e868617b565', 'wl_unit', '计量单位', NULL, '0', '1', '1', 'string', '100', '0', NULL, 'air_china_unit', NULL, NULL, 'list_multi', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d6fad89f4f26d733291863c2dfbc5945', '27fc5f91274344afa7673a732b279939', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2019-07-01 16:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-01 16:26:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d7082454dac60103fdda3e00b6557d39', '402880eb71d52dc30171d52dc3a10000', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '9', NULL, NULL, TO_DATE('2020-05-02 19:37:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d766ea5809e2ec9ff2cdbcb18f610ab3', '7ea60a25fa27470e9080d6a921aabbd1', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2019-04-17 00:22:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d7c3b107f004cbc99dfe1fe6c79894d8', '402860816bff91c0016bffa220a9000b', 'social_insurance_type', '参加社保类型', 'social_insurance_type', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '35', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d8234b56acea1a752271a6c911dd91a0', '7ea60a25fa27470e9080d6a921aabbd1', 'age', '年龄', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2019-04-17 00:22:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d86909d794b01ad7fbb5e61d28b6603b', '73162c3b8161413e8ecdca7eb288d0c9', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-07-01 14:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-06-10 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d949d9157831c2fb7ba9f175081fe036', '402860816bff91c0016bff91cda80003', 'school', '学校', 'school', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '5', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d9d308feb95968dbb322c9bff0c18452', '32feeb502544416c9bf41329c10a88f4', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2019-08-23 20:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-02 18:23:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d9dde2f59bb148c6b7e95256acad8972', 'e67d26b610dd414c884c4dbb24e71ce3', 'post_name', '岗位名字', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2019-04-24 11:03:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:02:57', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d9e1ea7f448c5fbe7a4a7a5109a87138', '402881fd812267500181226750e90000', 'name', '商品名字', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2022-06-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d9f5a0b9f32f87c52634cdf2bd41abd6', '9ab817fd4c2e4e7ba6652c4fa46af389', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2022-11-04 10:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-04 22:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('d9f9ae6986cb85019a3a4030f62f4d1a', '402860816bff91c0016bff91cfea0004', 'employee_id', '员工ID', 'employee_id', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', 'oa_employee_info', 'id', '2', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('da397534e84567b4f94cca10b70b2d52', '553a4172fde446419cb602dc70f9ee67', 'zddtjxl', '字典表带条件下拉', NULL, '0', '1', '1', 'string', '255', '0', NULL, 'username', 'sys_user where username like ''%a%''', 'realname', 'list', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '42', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('db11e7fe2a76680e502007ad82fc08b9', '402881e6760269a20176026d25650002', 'name', '姓名', 'name', '0', '1', '1', 'string', '30', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('db1fb3e12385cb967b63420cfe97cde6', '402860816bff91c0016bff91cda80003', 'employee_id', '员工ID', 'employee_id', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', 'oa_employee_info', 'id', '2', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('db518071f3d42832d13a5132f82af9c2', '553a4172fde446419cb602dc70f9ee67', 'zddtjduox', '字典表带条件多选', NULL, '0', '1', '1', 'string', '255', '0', NULL, 'username', 'sys_user where username like ''%a%''', 'realname', 'checkbox', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '44', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('dbfc8f23823c4091f516635a464b3cc5', '402881e6760269a20176026d25650002', 'content', '个人简介', 'content', '0', '1', '1', 'string', '1000', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('dc2bec862a4f0d600751c632d246f0ed', '4028839a6de2ebd3016de2ebd3870000', 'update_time', '更新日期', 'update_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '5', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('dcce0f5c34c530e2903de9e16feb9dbf', '41de7884bf9a42b7a2c5918f9f765dff', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2022-11-23 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a7822f6e4cffb37fc0729cbd4cfd8655', '32f75e4043ef4070919dbd4337186a3d', 'name', '用户名', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2019-04-11 10:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-27 15:54:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a7b6ae09441ce36a14c7ce95f17a218e', '86bf17839a904636b7ed96201b2fa6ea', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2020-05-14 21:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:48:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a82ca42a76e9d2b8dae6d57dbb5edb54', 'deea5a8ec619460c9245ba85dbc59e80', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2020-05-03 01:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a83acbadb64ad5ba87a384dd6eea3117', 'f9fb8bee1a64472889d077c757b9acc7', 'ddd', 'dd', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2021-08-17 13:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-08-17 13:57:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a911f8fb8c3004c4573344b9a318b2fa', '402885e9812f585201812f5852920000', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2022-06-04 23:32:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a934e6c0c30f680569caab99f3f1a12a', '31cf57ac0ce04a34aff6aa15867d6d95', 'daa_type', '物料分类', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'cat_tree', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '22', 'admin', TO_DATE('2023-03-04 16:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a940adc4585fa3b5bd2114ea9abe8491', '402860816bff91c0016bff91ca7e0002', 'cert_level', '证书级别', 'cert_level', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '5', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a94f1d7da64f3aa35c32155ea00ccb2f', '402860816bff91c0016bffa220a9000b', 'id', 'id', 'id', '1', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '1', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a9780eace237a15f26931dd6a9ec02e9', '758334cb1e7445e2822b60e807aec4a3', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2019-10-18 18:02:09', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('a97fec2610584bebe5fda2ba538e3881', '402881fd812267500181226750e90000', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2022-06-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('aa07931514727913413880b7a2b76dcb', 'd3ae1c692b9640e0a091f8c46e17bb01', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2019-07-24 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('aa4780601419c21dabb6c42fc511e71c', '402860816bff91c0016bffa220a9000b', 'have_children', '有无子女', 'have_children', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '25', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('aa687ad6911c7797951276271bf9a85b', '5517e93b148a42a7b82d5f3f94542dcf', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2022-07-19 19:36:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ab10e0aa029ded2f4420a33420de225d', '1acb6f81a1d9439da6cc4e868617b565', 'wl_code', '物料编码', NULL, '0', '1', '1', 'string', '60', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ab1f880ba593f3757dac70e003945aa2', '402860816bff91c0016bff91c0cb0000', 'depart_id', '部门ID', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:38:45', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ab58f43f853fd1f65f83c22966883afb', 'beee191324fd40c1afec4fda18bd9d47', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2019-04-13 13:41:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-13 13:40:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ab7e46d1a9bd6fe87e6cd82140ce997b', '5517e93b148a42a7b82d5f3f94542dcf', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2022-07-19 19:36:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ab8e6f1cca421c5ce395a2c1fdfd2100', '32feeb502544416c9bf41329c10a88f4', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-08-23 20:03:40', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-02 18:23:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('abe61a8ddf966a979457b763329a537b', 'e5464aa8fa7b47c580e91593cf9b46dc', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2019-04-24 17:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ac91565da5fb8fe43a4da3dec660b25f', '402860816bff91c0016bff91c7010001', 'award_place', '获奖地点', 'award_place', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '4', 'admin', TO_DATE('2019-07-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('acff5c8aef3b6288b87fd91215012206', 'e5464aa8fa7b47c580e91593cf9b46dc', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2019-04-24 17:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ad061417d5b53c67975eb83657505218', '73162c3b8161413e8ecdca7eb288d0c9', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2019-07-01 14:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-06-10 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ad93762c6c4a1dd8331e5fa11215b568', 'e2faf977fdaf4b25a524f58c2441a51c', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2019-06-10 17:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 17:12:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ae31da96f38fc2941cb93d1bb1ab9431', 'deea5a8ec619460c9245ba85dbc59e80', 'product_name', '产品名字', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2020-05-03 01:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ae5c695de592058b66d4ea7e7285e055', '31cf57ac0ce04a34aff6aa15867d6d95', 'kai_guan', '开关', NULL, '0', '1', '1', 'string', '1', '0', NULL, NULL, NULL, NULL, 'switch', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '17', 'admin', TO_DATE('2023-03-04 16:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ae77bb317366622698c8ab9bf2325833', 'deea5a8ec619460c9245ba85dbc59e80', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2020-05-03 01:01:18', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ae9e686072c3c7f9b36bbc4be0fe1384', '402881e6760269a201760269a2af0000', 'name', '用户名', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '#{sysUserCode}', '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '1');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('aee804d5d92922378cac6d4ae9257680', '402881fd812267500181226750e90000', 'price', '价格', NULL, '0', '1', '1', 'BigDecimal', '10', '5', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', NULL, NULL, TO_DATE('2022-06-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('af0fe0df8b626129de62e22212732517', '402860816bff91c0016bff91cda80003', 'speciality', '专业', 'speciality', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '6', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('af6c582b902e2f2bf9930eba61ae7938', '73162c3b8161413e8ecdca7eb288d0c9', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2019-07-01 14:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-06-10 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('af7c5ec3c49673562319bd29d6ac169b', '553a4172fde446419cb602dc70f9ee67', 'duoxuan', '字典多选', NULL, '0', '1', '1', 'string', '50', '0', NULL, 'urgent_level', NULL, NULL, 'checkbox', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '11', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('afd3ef1d494a9b69d2c7a3cdde937f6f', '402860816bff91c0016bffa220a9000b', 'create_by', '创建人', 'create_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '39', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b01304904babd7479de2acfe8a77157f', '402860816aa5921f016aa5921f480000', 'id', 'ID', 'id', '1', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '1', 'admin', TO_DATE('2019-05-11 15:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b05b4cbb74f389a7376f51ed9fd97030', '402860816bff91c0016bff91d8830007', 'create_by', '创建人', 'create_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '10', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b0a06bdbefd304d81a1838d8d94deda9', '4b556f0168f64976a3d20bfb932bc798', 'name', '用户名', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2019-04-12 23:38:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b0a2c8d21782830ec6a2d16cc1231328', '402881e6760269a20176026d25650002', 'punch_time', '打卡时间', 'punch_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b0b1cf271dd6b221a902da2d2f8f889a', 'e9faf717024b4aae95cff224ae9b6d97', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2019-07-03 18:23:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-03 18:22:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b0dfd0f0c36ee46ef483c0c225956ac5', '402881e6760269a201760269a2af0000', 'checkbox', 'checkbox', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'checkbox', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '10', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b1876bcf1f48cb697b378d3d43ff06a4', '9ab817fd4c2e4e7ba6652c4fa46af389', 'age', '年龄', NULL, '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2022-11-04 10:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-04 22:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b18f96f96d979daa7336e81086ea2bc1', 'cb2d8534a2f544bc9c618dd49da66336', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2020-02-24 17:22:42', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-24 15:15:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b1fc6e2ca671b19e57b08a4f57fc2454', 'fb7125a344a649b990c12949945cb6c1', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2019-03-26 19:24:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-26 19:01:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b22694cf34ffb967b8717647816ad5df', 'e5464aa8fa7b47c580e91593cf9b46dc', 'fk_id', '外键', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', 'air_china_post_materiel_main', 'id', '15', 'admin', TO_DATE('2019-04-24 17:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 11:05:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b276facab025f9750b0aff391693cc4b', '402860816bff91c0016bff91c7010001', 'id', 'id', 'id', '1', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '1', 'admin', TO_DATE('2019-07-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b2b0cb30159639bb1190e150322b7541', '4028839a6de2ebd3016de2ebd3870000', 'wl_unit', '计量单位', 'wl_unit', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '14', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b3542d3e7908ed885ecc4ba9e7300705', '4b556f0168f64976a3d20bfb932bc798', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2019-04-12 23:38:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b3b61f9386eb2262919e0835e3c82eb9', '86bf17839a904636b7ed96201b2fa6ea', 'num', '数量', NULL, '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2020-05-14 21:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:48:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b3fce33f7760070f26580ac84aa9599f', '41de7884bf9a42b7a2c5918f9f765dff', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2022-11-23 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b47af4d937e55c6208939bac5378bfad', '62e29cdb81ac44d1a2d8ff89851b853d', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2019-05-11 14:01:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b4e4fe6774e9d7b5f72d2056b47d18ac', '5517e93b148a42a7b82d5f3f94542dcf', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2022-07-19 19:36:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b53203fc52d067bb4730dbcb7e496bd3', '56870166aba54ebfacb20ba6c770bd73', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '0', 'admin', TO_DATE('2022-10-30 11:16:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-20 11:38:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b5cfd3c9691a884430f3d9cd5ecb211f', 'e2faf977fdaf4b25a524f58c2441a51c', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2019-06-10 17:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 17:12:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b67d877c34a5b67299f8b011b7fc2254', '41de7884bf9a42b7a2c5918f9f765dff', 'order_id', '订单id', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', 'test_order_main', 'id', '10', 'admin', TO_DATE('2022-11-23 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b6874a05734cad8bd96ffd2f31f1ebca', '402860816bff91c0016bff91c7010001', 'create_by', '创建人', 'create_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2019-07-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b733fa73519603b22d401fabbf9e9781', '402860816bff91c0016bff91c0cb0000', 'hiredate', '入职时间', 'hiredate', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '5', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b7938e4518f9062ce62702cf45986e06', 'e2faf977fdaf4b25a524f58c2441a51c', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2019-06-10 17:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 17:12:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b7a1243aaa712e2c152c0c7a46f88683', '402860816bff91c0016bff91d8830007', 'age', '年龄', 'age', '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '5', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b7b311cf4483bd10a93a40891cc39a77', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'has_child', '是否有子节点', NULL, '0', '1', '1', 'string', '3', '0', NULL, 'yn', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '11', NULL, NULL, TO_DATE('2020-05-07 22:46:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b91258e3dc15b28c2e3f0d934e6e27e8', 'fb7125a344a649b990c12949945cb6c1', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '0', NULL, NULL, TO_DATE('2019-03-26 19:01:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b92572ae142f8dd5f2ac02fb45e6b2c1', 'e2faf977fdaf4b25a524f58c2441a51c', 'name', '用户名', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'realname,username', 'report_user', 'name,account', 'sel_search', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-06-10 17:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 17:12:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b9280db8eff6098287747f1c99ef170e', 'a2ca0c7297a8491ca849fc1a06c9efbf', 'age', 'age', NULL, '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2021-01-24 14:39:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-01-24 14:38:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b9a1e25a5636f5e61cd07a852a4d7770', '402881fd812267500181226750e90000', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2022-06-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('b9fbace24688c9c9a8c9be72c1d014e7', '402860816bff91c0016bffa220a9000b', 'phone', '电话', 'phone', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '18', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ba17414716b12b51c85f9d1f6f1e5787', 'd35109c3632c4952a19ecc094943dd71', 'chegnshi', '城市', NULL, '0', '1', '1', 'string', '300', '0', NULL, NULL, NULL, NULL, 'pca', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '13', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-26 16:54:45', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ba5f4b2affa94f36eda7f6f133db7ae3', '402860816bff91c0016bff91d2810005', 'workplace', '工作单位', 'workplace', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '6', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ba6f3e762d6e3ea1068a085ec2f7e501', '56efb74326e74064b60933f6f8af30ea', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2020-07-10 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:45:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('babdc0168d128f3656d00fdfb41a8073', '31cf57ac0ce04a34aff6aa15867d6d95', 'file2', '文件', 'file2', '0', '1', '1', 'string', '300', '0', NULL, NULL, NULL, NULL, 'file', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '18', 'admin', TO_DATE('2023-03-04 16:42:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bad02e68ea37bf387337516af84a1ddb', '73162c3b8161413e8ecdca7eb288d0c9', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2019-07-01 14:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-06-10 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bb44475e1d1738a19745bf9f3ebf9e40', '402860816bff91c0016bff91cfea0004', 'update_time', '更新时间', 'update_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '12', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bbbb38347b1a5340a1d293e455c632ce', 'fb19fb067cd841f9ae93d4eb3b883dc0', '3', '4', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2019-03-23 11:39:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bc648624ad14c826bbc6e9b23a2b9858', '402860816bff91c0016bff91ca7e0002', 'employee_id', '员工ID', 'employee_id', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', 'oa_employee_info', 'id', '2', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bc793fdbef9f6474425456c4eb9d197a', '402860816bff91c0016bff91cfea0004', 'witness', '证明人', 'references', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '6', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bc7df6f3cf49f670c36a3de25e25e715', '402860816bff91c0016bff91d2810005', 'order_no', '序号', 'order_no', '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '9', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bcc1f7cfabd386311a3c21e588022338', '553a4172fde446419cb602dc70f9ee67', 'fwb', '富文本', NULL, '0', '1', '1', 'Text', '0', '0', NULL, NULL, NULL, NULL, 'umeditor', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '0', '0', 'single', NULL, NULL, '26', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('bcf2f5d1390227cf0d9ddfbd6121161f', '402880eb71d61d3d0171d61d3de30000', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', 'admin', TO_DATE('2020-05-03 00:54:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-02 23:59:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e4d7f95340e73a54e8ff3f66b0613513', '56efb74326e74064b60933f6f8af30ea', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2020-07-10 16:53:27', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:45:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e50b4398731e06572c247993a0dcc38d', 'd35109c3632c4952a19ecc094943dd71', 'name', '用户名', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', '*', '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-15 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '1');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e53f53766d1f7718b3ee5eabe105b969', '402860816bff91c0016bffa220a9000b', 'social_insurance_time', '五险一金日期', 'social_insurance_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '38', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e60a8e496b0f7081dbfe4253b3218546', '402880eb71d61d3d0171d61d3de30000', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '10', 'admin', TO_DATE('2020-05-03 00:54:16', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-02 23:59:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e672d5974a06d5c37b3b4c94a6f29f96', '4028318169e81b970169e81b97650000', 'request_url', '请求路径', 'request_url', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '9', NULL, NULL, TO_DATE('2019-04-04 19:28:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e6bd2d4c533918a0b19e1d54a056582f', '41de7884bf9a42b7a2c5918f9f765dff', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2022-11-23 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e72ee3a352143281ccc3a823b25401c7', '402881fd812267500181226787d90001', 'sex', '性别', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2022-06-02 11:13:48', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-02 11:13:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e7aade12ca722b59c1ec681d14247ff8', '402860816bff91c0016bff91d8830007', 'sys_org_code', '组织机构编码', 'sys_org_code', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '14', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e7c367221181aa9d1fc395e09796be8d', '402880eb71d52dc30171d52dc3a10000', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2020-05-02 19:37:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e7ec6838aad8d2dd2e175886a7c6e14e', '402881e6760269a201760269a2af0000', 'sel_search', '下拉搜索', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'username', 'sys_user', 'username', 'sel_search', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '12', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e824c44d26034ad8eed32e22a3f69043', '402881e6760269a201760269a2af0000', 'ddd', 'DD类型', NULL, '0', '1', '1', 'double', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '20', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e845925368919482df6dac58e6ed708d', '402860816bff91c0016bff91d8830007', 'phone', '联系方式', 'phone', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '8', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e85295979d84bde27615a008d8bbadf1', '3b5e18da618247539481816995b6bf9f', 'sex', '性别', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2020-07-11 11:27:29', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-07-11 11:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e878e70574d0d6180c2f6f0d281c9262', '8d66ea41c7cc4ef9ab3aab9055657fc9', 'pid', '父级节点', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '0', '0', 'single', NULL, NULL, '10', NULL, NULL, TO_DATE('2020-05-07 22:46:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e88d328af34dd8a17f51437c52b68a2d', '402860816bff91c0016bff91cfea0004', 'create_by', '创建人', 'create_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '9', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e99cc08f4d88dd8f788399db8d448ee8', '62e29cdb81ac44d1a2d8ff89851b853d', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2019-05-11 14:01:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e9a45935d69f5fd91f0c6880e5e6cfa4', '402881e6760269a20176026d25650002', 'age', '年龄', 'age', '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e9b782461fc66dbc77df0400600868f7', '553a4172fde446419cb602dc70f9ee67', 'riqi', '日期', NULL, '0', '1', '1', 'Date', '50', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'group', NULL, NULL, '13', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('e9fb150adabaaacdd804b1953e6bad24', '05a3a30dada7411c9109306aa4117068', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2022-10-28 10:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-06 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ea309f9cd81ede7b9b36a1377a3a40d8', '997ee931515a4620bc30a9c1246429a9', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2020-05-03 00:57:44', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-03 00:56:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ea644c4c208739640933ba6e568045c1', 'e2faf977fdaf4b25a524f58c2441a51c', 'ruz_date', '入职时间', NULL, '0', '1', '1', 'Datetime', '32', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2019-06-10 17:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 17:12:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ea749346b5eb9e70df2058ade2b0bbfa', '402881e6760269a201760269a2af0000', 'fuwenb', '富文本', NULL, '0', '1', '1', 'Text', '0', '0', NULL, NULL, NULL, NULL, 'umeditor', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '17', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ea96d1c33f0f0d7245045e70a5793257', '402860816bff91c0016bffa220a9000b', 'current_postcode', '现居住地邮编', 'current_postcode', '0', '1', '1', 'string', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '31', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('eb1d4b15efc32b81ec5e486f73b5ef24', '41de7884bf9a42b7a2c5918f9f765dff', 'birthday', '生日', NULL, '0', '1', '1', 'Date', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2022-11-23 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ebc41362681919cc680fcc58bf87fdcb', '1acb6f81a1d9439da6cc4e868617b565', 'price', '单价', NULL, '0', '1', '1', 'double', '10', '2', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '12', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ec20e66d5eb9b8b7f58de9edc0f7630b', '1acb6f81a1d9439da6cc4e868617b565', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ec5e9cb5809b2f8ce1446df4a27693f0', '27fc5f91274344afa7673a732b279939', 'name', '用户名', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2019-07-01 16:28:20', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-01 16:26:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ed16f23d08e7bcda11a1383fda68057e', '402860816bff91c0016bff91c7010001', 'employee_id', '员工ID', 'employee_id', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', 'oa_employee_info', 'id', '2', 'admin', TO_DATE('2019-07-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ed782e05f8646e0c1874663e48a76c34', '9ab817fd4c2e4e7ba6652c4fa46af389', 'sex', '性别', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2022-11-04 10:58:03', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-06-04 22:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('edaa8951735cedf29d6114354faaae67', '402881e6760269a201760269a2af0000', 'radio', 'radio', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'radio', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('edda30c64e1dccee510d40b77a8ca094', 'fb7125a344a649b990c12949945cb6c1', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2019-03-26 19:24:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-26 19:01:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ee09e0e21fa350b9346b70292dcfca00', '79091e8277c744158530321513119c68', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', 'admin', TO_DATE('2019-05-11 15:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ee4ffe04a25fcf556e78183f1f521546', '402860816aa5921f016aa5921f480000', 'create_by', '创建人id', 'create_by', '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '8', 'admin', TO_DATE('2019-05-11 15:31:54', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 14:26:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ee5803611f63643059b6375166d71567', '402860816bff91c0016bff91c7010001', 'create_time', '创建时间', 'create_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '8', 'admin', TO_DATE('2019-07-19 18:07:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('eec5bc01720642ccc635c7fc2e9b1eb8', '86bf17839a904636b7ed96201b2fa6ea', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2020-05-14 21:18:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:48:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('eee9edf9f4a525d9dd809e33f8effb3c', '402885e9812f585201812f5852920000', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2022-06-04 23:32:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ef81373c5fd7130d7e23859d90c9eb3e', '402860816bff91c0016bff91cda80003', 'from_time', '开始日期', 'from_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '3', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('efd1b955a75b5046e9857e00fe94ae2c', 'fbc35f067da94a70adb622ddba259352', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2019-07-03 19:44:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f015cc2ffdcc2c4be1e9b3622eb69b52', 'fbc35f067da94a70adb622ddba259352', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2019-07-03 19:44:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f06b2bb01ea1fae487b7e3c3eb521d5b', 'd3ae1c692b9640e0a091f8c46e17bb01', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2019-07-24 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f0967fd139b440f79f21248bf4e4a209', 'd3ae1c692b9640e0a091f8c46e17bb01', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2019-07-24 14:47:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f0a453930aa16ca32f2e3be860bfe542', '402860816bff91c0016bffa220a9000b', 'education', '学历', 'education', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '14', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f12753b4a3815697a72017a7436fe733', 'e2faf977fdaf4b25a524f58c2441a51c', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', 'admin', TO_DATE('2019-06-10 17:27:00', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 17:12:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f1ab7d3b55ade57eeac6c55b32ce813a', '1acb6f81a1d9439da6cc4e868617b565', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f1c7fde21f26c7ed64a0ef1095900c52', '4028318169e81b970169e81b97650000', 'request_type', '请求类型', 'request_type', '0', '1', '1', 'string', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '11', NULL, NULL, TO_DATE('2019-04-04 19:28:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f3284a1ce6da9b887dce89091eaa0f6b', '402880e570a5d7000170a5d700f50000', 'pro_type', '产品类型', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'sex', NULL, NULL, 'radio', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', NULL, NULL, TO_DATE('2020-03-04 21:58:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f38319e2add8da6a7223d77359144a22', '402880e5721355dd01721355dd390000', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2020-05-14 21:18:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f3a82b0b74e8feb37b423571c443357c', '553a4172fde446419cb602dc70f9ee67', 'kaiguan', '开关', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'switch', NULL, '120', NULL, '0', '[1,2]', NULL, '0', '1', '1', '0', 'single', NULL, NULL, '12', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f3c17d679978f0d375adde046536faa8', '553a4172fde446419cb602dc70f9ee67', 'popup', 'popup弹窗', NULL, '0', '1', '1', 'string', '100', '0', NULL, 'username,realname', 'report_user', 'popup,popback', 'popup', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '21', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f3e667a8ce3a81fc6bb658fc27ab24ff', '402885e9812f585201812f5852920000', 'age', '年龄', NULL, '0', '1', '1', 'int', '10', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2022-06-04 23:32:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f4647a91a4ac5d6d32bb0692b800bffe', '402860816bff91c0016bff91c0cb0000', 'probation_post', '试用期职位', 'probation_post', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '8', 'admin', TO_DATE('2019-07-19 18:09:01', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f4b0bc7f3d6562e28d7c5e2d56510ecd', 'e5464aa8fa7b47c580e91593cf9b46dc', 'first_num', '首次数量', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '8', 'admin', TO_DATE('2019-04-24 17:09:49', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-24 14:31:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f4df140776be0d014d768a3cabf13dbe', '553a4172fde446419cb602dc70f9ee67', 'zdbxl', '字典表下拉', NULL, '0', '1', '1', 'string', '255', '0', NULL, 'id', 'sys_depart', 'depart_name', 'list', NULL, '200', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '38', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f558359b06aea79a992c102ce3563a4d', '4028318169e81b970169e81b97650000', 'username', '操作用户名称', 'username', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '6', NULL, NULL, TO_DATE('2019-04-04 19:28:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f56d0d76ec8e3a1e8922b41b864dab73', 'b493c5fd4fa64a3a84e74ee171763e37', 'aa', 'aa', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2021-06-07 18:13:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f5d2475aec4b9016dfc0c8772e1704ea', '402880eb71d52dc30171d52dc3a10000', 'code', '编码', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, '${order_num_rule_param}', '0', '1', '1', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2020-05-02 19:37:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f6076d9c662a0adddb39a91cccb4c993', 'd35109c3632c4952a19ecc094943dd71', 'xiamuti', '下拉多选', NULL, '0', '1', '1', 'string', '100', '0', NULL, 'sex', NULL, NULL, 'list_multi', NULL, '120', NULL, '0', NULL, NULL, '1', '1', '1', '0', 'single', NULL, NULL, '16', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-11-26 18:02:20', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f6431abe33976df2491df14db01591fe', '402881e6760269a20176026d25650002', 'key_word', '关键词', 'key_word', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '3', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f6afcb7d8ea81879593ff737b55ddcc0', '402860816bff91c0016bff91cda80003', 'id', 'id', 'id', '1', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '1', 'admin', TO_DATE('2019-07-19 18:06:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f6f8aed87ec73994f6a12abbc079dbb1', '402860816bff91c0016bffa220a9000b', 'update_by', '更新人', 'update_by', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '41', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f7332af7586c83c87f7b9ea144a5292d', '62e29cdb81ac44d1a2d8ff89851b853d', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2019-05-11 14:01:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f76719783433487f4710232e2ae0e521', '402860816bff91c0016bff91cfea0004', 'id', 'id', 'id', '1', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'group', NULL, NULL, '1', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f7e7eb84ddc34d7e09d10af213ac6667', '402860816bff91c0016bff91d2810005', 'create_time', '创建时间', 'create_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '11', 'admin', TO_DATE('2019-07-19 18:05:55', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f7f84f3337548e36430f81640b028b41', '5517e93b148a42a7b82d5f3f94542dcf', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', NULL, NULL, TO_DATE('2022-07-19 19:36:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f81d7103c0c857e5c744cda2bc4c000a', '402860816bff91c0016bff91ca7e0002', 'cert_organizations', '发证机关', 'cert_organizations', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '6', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f82db8edef5babf741914b0fa221329b', '4028839a6de2ebd3016de2ebd3870000', 'bpm_status', '流程状态', 'bpm_status', '0', '1', '1', 'string', '2', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '16', NULL, NULL, TO_DATE('2019-10-19 15:29:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f857d4fd2d63c1ad94ed4698f5b173f5', '05a3a30dada7411c9109306aa4117068', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '0', 'admin', TO_DATE('2022-10-28 10:31:07', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-06 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f8a0fd20a1173270afdfed1129d5c669', '402860816bff91c0016bffa220a9000b', 'depart_id', '所在部门id', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '44', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-19 15:33:44', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f8cc6be747fec10802eb625ac529c16f', '402860816bff91c0016bff91cfea0004', 'create_time', '创建时间', 'create_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '10', 'admin', TO_DATE('2019-07-19 18:05:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f90bcb38fb89988bd40d1618aa75cea0', '758334cb1e7445e2822b60e807aec4a3', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2019-10-18 18:02:09', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f93dcb2aa091b8e1038019d8f07cbd3f', '402881e6760269a201760269a2af0000', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2020-11-26 10:37:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f94db83e41c69f407d3c9a81c5892269', '402860816bff91c0016bffa220a9000b', 'first_job_time', '首次工作时间', 'first_job_time', '0', '1', '1', 'Datetime', '0', '0', NULL, NULL, NULL, NULL, 'date', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '22', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('f95d2cbefd25444909c83aaf8c4f72fb', '402860816bff91c0016bff91ca7e0002', 'memo', '备注', 'memo', '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '7', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fa3a12d7abf72b23afe425f8dbd57f86', '1acb6f81a1d9439da6cc4e868617b565', 'size_type', '尺码类型', NULL, '0', '1', '1', 'string', '2', '0', NULL, 'air_china_size', NULL, NULL, 'list', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2019-06-10 14:47:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-04-23 22:58:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fa8f5a0ba673e0208934567462844eab', '402860816bff91c0016bff91ca7e0002', 'sys_org_code', '组织机构编码', 'sys_org_code', '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '13', 'admin', TO_DATE('2019-07-19 18:07:13', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('faaaca21b7b2b16089c885f3224e4dc5', '4fb8e12a697f4d5bbe9b9fb1e9009486', 'main_id', '主表ID', NULL, '0', '1', '1', 'string', '200', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', 'demo_field_def_val_main', 'id', '5', 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:47:55', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fafb32cf7e63bca93bbd70b0a0ea11fc', '758334cb1e7445e2822b60e807aec4a3', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2019-10-18 18:02:09', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fb56aeb6b3a5a0a974ef62f34727eea6', '402880e5721355dd01721355dd390000', 'sys_org_code', '所属部门', NULL, '0', '1', '1', 'string', '64', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '6', NULL, NULL, TO_DATE('2020-05-14 21:18:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fbf817e3eafd7d8935fc1154640c040c', 'f9fb8bee1a64472889d077c757b9acc7', 'create_time', '创建日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '3', 'admin', TO_DATE('2021-08-17 13:58:15', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2021-08-17 13:57:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fc22e67ed788a1f0b0fe4639ecb6f4c1', '553a4172fde446419cb602dc70f9ee67', 'ldzje', '联动组件二', NULL, '0', '1', '1', 'string', '255', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '30', 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fc55d467102c2c782286f546d7820c3d', '73162c3b8161413e8ecdca7eb288d0c9', 'pid', '父物料', NULL, '0', '1', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2019-07-01 14:23:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-06-10 15:18:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fc76a3832d232829852cae6c66e44f67', '402860816bff91c0016bffa220a9000b', 'identity_no', '身份证号', 'identity_no', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '21', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fcd519058d68fa4dab192335602b5d24', '402860816bff91c0016bffa220a9000b', 'real_name', '姓名', 'real_name', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '5', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fd0586cae06685959415d9017b2bdf49', '758334cb1e7445e2822b60e807aec4a3', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2019-10-18 18:02:09', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fd80c2874fb71c8fc7cff81fb3dae0fb', 'feea98637c2144caae7c5d56a815a245', 'create_by', '创建人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '2', NULL, NULL, TO_DATE('2021-10-27 10:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fde00160a5d664effaa4b5552e814e74', 'fb7125a344a649b990c12949945cb6c1', 'sex', '性别', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '6', 'admin', TO_DATE('2019-03-26 19:24:11', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-26 19:01:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fde3b676f66c20375136421a11743c3b', 'feea98637c2144caae7c5d56a815a245', 'update_time', '更新日期', NULL, '0', '1', '1', 'Datetime', '20', '0', NULL, NULL, NULL, NULL, 'datetime', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '5', NULL, NULL, TO_DATE('2021-10-27 10:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fe05080f0cd87dd11710b83ce77fefb7', '402881e6760269a20176026d25650002', 'id', '主键ID', 'id', '1', '0', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '1', NULL, NULL, TO_DATE('2020-11-26 10:41:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fed133a00f57245d4cfb02dd3c3ce7c1', '4adec929a6594108bef5b35ee9966e9f', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '9', 'admin', TO_DATE('2020-04-10 19:43:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-04-10 19:35:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('fef2add806c5e1ddd01c79c7e84f5a65', 'cb2d8534a2f544bc9c618dd49da66336', 'cc', 'cc', NULL, '0', '1', '1', 'string', '32', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', NULL, NULL, TO_DATE('2020-02-24 17:22:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ff2a099186b13d3ecb0764f7f22b1fbf', '09fd28e4b7184c1a9668496a5c496450', 'name', '客户名字', NULL, '0', '1', '1', 'string', '32', '0', NULL, 'realname,sex,birthday', 'tj_user_report', 'name,sex,birthday', 'popup', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '7', 'admin', TO_DATE('2022-05-07 19:05:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-08 23:51:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ff2b9d7e0493b78fa34188aa3a45231a', '41de7884bf9a42b7a2c5918f9f765dff', 'id', '主键', NULL, '1', '0', '1', 'string', '36', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '1', 'single', NULL, NULL, '0', 'admin', TO_DATE('2022-11-23 12:01:36', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 17:02:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ff49b468e54e137032f7e4d976b83b5a', '402860816bff91c0016bffa220a9000b', 'politically_status', '政治面貌', 'politically_status', '0', '1', '1', 'string', '20', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '8', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ff601f75d0e7ced226748eb8fba2c896', '402860816bff91c0016bff91d8830007', 'relation', '关系', 'relation', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '4', 'admin', TO_DATE('2019-07-19 18:04:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 18:54:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ffa7afa8b643eaf486f34852d415965b', '31cf57ac0ce04a34aff6aa15867d6d95', 'log_txt', '大文本', NULL, '0', '1', '1', 'Text', '0', '0', NULL, NULL, NULL, NULL, 'markdown', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'single', NULL, NULL, '13', 'admin', TO_DATE('2023-03-04 16:42:35', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, 'text', '0', NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ffacafee9fa46eb297ca3252f95acef9', '402860816bff91c0016bffa220a9000b', 'school', '毕业学校', 'school', '0', '1', '1', 'string', '100', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '1', '1', '0', 'group', NULL, NULL, '9', 'admin', TO_DATE('2019-07-22 16:15:32', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-07-17 19:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_FIELD" VALUES ('ffcbf379fffabbd13aa2c22ce565ec12', '79091e8277c744158530321513119c68', 'update_by', '更新人', NULL, '0', '1', '1', 'string', '50', '0', NULL, NULL, NULL, NULL, 'text', NULL, '120', NULL, '0', NULL, NULL, '0', '0', '0', '0', 'single', NULL, NULL, '4', 'admin', TO_DATE('2019-05-11 15:29:47', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-05-11 15:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for ONL_CGFORM_HEAD
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_CGFORM_HEAD";
CREATE TABLE "JEECGBOOT"."ONL_CGFORM_HEAD" (
  "ID" NVARCHAR2(32) NOT NULL,
  "TABLE_NAME" NVARCHAR2(50) NOT NULL,
  "TABLE_TYPE" NUMBER(11,0) NOT NULL,
  "TABLE_VERSION" NUMBER(11,0),
  "TABLE_TXT" NVARCHAR2(200) NOT NULL,
  "IS_CHECKBOX" NVARCHAR2(5) NOT NULL,
  "IS_DB_SYNCH" NVARCHAR2(20) NOT NULL,
  "IS_PAGE" NVARCHAR2(5) NOT NULL,
  "IS_TREE" NVARCHAR2(5) NOT NULL,
  "ID_SEQUENCE" NVARCHAR2(200),
  "ID_TYPE" NVARCHAR2(100),
  "QUERY_MODE" NVARCHAR2(10),
  "RELATION_TYPE" NUMBER(11,0),
  "SUB_TABLE_STR" NVARCHAR2(1000),
  "TAB_ORDER_NUM" NUMBER(11,0),
  "TREE_PARENT_ID_FIELD" NVARCHAR2(50),
  "TREE_ID_FIELD" NVARCHAR2(50),
  "TREE_FIELDNAME" NVARCHAR2(50),
  "FORM_CATEGORY" NVARCHAR2(50) NOT NULL,
  "FORM_TEMPLATE" NVARCHAR2(50),
  "FORM_TEMPLATE_MOBILE" NVARCHAR2(50),
  "SCROLL" NUMBER(11,0),
  "COPY_VERSION" NUMBER(11,0),
  "COPY_TYPE" NUMBER(11,0),
  "PHYSIC_ID" NVARCHAR2(32),
  "EXT_CONFIG_JSON" NVARCHAR2(1000),
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "THEME_TEMPLATE" NVARCHAR2(50),
  "IS_DES_FORM" NVARCHAR2(2),
  "DES_FORM_CODE" NVARCHAR2(50),
  "LOW_APP_ID" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."ID" IS '主键ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."TABLE_NAME" IS '表名';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."TABLE_TYPE" IS '表类型: 0单表、1主表、2附表';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."TABLE_VERSION" IS '表版本';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."TABLE_TXT" IS '表说明';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."IS_CHECKBOX" IS '是否带checkbox';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."IS_DB_SYNCH" IS '同步数据库状态';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."IS_PAGE" IS '是否分页';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."IS_TREE" IS '是否是树';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."ID_SEQUENCE" IS '主键生成序列';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."ID_TYPE" IS '主键类型';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."QUERY_MODE" IS '查询模式';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."RELATION_TYPE" IS '映射关系 0一对多  1一对一';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."SUB_TABLE_STR" IS '子表';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."TAB_ORDER_NUM" IS '附表排序序号';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."TREE_PARENT_ID_FIELD" IS '树形表单父id';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."TREE_ID_FIELD" IS '树表主键字段';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."TREE_FIELDNAME" IS '树开表单列字段';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."FORM_CATEGORY" IS '表单分类';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."FORM_TEMPLATE" IS 'PC表单模板';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."FORM_TEMPLATE_MOBILE" IS '表单模板样式(移动端)';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."SCROLL" IS '是否有横向滚动条';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."COPY_VERSION" IS '复制版本号';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."COPY_TYPE" IS '复制表类型1为复制表 0为原始表';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."PHYSIC_ID" IS '原始表ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."EXT_CONFIG_JSON" IS '扩展JSON';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."THEME_TEMPLATE" IS '主题模板';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."IS_DES_FORM" IS '是否用设计器表单';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."DES_FORM_CODE" IS '设计器表单编码';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_HEAD"."LOW_APP_ID" IS '关联的应用ID';

-- ----------------------------
-- Records of ONL_CGFORM_HEAD
-- ----------------------------
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('05a3a30dada7411c9109306aa4117068', 'test_note', '1', '15', '请假单@JS增强示例', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'temp', '1', NULL, '1', NULL, '0', NULL, '{"reportPrintShow":0,"reportPrintUrl":"","joinQuery":0,"modelFullscreen":0,"modalMinWidth":"","commentStatus":0}', 'admin', TO_DATE('2022-10-28 10:31:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-06 11:34:31', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', 'N', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('31cf57ac0ce04a34aff6aa15867d6d95', 'ceshi_note', '1', '16', '测试请假表', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'temp', '1', NULL, '1', NULL, '0', NULL, '{"reportPrintShow":0,"reportPrintUrl":"","joinQuery":0,"modelFullscreen":0,"modalMinWidth":"","commentStatus":0}', 'admin', TO_DATE('2023-03-04 16:42:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-29 16:45:49', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', 'N', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('3d447fa919b64f6883a834036c14aa67', 'test_enhance_select', '1', '6', '三级联动控件', 'N', 'Y', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'bdfl_include', '1', NULL, '0', NULL, '0', NULL, '{"reportPrintShow":0,"reportPrintUrl":"","joinQuery":0,"modelFullscreen":0,"modalMinWidth":"","commentStatus":0}', 'admin', TO_DATE('2022-10-13 20:58:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-20 16:19:00', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', 'N', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('402880e570a5d7000170a5d700f50000', 'test_order_product$1', '1', '11', '订单产品明细', 'N', 'N', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'bdfl_include', '1', NULL, '0', '1', '1', 'deea5a8ec619460c9245ba85dbc59e80', NULL, NULL, NULL, 'admin', TO_DATE('2020-03-04 21:58:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('402880e5721355dd01721355dd390000', 'ces_order_goods$1', '1', '1', '订单商品', 'Y', 'N', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'temp', '1', NULL, '1', '1', '1', '86bf17839a904636b7ed96201b2fa6ea', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-14 21:18:14', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('402880eb71d61d3d0171d61d3de30000', 'demo_field_def_val_sub$1', '1', '2', '示例：控件默认值（子表）', 'Y', 'N', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'demo', '1', NULL, '1', '1', '1', '4fb8e12a697f4d5bbe9b9fb1e9009486', NULL, 'admin', TO_DATE('2020-05-03 00:54:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 23:59:33', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('402881fd812267500181226750e90000', 'ces_shop_goods$1', '1', '1', '商品', 'Y', 'N', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'temp', '1', NULL, '1', '7', '1', '53a3e82b54b946c2b904f605875a275c', NULL, NULL, NULL, 'admin', TO_DATE('2022-06-02 11:13:25', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('402881fd812267500181226787d90001', 'test_note$1', '1', '2', '请假单@JS增强示例', 'Y', 'N', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'temp', '1', NULL, '1', '12', '1', '05a3a30dada7411c9109306aa4117068', '{"reportPrintShow":0,"reportPrintUrl":"","joinQuery":0,"modelFullscreen":0,"modalMinWidth":""}', 'admin', TO_DATE('2022-06-02 11:13:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-06-02 11:13:39', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', 'N', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('402885e9812f585201812f5852920000', 'v3_hello$1', '1', '1', '第一个表单', 'Y', 'N', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'temp', '1', NULL, '1', '3', '1', '9ab817fd4c2e4e7ba6652c4fa46af389', '{"reportPrintShow":0,"reportPrintUrl":"","joinQuery":0,"modelFullscreen":0,"modalMinWidth":""}', NULL, NULL, 'admin', TO_DATE('2022-06-04 23:32:06', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', 'N', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('41de7884bf9a42b7a2c5918f9f765dff', 'test_order_customer', '3', '9', '订单客户', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'single', '0', NULL, '2', NULL, NULL, NULL, 'temp', '1', NULL, '1', NULL, '0', NULL, '{"reportPrintShow":0,"reportPrintUrl":"","joinQuery":0,"modelFullscreen":0,"modalMinWidth":"","commentStatus":0}', 'admin', TO_DATE('2022-11-23 12:01:41', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-20 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', 'N', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('4adec929a6594108bef5b35ee9966e9f', 'demo_field_def_val_main', '2', '1', '示例：控件默认值（主表）', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'single', NULL, 'demo_field_def_val_sub', NULL, NULL, NULL, NULL, 'demo', '1', NULL, '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-04-10 19:35:57', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('4fb8e12a697f4d5bbe9b9fb1e9009486', 'demo_field_def_val_sub', '3', '2', '示例：控件默认值（子表）', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'group', '0', NULL, '1', NULL, NULL, NULL, 'demo', '1', NULL, '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2020-11-26 17:28:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-04-10 19:47:01', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('56870166aba54ebfacb20ba6c770bd73', 'test_order_main', '2', '33', '测试订单主表', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'single', NULL, 'test_order_product,test_order_customer', NULL, NULL, NULL, NULL, 'bdfl_include', '2', NULL, '0', NULL, '0', NULL, '{"reportPrintShow":0,"reportPrintUrl":"","tableFixedAction":0,"tableFixedActionType":"right","joinQuery":0,"modelFullscreen":0,"modalMinWidth":900,"commentStatus":0}', 'admin', TO_DATE('2022-11-23 12:01:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-20 11:38:39', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', 'N', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('997ee931515a4620bc30a9c1246429a9', 'test_shoptype_tree', '1', '2', '商品分类', 'Y', 'Y', 'Y', 'Y', NULL, 'UUID', 'single', NULL, NULL, NULL, 'pid', 'has_child', 'type_name', 'temp', '1', NULL, '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2020-05-03 00:57:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-03 00:56:56', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('9ab817fd4c2e4e7ba6652c4fa46af389', 'test_v3_hello', '1', '17', '第一个Vue3表单', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'single', NULL, NULL, NULL, NULL, NULL, NULL, 'temp', '1', NULL, '1', NULL, '0', NULL, '{"reportPrintShow":0,"reportPrintUrl":"","joinQuery":0,"modelFullscreen":0,"modalMinWidth":"","tableFixedAction":1,"tableFixedActionType":"right","commentStatus":1}', 'admin', TO_DATE('2022-11-07 11:42:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-06-04 22:53:38', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', 'N', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('d35109c3632c4952a19ecc094943dd71', 'test_demo', '1', '38', '测试用户表', 'Y', 'Y', 'Y', 'N', NULL, 'UUID', 'group', NULL, NULL, NULL, NULL, NULL, NULL, 'bdfl_include', '1', NULL, '0', NULL, '0', NULL, '{"reportPrintShow":0,"reportPrintUrl":"","tableFixedAction":0,"tableFixedActionType":"right","joinQuery":0,"modelFullscreen":0,"modalMinWidth":900,"commentStatus":0}', 'admin', TO_DATE('2022-10-30 11:16:46', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-15 14:24:35', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', 'N', NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGFORM_HEAD" VALUES ('deea5a8ec619460c9245ba85dbc59e80', 'test_order_product', '3', '12', '订单产品明细', 'N', 'Y', 'Y', 'N', NULL, 'UUID', 'single', '0', NULL, '1', NULL, NULL, NULL, 'bdfl_include', '1', NULL, '0', NULL, '0', NULL, NULL, 'admin', TO_DATE('2022-10-29 17:13:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-20 11:41:19', 'SYYYY-MM-DD HH24:MI:SS'), 'normal', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for ONL_CGFORM_INDEX
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_CGFORM_INDEX";
CREATE TABLE "JEECGBOOT"."ONL_CGFORM_INDEX" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CGFORM_HEAD_ID" NVARCHAR2(32),
  "INDEX_NAME" NVARCHAR2(100),
  "INDEX_FIELD" NVARCHAR2(500),
  "INDEX_TYPE" NVARCHAR2(32),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "IS_DB_SYNCH" NVARCHAR2(2),
  "DEL_FLAG" NUMBER(11,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_INDEX"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_INDEX"."CGFORM_HEAD_ID" IS '主表id';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_INDEX"."INDEX_NAME" IS '索引名称';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_INDEX"."INDEX_FIELD" IS '索引栏位';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_INDEX"."INDEX_TYPE" IS '索引类型';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_INDEX"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_INDEX"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_INDEX"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_INDEX"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_INDEX"."IS_DB_SYNCH" IS '是否同步数据库 N未同步 Y已同步';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGFORM_INDEX"."DEL_FLAG" IS '是否删除 0未删除 1删除';

-- ----------------------------
-- Records of ONL_CGFORM_INDEX
-- ----------------------------
INSERT INTO "JEECGBOOT"."ONL_CGFORM_INDEX" VALUES ('4731e321163d65e0e2cabf52c4a29937', '553a4172fde446419cb602dc70f9ee67', 'index_jycs', 'jycs', 'unique', 'admin', TO_DATE('2022-10-13 20:59:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 09:31:05', 'SYYYY-MM-DD HH24:MI:SS'), 'Y', '0');

-- ----------------------------
-- Table structure for ONL_CGREPORT_HEAD
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_CGREPORT_HEAD";
CREATE TABLE "JEECGBOOT"."ONL_CGREPORT_HEAD" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CODE" NVARCHAR2(100) NOT NULL,
  "NAME" NVARCHAR2(100) NOT NULL,
  "CGR_SQL" NVARCHAR2(1000) NOT NULL,
  "RETURN_VAL_FIELD" NVARCHAR2(100),
  "RETURN_TXT_FIELD" NVARCHAR2(100),
  "RETURN_TYPE" NVARCHAR2(2),
  "DB_SOURCE" NVARCHAR2(100),
  "CONTENT" NVARCHAR2(1000),
  "LOW_APP_ID" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "CREATE_BY" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."CODE" IS '报表编码';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."NAME" IS '报表名字';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."CGR_SQL" IS '报表SQL';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."RETURN_VAL_FIELD" IS '返回值字段';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."RETURN_TXT_FIELD" IS '返回文本字段';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."RETURN_TYPE" IS '返回类型，单选或多选';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."DB_SOURCE" IS '动态数据源';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."CONTENT" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."LOW_APP_ID" IS '关联的应用ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."UPDATE_BY" IS '修改人id';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_HEAD"."CREATE_BY" IS '创建人id';

-- ----------------------------
-- Records of ONL_CGREPORT_HEAD
-- ----------------------------
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_HEAD" VALUES ('1256627801873821698', 'report002', '统计登录每日登录次数', 'select DATE_FORMAT(create_time,  ''%Y-%m-%d'') as date,count(*) as num from sys_log group by DATE_FORMAT(create_time, ''%Y-%m-%d'')', NULL, NULL, '1', NULL, NULL, NULL, TO_DATE('2022-10-13 16:47:57', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-03 00:53:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_HEAD" VALUES ('1260179852088135681', 'tj_user_report', '统一有效系统用户', 'select id,realname,username,sex,birthday,avatar,phone,email from sys_user', NULL, NULL, '1', NULL, NULL, NULL, TO_DATE('2022-11-07 19:09:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-12 20:07:44', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_HEAD" VALUES ('1590154651759259649', 'withparamreport', '带参数报表', 'select * from demo where sex = ''${sex}''', NULL, NULL, '1', NULL, NULL, NULL, TO_DATE('2022-11-09 14:38:04', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_HEAD" VALUES ('6c7f59741c814347905a938f06ee003c', 'report_user', '统计在线用户', 'select realname,username,sex,birthday,avatar,phone,email from sys_user', NULL, NULL, '1', NULL, NULL, NULL, TO_DATE('2022-10-25 11:41:18', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-25 11:20:45', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_HEAD" VALUES ('87b55a515d3441b6b98e48e5b35474a6', 'demo', 'Report Demo', 'select * from demo', NULL, NULL, '1', NULL, NULL, NULL, TO_DATE('2020-05-03 01:14:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-12 11:25:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');

-- ----------------------------
-- Table structure for ONL_CGREPORT_ITEM
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_CGREPORT_ITEM";
CREATE TABLE "JEECGBOOT"."ONL_CGREPORT_ITEM" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CGRHEAD_ID" NVARCHAR2(36) NOT NULL,
  "FIELD_NAME" NVARCHAR2(36) NOT NULL,
  "FIELD_TXT" NVARCHAR2(300),
  "FIELD_WIDTH" NUMBER(11,0),
  "FIELD_TYPE" NVARCHAR2(10),
  "SEARCH_MODE" NVARCHAR2(10),
  "IS_ORDER" NUMBER(11,0),
  "IS_SEARCH" NUMBER(11,0),
  "DICT_CODE" NVARCHAR2(500),
  "FIELD_HREF" NVARCHAR2(120),
  "IS_SHOW" NUMBER(11,0),
  "ORDER_NUM" NUMBER(11,0),
  "REPLACE_VAL" NVARCHAR2(200),
  "IS_TOTAL" NVARCHAR2(2),
  "GROUP_TITLE" NVARCHAR2(50),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."CGRHEAD_ID" IS '报表ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."FIELD_NAME" IS '字段名字';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."FIELD_TXT" IS '字段文本';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."FIELD_TYPE" IS '字段类型';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."SEARCH_MODE" IS '查询模式';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."IS_ORDER" IS '是否排序  0否,1是';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."IS_SEARCH" IS '是否查询  0否,1是';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."DICT_CODE" IS '字典CODE';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."FIELD_HREF" IS '字段跳转URL';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."IS_SHOW" IS '是否显示  0否,1显示';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."ORDER_NUM" IS '排序';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."REPLACE_VAL" IS '取值表达式';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."IS_TOTAL" IS '是否合计 0否,1是（仅对数值有效）';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."GROUP_TITLE" IS '分组标题';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_ITEM"."UPDATE_TIME" IS '修改时间';

-- ----------------------------
-- Records of ONL_CGREPORT_ITEM
-- ----------------------------
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1256627802020622337', '1256627801873821698', 'date', '日期', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '0', NULL, NULL, NULL, 'admin', TO_DATE('2020-09-11 14:50:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1256627802075148289', '1256627801873821698', 'num', '登录次数', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '1', NULL, '1', NULL, 'admin', TO_DATE('2020-09-11 14:50:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1260179881129496577', '1260179852088135681', 'id', 'ID', NULL, 'String', NULL, '0', '0', NULL, NULL, '0', '0', NULL, NULL, NULL, 'admin', TO_DATE('2020-09-11 14:07:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1260179881129496578', '1260179852088135681', 'username', '账号', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '1', NULL, NULL, '用户信息', 'admin', TO_DATE('2020-09-11 14:07:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1260179881129496579', '1260179852088135681', 'realname', '用户名字', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '2', NULL, NULL, '用户信息', 'admin', TO_DATE('2020-09-11 14:07:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1260179881129496584', '1260179852088135681', 'sex', '性别', NULL, 'String', NULL, '0', '1', 'sex', NULL, '1', '3', NULL, NULL, '用户信息', 'admin', TO_DATE('2020-09-11 14:07:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1260179881129496585', '1260179852088135681', 'email', '邮箱', NULL, 'String', 'single', '0', '1', NULL, NULL, '1', '4', NULL, NULL, NULL, 'admin', TO_DATE('2020-09-11 14:07:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1260179881129496586', '1260179852088135681', 'phone', '电话', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '5', NULL, NULL, NULL, 'admin', TO_DATE('2020-09-11 14:07:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('15884396588465896672', '87b55a515d3441b6b98e48e5b35474a6', 'id', 'ID', NULL, 'String', NULL, '0', '0', NULL, NULL, '0', '1', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 01:14:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('15892858611256977947', '1260179852088135681', 'birthday', '生日', NULL, 'Date', NULL, '0', '0', NULL, NULL, '1', '6', NULL, NULL, NULL, 'admin', TO_DATE('2020-09-11 14:07:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651872505857', '1590154651759259649', 'id', 'id', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '0', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651876700162', '1590154651759259649', 'name', 'name', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '1', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651876700163', '1590154651759259649', 'key_word', 'key_word', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '2', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651876700164', '1590154651759259649', 'punch_time', 'punch_time', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '3', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651876700165', '1590154651759259649', 'salary_money', 'salary_money', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '4', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651876700166', '1590154651759259649', 'bonus_money', 'bonus_money', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '5', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651876700167', '1590154651759259649', 'sex', 'sex', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '6', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651885088769', '1590154651759259649', 'age', 'age', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '7', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651885088770', '1590154651759259649', 'birthday', 'birthday', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '8', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651885088771', '1590154651759259649', 'email', 'email', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '9', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651885088772', '1590154651759259649', 'content', 'content', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '10', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651885088773', '1590154651759259649', 'create_by', 'create_by', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '11', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651885088774', '1590154651759259649', 'create_time', 'create_time', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '12', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651885088775', '1590154651759259649', 'update_by', 'update_by', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '13', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651885088776', '1590154651759259649', 'update_time', 'update_time', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '14', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651893477378', '1590154651759259649', 'sys_org_code', 'sys_org_code', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '15', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1590154651893477379', '1590154651759259649', 'tenant_id', 'tenant_id', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '16', NULL, NULL, NULL, 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1740bb02519db90c44cb2cba8b755136', '6c7f59741c814347905a938f06ee003c', 'realname', '用户名称', NULL, 'String', NULL, '0', '0', NULL, 'https://www.baidu.com', '1', '0', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 02:35:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('1b181e6d2813bcb263adc39737f9df46', '87b55a515d3441b6b98e48e5b35474a6', 'name', '用户名', NULL, 'String', 'single', '0', '1', NULL, NULL, '1', '2', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 01:14:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('61ef5b323134938fdd07ad5e3ea16cd3', '87b55a515d3441b6b98e48e5b35474a6', 'key_word', '关键词', NULL, 'String', 'single', '0', '1', NULL, NULL, '1', '3', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 01:14:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('627768efd9ba2c41e905579048f21000', '6c7f59741c814347905a938f06ee003c', 'username', '用户账号', NULL, 'String', 'single', '0', '1', 'SELECT username value,  realname text FROM sys_user', NULL, '1', '1', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 02:35:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('8bb087a9aa2000bcae17a1b3f5768435', '6c7f59741c814347905a938f06ee003c', 'sex', '性别', NULL, 'String', 'single', '0', '1', 'sex', NULL, '1', '2', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 02:35:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('90d4fa57d301801abb26a9b86b6b94c4', '6c7f59741c814347905a938f06ee003c', 'birthday', '生日', NULL, 'Date', 'single', '0', '0', NULL, NULL, '1', '3', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 02:35:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('a4ac355f07a05218854e5f23e2930163', '6c7f59741c814347905a938f06ee003c', 'avatar', '头像', NULL, 'String', NULL, '0', '0', NULL, NULL, '0', '4', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 02:35:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('d6e86b5ffd096ddcc445c0f320a45004', '6c7f59741c814347905a938f06ee003c', 'phone', '手机号', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '5', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 02:35:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('df365cd357699eea96c29763d1dd7f9d', '6c7f59741c814347905a938f06ee003c', 'email', '邮箱', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '6', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 02:35:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('edf9932912b81ad01dd557d3d593a559', '87b55a515d3441b6b98e48e5b35474a6', 'age', '年龄', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '4', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 01:14:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('f985883e509a6faaaf62ca07fd24a73c', '87b55a515d3441b6b98e48e5b35474a6', 'birthday', '生日', NULL, 'Date', 'single', '0', '1', NULL, NULL, '1', '5', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 01:14:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_ITEM" VALUES ('fce83e4258de3e2f114ab3116397670c', '87b55a515d3441b6b98e48e5b35474a6', 'punch_time', '发布时间', NULL, 'String', NULL, '0', '0', NULL, NULL, '1', '6', NULL, NULL, NULL, 'admin', TO_DATE('2020-05-03 01:14:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);

-- ----------------------------
-- Table structure for ONL_CGREPORT_PARAM
-- ----------------------------
DROP TABLE "JEECGBOOT"."ONL_CGREPORT_PARAM";
CREATE TABLE "JEECGBOOT"."ONL_CGREPORT_PARAM" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CGRHEAD_ID" NVARCHAR2(36) NOT NULL,
  "PARAM_NAME" NVARCHAR2(32) NOT NULL,
  "PARAM_TXT" NVARCHAR2(32),
  "PARAM_VALUE" NVARCHAR2(32),
  "ORDER_NUM" NUMBER(11,0),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_PARAM"."CGRHEAD_ID" IS '动态报表ID';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_PARAM"."PARAM_NAME" IS '参数字段';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_PARAM"."PARAM_TXT" IS '参数文本';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_PARAM"."PARAM_VALUE" IS '参数默认值';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_PARAM"."ORDER_NUM" IS '排序';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_PARAM"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_PARAM"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_PARAM"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."ONL_CGREPORT_PARAM"."UPDATE_TIME" IS '更新日期';

-- ----------------------------
-- Records of ONL_CGREPORT_PARAM
-- ----------------------------
INSERT INTO "JEECGBOOT"."ONL_CGREPORT_PARAM" VALUES ('1590154651838951425', '1590154651759259649', 'sex', 'sex', NULL, '0', 'admin', TO_DATE('2022-11-09 09:29:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);

-- ----------------------------
-- Table structure for OSS_FILE
-- ----------------------------
DROP TABLE "JEECGBOOT"."OSS_FILE";
CREATE TABLE "JEECGBOOT"."OSS_FILE" (
  "ID" NVARCHAR2(32) NOT NULL,
  "FILE_NAME" NVARCHAR2(255),
  "URL" NVARCHAR2(1000),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."OSS_FILE"."ID" IS '主键id';
COMMENT ON COLUMN "JEECGBOOT"."OSS_FILE"."FILE_NAME" IS '文件名称';
COMMENT ON COLUMN "JEECGBOOT"."OSS_FILE"."URL" IS '文件地址';
COMMENT ON COLUMN "JEECGBOOT"."OSS_FILE"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."OSS_FILE"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."OSS_FILE"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."OSS_FILE"."UPDATE_TIME" IS '更新日期';
COMMENT ON TABLE "JEECGBOOT"."OSS_FILE" IS 'Oss File';

-- ----------------------------
-- Records of OSS_FILE
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_BLOB_TRIGGERS
-- ----------------------------
DROP TABLE "JEECGBOOT"."QRTZ_BLOB_TRIGGERS";
CREATE TABLE "JEECGBOOT"."QRTZ_BLOB_TRIGGERS" (
  "SCHED_NAME" VARCHAR2(120 BYTE) NOT NULL,
  "TRIGGER_NAME" VARCHAR2(200 BYTE) NOT NULL,
  "TRIGGER_GROUP" VARCHAR2(200 BYTE) NOT NULL,
  "BLOB_DATA" BLOB
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of QRTZ_BLOB_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_CALENDARS
-- ----------------------------
DROP TABLE "JEECGBOOT"."QRTZ_CALENDARS";
CREATE TABLE "JEECGBOOT"."QRTZ_CALENDARS" (
  "SCHED_NAME" VARCHAR2(120 BYTE) NOT NULL,
  "CALENDAR_NAME" VARCHAR2(200 BYTE) NOT NULL,
  "CALENDAR" BLOB NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of QRTZ_CALENDARS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_CRON_TRIGGERS
-- ----------------------------
DROP TABLE "JEECGBOOT"."QRTZ_CRON_TRIGGERS";
CREATE TABLE "JEECGBOOT"."QRTZ_CRON_TRIGGERS" (
  "SCHED_NAME" VARCHAR2(120 BYTE) NOT NULL,
  "TRIGGER_NAME" VARCHAR2(200 BYTE) NOT NULL,
  "TRIGGER_GROUP" VARCHAR2(200 BYTE) NOT NULL,
  "CRON_EXPRESSION" VARCHAR2(120 BYTE) NOT NULL,
  "TIME_ZONE_ID" VARCHAR2(80 BYTE)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of QRTZ_CRON_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_FIRED_TRIGGERS
-- ----------------------------
DROP TABLE "JEECGBOOT"."QRTZ_FIRED_TRIGGERS";
CREATE TABLE "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" (
  "SCHED_NAME" VARCHAR2(120 BYTE) NOT NULL,
  "ENTRY_ID" VARCHAR2(95 BYTE) NOT NULL,
  "TRIGGER_NAME" VARCHAR2(200 BYTE) NOT NULL,
  "TRIGGER_GROUP" VARCHAR2(200 BYTE) NOT NULL,
  "INSTANCE_NAME" VARCHAR2(200 BYTE) NOT NULL,
  "FIRED_TIME" NUMBER(13,0) NOT NULL,
  "SCHED_TIME" NUMBER(13,0) NOT NULL,
  "PRIORITY" NUMBER(13,0) NOT NULL,
  "STATE" VARCHAR2(16 BYTE) NOT NULL,
  "JOB_NAME" VARCHAR2(200 BYTE),
  "JOB_GROUP" VARCHAR2(200 BYTE),
  "IS_NONCONCURRENT" VARCHAR2(1 BYTE),
  "REQUESTS_RECOVERY" VARCHAR2(1 BYTE)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of QRTZ_FIRED_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_JOB_DETAILS
-- ----------------------------
DROP TABLE "JEECGBOOT"."QRTZ_JOB_DETAILS";
CREATE TABLE "JEECGBOOT"."QRTZ_JOB_DETAILS" (
  "SCHED_NAME" VARCHAR2(120 BYTE) NOT NULL,
  "JOB_NAME" VARCHAR2(200 BYTE) NOT NULL,
  "JOB_GROUP" VARCHAR2(200 BYTE) NOT NULL,
  "DESCRIPTION" VARCHAR2(250 BYTE),
  "JOB_CLASS_NAME" VARCHAR2(250 BYTE) NOT NULL,
  "IS_DURABLE" VARCHAR2(1 BYTE) NOT NULL,
  "IS_NONCONCURRENT" VARCHAR2(1 BYTE) NOT NULL,
  "IS_UPDATE_DATA" VARCHAR2(1 BYTE) NOT NULL,
  "REQUESTS_RECOVERY" VARCHAR2(1 BYTE) NOT NULL,
  "JOB_DATA" BLOB
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of QRTZ_JOB_DETAILS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_LOCKS
-- ----------------------------
DROP TABLE "JEECGBOOT"."QRTZ_LOCKS";
CREATE TABLE "JEECGBOOT"."QRTZ_LOCKS" (
  "SCHED_NAME" VARCHAR2(120 BYTE) NOT NULL,
  "LOCK_NAME" VARCHAR2(40 BYTE) NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of QRTZ_LOCKS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_PAUSED_TRIGGER_GRPS
-- ----------------------------
DROP TABLE "JEECGBOOT"."QRTZ_PAUSED_TRIGGER_GRPS";
CREATE TABLE "JEECGBOOT"."QRTZ_PAUSED_TRIGGER_GRPS" (
  "SCHED_NAME" VARCHAR2(120 BYTE) NOT NULL,
  "TRIGGER_GROUP" VARCHAR2(200 BYTE) NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of QRTZ_PAUSED_TRIGGER_GRPS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_SCHEDULER_STATE
-- ----------------------------
DROP TABLE "JEECGBOOT"."QRTZ_SCHEDULER_STATE";
CREATE TABLE "JEECGBOOT"."QRTZ_SCHEDULER_STATE" (
  "SCHED_NAME" VARCHAR2(120 BYTE) NOT NULL,
  "INSTANCE_NAME" VARCHAR2(200 BYTE) NOT NULL,
  "LAST_CHECKIN_TIME" NUMBER(13,0) NOT NULL,
  "CHECKIN_INTERVAL" NUMBER(13,0) NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of QRTZ_SCHEDULER_STATE
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_SIMPLE_TRIGGERS
-- ----------------------------
DROP TABLE "JEECGBOOT"."QRTZ_SIMPLE_TRIGGERS";
CREATE TABLE "JEECGBOOT"."QRTZ_SIMPLE_TRIGGERS" (
  "SCHED_NAME" VARCHAR2(120 BYTE) NOT NULL,
  "TRIGGER_NAME" VARCHAR2(200 BYTE) NOT NULL,
  "TRIGGER_GROUP" VARCHAR2(200 BYTE) NOT NULL,
  "REPEAT_COUNT" NUMBER(7,0) NOT NULL,
  "REPEAT_INTERVAL" NUMBER(12,0) NOT NULL,
  "TIMES_TRIGGERED" NUMBER(10,0) NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of QRTZ_SIMPLE_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_SIMPROP_TRIGGERS
-- ----------------------------
DROP TABLE "JEECGBOOT"."QRTZ_SIMPROP_TRIGGERS";
CREATE TABLE "JEECGBOOT"."QRTZ_SIMPROP_TRIGGERS" (
  "SCHED_NAME" VARCHAR2(120 BYTE) NOT NULL,
  "TRIGGER_NAME" VARCHAR2(200 BYTE) NOT NULL,
  "TRIGGER_GROUP" VARCHAR2(200 BYTE) NOT NULL,
  "STR_PROP_1" VARCHAR2(512 BYTE),
  "STR_PROP_2" VARCHAR2(512 BYTE),
  "STR_PROP_3" VARCHAR2(512 BYTE),
  "INT_PROP_1" NUMBER(10,0),
  "INT_PROP_2" NUMBER(10,0),
  "LONG_PROP_1" NUMBER(13,0),
  "LONG_PROP_2" NUMBER(13,0),
  "DEC_PROP_1" NUMBER(13,4),
  "DEC_PROP_2" NUMBER(13,4),
  "BOOL_PROP_1" VARCHAR2(1 BYTE),
  "BOOL_PROP_2" VARCHAR2(1 BYTE)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of QRTZ_SIMPROP_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for QRTZ_TRIGGERS
-- ----------------------------
DROP TABLE "JEECGBOOT"."QRTZ_TRIGGERS";
CREATE TABLE "JEECGBOOT"."QRTZ_TRIGGERS" (
  "SCHED_NAME" VARCHAR2(120 BYTE) NOT NULL,
  "TRIGGER_NAME" VARCHAR2(200 BYTE) NOT NULL,
  "TRIGGER_GROUP" VARCHAR2(200 BYTE) NOT NULL,
  "JOB_NAME" VARCHAR2(200 BYTE) NOT NULL,
  "JOB_GROUP" VARCHAR2(200 BYTE) NOT NULL,
  "DESCRIPTION" VARCHAR2(250 BYTE),
  "NEXT_FIRE_TIME" NUMBER(13,0),
  "PREV_FIRE_TIME" NUMBER(13,0),
  "PRIORITY" NUMBER(13,0),
  "TRIGGER_STATE" VARCHAR2(16 BYTE) NOT NULL,
  "TRIGGER_TYPE" VARCHAR2(8 BYTE) NOT NULL,
  "START_TIME" NUMBER(13,0) NOT NULL,
  "END_TIME" NUMBER(13,0),
  "CALENDAR_NAME" VARCHAR2(200 BYTE),
  "MISFIRE_INSTR" NUMBER(2,0),
  "JOB_DATA" BLOB
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of QRTZ_TRIGGERS
-- ----------------------------

-- ----------------------------
-- Table structure for REP_DEMO_DXTJ
-- ----------------------------
DROP TABLE "JEECGBOOT"."REP_DEMO_DXTJ";
CREATE TABLE "JEECGBOOT"."REP_DEMO_DXTJ" (
  "ID" NVARCHAR2(32) NOT NULL,
  "NAME" NVARCHAR2(50),
  "GTIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "JPHONE" NVARCHAR2(125),
  "BIRTH" DATE,
  "HUKOU" NVARCHAR2(32),
  "LADDRESS" NVARCHAR2(125),
  "JPERSON" NVARCHAR2(32),
  "SEX" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_DXTJ"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_DXTJ"."NAME" IS '姓名';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_DXTJ"."GTIME" IS '雇佣日期';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_DXTJ"."UPDATE_BY" IS '职务';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_DXTJ"."JPHONE" IS '家庭电话';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_DXTJ"."BIRTH" IS '出生日期';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_DXTJ"."HUKOU" IS '户口所在地';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_DXTJ"."LADDRESS" IS '联系地址';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_DXTJ"."JPERSON" IS '紧急联系人';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_DXTJ"."SEX" IS 'xingbie';

-- ----------------------------
-- Records of REP_DEMO_DXTJ
-- ----------------------------
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1338808084247613441', '张三', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', '18034596970', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1338809169074982920', '张小哲', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '2', '18034596971', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1338809448658898952', '闫妮', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '2', '18034596972', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1338809620973490184', '陌生', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '2', '18034596973', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1338809652606930952', '贺江', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '2', '18034596974', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '2');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1338809685200867336', '村子明', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '3', '18034596975', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '2');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1338809710203113481', '尚德', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '4', '18034596977', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1338809749470187528', '郑恺', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '4', '18034596978', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1338809774971555849', '未名园', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '4', '18034596970', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1338809805199904777', '韩寒', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '5', '18034596970', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1338809830017601544', '迪丽热拉', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '6', '18034596970', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1338809864356368393', '张一山', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '6', '18034596970', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1339160157602480137', '张三', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', '18034596970', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1339160157602480146', '张大大', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '2', '18034596971', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1339160157606674439', '郭美美', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '2', '18034596972', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1339160157606674448', '莫愁', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '2', '18034596973', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1339160157606674457', '鲁与', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '2', '18034596974', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '2');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1339160157606674466', '高尚', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '3', '18034596975', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '2');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1339160157606674475', '尚北京', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '4', '18034596977', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1339160157606674484', '杨颖花', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '4', '18034596978', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1339160157606674493', '李丽', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '4', '18034596970', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1339160157606674502', '韩露露', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '5', '18034596970', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1339160157606674511', '李凯泽', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '6', '18034596970', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_DXTJ" VALUES ('1339160157606674520', '王明阳', TO_DATE('2019-11-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '6', '18034596970', TO_DATE('1988-12-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '北京市朝阳区奥运村街道亚运村小区', '18034596972', '王亮', '1');

-- ----------------------------
-- Table structure for REP_DEMO_EMPLOYEE
-- ----------------------------
DROP TABLE "JEECGBOOT"."REP_DEMO_EMPLOYEE";
CREATE TABLE "JEECGBOOT"."REP_DEMO_EMPLOYEE" (
  "ID" NVARCHAR2(10) NOT NULL,
  "NUM" NVARCHAR2(50),
  "NAME" NVARCHAR2(100),
  "SEX" NVARCHAR2(10),
  "BIRTHDAY" DATE,
  "NATION" NVARCHAR2(30),
  "POLITICAL" NVARCHAR2(30),
  "NATIVE_PLACE" NVARCHAR2(30),
  "HEIGHT" NVARCHAR2(30),
  "WEIGHT" NVARCHAR2(30),
  "HEALTH" NVARCHAR2(30),
  "ID_CARD" NVARCHAR2(80),
  "EDUCATION" NVARCHAR2(30),
  "SCHOOL" NVARCHAR2(80),
  "MAJOR" NVARCHAR2(80),
  "ADDRESS" NVARCHAR2(100),
  "ZIP_CODE" NVARCHAR2(30),
  "EMAIL" NVARCHAR2(30),
  "PHONE" NVARCHAR2(30),
  "FOREIGN_LANGUAGE" NVARCHAR2(30),
  "FOREIGN_LANGUAGE_LEVEL" NVARCHAR2(30),
  "COMPUTER_LEVEL" NVARCHAR2(30),
  "GRADUATION_TIME" DATE,
  "ARRIVAL_TIME" DATE,
  "POSITIONAL_TITLES" NVARCHAR2(30),
  "EDUCATION_EXPERIENCE" NCLOB,
  "WORK_EXPERIENCE" NCLOB,
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "DEL_FLAG" NUMBER(4,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."NUM" IS '编号';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."NAME" IS '姓名';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."SEX" IS '性别';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."BIRTHDAY" IS '出生日期';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."NATION" IS '民族';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."POLITICAL" IS '政治面貌';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."NATIVE_PLACE" IS '籍贯';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."HEIGHT" IS '身高';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."WEIGHT" IS '体重';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."HEALTH" IS '健康状况';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."ID_CARD" IS '身份证号';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."EDUCATION" IS '学历';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."SCHOOL" IS '毕业学校';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."MAJOR" IS '专业';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."ADDRESS" IS '联系地址';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."ZIP_CODE" IS '邮编';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."EMAIL" IS 'Email';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."PHONE" IS '手机号';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."FOREIGN_LANGUAGE" IS '外语语种';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."FOREIGN_LANGUAGE_LEVEL" IS '外语水平';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."COMPUTER_LEVEL" IS '计算机水平';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."GRADUATION_TIME" IS '毕业时间';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."ARRIVAL_TIME" IS '到职时间';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."POSITIONAL_TITLES" IS '职称';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."EDUCATION_EXPERIENCE" IS '教育经历';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."WORK_EXPERIENCE" IS '工作经历';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_EMPLOYEE"."DEL_FLAG" IS '删除标识0-正常,1-已删除';

-- ----------------------------
-- Records of REP_DEMO_EMPLOYEE
-- ----------------------------
INSERT INTO "JEECGBOOT"."REP_DEMO_EMPLOYEE" VALUES ('1', '001', '张三', '男', TO_DATE('2000-02-04 13:36:19', 'SYYYY-MM-DD HH24:MI:SS'), '汉族', '团员', '北京', '170', '65', '良好', '110101200002044853', '大专', '北京科技', '计算机', '北京朝阳区', '1001', 'zhang@163.com', '18011111111', '英语', '三级', '三级', TO_DATE('2019-02-04 13:41:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-04 13:41:31', 'SYYYY-MM-DD HH24:MI:SS'), '项目经理', '2018年9月—2019年7月：北京语言文化大学比较文学研究所攻读博士学位，获得比较文学博士学位', '2019年5月---至今 XX公司     网络系统工程师  
2019年5月---至今 XX公司     网络系统工程师', NULL, TO_DATE('2020-02-04 15:18:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."REP_DEMO_EMPLOYEE" VALUES ('2', '002', '王红', '女', TO_DATE('2000-02-04 13:36:19', 'SYYYY-MM-DD HH24:MI:SS'), '汉族', '团员', '北京', '170', '65', '良好', '110101200002044853', '大专', '北京科技', '计算机', '北京朝阳区', '1001', 'zhang@163.com', '18011111111', '英语', '三级', '三级', TO_DATE('2019-02-04 13:41:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-02-04 13:41:31', 'SYYYY-MM-DD HH24:MI:SS'), '项目经理', '2018年9月—2019年7月：北京语言文化大学比较文学研究所攻读博士学位，获得比较文学博士学位', '2019年5月---至今 XX公司     网络系统工程师  
2019年5月---至今 XX公司     网络系统工程师', NULL, TO_DATE('2020-02-04 18:39:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);

-- ----------------------------
-- Table structure for REP_DEMO_GONGSI
-- ----------------------------
DROP TABLE "JEECGBOOT"."REP_DEMO_GONGSI";
CREATE TABLE "JEECGBOOT"."REP_DEMO_GONGSI" (
  "ID" NUMBER(11,0) NOT NULL,
  "GNAME" NVARCHAR2(125) NOT NULL,
  "GDATA" NVARCHAR2(255) NOT NULL,
  "TDATA" NVARCHAR2(125) NOT NULL,
  "DIDIAN" NVARCHAR2(255) NOT NULL,
  "ZHAIYAO" NVARCHAR2(255) NOT NULL,
  "NUM" NVARCHAR2(255) NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_GONGSI"."GNAME" IS '货品名称';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_GONGSI"."GDATA" IS '返利';
COMMENT ON COLUMN "JEECGBOOT"."REP_DEMO_GONGSI"."TDATA" IS '备注';

-- ----------------------------
-- Records of REP_DEMO_GONGSI
-- ----------------------------
INSERT INTO "JEECGBOOT"."REP_DEMO_GONGSI" VALUES ('1', '北京天山海世界', '2020-02-30 11:12:25', '2020-02-25', '天山大厦', '1', '2399845661');
INSERT INTO "JEECGBOOT"."REP_DEMO_GONGSI" VALUES ('2', 'dd天山海世界', '2020-02-30 11:12:25', '2020-02-25', '天山大厦', '1', '2399845661');

-- ----------------------------
-- Table structure for REP_DEMO_JIANPIAO
-- ----------------------------
DROP TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO";
CREATE TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO" (
  "ID" NUMBER(11,0) NOT NULL,
  "BNUM" NVARCHAR2(125) NOT NULL,
  "FTIME" NVARCHAR2(125) NOT NULL,
  "SFKONG" NVARCHAR2(125) NOT NULL,
  "KAISHI" NVARCHAR2(125) NOT NULL,
  "JIESHU" NVARCHAR2(125) NOT NULL,
  "HEZAIREN" NVARCHAR2(125) NOT NULL,
  "JPNUM" NVARCHAR2(125) NOT NULL,
  "SHIHELV" NVARCHAR2(125) NOT NULL,
  "S_ID" NUMBER(11,0) NOT NULL
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of REP_DEMO_JIANPIAO
-- ----------------------------
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('1', 'K7725', '21:13', '否', '秦皇岛', '邯郸', '300', '258', '86', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('2', 'k99', '16:55', '否', '包头', '广州', '800', '700', '88', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('3', 'G6737', '05:34', '否', '北京西', '邯郸东', '500', '256', '51', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('4', 'K7705', '07:03', '否', '北京', '邯郸', '400', '200', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('5', 'G437', '06:27', '否', '北京西', '兰州西', '800', '586', '73', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('6', 'G673', '06:32', '否', '北京西', '邯郸东', '300', '289', '87', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('7', 'G507', '06:43', '否', '北京西', '邯郸东', '300', '200', '67', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('8', 'G89', '06:53', '否', '北京西', '成都东', '800', '500', '62', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('9', 'K7712', '09:43', '否', '北京西', '西安北', '400', '200', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('10', 'G405', '10:05', '否', '北京西', '昆明南', '300', '200', '67', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('11', 'G6701', '10:38', '否', '北京西', '石家庄', '300', '200', '67', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('12', 'G487', '10:52', '否', '北京西', '南昌西', '800', '700', '88', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('13', 'G607', '11:14', '否', '北京西', '太原南', '400', '200', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('14', 'G667', '11:19', '否', '北京西', '西安北', '400', '200', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('15', 'Z49', '11:28', '否', '北京西', '成都', '400', '200', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('16', 'Z49', '11:28', '否', '北京西', '上海', '300', '200', '80', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('17', 'Z49', '11:56', '否', '北京西', '上海', '200', '180', '95', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('18', 'Z49', '11:36', '否', '北京南', '大晒', '200', '180', '96', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('19', 'Z123', '12:00', '否', '北京南', '重庆', '1000', '1000', '100', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('20', 'G78', '13:56', '否', '北京东', '厦门北', '800', '700', '90', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('21', 'G56', '18:36', '否', '上海西', '深圳', '800', '700', '90', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('22', 'H78', '12:00', '否', '上海', '北京西', '800', '700', '90', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('23', 'H78', '12:00', '否', '上海', '北京西', '800', '700', '90', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('24', 'H78', '12:00', '否', '上海', '北京西', '800', '700', '90', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('25', 'H78', '12:00', '否', '北京西', '南昌', '800', '700', '90', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('26', 'G70', '7:23', '是', '北京西', '厦门', '500', '450', '95', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('27', 'G14', '9:50', '是', '北京西', '上海', '800', '700', '95', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('28', 'G90', '8:30', '是', '北京南', '武昌', '1000', '1000', '100', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('29', 'G25', '7:56', '是', '厦门北', '福州', '500', '100', '20', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('30', 'G50', '14:23', '否', '北京西', '深圳', '500', '100', '20', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('31', 'G10', '13:00', '否', '北京西', '深圳', '500', '100', '20', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('32', 'G10', '13:00', '否', '北京西', '深圳', '500', '100', '20', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('33', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('34', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('35', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('36', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('37', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('38', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('39', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('40', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('41', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('42', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('43', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('44', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('45', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('46', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('47', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('48', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('49', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('50', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('51', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('52', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('53', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('54', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('55', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('56', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('57', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('58', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('59', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('60', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('61', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('62', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('63', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('64', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('65', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('66', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('67', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('68', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('69', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('70', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('71', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('72', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('73', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('74', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('75', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('76', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('77', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('78', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('79', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('80', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('81', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('82', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('83', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('84', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('85', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');
INSERT INTO "JEECGBOOT"."REP_DEMO_JIANPIAO" VALUES ('86', 'G10', '13:00', '否', '北京西', '深圳', '200', '100', '50', '1');

-- ----------------------------
-- Table structure for SYS_ANNOUNCEMENT
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_ANNOUNCEMENT";
CREATE TABLE "JEECGBOOT"."SYS_ANNOUNCEMENT" (
  "ID" NVARCHAR2(32) NOT NULL,
  "TITILE" NVARCHAR2(100),
  "MSG_CONTENT" NCLOB,
  "START_TIME" DATE,
  "END_TIME" DATE,
  "SENDER" NVARCHAR2(100),
  "PRIORITY" NVARCHAR2(255),
  "MSG_CATEGORY" NVARCHAR2(10) NOT NULL,
  "MSG_TYPE" NVARCHAR2(10),
  "SEND_STATUS" NVARCHAR2(10),
  "SEND_TIME" DATE,
  "CANCEL_TIME" DATE,
  "DEL_FLAG" NVARCHAR2(1),
  "BUS_TYPE" NVARCHAR2(20),
  "BUS_ID" NVARCHAR2(50),
  "OPEN_TYPE" NVARCHAR2(20),
  "OPEN_PAGE" NVARCHAR2(255),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "USER_IDS" NCLOB,
  "MSG_ABSTRACT" NCLOB,
  "DT_TASK_ID" NVARCHAR2(100),
  "TENANT_ID" NUMBER(11,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."TITILE" IS '标题';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."MSG_CONTENT" IS '内容';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."START_TIME" IS '开始时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."END_TIME" IS '结束时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."SENDER" IS '发布人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."PRIORITY" IS '优先级（L低，M中，H高）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."MSG_CATEGORY" IS '消息类型1:通知公告2:系统消息';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."MSG_TYPE" IS '通告对象类型（USER:指定用户，ALL:全体用户）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."SEND_STATUS" IS '发布状态（0未发布，1已发布，2已撤销）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."SEND_TIME" IS '发布时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."CANCEL_TIME" IS '撤销时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."DEL_FLAG" IS '删除状态（0，正常，1已删除）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."BUS_TYPE" IS '业务类型(email:邮件 bpm:流程)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."BUS_ID" IS '业务id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."OPEN_TYPE" IS '打开方式(组件：component 路由：url)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."OPEN_PAGE" IS '组件/路由 地址';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."USER_IDS" IS '指定用户';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."MSG_ABSTRACT" IS '摘要';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."DT_TASK_ID" IS '钉钉task_id，用于撤回消息';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT"."TENANT_ID" IS '租户ID';
COMMENT ON TABLE "JEECGBOOT"."SYS_ANNOUNCEMENT" IS '系统通告表';

-- ----------------------------
-- Records of SYS_ANNOUNCEMENT
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT" VALUES ('1256486502931722242', 'JeecgBoot 2.2.0版本发布', '<h5 id="h5_5" style="box-sizing: inherit; font-family: ''PingFang SC'', ''Helvetica Neue'', ''Microsoft YaHei UI'', ''Microsoft YaHei'', ''Noto Sans CJK SC'', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;">升级不兼容</h5>
<ul style="box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, ''Apple Color Emoji'', ''Segoe UI Emoji'', ''Segoe UI Symbol'', ''Segoe UI'', ''PingFang SC'', ''Hiragino Sans GB'', ''Microsoft YaHei'', ''Helvetica Neue'', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;">
<li style="box-sizing: inherit; line-height: 1.875em; margin-top: 0px;">1、升级 ant-design-vue 到最新版本 1.5.2，会导致使用disabled的组件不可用（需要全局替换disabled 为readOnly；另外原来readOnly不允许全小写）</li>
<li style="box-sizing: inherit; line-height: 1.875em;">2、JSearchSelectTag.vue行编辑的popup传参做了修改，需要全局替换 orgFieldse 为 orgFields</li>
<li style="box-sizing: inherit; line-height: 1.875em;">3、 项目删除了sass，全部换成 less，其中涉及/deep/语法得改造</li>
<li style="box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;">4、 Online表单的填值规则用法修改了&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" href="http://doc.jeecg.com/1630378">文档</a></li>
</ul>
<h5 id="h5_6" style="box-sizing: inherit; font-family: ''PingFang SC'', ''Helvetica Neue'', ''Microsoft YaHei UI'', ''Microsoft YaHei'', ''Noto Sans CJK SC'', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;">较大改造</h5>
<ul style="box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, ''Apple Color Emoji'', ''Segoe UI Emoji'', ''Segoe UI Symbol'', ''Segoe UI'', ''PingFang SC'', ''Hiragino Sans GB'', ''Microsoft YaHei'', ''Helvetica Neue'', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;">
<li style="box-sizing: inherit; line-height: 1.875em; margin-top: 0px;">登录的时候一次性加载系统字典，进行前端缓存，减少ajax重复请求</li>
<li style="box-sizing: inherit; line-height: 1.875em;">修改定时任务quartz配置</li>
<li style="box-sizing: inherit; line-height: 1.875em;">logback-spring.xml配置不按照日期和大小生成新日志文件问题修复</li>
<li style="box-sizing: inherit; line-height: 1.875em;">vue-cli3 编译打包进行zip压缩优化</li>
<li style="box-sizing: inherit; line-height: 1.875em;">根据index.html页面window._CONFIG[''domianURL'']，指定 axios的 baseURL（所以vue的代理没有用了）</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JEditableTable重构，新增获取值时应该把临时id去掉、行编辑修改不直接更改数据源的ID</li>
<li style="box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;">Online模块重点优化升级、Online代码生成器重点优化升级</li>
</ul>
<h5 id="h5_7" style="box-sizing: inherit; font-family: ''PingFang SC'', ''Helvetica Neue'', ''Microsoft YaHei UI'', ''Microsoft YaHei'', ''Noto Sans CJK SC'', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;">ONLINE升级</h5>
<ul style="box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, ''Apple Color Emoji'', ''Segoe UI Emoji'', ''Segoe UI Symbol'', ''Segoe UI'', ''PingFang SC'', ''Hiragino Sans GB'', ''Microsoft YaHei'', ''Helvetica Neue'', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;">
<li style="box-sizing: inherit; line-height: 1.875em; margin-top: 0px;">Online访问权限控制实现，如果online表单配置了菜单，则用户需要授权才能访问此表单</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单新增组件： 省市区地域组件、开关组件、三级联动(级联下拉)组件、markdown组件</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单弹窗宽度，根据不同的列数显示不同的宽度，实现更好的效果</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online 树表单功能一系列优化，比如数据列新增添加下级按钮功能、添加下级不自动展开列表等问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online JS增强编辑器支持放大，同时JS代码变更，增加版本记忆功能，方便追踪历史</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online JS增强支持lodash工具</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online控件 默认值表达式功能&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" href="http://doc.jeecg.com/1630378">文档</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online 增加Excel导入导出转换器配置，针对各种控件的导入导出做了统一处理</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online 列表字段排序支持配置</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online同步数据库，数据库兼容性优化（mysql、oracle11g、SqlServer2017）</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online功能列表，高级查询优化，丰富控件的支持（新增：用户选择、部门选择、时间等）</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单配置，类型Text、date、Blob的字段长度默认设置为0</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online自定义button，支持位置自定义（支持右侧和下方）</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单列表，列表显示那些字段，支持用户个性化设置</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单删除和移除逻辑优化，防止未同步情况下删除报错</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online上传逻辑重构，针对单表、一对多行操作，都支持图片和文件上传，同时支持三种模式（minio、阿里云、本地存储）</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online上传逻辑重构， 行编辑模式，支持图片顺序修改</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online上传逻辑重构，在列表页面支持图片和文件的展示</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单索引同步逻辑重构，同时支持选择多个字段，组合索引设置</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单 excel导出实现数据权限逻辑</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单列表强制列不换行，自动出现超出滚定条，支持移动端自适应（单表、树和ERP等模型都已修改）</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单管理列表，回车查询和列表左右拖动移动自适应问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单附表序号必填</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表名加校验不能全是数字，自动trim空格</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online 一对多tab必填校验不通过，添加友好提醒</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单控件默认值示例</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online一对多内嵌子表风格，高级查询不好用，过滤不了数据处理</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单 自定义校验规则正则，录入不成功问题处理</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单设置不分页，排序后又分页了问题处理</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单，下拉搜索组件，表字典配置加条件，下拉值出不来问题处理</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单，一对一子表，下拉选择、时间等组件被遮挡问题处理</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online表单树模型和一对多ERP模板支持href</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online 报表支持上下文变量表达式</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online 报表实现数据权限逻辑</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online 报表新增拖动字段顺序</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online 报表列表，sql过长截取显示</li>
<li style="box-sizing: inherit; line-height: 1.875em;">Online 报表，popup回车查询</li>
<li style="box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;">Online表单auto页面弹窗改成JModule；online表单移动自适应；</li>
</ul>
<h5 id="h5_8" style="box-sizing: inherit; font-family: ''PingFang SC'', ''Helvetica Neue'', ''Microsoft YaHei UI'', ''Microsoft YaHei'', ''Noto Sans CJK SC'', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;">Online代码生成器升级</h5>
<blockquote style="box-sizing: inherit; position: relative; margin: 0px 0px 20px; padding: 20px; background-color: #f6f6f6; border-left: 6px solid #e6e6e6; word-break: break-word; color: #333333; font-family: -apple-system, BlinkMacSystemFont, ''Apple Color Emoji'', ''Segoe UI Emoji'', ''Segoe UI Symbol'', ''Segoe UI'', ''PingFang SC'', ''Hiragino Sans GB'', ''Microsoft YaHei'', ''Helvetica Neue'', Helvetica, Arial, sans-serif; font-size: 16px;">
<p style="box-sizing: inherit; margin: 0px; line-height: inherit;">后期重点维护ONLINE模式的代码生成器，GUI模式逐步弃用。</p>
</blockquote>
<ul style="box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, ''Apple Color Emoji'', ''Segoe UI Emoji'', ''Segoe UI Symbol'', ''Segoe UI'', ''PingFang SC'', ''Hiragino Sans GB'', ''Microsoft YaHei'', ''Helvetica Neue'', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;">
<li style="box-sizing: inherit; line-height: 1.875em; margin-top: 0px;">新增内嵌Table代码生成器模板</li>
<li style="box-sizing: inherit; line-height: 1.875em;">升级代码生成器依赖，支持返回生成结果&amp;支持服务器端生成代码config</li>
<li style="box-sizing: inherit; line-height: 1.875em;">代码生成器列表，列表自适应优化，支持移动效果（强制列不换行，不过有弊端，<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" href="http://doc.jeecg.com/1607183">见文档</a>）</li>
<li style="box-sizing: inherit; line-height: 1.875em;">实体生成，自动带着swagger 注解（支持单表、一对多等模型）</li>
<li style="box-sizing: inherit; line-height: 1.875em;">代码生成器，列表移动自适应样式修改</li>
<li style="box-sizing: inherit; line-height: 1.875em;">生成后的代码导入导出bug修复</li>
<li style="box-sizing: inherit; line-height: 1.875em;">online树代码生成器模板，直接删除一级分类会导致列表乱</li>
<li style="box-sizing: inherit; line-height: 1.875em;">ERP代码生成器模板升级，子表支持导入导出</li>
<li style="box-sizing: inherit; line-height: 1.875em;">ERP风格代码生成器模板问题（导入导入路径错误、swagger注解问题）</li>
<li style="box-sizing: inherit; line-height: 1.875em;">代码生成器，校验为空的话不生成，简化生成的代码</li>
<li style="box-sizing: inherit; line-height: 1.875em;">代码生成器，支持子表校验生成</li>
<li style="box-sizing: inherit; line-height: 1.875em;">树形列表代码生成器优化，添加子节点</li>
<li style="box-sizing: inherit; line-height: 1.875em;">修复bug： online字典未配置，代码生成器报错问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">生成的实体字段excel注解，针对系统标准字段，创建人、创建时间等字段不生成</li>
<li style="box-sizing: inherit; line-height: 1.875em;">生成的表单弹窗统一更换为j-modal，支持放大缩小全屏</li>
<li style="box-sizing: inherit; line-height: 1.875em;">代码生成，popup参数大小写 驼峰问题修复</li>
<li style="box-sizing: inherit; line-height: 1.875em;">生成的表单控件类型更丰富，新支持控件：markdown、省市区地域、密码、下拉搜索</li>
<li style="box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;">生成的列表查询区域，控件支持加强，新支持控件：省市区地域、下拉搜索、popup、选择用户、选择部门</li>
</ul>
<h5 id="h5_9" style="box-sizing: inherit; font-family: ''PingFang SC'', ''Helvetica Neue'', ''Microsoft YaHei UI'', ''Microsoft YaHei'', ''Noto Sans CJK SC'', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;">平台基础升级</h5>
<ul style="box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, ''Apple Color Emoji'', ''Segoe UI Emoji'', ''Segoe UI Symbol'', ''Segoe UI'', ''PingFang SC'', ''Hiragino Sans GB'', ''Microsoft YaHei'', ''Helvetica Neue'', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;">
<li style="box-sizing: inherit; line-height: 1.875em; margin-top: 0px;">针对auto隐藏路由菜单，实现自动授权，简化online菜单的授权</li>
<li style="box-sizing: inherit; line-height: 1.875em;">IDE中找不到sun.misc.BASE64Encoder jar包问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">删掉作废获取所有用户角色列表接口，接口有性能问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">在我的消息里点击已读以后，首页上面的通知红点并没有同步更改问题修复</li>
<li style="box-sizing: inherit; line-height: 1.875em;">用户与部门取消关联删除关联关系bug修改</li>
<li style="box-sizing: inherit; line-height: 1.875em;">部门导入未刷新redis缓存</li>
<li style="box-sizing: inherit; line-height: 1.875em;">修复SysPermissionMapper.xml 的SQL语句不兼容SQLServer的问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">在线动态数据源代码重构</li>
<li style="box-sizing: inherit; line-height: 1.875em;">【二级管理员】部门修改、删除权限时关联删除部门角色数据</li>
<li style="box-sizing: inherit; line-height: 1.875em;">【二级管理员】我的部门，选中部门只能看当前部门下的角色</li>
<li style="box-sizing: inherit; line-height: 1.875em;">我的消息支持模糊查询</li>
<li style="box-sizing: inherit; line-height: 1.875em;">常用示例-对象存储文件上传优化</li>
<li style="box-sizing: inherit; line-height: 1.875em;">用户相关功能，sql写法不兼容其他数据库问题修复</li>
<li style="box-sizing: inherit; line-height: 1.875em;">图片上传组件修改</li>
<li style="box-sizing: inherit; line-height: 1.875em;">导入功能优化，提示准确导入成功失败信息，涉及功能 用户、角色、部门、字典、定时任务等</li>
<li style="box-sizing: inherit; line-height: 1.875em;">增加生产环境禁用swagger-ui配置</li>
<li style="box-sizing: inherit; line-height: 1.875em;">第三方登录代码集成</li>
<li style="box-sizing: inherit; line-height: 1.875em;">系统公告优化</li>
<li style="box-sizing: inherit; line-height: 1.875em;">MockController 返回json数据，utf-8格式化，防止中文乱码</li>
<li style="box-sizing: inherit; line-height: 1.875em;">部门删除后删除部门角色等关联</li>
<li style="box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;">分类字典支持选择数据，添加下级分类</li>
</ul>
<h5 id="h5_10" style="box-sizing: inherit; font-family: ''PingFang SC'', ''Helvetica Neue'', ''Microsoft YaHei UI'', ''Microsoft YaHei'', ''Noto Sans CJK SC'', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;">UI组件升级</h5>
<ul style="box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, ''Apple Color Emoji'', ''Segoe UI Emoji'', ''Segoe UI Symbol'', ''Segoe UI'', ''PingFang SC'', ''Hiragino Sans GB'', ''Microsoft YaHei'', ''Helvetica Neue'', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;">
<li style="box-sizing: inherit; line-height: 1.875em; margin-top: 0px;">升级 ant-design-vue 为最新版本 1.5.2</li>
<li style="box-sizing: inherit; line-height: 1.875em;">登录验证码获取失败的时候，不显示空白</li>
<li style="box-sizing: inherit; line-height: 1.875em;">升级 ant-design-vue，JModal切换全屏按钮因ant升级错位问题修复</li>
<li style="box-sizing: inherit; line-height: 1.875em;">简化 j-modal 的相关代码</li>
<li style="box-sizing: inherit; line-height: 1.875em;">封装常用组件示例；JInput新增当 type 变化的时候重新计算值</li>
<li style="box-sizing: inherit; line-height: 1.875em;">markdown集成</li>
<li style="box-sizing: inherit; line-height: 1.875em;">富文本支持minio上传</li>
<li style="box-sizing: inherit; line-height: 1.875em;">选择用户组件列表样式错位；Ellipsis.vue 优化</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JModal移动端全屏效果</li>
<li style="box-sizing: inherit; line-height: 1.875em;">高级查询只有在 in 模式下才能多选</li>
<li style="box-sizing: inherit; line-height: 1.875em;">自定义选择用户组件JSelectMultiUser的宽度和截取显示长度</li>
<li style="box-sizing: inherit; line-height: 1.875em;">行编辑 JEditableTable移动自适应效果；</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JEditableTable重构 行编辑新增合计功能</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JEditableTable重构 行编辑Popup请求数量过多（加缓存机制）</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JEditableTable重构,行编辑InputNumber扩展支持输入小数和负数</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JEditableTable.vue disable模式禁用添加删除按钮</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JEditableTable行编辑， popup返回值，时间赋值有问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JEditableTable行编辑，日期控件显示错位问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">高级查询移动自适应效果；</li>
<li style="box-sizing: inherit; line-height: 1.875em;">高级查询保存的同时也要保存匹配方式（支持and or）</li>
<li style="box-sizing: inherit; line-height: 1.875em;">高级查询混入统一修改</li>
<li style="box-sizing: inherit; line-height: 1.875em;">高级查询选择用户组件时，点开用户弹框不选择用户，直接关掉用户弹框，再次点击弹框时，无法点开问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">高级查询组件支持，新支持组件，选择人、选择部门、popup、时间等</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JPopup支持多选</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JPopup返回值null问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JPopup列表数据不刷新问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JSearchSelectTag.vue匹配不上数字值问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JSelectUserByDep 根据部门选择人组件bug</li>
<li style="box-sizing: inherit; line-height: 1.875em;">JTreeDict.vue 分类字典组件 清空不了问题</li>
<li style="box-sizing: inherit; line-height: 1.875em;">常用示例，新增搜索下拉 JSearchSelectTag.vue例子</li>
<li style="box-sizing: inherit; line-height: 1.875em;">常用示例，新增如何关闭当前页面例子</li>
<li style="box-sizing: inherit; line-height: 1.875em;">常用示例，省市区三级联动的例子</li>
<li style="box-sizing: inherit; line-height: 1.875em;">常用示例，增加字典下拉多选组件示例</li>
<li style="box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;">示例demo，关于图片的做统一优化</li>
</ul>
<h5 id="h5_11" style="box-sizing: inherit; font-family: ''PingFang SC'', ''Helvetica Neue'', ''Microsoft YaHei UI'', ''Microsoft YaHei'', ''Noto Sans CJK SC'', Sathu, EucrosiaUPC, Arial, Helvetica, sans-serif; line-height: 1.8; margin: 22px 0px 16px; padding: 0px; font-size: 18px; border: none; color: #333333; background-color: #ffffff;">Issues处理</h5>
<ul style="box-sizing: inherit; margin: 0px 0px 20px; padding: 0px 0px 0px 20px; color: #333333; font-family: -apple-system, BlinkMacSystemFont, ''Apple Color Emoji'', ''Segoe UI Emoji'', ''Segoe UI Symbol'', ''Segoe UI'', ''PingFang SC'', ''Hiragino Sans GB'', ''Microsoft YaHei'', ''Helvetica Neue'', Helvetica, Arial, sans-serif; font-size: 16px; background-color: #ffffff;">
<li style="box-sizing: inherit; line-height: 1.875em; margin-top: 0px;">online form表单项能否支持配置有级联关系的内容&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#948" href="https://github.com/zhangdaiscott/jeecg-boot/issues/948">#948</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">全局拦截异常错误的提醒文字&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#768" href="https://github.com/zhangdaiscott/jeecg-boot/issues/768">#768</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">建议：城市级联选择组件&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#905" href="https://github.com/zhangdaiscott/jeecg-boot/issues/905">#905</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">表单配置中检验字段配置href，报表中该配置字段无法看到链接&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#961" href="https://github.com/zhangdaiscott/jeecg-boot/issues/961">#961</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">SysUserMapper.xml查询脚本数据兼容问题&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#962" href="https://github.com/zhangdaiscott/jeecg-boot/issues/962">#962</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">在线表单 提示 ButtonExpHandler is not defined&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#957" href="https://github.com/zhangdaiscott/jeecg-boot/issues/957">#957</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">online表单中添加自定义按钮无法显示&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#973" href="https://github.com/zhangdaiscott/jeecg-boot/issues/973">#973</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">online报表不支持按照登录用户过滤数据&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#934" href="https://github.com/zhangdaiscott/jeecg-boot/issues/934">#934</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">点击新增或者编辑按钮弹框宽度的设置问题&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#974" href="https://github.com/zhangdaiscott/jeecg-boot/issues/974">#974</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">online报表配置中使用系统参数，报错&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="I1AWNM" href="https://gitee.com/jeecg/jeecg-boot/issues/I1AWNM">I1AWNM</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">online增强SQL变量取数为null,#{sys.sys_date} 还有#{sys.sys_time}&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#999" href="https://github.com/zhangdaiscott/jeecg-boot/issues/999">#999</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">一个主表，多个付表。1对多。保存后，某些从表行项目内容保存成功，单重新打开数据表现丢失。&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#997" href="https://github.com/zhangdaiscott/jeecg-boot/issues/997">#997</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">/online/cgform/api/exportXls/{code}接口问题&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1012" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1012">#1012</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">打成jar包，访问不到代码生成器模板&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1010" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1010">#1010</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">online表单开发，打包后模板找不到&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#865" href="https://github.com/zhangdaiscott/jeecg-boot/issues/865">#865</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">已生成的代码，子表最下下行添加合计行底部固定问题&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#936" href="https://github.com/zhangdaiscott/jeecg-boot/issues/936">#936</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">下拉搜索框在编辑时下拉name无法带过来&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#971" href="https://github.com/zhangdaiscott/jeecg-boot/issues/971">#971</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">建议autoPoi升级，优化数据返回List Map格式下的复合表头导出excel的体验&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#873" href="https://github.com/zhangdaiscott/jeecg-boot/issues/873">#873</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">配置 Href 跳转，并没有显示为超链接&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1020" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1020">#1020</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">首次打开一对多表单，JEditableTable的addDefaultRowNum属性不生效&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1003" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1003">#1003</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">autopoi 双表头问题&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#862" href="https://github.com/zhangdaiscott/jeecg-boot/issues/862">#862</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">应该是权限管理bug&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#110" href="https://github.com/zhangdaiscott/jeecg-boot/issues/110">#110</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">在线 的online报表报错&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1029" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1029">#1029</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">online代码生成器树形表单父节点字段名称问题&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="issues/I1ABGV " href="https://gitee.com/jeecg/jeecg-boot/issues/I1ABGV">issues/I1ABGV</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">点击j-popup,里面有数据，如果选择同名的数据，文本框为空&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1044" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1044">#1044</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">关于table列宽可拖动问题&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1054" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1054">#1054</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">单表数据导出多表头 auto 的Excel注解 groupName属性<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title=" #1053" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1053">&nbsp;#1053</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">在线报表和在线online的问题&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1030" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1030">#1030</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">J-pop组件&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1043" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1043">#1043</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">2.1.4 日志管理---没有记录查询接口参数&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1070" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1070">#1070</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">服务器日志超过设置的MaxFileSize时&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1130" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1130">#1130</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">online 表单中，在 附表中存在上传图片组件，点击上传图片并提交，显示提交失败&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1074" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1074">#1074</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">online表单js增强修改从表控件值问题&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1051" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1051">#1051</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">重复代理问题&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#994" href="https://github.com/zhangdaiscott/jeecg-boot/issues/994">#994</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">系统使用的日志包有问题&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#887" href="https://github.com/zhangdaiscott/jeecg-boot/issues/887">#887</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">使用sqlserver数据库,用户管理查询出错&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1140" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1140">#1140</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">主表和从表 一对一关系表单 TypeError: Cannot read property ''getAll'' of undefined&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="#1129" href="https://github.com/zhangdaiscott/jeecg-boot/issues/1129">#1129</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">ERP表单附表数据编辑后消失&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="issues/I1DN3B" href="https://gitee.com/jeecg/jeecg-boot/issues/I1DN3B">issues/I1DN3B</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">多表的erp模式生成的子表，表单没有导入导出功能&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="issues/I1BB2U" href="https://gitee.com/jeecg/jeecg-boot/issues/I1BB2U">issues/I1BB2U</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">用edge打开首页，整个页面动不了，控制台console打出很多错误&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="issues/I189B5" href="https://gitee.com/jeecg/jeecg-boot/issues/I189B5">issues/I189B5</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">官方的快速开发平台主子表对IE11不兼容&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="issues/I17LEE" href="https://gitee.com/jeecg/jeecg-boot/issues/I17LEE">issues/I17LEE</a></li>
<li style="box-sizing: inherit; line-height: 1.875em;">360兼容模式 修改为你说的js之后；单表的数据兼容可以；主子表的不加载；错误如下&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="issues/I17H8L" href="https://gitee.com/jeecg/jeecg-boot/issues/I17H8L">issues/I17H8L</a></li>
<li style="box-sizing: inherit; line-height: 1.875em; margin-bottom: 0px;">Online表单开发，点击&ldquo;新增&rdquo;按钮，是否树：选择是，页面控制台报错&nbsp;<a style="box-sizing: inherit; background-color: transparent; color: #4183c4; text-decoration-line: none;" title="issues/I1BHXG" href="https://gitee.com/jeecg/jeecg-boot/issues/I1BHXG">issues/I1BHXG</a></li>
</ul>', TO_DATE('2020-05-01 15:30:56', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-30 15:31:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', 'H', '1', 'ALL', '1', TO_DATE('2020-05-02 15:31:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '0', NULL, NULL, NULL, NULL, 'admin', TO_DATE('2020-05-02 15:31:41', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 15:31:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '重磅版本发布', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT" VALUES ('1256486817286418434', '放假通知', '<p>放假通知</p>', TO_DATE('2020-05-02 15:32:38', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-30 15:32:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', 'M', '1', 'USER', '1', TO_DATE('2020-05-02 15:32:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '0', NULL, NULL, NULL, NULL, 'admin', TO_DATE('2020-05-02 15:32:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 15:32:59', 'SYYYY-MM-DD HH24:MI:SS'), 'e9ca23d68d884d4ebb19d07889727dae,a75d45a015c44384a04449ee80dc3503,', '放假通知', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT" VALUES ('1256529336858685441', '1', '<p>22</p>', TO_DATE('2020-05-02 18:21:41', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-30 18:21:44', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', 'M', '1', 'ALL', '2', TO_DATE('2020-05-02 18:21:57', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2020-05-02 18:22:07', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, NULL, NULL, NULL, 'admin', TO_DATE('2020-05-02 18:21:54', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-08-12 16:05:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '22', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT" VALUES ('1524265037052194817', '1231231', NULL, NULL, TO_DATE('2022-05-14 13:47:54', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', 'H', '1', 'ALL', '2', TO_DATE('2022-05-11 13:48:04', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2022-05-11 14:04:18', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, NULL, NULL, NULL, 'admin', TO_DATE('2022-05-11 13:47:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-05-11 14:04:21', 'SYYYY-MM-DD HH24:MI:SS'), 'undefined,', '23123', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT" VALUES ('1524269214973243394', '123123', '<p>111</p>', NULL, TO_DATE('2022-05-12 14:04:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', 'H', '1', 'ALL', '1', TO_DATE('2022-05-11 14:04:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '0', NULL, NULL, NULL, NULL, 'admin', TO_DATE('2022-05-11 14:04:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-05-11 14:04:37', 'SYYYY-MM-DD HH24:MI:SS'), 'undefined,', '123123', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT" VALUES ('1b714f8ebc3cc33f8b4f906103b6a18d', '5467567', NULL, NULL, NULL, 'admin', NULL, '2', NULL, '1', TO_DATE('2019-03-30 12:40:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '1', NULL, NULL, NULL, NULL, 'admin', TO_DATE('2019-02-26 17:23:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 15:30:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT" VALUES ('3d11237ccdf62450d20bb8abdb331178', '111222', NULL, NULL, NULL, NULL, NULL, '2', NULL, '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, 'admin', TO_DATE('2019-03-29 17:19:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-29 17:19:50', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT" VALUES ('7ef04e95f8de030b1d5f7a9144090dc6', '111', NULL, TO_DATE('2019-02-06 17:28:10', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-03-08 17:28:11', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '2', NULL, '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, 'admin', TO_DATE('2019-02-26 17:28:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-26 19:59:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT" VALUES ('93a9060a1c20e4bf98b3f768a02c2ff9', '111', '111', TO_DATE('2019-02-06 17:20:17', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-02-21 17:20:20', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', 'M', '2', 'ALL', '1', TO_DATE('2019-02-26 17:24:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '1', NULL, NULL, NULL, NULL, 'admin', TO_DATE('2019-02-26 17:16:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 15:30:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT" VALUES ('de1dc57f31037079e1e55c8347fe6ef7', '222', '2222', TO_DATE('2019-02-06 17:28:26', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2019-02-23 17:28:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', 'M', '2', 'ALL', '1', TO_DATE('2019-03-29 17:19:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '1', NULL, NULL, NULL, NULL, 'admin', TO_DATE('2019-02-26 17:28:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-26 17:28:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT" VALUES ('e52f3eb6215f139cb2224c52517af3bd', '334', '334', NULL, NULL, NULL, NULL, '2', NULL, '0', NULL, NULL, '1', NULL, NULL, NULL, NULL, 'admin', TO_DATE('2019-03-30 12:40:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-30 12:40:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '0');

-- ----------------------------
-- Table structure for SYS_ANNOUNCEMENT_SEND
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND";
CREATE TABLE "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND" (
  "ID" NVARCHAR2(32),
  "ANNT_ID" NVARCHAR2(32),
  "USER_ID" NVARCHAR2(32),
  "READ_FLAG" NVARCHAR2(10),
  "READ_TIME" DATE,
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "STAR_FLAG" NVARCHAR2(10)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND"."ANNT_ID" IS '通告ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND"."USER_ID" IS '用户id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND"."READ_FLAG" IS '阅读状态（0未读，1已读）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND"."READ_TIME" IS '阅读时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND"."STAR_FLAG" IS '标星状态( 1为标星 空/0没有标星)';
COMMENT ON TABLE "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND" IS '用户通告阅读标记表';

-- ----------------------------
-- Records of SYS_ANNOUNCEMENT_SEND
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND" VALUES ('646c0c405ec643d4dc4160db2446f8ff', '93a9060a1c20e4bf98b3f768a02c2ff9', 'e9ca23d68d884d4ebb19d07889727dae', '1', TO_DATE('2019-11-21 16:30:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-05-17 11:50:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-11-21 16:30:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND" VALUES ('1197434450981543938', '93a9060a1c20e4bf98b3f768a02c2ff9', 'a75d45a015c44384a04449ee80dc3503', '0', NULL, 'jeecg', TO_DATE('2019-11-21 16:39:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND" VALUES ('1256486817319972866', '1256486817286418434', 'e9ca23d68d884d4ebb19d07889727dae', '1', TO_DATE('2022-09-22 13:53:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 15:32:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 13:53:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND" VALUES ('1256486817349332993', '1256486817286418434', 'a75d45a015c44384a04449ee80dc3503', '0', TO_DATE('2020-05-02 15:32:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 15:32:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND" VALUES ('1256527099214278657', '1256486502931722242', 'e9ca23d68d884d4ebb19d07889727dae', '1', TO_DATE('2022-09-22 13:53:50', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 18:12:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 13:53:50', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND" VALUES ('1260927781673484290', '1256486502931722242', 'a75d45a015c44384a04449ee80dc3503', '0', NULL, 'jeecg', TO_DATE('2020-05-14 21:39:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND" VALUES ('1524265883060088833', '1524265037052194817', 'e9ca23d68d884d4ebb19d07889727dae', '0', NULL, 'admin', TO_DATE('2022-05-11 13:51:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND" VALUES ('1524269222510407682', '1524269214973243394', 'e9ca23d68d884d4ebb19d07889727dae', '1', TO_DATE('2022-09-22 13:53:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-05-11 14:04:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 13:53:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL);
INSERT INTO "JEECGBOOT"."SYS_ANNOUNCEMENT_SEND" VALUES ('1539164576187887617', '1524269214973243394', 'a75d45a015c44384a04449ee80dc3503', '0', NULL, 'jeecg', TO_DATE('2022-06-21 16:33:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);

-- ----------------------------
-- Table structure for SYS_CATEGORY
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_CATEGORY";
CREATE TABLE "JEECGBOOT"."SYS_CATEGORY" (
  "ID" NVARCHAR2(36) NOT NULL,
  "PID" NVARCHAR2(36),
  "NAME" NVARCHAR2(100),
  "CODE" NVARCHAR2(100),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(64),
  "HAS_CHILD" NVARCHAR2(3),
  "TENANT_ID" NUMBER(11,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_CATEGORY"."PID" IS '父级节点';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CATEGORY"."NAME" IS '类型名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CATEGORY"."CODE" IS '类型编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CATEGORY"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CATEGORY"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CATEGORY"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CATEGORY"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CATEGORY"."SYS_ORG_CODE" IS '所属部门';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CATEGORY"."HAS_CHILD" IS '是否有子节点';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CATEGORY"."TENANT_ID" IS '租户ID';

-- ----------------------------
-- Records of SYS_CATEGORY
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1183693424827564034', '0', '物料树', 'B02', 'admin', TO_DATE('2019-10-14 18:37:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-10-14 18:38:15', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1183693491043041282', '1183693424827564034', '上衣', 'B02A01', 'admin', TO_DATE('2019-10-14 18:38:15', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-10-14 18:38:43', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1183693534173069314', '1183693424827564034', '裤子', 'B02A02', 'admin', TO_DATE('2019-10-14 18:38:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1183693610534567937', '1183693491043041282', '秋衣', 'B02A01A01', 'admin', TO_DATE('2019-10-14 18:38:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1183693700254924802', '1183693491043041282', '兵装', 'B02A01A02', 'admin', TO_DATE('2019-10-14 18:39:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1183693773974011906', '1183693491043041282', '女装', 'B02A01A03', 'admin', TO_DATE('2019-10-14 18:39:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1185039122143719425', '0', '电脑产品', 'A01', 'admin', TO_DATE('2019-10-18 11:45:18', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-10-18 11:45:31', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1185039176799694850', '1185039122143719425', 'thinkpad', 'A01A01', 'admin', TO_DATE('2019-10-18 11:45:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1185039255115739138', '1185039122143719425', 'mackbook', 'A01A02', 'admin', TO_DATE('2019-10-18 11:45:50', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1185039299051073537', '1185039122143719425', '华为电脑', 'A01A03', 'admin', TO_DATE('2019-10-18 11:46:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1230769196661510146', '0', '省', NULL, 'admin', TO_DATE('2020-02-21 16:20:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-21 16:20:31', 'SYYYY-MM-DD HH24:MI:SS'), 'A01A03', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1230769253267836929', '1230769196661510146', '安徽省', NULL, 'admin', TO_DATE('2020-02-21 16:20:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-21 16:20:53', 'SYYYY-MM-DD HH24:MI:SS'), 'A01A03', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1230769290609725441', '1230769196661510146', '山东省', NULL, 'admin', TO_DATE('2020-02-21 16:20:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-21 16:21:23', 'SYYYY-MM-DD HH24:MI:SS'), 'A01A03', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1230769347157331969', '1230769253267836929', '合肥市', NULL, 'admin', TO_DATE('2020-02-21 16:20:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-21 16:21:08', 'SYYYY-MM-DD HH24:MI:SS'), 'A01A03', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1230769407907631106', '1230769347157331969', '包河区', NULL, 'admin', TO_DATE('2020-02-21 16:21:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01A03', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1230769470889299970', '1230769290609725441', '济南市', NULL, 'admin', TO_DATE('2020-02-21 16:21:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-21 16:21:41', 'SYYYY-MM-DD HH24:MI:SS'), 'A01A03', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1230769547519234050', '1230769470889299970', 'A区', NULL, 'admin', TO_DATE('2020-02-21 16:21:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01A03', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1230769620021972993', '1230769470889299970', 'B区', NULL, 'admin', TO_DATE('2020-02-21 16:21:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01A03', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1230769769930592257', '1230769253267836929', '淮南市', NULL, 'admin', TO_DATE('2020-02-21 16:22:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-21 16:22:54', 'SYYYY-MM-DD HH24:MI:SS'), 'A01A03', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1230769855347593217', '1230769769930592257', 'C区', NULL, 'admin', TO_DATE('2020-02-21 16:22:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01A03', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1590548229606047745', '0', '物料树C', 'C02', 'admin', TO_DATE('2022-11-10 11:33:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1590548229652185090', '1590548229606047745', '上衣C', 'C02A01', 'admin', TO_DATE('2022-11-10 11:33:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1590548229668962305', '1590548229606047745', '裤子C', 'C02A02', 'admin', TO_DATE('2022-11-10 11:33:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('1590548229685739522', '1590548229652185090', '秋衣C', 'C02A01A01', 'admin', TO_DATE('2022-11-10 11:33:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('22a50b413c5e1ef661fb8aea9469cf52', 'e9ded10fd33e5753face506f4f1564b5', 'MacBook', 'B01-2-1', 'admin', TO_DATE('2019-06-10 15:43:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('5c8f68845e57f68ab93a2c8d82d26ae1', '0', '笔记本', 'B01', 'admin', TO_DATE('2019-06-10 15:34:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-06-10 15:34:24', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('937fd2e9aa13b8bab1da1ca36d3fd344', 'e9ded10fd33e5753face506f4f1564b5', '台式机', 'B01-2-2', 'admin', TO_DATE('2019-06-10 15:43:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-08-21 12:01:59', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('e9ded10fd33e5753face506f4f1564b5', '5c8f68845e57f68ab93a2c8d82d26ae1', '苹果电脑', 'B01-2', 'admin', TO_DATE('2019-06-10 15:41:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-06-10 15:43:13', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_CATEGORY" VALUES ('f39a06bf9f390ba4a53d11bc4e0018d7', '5c8f68845e57f68ab93a2c8d82d26ae1', '华为', 'B01-1', 'admin', TO_DATE('2019-06-10 15:34:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-08-21 12:01:56', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', NULL, '0');

-- ----------------------------
-- Table structure for SYS_CHECK_RULE
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_CHECK_RULE";
CREATE TABLE "JEECGBOOT"."SYS_CHECK_RULE" (
  "ID" NVARCHAR2(32) NOT NULL,
  "RULE_NAME" NVARCHAR2(100),
  "RULE_CODE" NVARCHAR2(100),
  "RULE_JSON" NCLOB,
  "RULE_DESCRIPTION" NVARCHAR2(200),
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_CHECK_RULE"."ID" IS '主键id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CHECK_RULE"."RULE_NAME" IS '规则名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CHECK_RULE"."RULE_CODE" IS '规则Code';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CHECK_RULE"."RULE_JSON" IS '规则JSON';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CHECK_RULE"."RULE_DESCRIPTION" IS '规则描述';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CHECK_RULE"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CHECK_RULE"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CHECK_RULE"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_CHECK_RULE"."CREATE_TIME" IS '创建时间';

-- ----------------------------
-- Records of SYS_CHECK_RULE
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_CHECK_RULE" VALUES ('1224980593992388610', '通用编码规则', 'common', '[{"digits":"1","pattern":"^[a-z|A-Z]$","message":"第一位只能是字母"},{"digits":"*","pattern":"^[0-9|a-z|A-Z|_]{0,}$","message":"只能填写数字、大小写字母、下划线"},{"digits":"*","pattern":"^.{3,}$","message":"最少输入3位数"},{"digits":"*","pattern":"^.{3,12}$","message":"最多输入12位数"}]', '规则：1、首位只能是字母；2、只能填写数字、大小写字母、下划线；3、最少3位数，最多12位数。', 'admin', TO_DATE('2020-02-07 11:25:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-05 16:58:27', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_CHECK_RULE" VALUES ('1225001845524004866', '负责的功能测试', 'test', '[{"digits":"*","pattern":"^.{3,12}$","message":"只能输入3-12位字符"},{"digits":"3","pattern":"^\\d{3}$","message":"前3位必须是数字"},{"digits":"*","pattern":"^[^pP]*$","message":"不能输入P"},{"digits":"4","pattern":"^@{4}$","message":"第4-7位必须都为 @"},{"digits":"2","pattern":"^#=$","message":"第8-9位必须是 #="},{"digits":"1","pattern":"^O$","message":"第10位必须为大写的O"},{"digits":"*","pattern":"^.*。$","message":"必须以。结尾"}]', '包含长度校验、特殊字符校验等', 'admin', TO_DATE('2020-02-07 11:57:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-05 18:22:54', 'SYYYY-MM-DD HH24:MI:SS'));

-- ----------------------------
-- Table structure for SYS_COMMENT
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_COMMENT";
CREATE TABLE "JEECGBOOT"."SYS_COMMENT" (
  "ID" NVARCHAR2(32) NOT NULL,
  "TABLE_NAME" NVARCHAR2(50) NOT NULL,
  "TABLE_DATA_ID" NVARCHAR2(32) NOT NULL,
  "FROM_USER_ID" NVARCHAR2(32) NOT NULL,
  "TO_USER_ID" NVARCHAR2(32),
  "COMMENT_ID" NVARCHAR2(32),
  "COMMENT_CONTENT" NVARCHAR2(255),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_COMMENT"."TABLE_NAME" IS '表名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_COMMENT"."TABLE_DATA_ID" IS '数据id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_COMMENT"."FROM_USER_ID" IS '来源用户id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_COMMENT"."TO_USER_ID" IS '发送给用户id(允许为空)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_COMMENT"."COMMENT_ID" IS '评论id(允许为空，不为空时，则为回复)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_COMMENT"."COMMENT_CONTENT" IS '回复内容';
COMMENT ON COLUMN "JEECGBOOT"."SYS_COMMENT"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_COMMENT"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_COMMENT"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_COMMENT"."UPDATE_TIME" IS '更新日期';
COMMENT ON TABLE "JEECGBOOT"."SYS_COMMENT" IS '系统评论回复表';

-- ----------------------------
-- Records of SYS_COMMENT
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_COMMENT" VALUES ('1580814554312093698', 'v3_hello', '1580529718871674882', 'e9ca23d68d884d4ebb19d07889727dae', NULL, NULL, '1212
:open_mouth:', 'admin', TO_DATE('2022-10-14 14:55:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_COMMENT" VALUES ('1580814573433925634', 'v3_hello', '1580529718871674882', 'e9ca23d68d884d4ebb19d07889727dae', NULL, NULL, '上传了附件', 'admin', TO_DATE('2022-10-14 14:55:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_COMMENT" VALUES ('1580814621358043137', 'v3_hello', '1580529718871674882', 'e9ca23d68d884d4ebb19d07889727dae', NULL, NULL, '干啥啊', 'admin', TO_DATE('2022-10-14 14:55:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_COMMENT" VALUES ('1584490724803174402', 'v3_hello', '1580529718871674882', 'e9ca23d68d884d4ebb19d07889727dae', NULL, NULL, '1212:nerd_face:', 'admin', TO_DATE('2022-10-24 18:23:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_COMMENT" VALUES ('1584490998162743298', 'v3_hello', '1580510370266238978', 'e9ca23d68d884d4ebb19d07889727dae', NULL, NULL, '123123', 'admin', TO_DATE('2022-10-24 18:24:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_COMMENT" VALUES ('1584491122888761345', 'v3_hello', '1580510370266238978', 'e9ca23d68d884d4ebb19d07889727dae', NULL, NULL, '333', 'admin', TO_DATE('2022-10-24 18:24:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_COMMENT" VALUES ('1584493914588143617', 'v3_hello', '1580529718871674882', 'e9ca23d68d884d4ebb19d07889727dae', NULL, NULL, '2222', 'admin', TO_DATE('2022-10-24 18:36:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_COMMENT" VALUES ('1584493923496845313', 'v3_hello', '1580529718871674882', 'e9ca23d68d884d4ebb19d07889727dae', NULL, NULL, '333', 'admin', TO_DATE('2022-10-24 18:36:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_COMMENT" VALUES ('1584493984364584961', 'v3_hello', '1580510370266238978', 'e9ca23d68d884d4ebb19d07889727dae', NULL, NULL, '上传了附件', 'admin', TO_DATE('2022-10-24 18:36:19', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);

-- ----------------------------
-- Table structure for SYS_DATA_LOG
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_DATA_LOG";
CREATE TABLE "JEECGBOOT"."SYS_DATA_LOG" (
  "ID" NVARCHAR2(32) NOT NULL,
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "DATA_TABLE" NVARCHAR2(32),
  "DATA_ID" NVARCHAR2(32),
  "DATA_CONTENT" NCLOB,
  "DATA_VERSION" NUMBER(11,0),
  "TYPE" NVARCHAR2(20)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_LOG"."ID" IS 'id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_LOG"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_LOG"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_LOG"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_LOG"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_LOG"."DATA_TABLE" IS '表名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_LOG"."DATA_ID" IS '数据ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_LOG"."DATA_CONTENT" IS '数据内容';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_LOG"."DATA_VERSION" IS '版本号';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_LOG"."TYPE" IS '类型';

-- ----------------------------
-- Records of SYS_DATA_LOG
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585594003176005633', 'admin', TO_DATE('2022-10-27 19:27:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1585129141824012290', '  将名称为【他表字段】的字段内容 空 修改为 5000；    将名称为【名字】的字段内容 1212 修改为 龚洋；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585594018841731073', 'admin', TO_DATE('2022-10-27 19:27:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1585129141824012290', '  将名称为【他表字段】的字段内容 空 修改为 5000；    将名称为【名字】的字段内容 龚洋 修改为 龚洋1；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585639584833339394', 'admin', TO_DATE('2022-10-27 22:28:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1585639584506183681', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585817690676379650', 'admin', TO_DATE('2022-10-28 10:16:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_main001', '1580825874361102338', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585817807542272001', 'admin', TO_DATE('2022-10-28 10:16:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_main001', '1580825874361102338', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585820119476191234', 'admin', TO_DATE('2022-10-28 10:25:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_note', '1580543046964621313', '  将名称为【请假原因】的字段内容 空 修改为 1212；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585822484832960513', 'admin', TO_DATE('2022-10-28 10:35:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_shoptype_tree', '1585822484715520001', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585822513492639745', 'admin', TO_DATE('2022-10-28 10:35:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_shoptype_tree', '1256629188993069058', '  将名称为【分类图片】的字段内容 jeewxshop测试号_1588438719823.jpg 修改为 空；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585822532543168514', 'admin', TO_DATE('2022-10-28 10:35:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_shoptype_tree', '1256629139206680578', '  将名称为【分类图片】的字段内容 e1fe9925bc315c60addea1b98eb1cb1349547719_1588438707727.jpg 修改为 空；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585822566852575233', 'admin', TO_DATE('2022-10-28 10:35:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_shoptype_tree', '1256628820489908225', '  将名称为【分类图片】的字段内容 空 修改为 temp/11_1666924536435.jpg；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585826259140329474', 'admin', TO_DATE('2022-10-28 10:50:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1585826258943197186', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585826315784404993', 'admin', TO_DATE('2022-10-28 10:50:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1585826258943197186', '  将名称为【他表字段】的字段内容 空 修改为 22233；    将名称为【年龄】的字段内容 20 修改为 201；    将名称为【名字】的字段内容 黄明远 修改为 黄明远1；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585826988332662785', 'admin', TO_DATE('2022-10-28 10:53:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053b2b10030', '  将名称为【省份】的字段内容 1230769253267836929 修改为 1230769290609725441；    将名称为【区】的字段内容 1230769855347593217 修改为 1230769620021972993；    将名称为【市】的字段内容 1230769769930592257 修改为 1230769470889299970；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586278361180377089', 'admin', TO_DATE('2022-10-29 16:46:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1586278360710615042', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586281651213381633', 'admin', TO_DATE('2022-10-29 16:59:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_order_main', '4028810c6b40244b016b4068ef890006', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586285042735984642', 'admin', TO_DATE('2022-10-29 17:13:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_order_main', '4028810c6b40244b016b4068ef890006', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586285348303613953', 'admin', TO_DATE('2022-10-29 17:14:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_order_main', '4028810c6b40244b016b4068ef890006', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586285527417171969', 'admin', TO_DATE('2022-10-29 17:15:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_order_main', '4028810c6b40244b016b4068ef890006', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586285822952026114', 'admin', TO_DATE('2022-10-29 17:16:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_order_main', '1551943088862896130', '  将名称为【订单编码】的字段内容 CN2022072622503177 修改为 CN2022；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586554347608305665', 'admin', TO_DATE('2022-10-30 11:03:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_v3_hello', '1585826258943197186', '  将名称为【他表字段】的字段内容 空 修改为 22233；    将名称为【备注】的字段内容 空 修改为 问题的关键究竟为何? 而这些并不是完全重要, 更加重要的问题是, 可是，即使是这样，随机一段废话的出现仍然代表了一定的意义. 我们都知道, 只要有意义, 那么就必须慎重考虑.那么, 经过上述讨论, 就我个人来说, 随机一段废话对我的意义, 不能不说非常重大. 
就我个人来说, 随机一段废话对我的意义, 不能不说非常重大. 既然如此, 我们一般认为, 抓住了问题的关键, 其他一切则会迎刃而解.对我；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586554454575640577', 'admin', TO_DATE('2022-10-30 11:03:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_note', '1586554454185570306', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586554463777943555', 'admin', TO_DATE('2022-10-30 11:03:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_v3_hello', '1586554463777943554', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586557969775685633', 'admin', TO_DATE('2022-10-30 11:17:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_order_main', '1586557968995545089', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586558444143079425', 'admin', TO_DATE('2022-10-30 11:19:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_order_main', '1586557968995545089', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586558640096768001', 'admin', TO_DATE('2022-10-30 11:20:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_order_main', '1586557968995545089', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1586651979173326850', 'admin', TO_DATE('2022-10-30 17:31:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1586650800414519297', '  将名称为【弹出报表】的字段内容 空 修改为 孙亦菲；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587064092114944001', 'admin', TO_DATE('2022-10-31 20:49:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1586650800414519297', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587064750704558081', 'admin', TO_DATE('2022-10-31 20:51:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1586650800414519297', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587064838038355970', 'admin', TO_DATE('2022-10-31 20:51:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1586650800414519297', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1523903071766949890', NULL, TO_DATE('2022-05-10 13:49:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '4028ef81550c1a7901550c1cd6e70001', '{
	"mobilePhone":"1872222222",
	"officePhone":"1222222",
	"email":"",
	"createDate":"Jun 23, 2016 12:00:00 PM",
	"sex":"1",
	"depId":"402880e447e99cf10147e9a03b320003",
	"userName":"9001",
	"status":"1",
	"content":"111",
	"id":"4028ef81550c1a7901550c1cd6e70001"
}', '4', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580525580339335170', 'admin', TO_DATE('2022-10-13 19:47:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【名字】的字段内容 易强 修改为 易强1；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580529675481600001', 'admin', TO_DATE('2022-10-13 20:03:34', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【性别】的字段内容 2 修改为 1；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580529718888452098', 'admin', TO_DATE('2022-10-13 20:03:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580529718871674882', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580534551057936386', 'admin', TO_DATE('2022-10-13 20:22:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580529718871674882', '  将名称为【他表字段】的字段内容 空 修改为 500；    将名称为【关联记录】的字段内容 空 修改为 1258783909887422466；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580534592426356738', 'admin', TO_DATE('2022-10-13 20:23:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ces_shop_goods', '1258783909887422466', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580534607228055553', 'admin', TO_DATE('2022-10-13 20:23:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580529718871674882', '  将名称为【他表字段】的字段内容 空 修改为 500；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580537951120142338', 'admin', TO_DATE('2022-10-13 20:36:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580538174827540481', 'admin', TO_DATE('2022-10-13 20:37:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 5000；    将名称为【关联记录】的字段内容 空 修改为 1258408897326149634；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580541919602814978', 'admin', TO_DATE('2022-10-13 20:52:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ces_shop_type', '1258408044439597058', '  将名称为【图片】的字段内容 jeewxshop测试号_1588862831749.jpg 修改为 temp/4afbfbedab64034f9015f1bca8c379310b551dab_1665665531949.jpg；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580542958913597442', 'admin', TO_DATE('2022-10-13 20:56:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_demo1', '1532265688470265858', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580543047069478914', 'admin', TO_DATE('2022-10-13 20:56:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_note', '1580543046964621313', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580543149787983873', 'admin', TO_DATE('2022-10-13 20:57:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '  将名称为【省份】的字段内容 1230769290609725441 修改为 1230769253267836929；    将名称为【区】的字段内容 1230769620021972993 修改为 1230769855347593217；    将名称为【市】的字段内容 1230769470889299970 修改为 1230769769930592257；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580543461865172994', 'admin', TO_DATE('2022-10-13 20:58:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'demo_field_def_val_main', '1580543461659652098', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580543527321481217', 'admin', TO_DATE('2022-10-13 20:58:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'demo_field_def_val_main', '1580543461659652098', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580544512626405378', 'admin', TO_DATE('2022-10-13 21:02:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1580544512563490817', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580544763290595329', 'admin', TO_DATE('2022-10-13 21:03:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1580544512563490817', '  将名称为【自定义树】的字段内容 空 修改为 1185039122143719425；    将名称为【部门选择】的字段内容 空 修改为 c6d7cb4deeac411cb3384b1b31278596；    将名称为【用户选择】的字段内容 空 修改为 zhangsan；    将名称为【省市区】的字段内容 空 修改为 140303；    将名称为【分类字典树】的字段内容 空 修改为 1183693534173069314；    将名称为【年月日时分秒】的字段内容 空 修改为 2022-10-13 03:00:05；    将名称为【时间】的字段内容 空 修改为 00:00:02；    将名称为【字典表带条件下拉搜索】的字段内容 空 修改为 admin；    将名称为【图片】的字段内容 空 修改为 temp/appdev_1665666175437.png；    将名称为【字典表带条件单选】的字段内容 空 修改为 zhagnxiao；    将名称为【字典表下拉多选】的字段内容 空 修改为 57197590443c44f083d42ae24ef26a2c；    将名称为【popback】的字段内容 空 修改为 张三；    将名称为【字典多选】的字段内容 空 修改为 2；    将名称为【字典表多选】的字段内容 空 修改为 63775228b7b041a99825f79760590b7d；    将名称为【字典表单选】的字段内容 空 修改为 63775228b7b041a99825f79760590b7d；    将名称为【字典单选】的字段内容 空 修改为 2；    将名称为【字典表带条件多选】的字段内容 空 修改为 zhagnxiao；    将名称为【字典表带条件下拉多选】的字段内容 空 修改为 admin；    将名称为【日期】的字段内容 空 修改为 2022-10-06；    将名称为【开关】的字段内容 2 修改为 1；    将名称为【popup弹窗】的字段内容 空 修改为 zhangsan；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580545002412060674', 'admin', TO_DATE('2022-10-13 21:04:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1580544512563490817', '  将名称为【密码】的字段内容 空 修改为 33333；    将名称为【文本】的字段内容 22 修改为 22333；    将名称为【多行文本框】的字段内容 商品名称：22,单价：22 修改为 商品名称：22333,单价：22；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580562545419890690', 'admin', TO_DATE('2022-10-13 22:14:11', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1580562545285672961', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580563072203501569', 'admin', TO_DATE('2022-10-13 22:16:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1580563072002174977', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580733477480443906', 'admin', TO_DATE('2022-10-14 09:33:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【备注】的字段内容 2333 修改为 233322；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580749419480494081', 'admin', TO_DATE('2022-10-14 10:36:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '  将名称为【省份】的字段内容 1230769253267836929 修改为 1230769290609725441；    将名称为【区】的字段内容 1230769855347593217 修改为 1230769620021972993；    将名称为【市】的字段内容 1230769769930592257 修改为 1230769470889299970；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580761292670119938', 'admin', TO_DATE('2022-10-14 11:23:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580772922195849218', 'admin', TO_DATE('2022-10-14 12:10:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ces_shop_goods', '1258408897326149634', '  将名称为【商品分类】的字段内容 1258408044439597058 修改为 1258408003595464706；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580814471130656770', 'admin', TO_DATE('2022-10-14 14:55:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【备注】的字段内容 233322 修改为 23332290；    将名称为【生日】的字段内容 2022-09-29 修改为 2022-09-03；    将名称为【名字】的字段内容 易强1 修改为 易强10；    将名称为【性别】的字段内容 1 修改为 2；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580814505297457154', 'admin', TO_DATE('2022-10-14 14:55:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580529718871674882', '  将名称为【名字】的字段内容 11 修改为 刘艳；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580814578701971457', 'admin', TO_DATE('2022-10-14 14:55:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580529718871674882', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580816176350113793', 'admin', TO_DATE('2022-10-14 15:02:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580816176220090369', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580816198277935106', 'admin', TO_DATE('2022-10-14 15:02:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580816176220090369', '  将名称为【备注】的字段内容 <p>2222</p> 修改为 <p><img src="http://localhost:8080/jeecg-boot/sys/common/static/jeditor/11_1665730924934.jpg" />2222</p>；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580816241374408705', 'admin', TO_DATE('2022-10-14 15:02:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580816176220090369', '  将名称为【所属部门】的字段内容 空 修改为 57197590443c44f083d42ae24ef26a2c,67fc001af12a4f9b8458005d3f19934a；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580816274597490690', 'admin', TO_DATE('2022-10-14 15:02:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580816176220090369', '  将名称为【所属部门】的字段内容 空 修改为 57197590443c44f083d42ae24ef26a2c；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580816614608744450', 'admin', TO_DATE('2022-10-14 15:03:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580816176220090369', '  将名称为【备注】的字段内容 <p>2222</p> 修改为 <p>222290</p>；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580816727792037890', 'admin', TO_DATE('2022-10-14 15:04:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580816176220090369', '  将名称为【备注】的字段内容 <p>222290</p> 修改为 <p><img src="http://localhost:8080/jeecg-boot/sys/common/static/jeditor/20180607175028Fn1Lq7zw_1665731051414.png" />222290</p>；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580824196471730178', 'admin', TO_DATE('2022-10-14 15:33:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580816176220090369', '  将名称为【弹窗】的字段内容 空 修改为 小红帽4——prod；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580824545664315394', 'admin', TO_DATE('2022-10-14 15:35:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580824545521709058', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580824562823213058', 'admin', TO_DATE('2022-10-14 15:35:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580824562693189634', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580824645950124033', 'admin', TO_DATE('2022-10-14 15:35:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580824562693189634', '  将名称为【弹窗】的字段内容 空 修改为 aaa；    将名称为【打卡时间】的字段内容 空 修改为 2022-10-07 15:35:25；    将名称为【薪资】的字段内容 空 修改为 33.00；    将名称为【备注】的字段内容 空 修改为 <p>333</p>；    将名称为【生日】的字段内容 空 修改为 2022-10-06；    将名称为【性别】的字段内容 空 修改为 1；    将名称为【所属部门】的字段内容 空 修改为 6d35e179cd814e3299bd588ea7daed3f；    将名称为【年龄】的字段内容 空 修改为 22；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580825874562428930', 'admin', TO_DATE('2022-10-14 15:40:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_main001', '1580825874361102338', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580825931193921538', 'admin', TO_DATE('2022-10-14 15:40:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_main001', '1580825874361102338', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580825997833023490', 'admin', TO_DATE('2022-10-14 15:41:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_main001', '1580825874361102338', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580826120168288258', 'admin', TO_DATE('2022-10-14 15:41:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_main001', '1580825874361102338', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580826171309436929', 'admin', TO_DATE('2022-10-14 15:41:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_main001', '1580825874361102338', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580826404688900097', 'admin', TO_DATE('2022-10-14 15:42:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_main001', '1580825874361102338', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580827034358788098', 'admin', TO_DATE('2022-10-14 15:45:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580824545521709058', '  将名称为【打卡时间】的字段内容 空 修改为 2022-10-07 15:45:05；    将名称为【生日】的字段内容 空 修改为 2022-10-13；    将名称为【性别】的字段内容 空 修改为 1；    将名称为【年龄】的字段内容 空 修改为 78；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580836377393258497', 'admin', TO_DATE('2022-10-14 16:22:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_demo', '4028810c6b02cba2016b02cba21f0000', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1580842495075049473', 'admin', TO_DATE('2022-10-14 16:46:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580824545521709058', '  将名称为【备注】的字段内容 空 修改为 <p>222</p>；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1581934124192116738', 'admin', TO_DATE('2022-10-17 17:04:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_main001', '1580825874361102338', '  将名称为【描述】的字段内容 111 修改为 111111；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584467456679436289', 'admin', TO_DATE('2022-10-24 16:50:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1580563072002174977', '  将名称为【用户名】的字段内容 测试js增强设置默认值222 修改为 测试js增强修改表单值；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584479680101834753', 'admin', TO_DATE('2022-10-24 17:39:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1580562545285672961', '  将名称为【用户名】的字段内容 测试js增强设置默认值 修改为 测试js增强修改表单值；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584479719889002497', 'admin', TO_DATE('2022-10-24 17:39:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1580562545285672961', '  将名称为【用户名】的字段内容 测试js增强设置默认值 修改为 测试js增强修改表单值；    将名称为【字典下拉】的字段内容 空 修改为 1；    将名称为【字典多选】的字段内容 空 修改为 2；    将名称为【字典单选】的字段内容 空 修改为 2；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584479762062729218', 'admin', TO_DATE('2022-10-24 17:39:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1584479761945288706', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584479801854091266', 'admin', TO_DATE('2022-10-24 17:39:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1584479761945288706', '  将名称为【用户名】的字段内容 测试js增强设置默认值 修改为 测试js增强修改表单值；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584479862642139138', 'admin', TO_DATE('2022-10-24 17:40:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【备注】的字段内容 23332290 修改为 23332290787；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584480385399218178', 'admin', TO_DATE('2022-10-24 17:42:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1580563072002174977', '  将名称为【用户名】的字段内容 测试js增强设置默认值222 修改为 测试js增强修改表单值；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584490663641833474', 'admin', TO_DATE('2022-10-24 18:23:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1580824545521709058', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584493996632924161', 'admin', TO_DATE('2022-10-24 18:36:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584499621706293250', 'admin', TO_DATE('2022-10-24 18:58:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ces_shop_goods', '1258783909887422466', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584503949301080066', 'admin', TO_DATE('2022-10-24 19:15:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ces_shop_goods', '1258783909887422466', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584503965872775170', 'admin', TO_DATE('2022-10-24 19:15:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580529718871674882', '  将名称为【他表字段】的字段内容 空 修改为 500；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584526394305241090', 'admin', TO_DATE('2022-10-24 20:45:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053743c002e', '  将名称为【省份】的字段内容 1230769253267836929 修改为 1230769290609725441；    将名称为【区】的字段内容 1230769855347593217 修改为 1230769620021972993；    将名称为【市】的字段内容 1230769769930592257 修改为 1230769470889299970；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584558944432103426', 'admin', TO_DATE('2022-10-24 22:54:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053743c002e', '  将名称为【省份】的字段内容 1230769290609725441 修改为 1230769253267836929；    将名称为【区】的字段内容 1230769620021972993 修改为 1230769407907631106；    将名称为【市】的字段内容 1230769470889299970 修改为 1230769347157331969；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584562117972533250', 'admin', TO_DATE('2022-10-24 23:07:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ces_shop_goods', '1258408897326149634', '  将名称为【商品名字】的字段内容 华为手机note 修改为 华为手机note11；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584562140730826754', 'admin', TO_DATE('2022-10-24 23:07:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 5000；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584565536531619842', 'admin', TO_DATE('2022-10-24 23:20:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053b2b10030', '  将名称为【省份】的字段内容 1230769253267836929 修改为 1230769290609725441；    将名称为【区】的字段内容 1230769407907631106 修改为 空；    将名称为【市】的字段内容 1230769347157331969 修改为 空；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584565549508796417', 'admin', TO_DATE('2022-10-24 23:20:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584723571270971394', 'admin', TO_DATE('2022-10-25 09:48:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1584479761945288706', '  将名称为【用户名】的字段内容 测试js增强设置默认值 修改为 测试js增强修改表单值；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584743370139070465', 'admin', TO_DATE('2022-10-25 11:07:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584743880762028034', 'admin', TO_DATE('2022-10-25 11:09:19', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ai_control_single', '1584479761945288706', '  将名称为【用户名】的字段内容 测试js增强设置默认值 修改为 测试js增强修改表单值；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584744029085200385', 'admin', TO_DATE('2022-10-25 11:09:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 500；    将名称为【关联记录】的字段内容 1258408897326149634 修改为 1258783909887422466；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584744360393273346', 'admin', TO_DATE('2022-10-25 11:11:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580529718871674882', '  将名称为【他表字段】的字段内容 空 修改为 500；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584751054817030145', 'admin', TO_DATE('2022-10-25 11:37:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '  将名称为【省份】的字段内容 1230769290609725441 修改为 1230769253267836929；    将名称为【区】的字段内容 1230769620021972993 修改为 1230769855347593217；    将名称为【市】的字段内容 1230769470889299970 修改为 1230769769930592257；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584751163625664514', 'admin', TO_DATE('2022-10-25 11:38:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ces_shop_goods', '1584751163470475266', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584751171917803522', 'admin', TO_DATE('2022-10-25 11:38:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 222；    将名称为【关联记录】的字段内容 1258783909887422466 修改为 1584751163470475266；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584755047844769793', 'admin', TO_DATE('2022-10-25 11:53:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ces_shop_goods', '1584751163470475266', '  将名称为【价格】的字段内容 222.00000 修改为 222.00110；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584755064240304130', 'admin', TO_DATE('2022-10-25 11:53:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 222.0011；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584755181374631938', 'admin', TO_DATE('2022-10-25 11:54:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '  将名称为【省份】的字段内容 1230769253267836929 修改为 1230769290609725441；    将名称为【区】的字段内容 1230769855347593217 修改为 1230769620021972993；    将名称为【市】的字段内容 1230769769930592257 修改为 1230769470889299970；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584837368534937602', 'admin', TO_DATE('2022-10-25 17:20:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_001', '1584837368463634433', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584837462831280129', 'admin', TO_DATE('2022-10-25 17:21:11', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ces_shop_goods', '1584751163470475266', '  将名称为【出厂时间】的字段内容 空 修改为 2022-09-30；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584837476886392834', 'admin', TO_DATE('2022-10-25 17:21:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 222.0011；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584837625570275330', 'admin', TO_DATE('2022-10-25 17:21:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_demo1', '1532265688470265858', '  将名称为【备注】的字段内容 空 修改为 所发生的；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584837705593401345', 'admin', TO_DATE('2022-10-25 17:22:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053743c002e', '  将名称为【区】的字段内容 1230769407907631106 修改为 1230769855347593217；    将名称为【市】的字段内容 1230769347157331969 修改为 1230769769930592257；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1584837730956357633', 'admin', TO_DATE('2022-10-25 17:22:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053b2b10030', '  将名称为【区】的字段内容 空 修改为 1230769620021972993；    将名称为【市】的字段内容 空 修改为 1230769470889299970；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585122474969415682', 'admin', TO_DATE('2022-10-26 12:13:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe01708053b2b10030', '  将名称为【省份】的字段内容 1230769290609725441 修改为 1230769253267836929；    将名称为【区】的字段内容 1230769620021972993 修改为 1230769855347593217；    将名称为【市】的字段内容 1230769470889299970 修改为 1230769769930592257；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585122523522678785', 'admin', TO_DATE('2022-10-26 12:13:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ces_shop_goods', '1584751163470475266', '  将名称为【商品名字】的字段内容 单表示例 修改为 单表示例222；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585122531546382337', 'admin', TO_DATE('2022-10-26 12:13:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580510370266238978', '  将名称为【他表字段】的字段内容 空 修改为 222.0011；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585129142025338881', 'admin', TO_DATE('2022-10-26 12:40:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1585129141824012290', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585129199265005569', 'admin', TO_DATE('2022-10-26 12:40:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_enhance_select', '402880e570801ffe017080538b24002f', '  将名称为【省份】的字段内容 1230769290609725441 修改为 1230769253267836929；    将名称为【区】的字段内容 1230769620021972993 修改为 1230769855347593217；    将名称为【市】的字段内容 1230769470889299970 修改为 1230769769930592257；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585143398665961473', 'admin', TO_DATE('2022-10-26 13:36:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1585129141824012290', '  将名称为【他表字段】的字段内容 空 修改为 5000；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585143431406698498', 'admin', TO_DATE('2022-10-26 13:36:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_demo', '4028810c6b02cba2016b02cba21f0000', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585591474300100610', 'admin', TO_DATE('2022-10-27 19:17:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1585129141824012290', '  将名称为【他表字段】的字段内容 空 修改为 5000；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1585593970338799618', 'admin', TO_DATE('2022-10-27 19:27:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'v3_hello', '1580529718871674882', '  将名称为【他表字段】的字段内容 空 修改为 500；    将名称为【名字】的字段内容 刘艳 修改为 刘艳1；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('4028ef8153c028db0153c0502e6b0003', 'admin', TO_DATE('2016-03-29 10:59:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '4028ef8153c028db0153c0502d420002', '{"mobilePhone":"18455477548","officePhone":"123","email":"","createDate":"Mar 29, 2016 10:59:53 AM","depId":"402880e447e99cf10147e9a03b320003","userName":"123","status":"0","id":"4028ef8153c028db0153c0502d420002"}', '1', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('4028ef8153c028db0153c0509aa40006', 'admin', TO_DATE('2016-03-29 11:00:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '4028ef8153c028db0153c0509a3e0005', '{"mobilePhone":"13565486458","officePhone":"","email":"","createDate":"Mar 29, 2016 11:00:21 AM","depId":"402880e447e99cf10147e9a03b320003","userName":"22","status":"0","id":"4028ef8153c028db0153c0509a3e0005"}', '1', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('4028ef8153c028db0153c051c4a70008', 'admin', TO_DATE('2016-03-29 11:01:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '4028ef8153c028db0153c0509a3e0005', '{"mobilePhone":"13565486458","officePhone":"","email":"","createDate":"Mar 29, 2016 11:00:21 AM","depId":"402880e447e99cf10147e9a03b320003","userName":"22","status":"0","id":"4028ef8153c028db0153c0509a3e0005"}', '2', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('4028ef8153c028db0153c051d4b5000a', 'admin', TO_DATE('2016-03-29 11:01:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '4028ef8153c028db0153c0502d420002', '{"mobilePhone":"13565486458","officePhone":"123","email":"","createDate":"Mar 29, 2016 10:59:53 AM","depId":"402880e447e99cf10147e9a03b320003","userName":"123","status":"0","id":"4028ef8153c028db0153c0502d420002"}', '2', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('4028ef8153c028db0153c07033d8000d', 'admin', TO_DATE('2016-03-29 11:34:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '4028ef8153c028db0153c0502d420002', '{"mobilePhone":"13565486458","officePhone":"123","email":"","age":23,"createDate":"Mar 29, 2016 10:59:53 AM","depId":"402880e447e99cf10147e9a03b320003","userName":"123","status":"0","id":"4028ef8153c028db0153c0502d420002"}', '3', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('4028ef8153c028db0153c070492e000f', 'admin', TO_DATE('2016-03-29 11:34:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '4028ef8153c028db0153c0509a3e0005', '{"mobilePhone":"13565486458","officePhone":"","email":"","age":22,"createDate":"Mar 29, 2016 11:00:21 AM","depId":"402880e447e99cf10147e9a03b320003","userName":"22","status":"0","id":"4028ef8153c028db0153c0509a3e0005"}', '3', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('4028ef81550c1a7901550c1cd7850002', 'admin', TO_DATE('2016-06-01 21:17:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '4028ef81550c1a7901550c1cd6e70001', '{"mobilePhone":"","officePhone":"","email":"","createDate":"Jun 1, 2016 9:17:44 PM","sex":"1","depId":"402880e447e99cf10147e9a03b320003","userName":"121221","status":"0","id":"4028ef81550c1a7901550c1cd6e70001"}', '1', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('4028ef81568c31ec01568c3307080004', 'admin', TO_DATE('2016-08-15 11:16:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '4028ef81550c1a7901550c1cd6e70001', '{"mobilePhone":"","officePhone":"","email":"","createDate":"Jun 23, 2016 12:00:00 PM","sex":"1","depId":"402880e447e99cf10147e9a03b320003","userName":"9001","status":"1","content":"111","id":"4028ef81550c1a7901550c1cd6e70001"}', '2', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587361366309310466', 'admin', TO_DATE('2022-11-01 16:30:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1586650800414519297', '  将名称为【部门】的字段内容 c6d7cb4deeac411cb3384b1b31278596 修改为 57197590443c44f083d42ae24ef26a2c；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587362273243664385', 'admin', TO_DATE('2022-11-01 16:33:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1586650800414519297', '  将名称为【部门】的字段内容 57197590443c44f083d42ae24ef26a2c 修改为 A01；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587367019220275201', 'admin', TO_DATE('2022-11-01 16:52:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【物料分类】的字段内容 空 修改为 1230769769930592257；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587373788424278017', 'admin', TO_DATE('2022-11-01 17:19:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1586650800414519297', '  将名称为【物料分类】的字段内容 1185039122143719425 修改为 1183693534173069314；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587386514257186818', 'admin', TO_DATE('2022-11-01 18:10:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【物料分类】的字段内容 1230769769930592257 修改为 1230769290609725441；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587386731111092225', 'admin', TO_DATE('2022-11-01 18:11:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【物料分类】的字段内容 1230769290609725441 修改为 1183693424827564034；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587387636954927105', 'admin', TO_DATE('2022-11-01 18:14:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【省市区】的字段内容 空 修改为 210504；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587387673680252929', 'admin', TO_DATE('2022-11-01 18:14:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【省市区】的字段内容 210504 修改为 130608；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587388008209551361', 'admin', TO_DATE('2022-11-01 18:16:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【省市区】的字段内容 130608 修改为 140212；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587388429615468546', 'admin', TO_DATE('2022-11-01 18:17:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587365083679002625', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587388793223876609', 'admin', TO_DATE('2022-11-01 18:19:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587365083679002625', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587389350982422529', 'admin', TO_DATE('2022-11-01 18:21:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【物料分类】的字段内容 1183693424827564034 修改为 1185039122143719425；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587389379570798594', 'admin', TO_DATE('2022-11-01 18:21:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587389379436580866', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587389814314602498', 'admin', TO_DATE('2022-11-01 18:23:19', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587389379436580866', '  将名称为【物料分类】的字段内容 1183693424827564034 修改为 1230769196661510146；    将名称为【省市区】的字段内容 空 修改为 220403；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587389853166440449', 'admin', TO_DATE('2022-11-01 18:23:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587389379436580866', '  将名称为【物料分类】的字段内容 1230769196661510146 修改为 5c8f68845e57f68ab93a2c8d82d26ae1；    将名称为【省市区】的字段内容 220403 修改为 110105；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587389894396448770', 'admin', TO_DATE('2022-11-01 18:23:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587389894266425345', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587389918257844226', 'admin', TO_DATE('2022-11-01 18:23:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587389894266425345', '  将名称为【物料分类】的字段内容 空 修改为 1185039122143719425；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587390962102669313', 'admin', TO_DATE('2022-11-01 18:27:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587365083679002625', '  将名称为【物料分类】的字段内容 1185039122143719425 修改为 5c8f68845e57f68ab93a2c8d82d26ae1；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587391433768931330', 'admin', TO_DATE('2022-11-01 18:29:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587391433634713601', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587396600325181442', 'admin', TO_DATE('2022-11-01 18:50:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587391433634713601', '  将名称为【文件】的字段内容 空 修改为 temp/jeecg33_1667299809336.jpg；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587396657636151298', 'admin', TO_DATE('2022-11-01 18:50:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587391433634713601', '  将名称为【图片】的字段内容 空 修改为 temp/20211101103911_1667299828205.png；    将名称为【文件】的字段内容 temp/jeecg33_1667299809336.jpg 修改为 temp/jeecg222_1667299825630.png；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587396709444194305', 'admin', TO_DATE('2022-11-01 18:50:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587391433634713601', '  将名称为【图片】的字段内容 temp/20211101103911_1667299828205.png 修改为 temp/20211101103911_1667299828205.png,temp/版本升级_1667299837808.jpg；    将名称为【文件】的字段内容 temp/jeecg222_1667299825630.png 修改为 temp/jeecg222_1667299825630.png,temp/版本升级_1667299840515.jpg；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587399296021139457', 'admin', TO_DATE('2022-11-01 19:00:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587391433634713601', '  将名称为【物料分类】的字段内容 1183693424827564034 修改为 5c8f68845e57f68ab93a2c8d82d26ae1；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587399326702473218', 'admin', TO_DATE('2022-11-01 19:01:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587399326509535234', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587399357216034817', 'admin', TO_DATE('2022-11-01 19:01:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587399326509535234', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587399379198382081', 'admin', TO_DATE('2022-11-01 19:01:19', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587399378997055489', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587400302238863361', 'admin', TO_DATE('2022-11-01 19:04:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587399378997055489', '  将名称为【性别】的字段内容 空 修改为 1；    将名称为【单选框】的字段内容 空 修改为 2；    将名称为【物料分类】的字段内容 5c8f68845e57f68ab93a2c8d82d26ae1 修改为 1183693424827564034；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587400411320127490', 'admin', TO_DATE('2022-11-01 19:05:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587399378997055489', '  将名称为【图片】的字段内容 空 修改为 temp/QQ图片20211101112222_1667300717072.png；    将名称为【部门】的字段内容 空 修改为 A01；    将名称为【开关】的字段内容 N 修改为 Y；    将名称为【文件】的字段内容 空 修改为 temp/QQ图片20211101112222-副本_1667300715161.png；    将名称为【省市区】的字段内容 空 修改为 120103；    将名称为【弹出报表】的字段内容 空 修改为 aaa；    将名称为【用户】的字段内容 空 修改为 jeecg；    将名称为【富文本】的字段内容 空 修改为 <p>1111</p>；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587401260700241921', 'admin', TO_DATE('2022-11-01 19:08:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587399378997055489', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587401793527844866', 'admin', TO_DATE('2022-11-01 19:10:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587399378997055489', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587401815547940866', 'admin', TO_DATE('2022-11-01 19:11:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587401815417917441', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587402380621352962', 'admin', TO_DATE('2022-11-01 19:13:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587401815417917441', '  将名称为【单选框】的字段内容 空 修改为 1；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587402470664671234', 'admin', TO_DATE('2022-11-01 19:13:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587401815417917441', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587402491011239937', 'admin', TO_DATE('2022-11-01 19:13:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587401815417917441', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587402587140493313', 'admin', TO_DATE('2022-11-01 19:14:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587401815417917441', '  将名称为【物料分类】的字段内容 空 修改为 1183693424827564034；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587402623035346945', 'admin', TO_DATE('2022-11-01 19:14:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587401815417917441', '  将名称为【物料分类】的字段内容 1183693424827564034 修改为 1183693534173069314；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587404334768558081', 'admin', TO_DATE('2022-11-01 19:21:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587401815417917441', '  将名称为【物料分类】的字段内容 1183693534173069314 修改为 1183693424827564034；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587406987665838082', 'admin', TO_DATE('2022-11-01 19:31:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587406987472900097', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1587407014165450754', 'admin', TO_DATE('2022-11-01 19:31:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587406987472900097', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1589463238847455233', 'admin', TO_DATE('2022-11-07 11:42:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1587406987472900097', '  将名称为【性别】的字段内容 空 修改为 1；    将名称为【下单时间】的字段内容 空 修改为 2022-11-06 11:41:49；    将名称为【图片】的字段内容 空 修改为 temp/11_1667792532793.jpg；    将名称为【年龄】的字段内容 空 修改为 22；    将名称为【单选框】的字段内容 1 修改为 2；    将名称为【生日】的字段内容 空 修改为 2022-11-02；    将名称为【薪资】的字段内容 空 修改为 222.000；    将名称为【部门】的字段内容 空 修改为 A01；    将名称为【备注】的字段内容 空 修改为 22；    将名称为【物料分类】的字段内容 1185039122143719425 修改为 1230769196661510146；    将名称为【开关】的字段内容 N 修改为 Y；    将名称为【文件】的字段内容 空 修改为 temp/11_1667792530776.jpg；    将名称为【省市区】的字段内容 110105 修改为 130203；    将名称为【弹出报表】的字段内容 空 修改为 zhang daihao；    将名称为【用户】的字段内容 空 修改为 admin；    将名称为【富文本】的字段内容 空 修改为 <p>333</p>；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1589575791242080258', 'admin', TO_DATE('2022-11-07 19:09:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1589469175033335809', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1589575924025356290', 'admin', TO_DATE('2022-11-07 19:10:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1589465733170696194', '  将名称为【aa】的字段内容 空 修改为 asd；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1589621133987786753', 'admin', TO_DATE('2022-11-07 22:09:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_demo', '4028810c6b02cba2016b02cba21f0000', '  将名称为【checkbox】的字段内容 空 修改为 2；    将名称为【城市】的字段内容 空 修改为 120101；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1590362009517109250', 'admin', TO_DATE('2022-11-09 23:13:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1589469175033335809', '  将名称为【用户名】的字段内容 555 修改为 55599；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1595346653387911170', 'admin', TO_DATE('2022-11-23 17:20:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_order_main', '1589516804530339842', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1595601291844468738', 'admin', TO_DATE('2022-11-24 10:12:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1589465733170696194', '  将名称为【部门】的字段内容 c6d7cb4deeac411cb3384b1b31278596 修改为 A02；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1595601360412950529', 'admin', TO_DATE('2022-11-24 10:13:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1589469175033335809', '  将名称为【部门】的字段内容 空 修改为 A01；    将名称为【弹出报表】的字段内容 空 修改为 名字；    将名称为【用户】的字段内容 空 修改为 jeecg；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1597149069037002754', 'admin', TO_DATE('2022-11-28 16:43:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'demo_field_def_val_main', '1580543461659652098', NULL, '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1597149156505018370', 'admin', TO_DATE('2022-11-28 16:43:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'test_order_main', '1597149156089782273', ' 创建了记录', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('1631938221120933890', 'admin', TO_DATE('2023-03-04 16:42:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'ceshi_note', '1589469175033335809', '  将名称为【用户名】的字段内容 55599 修改为 55599121；  ', '1', 'comment');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('402880f05ab0d198015ab12274bf0006', 'admin', TO_DATE('2017-03-09 11:35:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '4028ef81550c1a7901550c1cd6e70001', '{"mobilePhone":"","officePhone":"","email":"","createDate":"Jun 23, 2016 12:00:00 PM","sex":"1","depId":"402880e447e99cf10147e9a03b320003","userName":"9001","status":"1","content":"111","id":"4028ef81550c1a7901550c1cd6e70001"}', '3', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('402880f05ab6d12b015ab700bead0009', 'admin', TO_DATE('2017-03-10 14:56:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '402880f05ab6d12b015ab700be8d0008', '{"mobilePhone":"","officePhone":"","email":"","createDate":"Mar 10, 2017 2:56:03 PM","sex":"0","depId":"402880e447e99cf10147e9a03b320003","userName":"111","status":"0","id":"402880f05ab6d12b015ab700be8d0008"}', '1', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('402880f05ab6d12b015ab705a23f000d', 'admin', TO_DATE('2017-03-10 15:01:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '402880f05ab6d12b015ab705a233000c', '{"mobilePhone":"","officePhone":"11","email":"","createDate":"Mar 10, 2017 3:01:24 PM","sex":"0","depId":"402880e447e99cf10147e9a03b320003","userName":"11","status":"0","id":"402880f05ab6d12b015ab705a233000c"}', '1', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('402880f05ab6d12b015ab712a6420013', 'admin', TO_DATE('2017-03-10 15:15:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '402880f05ab6d12b015ab712a6360012', '{"mobilePhone":"","officePhone":"","email":"","createDate":"Mar 10, 2017 3:15:37 PM","sex":"0","depId":"402880e447e99cf10147e9a03b320003","userName":"小王","status":"0","id":"402880f05ab6d12b015ab712a6360012"}', '1', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('402880f05ab6d12b015ab712d0510015', 'admin', TO_DATE('2017-03-10 15:15:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '402880f05ab6d12b015ab712a6360012', '{"mobilePhone":"18611788525","officePhone":"","email":"","createDate":"Mar 10, 2017 3:15:37 AM","sex":"0","depId":"402880e447e99cf10147e9a03b320003","userName":"小王","status":"0","id":"402880f05ab6d12b015ab712a6360012"}', '2', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('402880f05ab6d12b015ab71308240018', 'admin', TO_DATE('2017-03-10 15:16:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '8a8ab0b246dc81120146dc81860f016f', '{"mobilePhone":"13111111111","officePhone":"66666666","email":"demo@jeecg.com","age":12,"salary":10.00,"birthday":"Feb 14, 2014 12:00:00 AM","sex":"1","depId":"402880e447e99cf10147e9a03b320003","userName":"小明","status":"","content":"","id":"8a8ab0b246dc81120146dc81860f016f"}', '1', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('402880f05ab6d12b015ab72806c3001b', 'admin', TO_DATE('2017-03-10 15:38:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '8a8ab0b246dc81120146dc81860f016f', '{"mobilePhone":"18611788888","officePhone":"66666666","email":"demo@jeecg.com","age":12,"salary":10.00,"birthday":"Feb 14, 2014 12:00:00 AM","sex":"1","depId":"402880e447e99cf10147e9a03b320003","userName":"小明","status":"","content":"","id":"8a8ab0b246dc81120146dc81860f016f"}', '2', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('4028ef815318148a0153181567690001', 'admin', TO_DATE('2016-02-25 18:59:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '4028ef815318148a0153181566270000', '{"mobilePhone":"13423423423","officePhone":"1","email":"","age":1,"salary":1,"birthday":"Feb 25, 2016 12:00:00 AM","createDate":"Feb 25, 2016 6:59:24 PM","depId":"402880e447e9a9570147e9b6a3be0005","userName":"1","status":"0","id":"4028ef815318148a0153181566270000"}', '1', 'json');
INSERT INTO "JEECGBOOT"."SYS_DATA_LOG" VALUES ('4028ef815318148a01531815ec5c0003', 'admin', TO_DATE('2016-02-25 19:00:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'jeecg_demo', '4028ef815318148a0153181566270000', '{"mobilePhone":"13426498659","officePhone":"1","email":"","age":1,"salary":1.00,"birthday":"Feb 25, 2016 12:00:00 AM","createDate":"Feb 25, 2016 6:59:24 AM","depId":"402880e447e9a9570147e9b6a3be0005","userName":"1","status":"0","id":"4028ef815318148a0153181566270000"}', '2', 'json');

-- ----------------------------
-- Table structure for SYS_DATA_SOURCE
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_DATA_SOURCE";
CREATE TABLE "JEECGBOOT"."SYS_DATA_SOURCE" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CODE" NVARCHAR2(100),
  "NAME" NVARCHAR2(100),
  "REMARK" NVARCHAR2(200),
  "DB_TYPE" NVARCHAR2(10),
  "DB_DRIVER" NVARCHAR2(100),
  "DB_URL" NVARCHAR2(500),
  "DB_NAME" NVARCHAR2(100),
  "DB_USERNAME" NVARCHAR2(100),
  "DB_PASSWORD" NVARCHAR2(100),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(64),
  "TENANT_ID" NUMBER(11,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."CODE" IS '数据源编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."NAME" IS '数据源名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."REMARK" IS '备注';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."DB_TYPE" IS '数据库类型';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."DB_DRIVER" IS '驱动类';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."DB_URL" IS '数据源地址';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."DB_NAME" IS '数据库名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."DB_USERNAME" IS '用户名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."DB_PASSWORD" IS '密码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."SYS_ORG_CODE" IS '所属部门';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DATA_SOURCE"."TENANT_ID" IS '租户ID';

-- ----------------------------
-- Records of SYS_DATA_SOURCE
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_DATA_SOURCE" VALUES ('1209779538310004737', 'local_mysql', 'MySQL5.7', '本地数据库MySQL5.7', '1', 'com.mysql.jdbc.Driver', 'jdbc:mysql://127.0.0.1:3306/jeecg-boot?characterEncoding=UTF-8&useUnicode=true&useSSL=false', 'jeecg-boot', 'root', 'f5b6775e8d1749483f2320627de0e706', 'admin', TO_DATE('2019-12-25 18:14:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-07-10 16:54:42', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '0');

-- ----------------------------
-- Table structure for SYS_DEPART
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_DEPART";
CREATE TABLE "JEECGBOOT"."SYS_DEPART" (
  "ID" NVARCHAR2(32) NOT NULL,
  "PARENT_ID" NVARCHAR2(32),
  "DEPART_NAME" NVARCHAR2(100) NOT NULL,
  "DEPART_NAME_EN" NVARCHAR2(500),
  "DEPART_NAME_ABBR" NVARCHAR2(500),
  "DEPART_ORDER" NUMBER(11,0),
  "DESCRIPTION" NVARCHAR2(500),
  "ORG_CATEGORY" NVARCHAR2(10) NOT NULL,
  "ORG_TYPE" NVARCHAR2(10),
  "ORG_CODE" NVARCHAR2(64) NOT NULL,
  "MOBILE" NVARCHAR2(32),
  "FAX" NVARCHAR2(32),
  "ADDRESS" NVARCHAR2(100),
  "MEMO" NVARCHAR2(500),
  "STATUS" NVARCHAR2(1),
  "DEL_FLAG" NVARCHAR2(1),
  "QYWX_IDENTIFIER" NVARCHAR2(100),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "TENANT_ID" NUMBER(11,0),
  "IZ_LEAF" NUMBER(4,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."ID" IS 'ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."PARENT_ID" IS '父机构ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."DEPART_NAME" IS '机构/部门名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."DEPART_NAME_EN" IS '英文名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."DEPART_NAME_ABBR" IS '缩写';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."DEPART_ORDER" IS '排序';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."ORG_CATEGORY" IS '机构类别 1公司，2组织机构，2岗位';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."ORG_TYPE" IS '机构类型 1一级部门 2子部门';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."ORG_CODE" IS '机构编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."MOBILE" IS '手机号';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."FAX" IS '传真';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."ADDRESS" IS '地址';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."MEMO" IS '备注';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."STATUS" IS '状态（1启用，0不启用）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."DEL_FLAG" IS '删除状态（0，正常，1已删除）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."QYWX_IDENTIFIER" IS '对接企业微信的ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."TENANT_ID" IS '租户ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART"."IZ_LEAF" IS '是否有叶子节点: 1是0否';
COMMENT ON TABLE "JEECGBOOT"."SYS_DEPART" IS '组织机构表';

-- ----------------------------
-- Records of SYS_DEPART
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_DEPART" VALUES ('1582683631414632450', 'c6d7cb4deeac411cb3384b1b31278596', '销售公关岗位', NULL, NULL, '0', NULL, '3', '2', 'A01A06', NULL, NULL, NULL, NULL, NULL, '0', NULL, 'admin', TO_DATE('2022-10-19 18:42:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0');
INSERT INTO "JEECGBOOT"."SYS_DEPART" VALUES ('4f1765520d6346f9bd9c79e2479e5b12', 'c6d7cb4deeac411cb3384b1b31278596', '市场部', NULL, NULL, '0', NULL, '1', '2', 'A01A03', NULL, NULL, NULL, NULL, NULL, '0', NULL, 'admin', TO_DATE('2019-02-20 17:15:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-26 16:36:18', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0');
INSERT INTO "JEECGBOOT"."SYS_DEPART" VALUES ('5159cde220114246b045e574adceafe9', '6d35e179cd814e3299bd588ea7daed3f', '研发部', NULL, NULL, '0', NULL, '1', '2', 'A02A02', NULL, NULL, NULL, NULL, NULL, '0', NULL, 'admin', TO_DATE('2019-02-26 16:44:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-07 09:36:53', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0');
INSERT INTO "JEECGBOOT"."SYS_DEPART" VALUES ('57197590443c44f083d42ae24ef26a2c', 'c6d7cb4deeac411cb3384b1b31278596', '研发部', NULL, NULL, '0', NULL, '1', '2', 'A01A05', NULL, NULL, NULL, NULL, NULL, '0', NULL, 'admin', TO_DATE('2019-02-21 16:14:41', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-27 19:05:49', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0');
INSERT INTO "JEECGBOOT"."SYS_DEPART" VALUES ('63775228b7b041a99825f79760590b7d', '57197590443c44f083d42ae24ef26a2c', '研发经理', NULL, NULL, '0', NULL, '3', '3', 'A01A05A01', NULL, NULL, NULL, NULL, NULL, '0', NULL, 'admin', TO_DATE('2020-05-02 15:29:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0');
INSERT INTO "JEECGBOOT"."SYS_DEPART" VALUES ('67fc001af12a4f9b8458005d3f19934a', 'c6d7cb4deeac411cb3384b1b31278596', '财务部', NULL, NULL, '0', NULL, '1', '2', 'A01A04', NULL, NULL, NULL, NULL, NULL, '0', NULL, 'admin', TO_DATE('2019-02-21 16:14:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-25 12:49:41', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0');
INSERT INTO "JEECGBOOT"."SYS_DEPART" VALUES ('6d35e179cd814e3299bd588ea7daed3f', NULL, '北京卓尔互动', NULL, NULL, '0', NULL, '1', '1', 'A02', NULL, NULL, NULL, NULL, NULL, '0', NULL, 'admin', TO_DATE('2019-02-26 16:36:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 18:21:22', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0');
INSERT INTO "JEECGBOOT"."SYS_DEPART" VALUES ('a7d7e77e06c84325a40932163adcdaa6', '6d35e179cd814e3299bd588ea7daed3f', '财务部', NULL, NULL, '0', NULL, '1', '2', 'A02A01', NULL, NULL, NULL, NULL, NULL, '0', NULL, 'admin', TO_DATE('2019-02-26 16:36:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 18:57:56', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0');
INSERT INTO "JEECGBOOT"."SYS_DEPART" VALUES ('c6d7cb4deeac411cb3384b1b31278596', NULL, '北京国炬软件', NULL, NULL, '0', NULL, '1', '1', 'A01', NULL, NULL, NULL, NULL, NULL, '0', NULL, 'admin', TO_DATE('2019-02-11 14:21:51', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 18:21:27', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0');

-- ----------------------------
-- Table structure for SYS_DEPART_PERMISSION
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_DEPART_PERMISSION";
CREATE TABLE "JEECGBOOT"."SYS_DEPART_PERMISSION" (
  "ID" NVARCHAR2(32) NOT NULL,
  "DEPART_ID" NVARCHAR2(32),
  "PERMISSION_ID" NVARCHAR2(32),
  "DATA_RULE_IDS" NVARCHAR2(1000)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_PERMISSION"."DEPART_ID" IS '部门id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_PERMISSION"."PERMISSION_ID" IS '权限id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_PERMISSION"."DATA_RULE_IDS" IS '数据规则id';
COMMENT ON TABLE "JEECGBOOT"."SYS_DEPART_PERMISSION" IS '部门权限表';

-- ----------------------------
-- Records of SYS_DEPART_PERMISSION
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_DEPART_PERMISSION" VALUES ('1260925131934519297', '6d35e179cd814e3299bd588ea7daed3f', 'f0675b52d89100ee88472b6800754a08', NULL);
INSERT INTO "JEECGBOOT"."SYS_DEPART_PERMISSION" VALUES ('1260925131947102209', '6d35e179cd814e3299bd588ea7daed3f', '2aeddae571695cd6380f6d6d334d6e7d', NULL);
INSERT INTO "JEECGBOOT"."SYS_DEPART_PERMISSION" VALUES ('1260925131955490818', '6d35e179cd814e3299bd588ea7daed3f', '020b06793e4de2eee0007f603000c769', NULL);
INSERT INTO "JEECGBOOT"."SYS_DEPART_PERMISSION" VALUES ('1260925131959685121', '6d35e179cd814e3299bd588ea7daed3f', '1232123780958064642', NULL);

-- ----------------------------
-- Table structure for SYS_DEPART_ROLE
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_DEPART_ROLE";
CREATE TABLE "JEECGBOOT"."SYS_DEPART_ROLE" (
  "ID" NVARCHAR2(32) NOT NULL,
  "DEPART_ID" NVARCHAR2(32),
  "ROLE_NAME" NVARCHAR2(200),
  "ROLE_CODE" NVARCHAR2(100),
  "DESCRIPTION" NVARCHAR2(255),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE"."DEPART_ID" IS '部门id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE"."ROLE_NAME" IS '部门角色名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE"."ROLE_CODE" IS '部门角色编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE"."UPDATE_TIME" IS '更新时间';
COMMENT ON TABLE "JEECGBOOT"."SYS_DEPART_ROLE" IS '部门角色表';

-- ----------------------------
-- Records of SYS_DEPART_ROLE
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_DEPART_ROLE" VALUES ('1260925293226479618', '6d35e179cd814e3299bd588ea7daed3f', 'roless', 'ssss', NULL, 'admin', TO_DATE('2020-05-14 21:29:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);

-- ----------------------------
-- Table structure for SYS_DEPART_ROLE_PERMISSION
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION";
CREATE TABLE "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION" (
  "ID" NVARCHAR2(32) NOT NULL,
  "DEPART_ID" NVARCHAR2(32),
  "ROLE_ID" NVARCHAR2(32),
  "PERMISSION_ID" NVARCHAR2(32),
  "DATA_RULE_IDS" NVARCHAR2(1000),
  "OPERATE_DATE" DATE,
  "OPERATE_IP" NVARCHAR2(20)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION"."DEPART_ID" IS '部门id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION"."ROLE_ID" IS '角色id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION"."PERMISSION_ID" IS '权限id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION"."DATA_RULE_IDS" IS '数据权限ids';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION"."OPERATE_DATE" IS '操作时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION"."OPERATE_IP" IS '操作ip';
COMMENT ON TABLE "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION" IS '部门角色权限表';

-- ----------------------------
-- Records of SYS_DEPART_ROLE_PERMISSION
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION" VALUES ('1260925328689319938', NULL, '1260925293226479618', '2aeddae571695cd6380f6d6d334d6e7d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION" VALUES ('1260925328706097153', NULL, '1260925293226479618', '020b06793e4de2eee0007f603000c769', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for SYS_DEPART_ROLE_USER
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_DEPART_ROLE_USER";
CREATE TABLE "JEECGBOOT"."SYS_DEPART_ROLE_USER" (
  "ID" NVARCHAR2(32) NOT NULL,
  "USER_ID" NVARCHAR2(32),
  "DROLE_ID" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE_USER"."ID" IS '主键id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE_USER"."USER_ID" IS '用户id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DEPART_ROLE_USER"."DROLE_ID" IS '角色id';
COMMENT ON TABLE "JEECGBOOT"."SYS_DEPART_ROLE_USER" IS '部门角色用户表';

-- ----------------------------
-- Records of SYS_DEPART_ROLE_USER
-- ----------------------------

-- ----------------------------
-- Table structure for SYS_DICT
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_DICT";
CREATE TABLE "JEECGBOOT"."SYS_DICT" (
  "ID" NVARCHAR2(32) NOT NULL,
  "DICT_NAME" NVARCHAR2(100) NOT NULL,
  "DICT_CODE" NVARCHAR2(100) NOT NULL,
  "DESCRIPTION" NVARCHAR2(255),
  "DEL_FLAG" NUMBER(11,0),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "TYPE" NUMBER(11,0),
  "TENANT_ID" NUMBER(11,0),
  "LOW_APP_ID" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT"."DICT_NAME" IS '字典名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT"."DICT_CODE" IS '字典编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT"."DEL_FLAG" IS '删除状态';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT"."TYPE" IS '字典类型0为string,1为number';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT"."TENANT_ID" IS '租户ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT"."LOW_APP_ID" IS '低代码应用ID';

-- ----------------------------
-- Records of SYS_DICT
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('0b5d19e1fce4b2e6647e6b4a17760c14', '通告类型', 'msg_category', '消息类型1:通知公告2:系统消息', '0', 'admin', TO_DATE('2019-04-22 18:01:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1174509082208395266', '职务职级', 'position_rank', '职务表职级字典', '0', 'admin', TO_DATE('2019-09-19 10:22:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1174511106530525185', '机构类型', 'org_category', '机构类型 1公司，2部门 3岗位', '0', 'admin', TO_DATE('2019-09-19 10:30:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1178295274528845826', '表单权限策略', 'form_perms_type', NULL, '0', 'admin', TO_DATE('2019-09-29 21:07:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-29 21:08:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1199517671259906049', '紧急程度', 'urgent_level', '日程计划紧急程度', '0', 'admin', TO_DATE('2019-11-27 10:37:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1199518099888414722', '日程计划类型', 'eoa_plan_type', NULL, '0', 'admin', TO_DATE('2019-11-27 10:39:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1199520177767587841', '分类栏目类型', 'eoa_cms_menu_type', NULL, '0', 'admin', TO_DATE('2019-11-27 10:47:51', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-11-27 10:49:35', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1199525215290306561', '日程计划状态', 'eoa_plan_status', NULL, '0', 'admin', TO_DATE('2019-11-27 11:07:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-11-27 11:10:11', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1209733563293962241', '数据库类型', 'database_type', NULL, '0', 'admin', TO_DATE('2019-12-25 15:12:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1232913193820581889', 'Online表单业务分类', 'ol_form_biz_type', NULL, '0', 'admin', TO_DATE('2020-02-27 14:19:46', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-27 14:20:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1242298510024429569', '提醒方式', 'remindMode', NULL, '0', 'admin', TO_DATE('2020-03-24 11:53:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-03-24 12:03:22', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1250687930947620866', '定时任务状态', 'quartz_status', NULL, '0', 'admin', TO_DATE('2020-04-16 15:30:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1280401766745718786', '租户状态', 'tenant_status', '租户状态', '0', 'admin', TO_DATE('2020-07-07 15:22:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1356445645198135298', '开关', 'is_open', NULL, '0', 'admin', TO_DATE('2021-02-02 11:33:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-02 15:28:12', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1600042215909134338', '所属行业', 'trade', '行业', '0', 'admin', TO_DATE('2022-12-06 16:19:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-12-06 16:20:50', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1600044537800331266', '公司规模', 'company_size', '公司规模', '0', 'admin', TO_DATE('2022-12-06 16:28:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-12-06 16:30:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1606645341269299201', '职级', 'company_rank', '公司职级', '0', 'admin', TO_DATE('2022-12-24 21:37:54', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-12-24 21:38:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('1606646440684457986', '公司部门', 'company_department', '公司部门', '0', 'admin', TO_DATE('2022-12-24 21:42:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('236e8a4baff0db8c62c00dd95632834f', '同步工作流引擎', 'activiti_sync', '同步工作流引擎', '0', 'admin', TO_DATE('2019-05-15 15:27:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('2e02df51611a4b9632828ab7e5338f00', '权限策略', 'perms_type', '权限策略', '0', 'admin', TO_DATE('2019-04-26 18:26:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('2f0320997ade5dd147c90130f7218c3e', '推送类别', 'msg_type', NULL, '0', 'admin', TO_DATE('2019-03-17 21:21:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-26 19:57:45', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('3486f32803bb953e7155dab3513dc68b', '删除状态', 'del_flag', NULL, '0', 'admin', TO_DATE('2019-01-18 21:46:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-30 11:17:11', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('3d9a351be3436fbefb1307d4cfb49bf2', '性别', 'sex', NULL, '0', NULL, TO_DATE('2019-01-04 14:56:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-30 11:28:27', 'SYYYY-MM-DD HH24:MI:SS'), '1', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('4274efc2292239b6f000b153f50823ff', '全局权限策略', 'global_perms_type', '全局权限策略', '0', 'admin', TO_DATE('2019-05-10 17:54:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('4c03fca6bf1f0299c381213961566349', 'Online图表展示模板', 'online_graph_display_template', 'Online图表展示模板', '0', 'admin', TO_DATE('2019-04-12 17:28:50', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('4c753b5293304e7a445fd2741b46529d', '字典状态', 'dict_item_status', NULL, '0', 'admin', TO_DATE('2020-06-18 23:18:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-30 19:33:52', 'SYYYY-MM-DD HH24:MI:SS'), '1', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('4d7fec1a7799a436d26d02325eff295e', '优先级', 'priority', '优先级', '0', 'admin', TO_DATE('2019-03-16 17:03:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-16 17:39:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('4e4602b3e3686f0911384e188dc7efb4', '条件规则', 'rule_conditions', NULL, '0', 'admin', TO_DATE('2019-04-01 10:15:03', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 10:30:47', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('4f69be5f507accea8d5df5f11346181a', '发送消息类型', 'msgType', NULL, '0', 'admin', TO_DATE('2019-04-11 14:27:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('68168534ff5065a152bfab275c2136f8', '有效无效状态', 'valid_status', '有效无效状态', '0', 'admin', TO_DATE('2020-09-26 19:21:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-26 19:21:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('6b78e3f59faec1a4750acff08030a79b', '用户类型', 'user_type', NULL, '0', NULL, TO_DATE('2019-01-04 14:59:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-18 23:28:18', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('72cce0989df68887546746d8f09811aa', 'Online表单类型', 'cgform_table_type', NULL, '0', 'admin', TO_DATE('2019-01-27 10:13:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-30 11:37:36', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('78bda155fe380b1b3f175f1e88c284c6', '流程状态', 'bpm_status', '流程状态', '0', 'admin', TO_DATE('2019-05-09 16:31:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('83bfb33147013cc81640d5fd9eda030c', '日志类型', 'log_type', NULL, '0', 'admin', TO_DATE('2019-03-18 23:22:19', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('845da5006c97754728bf48b6a10f79cc', '状态', 'status', NULL, '0', 'admin', TO_DATE('2019-03-18 21:45:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-18 21:58:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('880a895c98afeca9d9ac39f29e67c13e', '操作类型', 'operate_type', '操作类型', '0', 'admin', TO_DATE('2019-07-22 10:54:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('8dfe32e2d29ea9430a988b3b558bf233', '发布状态', 'send_status', '发布状态', '0', 'admin', TO_DATE('2019-04-16 17:40:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('a7adbcd86c37f7dbc9b66945c82ef9e6', '1是0否', 'yn', NULL, '0', 'admin', TO_DATE('2019-05-22 19:29:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('a9d9942bd0eccb6e89de92d130ec4c4a', '消息发送状态', 'msgSendStatus', NULL, '0', 'admin', TO_DATE('2019-04-12 18:18:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('ac2f7c0c5c5775fcea7e2387bcb22f01', '菜单类型', 'menu_type', NULL, '0', 'admin', TO_DATE('2020-12-18 23:24:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 15:27:06', 'SYYYY-MM-DD HH24:MI:SS'), '1', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('ad7c65ba97c20a6805d5dcdf13cdaf36', 'onlineT类型', 'ceshi_online', NULL, '0', 'admin', TO_DATE('2019-03-22 16:31:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-22 16:34:16', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('bd1b8bc28e65d6feefefb6f3c79f42fd', 'Online图表数据类型', 'online_graph_data_type', 'Online图表数据类型', '0', 'admin', TO_DATE('2019-04-12 17:24:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-12 17:24:57', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('c36169beb12de8a71c8683ee7c28a503', '部门状态', 'depart_status', NULL, '0', 'admin', TO_DATE('2019-03-18 21:59:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('c5a14c75172783d72cbee6ee7f5df5d1', 'Online图表类型', 'online_graph_type', 'Online图表类型', '0', 'admin', TO_DATE('2019-04-12 17:04:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('d6e1152968b02d69ff358c75b48a6ee1', '流程类型', 'bpm_process_type', NULL, '0', 'admin', TO_DATE('2021-02-22 19:26:54', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-30 18:14:44', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT" VALUES ('fc6cd58fde2e8481db10d3a1e68ce70c', '用户状态', 'user_status', NULL, '0', 'admin', TO_DATE('2019-03-18 21:57:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-18 23:11:58', 'SYYYY-MM-DD HH24:MI:SS'), '1', '0', NULL);

-- ----------------------------
-- Table structure for SYS_DICT_ITEM
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_DICT_ITEM";
CREATE TABLE "JEECGBOOT"."SYS_DICT_ITEM" (
  "ID" NVARCHAR2(32) NOT NULL,
  "DICT_ID" NVARCHAR2(32),
  "ITEM_TEXT" NVARCHAR2(100) NOT NULL,
  "ITEM_VALUE" NVARCHAR2(100) NOT NULL,
  "DESCRIPTION" NVARCHAR2(255),
  "SORT_ORDER" NUMBER(11,0),
  "STATUS" NUMBER(11,0),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT_ITEM"."DICT_ID" IS '字典id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT_ITEM"."ITEM_TEXT" IS '字典项文本';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT_ITEM"."ITEM_VALUE" IS '字典项值';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT_ITEM"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT_ITEM"."SORT_ORDER" IS '排序';
COMMENT ON COLUMN "JEECGBOOT"."SYS_DICT_ITEM"."STATUS" IS '状态（1启用 0不启用）';

-- ----------------------------
-- Records of SYS_DICT_ITEM
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('0072d115e07c875d76c9b022e2179128', '4d7fec1a7799a436d26d02325eff295e', '低', 'L', '低', '3', '1', 'admin', TO_DATE('2019-04-16 17:04:59', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('05a2e732ce7b00aa52141ecc3e330b4e', '3486f32803bb953e7155dab3513dc68b', '已删除', '1', NULL, NULL, '1', 'admin', TO_DATE('2025-10-18 21:46:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-28 22:23:20', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('096c2e758d823def3855f6376bc736fb', 'bd1b8bc28e65d6feefefb6f3c79f42fd', 'SQL', 'sql', NULL, '1', '1', 'admin', TO_DATE('2019-04-12 17:26:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('0c9532916f5cd722017b46bc4d953e41', '2f0320997ade5dd147c90130f7218c3e', '指定用户', 'USER', NULL, NULL, '1', 'admin', TO_DATE('2019-03-17 21:22:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-17 21:22:28', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('0ca4beba9efc4f9dd54af0911a946d5c', '72cce0989df68887546746d8f09811aa', '附表', '3', NULL, '3', '1', 'admin', TO_DATE('2019-03-27 10:13:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1030a2652608f5eac3b49d70458b8532', '2e02df51611a4b9632828ab7e5338f00', '禁用', '2', '禁用', '2', '1', 'admin', TO_DATE('2021-03-26 18:27:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-26 18:39:11', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1174509082208395266', '1174511106530525185', '岗位', '3', '岗位', '1', '1', 'admin', TO_DATE('2019-09-19 10:31:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1174509601047994369', '1174509082208395266', '员级', '1', NULL, '1', '1', 'admin', TO_DATE('2019-09-19 10:24:45', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-23 11:46:39', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1174509667297026049', '1174509082208395266', '助级', '2', NULL, '2', '1', 'admin', TO_DATE('2019-09-19 10:25:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-23 11:46:47', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1174509713568587777', '1174509082208395266', '中级', '3', NULL, '3', '1', 'admin', TO_DATE('2019-09-19 10:25:12', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-23 11:46:56', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1174509788361416705', '1174509082208395266', '副高级', '4', NULL, '4', '1', 'admin', TO_DATE('2019-09-19 10:25:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-23 11:47:06', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1174509835803189250', '1174509082208395266', '正高级', '5', NULL, '5', '1', 'admin', TO_DATE('2019-09-19 10:25:41', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-23 11:47:12', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1174511197735665665', '1174511106530525185', '公司', '1', '公司', '1', '1', 'admin', TO_DATE('2019-09-19 10:31:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1174511244036587521', '1174511106530525185', '部门', '2', '部门', '1', '1', 'admin', TO_DATE('2019-09-19 10:31:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1178295553450061826', '1178295274528845826', '可编辑(未授权禁用)', '2', NULL, '2', '1', 'admin', TO_DATE('2019-09-29 21:08:46', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-29 21:09:18', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1178295639554928641', '1178295274528845826', '可见(未授权不可见)', '1', NULL, '1', '1', 'admin', TO_DATE('2019-09-29 21:09:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-29 21:09:24', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1199517884758368257', '1199517671259906049', '一般', '1', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:38:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1199517914017832962', '1199517671259906049', '重要', '2', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:38:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1199517941339529217', '1199517671259906049', '紧急', '3', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:38:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1199518186144276482', '1199518099888414722', '日常记录', '1', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:39:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1199518214858481666', '1199518099888414722', '本周工作', '2', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:40:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1199518235943247874', '1199518099888414722', '下周计划', '3', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:40:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1199520817285701634', '1199520177767587841', '列表', '1', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:50:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1199520835035996161', '1199520177767587841', '链接', '2', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 10:50:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1199525468672405505', '1199525215290306561', '未开始', '0', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 11:08:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1199525490575060993', '1199525215290306561', '进行中', '1', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 11:08:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1199525506429530114', '1199525215290306561', '已完成', '2', NULL, '1', '1', 'admin', TO_DATE('2019-11-27 11:09:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-11-27 11:10:02', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1209733775114702850', '1209733563293962241', 'MySQL5.5', '1', NULL, '1', '1', 'admin', TO_DATE('2019-12-25 15:13:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1209733839933476865', '1209733563293962241', 'Oracle', '2', NULL, '3', '1', 'admin', TO_DATE('2019-12-25 15:13:18', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-07-15 13:44:08', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1209733903020003330', '1209733563293962241', 'SQLServer', '3', NULL, '4', '1', 'admin', TO_DATE('2019-12-25 15:13:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-07-15 13:44:11', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1232913424813486081', '1232913193820581889', '官方示例', 'demo', NULL, '1', '1', 'admin', TO_DATE('2020-02-27 14:20:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-27 14:21:37', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1232913493717512194', '1232913193820581889', '流程表单', 'bpm', NULL, '2', '1', 'admin', TO_DATE('2020-02-27 14:20:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-27 14:22:20', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1232913605382467585', '1232913193820581889', '测试表单', 'temp', NULL, '4', '1', 'admin', TO_DATE('2020-02-27 14:21:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-27 14:22:16', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1232914232372195330', '1232913193820581889', '导入表单', 'bdfl_include', NULL, '5', '1', 'admin', TO_DATE('2020-02-27 14:23:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1234371726545010689', '4e4602b3e3686f0911384e188dc7efb4', '左模糊', 'LEFT_LIKE', '左模糊', '7', '1', 'admin', TO_DATE('2020-03-02 14:55:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1234371809495760898', '4e4602b3e3686f0911384e188dc7efb4', '右模糊', 'RIGHT_LIKE', '右模糊', '7', '1', 'admin', TO_DATE('2020-03-02 14:55:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1242300779390357505', '1242298510024429569', '短信提醒', '2', NULL, '2', '1', 'admin', TO_DATE('2020-03-24 12:02:41', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-03-30 18:21:33', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1242300814383435777', '1242298510024429569', '邮件提醒', '1', NULL, '1', '1', 'admin', TO_DATE('2020-03-24 12:02:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-03-30 18:21:26', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1242300887343353857', '1242298510024429569', '系统消息', '4', NULL, '4', '1', 'admin', TO_DATE('2020-03-24 12:03:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-03-30 18:21:43', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1250688147579228161', '1250687930947620866', '正常', '0', NULL, '1', '1', 'admin', TO_DATE('2020-04-16 15:31:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1250688201064992770', '1250687930947620866', '停止', '-1', NULL, '1', '1', 'admin', TO_DATE('2020-04-16 15:31:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1280401815068295170', '1280401766745718786', '正常', '1', NULL, '1', '1', 'admin', TO_DATE('2020-07-07 15:22:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1280401847607705602', '1280401766745718786', '冻结', '0', NULL, '1', '1', 'admin', TO_DATE('2020-07-07 15:22:44', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1305827309355302914', 'bd1b8bc28e65d6feefefb6f3c79f42fd', 'API', 'api', NULL, '3', '1', 'admin', TO_DATE('2020-09-15 19:14:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-15 19:14:41', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1334440962954936321', '1209733563293962241', 'MYSQL5.7+', '4', NULL, '2', '1', 'admin', TO_DATE('2020-12-03 18:16:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-07-15 13:44:29', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1356445705549975553', '1356445645198135298', '是', 'Y', NULL, '1', '1', 'admin', TO_DATE('2021-02-02 11:33:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1356445754212290561', '1356445645198135298', '否', 'N', NULL, '1', '1', 'admin', TO_DATE('2021-02-02 11:34:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1414837074500976641', '1209733563293962241', 'postgresql', '6', NULL, '5', '1', 'admin', TO_DATE('2021-07-13 14:40:20', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-07-15 13:44:15', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1415547541091504129', '1209733563293962241', 'marialDB', '5', NULL, '6', '1', 'admin', TO_DATE('2021-07-15 13:43:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-07-15 13:44:23', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1418049969003089922', '1209733563293962241', '达梦', '7', NULL, '7', '1', 'admin', TO_DATE('2021-07-22 11:27:13', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-07-22 11:27:30', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1418050017053036545', '1209733563293962241', '人大金仓', '8', NULL, '8', '1', 'admin', TO_DATE('2021-07-22 11:27:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1418050075555188737', '1209733563293962241', '神通', '9', NULL, '9', '1', 'admin', TO_DATE('2021-07-22 11:27:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1418050110669901826', '1209733563293962241', 'SQLite', '10', NULL, '10', '1', 'admin', TO_DATE('2021-07-22 11:27:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1418050149475602434', '1209733563293962241', 'DB2', '11', NULL, '11', '1', 'admin', TO_DATE('2021-07-22 11:27:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1418050209823248385', '1209733563293962241', 'Hsqldb', '12', NULL, '12', '1', 'admin', TO_DATE('2021-07-22 11:28:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-07-22 11:28:27', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1418050323111399425', '1209733563293962241', 'Derby', '13', NULL, '13', '1', 'admin', TO_DATE('2021-07-22 11:28:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1418117316707590146', '1209733563293962241', 'H2', '14', NULL, '14', '1', 'admin', TO_DATE('2021-07-22 15:54:50', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1418491604048449537', '1209733563293962241', '其他数据库', '15', NULL, '15', '1', 'admin', TO_DATE('2021-07-23 16:42:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('147c48ff4b51545032a9119d13f3222a', 'd6e1152968b02d69ff358c75b48a6ee1', '测试流程', 'test', NULL, '1', '1', 'admin', TO_DATE('2019-03-22 19:27:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1543fe7e5e26fb97cdafe4981bedc0c8', '4c03fca6bf1f0299c381213961566349', '单排布局', 'single', NULL, '2', '1', 'admin', TO_DATE('2022-07-12 17:43:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-12 17:43:57', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600042651777011713', '1600042215909134338', '信息传输、软件和信息技术服务业', '1', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:21:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-12-06 16:21:27', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600042736254488578', '1600042215909134338', '制造业', '2', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:21:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600042785646612481', '1600042215909134338', '租赁和商务服务业', '3', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:21:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600042835433000961', '1600042215909134338', '教育', '4', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:21:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600042892072882177', '1600042215909134338', '金融业', '5', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:22:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600042975539531778', '1600042215909134338', '建筑业', '6', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:22:27', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-12-06 16:22:32', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043052177854466', '1600042215909134338', '科学研究和技术服务业', '7', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:22:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043101976825857', '1600042215909134338', '批发和零售业', '8', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:22:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043157069008898', '1600042215909134338', '住宿和餐饮业', '9', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:23:11', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043203105689601', '1600042215909134338', '电子商务', '10', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:23:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043277504253953', '1600042215909134338', '线下零售与服务业', '11', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:23:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043334618091521', '1600042215909134338', '文化、体育和娱乐业', '12', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:23:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043401030701058', '1600042215909134338', '房地产业', '13', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:24:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043476440092673', '1600042215909134338', '交通运输、仓储和邮政业', '14', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:24:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043553837584386', '1600042215909134338', '卫生和社会工作', '15', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:24:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043628793991170', '1600042215909134338', '公共管理、社会保障和社会组织', '16', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:25:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043675329794050', '1600042215909134338', '电力、热力、燃气及水生产和供应业', '18', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:25:14', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043734607892482', '1600042215909134338', '水利、环境和公共设施管理业', '19', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:25:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043783068880897', '1600042215909134338', '居民服务、修理和其他服务业', '20', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:25:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043822679887874', '1600042215909134338', '政府机构', '21', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:25:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043859539431426', '1600042215909134338', '农、林、牧、渔业', '22', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:25:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043907551629313', '1600042215909134338', '采矿业', '23', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:26:10', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043955731599362', '1600042215909134338', '国际组织', '24', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:26:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600043991685173249', '1600042215909134338', '其他', '25', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:26:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600044644096577538', '1600044537800331266', '20人以下', '1', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:29:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600044698618335233', '1600044537800331266', '21-99人', '2', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:29:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600044744172670978', '1600044537800331266', '100-499人', '3', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:29:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600044792306503681', '1600044537800331266', '500-999人', '4', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:29:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600044861302804481', '1600044537800331266', '1000-9999人', '5', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:29:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1600044924313833473', '1600044537800331266', '10000人以上', '6', NULL, '1', '1', 'admin', TO_DATE('2022-12-06 16:30:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1606645562573361153', '1606645341269299201', '总裁/总经理/CEO', '1', NULL, '1', '1', 'admin', TO_DATE('2022-12-24 21:38:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1606645619930468354', '1606645341269299201', '副总裁/副总经理/VP', '2', NULL, '2', '1', 'admin', TO_DATE('2022-12-24 21:39:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-12-24 21:40:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1606645660241924097', '1606645341269299201', '总监/主管/经理', '3', NULL, '3', '1', 'admin', TO_DATE('2022-12-24 21:39:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-12-24 21:39:41', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1606645696715591682', '1606645341269299201', '员工/专员/执行', '4', NULL, '4', '1', 'admin', TO_DATE('2022-12-24 21:39:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-12-24 21:39:37', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1606645744023146497', '1606645341269299201', '其他', '5', NULL, '5', '1', 'admin', TO_DATE('2022-12-24 21:39:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1606647668965412866', '1606646440684457986', '总经办', '1', NULL, '1', '1', 'admin', TO_DATE('2022-12-24 21:47:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1606647703098658817', '1606646440684457986', '技术/IT/研发', '2', NULL, '2', '1', 'admin', TO_DATE('2022-12-24 21:47:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1606647737919770625', '1606646440684457986', '产品/设计', '3', NULL, '3', '1', 'admin', TO_DATE('2022-12-24 21:47:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1606647789614567425', '1606646440684457986', '销售/市场/运营', '4', NULL, '4', '1', 'admin', TO_DATE('2022-12-24 21:47:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1606647827921145857', '1606646440684457986', '人事/财务/行政', '5', NULL, '5', '1', 'admin', TO_DATE('2022-12-24 21:47:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1606647860955484162', '1606646440684457986', '资源/仓储/采购', '6', NULL, '6', '1', 'admin', TO_DATE('2022-12-24 21:47:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1606647915473047553', '1606646440684457986', '其他', '7', NULL, '7', '1', 'admin', TO_DATE('2022-12-24 21:48:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1ce390c52453891f93514c1bd2795d44', 'ad7c65ba97c20a6805d5dcdf13cdaf36', '000', '00', NULL, '1', '1', 'admin', TO_DATE('2019-03-22 16:34:34', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('1db531bcff19649fa82a644c8a939dc4', '4c03fca6bf1f0299c381213961566349', '组合布局', 'combination', NULL, '4', '1', 'admin', TO_DATE('2019-05-11 16:07:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('222705e11ef0264d4214affff1fb4ff9', '4f69be5f507accea8d5df5f11346181a', '文本', '1', NULL, '1', '1', 'admin', TO_DATE('2023-02-28 10:50:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-07-04 16:29:21', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('23a5bb76004ed0e39414e928c4cde155', '4e4602b3e3686f0911384e188dc7efb4', '不等于', '!=', '不等于', '3', '1', 'admin', TO_DATE('2019-04-01 16:46:15', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:48:40', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('25847e9cb661a7c711f9998452dc09e6', '4e4602b3e3686f0911384e188dc7efb4', '小于等于', '<=', '小于等于', '6', '1', 'admin', TO_DATE('2019-04-01 16:44:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:49:10', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('2d51376643f220afdeb6d216a8ac2c01', '68168534ff5065a152bfab275c2136f8', '有效', '1', '有效', '2', '1', 'admin', TO_DATE('2019-04-26 19:22:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('308c8aadf0c37ecdde188b97ca9833f5', '8dfe32e2d29ea9430a988b3b558bf233', '已发布', '1', '已发布', '2', '1', 'admin', TO_DATE('2019-04-16 17:41:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('333e6b2196e01ef9a5f76d74e86a6e33', '8dfe32e2d29ea9430a988b3b558bf233', '未发布', '0', '未发布', '1', '1', 'admin', TO_DATE('2019-04-16 17:41:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('337ea1e401bda7233f6258c284ce4f50', 'bd1b8bc28e65d6feefefb6f3c79f42fd', 'JSON', 'json', NULL, '1', '1', 'admin', TO_DATE('2019-04-12 17:26:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('33bc9d9f753cf7dc40e70461e50fdc54', 'a9d9942bd0eccb6e89de92d130ec4c4a', '发送失败', '2', NULL, '3', '1', 'admin', TO_DATE('2019-04-12 18:20:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('3fbc03d6c994ae06d083751248037c0e', '78bda155fe380b1b3f175f1e88c284c6', '已完成', '3', '已完成', '3', '1', 'admin', TO_DATE('2019-05-09 16:33:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('41d7aaa40c9b61756ffb1f28da5ead8e', '0b5d19e1fce4b2e6647e6b4a17760c14', '通知公告', '1', NULL, '1', '1', 'admin', TO_DATE('2019-04-22 18:01:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('41fa1e9571505d643aea87aeb83d4d76', '4e4602b3e3686f0911384e188dc7efb4', '等于', '=', '等于', '4', '1', 'admin', TO_DATE('2019-04-01 16:45:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:49:00', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('43d2295b8610adce9510ff196a49c6e9', '845da5006c97754728bf48b6a10f79cc', '正常', '1', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 21:45:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('4f05fb5376f4c61502c5105f52e4dd2b', '83bfb33147013cc81640d5fd9eda030c', '操作日志', '2', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:22:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('50223341bfb5ba30bf6319789d8d17fe', 'd6e1152968b02d69ff358c75b48a6ee1', '业务办理', 'business', NULL, '3', '1', 'admin', TO_DATE('2023-04-22 19:28:05', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-22 23:24:39', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('51222413e5906cdaf160bb5c86fb827c', 'a7adbcd86c37f7dbc9b66945c82ef9e6', '是', '1', NULL, '1', '1', 'admin', TO_DATE('2019-05-22 19:29:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('538fca35afe004972c5f3947c039e766', '2e02df51611a4b9632828ab7e5338f00', '显示', '1', '显示', '1', '1', 'admin', TO_DATE('2025-03-26 18:27:13', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-26 18:39:07', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('5584c21993bde231bbde2b966f2633ac', '4e4602b3e3686f0911384e188dc7efb4', '自定义SQL表达式', 'USE_SQL_RULES', '自定义SQL表达式', '9', '1', 'admin', TO_DATE('2019-04-01 10:45:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:49:27', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('58b73b344305c99b9d8db0fc056bbc0a', '72cce0989df68887546746d8f09811aa', '主表', '2', NULL, '2', '1', 'admin', TO_DATE('2019-03-27 10:13:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('5b65a88f076b32e8e69d19bbaadb52d5', '2f0320997ade5dd147c90130f7218c3e', '全体用户', 'ALL', NULL, NULL, '1', 'admin', TO_DATE('2020-10-17 21:22:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-28 22:17:09', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('5d833f69296f691843ccdd0c91212b6b', '880a895c98afeca9d9ac39f29e67c13e', '修改', '3', NULL, '3', '1', 'admin', TO_DATE('2019-07-22 10:55:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-07-22 10:55:41', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('5d84a8634c8fdfe96275385075b105c9', '3d9a351be3436fbefb1307d4cfb49bf2', '女', '2', NULL, '2', '1', NULL, TO_DATE('2019-01-04 14:56:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, TO_DATE('2019-01-04 17:38:12', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('66c952ae2c3701a993e7db58f3baf55e', '4e4602b3e3686f0911384e188dc7efb4', '大于', '>', '大于', '1', '1', 'admin', TO_DATE('2019-04-01 10:45:46', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:48:29', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('6937c5dde8f92e9a00d4e2ded9198694', 'ad7c65ba97c20a6805d5dcdf13cdaf36', 'easyui', '3', NULL, '1', '1', 'admin', TO_DATE('2019-03-22 16:32:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('69cacf64e244100289ddd4aa9fa3b915', 'a9d9942bd0eccb6e89de92d130ec4c4a', '未发送', '0', NULL, '1', '1', 'admin', TO_DATE('2019-04-12 18:19:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('6a7a9e1403a7943aba69e54ebeff9762', '4f69be5f507accea8d5df5f11346181a', '富文本', '2', NULL, '2', '1', 'admin', TO_DATE('2031-02-28 10:50:44', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-07-04 16:29:30', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('6c682d78ddf1715baf79a1d52d2aa8c2', '72cce0989df68887546746d8f09811aa', '单表', '1', NULL, '1', '1', 'admin', TO_DATE('2019-03-27 10:13:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('6d404fd2d82311fbc87722cd302a28bc', '4e4602b3e3686f0911384e188dc7efb4', '模糊', 'LIKE', '模糊', '7', '1', 'admin', TO_DATE('2019-04-01 16:46:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:49:20', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('6d4e26e78e1a09699182e08516c49fc4', '4d7fec1a7799a436d26d02325eff295e', '高', 'H', '高', '1', '1', 'admin', TO_DATE('2019-04-16 17:04:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('700e9f030654f3f90e9ba76ab0713551', '6b78e3f59faec1a4750acff08030a79b', '333', '333', NULL, NULL, '1', 'admin', TO_DATE('2019-02-21 19:59:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('7050c1522702bac3be40e3b7d2e1dfd8', 'c5a14c75172783d72cbee6ee7f5df5d1', '柱状图', 'bar', NULL, '1', '1', 'admin', TO_DATE('2019-04-12 17:05:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('71b924faa93805c5c1579f12e001c809', 'd6e1152968b02d69ff358c75b48a6ee1', 'OA办公', 'oa', NULL, '2', '1', 'admin', TO_DATE('2021-03-22 19:27:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-22 23:24:36', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('75b260d7db45a39fc7f21badeabdb0ed', 'c36169beb12de8a71c8683ee7c28a503', '不启用', '0', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:29:41', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-18 23:29:54', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('7688469db4a3eba61e6e35578dc7c2e5', 'c36169beb12de8a71c8683ee7c28a503', '启用', '1', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:29:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('78ea6cadac457967a4b1c4eb7aaa418c', 'fc6cd58fde2e8481db10d3a1e68ce70c', '正常', '1', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:30:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('7ccf7b80c70ee002eceb3116854b75cb', 'ac2f7c0c5c5775fcea7e2387bcb22f01', '按钮权限', '2', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:25:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('81fb2bb0e838dc68b43f96cc309f8257', 'fc6cd58fde2e8481db10d3a1e68ce70c', '冻结', '2', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:30:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('83250269359855501ec4e9c0b7e21596', '4274efc2292239b6f000b153f50823ff', '可见/可访问(授权后可见/可访问)', '1', NULL, '1', '1', 'admin', TO_DATE('2019-05-10 17:54:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('84778d7e928bc843ad4756db1322301f', '4e4602b3e3686f0911384e188dc7efb4', '大于等于', '>=', '大于等于', '5', '1', 'admin', TO_DATE('2019-04-01 10:46:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:49:05', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('848d4da35ebd93782029c57b103e5b36', 'c5a14c75172783d72cbee6ee7f5df5d1', '饼图', 'pie', NULL, '3', '1', 'admin', TO_DATE('2019-04-12 17:05:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('84dfc178dd61b95a72900fcdd624c471', '78bda155fe380b1b3f175f1e88c284c6', '处理中', '2', '处理中', '2', '1', 'admin', TO_DATE('2019-05-09 16:33:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('86f19c7e0a73a0bae451021ac05b99dd', 'ac2f7c0c5c5775fcea7e2387bcb22f01', '子菜单', '1', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:25:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('8c618902365ca681ebbbe1e28f11a548', '4c753b5293304e7a445fd2741b46529d', '启用', '1', NULL, '0', '1', 'admin', TO_DATE('2020-07-18 23:19:27', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-05-17 14:51:18', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('8cdf08045056671efd10677b8456c999', '4274efc2292239b6f000b153f50823ff', '可编辑(未授权时禁用)', '2', NULL, '2', '1', 'admin', TO_DATE('2019-05-10 17:55:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('8ff48e657a7c5090d4f2a59b37d1b878', '4d7fec1a7799a436d26d02325eff295e', '中', 'M', '中', '2', '1', 'admin', TO_DATE('2019-04-16 17:04:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('948923658baa330319e59b2213cda97c', '880a895c98afeca9d9ac39f29e67c13e', '添加', '2', NULL, '2', '1', 'admin', TO_DATE('2019-07-22 10:54:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-07-22 10:55:36', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('9a96c4a4e4c5c9b4e4d0cbf6eb3243cc', '4c753b5293304e7a445fd2741b46529d', '不启用', '0', NULL, '1', '1', 'admin', TO_DATE('2019-03-18 23:19:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('a1e7d1ca507cff4a480c8caba7c1339e', '880a895c98afeca9d9ac39f29e67c13e', '导出', '6', NULL, '6', '1', 'admin', TO_DATE('2019-07-22 12:06:50', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('a2be752dd4ec980afaec1efd1fb589af', '8dfe32e2d29ea9430a988b3b558bf233', '已撤销', '2', '已撤销', '3', '1', 'admin', TO_DATE('2019-04-16 17:41:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('aa0d8a8042a18715a17f0a888d360aa4', 'ac2f7c0c5c5775fcea7e2387bcb22f01', '一级菜单', '0', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:24:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('adcf2a1fe93bb99a84833043f475fe0b', '4e4602b3e3686f0911384e188dc7efb4', '包含', 'IN', '包含', '8', '1', 'admin', TO_DATE('2019-04-01 16:45:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:49:24', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('b029a41a851465332ee4ee69dcf0a4c2', '0b5d19e1fce4b2e6647e6b4a17760c14', '系统消息', '2', NULL, '1', '1', 'admin', TO_DATE('2019-02-22 18:02:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-22 18:02:13', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('b2a8b4bb2c8e66c2c4b1bb086337f393', '3486f32803bb953e7155dab3513dc68b', '正常', '0', NULL, NULL, '1', 'admin', TO_DATE('2022-10-18 21:46:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-28 22:22:20', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('b57f98b88363188daf38d42f25991956', '6b78e3f59faec1a4750acff08030a79b', '22', '222', NULL, NULL, '0', 'admin', TO_DATE('2019-02-21 19:59:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-11 21:23:27', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('b5f3bd5f66bb9a83fecd89228c0d93d1', '68168534ff5065a152bfab275c2136f8', '无效', '0', '无效', '1', '1', 'admin', TO_DATE('2019-04-26 19:21:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('b9fbe2a3602d4a27b45c100ac5328484', '78bda155fe380b1b3f175f1e88c284c6', '待提交', '1', '待提交', '1', '1', 'admin', TO_DATE('2019-05-09 16:32:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('ba27737829c6e0e582e334832703d75e', '236e8a4baff0db8c62c00dd95632834f', '同步', '1', '同步', '1', '1', 'admin', TO_DATE('2019-05-15 15:28:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('bcec04526b04307e24a005d6dcd27fd6', '880a895c98afeca9d9ac39f29e67c13e', '导入', '5', NULL, '5', '1', 'admin', TO_DATE('2019-07-22 12:06:41', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('c53da022b9912e0aed691bbec3c78473', '880a895c98afeca9d9ac39f29e67c13e', '查询', '1', NULL, '1', '1', 'admin', TO_DATE('2019-07-22 10:54:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('c5700a71ad08994d18ad1dacc37a71a9', 'a7adbcd86c37f7dbc9b66945c82ef9e6', '否', '0', NULL, '1', '1', 'admin', TO_DATE('2019-05-22 19:29:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('cbfcc5b88fc3a90975df23ffc8cbe29c', 'c5a14c75172783d72cbee6ee7f5df5d1', '曲线图', 'line', NULL, '2', '1', 'admin', TO_DATE('2019-05-12 17:05:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-12 17:06:06', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('d217592908ea3e00ff986ce97f24fb98', 'c5a14c75172783d72cbee6ee7f5df5d1', '数据列表', 'table', NULL, '4', '1', 'admin', TO_DATE('2019-04-12 17:05:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('df168368dcef46cade2aadd80100d8aa', '3d9a351be3436fbefb1307d4cfb49bf2', '男', '1', NULL, '1', '1', NULL, TO_DATE('2027-08-04 14:56:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-23 22:44:44', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('e6329e3a66a003819e2eb830b0ca2ea0', '4e4602b3e3686f0911384e188dc7efb4', '小于', '<', '小于', '2', '1', 'admin', TO_DATE('2019-04-01 16:44:15', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-01 17:48:34', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('e94eb7af89f1dbfa0d823580a7a6e66a', '236e8a4baff0db8c62c00dd95632834f', '不同步', '0', '不同步', '2', '1', 'admin', TO_DATE('2019-05-15 15:28:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('f0162f4cc572c9273f3e26b2b4d8c082', 'ad7c65ba97c20a6805d5dcdf13cdaf36', 'booostrap', '1', NULL, '1', '1', 'admin', TO_DATE('2021-08-22 16:32:04', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-22 16:33:57', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('f16c5706f3ae05c57a53850c64ce7c45', 'a9d9942bd0eccb6e89de92d130ec4c4a', '发送成功', '1', NULL, '2', '1', 'admin', TO_DATE('2019-04-12 18:19:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('f2a7920421f3335afdf6ad2b342f6b5d', '845da5006c97754728bf48b6a10f79cc', '冻结', '2', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 21:46:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('f37f90c496ec9841c4c326b065e00bb2', '83bfb33147013cc81640d5fd9eda030c', '登录日志', '1', NULL, NULL, '1', 'admin', TO_DATE('2019-03-18 23:22:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('f753aff60ff3931c0ecb4812d8b5e643', '4c03fca6bf1f0299c381213961566349', '双排布局', 'double', NULL, '3', '1', 'admin', TO_DATE('2019-04-12 17:43:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('f80a8f6838215753b05e1a5ba3346d22', '880a895c98afeca9d9ac39f29e67c13e', '删除', '4', NULL, '4', '1', 'admin', TO_DATE('2019-07-22 10:55:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-07-22 10:55:30', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('fcec03570f68a175e1964808dc3f1c91', '4c03fca6bf1f0299c381213961566349', 'Tab风格', 'tab', NULL, '1', '1', 'admin', TO_DATE('2019-04-12 17:43:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_DICT_ITEM" VALUES ('fe50b23ae5e68434def76f67cef35d2d', '78bda155fe380b1b3f175f1e88c284c6', '已作废', '4', '已作废', '4', '1', 'admin', TO_DATE('2021-09-09 16:33:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-05-09 16:34:40', 'SYYYY-MM-DD HH24:MI:SS'));

-- ----------------------------
-- Table structure for SYS_FILES
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_FILES";
CREATE TABLE "JEECGBOOT"."SYS_FILES" (
  "ID" NVARCHAR2(32) NOT NULL,
  "FILE_NAME" NVARCHAR2(255),
  "URL" NVARCHAR2(1000),
  "FILE_TYPE" NVARCHAR2(20),
  "STORE_TYPE" NVARCHAR2(20),
  "PARENT_ID" NVARCHAR2(32),
  "TENANT_ID" NVARCHAR2(100),
  "FILE_SIZE" NUMBER(13,2),
  "IZ_FOLDER" NVARCHAR2(2),
  "IZ_ROOT_FOLDER" NVARCHAR2(2),
  "IZ_STAR" NVARCHAR2(2),
  "DOWN_COUNT" NUMBER(11,0),
  "READ_COUNT" NUMBER(11,0),
  "SHARE_URL" NVARCHAR2(255),
  "SHARE_PERMS" NVARCHAR2(2),
  "ENABLE_DOWN" NVARCHAR2(2),
  "ENABLE_UPDAT" NVARCHAR2(2),
  "DEL_FLAG" NVARCHAR2(2),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."ID" IS '主键id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."FILE_NAME" IS '文件名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."URL" IS '文件地址';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."FILE_TYPE" IS '文档类型（folder:文件夹 excel:excel doc:word ppt:ppt image:图片  archive:其他文档 video:视频 pdf:pdf）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."STORE_TYPE" IS '文件上传类型(temp/本地上传(临时文件) manage/知识库)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."PARENT_ID" IS '父级id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."TENANT_ID" IS '租户id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."FILE_SIZE" IS '文件大小（kb）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."IZ_FOLDER" IS '是否文件夹(1：是  0：否)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."IZ_ROOT_FOLDER" IS '是否为1级文件夹，允许为空 (1：是 )';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."IZ_STAR" IS '是否标星(1：是  0：否)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."DOWN_COUNT" IS '下载次数';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."READ_COUNT" IS '阅读次数';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."SHARE_URL" IS '分享链接';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."SHARE_PERMS" IS '分享权限(1.关闭分享 2.允许所有联系人查看 3.允许任何人查看)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."ENABLE_DOWN" IS '是否允许下载(1：是  0：否)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."ENABLE_UPDAT" IS '是否允许修改(1：是  0：否)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."DEL_FLAG" IS '删除状态(0-正常,1-删除至回收站)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILES"."UPDATE_TIME" IS '更新日期';
COMMENT ON TABLE "JEECGBOOT"."SYS_FILES" IS '知识库-文档管理';

-- ----------------------------
-- Records of SYS_FILES
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_FILES" VALUES ('1580814573568143361', '11.jpg', 'comment/11_1665730539114.jpg', 'image', 'temp', NULL, NULL, '10956', '0', '0', '0', NULL, NULL, NULL, NULL, NULL, NULL, '0', 'admin', TO_DATE('2022-10-14 14:55:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_FILES" VALUES ('1584493984691740674', 'jeecg-boot漏洞.pdf', 'comment/jeecg-boot漏洞_1666607779077.pdf', 'pdf', 'temp', NULL, NULL, '842789', '0', '0', '0', NULL, NULL, NULL, NULL, NULL, NULL, '0', 'admin', TO_DATE('2022-10-24 18:36:19', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);

-- ----------------------------
-- Table structure for SYS_FILL_RULE
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_FILL_RULE";
CREATE TABLE "JEECGBOOT"."SYS_FILL_RULE" (
  "ID" NVARCHAR2(32) NOT NULL,
  "RULE_NAME" NVARCHAR2(100),
  "RULE_CODE" NVARCHAR2(100),
  "RULE_CLASS" NVARCHAR2(100),
  "RULE_PARAMS" NVARCHAR2(200),
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILL_RULE"."ID" IS '主键ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILL_RULE"."RULE_NAME" IS '规则名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILL_RULE"."RULE_CODE" IS '规则Code';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILL_RULE"."RULE_CLASS" IS '规则实现类';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILL_RULE"."RULE_PARAMS" IS '规则参数';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILL_RULE"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILL_RULE"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILL_RULE"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FILL_RULE"."CREATE_TIME" IS '创建时间';

-- ----------------------------
-- Records of SYS_FILL_RULE
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_FILL_RULE" VALUES ('1202551334738382850', '机构编码生成', 'org_num_role', 'org.jeecg.modules.system.rule.OrgCodeRule', '{"parentId":"c6d7cb4deeac411cb3384b1b31278596"}', 'admin', TO_DATE('2019-12-09 10:37:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-12-05 19:32:35', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_FILL_RULE" VALUES ('1202787623203065858', '分类字典编码生成', 'category_code_rule', 'org.jeecg.modules.system.rule.CategoryCodeRule', '{"pid":""}', 'admin', TO_DATE('2022-10-13 16:47:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-12-06 11:11:31', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_FILL_RULE" VALUES ('1260134137920090113', '订单流水号', 'shop_order_num', 'org.jeecg.modules.online.cgform.rule.OrderNumberRule', '{}', 'admin', TO_DATE('2020-12-07 18:29:50', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-12 17:06:05', 'SYYYY-MM-DD HH24:MI:SS'));

-- ----------------------------
-- Table structure for SYS_FORM_FILE
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_FORM_FILE";
CREATE TABLE "JEECGBOOT"."SYS_FORM_FILE" (
  "ID" NVARCHAR2(32) NOT NULL,
  "TABLE_NAME" NVARCHAR2(50) NOT NULL,
  "TABLE_DATA_ID" NVARCHAR2(32) NOT NULL,
  "FILE_ID" NVARCHAR2(32),
  "FILE_TYPE" NVARCHAR2(20),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_FORM_FILE"."TABLE_NAME" IS '表名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FORM_FILE"."TABLE_DATA_ID" IS '数据id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FORM_FILE"."FILE_ID" IS '关联文件id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FORM_FILE"."FILE_TYPE" IS '文件类型(text:文本, excel:excel doc:word ppt:ppt image:图片  archive:其他文档 video:视频 pdf:pdf）)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FORM_FILE"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_FORM_FILE"."CREATE_TIME" IS '创建日期';

-- ----------------------------
-- Records of SYS_FORM_FILE
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_FORM_FILE" VALUES ('1580814573635252225', 'sys_comment', '1580814573433925634', '1580814573568143361', 'image', 'admin', TO_DATE('2022-10-14 14:55:39', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_FORM_FILE" VALUES ('1584493984716906497', 'sys_comment', '1584493984364584961', '1584493984691740674', 'pdf', 'admin', TO_DATE('2022-10-24 18:36:19', 'SYYYY-MM-DD HH24:MI:SS'));

-- ----------------------------
-- Table structure for SYS_GATEWAY_ROUTE
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_GATEWAY_ROUTE";
CREATE TABLE "JEECGBOOT"."SYS_GATEWAY_ROUTE" (
  "ID" NVARCHAR2(36) NOT NULL,
  "ROUTER_ID" NVARCHAR2(50),
  "NAME" NVARCHAR2(32),
  "URI" NVARCHAR2(32),
  "PREDICATES" NCLOB,
  "FILTERS" NCLOB,
  "RETRYABLE" NUMBER(11,0),
  "STRIP_PREFIX" NUMBER(11,0),
  "PERSISTABLE" NUMBER(11,0),
  "SHOW_API" NUMBER(11,0),
  "STATUS" NUMBER(11,0),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(64)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."ROUTER_ID" IS '路由ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."NAME" IS '服务名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."URI" IS '服务地址';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."PREDICATES" IS '断言';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."FILTERS" IS '过滤器';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."RETRYABLE" IS '是否重试:0-否 1-是';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."STRIP_PREFIX" IS '是否忽略前缀0-否 1-是';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."PERSISTABLE" IS '是否为保留数据:0-否 1-是';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."SHOW_API" IS '是否在接口文档中展示:0-否 1-是';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."STATUS" IS '状态:0-无效 1-有效';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_GATEWAY_ROUTE"."SYS_ORG_CODE" IS '所属部门';

-- ----------------------------
-- Records of SYS_GATEWAY_ROUTE
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_GATEWAY_ROUTE" VALUES ('1331051599401857026', 'jeecg-demo-websocket', 'jeecg-demo-websocket', 'lb:ws://jeecg-demo', '[{"args":["/vxeSocket/**"],"name":"Path"}]', '[]', NULL, NULL, NULL, NULL, '1', 'admin', TO_DATE('2020-11-24 09:46:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_GATEWAY_ROUTE" VALUES ('jeecg-cloud-websocket', 'jeecg-system-websocket', 'jeecg-system-websocket', 'lb:ws://jeecg-system', '[{"args":["/websocket/**","/eoaSocket/**","/newsWebsocket/**"],"name":"Path"}]', '[]', NULL, NULL, NULL, NULL, '1', 'admin', TO_DATE('2020-11-16 19:41:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_GATEWAY_ROUTE" VALUES ('jeecg-demo', 'jeecg-demo', 'jeecg-demo', 'lb://jeecg-demo', '[{"args":["/mock/**","/bigscreen/template1/**","/bigscreen/template2/**","/test/**"],"name":"Path"}]', '[]', NULL, NULL, NULL, NULL, '1', 'admin', TO_DATE('2020-11-16 19:41:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_GATEWAY_ROUTE" VALUES ('jeecg-system', 'jeecg-system', 'jeecg-system', 'lb://jeecg-system', '[{"args":["/sys/**","/online/**","/bigscreen/**","/jmreport/**","/druid/**","/generic/**"],"name":"Path"}]', '[]', NULL, NULL, NULL, NULL, '1', 'admin', TO_DATE('2020-11-16 19:41:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL);

-- ----------------------------
-- Table structure for SYS_LOG
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_LOG";
CREATE TABLE "JEECGBOOT"."SYS_LOG" (
  "ID" NVARCHAR2(32) NOT NULL,
  "LOG_TYPE" NUMBER(11,0),
  "LOG_CONTENT" NVARCHAR2(1000),
  "OPERATE_TYPE" NUMBER(11,0),
  "USERID" NVARCHAR2(32),
  "USERNAME" NVARCHAR2(100),
  "IP" NVARCHAR2(100),
  "METHOD" NVARCHAR2(500),
  "REQUEST_URL" NVARCHAR2(255),
  "REQUEST_PARAM" NCLOB,
  "REQUEST_TYPE" NVARCHAR2(10),
  "COST_TIME" NUMBER(20,0),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "TENANT_ID" NUMBER(11,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."LOG_TYPE" IS '日志类型（1登录日志，2操作日志, 3.租户操作日志）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."LOG_CONTENT" IS '日志内容';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."OPERATE_TYPE" IS '操作类型';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."USERID" IS '操作用户账号';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."USERNAME" IS '操作用户名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."IP" IS 'IP';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."METHOD" IS '请求java方法';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."REQUEST_URL" IS '请求路径';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."REQUEST_PARAM" IS '请求参数';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."REQUEST_TYPE" IS '请求类型';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."COST_TIME" IS '耗时';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_LOG"."TENANT_ID" IS '租户ID';
COMMENT ON TABLE "JEECGBOOT"."SYS_LOG" IS '系统日志表';

-- ----------------------------
-- Records of SYS_LOG
-- ----------------------------

-- ----------------------------
-- Table structure for SYS_PERMISSION
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_PERMISSION";
CREATE TABLE "JEECGBOOT"."SYS_PERMISSION" (
  "ID" NVARCHAR2(32) NOT NULL,
  "PARENT_ID" NVARCHAR2(32),
  "NAME" NVARCHAR2(255),
  "URL" NVARCHAR2(255),
  "COMPONENT" NVARCHAR2(255),
  "IS_ROUTE" NUMBER(4,0),
  "COMPONENT_NAME" NVARCHAR2(255),
  "REDIRECT" NVARCHAR2(255),
  "MENU_TYPE" NUMBER(11,0),
  "PERMS" NVARCHAR2(255),
  "PERMS_TYPE" NVARCHAR2(10),
  "SORT_NO" NUMBER(8,2),
  "ALWAYS_SHOW" NUMBER(4,0),
  "ICON" NVARCHAR2(255),
  "IS_LEAF" NUMBER(4,0),
  "KEEP_ALIVE" NUMBER(4,0),
  "HIDDEN" NUMBER(11,0),
  "HIDE_TAB" NUMBER(11,0),
  "DESCRIPTION" NVARCHAR2(255),
  "CREATE_BY" NVARCHAR2(255),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(255),
  "UPDATE_TIME" DATE,
  "DEL_FLAG" NUMBER(11,0),
  "RULE_FLAG" NUMBER(11,0),
  "STATUS" NVARCHAR2(2),
  "INTERNAL_OR_EXTERNAL" NUMBER(4,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."ID" IS '主键id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."PARENT_ID" IS '父id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."NAME" IS '菜单标题';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."URL" IS '路径';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."COMPONENT" IS '组件';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."IS_ROUTE" IS '是否路由菜单: 0:不是  1:是（默认值1）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."COMPONENT_NAME" IS '组件名字';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."REDIRECT" IS '一级菜单跳转地址';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."MENU_TYPE" IS '菜单类型(0:一级菜单; 1:子菜单:2:按钮权限)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."PERMS" IS '菜单权限编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."PERMS_TYPE" IS '权限策略1显示2禁用';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."SORT_NO" IS '菜单排序';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."ALWAYS_SHOW" IS '聚合子路由: 1是0否';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."ICON" IS '菜单图标';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."IS_LEAF" IS '是否叶子节点:    1是0否';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."KEEP_ALIVE" IS '是否缓存该页面:    1:是   0:不是';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."HIDDEN" IS '是否隐藏路由: 0否,1是';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."HIDE_TAB" IS '是否隐藏tab: 0否,1是';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."DEL_FLAG" IS '删除状态 0正常 1已删除';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."RULE_FLAG" IS '是否添加数据权限1是0否';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."STATUS" IS '按钮权限状态(0无效1有效)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION"."INTERNAL_OR_EXTERNAL" IS '外链菜单打开方式 0/内部打开 1/外部打开';
COMMENT ON TABLE "JEECGBOOT"."SYS_PERMISSION" IS '菜单权限表';

-- ----------------------------
-- Records of SYS_PERMISSION
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1170592628746878978', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '菜单管理', '/system/menu', 'system/menu/index', '1', NULL, NULL, '1', NULL, '1', '3', '0', 'ant-design:menu-fold-outlined', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2019-09-08 15:00:05', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-10 16:42:38', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('119213522910765570', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '租户用户', '/system/user/tenantUserList', 'system/user/TenantUserList', '1', NULL, NULL, '1', NULL, NULL, '3.2', '0', 'ant-design:user', '1', '0', '0', '0', NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-12-30 10:11:27', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1211885237487923202', '1207203817658105858', 'btn:add', NULL, NULL, '1', NULL, NULL, '2', 'btn:add', '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-12-31 13:42:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-01-07 20:07:53', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1214376304951664642', '3f915b2769fc80648e92d04e84ca059d', '用户编辑', NULL, NULL, '0', NULL, NULL, '2', 'system:user:edit', '1', '1', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2020-01-07 10:40:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-17 16:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1214462306546319362', '3f915b2769fc80648e92d04e84ca059d', '新增用户', NULL, NULL, '0', NULL, NULL, '2', 'system:user:add', '1', '1', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2020-01-07 16:22:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-17 16:24:47', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1280350452934307841', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '租户管理', '/system/tenant', 'system/tenant/index', '1', NULL, NULL, '1', NULL, '1', '3.1', '0', 'ant-design:appstore-twotone', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2020-07-07 11:58:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2023-03-04 15:03:01', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108176273760258', NULL, 'Dashboard', '/dashboard', 'layouts/default/index', '1', NULL, '/dashboard/analysis', '0', NULL, '1', '1', '0', 'ion:grid-outline', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-10 11:30:19', 'SYYYY-MM-DD HH24:MI:SS'), '0', '1', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108176814825473', '1438108176273760258', '工作台', '/dashboard/workbench', 'dashboard/workbench/index', '1', NULL, NULL, '1', NULL, '1', '1', '0', 'ant-design:appstore-twotone', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:42:42', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108176932265985', '1438108178010202113', '权限管理', '/permission', 'layouts/default/index', '1', NULL, '/permission/front/page', '0', NULL, '1', '2', '0', 'ion:key-outline', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108177074872321', '1438108176932265985', '基于前端权限', '/permission/front', NULL, '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108177188118529', '1438108176932265985', '基于后台权限', '/permission/back', NULL, '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108177351696386', '1438108177074872321', '页面权限', '/permission/front/page', 'demo/permission/front/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-16 14:37:49', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108177565605889', '1438108177074872321', '按钮权限', '/permission/front/btn', 'demo/permission/front/Btn', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 19:57:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108177720795137', '1438108177188118529', '页面权限', '/permission/back/page', 'demo/permission/back/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 19:56:40', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108177880178689', '1438108177188118529', '按钮权限', '/permission/back/btn', 'demo/permission/back/Btn', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 19:57:00', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108178010202113', '1438108196993622018', '功能示例', '/feat', 'layouts/default/index', '1', NULL, '/feat/icon', '0', NULL, '1', '20', '0', 'ion:git-compare-outline', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108178127642626', '1438108197958315557', '图标', '/comp/basic/icon', 'demo/feat/icon/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108178257666049', '1438108178010202113', 'websocket测试', '/feat/ws', 'demo/feat/ws/index', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108178421243905', '1438108178010202113', '登录过期', '/feat/session-timeout', 'demo/feat/session-timeout/index', '1', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108178643542017', '1438108197958311677', '打印', '/comp/third/print', 'demo/feat/print/index', '1', NULL, NULL, '1', NULL, '1', '3', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108178781954049', '1438108197958315557', 'Tab操作', '/comp/basic/tabs', 'demo/feat/tabs/index', '1', NULL, NULL, '1', NULL, '1', '4', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108178781954050', '1438108197958315557', 'TabDetail', '/comp/basic/tabs/detail/:id', 'demo/feat/tabs/TabDetail', '1', NULL, '/comp/basic/tabs/detail', '1', NULL, '1', '4', '0', NULL, '1', '0', '1', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108178911977473', '1438108187455774722', '面包屑导航', '/feat/breadcrumb', 'layouts/default/index', '1', NULL, '/feat/breadcrumb/flat', '1', NULL, '1', '5', '0', 'ant-design:right-square-filled', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:48:07', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108179226550273', '1438108197958311677', '右键菜单', '/comp/third/context-menu', 'demo/feat/context-menu/index', '1', NULL, NULL, '1', NULL, '1', '6', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108179381739521', '1438108197958311677', '文件下载', '/comp/third/download', 'demo/feat/download/index', '1', NULL, NULL, '1', NULL, '1', '7', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108179599843330', '1438108197958311677', 'ClickOutSide组件', '/comp/third/click-out-side', 'demo/feat/click-out-side/index', '1', NULL, NULL, '1', NULL, '1', '8', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108179910221825', '1438108197958311677', '图片预览', '/comp/third/img-preview', 'demo/feat/img-preview/index', '1', NULL, NULL, '1', NULL, '1', '9', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108180077993985', '1438108197958311677', '剪切板', '/comp/third/copy', 'demo/feat/copy/index', '1', NULL, NULL, '1', NULL, '1', '10', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108180258349057', '1438108197958315557', '消息提示', '/comp/basic/msg', 'demo/feat/msg/index', '1', NULL, NULL, '1', NULL, '1', '11', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108205587750914', '1438108198113501186', '固定列', '/comp/table/fixedColumn', 'demo/table/FixedColumn', '1', NULL, NULL, '1', NULL, '1', '3', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108205742940161', '1438108198113501186', '自定义列', '/comp/table/customerCell', 'demo/table/CustomerCell', '1', NULL, NULL, '1', NULL, '1', '4', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108205919100930', '1438108198113501186', '开启搜索区域', '/comp/table/formTable', 'demo/table/FormTable', '1', NULL, NULL, '1', NULL, '1', '5', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108206086873089', '1438108198113501186', 'UseTable', '/comp/table/useTable', 'demo/table/UseTable', '1', NULL, NULL, '1', NULL, '1', '6', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108206258839553', '1438108198113501186', 'RefTable', '/comp/table/refTable', 'demo/table/RefTable', '1', NULL, NULL, '1', NULL, '1', '7', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108206489526274', '1438108198113501186', '多级表头', '/comp/table/multipleHeader', 'demo/table/MultipleHeader', '1', NULL, NULL, '1', NULL, '1', '8', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108206661492738', '1438108198113501186', '合并单元格', '/comp/table/mergeHeader', 'demo/table/MergeHeader', '1', NULL, NULL, '1', NULL, '1', '9', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108206959288321', '1438108198113501186', '嵌套子表格', '/comp/table/nestedTable', 'demo/table/NestedTable', '1', NULL, NULL, '1', NULL, '1', '10', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108207160614913', '1438108198113501186', '可展开表格', '/comp/table/expandTable', 'demo/table/ExpandTable', '1', NULL, NULL, '1', NULL, '1', '11', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108207374524418', '1438108198113501186', '定高/头部自定义', '/comp/table/fixedHeight', 'demo/table/FixedHeight', '1', NULL, NULL, '1', NULL, '1', '12', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108207563268097', '1438108198113501186', '表尾行合计', '/comp/table/footerTable', 'demo/table/FooterTable', '1', NULL, NULL, '1', NULL, '1', '13', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108207793954818', '1438108198113501186', '可编辑单元格', '/comp/table/editCellTable', 'demo/table/EditCellTable', '1', NULL, NULL, '1', NULL, '1', '14', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108208024641538', '1438108198113501186', '可编辑行', '/comp/table/editRowTable', 'demo/table/EditRowTable', '1', NULL, NULL, '1', NULL, '1', '15', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108208297271297', '1438108198113501186', '权限列', '/comp/table/authColumn', 'demo/table/AuthColumn', '1', NULL, NULL, '1', NULL, '1', '16', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108208817364993', '1438108199413735425', '基础树', '/comp/tree/basic', 'demo/tree/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108208980942850', '1438108199413735425', '可搜索/工具栏', '/comp/tree/editTree', 'demo/tree/EditTree', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108209228406785', '1438108199413735425', '函数操作示例', '/comp/tree/actionTree', 'demo/tree/ActionTree', '1', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108210117599234', '1438108199539564546', 'Json编辑器', '/comp/editor/json', 'demo/editor/json/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108210260205570', '1438108199539564546', 'markdown编辑器', '/comp/editor/markdown', NULL, '1', NULL, '/comp/editor/markdown/index', '1', NULL, '1', '1', '0', NULL, '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108211325558785', '1438108210260205570', '基础使用', '/comp/editor/markdown/index', 'demo/editor/markdown/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-16 14:40:59', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108211661103106', '1438108210260205570', '嵌入form', '/comp/editor/markdown/editor', 'demo/editor/markdown/Editor', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-16 14:41:04', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108211778543618', '1438108199539564546', '富文本', '/comp/editor/tinymce', NULL, '1', NULL, '/comp/editor/tinymce/index', '1', NULL, '1', '2', '0', NULL, '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108214882328577', '1438108211778543618', '基础使用', '/comp/editor/tinymce/index', 'demo/editor/tinymce/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108215335313409', '1438108211778543618', '嵌入form', '/comp/editor/tinymce/editor', 'demo/editor/tinymce/Editor', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108215511474177', '1438108199631839234', '基础滚动', '/comp/scroll/basic', 'demo/comp/scroll/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108215687634945', '1438108199631839234', '滚动函数', '/comp/scroll/action', 'demo/comp/scroll/Action', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108215989624834', '1438108199631839234', '虚拟滚动', '/comp/scroll/virtualScroll', 'demo/comp/scroll/VirtualScroll', '1', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108216300003330', '1438108200802050050', '基础示例', '/comp/lazy/basic', 'demo/comp/lazy/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108180434509826', '1438108197958311677', '水印', '/comp/third/watermark', 'demo/feat/watermark/index', '1', NULL, NULL, '1', NULL, '1', '12', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108180631642113', '1438108197958311677', '水波纹', '/comp/third/ripple', 'demo/feat/ripple/index', '1', NULL, NULL, '1', NULL, '1', '13', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108180770054145', '1438108178010202113', '全屏', '/feat/full-screen', 'demo/feat/full-screen/index', '1', NULL, NULL, '1', NULL, '1', '14', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108182116425729', '1438108197958311677', '日历(New)', '/comp/third/fullCalendar', 'demo/fullcalendar/index', '1', NULL, NULL, '1', NULL, '1', '16', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108183085309954', '1438108178010202113', '错误日志', '/feat/error-log', 'sys/error-log/index', '1', NULL, NULL, '1', NULL, '1', '17', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108183219527682', '1438108196993622018', 'Excel', '/feat/excel', 'layouts/default/index', '1', NULL, '/feat/excel/customExport', '1', NULL, '1', '18', '0', 'ant-design:file-excel-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:54:57', 'SYYYY-MM-DD HH24:MI:SS'), '1', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108183395688450', '1438108187455774722', 'Tab带参', '/feat/testTab/:id', 'demo/feat/tab-params/index', '1', NULL, NULL, '1', NULL, '1', '19', '0', 'ant-design:insert-row-above-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:48:57', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108183492157442', '1438108187455774722', 'Menu带参', '/feat/testParam/:id', 'layouts/default/index', '1', NULL, NULL, '1', NULL, '1', '20', '0', 'ant-design:menu-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:49:12', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108183630569474', '1438108178911977473', '平级模式', '/feat/breadcrumb/flat', 'demo/feat/breadcrumb/FlatList', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 20:12:01', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108183630569477', '1438108178911977473', '平级详情', '/feat/breadcrumb/flatDetail', 'demo/feat/breadcrumb/FlatListDetail', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '1', '1', NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-18 11:07:07', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108183777370114', '1438108183630569474', '平级详情', '/feat/breadcrumb/flatDetail', 'demo/feat/breadcrumb/FlatListDetail', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '1', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 20:13:41', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108183907393538', '1438108178911977473', '层级模式', '/feat/breadcrumb/children', 'demo/feat/breadcrumb/ChildrenList', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 20:11:57', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108184049999873', '1438108183907393538', '层级详情', '/feat/breadcrumb/children/childrenDetail', 'demo/feat/breadcrumb/ChildrenListDetail', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 20:11:49', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108185660612609', '1438108183219527682', '选择导出格式', '/feat/excel/customExport', 'demo/excel/CustomExport', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 20:15:59', 'SYYYY-MM-DD HH24:MI:SS'), '1', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108185815801858', '1438108183219527682', 'JSON数据导出', '/feat/excel/jsonExport', 'demo/excel/JsonExport', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 20:16:15', 'SYYYY-MM-DD HH24:MI:SS'), '1', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108185958408193', '1438108183219527682', 'Array数据导出', '/feat/excel/arrayExport', 'demo/excel/ArrayExport', '1', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 20:16:32', 'SYYYY-MM-DD HH24:MI:SS'), '1', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108186289758209', '1438108183219527682', '导入', '/feat/excel/importExcel', 'demo/excel/ImportExcel', '1', NULL, NULL, '1', NULL, '1', '3', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 20:16:43', 'SYYYY-MM-DD HH24:MI:SS'), '1', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108186717577217', '1438108183492157442', 'Menu带参1', '/feat/testParam/:id/sub1', 'demo/feat/menu-params/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 20:17:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108187103453186', '1438108183492157442', 'Menu带参2', '/feat/testParam/:id/sub2', 'demo/feat/menu-params/index', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-15 20:17:36', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108187455774722', NULL, '页面&导航', '/page-demo', 'layouts/default/index', '1', NULL, '/page-demo/form/basic', '0', NULL, '1', '12', '0', 'ion:aperture-outline', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-11-18 10:48:15', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108187678072833', '1438108187455774722', '表单页', '/page-demo/form', 'layouts/default/index', '1', NULL, '/page-demo/form/basic', '1', NULL, '1', '0', '0', 'ant-design:form-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:45:30', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108187871010818', '1438108187455774722', '详情页', '/page-demo/desc', 'layouts/default/index', '1', NULL, '/page-demo/desc/basic', '1', NULL, '1', '1', '0', 'ant-design:border-right-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:46:10', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108188034588674', '1438108187455774722', '结果页', '/page-demo/result', 'layouts/default/index', '1', NULL, '/page-demo/result/success', '1', NULL, '1', '2', '0', 'ant-design:account-book-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:47:04', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108188378521602', '1438108187455774722', '个人页', '/page-demo/account', 'layouts/default/index', '1', NULL, '/page-demo/account/setting', '1', NULL, '1', '3', '0', 'ant-design:user-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:47:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108188542099458', '1438108187455774722', '异常页', '/page-demo/exception', 'layouts/default/index', '1', NULL, '/page-demo/exception/404', '1', NULL, '1', '4', '0', 'ant-design:bug-twotone', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:47:41', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108188714065922', '1438108187455774722', '列表页', '/page-demo/list', 'layouts/default/index', '1', NULL, '/page-demo/list/card', '1', NULL, '1', '5', '0', 'ant-design:table-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:26', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:48:19', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108189062193153', '1438108187678072833', '基础表单', '/page-demo/form/basic', 'demo/page/form/basic/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108189427097601', '1438108187678072833', '分步表单', '/page-demo/form/step', 'demo/page/form/step/index', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108189754253313', '1438108187678072833', '高级表单', '/page-demo/form/high', 'demo/page/form/high/index', '1', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108190110769154', '1438108187871010818', '基础详情页', '/page-demo/desc/basic', 'demo/page/desc/basic/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108190404370433', '1438108187871010818', '高级详情页', '/page-demo/desc/high', 'demo/page/desc/high/index', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108190777663490', '1438108188034588674', '成功页', '/page-demo/result/success', 'demo/page/result/success/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108191356477442', '1438108188034588674', '失败页', '/page-demo/result/fail', 'demo/page/result/fail/index', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108192623157249', '1438108188378521602', '个人中心', '/page-demo/account/center', 'demo/page/account/center/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108193701093378', '1438108188378521602', '个人设置', '/page-demo/account/setting', 'demo/page/account/setting/index', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108194992939010', '1438108188542099458', '403', '/page-demo/exception/403', 'sys/exception/NotAccessException', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:27', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-18 18:02:47', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108195307511809', '1438108188542099458', '404', '/page-demo/exception/404', 'sys/exception/Exception', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108195487866881', '1438108188542099458', '500', '/page-demo/exception/500', 'sys/exception/ServerErrorException', '1', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:27', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-18 18:04:34', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108195638861825', '1438108188542099458', '网络错误', '/page-demo/exception/net-work-error', 'sys/exception/NetworkErrorException', '1', NULL, NULL, '1', NULL, '1', '3', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:27', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-18 18:05:05', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108195924074497', '1438108188542099458', '无数据', '/page-demo/exception/not-data', 'sys/exception/NotDataErrorException', '1', NULL, NULL, '1', NULL, '1', '4', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:27', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-18 18:05:40', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108196263813121', '1438108188714065922', '标准列表', '/page-demo/list/basic', 'demo/page/list/basic/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108196528054273', '1438108188714065922', '卡片列表', '/page-demo/list/card', 'demo/page/list/card/index', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108196855209985', '1438108188714065922', '搜索列表', '/page-demo/list/search', 'demo/page/list/search/index', '1', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108196993622018', NULL, '组件&功能', '/comp', 'layouts/default/index', '1', NULL, '/comp/basic', '0', NULL, '1', '11', '0', 'ion:layers-outline', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-11-18 10:48:06', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108197270446081', '1438108197958311537', '自定义组件示例', '/comp/jeecg/basic', 'demo/jeecg/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108197790539778', '1438108197958315557', 'Button组件', '/comp/basic/button', 'demo/comp/button/index', '1', NULL, NULL, '1', NULL, '1', '8', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 09:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108197958311537', '1438108196993622018', 'Jeecg组件示例', '/comp/jeecg', 'layouts/default/index', '1', NULL, '/comp/jeecg/basic', '1', NULL, '1', '1', '0', 'ant-design:sketch-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:49:57', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108197958311637', '1438108196993622018', '弹框抽屉', '/comp/modal', 'layouts/default/index', '1', NULL, '/comp/modal/basic', '1', NULL, '1', '6', '0', 'ant-design:laptop-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:53:10', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108197958311677', '1438108196993622018', '第三方组件', '/comp/third', 'layouts/default/index', '1', NULL, '/comp/third/basic', '1', NULL, '1', '7', '0', 'ant-design:slack-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:53:31', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108197958311937', '1438108196993622018', 'Form示例', '/comp/form', 'layouts/default/index', '1', NULL, '/comp/form/basic', '1', NULL, '1', '2', '0', 'ant-design:pic-left-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:50:39', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108197958315557', '1438108196993622018', '基础组件', '/comp/basic', 'layouts/default/index', '1', NULL, '/comp/basic', '1', NULL, '1', '1', '0', 'ant-design:insert-row-left-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:50:27', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108198113501186', '1438108196993622018', 'Table示例', '/comp/table', 'layouts/default/index', '1', NULL, '/comp/table/basic', '1', NULL, '1', '3', '0', 'ant-design:table-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:50:51', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108198339993602', '1438108197958311677', '动画组件', '/comp/third/transition', 'demo/comp/transition/index', '1', NULL, NULL, '1', NULL, '1', '9', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108198679732226', '1438108197958311537', '一对多示例', '/comp/jeecg/oneToMore', 'demo/vextable/index', '1', NULL, NULL, '1', NULL, '1', '6', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108198855892993', '1438108197958311677', '图片裁剪', '/comp/third/basic', 'demo/comp/cropper/index', '1', NULL, NULL, '1', NULL, '1', '7', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108199120134145', '1438108197958311677', '相对时间', '/comp/third/timestamp', 'demo/comp/time/index', '1', NULL, NULL, '1', NULL, '1', '8', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108199304683521', '1438108197958311677', '数字动画', '/comp/third/countTo', 'demo/comp/count-to/index', '1', NULL, NULL, '1', NULL, '1', '9', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108199413735425', '1438108196993622018', 'Tree示例', '/comp/tree', 'layouts/default/index', '1', NULL, '/comp/tree/basic', '1', NULL, '1', '4', '0', 'ant-design:partition-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:54:17', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108199539564546', '1438108196993622018', '编辑器', '/comp/editor', 'layouts/default/index', '1', NULL, '/comp/editor/markdown', '1', NULL, '1', '5', '0', 'ant-design:credit-card-twotone', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:52:47', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108199631839234', '1438108196993622018', '滚动组件', '/comp/scroll', 'layouts/default/index', '1', NULL, '/comp/scroll/basic', '1', NULL, '1', '11', '0', 'ant-design:column-height-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:53:43', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108200076435458', '1438108197958311637', '弹窗扩展', '/comp/modal/basic', 'demo/comp/modal/index', '1', NULL, NULL, '1', NULL, '1', '12', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108200391008257', '1438108197958311637', '抽屉扩展', '/comp/modal/drawer', 'demo/comp/drawer/index', '1', NULL, NULL, '1', NULL, '1', '13', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108200672026626', '1438108197958315557', '详情组件', '/comp/desc', 'demo/comp/desc/index', '1', NULL, NULL, '1', NULL, '1', '14', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108200802050050', '1438108196993622018', '懒加载组件', '/comp/lazy', 'layouts/default/index', '1', NULL, '/comp/lazy/basic', '1', NULL, '1', '15', '0', 'ant-design:small-dash-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:53:59', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108200919490562', '1438108196993622018', '验证组件', '/comp/verify', 'layouts/default/index', '1', NULL, '/comp/verify/drag', '1', NULL, '1', '16', '0', 'ant-design:field-binary-outlined', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:54:36', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108201150177281', '1438108197958311677', '二维码组件', '/comp/third/qrcode', 'demo/comp/qrcode/index', '1', NULL, NULL, '1', NULL, '1', '17', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108201502498817', '1438108197958311677', '密码强度组件', '/comp/third/strength-meter', 'demo/comp/strength-meter/index', '1', NULL, NULL, '1', NULL, '1', '18', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108202060341249', '1438108197958311677', 'Loading', '/comp/third/loading', 'demo/comp/loading/index', '1', NULL, NULL, '1', NULL, '1', '20', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108202366525441', '1438108197958311937', '基础表单', '/comp/form/basic', 'demo/form/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108203649982466', '1438108197958311937', 'useForm', '/comp/form/useForm', 'demo/form/UseForm', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108203817754625', '1438108197958311937', 'RefForm', '/comp/form/refForm', 'demo/form/RefForm', '1', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108204023275521', '1438108197958311937', '可收缩表单', '/comp/form/advancedForm', 'demo/form/AdvancedForm', '1', NULL, NULL, '1', NULL, '1', '3', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108204232990721', '1438108197958311937', '表单验证', '/comp/form/ruleForm', 'demo/form/RuleForm', '1', NULL, NULL, '1', NULL, '1', '4', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108204400762881', '1438108197958311937', '动态表单', '/comp/form/dynamicForm', 'demo/form/DynamicForm', '1', NULL, NULL, '1', NULL, '1', '5', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108204576923649', '1438108197958311937', '自定义组件', '/comp/form/customerForm', 'demo/form/CustomerForm', '1', NULL, NULL, '1', NULL, '1', '6', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108204732112898', '1438108197958311937', '表单增删示例', '/comp/form/appendForm', 'demo/form/AppendForm', '1', NULL, NULL, '1', NULL, '1', '7', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108205004742657', '1438108198113501186', '基础表格', '/comp/table/basic', 'demo/table/Basic', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108205180903426', '1438108198113501186', '树形表格', '/comp/table/treeTable', 'demo/table/TreeTable', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108205357064193', '1438108198113501186', '远程加载示例', '/comp/table/fetchTable', 'demo/table/FetchTable', '1', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108216597798914', '1438108200802050050', '动画效果', '/comp/lazy/transition', 'demo/comp/lazy/Transition', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108216971091969', '1438108200919490562', '拖拽校验', '/comp/verify/drag', 'demo/comp/verify/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108217449242626', '1438108200919490562', '图片还原', '/comp/verify/rotate', 'demo/comp/verify/Rotate', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108217562488834', '1438108187455774722', '图表', '/charts', 'layouts/default/index', '1', NULL, '/charts/echarts/map', '0', NULL, '1', '7', '0', 'ion:bar-chart-outline', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:32', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108217860284417', '1438108217562488834', '百度地图', '/charts/baiduMap', 'demo/charts/map/Baidu', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108218049028097', '1438108217562488834', '高德地图', '/charts/aMap', 'demo/charts/map/Gaode', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108218409738242', '1438108217562488834', 'Echarts', '/charts/echarts', NULL, '1', NULL, '/charts/echarts/map', '1', NULL, '1', '3', '0', NULL, '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108218787225601', '1438108218409738242', '地图', '/charts/echarts/map', 'demo/charts/Map', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108219034689538', '1438108218409738242', '折线图', '/charts/echarts/line', 'demo/charts/Line', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108219240210434', '1438108218409738242', '饼图', '/charts/echarts/pie', 'demo/charts/Pie', '1', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108219445731330', '1438108187455774722', '外部页面', '/frame', 'layouts/default/index', '1', NULL, '/frame/doc', '0', NULL, '1', '8', '0', 'ion:tv-outline', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108219592531970', '1438108219445731330', '项目文档(内嵌)', '/frame/doc', 'http://vue3.jeecg.com', '1', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-11-15 17:59:32', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108219793858561', '1438108219445731330', 'antVue文档(内嵌)', '/frame/antv', 'https://2x.antdv.com/docs/vue/introduce-cn', '1', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-11-11 17:11:10', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108220137791489', '1438108219445731330', '项目文档(外链)', '/', 'http://vue3.jeecg.com/', '1', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-10-25 13:46:59', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '1');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108220418809857', '1438108187455774722', '多级菜单', '/level', 'layouts/default/index', '1', NULL, '/level/menu1/menu1-1/menu1-1-1', '0', NULL, '1', '9', '0', 'ion:menu-outline', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108220523667458', '1438108220418809857', 'Menu1', '/level/menu1', NULL, '1', NULL, '/level/menu1/menu1-1/menu1-1-1', '1', NULL, '1', '0', '0', NULL, '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108220724994049', '1438108220418809857', 'Menu2', '/level/menu2', 'demo/level/Menu2', '1', 'Menu2Demo', NULL, '1', NULL, '1', '1', '0', NULL, '1', '1', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-20 15:24:13', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108220896960513', '1438108220523667458', 'Menu1-1', '/level/menu1/menu1-1', NULL, '1', NULL, '/level/menu1/menu1-1/menu1-1-1', '1', NULL, '1', '0', '0', NULL, '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108221127647234', '1438108220896960513', 'Menu1-1-1', '/level/menu1/menu1-1/menu1-1-1', 'demo/level/Menu111', '1', 'Menu111Demo', NULL, '1', NULL, '1', '0', '0', NULL, '1', '1', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-20 15:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108221270253570', '1438108220523667458', 'Menu1-2', '/level/menu1/menu1-2', 'demo/level/Menu12', '1', 'Menu12Demo', NULL, '1', NULL, '1', '1', '0', NULL, '1', '1', '0', '0', NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-20 15:24:08', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108221551271937', NULL, 'Mock示例', '/system', 'layouts/default/index', '1', NULL, '/system/account', '0', NULL, '1', '10', '0', 'ion:settings-outline', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108221849067522', '1438108221551271937', '测试功能', '/system/test', 'demo/system/test/index', '1', NULL, NULL, '1', NULL, '1', '0', '0', 'ant-design:bulb-outlined', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:55:36', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108222218166273', '1438108221551271937', '账号管理', '/system/account', 'demo/system/account/index', '1', NULL, NULL, '1', NULL, '1', '1', '0', 'ant-design:user-outlined', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:55:46', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108222721482753', '1438108221551271937', '账号详情', '/system/account_detail/:id', 'demo/system/account/AccountDetail', '1', NULL, NULL, '1', NULL, '1', '2', '0', 'ant-design:idcard-twotone', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:56:12', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108223489040385', '1438108221551271937', '部门管理', '/system/dept', 'demo/system/dept/index', '1', NULL, NULL, '1', NULL, '1', '5', '0', 'ant-design:usergroup-add-outlined', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:56:34', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108223661006850', '1438108221551271937', '修改密码', '/system/changePassword', 'demo/system/password/index', '1', NULL, NULL, '1', NULL, '1', '6', '0', 'ant-design:field-number-outlined', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:56:46', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108225263230978', '1438108178010202113', '引导页', '/setup/index', 'demo/setup/index', '1', NULL, NULL, '1', NULL, '1', '12', '0', 'whh:paintroll', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 09:02:19', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438108225451974658', NULL, '关于', '/about/index', 'sys/about/index', '1', NULL, NULL, '0', NULL, '1', '13', '0', 'simple-icons:about-dot-me', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 19:51:34', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438115924159881218', '1438108183395688450', 'Tab带参1', '/testTab/id1', 'demo/feat/tab-params/index', '1', NULL, NULL, '1', NULL, '0', '0', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 20:22:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-16 14:38:32', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438116003012796418', '1438108183395688450', 'Tab带参2', '/feat/testTab/id2', 'demo/feat/tab-params/index', '1', NULL, NULL, '1', NULL, '0', '1', '0', NULL, '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-15 20:22:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438469604861403137', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '职务管理', '/system/position', 'system/position/index', '1', NULL, NULL, '1', NULL, '0', '5', '0', 'ant-design:database-filled', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-16 19:47:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:58:22', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438782530717495298', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '分类字典', '/system/category', 'system/category/index', '1', NULL, NULL, '1', NULL, '0', '9', '0', 'ant-design:group-outlined', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-17 16:31:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438782641187074050', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '数据字典', '/system/dict', 'system/dict/index', '1', NULL, NULL, '1', NULL, '0', '4', '0', 'ant-design:hdd-twotone', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-17 16:31:27', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2023-03-04 15:01:55', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438782851980210178', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '通知公告', '/system/notice', 'system/notice/index', '1', NULL, NULL, '1', NULL, '0', '8', '0', 'ant-design:bell-outlined', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-09-17 16:32:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 16:36:15', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1438783058792951810', '1438108197958311537', '单表示例', '/system/examples/demo', 'system/examples/demo/index', '1', NULL, NULL, '1', NULL, '0', '1', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-17 16:33:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-12-08 14:10:47', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1439398677984878593', NULL, '系统监控', '/monitor', 'layouts/RouteView', '1', NULL, NULL, '0', NULL, '0', '5', '0', 'ant-design:video-camera-filled', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-19 09:19:22', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 16:21:08', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1439399179791409153', '1439398677984878593', '网关路由', '/monitor/route', 'monitor/route/index', '1', NULL, NULL, '1', NULL, '0', '1', '0', 'ant-design:branches-outlined', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-19 09:21:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-19 09:26:42', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1439488251473993730', '1439398677984878593', '定时任务', '/monitor/quartz', 'monitor/quartz/index', '1', NULL, NULL, '1', NULL, '0', '1', '0', 'ant-design:history-outlined', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-19 15:15:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1439511654494937090', '1439398677984878593', '数据源管理', '/monitor/datasource', 'monitor/datasource/index', '1', NULL, NULL, '1', NULL, '0', '3', '0', 'ant-design:hdd-filled', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-19 16:48:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1439531077792473089', '1439398677984878593', '数据日志', '/monitor/datalog', 'monitor/datalog/index', '1', NULL, NULL, '1', NULL, '0', '4', '0', 'ant-design:funnel-plot-twotone', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-19 18:05:28', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1439533711676973057', '1439398677984878593', '日志管理', '/monitor/log', 'monitor/log/index', '1', NULL, NULL, '1', NULL, '0', '5', '0', 'ant-design:interaction-outlined', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-19 18:15:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-19 18:16:56', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1439542701152575489', '1443390062919208961', '我的消息', '/monitor/mynews', 'monitor/mynews/index', '1', NULL, NULL, '1', NULL, '0', '6', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-19 18:51:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 10:33:10', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1439784356766064642', '1439398677984878593', 'SQL监控', '/monitor/druid', '{{ window._CONFIG[''domianURL''] }}/druid', '1', NULL, NULL, '1', NULL, '0', '8', '0', 'ant-design:rocket-filled', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-20 10:51:55', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-11-15 18:21:20', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1439797053314342913', '1439398677984878593', '性能监控', '/monitor/server', 'monitor/server/index', '1', NULL, NULL, '1', NULL, '0', '9', '0', 'ant-design:thunderbolt-filled', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-20 11:42:22', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-20 14:13:14', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1439839507094740994', '1439398677984878593', 'Redis监控', '/monitor/redis', 'monitor/redis/index', '1', NULL, NULL, '1', NULL, '0', '10', '0', 'ant-design:trademark-outlined', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-20 14:31:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1439842640030113793', '1439398677984878593', '请求追踪', '/monitor/trace', 'monitor/trace/index', '1', NULL, NULL, '1', NULL, '0', '11', '0', 'ant-design:ie-circle-filled', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-20 14:43:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1441340399835742209', '1438108197958311537', '打印示例', '/jeecg/PrintDemo', 'demo/jeecg/PrintDemo', '1', NULL, NULL, '1', NULL, '0', '7', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-24 17:55:05', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-24 17:55:20', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1441357157443371009', '1438108197958311537', '表格合计', '/jeecg/tableTotal', 'demo/jeecg/TableTotal', '1', NULL, NULL, '1', NULL, '0', '8', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-24 19:01:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1441361249200832513', '1438108197958311537', '异步树表格', '/jeecg/AsyncTreeTable', 'demo/jeecg/AsyncTreeTable', '1', NULL, NULL, '1', NULL, '0', '9', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-24 19:17:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-26 16:05:55', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1442055284830769154', '1438108197958311537', '对象存储', '/system/ossfile', 'system/ossfile/index', '1', NULL, NULL, '1', NULL, '0', '11', '0', 'ant-design:file-add-outlined', '0', '0', '0', '0', NULL, 'jeecg', TO_DATE('2021-09-26 17:15:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 16:23:35', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1443390062919208961', NULL, '消息中心', '/message', 'layouts/default/index', '1', NULL, '/message/manage', '0', NULL, '0', '5', '0', 'ant-design:message-outlined', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-30 09:39:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 16:15:30', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1443391584864358402', '1443390062919208961', '消息模板', '/message/template', 'system/message/template/index', '1', NULL, NULL, '1', NULL, '0', '2', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-09-30 09:45:45', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 10:32:42', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1446778415130722306', '1438108219445731330', 'JEECG官网', '/', 'http://www.jeecg.com', '0', NULL, NULL, '1', NULL, '0', '1', '0', NULL, '1', '0', '0', '0', NULL, 'jeecg', TO_DATE('2021-10-09 18:03:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-11-15 18:01:26', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '1');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1447535997560909826', '1438108197270446081', '禁用', NULL, NULL, '0', NULL, NULL, '2', 'demo.dbarray', '2', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-10-11 20:14:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-10-11 20:18:48', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1447763172274495489', NULL, '统计报表', '/report', 'layouts/RouteView', '1', NULL, NULL, '0', NULL, '0', '3.1', '0', 'ant-design:bar-chart-outlined', '0', '0', '0', '0', NULL, 'jeecg', TO_DATE('2021-10-12 11:16:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2023-03-04 15:00:49', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1447763517847396354', '1447763172274495489', 'EChartDemo', '/report/chartDemo', 'report/chartdemo/index', '1', NULL, NULL, '1', NULL, '0', '1', '0', NULL, '1', '0', '0', '0', NULL, 'jeecg', TO_DATE('2021-10-12 11:18:15', 'SYYYY-MM-DD HH24:MI:SS'), 'jeecg', TO_DATE('2021-10-14 14:36:38', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1448252726202859522', '1447763172274495489', '布局统计报表', '/statisticst', 'report/statisticst/index', '1', NULL, NULL, '1', NULL, '0', '2', '0', NULL, '1', '0', '0', '0', NULL, 'jeecg', TO_DATE('2021-10-13 19:42:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1450308897429536769', '1438108197958311537', 'JVxeTable示例', '/jeecg/j-vxe-table-demo', 'demo/jeecg/JVxeTableDemo/index', '1', NULL, NULL, '1', NULL, '0', '10', '0', NULL, '0', '0', '0', '0', NULL, 'admin', TO_DATE('2021-10-19 11:52:41', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-10-19 11:54:46', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1452508868884353026', '1455100420297859074', '报表设计器', '/jmreport', '{{ window._CONFIG[''domianURL''] }}/jmreport/list?token=${token}', '1', NULL, NULL, '1', NULL, '0', '3', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-10-25 13:34:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 16:22:56', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '1');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1453250018282573826', '1438108197958311537', '一对多内嵌', '/innerTable', 'demo/jeecg/InnerExpandTable', '1', NULL, NULL, '1', NULL, '0', '12', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-10-27 14:39:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-10-27 14:40:29', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1454031324835807233', '1450308897429536769', '综合示例', '/jeecg/j-vxe-table-demo/normal', 'demo/jeecg/JVxeTableDemo/index', '1', NULL, NULL, '1', NULL, '0', '1', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-10-29 18:24:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-10-29 18:25:28', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1454031820661260289', '1450308897429536769', '即时保存', '/jeecg/j-vxe-table-demo/jsbc', 'demo/jeecg/JVxeTableDemo/func-demo/JSBCDemo', '1', NULL, NULL, '1', NULL, '0', '2', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-10-29 18:26:15', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1454034512171302914', '1450308897429536769', '无痕刷新', '/jeecg/j-vxe-table-demo/whsx', 'demo/jeecg/JVxeTableDemo/func-demo/SocketReload', '1', NULL, NULL, '1', NULL, '0', '3', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-10-29 18:36:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1455019819440021505', '1450308897429536769', '弹出子表', '/jeecg/j-vxe-table-demo/tczb', 'demo/jeecg/JVxeTableDemo/func-demo/PopupSubTable', '1', NULL, NULL, '1', NULL, '0', '4', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-11-01 11:52:13', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-11-01 11:52:19', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1455067599277662209', '1450308897429536769', '布局模板', '/jeecg/j-vxe-table-demo/layout', 'demo/jeecg/JVxeTableDemo/layout-demo/index', '1', NULL, NULL, '1', NULL, '0', '5', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-11-01 15:02:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1455100420297859074', NULL, '低代码开发', '/online', 'layouts/default/index', '1', NULL, '/online/cgform', '0', NULL, '0', '2', '0', 'ant-design:cloud-outlined', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2021-11-01 17:12:29', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-26 14:06:06', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1455101470794850305', '1455100420297859074', 'Online表单开发', '/online/cgform', 'super/online/cgform/index', '1', NULL, NULL, '1', NULL, '0', '1', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-11-01 17:16:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-04-04 18:36:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1455735714507472898', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '通讯录', '/address', 'system/address/index', '1', NULL, NULL, '1', NULL, '0', '10', '0', 'ant-design:book-outlined', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-11-03 11:16:55', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-11-04 19:40:19', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1457678003102879745', '1455100420297859074', '系统编码规则', '/system/fillrule', 'system/fillRule/index', '1', NULL, NULL, '1', NULL, '0', '9', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-11-08 19:54:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-11-18 10:49:40', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1458353686530232321', '1455100420297859074', '系统校验规则', '/system/checkrule', 'system/checkRule/index', '1', NULL, NULL, '1', NULL, '0', '15', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-11-10 16:39:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-11-18 10:49:48', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1458389305235984385', '1438108197958311537', '一对多ERP', '/erplist', 'demo/jeecg/erplist/index', '1', NULL, NULL, '1', NULL, '0', '11', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-11-10 19:01:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-11-30 14:06:53', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1460888189937176577', '1455100420297859074', 'Online报表配置', '/online/cgreport', 'super/online/cgreport/index', '1', NULL, NULL, '1', NULL, '0', '2', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-11-17 16:31:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-12-08 10:55:32', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1461270075543347202', '1455100420297859074', 'Online表单视图', '/online/copyform/:code', 'super/online/cgform/CgformCopyList', '1', NULL, NULL, '1', NULL, '0', '99', '0', NULL, '1', '0', '1', '0', NULL, 'admin', TO_DATE('2021-11-18 17:48:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1461291438825558017', '1455100420297859074', 'AUTO在线报表', '/online/cgreport/:id', 'super/online/cgreport/auto/OnlCgReportList', '1', NULL, NULL, '1', NULL, '0', '2', '0', NULL, '1', '0', '1', '0', NULL, 'admin', TO_DATE('2021-11-18 19:13:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-11-19 20:16:13', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1465686870713782273', '1455100420297859074', 'AUTO在线表单', '/online/cgformList/:id', 'super/online/cgform/auto/default/OnlineAutoList', '1', NULL, NULL, '1', NULL, '0', '5', '0', NULL, '1', '0', '1', '0', NULL, 'admin', TO_DATE('2021-11-30 22:19:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1509417558230999041', '1455100420297859074', 'AUTO树表单列表', '/online/cgformTreeList/:id', 'super/online/cgform/auto/tree/OnlineAutoTreeList', '1', NULL, NULL, '1', NULL, '0', '5', '0', NULL, '1', '0', '1', '0', NULL, 'admin', TO_DATE('2022-03-31 14:29:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1534418199197323265', '1438108197958311537', '单表原生示例', '/one/OneNativeList', 'demo/jeecg/Native/one/OneNativeList', '1', NULL, NULL, '1', NULL, '0', '13', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-06-08 14:13:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-06-08 14:13:12', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1580833876002627585', '1447763172274495489', 'Online报表例子', '/online/cgreport/1256627801873821698', '1', '0', NULL, NULL, '1', NULL, '0', '3', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-10-14 16:12:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 16:21:55', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1580834045490257922', '1447763172274495489', 'Online表单例子', '/online/cgformList/9ab817fd4c2e4e7ba6652c4fa46af389', '1', '0', NULL, NULL, '1', NULL, '0', '4', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-10-14 16:13:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-28 10:17:38', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1580835899477483522', '1447763172274495489', '积木报表例子', '/jmreport/view/961455b47c0b86dc961e90b5893bff05', '{{ window._CONFIG[''domianURL''] }}/jmreport/view/961455b47c0b86dc961e90b5893bff05?token=${token}', '1', NULL, NULL, '1', NULL, '0', '5', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-10-14 16:20:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 16:20:51', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1580877743141933058', '1447763172274495489', '生产销售监控大屏', '/test/bigScreen1', '{{ window._CONFIG[''domianURL''] }}/test/bigScreen/templat/index1', '1', NULL, NULL, '1', NULL, '0', '6', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-10-14 19:06:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 19:08:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1580877931331964929', '1447763172274495489', '智慧物流监控大屏', '/test/bigScreen2', '{{ window._CONFIG[''domianURL''] }}/test/bigScreen/templat/index2', '1', NULL, NULL, '1', NULL, '0', '7', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-10-14 19:07:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 19:08:15', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1580878668472504321', '1447763172274495489', '积木大屏案例', '/test/jmbigscreen2', 'https://cloud.jimureport.com/bigscreen/#/view/bs_1394991793166094338', '1', NULL, NULL, '1', NULL, '0', '9', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-10-14 19:10:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-28 10:18:19', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1588513553652436993', '3f915b2769fc80648e92d04e84ca059d', '修改密码', NULL, NULL, '0', NULL, NULL, '2', 'system:user:changepwd', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-04 20:48:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-04 20:49:06', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1590154870697734146', '1447763172274495489', '带参数报表', '/online/cgreport/1590154651759259649?sex=1', 'layouts/RouteView', '0', '1', NULL, '1', NULL, '0', '1', '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-09 09:30:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592112984361365505', '1170592628746878978', '添加菜单', NULL, NULL, '0', NULL, NULL, '2', 'system:permission:add', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:11:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592113148350263298', '190c2b43bec6a5f7a4194a85db67d96a', '保存角色授权', NULL, NULL, '0', NULL, NULL, '2', 'system:permission:saveRole', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:12:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592114574275211265', '3f915b2769fc80648e92d04e84ca059d', '删除用户', NULL, NULL, '0', NULL, NULL, '2', 'system:user:delete', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:17:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592114652566089729', '3f915b2769fc80648e92d04e84ca059d', '批量删除用户', NULL, NULL, '0', NULL, NULL, '2', 'system:user:deleteBatch', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:18:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592114721138765826', '3f915b2769fc80648e92d04e84ca059d', '冻结/解冻用户', NULL, NULL, '0', NULL, NULL, '2', 'system:user:frozenBatch', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:18:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592114772665790465', '3f915b2769fc80648e92d04e84ca059d', '首页用户重置密码', NULL, NULL, '0', NULL, NULL, '2', 'system:user:updatepwd', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:18:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592114823467200514', '3f915b2769fc80648e92d04e84ca059d', '给指定角色添加用户', NULL, NULL, '0', NULL, NULL, '2', 'system:user:addUserRole', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:18:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592114893302362114', '3f915b2769fc80648e92d04e84ca059d', '删除指定角色的用户关系', NULL, NULL, '0', NULL, NULL, '2', 'system:user:deleteRole', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:19:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592114955650691074', '3f915b2769fc80648e92d04e84ca059d', '批量删除指定角色的用户关系', NULL, NULL, '0', NULL, NULL, '2', 'system:user:deleteRoleBatch', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:19:20', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592115070432014338', '3f915b2769fc80648e92d04e84ca059d', '给指定部门添加对应的用户', NULL, NULL, '0', NULL, NULL, '2', 'system:user:editDepartWithUser', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:19:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592115115361398786', '3f915b2769fc80648e92d04e84ca059d', '删除指定机构的用户关系', NULL, NULL, '0', NULL, NULL, '2', 'system:user:deleteUserInDepart', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:19:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592115162379546625', '3f915b2769fc80648e92d04e84ca059d', '批量删除指定机构的用户关系', NULL, NULL, '0', NULL, NULL, '2', 'system:user:deleteUserInDepartBatch', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:20:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592115213910765570', '3f915b2769fc80648e92d04e84ca059d', '彻底删除用户', NULL, NULL, '0', NULL, NULL, '2', 'system:user:deleteRecycleBin', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:20:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592115610431877122', '1439511654494937090', '多数据源分页列表', NULL, NULL, '0', NULL, NULL, '2', 'system:datasource:list', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:21:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592115712466710529', '45c966826eeff4c99b8f8ebfe74511fc', '部门添加', NULL, NULL, '0', NULL, NULL, '2', 'system:depart:add', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:22:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-14 19:30:49', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592115914493751297', '1170592628746878978', '编辑菜单权限数据', NULL, NULL, '0', NULL, NULL, '2', 'system:permission:editRule', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:23:09', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-14 19:39:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592116663936184322', '1170592628746878978', '编辑菜单', NULL, NULL, '0', NULL, NULL, '2', 'system:permission:edit', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:26:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592117222764277761', '45c966826eeff4c99b8f8ebfe74511fc', '部门编辑', NULL, NULL, '0', NULL, NULL, '2', 'system:depart:edit', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:28:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-14 19:30:55', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592117276539449345', '45c966826eeff4c99b8f8ebfe74511fc', '部门删除', NULL, NULL, '0', NULL, NULL, '2', 'system:depart:delete', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:28:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-14 19:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592117377299214337', '45c966826eeff4c99b8f8ebfe74511fc', '部门批量删除', NULL, NULL, '0', NULL, NULL, '2', 'system:depart:deleteBatch', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:28:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-14 19:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592117422006300673', '45c966826eeff4c99b8f8ebfe74511fc', '部门导入', NULL, NULL, '0', NULL, NULL, '2', 'system:depart:importExcel', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:29:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592117625664925697', '5c2f42277948043026b7a14692456828', '部门角色添加', NULL, NULL, '0', NULL, NULL, '2', 'system:depart:role:add', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:29:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592117748209905665', '5c2f42277948043026b7a14692456828', '部门角色编辑', NULL, NULL, '0', NULL, NULL, '2', 'system:depart:role:edit', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:30:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592117804359053314', '5c2f42277948043026b7a14692456828', '部门角色删除', NULL, NULL, '0', NULL, NULL, '2', 'system:depart:role:delete', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:30:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592117990305132545', '5c2f42277948043026b7a14692456828', '部门角色批量删除', NULL, NULL, '0', NULL, NULL, '2', 'system:depart:role:deleteBatch', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:31:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592118053634928641', '5c2f42277948043026b7a14692456828', '部门角色用户授权', NULL, NULL, '0', NULL, NULL, '2', 'system:depart:role:userAdd', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:31:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592118192218927105', '1438782641187074050', '字典新增', NULL, NULL, '0', NULL, NULL, '2', 'system:dict:add', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:32:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592118254844080130', '1438782641187074050', '字典编辑', NULL, NULL, '0', NULL, NULL, '2', 'system:dict:edit', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:32:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592118306983473154', '1438782641187074050', '字典删除', NULL, NULL, '0', NULL, NULL, '2', 'system:dict:delete', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:32:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592118356778250241', '1438782641187074050', '字典批量删除', NULL, NULL, '0', NULL, NULL, '2', 'system:dict:deleteBatch', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:32:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592118414990995457', '1438782641187074050', '字典导入', NULL, NULL, '0', NULL, NULL, '2', 'system:dict:importExcel', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:33:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592118497606201346', '1439399179791409153', '路由网关删除', NULL, NULL, '0', NULL, NULL, '2', 'system:getway:delete', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:33:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592118604640645122', '1170592628746878978', '删除菜单', NULL, NULL, '0', NULL, NULL, '2', 'system:permission:delete', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:33:50', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592118648315932674', '1170592628746878978', '批量删除菜单', NULL, NULL, '0', NULL, NULL, '2', 'system:permission:deleteBatch', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:34:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592119001883176961', '1170592628746878978', '添加菜单权限数据', NULL, NULL, '0', NULL, NULL, '2', 'system:permission:addRule', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:35:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592120052866707457', '1170592628746878978', '删除菜单权限数据', NULL, NULL, '0', NULL, NULL, '2', 'system:permission:deleteRule', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:39:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592120222727630849', '45c966826eeff4c99b8f8ebfe74511fc', '保存部门授权', NULL, NULL, '0', NULL, NULL, '2', 'system:permission:saveDepart', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:40:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592120224120850434', '190c2b43bec6a5f7a4194a85db67d96a', '查询全部角色不租户隔离', NULL, NULL, '0', NULL, NULL, '2', 'system:role:queryallNoByTenant', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-11 19:41:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592120323667750914', '190c2b43bec6a5f7a4194a85db67d96a', '角色添加', NULL, NULL, '0', NULL, NULL, '2', 'system:role:add', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:40:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592120372296511490', '190c2b43bec6a5f7a4194a85db67d96a', '角色编辑', NULL, NULL, '0', NULL, NULL, '2', 'system:role:edit', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:40:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592120427007012865', '190c2b43bec6a5f7a4194a85db67d96a', '角色删除', NULL, NULL, '0', NULL, NULL, '2', 'system:role:delete', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:41:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592120484120850434', '190c2b43bec6a5f7a4194a85db67d96a', '角色批量删除', NULL, NULL, '0', NULL, NULL, '2', 'system:role:deleteBatch', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:41:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592120594695286785', '190c2b43bec6a5f7a4194a85db67d96a', '角色首页配置添加', NULL, NULL, '0', NULL, NULL, '2', 'system:roleindex:add', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:41:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592120649007329281', '190c2b43bec6a5f7a4194a85db67d96a', '角色首页配置编辑', NULL, NULL, '0', NULL, NULL, '2', 'system:roleindex:edit', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:41:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1592135223910765570', '3f915b2769fc80648e92d04e84ca059d', '查询全部用户', NULL, NULL, '0', NULL, NULL, '2', 'system:user:listAll', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:20:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593160905216663554', '1438782641187074050', '字典子项新增', NULL, NULL, '0', NULL, NULL, '2', 'system:dict:item:add', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:35:34', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593160959633563650', '1438782641187074050', '字典子项编辑', NULL, NULL, '0', NULL, NULL, '2', 'system:dict:item:edit', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:35:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593161025790320641', '1438782641187074050', '字典子项删除', NULL, NULL, '0', NULL, NULL, '2', 'system:dict:item:delete', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593161089787011074', '1438782641187074050', '字典子项批量删除', NULL, NULL, '0', NULL, NULL, '2', 'system:dict:item:deleteBatch', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:36:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593161421350936578', '1439488251473993730', '添加定时任务', NULL, NULL, '0', NULL, NULL, '2', 'system:quartzJob:add', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:37:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593161483627962370', '1439488251473993730', '更新定时任务', NULL, NULL, '0', NULL, NULL, '2', 'system:quartzJob:edit', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:37:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593161551202394114', '1439488251473993730', '删除定时任务', NULL, NULL, '0', NULL, NULL, '2', 'system:quartzJob:delete', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:38:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593161608362369026', '1439488251473993730', '批量删除定时任务', NULL, NULL, '0', NULL, NULL, '2', 'system:quartzJob:deleteBatch', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:38:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593161657385394177', '1439488251473993730', '停止定时任务', NULL, NULL, '0', NULL, NULL, '2', 'system:quartzJob:pause', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:38:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593161697348722689', '1439488251473993730', '启动定时任务', NULL, NULL, '0', NULL, NULL, '2', 'system:quartzJob:resume', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:38:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593161743607701505', '1439488251473993730', '立即执行定时任务', NULL, NULL, '0', NULL, NULL, '2', 'system:quartzJob:execute', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:38:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593173018886709250', '1442055284830769154', '文件oos上传', NULL, NULL, '0', NULL, NULL, '2', 'system:ossFile:upload', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 17:23:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1593185714482880514', '3f915b2769fc80648e92d04e84ca059d', '用户导出', NULL, NULL, '0', NULL, NULL, '2', 'system:user:export', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 18:14:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1594930803956920321', '1439398677984878593', '在线用户', '/system/onlineuser', 'system/onlineuser/OnlineUserList', '1', NULL, NULL, '1', NULL, '0', '12', '0', 'ant-design:aliwangwang-outlined', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-22 13:48:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2023-03-04 15:15:36', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1596141938193747970', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '用户设置', '/system/usersetting', 'system/usersetting/UserSetting', '1', NULL, NULL, '1', NULL, '0', '12', '0', 'ant-design:setting-twotone', '0', '0', '1', '0', NULL, 'admin', TO_DATE('2022-11-25 22:01:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2023-03-04 15:00:26', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1596335805278990338', '1596141938193747970', '账户设置用户编辑权限', NULL, NULL, '0', NULL, NULL, '2', 'system:user:setting:edit', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-26 10:51:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1597419994965786625', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '租户角色', '/system/role/TenantRoleList', 'system/role/TenantRoleList', '1', NULL, NULL, '1', NULL, '0', '3.2', '0', 'ant-design:line-height-outlined', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-29 10:39:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2023-03-04 15:01:43', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('15c92115213910765570', '3f915b2769fc80648e92d04e84ca059d', '通过ID查询用户信息接口', NULL, NULL, '0', NULL, NULL, '2', 'system:user:queryById', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:20:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1600105607009165314', '1280350452934307841', '邀请用户', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:invitation:user', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-12-06 20:31:20', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1600108123037917186', '1280350452934307841', '通过租户id获取用户', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:user:list', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-12-06 20:41:20', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1600129606082650113', '1280350452934307841', '租户请离', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:leave', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-12-06 22:06:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1611620416187969538', '1280350452934307841', '分页获取租户用户数据', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:tenantPageList', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-07 15:07:04', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1611620600003342337', '1280350452934307841', '通过用户id获取租户列表', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:getTenantListByUserId', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-07 15:07:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1611620654621569026', '1280350452934307841', '更新用户租户关系状态', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:updateUserTenantStatus', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-07 15:08:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1611620772498218641', '1280350452934307841', '查询租户列表', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:list', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-11 15:08:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1611620772498288641', '1280350452934307841', '注销租户', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:cancelTenant', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-07 15:08:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1611650772498288641', '1280350452934307841', '删除租户', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:delete', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-11 15:08:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1612438989792034818', '1280350452934307841', '编辑租户', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:edit', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-07 15:08:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1613620712498288641', '1280350452934307841', '批量删除租户', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:deleteBatch', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-11 15:08:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1620261087828418562', '1280350452934307841', '获取租户删除的列表', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:recycleBinPageList', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-31 11:22:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1620305415648989186', '1280350452934307841', '彻底删除租户', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:deleteTenantLogic', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-31 14:18:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2023-01-31 14:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1620327825894981634', '1280350452934307841', '租户还原', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:revertTenantLogic', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-31 15:47:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1621620772498288641', '1280350452934307841', '添加租户', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:add', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-11 15:08:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1697220712498288641', '1280350452934307841', '根据ids查询租户', NULL, NULL, '0', NULL, NULL, '2', 'system:tenant:queryList', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-11 15:08:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('190c2b43bec6a5f7a4194a85db67d96a', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '角色管理', '/system/role', 'system/role/index', '1', NULL, NULL, '1', NULL, NULL, '2', '0', 'ant-design:solution', '0', '1', '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:58:00', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1a0811914300741f4e11838ff37a1d3a', '3f915b2769fc80648e92d04e84ca059d', '手机号禁用', NULL, NULL, '0', NULL, NULL, '2', 'user:form:phone', '2', '1', '0', NULL, '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-05-11 17:19:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-05-11 18:00:22', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('1d592115213910765570', '3f915b2769fc80648e92d04e84ca059d', '通过ID查询用户拥有的角色', NULL, NULL, '0', NULL, NULL, '2', 'system:user:queryUserRole', '1', NULL, '0', NULL, '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:20:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('3f915b2769fc80648e92d04e84ca059d', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '用户管理', '/system/user', 'system/user/index', '1', NULL, NULL, '1', NULL, NULL, '1', '0', 'ant-design:user', '0', '1', '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'sunjianlei', TO_DATE('2021-05-08 09:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('45c966826eeff4c99b8f8ebfe74511fc', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '部门管理', '/system/depart', 'system/depart/index', '1', NULL, NULL, '1', NULL, NULL, '3', '0', 'ant-design:team', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-01-29 18:47:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:58:13', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('5c2f42277948043026b7a14692456828', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '我的部门', '/system/depart-user', 'system/departUser/index', '1', NULL, NULL, '1', NULL, NULL, '3', '0', 'ant-design:home-outlined', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2019-04-17 15:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2023-03-04 15:03:07', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('9502685863ab87f0ad1134142788a385', '1438108176273760258', '首页', '/dashboard/analysis', 'dashboard/Analysis', '1', NULL, NULL, '1', NULL, NULL, '1', '0', 'ant-design:bank-filled', '1', '1', '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-09-17 15:43:16', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION" VALUES ('d7d6e2e4e2934f2c9385a623fd98c6f3', NULL, '系统管理', '/isystem', 'layouts/RouteView', '1', NULL, NULL, '0', NULL, NULL, '3', '0', 'ant-design:setting', '0', '0', '0', '0', NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-11 15:37:11', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');

-- ----------------------------
-- Table structure for SYS_PERMISSION_DATA_RULE
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_PERMISSION_DATA_RULE";
CREATE TABLE "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" (
  "ID" NVARCHAR2(32) NOT NULL,
  "PERMISSION_ID" NVARCHAR2(32),
  "RULE_NAME" NVARCHAR2(50),
  "RULE_COLUMN" NVARCHAR2(50),
  "RULE_CONDITIONS" NVARCHAR2(50),
  "RULE_VALUE" NVARCHAR2(300),
  "STATUS" NVARCHAR2(3),
  "CREATE_TIME" DATE,
  "CREATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_DATA_RULE"."ID" IS 'ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_DATA_RULE"."PERMISSION_ID" IS '菜单ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_DATA_RULE"."RULE_NAME" IS '规则名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_DATA_RULE"."RULE_COLUMN" IS '字段';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_DATA_RULE"."RULE_CONDITIONS" IS '条件';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_DATA_RULE"."RULE_VALUE" IS '规则值';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_DATA_RULE"."STATUS" IS '权限有效状态1有0否';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_DATA_RULE"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_DATA_RULE"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_DATA_RULE"."UPDATE_BY" IS '修改人';

-- ----------------------------
-- Records of SYS_PERMISSION_DATA_RULE
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('1260935285157511170', '4148ec82b6acd69f470bea75fe41c357', 'createBy', 'createBy', '=', '#{sys_user_code}', '0', TO_DATE('2020-05-14 22:09:34', 'SYYYY-MM-DD HH24:MI:SS'), 'jeecg', TO_DATE('2020-05-14 22:13:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('1260936345293012993', '4148ec82b6acd69f470bea75fe41c357', '年龄', 'age', '>', '20', '1', TO_DATE('2020-05-14 22:13:46', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('1260937192290762754', '4148ec82b6acd69f470bea75fe41c357', 'sysOrgCode', 'sysOrgCode', 'RIGHT_LIKE', '#{sys_org_code}', '1', TO_DATE('2020-05-14 22:17:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('32b62cb04d6c788d9d92e3ff5e66854e', '8d4683aacaa997ab86b966b464360338', '000', '00', '!=', '00', '1', TO_DATE('2019-04-02 18:36:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('40283181614231d401614234fe670003', '40283181614231d401614232cd1c0001', 'createBy', 'createBy', '=', '#{sys_user_code}', '1', TO_DATE('2018-01-29 21:57:04', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('4028318161424e730161424fca6f0004', '4028318161424e730161424f61510002', 'createBy', 'createBy', '=', '#{sys_user_code}', '1', TO_DATE('2018-01-29 22:26:20', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402880e6487e661a01487e732c020005', '402889fb486e848101486e93a7c80014', 'SYS_ORG_CODE', 'SYS_ORG_CODE', 'LIKE', '010201%', '1', TO_DATE('2014-09-16 20:32:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402880e6487e661a01487e8153ee0007', '402889fb486e848101486e93a7c80014', 'create_by', 'create_by', NULL, '#{SYS_USER_CODE}', '1', TO_DATE('2014-09-16 20:47:57', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402880ec5ddec439015ddf9225060038', '40288088481d019401481d2fcebf000d', '复杂关系', NULL, 'USE_SQL_RULES', 'name like ''%张%'' or age > 10', '1', NULL, NULL, TO_DATE('2017-08-14 15:10:25', 'SYYYY-MM-DD HH24:MI:SS'), 'demo');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402880ec5ddfdd26015ddfe3e0570011', '4028ab775dca0d1b015dca3fccb60016', '复杂sql配置', NULL, 'USE_SQL_RULES', 'table_name like ''%test%'' or is_tree = ''Y''', '1', NULL, NULL, TO_DATE('2017-08-14 16:38:55', 'SYYYY-MM-DD HH24:MI:SS'), 'demo');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402880f25b1e2ac7015b1e5fdebc0012', '402880f25b1e2ac7015b1e5cdc340010', '只能看自己数据', 'create_by', '=', '#{sys_user_code}', '1', TO_DATE('2017-03-30 16:40:51', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402881875b19f141015b19f8125e0014', '40288088481d019401481d2fcebf000d', '可看下属业务数据', 'sys_org_code', 'LIKE', '#{sys_org_code}', '1', NULL, NULL, TO_DATE('2017-08-14 15:04:32', 'SYYYY-MM-DD HH24:MI:SS'), 'demo');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402881e45394d66901539500a4450001', '402881e54df73c73014df75ab670000f', 'sysCompanyCode', 'sysCompanyCode', '=', '#{SYS_COMPANY_CODE}', '1', TO_DATE('2016-03-21 01:09:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402881e45394d6690153950177cb0003', '402881e54df73c73014df75ab670000f', 'sysOrgCode', 'sysOrgCode', '=', '#{SYS_ORG_CODE}', '1', TO_DATE('2016-03-21 01:10:15', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402881e56266f43101626727aff60067', '402881e56266f43101626724eb730065', '销售自己看自己的数据', 'createBy', '=', '#{sys_user_code}', '1', TO_DATE('2018-03-27 19:11:16', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402881e56266f4310162672fb1a70082', '402881e56266f43101626724eb730065', '销售经理看所有下级数据', 'sysOrgCode', 'LIKE', '#{sys_org_code}', '1', TO_DATE('2018-03-27 19:20:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402881e56266f431016267387c9f0088', '402881e56266f43101626724eb730065', '只看金额大于1000的数据', 'money', '>=', '1000', '1', TO_DATE('2018-03-27 19:29:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402881f3650de25101650dfb5a3a0010', '402881e56266f4310162671d62050044', '22', NULL, 'USE_SQL_RULES', '22', '1', TO_DATE('2018-08-06 14:45:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402889fb486e848101486e913cd6000b', '402889fb486e848101486e8e2e8b0007', 'userName', 'userName', '=', 'admin', '1', TO_DATE('2014-09-13 18:31:25', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402889fb486e848101486e98d20d0016', '402889fb486e848101486e93a7c80014', 'title', 'title', '=', '12', '1', NULL, NULL, TO_DATE('2014-09-13 22:18:22', 'SYYYY-MM-DD HH24:MI:SS'), 'scott');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('402889fe47fcb29c0147fcb6b6220001', '8a8ab0b246dc81120146dc8180fe002b', '12', '12', '>', '12', '1', TO_DATE('2014-08-22 15:55:38', 'SYYYY-MM-DD HH24:MI:SS'), '8a8ab0b246dc81120146dc8181950052', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('4028ab775dca0d1b015dca4183530018', '4028ab775dca0d1b015dca3fccb60016', '表名限制', 'isDbSynch', '=', 'Y', '1', NULL, NULL, TO_DATE('2017-08-14 16:43:45', 'SYYYY-MM-DD HH24:MI:SS'), 'demo');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('4028ef815595a881015595b0ccb60001', '40288088481d019401481d2fcebf000d', '限只能看自己', 'create_by', '=', '#{sys_user_code}', '1', NULL, NULL, TO_DATE('2017-08-14 15:03:56', 'SYYYY-MM-DD HH24:MI:SS'), 'demo');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('4028ef81574ae99701574aed26530005', '4028ef81574ae99701574aeb97bd0003', '用户名', 'userName', '!=', 'admin', '1', TO_DATE('2016-09-21 12:07:18', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" VALUES ('f852d85d47f224990147f2284c0c0005', NULL, '小于', 'test', '<=', '11', '1', TO_DATE('2014-08-20 14:43:52', 'SYYYY-MM-DD HH24:MI:SS'), '8a8ab0b246dc81120146dc8181950052', NULL, NULL);

-- ----------------------------
-- Table structure for SYS_PERMISSION_V2
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_PERMISSION_V2";
CREATE TABLE "JEECGBOOT"."SYS_PERMISSION_V2" (
  "ID" NVARCHAR2(32) NOT NULL,
  "PARENT_ID" NVARCHAR2(32),
  "NAME" NVARCHAR2(100),
  "URL" NVARCHAR2(255),
  "COMPONENT" NVARCHAR2(255),
  "COMPONENT_NAME" NVARCHAR2(100),
  "REDIRECT" NVARCHAR2(255),
  "MENU_TYPE" NUMBER(11,0),
  "PERMS" NVARCHAR2(255),
  "PERMS_TYPE" NVARCHAR2(10),
  "SORT_NO" NUMBER(8,2),
  "ALWAYS_SHOW" NUMBER(4,0),
  "ICON" NVARCHAR2(100),
  "IS_ROUTE" NUMBER(4,0),
  "IS_LEAF" NUMBER(4,0),
  "KEEP_ALIVE" NUMBER(4,0),
  "HIDDEN" NUMBER(4,0),
  "HIDE_TAB" NUMBER(4,0),
  "DESCRIPTION" NVARCHAR2(255),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "DEL_FLAG" NUMBER(11,0),
  "RULE_FLAG" NUMBER(11,0),
  "STATUS" NVARCHAR2(2),
  "INTERNAL_OR_EXTERNAL" NUMBER(4,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."ID" IS '主键id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."PARENT_ID" IS '父id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."NAME" IS '菜单标题';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."URL" IS '路径';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."COMPONENT" IS '组件';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."COMPONENT_NAME" IS '组件名字';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."REDIRECT" IS '一级菜单跳转地址';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."MENU_TYPE" IS '菜单类型(0:一级菜单; 1:子菜单:2:按钮权限)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."PERMS" IS '菜单权限编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."PERMS_TYPE" IS '权限策略1显示2禁用';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."SORT_NO" IS '菜单排序';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."ALWAYS_SHOW" IS '聚合子路由: 1是0否';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."ICON" IS '菜单图标';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."IS_ROUTE" IS '是否路由菜单: 0:不是  1:是（默认值1）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."IS_LEAF" IS '是否叶子节点:    1:是   0:不是';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."KEEP_ALIVE" IS '是否缓存该页面:    1:是   0:不是';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."HIDDEN" IS '是否隐藏路由: 0否,1是';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."HIDE_TAB" IS '是否隐藏tab: 0否,1是';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."DEL_FLAG" IS '删除状态 0正常 1已删除';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."RULE_FLAG" IS '是否添加数据权限1是0否';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."STATUS" IS '按钮权限状态(0无效1有效)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_PERMISSION_V2"."INTERNAL_OR_EXTERNAL" IS '外链菜单打开方式 0/内部打开 1/外部打开';
COMMENT ON TABLE "JEECGBOOT"."SYS_PERMISSION_V2" IS '菜单权限表';

-- ----------------------------
-- Records of SYS_PERMISSION_V2
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('22d6a3d39a59dd7ea9a30acfa6bfb0a5', 'e41b69c57a941a3bbcce45032fe57605', 'AUTO动态表单', '/online/df/:table/:id', 'modules/online/cgform/auto/OnlineDynamicForm', NULL, NULL, '1', NULL, NULL, '9', '0', NULL, '0', '1', NULL, '1', NULL, NULL, 'admin', TO_DATE('2019-04-22 15:15:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-30 18:18:26', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('265de841c58907954b8877fb85212622', '2a470fc0c3954d9dbb61de6d80846549', '图片拖拽排序', '/jeecg/imgDragSort', 'jeecg/ImgDragSort', NULL, NULL, '1', NULL, NULL, '4', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-25 10:43:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-25 10:46:26', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('277bfabef7d76e89b33062b16a9a5020', 'e3c13679c73a4f829bcff2aba8fd68b1', '基础表单', '/form/base-form', 'examples/form/BasicForm', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '0', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-26 17:02:08', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('2a470fc0c3954d9dbb61de6d80846549', NULL, '常见案例', '/jeecg', 'layouts/RouteView', NULL, NULL, '0', NULL, NULL, '7', '0', 'qrcode', '1', '0', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-02 11:46:42', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('2aeddae571695cd6380f6d6d334d6e7d', 'f0675b52d89100ee88472b6800754a08', '布局统计报表', '/report/ArchivesStatisticst', 'jeecg/report/ArchivesStatisticst', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-03 18:32:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('2dbbafa22cda07fa5d169d741b81fe12', '08e6b9dc3c04489c8e1ff2ce6f105aa4', '在线文档', '{{ window._CONFIG[''domianURL''] }}/doc.html', 'layouts/IframePageView', NULL, NULL, '1', NULL, NULL, '4', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-01-30 10:00:01', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-09 14:48:58', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('2e42e3835c2b44ec9f7bc26c146ee531', NULL, '结果页', '/result', 'layouts/PageView', NULL, NULL, '0', NULL, NULL, '8', '0', 'check-circle-o', '1', '0', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-02 11:46:56', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('339329ed54cf255e1f9392e84f136901', '2a470fc0c3954d9dbb61de6d80846549', 'helloworld', '/jeecg/helloworld', 'jeecg/helloworld', NULL, NULL, '1', NULL, NULL, '4', '0', NULL, '1', '1', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-15 16:24:56', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('3f915b2769fc80648e92d04e84ca059d', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '用户管理', '/isystem/user', 'system/UserList', NULL, NULL, '1', NULL, NULL, '1.1', '0', NULL, '1', '0', '1', '0', '0', NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 18:09:03', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('3fac0d3c9cd40fa53ab70d4c583821f8', '2a470fc0c3954d9dbb61de6d80846549', '分屏', '/jeecg/splitPanel', 'jeecg/SplitPanel', NULL, NULL, '1', NULL, NULL, '6', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-25 16:27:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('4148ec82b6acd69f470bea75fe41c357', '2a470fc0c3954d9dbb61de6d80846549', '单表模型示例', '/jeecg/jeecgDemoList', 'jeecg/JeecgDemoList', 'DemoList', NULL, '1', NULL, NULL, '1', '0', NULL, '1', '0', '1', '0', '0', NULL, NULL, TO_DATE('2018-12-28 15:57:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 19:00:09', 'SYYYY-MM-DD HH24:MI:SS'), '0', '1', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('418964ba087b90a84897b62474496b93', '540a2936940846cb98114ffb0d145cb8', '查询表格', '/list/query-list', 'examples/list/TableList', NULL, NULL, '1', NULL, NULL, '1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('4356a1a67b564f0988a484f5531fd4d9', '2a470fc0c3954d9dbb61de6d80846549', '内嵌Table', '/jeecg/TableExpandeSub', 'jeecg/TableExpandeSub', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-04 22:48:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('45c966826eeff4c99b8f8ebfe74511fc', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '部门管理', '/isystem/depart', 'system/DepartList', NULL, NULL, '1', NULL, NULL, '1.4', '0', NULL, '1', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-01-29 18:47:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-12-25 09:36:47', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('4875ebe289344e14844d8e3ea1edd73f', NULL, '详情页', '/profile', 'layouts/RouteView', NULL, NULL, '0', NULL, NULL, '8', '0', 'profile', '1', '0', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-02 11:46:48', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('4f66409ef3bbd69c1d80469d6e2a885e', '6e73eb3c26099c191bf03852ee1310a1', '账户绑定', '/account/settings/binding', 'account/settings/Binding', NULL, NULL, '1', 'BindingSettings', NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-26 19:01:20', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('4f84f9400e5e92c95f05b554724c2b58', '540a2936940846cb98114ffb0d145cb8', '角色列表', '/list/role-list', 'examples/list/RoleList', NULL, NULL, '1', NULL, NULL, '4', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('53a9230444d33de28aa11cc108fb1dba', '5c8042bd6c601270b2bbd9b20bccc68b', '我的消息', '/isps/userAnnouncement', 'system/UserAnnouncementList', NULL, NULL, '1', NULL, NULL, '3', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-04-19 10:16:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-12-25 09:54:34', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('54097c6a3cf50fad0793a34beff1efdf', 'e41b69c57a941a3bbcce45032fe57605', 'AUTO在线表单', '/online/cgformList/:code', 'modules/online/cgform/auto/OnlCgformAutoList', NULL, NULL, '1', NULL, NULL, '9', '0', NULL, '1', '1', NULL, '1', NULL, NULL, 'admin', TO_DATE('2019-03-19 16:03:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-30 18:19:03', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('540a2936940846cb98114ffb0d145cb8', NULL, '列表页', '/list', 'layouts/PageView', NULL, '/list/query-list', '0', NULL, NULL, '9', '0', 'table', '1', '0', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-31 22:20:20', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('54dd5457a3190740005c1bfec55b1c34', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '菜单管理(老)', '/isystem/permission', 'system/PermissionList', NULL, NULL, '1', NULL, NULL, '1.3', '0', NULL, '1', '1', '0', '0', '0', NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 18:01:41', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('58857ff846e61794c69208e9d3a85466', '08e6b9dc3c04489c8e1ff2ce6f105aa4', '日志管理', '/isystem/log', 'system/LogList', NULL, NULL, '1', NULL, NULL, '2', '0', NULL, '1', '1', '0', '0', NULL, NULL, NULL, TO_DATE('2018-12-26 10:11:18', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-09 14:48:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('58b9204feaf07e47284ddb36cd2d8468', '2a470fc0c3954d9dbb61de6d80846549', '图片翻页', '/jeecg/imgTurnPage', 'jeecg/ImgTurnPage', NULL, NULL, '1', NULL, NULL, '4', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-25 11:36:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('5c2f42277948043026b7a14692456828', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '我的部门', '/isystem/departUserList', 'system/DepartUserList', NULL, NULL, '1', NULL, NULL, '2', '0', NULL, '1', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-04-17 15:12:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-12-25 09:35:26', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('5c8042bd6c601270b2bbd9b20bccc68b', NULL, '消息中心', '/message', 'layouts/RouteView', NULL, NULL, '0', NULL, NULL, '6', '0', 'message', '1', '0', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-09 11:05:04', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-11 19:47:54', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('6531cf3421b1265aeeeabaab5e176e6d', 'e3c13679c73a4f829bcff2aba8fd68b1', '分步表单', '/form/step-form', 'examples/form/stepForm/StepForm', NULL, NULL, '1', NULL, NULL, '2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('00a2a0ae65cdca5e93209cdbde97cbe6', '2e42e3835c2b44ec9f7bc26c146ee531', '成功', '/result/success', 'result/Success', NULL, NULL, '1', NULL, NULL, '1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('020b06793e4de2eee0007f603000c769', 'f0675b52d89100ee88472b6800754a08', 'ViserChartDemo', '/report/ViserChartDemo', 'jeecg/report/ViserChartDemo', NULL, NULL, '1', NULL, NULL, '3', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-03 19:08:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-03 19:08:53', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('024f1fd1283dc632458976463d8984e1', '700b7f95165c46cc7a78bf227aa8fed3', 'Tomcat信息', '/monitor/TomcatInfo', 'modules/monitor/TomcatInfo', NULL, NULL, '1', NULL, NULL, '4', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-02 09:44:29', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-05-07 15:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('043780fa095ff1b2bec4dc406d76f023', '2a470fc0c3954d9dbb61de6d80846549', '表格合计', '/jeecg/tableTotal', 'jeecg/TableTotal', NULL, NULL, '1', NULL, '1', '3', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-08-14 10:28:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('05b3c82ddb2536a4a5ee1a4c46b5abef', '540a2936940846cb98114ffb0d145cb8', '用户列表', '/list/user-list', 'examples/list/UserList', NULL, NULL, '1', NULL, NULL, '3', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('0620e402857b8c5b605e1ad9f4b89350', '2a470fc0c3954d9dbb61de6d80846549', '异步树列表Demo', '/jeecg/JeecgTreeTable', 'jeecg/JeecgTreeTable', NULL, NULL, '1', NULL, '0', '3', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-05-13 17:30:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-05-13 17:32:17', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('078f9558cdeab239aecb2bda1a8ed0d1', 'fb07ca05a3e13674dbf6d3245956da2e', '搜索列表（文章）', '/list/search/article', 'examples/list/TableList', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-02-12 14:00:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-12 14:17:54', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('08e6b9dc3c04489c8e1ff2ce6f105aa4', NULL, '系统监控', '/dashboard3', 'layouts/RouteView', NULL, NULL, '0', NULL, NULL, '6', '0', 'dashboard', '1', '0', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-31 22:19:58', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('0ac2ad938963b6c6d1af25477d5b8b51', '8d4683aacaa997ab86b966b464360338', '代码生成按钮', NULL, NULL, NULL, NULL, '2', 'online:goGenerateCode', '1', '1', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-06-11 14:20:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('109c78a583d4693ce2f16551b7786786', 'e41b69c57a941a3bbcce45032fe57605', 'Online报表配置', '/online/cgreport', 'modules/online/cgreport/OnlCgreportHeadList', NULL, NULL, '1', NULL, NULL, '2', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-03-08 10:51:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-30 19:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1166535831146504193', '2a470fc0c3954d9dbb61de6d80846549', '对象存储', '/oss/file', 'modules/oss/OSSFileList', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-08-28 02:19:50', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-08-28 02:20:57', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1170592628746878978', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '菜单管理', '/isystem/newPermissionList', 'system/NewPermissionList', NULL, NULL, '1', NULL, '1', '1.3', '0', NULL, '1', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2019-09-08 15:00:05', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 18:01:57', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1174506953255182338', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '职务管理', '/isystem/position', 'system/SysPositionList', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-09-19 10:14:13', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-09-19 10:15:22', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1174590283938041857', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '通讯录', '/isystem/addressList', 'system/AddressList', NULL, NULL, '1', NULL, '1', '3', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-09-19 15:45:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1192318987661234177', 'e41b69c57a941a3bbcce45032fe57605', '系统编码规则', '/isystem/fillRule', 'system/SysFillRuleList', NULL, NULL, '1', NULL, '1', '3', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-11-07 13:52:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-07-10 16:55:03', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1205097455226462210', NULL, '报表设计', '/big/screen', 'layouts/RouteView', NULL, NULL, '0', NULL, '1', '2.1', '0', 'area-chart', '1', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2019-12-12 20:09:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-02-23 18:22:02', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1205098241075453953', '1205097455226462210', '生产销售监控', '{{ window._CONFIG[''domianURL''] }}/test/bigScreen/templat/index1', 'layouts/IframePageView', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-12-12 20:13:05', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-12-12 20:15:27', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '1');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1205306106780364802', '1205097455226462210', '智慧物流监控', '{{ window._CONFIG[''domianURL''] }}/test/bigScreen/templat/index2', 'layouts/IframePageView', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-12-13 09:59:04', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-12-25 09:28:03', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1209731624921534465', '08e6b9dc3c04489c8e1ff2ce6f105aa4', '多数据源管理', '/isystem/dataSource', 'system/SysDataSourceList', NULL, NULL, '1', NULL, '1', '6', '0', NULL, '1', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2019-12-25 15:04:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-17 16:04:47', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1224641973866467330', 'e41b69c57a941a3bbcce45032fe57605', '系统校验规则', '/isystem/checkRule', 'system/SysCheckRuleList', NULL, NULL, '1', NULL, '1', '5', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-11-07 13:52:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-07-10 16:55:12', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1229674163694841857', 'e41b69c57a941a3bbcce45032fe57605', 'AUTO在线表单ERP', '/online/cgformErpList/:code', 'modules/online/cgform/auto/erp/OnlCgformErpList', NULL, NULL, '1', NULL, '1', '5', '0', NULL, '1', '1', '0', '1', NULL, NULL, 'admin', TO_DATE('2020-02-18 15:49:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-18 15:52:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1232123780958064642', 'f0675b52d89100ee88472b6800754a08', 'Online报表示例', '/online/cgreport/6c7f59741c814347905a938f06ee003c', 'modules/online/cgreport/auto/OnlCgreportAutoList', NULL, NULL, '1', NULL, '1', '4', '0', NULL, '0', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-02-25 10:02:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 15:37:30', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1235823781053313025', 'e41b69c57a941a3bbcce45032fe57605', 'AUTO在线内嵌子表', '/online/cgformInnerTableList/:code', 'modules/online/cgform/auto/innerTable/OnlCgformInnerTableList', NULL, NULL, '1', NULL, '1', '999', '0', NULL, '1', '1', '0', '1', NULL, NULL, 'admin', TO_DATE('2020-03-06 15:05:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-03-06 15:07:42', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1260922988733255681', '2a470fc0c3954d9dbb61de6d80846549', 'online订单管理', '/online/cgformInnerTableList/56efb74326e74064b60933f6f8af30ea', '111111', NULL, NULL, '1', NULL, '1', '11', '0', NULL, '0', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-05-14 21:20:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-09 15:31:48', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1260923256208216065', '2a470fc0c3954d9dbb61de6d80846549', 'online用户报表', '/online/cgreport/1260179852088135681', '333333', NULL, NULL, '1', NULL, '1', '11', '0', NULL, '0', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-05-14 21:21:46', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-09 15:31:54', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1260928341675982849', '3f915b2769fc80648e92d04e84ca059d', '添加用户', NULL, NULL, NULL, NULL, '2', 'system:user:add', '1', '1', '0', NULL, '1', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2020-05-14 21:41:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-17 16:07:40', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1260929666434318338', '3f915b2769fc80648e92d04e84ca059d', '用户编辑', NULL, NULL, NULL, NULL, '2', 'system:user:edit', '1', '1', '0', NULL, '1', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2020-05-14 21:47:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-17 16:07:59', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1260931366557696001', '3f915b2769fc80648e92d04e84ca059d', '表单性别可见', NULL, NULL, NULL, NULL, '2', 'user:sex', '1', '1', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-05-14 21:53:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-14 21:57:00', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1260933542969458689', '3f915b2769fc80648e92d04e84ca059d', '禁用生日字段', NULL, NULL, NULL, NULL, '2', 'user:form:birthday', '2', '1', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-05-14 22:02:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1265162119913824258', '08e6b9dc3c04489c8e1ff2ce6f105aa4', '路由网关', '/isystem/gatewayroute', 'system/SysGatewayRouteList', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '0', '0', '0', NULL, NULL, NULL, TO_DATE('2020-05-26 14:05:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-09 14:47:52', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1280350452934307841', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '租户管理', '/isys/tenant', 'system/TenantList', NULL, NULL, '1', NULL, '1', '1.31', '0', NULL, '1', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-07-07 11:58:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-08-16 16:24:03', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1280464606292099074', '2a470fc0c3954d9dbb61de6d80846549', '图片裁剪', '/jeecg/ImagCropper', 'jeecg/ImagCropper', NULL, NULL, '1', NULL, '1', '9', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-07-07 19:32:06', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1287715272999944193', '2a470fc0c3954d9dbb61de6d80846549', 'JVXETable示例', '/jeecg/j-vxe-table-demo', 'layouts/RouteView', NULL, NULL, '1', NULL, '1', '0.1', '0', NULL, '1', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-07-27 19:43:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-09 14:52:06', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1287715783966834689', '1287715272999944193', '普通示例', '/jeecg/j-vxe-table-demo/normal', 'jeecg/JVXETableDemo', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-07-27 19:45:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1287716451494510593', '1287715272999944193', '布局模板', '/jeecg/j-vxe-table-demo/layout', 'jeecg/JVxeDemo/layout-demo/Index', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-07-27 19:48:21', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1287718919049691137', '1287715272999944193', '即时保存', '/jeecg/j-vxe-table-demo/jsbc', 'jeecg/JVxeDemo/demo/JSBCDemo', NULL, NULL, '1', NULL, '1', '3', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-07-27 19:57:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-07-27 20:03:37', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1287718938179911682', '1287715272999944193', '弹出子表', '/jeecg/j-vxe-table-demo/tczb', 'jeecg/JVxeDemo/demo/PopupSubTable', NULL, NULL, '1', NULL, '1', '4', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-07-27 19:57:41', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-07-27 20:03:47', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1287718956957810689', '1287715272999944193', '无痕刷新', '/jeecg/j-vxe-table-demo/whsx', 'jeecg/JVxeDemo/demo/SocketReload', 'SocketReload', NULL, '1', NULL, '1', '5', '0', NULL, '1', '1', '1', '0', '0', NULL, 'admin', TO_DATE('2020-07-27 19:57:44', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 18:43:57', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1304032910990495745', 'e41b69c57a941a3bbcce45032fe57605', 'AUTO在线表单TAB', '/online/cgformTabList/:code', 'modules/online/cgform/auto/tab/OnlCgformTabList', NULL, NULL, '1', NULL, '1', '8', '0', NULL, '1', '1', '0', '1', NULL, NULL, 'admin', TO_DATE('2020-09-10 20:24:08', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-10 20:36:37', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('13212d3416eb690c2e1d5033166ff47a', '2e42e3835c2b44ec9f7bc26c146ee531', '失败', '/result/fail', 'result/Error', NULL, NULL, '1', NULL, NULL, '2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1335960713267093506', '1205097455226462210', '积木报表设计', '{{ window._CONFIG[''domianURL''] }}/jmreport/list?token=${token}', 'layouts/IframePageView', NULL, NULL, '1', NULL, '1', '0', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2020-12-07 22:53:50', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-12-08 09:28:06', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '1');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1352200630711652354', 'f0675b52d89100ee88472b6800754a08', 'Redis监控', '{{ window._CONFIG[''domianURL''] }}/jmreport/view/1352160857479581696?token=${token}', 'layouts/IframePageView', NULL, NULL, '1', NULL, '1', '5', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-01-21 18:25:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-07 14:00:57', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '1');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1365187528377102337', '2a470fc0c3954d9dbb61de6d80846549', '一对多JVxeTable', '/jeecg/JeecgOrderMainListForJVxeTable', 'jeecg/JeecgOrderMainListForJVxeTable', NULL, NULL, '1', NULL, '1', '2', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-02-26 14:30:45', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-02-26 14:32:05', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1367a93f2c410b169faa7abcbad2f77c', '6e73eb3c26099c191bf03852ee1310a1', '基本设置', '/account/settings/BaseSetting', 'account/settings/BaseSetting', 'account-settings-base', NULL, '1', 'BaseSettings', NULL, NULL, '0', NULL, '1', '1', NULL, '1', NULL, NULL, NULL, TO_DATE('2018-12-26 18:58:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-20 12:57:31', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1387612436586065922', '2a470fc0c3954d9dbb61de6d80846549', '第三方APP消息测试', '/jeecg/ThirdAppMessageTest', 'jeecg/ThirdAppMessageTest', NULL, NULL, '1', NULL, '1', '3', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-04-29 11:39:20', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-04-29 11:39:27', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1400726868091015170', '4148ec82b6acd69f470bea75fe41c357', 'demo添加功能', NULL, NULL, NULL, NULL, '2', 'demo:add', '1', NULL, '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2021-06-04 16:11:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1404684556047024130', '08e6b9dc3c04489c8e1ff2ce6f105aa4', '在线用户', '/isystem/online', 'system/SysUserOnlineList', NULL, NULL, '1', NULL, '1', '11', '0', NULL, '1', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2021-06-15 14:17:51', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-14 17:58:44', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1494641317580423169', '2a470fc0c3954d9dbb61de6d80846549', '表格合计News', '/jeecg/tableOrderTotal', 'jeecg/TableOrderTotal', NULL, NULL, '1', NULL, '1', '3', '0', NULL, '1', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-02-18 19:53:54', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-02-18 19:55:04', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1588513553652436993', '3f915b2769fc80648e92d04e84ca059d', '修改密码', NULL, NULL, NULL, NULL, '2', 'system:user:changepwd', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-04 20:48:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-04 20:49:06', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592112984361365505', '1170592628746878978', '添加菜单', NULL, NULL, NULL, NULL, '2', 'system:permission:add', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:11:30', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592113148350263298', '190c2b43bec6a5f7a4194a85db67d96a', '保存角色授权', NULL, NULL, NULL, NULL, '2', 'system:permission:saveRole', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:12:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592114574275211265', '3f915b2769fc80648e92d04e84ca059d', '删除用户', NULL, NULL, NULL, NULL, '2', 'system:user:delete', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:17:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592114652566089729', '3f915b2769fc80648e92d04e84ca059d', '批量删除用户', NULL, NULL, NULL, NULL, '2', 'system:user:deleteBatch', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:18:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592114721138765826', '3f915b2769fc80648e92d04e84ca059d', '冻结/解冻用户', NULL, NULL, NULL, NULL, '2', 'system:user:frozenBatch', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:18:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592114772665790465', '3f915b2769fc80648e92d04e84ca059d', '首页用户重置密码', NULL, NULL, NULL, NULL, '2', 'system:user:updatepwd', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:18:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592114823467200514', '3f915b2769fc80648e92d04e84ca059d', '给指定角色添加用户', NULL, NULL, NULL, NULL, '2', 'system:user:addUserRole', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:18:49', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592114893302362114', '3f915b2769fc80648e92d04e84ca059d', '删除指定角色的用户关系', NULL, NULL, NULL, NULL, '2', 'system:user:deleteRole', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:19:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592114955650691074', '3f915b2769fc80648e92d04e84ca059d', '批量删除指定角色的用户关系', NULL, NULL, NULL, NULL, '2', 'system:user:deleteRoleBatch', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:19:20', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592115070432014338', '3f915b2769fc80648e92d04e84ca059d', '给指定部门添加对应的用户', NULL, NULL, NULL, NULL, '2', 'system:user:editDepartWithUser', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:19:48', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592115115361398786', '3f915b2769fc80648e92d04e84ca059d', '删除指定机构的用户关系', NULL, NULL, NULL, NULL, '2', 'system:user:deleteUserInDepart', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:19:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592115162379546625', '3f915b2769fc80648e92d04e84ca059d', '批量删除指定机构的用户关系', NULL, NULL, NULL, NULL, '2', 'system:user:deleteUserInDepartBatch', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:20:09', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592115213910765570', '3f915b2769fc80648e92d04e84ca059d', '彻底删除用户', NULL, NULL, NULL, NULL, '2', 'system:user:deleteRecycleBin', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:20:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592115610431877122', '1209731624921534465', '多数据源分页列表', NULL, NULL, NULL, NULL, '2', 'system:datasource:list', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:21:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592115712466710529', '45c966826eeff4c99b8f8ebfe74511fc', '部门添加', NULL, NULL, NULL, NULL, '2', 'system:depart:add', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:22:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-14 19:30:49', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592115914493751297', '1170592628746878978', '编辑菜单权限数据', NULL, NULL, NULL, NULL, '2', 'system:permission:editRule', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:23:09', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-14 19:39:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592116663936184322', '1170592628746878978', '编辑菜单', NULL, NULL, NULL, NULL, '2', 'system:permission:edit', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:26:07', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592117222764277761', '45c966826eeff4c99b8f8ebfe74511fc', '部门编辑', NULL, NULL, NULL, NULL, '2', 'system:depart:edit', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:28:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-14 19:30:55', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592117276539449345', '45c966826eeff4c99b8f8ebfe74511fc', '部门删除', NULL, NULL, NULL, NULL, '2', 'system:depart:delete', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:28:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-14 19:31:06', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592117377299214337', '45c966826eeff4c99b8f8ebfe74511fc', '部门批量删除', NULL, NULL, NULL, NULL, '2', 'system:depart:deleteBatch', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:28:58', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-14 19:31:12', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592117422006300673', '45c966826eeff4c99b8f8ebfe74511fc', '部门导入', NULL, NULL, NULL, NULL, '2', 'system:depart:importExcel', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:29:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592117625664925697', '5c2f42277948043026b7a14692456828', '部门角色添加', NULL, NULL, NULL, NULL, '2', 'system:depart:role:add', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:29:57', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592117748209905665', '5c2f42277948043026b7a14692456828', '部门角色编辑', NULL, NULL, NULL, NULL, '2', 'system:depart:role:edit', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:30:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592117804359053314', '5c2f42277948043026b7a14692456828', '部门角色删除', NULL, NULL, NULL, NULL, '2', 'system:depart:role:delete', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:30:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592117990305132545', '5c2f42277948043026b7a14692456828', '部门角色批量删除', NULL, NULL, NULL, NULL, '2', 'system:depart:role:deleteBatch', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:31:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592118053634928641', '5c2f42277948043026b7a14692456828', '部门角色用户授权', NULL, NULL, NULL, NULL, '2', 'system:depart:role:userAdd', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:31:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592118192218927105', 'f1cb187abf927c88b89470d08615f5ac', '字典新增', NULL, NULL, NULL, NULL, '2', 'system:dict:add', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:32:12', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592118254844080130', 'f1cb187abf927c88b89470d08615f5ac', '字典编辑', NULL, NULL, NULL, NULL, '2', 'system:dict:edit', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:32:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592118306983473154', 'f1cb187abf927c88b89470d08615f5ac', '字典删除', NULL, NULL, NULL, NULL, '2', 'system:dict:delete', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:32:39', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592118356778250241', 'f1cb187abf927c88b89470d08615f5ac', '字典批量删除', NULL, NULL, NULL, NULL, '2', 'system:dict:deleteBatch', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:32:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592118414990995457', 'f1cb187abf927c88b89470d08615f5ac', '字典导入', NULL, NULL, NULL, NULL, '2', 'system:dict:importExcel', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:33:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592118497606201346', '1265162119913824258', '路由网关删除', NULL, NULL, NULL, NULL, '2', 'system:getway:delete', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:33:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592118604640645122', '1170592628746878978', '删除菜单', NULL, NULL, NULL, NULL, '2', 'system:permission:delete', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:33:50', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592118648315932674', '1170592628746878978', '批量删除菜单', NULL, NULL, NULL, NULL, '2', 'system:permission:deleteBatch', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:34:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592119001883176961', '1170592628746878978', '添加菜单权限数据', NULL, NULL, NULL, NULL, '2', 'system:permission:addRule', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:35:25', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592120052866707457', '1170592628746878978', '删除菜单权限数据', NULL, NULL, NULL, NULL, '2', 'system:permission:deleteRule', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:39:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592120222727630849', '45c966826eeff4c99b8f8ebfe74511fc', '保存部门授权', NULL, NULL, NULL, NULL, '2', 'system:permission:saveDepart', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:40:16', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592120323667750914', '190c2b43bec6a5f7a4194a85db67d96a', '角色添加', NULL, NULL, NULL, NULL, '2', 'system:role:add', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:40:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592120372296511490', '190c2b43bec6a5f7a4194a85db67d96a', '角色编辑', NULL, NULL, NULL, NULL, '2', 'system:role:edit', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:40:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592120427007012865', '190c2b43bec6a5f7a4194a85db67d96a', '角色删除', NULL, NULL, NULL, NULL, '2', 'system:role:delete', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:41:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592120484120850434', '190c2b43bec6a5f7a4194a85db67d96a', '角色批量删除', NULL, NULL, NULL, NULL, '2', 'system:role:deleteBatch', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:41:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592120594695286785', '190c2b43bec6a5f7a4194a85db67d96a', '角色首页配置添加', NULL, NULL, NULL, NULL, '2', 'system:roleindex:add', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:41:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1592120649007329281', '190c2b43bec6a5f7a4194a85db67d96a', '角色首页配置编辑', NULL, NULL, NULL, NULL, '2', 'system:roleindex:edit', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:41:58', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593154566915579905', '3f915b2769fc80648e92d04e84ca059d', '导入用户', NULL, NULL, NULL, NULL, '2', 'system:user:import', '1', NULL, '0', NULL, '1', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:10:23', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593160905216663554', 'f1cb187abf927c88b89470d08615f5ac', '字典子项新增', NULL, NULL, NULL, NULL, '2', 'system:dict:item:add', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:35:34', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593160959633563650', 'f1cb187abf927c88b89470d08615f5ac', '字典子项编辑', NULL, NULL, NULL, NULL, '2', 'system:dict:item:edit', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:35:47', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593161025790320641', 'f1cb187abf927c88b89470d08615f5ac', '字典子项删除', NULL, NULL, NULL, NULL, '2', 'system:dict:item:delete', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:36:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593161089787011074', 'f1cb187abf927c88b89470d08615f5ac', '字典子项批量删除', NULL, NULL, NULL, NULL, '2', 'system:dict:item:deleteBatch', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:36:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593161421350936578', 'b1cb0a3fedf7ed0e4653cb5a229837ee', '添加定时任务', NULL, NULL, NULL, NULL, '2', 'system:quartzJob:add', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:37:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593161483627962370', 'b1cb0a3fedf7ed0e4653cb5a229837ee', '更新定时任务', NULL, NULL, NULL, NULL, '2', 'system:quartzJob:edit', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:37:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593161551202394114', 'b1cb0a3fedf7ed0e4653cb5a229837ee', '删除定时任务', NULL, NULL, NULL, NULL, '2', 'system:quartzJob:delete', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:38:08', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593161608362369026', 'b1cb0a3fedf7ed0e4653cb5a229837ee', '批量删除定时任务', NULL, NULL, NULL, NULL, '2', 'system:quartzJob:deleteBatch', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:38:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593161657385394177', 'b1cb0a3fedf7ed0e4653cb5a229837ee', '停止定时任务', NULL, NULL, NULL, NULL, '2', 'system:quartzJob:pause', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:38:33', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593161697348722689', 'b1cb0a3fedf7ed0e4653cb5a229837ee', '启动定时任务', NULL, NULL, NULL, NULL, '2', 'system:quartzJob:resume', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:38:43', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593161743607701505', 'b1cb0a3fedf7ed0e4653cb5a229837ee', '立即执行定时任务', NULL, NULL, NULL, NULL, '2', 'system:quartzJob:execute', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 16:38:54', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1593173018886709250', '1166535831146504193', '文件oos上传', NULL, NULL, NULL, NULL, '2', 'system:ossFile:upload', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-17 17:23:42', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('159d2115213910765570', '3f915b2769fc80648e92d04e84ca059d', '通过ID查询用户拥有的角色', NULL, NULL, NULL, NULL, '2', 'system:user:queryUserRole', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:20:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('15s92115213910765570', '3f915b2769fc80648e92d04e84ca059d', '通过ID查询用户信息接口', NULL, NULL, NULL, NULL, '2', 'system:user:queryById', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2022-11-14 19:20:22', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1620261087828418562', '1280350452934307841', '获取租户删除的列表', NULL, NULL, NULL, NULL, '2', 'system:tenant:recycleBinPageList', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-31 11:22:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1620305415648989186', '1280350452934307841', '彻底删除租户', NULL, NULL, NULL, NULL, '2', 'system:tenant:deleteTenantLogic', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-31 14:18:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2023-01-31 14:19:51', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1620327825894981634', '1280350452934307841', '租户还原', NULL, NULL, NULL, NULL, '2', 'system:tenant:revertTenantLogic', '1', NULL, '0', NULL, '0', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2023-01-31 15:47:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('190c2b43bec6a5f7a4194a85db67d96a', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '角色管理', '/isystem/roleUserList', 'system/RoleUserList', NULL, NULL, '1', NULL, NULL, '1.2', '0', NULL, '1', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-04-17 15:13:56', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-12-25 09:36:31', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('1a0811914300741f4e11838ff37a1d3a', '3f915b2769fc80648e92d04e84ca059d', '手机号禁用', NULL, NULL, NULL, NULL, '2', 'user:form:phone', '2', '1', '0', NULL, '0', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-05-11 17:19:30', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-05-11 18:00:22', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('200006f0edf145a2b50eacca07585451', 'fb07ca05a3e13674dbf6d3245956da2e', '搜索列表（应用）', '/list/search/application', 'examples/list/TableList', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-02-12 14:02:51', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-12 14:14:01', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('655563cd64b75dcf52ef7bcdd4836953', '2a470fc0c3954d9dbb61de6d80846549', '图片预览', '/jeecg/ImagPreview', 'jeecg/ImagPreview', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-17 11:18:45', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('65a8f489f25a345836b7f44b1181197a', 'c65321e57b7949b7a975313220de0422', '403', '/exception/403', 'exception/403', NULL, NULL, '1', NULL, NULL, '1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('6ad53fd1b220989a8b71ff482d683a5a', '2a470fc0c3954d9dbb61de6d80846549', '一对多erp风格示例', '/jeecg/tablist/JeecgOrderDMainList', 'jeecg/tablist/JeecgOrderDMainList', NULL, NULL, '1', NULL, NULL, '2', '0', NULL, '1', '1', '0', '0', '0', NULL, 'admin', TO_DATE('2019-02-20 14:45:09', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-01-17 17:02:51', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('6e73eb3c26099c191bf03852ee1310a1', '717f6bee46f44a3897eca9abd6e2ec44', '个人设置', '/account/settings/BaseSetting', 'account/settings/Index', NULL, NULL, '1', NULL, NULL, '2', '1', NULL, '1', '0', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-19 09:41:05', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('700b7f95165c46cc7a78bf227aa8fed3', '08e6b9dc3c04489c8e1ff2ce6f105aa4', '性能监控', '/monitor', 'layouts/RouteView', NULL, NULL, '1', NULL, NULL, '3', '0', NULL, '1', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-04-02 11:34:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-09 14:48:51', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('717f6bee46f44a3897eca9abd6e2ec44', NULL, '个人页', '/account', 'layouts/RouteView', NULL, NULL, '0', NULL, NULL, '9', '0', 'user', '1', '0', '0', '1', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-23 22:41:37', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('73678f9daa45ed17a3674131b03432fb', '540a2936940846cb98114ffb0d145cb8', '权限列表', '/list/permission-list', 'examples/list/PermissionList', NULL, NULL, '1', NULL, NULL, '5', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('7960961b0063228937da5fa8dd73d371', '2a470fc0c3954d9dbb61de6d80846549', 'JEditableTable示例', '/jeecg/JEditableTable', 'jeecg/JeecgEditableTableExample', NULL, NULL, '1', NULL, NULL, '2.1', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-03-22 15:22:18', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-12-25 09:48:16', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('7ac9eb9ccbde2f7a033cd4944272bf1e', '540a2936940846cb98114ffb0d145cb8', '卡片列表', '/list/card', 'examples/list/CardList', NULL, NULL, '1', NULL, NULL, '7', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('841057b8a1bef8f6b4b20f9a618a7fa6', '08e6b9dc3c04489c8e1ff2ce6f105aa4', '数据日志', '/sys/dataLog-list', 'system/DataLogList', NULL, NULL, '1', NULL, NULL, '2.1', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-03-11 19:26:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-09 14:48:32', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('882a73768cfd7f78f3a37584f7299656', '6e73eb3c26099c191bf03852ee1310a1', '个性化设置', '/account/settings/custom', 'account/settings/Custom', NULL, NULL, '1', 'CustomSettings', NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-26 19:00:46', 'SYYYY-MM-DD HH24:MI:SS'), NULL, TO_DATE('2018-12-26 21:13:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('8b3bff2eee6f1939147f5c68292a1642', '700b7f95165c46cc7a78bf227aa8fed3', '服务器信息', '/monitor/SystemInfo', 'modules/monitor/SystemInfo', NULL, NULL, '1', NULL, NULL, '4', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-02 11:39:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-02 15:40:02', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('8d1ebd663688965f1fd86a2f0ead3416', '700b7f95165c46cc7a78bf227aa8fed3', 'Redis监控', '/monitor/redis/info', 'modules/monitor/RedisInfo', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-02 13:11:33', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-05-07 15:18:54', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('8d4683aacaa997ab86b966b464360338', 'e41b69c57a941a3bbcce45032fe57605', 'Online表单开发', '/online/cgform', 'modules/online/cgform/OnlCgformHeadList', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '0', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-03-12 15:48:14', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-06-11 14:19:17', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('8fb8172747a78756c11916216b8b8066', '717f6bee46f44a3897eca9abd6e2ec44', '工作台', '/dashboard/workplace', 'dashboard/Workplace', NULL, NULL, '1', NULL, NULL, '3', '0', NULL, '1', '1', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-02 11:45:02', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('944abf0a8fc22fe1f1154a389a574154', '5c8042bd6c601270b2bbd9b20bccc68b', '消息管理', '/modules/message/sysMessageList', 'modules/message/SysMessageList', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-09 11:27:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-09 19:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('9502685863ab87f0ad1134142788a385', NULL, '首页', '/dashboard/analysis', 'dashboard/Analysis', NULL, NULL, '0', NULL, NULL, '0', '0', 'home', '1', '1', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-29 11:04:13', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('97c8629abc7848eccdb6d77c24bb3ebb', '700b7f95165c46cc7a78bf227aa8fed3', '磁盘监控', '/monitor/Disk', 'modules/monitor/DiskMonitoring', NULL, NULL, '1', NULL, NULL, '6', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-25 14:30:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-05-05 14:37:14', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('9a90363f216a6a08f32eecb3f0bf12a3', '2a470fc0c3954d9dbb61de6d80846549', '自定义组件', '/jeecg/SelectDemo', 'jeecg/SelectDemo', NULL, NULL, '1', NULL, NULL, '0', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-03-19 11:19:05', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-12-25 09:47:04', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('9cb91b8851db0cf7b19d7ecc2a8193dd', '1939e035e803a99ceecb6f5563570fb2', '我的任务表单', '/modules/bpm/task/form/FormModule', 'modules/bpm/task/form/FormModule', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-03-08 16:49:05', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-08 18:37:56', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('9fe26464838de2ea5e90f2367e35efa0', 'e41b69c57a941a3bbcce45032fe57605', 'AUTO在线报表', '/online/cgreport/:code', 'modules/online/cgreport/auto/OnlCgreportAutoList', 'onlineAutoList', NULL, '1', NULL, NULL, '9', '0', NULL, '1', '1', NULL, '1', NULL, NULL, 'admin', TO_DATE('2019-03-12 11:06:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-30 18:19:10', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('a400e4f4d54f79bf5ce160ae432231af', '2a470fc0c3954d9dbb61de6d80846549', 'JEECG官方网站', 'http://www.jeecg.com', 'layouts/IframePageView', NULL, NULL, '1', NULL, NULL, '4', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-01-29 19:44:06', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-15 16:25:02', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('ae4fed059f67086fd52a73d913cf473d', '540a2936940846cb98114ffb0d145cb8', '内联编辑表格', '/list/edit-table', 'examples/list/TableInnerEditList', NULL, NULL, '1', NULL, NULL, '2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('aedbf679b5773c1f25e9f7b10111da73', '08e6b9dc3c04489c8e1ff2ce6f105aa4', 'SQL监控', '{{ window._CONFIG[''domianURL''] }}/druid/', 'layouts/IframePageView', NULL, NULL, '1', NULL, NULL, '3', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-01-30 09:43:22', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-09 14:48:38', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('b1cb0a3fedf7ed0e4653cb5a229837ee', '08e6b9dc3c04489c8e1ff2ce6f105aa4', '定时任务', '/isystem/QuartzJobList', 'system/QuartzJobList', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '0', '0', '0', NULL, NULL, NULL, TO_DATE('2019-01-03 09:38:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-09 14:48:16', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('b3c824fc22bd953e2eb16ae6914ac8f9', '4875ebe289344e14844d8e3ea1edd73f', '高级详情页', '/profile/advanced', 'examples/profile/advanced/Advanced', NULL, NULL, '1', NULL, NULL, '2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('b4dfc7d5dd9e8d5b6dd6d4579b1aa559', 'c65321e57b7949b7a975313220de0422', '500', '/exception/500', 'exception/500', NULL, NULL, '1', NULL, NULL, '3', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('b6bcee2ccc854052d3cc3e9c96d90197', '71102b3b87fb07e5527bbd2c530dd90a', '加班申请', '/modules/extbpm/joa/JoaOvertimeList', 'modules/extbpm/joa/JoaOvertimeList', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-03 15:33:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-03 15:34:48', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('c431130c0bc0ec71b0a5be37747bb36a', '2a470fc0c3954d9dbb61de6d80846549', '一对多JEditable', '/jeecg/JeecgOrderMainListForJEditableTable', 'jeecg/JeecgOrderMainListForJEditableTable', NULL, NULL, '1', NULL, NULL, '3', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-03-29 10:51:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-04 20:09:39', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('c65321e57b7949b7a975313220de0422', NULL, '异常页', '/exception', 'layouts/RouteView', NULL, NULL, '0', NULL, NULL, '8', NULL, 'warning', '1', '0', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('c6cf95444d80435eb37b2f9db3971ae6', '2a470fc0c3954d9dbb61de6d80846549', '数据回执模拟', '/jeecg/InterfaceTest', 'jeecg/InterfaceTest', NULL, NULL, '1', NULL, NULL, '6', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-02-19 16:02:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-21 16:25:45', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('cc50656cf9ca528e6f2150eba4714ad2', '4875ebe289344e14844d8e3ea1edd73f', '基础详情页', '/profile/basic', 'examples/profile/basic/Index', NULL, NULL, '1', NULL, NULL, '1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('d07a2c87a451434c99ab06296727ec4f', '700b7f95165c46cc7a78bf227aa8fed3', 'JVM信息', '/monitor/JvmInfo', 'modules/monitor/JvmInfo', NULL, NULL, '1', NULL, NULL, '4', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-01 23:07:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-02 11:37:16', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('d2bbf9ebca5a8fa2e227af97d2da7548', 'c65321e57b7949b7a975313220de0422', '404', '/exception/404', 'exception/404', NULL, NULL, '1', NULL, NULL, '2', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('d7d6e2e4e2934f2c9385a623fd98c6f3', NULL, '系统管理', '/isystem', 'layouts/RouteView', NULL, NULL, '0', NULL, NULL, '4', '0', 'setting', '1', '0', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-31 22:19:52', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('d86f58e7ab516d3bc6bfb1fe10585f97', '717f6bee46f44a3897eca9abd6e2ec44', '个人中心', '/account/center', 'account/center/Index', NULL, NULL, '1', NULL, NULL, '1', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('de13e0f6328c069748de7399fcc1dbbd', 'fb07ca05a3e13674dbf6d3245956da2e', '搜索列表（项目）', '/list/search/project', 'examples/list/TableList', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-02-12 14:01:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-12 14:14:18', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('e08cb190ef230d5d4f03824198773950', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '系统通告', '/isystem/annountCement', 'system/SysAnnouncementList', NULL, NULL, '1', 'annountCement', NULL, '6', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2019-01-02 17:23:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, TO_DATE('2019-01-02 17:31:23', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('e1979bb53e9ea51cecc74d86fd9d2f64', '2a470fc0c3954d9dbb61de6d80846549', 'PDF预览', '/jeecg/jeecgPdfView', 'jeecg/JeecgPdfView', NULL, NULL, '1', NULL, NULL, '3', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-25 10:39:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('e3c13679c73a4f829bcff2aba8fd68b1', NULL, '表单页', '/form', 'layouts/PageView', NULL, NULL, '0', NULL, NULL, '9', '0', 'form', '1', '0', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-03-31 22:20:14', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('e41b69c57a941a3bbcce45032fe57605', NULL, '在线开发', '/online', 'layouts/RouteView', NULL, NULL, '0', NULL, NULL, '2', '0', 'cloud', '1', '0', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-03-08 10:43:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2021-01-24 14:15:12', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('e5973686ed495c379d829ea8b2881fc6', 'e3c13679c73a4f829bcff2aba8fd68b1', '高级表单', '/form/advanced-form', 'examples/form/advancedForm/AdvancedForm', NULL, NULL, '1', NULL, NULL, '3', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('e6bfd1fcabfd7942fdd05f076d1dad38', '2a470fc0c3954d9dbb61de6d80846549', '打印测试', '/jeecg/PrintDemo', 'jeecg/PrintDemo', NULL, NULL, '1', NULL, NULL, '3', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-02-19 15:58:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-05-07 20:14:39', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('ebb9d82ea16ad864071158e0c449d186', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '分类字典', '/isys/category', 'system/SysCategoryList', NULL, NULL, '1', NULL, '1', '5.2', '0', NULL, '1', '1', '0', '0', NULL, NULL, 'admin', TO_DATE('2019-05-29 18:48:07', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-23 22:45:33', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('ec8d607d0156e198b11853760319c646', '6e73eb3c26099c191bf03852ee1310a1', '安全设置', '/account/settings/security', 'account/settings/Security', NULL, NULL, '1', 'SecuritySettings', NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-26 18:59:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('f0675b52d89100ee88472b6800754a08', NULL, '统计报表', '/report', 'layouts/RouteView', NULL, NULL, '0', NULL, NULL, '1', '0', 'bar-chart', '1', '0', '0', '0', '0', NULL, 'admin', TO_DATE('2019-04-03 18:32:02', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-04-16 23:31:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('f1cb187abf927c88b89470d08615f5ac', 'd7d6e2e4e2934f2c9385a623fd98c6f3', '数据字典', '/isystem/dict', 'system/DictList', NULL, NULL, '1', NULL, NULL, '5', '0', NULL, '1', '0', '0', '0', NULL, NULL, NULL, TO_DATE('2018-12-28 13:54:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-02-23 22:45:25', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('f23d9bfff4d9aa6b68569ba2cff38415', '540a2936940846cb98114ffb0d145cb8', '标准列表', '/list/basic-list', 'examples/list/StandardList', NULL, NULL, '1', NULL, NULL, '6', NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('f2849d3814fc97993bfc519ae6bbf049', 'e41b69c57a941a3bbcce45032fe57605', 'AUTO复制表单', '/online/copyform/:code', 'modules/online/cgform/OnlCgformCopyList', NULL, NULL, '1', NULL, '1', '1', '0', NULL, '1', '1', '0', '1', NULL, NULL, 'admin', TO_DATE('2019-08-29 16:05:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', '1', NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('f780d0d3083d849ccbdb1b1baee4911d', '5c8042bd6c601270b2bbd9b20bccc68b', '模板管理', '/modules/message/sysMessageTemplateList', 'modules/message/SysMessageTemplateList', NULL, NULL, '1', NULL, NULL, '1', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-09 11:50:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-12 10:16:34', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('fb07ca05a3e13674dbf6d3245956da2e', '540a2936940846cb98114ffb0d145cb8', '搜索列表', '/list/search', 'examples/list/search/SearchLayout', NULL, '/list/search/article', '1', NULL, NULL, '8', '0', NULL, '1', '0', NULL, '0', NULL, NULL, NULL, TO_DATE('2018-12-25 20:34:38', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-12 15:09:13', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('fb367426764077dcf94640c843733985', '2a470fc0c3954d9dbb61de6d80846549', '一对多示例', '/jeecg/JeecgOrderMainList', 'jeecg/JeecgOrderMainList', NULL, NULL, '1', NULL, NULL, '2', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-02-15 16:24:11', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-18 10:50:14', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('fba41089766888023411a978d13c0aa4', 'e41b69c57a941a3bbcce45032fe57605', 'AUTO树表单列表', '/online/cgformTreeList/:code', 'modules/online/cgform/auto/OnlCgformTreeList', NULL, NULL, '1', NULL, '1', '9', '0', NULL, '1', '1', NULL, '1', NULL, NULL, 'admin', TO_DATE('2019-05-21 14:46:50', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-06-11 13:52:52', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', '1', NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('fc810a2267dd183e4ef7c71cc60f4670', '700b7f95165c46cc7a78bf227aa8fed3', '请求追踪', '/monitor/HttpTrace', 'modules/monitor/HttpTrace', NULL, NULL, '1', NULL, NULL, '4', '0', NULL, '1', '1', NULL, '0', NULL, NULL, 'admin', TO_DATE('2019-04-02 09:46:19', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-04-02 11:37:27', 'SYYYY-MM-DD HH24:MI:SS'), '0', '0', NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_PERMISSION_V2" VALUES ('fedfbf4420536cacc0218557d263dfea', '6e73eb3c26099c191bf03852ee1310a1', '新消息通知', '/account/settings/notification', 'account/settings/Notification', NULL, NULL, '1', 'NotificationSettings', NULL, NULL, NULL, NULL, '1', '1', NULL, NULL, NULL, NULL, NULL, TO_DATE('2018-12-26 19:02:05', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0', '0', NULL, NULL);

-- ----------------------------
-- Table structure for SYS_POSITION
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_POSITION";
CREATE TABLE "JEECGBOOT"."SYS_POSITION" (
  "ID" NVARCHAR2(32) NOT NULL,
  "CODE" NVARCHAR2(100),
  "NAME" NVARCHAR2(100),
  "POST_RANK" NVARCHAR2(2),
  "COMPANY_ID" NVARCHAR2(255),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(50),
  "TENANT_ID" NUMBER(11,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_POSITION"."CODE" IS '职务编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_POSITION"."NAME" IS '职务名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_POSITION"."POST_RANK" IS '职级';
COMMENT ON COLUMN "JEECGBOOT"."SYS_POSITION"."COMPANY_ID" IS '公司id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_POSITION"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_POSITION"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_POSITION"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_POSITION"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_POSITION"."SYS_ORG_CODE" IS '组织机构编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_POSITION"."TENANT_ID" IS '租户ID';

-- ----------------------------
-- Records of SYS_POSITION
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_POSITION" VALUES ('1185040064792571906', 'devleader', '研发部经理', '2', NULL, 'admin', TO_DATE('2019-10-18 11:49:03', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-25 11:09:06', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '0');
INSERT INTO "JEECGBOOT"."SYS_POSITION" VALUES ('1256485574212153345', '总经理', 'laozong', '5', NULL, 'admin', TO_DATE('2020-05-02 15:28:00', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-25 00:16:17', 'SYYYY-MM-DD HH24:MI:SS'), '北京国炬公司', '0');

-- ----------------------------
-- Table structure for SYS_QUARTZ_JOB
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_QUARTZ_JOB";
CREATE TABLE "JEECGBOOT"."SYS_QUARTZ_JOB" (
  "ID" NVARCHAR2(32) NOT NULL,
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "DEL_FLAG" NUMBER(11,0),
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "JOB_CLASS_NAME" NVARCHAR2(255),
  "CRON_EXPRESSION" NVARCHAR2(255),
  "PARAMETER" NVARCHAR2(255),
  "DESCRIPTION" NVARCHAR2(255),
  "STATUS" NUMBER(11,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_QUARTZ_JOB"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_QUARTZ_JOB"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_QUARTZ_JOB"."DEL_FLAG" IS '删除状态';
COMMENT ON COLUMN "JEECGBOOT"."SYS_QUARTZ_JOB"."UPDATE_BY" IS '修改人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_QUARTZ_JOB"."UPDATE_TIME" IS '修改时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_QUARTZ_JOB"."JOB_CLASS_NAME" IS '任务类名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_QUARTZ_JOB"."CRON_EXPRESSION" IS 'cron表达式';
COMMENT ON COLUMN "JEECGBOOT"."SYS_QUARTZ_JOB"."PARAMETER" IS '参数';
COMMENT ON COLUMN "JEECGBOOT"."SYS_QUARTZ_JOB"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."SYS_QUARTZ_JOB"."STATUS" IS '状态 0正常 -1停止';

-- ----------------------------
-- Records of SYS_QUARTZ_JOB
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_QUARTZ_JOB" VALUES ('5b3d2c087ad41aa755fc4f89697b01e7', 'admin', TO_DATE('2019-04-11 19:04:21', 'SYYYY-MM-DD HH24:MI:SS'), '0', 'admin', TO_DATE('2020-05-02 15:48:48', 'SYYYY-MM-DD HH24:MI:SS'), 'org.jeecg.modules.message.job.SendMsgJob', '0/50 * * * * ? *', NULL, NULL, '-1');
INSERT INTO "JEECGBOOT"."SYS_QUARTZ_JOB" VALUES ('a253cdfc811d69fa0efc70d052bc8128', 'admin', TO_DATE('2019-03-30 12:44:48', 'SYYYY-MM-DD HH24:MI:SS'), '0', 'admin', TO_DATE('2020-05-02 15:48:49', 'SYYYY-MM-DD HH24:MI:SS'), 'org.jeecg.modules.quartz.job.SampleJob', '0/1 * * * * ?', NULL, NULL, '-1');
INSERT INTO "JEECGBOOT"."SYS_QUARTZ_JOB" VALUES ('df26ecacf0f75d219d746750fe84bbee', NULL, NULL, '0', 'admin', TO_DATE('2020-05-02 15:40:35', 'SYYYY-MM-DD HH24:MI:SS'), 'org.jeecg.modules.quartz.job.SampleParamJob', '0/1 * * * * ?', 'scott', '带参测试 后台将每隔1秒执行输出日志', '-1');

-- ----------------------------
-- Table structure for SYS_ROLE
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_ROLE";
CREATE TABLE "JEECGBOOT"."SYS_ROLE" (
  "ID" NVARCHAR2(32) NOT NULL,
  "ROLE_NAME" NVARCHAR2(200),
  "ROLE_CODE" NVARCHAR2(100) NOT NULL,
  "DESCRIPTION" NVARCHAR2(255),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "TENANT_ID" NUMBER(11,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE"."ID" IS '主键id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE"."ROLE_NAME" IS '角色名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE"."ROLE_CODE" IS '角色编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE"."DESCRIPTION" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE"."TENANT_ID" IS '租户ID';
COMMENT ON TABLE "JEECGBOOT"."SYS_ROLE" IS '角色表';

-- ----------------------------
-- Records of SYS_ROLE
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_ROLE" VALUES ('1169504891467464705', '第三方登录角色', 'third_role', '第三方登录角色', 'admin', TO_DATE('2019-09-05 14:57:49', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-02 18:20:58', 'SYYYY-MM-DD HH24:MI:SS'), '0');
INSERT INTO "JEECGBOOT"."SYS_ROLE" VALUES ('1260924539346472962', '财务出纳', 'caiwu', NULL, 'admin', TO_DATE('2020-05-14 21:26:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '0');
INSERT INTO "JEECGBOOT"."SYS_ROLE" VALUES ('1501570619841810433', 'Vue3角色', 'vue3', NULL, 'admin', TO_DATE('2022-03-09 22:48:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-06-10 10:51:22', 'SYYYY-MM-DD HH24:MI:SS'), '0');
INSERT INTO "JEECGBOOT"."SYS_ROLE" VALUES ('e51758fa916c881624b046d26bd09230', '人力资源部', 'hr', NULL, 'admin', TO_DATE('2019-01-21 18:07:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-10-18 11:39:43', 'SYYYY-MM-DD HH24:MI:SS'), '0');
INSERT INTO "JEECGBOOT"."SYS_ROLE" VALUES ('ee8626f80f7c2619917b6236f3a7f02b', '临时角色', 'test', '这是新建的临时角色123', NULL, TO_DATE('2018-12-20 10:59:04', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-02-19 15:08:37', 'SYYYY-MM-DD HH24:MI:SS'), '0');
INSERT INTO "JEECGBOOT"."SYS_ROLE" VALUES ('f6817f48af4fb3af11b9e8bf182f618b', '管理员', 'admin', '管理员', NULL, TO_DATE('2018-12-21 18:03:39', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2023-03-04 15:00:04', 'SYYYY-MM-DD HH24:MI:SS'), '0');

-- ----------------------------
-- Table structure for SYS_ROLE_INDEX
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_ROLE_INDEX";
CREATE TABLE "JEECGBOOT"."SYS_ROLE_INDEX" (
  "ID" NVARCHAR2(32) NOT NULL,
  "ROLE_CODE" NVARCHAR2(50),
  "URL" NVARCHAR2(100),
  "COMPONENT" NVARCHAR2(255),
  "IS_ROUTE" NUMBER(4,0),
  "PRIORITY" NUMBER(11,0),
  "STATUS" NVARCHAR2(2),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(64)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_INDEX"."ROLE_CODE" IS '角色编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_INDEX"."URL" IS '路由地址';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_INDEX"."COMPONENT" IS '组件';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_INDEX"."IS_ROUTE" IS '是否路由菜单: 0:不是  1:是（默认值1）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_INDEX"."PRIORITY" IS '优先级';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_INDEX"."STATUS" IS '状态0:无效 1:有效';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_INDEX"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_INDEX"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_INDEX"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_INDEX"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_INDEX"."SYS_ORG_CODE" IS '所属部门';
COMMENT ON TABLE "JEECGBOOT"."SYS_ROLE_INDEX" IS '角色首页表';

-- ----------------------------
-- Records of SYS_ROLE_INDEX
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_ROLE_INDEX" VALUES ('1549658299929718786', 'admin', '222', '22', '1', '0', '0', 'admin', TO_DATE('2022-07-20 15:31:45', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-07-20 15:31:55', 'SYYYY-MM-DD HH24:MI:SS'), 'A01');

-- ----------------------------
-- Table structure for SYS_ROLE_PERMISSION
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_ROLE_PERMISSION";
CREATE TABLE "JEECGBOOT"."SYS_ROLE_PERMISSION" (
  "ID" NVARCHAR2(32) NOT NULL,
  "ROLE_ID" NVARCHAR2(32),
  "PERMISSION_ID" NVARCHAR2(32),
  "DATA_RULE_IDS" NVARCHAR2(1000),
  "OPERATE_DATE" DATE,
  "OPERATE_IP" NVARCHAR2(100)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_PERMISSION"."ROLE_ID" IS '角色id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_PERMISSION"."PERMISSION_ID" IS '权限id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_PERMISSION"."DATA_RULE_IDS" IS '数据权限ids';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_PERMISSION"."OPERATE_DATE" IS '操作时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_ROLE_PERMISSION"."OPERATE_IP" IS '操作ip';
COMMENT ON TABLE "JEECGBOOT"."SYS_ROLE_PERMISSION" IS '角色权限表';

-- ----------------------------
-- Records of SYS_ROLE_PERMISSION
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988844093442', '1501570619841810433', '1442055284830769154', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988844093443', '1501570619841810433', '1280350452934307841', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988844093444', '1501570619841810433', '1439398677984878593', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988844093445', '1501570619841810433', '1439399179791409153', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988844093446', '1501570619841810433', '1439488251473993730', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988844093447', '1501570619841810433', '1438469604861403137', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988852482050', '1501570619841810433', '1439511654494937090', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988856676354', '1501570619841810433', '1439531077792473089', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988856676355', '1501570619841810433', '1439533711676973057', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988860870657', '1501570619841810433', '1439784356766064642', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988860870658', '1501570619841810433', '1439797053314342913', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988860870659', '1501570619841810433', '1439839507094740994', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988869259265', '1501570619841810433', '1439842640030113793', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988869259267', '1501570619841810433', '1439542701152575489', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988873453570', '1501570619841810433', '1447763172274495489', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988873453571', '1501570619841810433', '1447763517847396354', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988873453573', '1501570619841810433', '1448252726202859522', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988873453574', '1501570619841810433', '1438108196993622018', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988873453575', '1501570619841810433', '1438108197958311537', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988873453576', '1501570619841810433', '1438108197270446081', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988873453577', '1501570619841810433', '1447535997560909826', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988873453578', '1501570619841810433', '1438783058792951810', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988881842177', '1501570619841810433', '1438108198679732226', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988881842178', '1501570619841810433', '1441340399835742209', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988881842179', '1501570619841810433', '1441357157443371009', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988881842180', '1501570619841810433', '1453250018282573826', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988881842181', '1501570619841810433', '1458389305235984385', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988881842182', '1501570619841810433', '1455067599277662209', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988890230785', '1501570619841810433', '1455019819440021505', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988890230786', '1501570619841810433', '1454034512171302914', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988890230787', '1501570619841810433', '1454031820661260289', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988898619394', '1501570619841810433', '1454031324835807233', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988898619395', '1501570619841810433', '1450308897429536769', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988898619396', '1501570619841810433', '1441361249200832513', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988907008001', '1501570619841810433', '1438108197958315557', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988907008002', '1501570619841810433', '1438108178127642626', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988907008003', '1501570619841810433', '1438108178781954049', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988907008004', '1501570619841810433', '1438108178781954050', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988907008005', '1501570619841810433', '1438108200672026626', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988911202306', '1501570619841810433', '1438108180258349057', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988911202307', '1501570619841810433', '1438108197790539778', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988911202308', '1501570619841810433', '1438108197958311937', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988911202309', '1501570619841810433', '1438108202366525441', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988911202310', '1501570619841810433', '1438108203649982466', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988911202311', '1501570619841810433', '1438108204400762881', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988911202312', '1501570619841810433', '1438108204576923649', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988911202313', '1501570619841810433', '1438108204732112898', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988911202314', '1501570619841810433', '1438108198113501186', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988919590914', '1501570619841810433', '1438108204232990721', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988919590915', '1501570619841810433', '1438108204023275521', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988919590916', '1501570619841810433', '1438108203817754625', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514077577222', '1501570619841810433', '1438108205004742657', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514077577223', '1501570619841810433', '1438108205180903426', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514077577224', '1501570619841810433', '1438108205357064193', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514077577225', '1501570619841810433', '1438108205587750914', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514077577226', '1501570619841810433', '1438108205742940161', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514077577227', '1501570619841810433', '1438108205919100930', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514077577228', '1501570619841810433', '1438108206086873089', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514085965825', '1501570619841810433', '1438108206258839553', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514085965826', '1501570619841810433', '1438108206489526274', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514085965827', '1501570619841810433', '1438108206661492738', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514085965828', '1501570619841810433', '1438108206959288321', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514085965829', '1501570619841810433', '1438108207160614913', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514085965830', '1501570619841810433', '1438108207374524418', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514085965831', '1501570619841810433', '1438108207563268097', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514085965832', '1501570619841810433', '1438108207793954818', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514085965833', '1501570619841810433', '1438108208024641538', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514085965834', '1501570619841810433', '1438108208297271297', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514094354434', '1501570619841810433', '1438108199413735425', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514094354435', '1501570619841810433', '1438108208817364993', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514094354436', '1501570619841810433', '1438108208980942850', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514094354437', '1501570619841810433', '1438108209228406785', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514094354438', '1501570619841810433', '1438108199539564546', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548738', '1501570619841810433', '1438108210117599234', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548739', '1501570619841810433', '1438108210260205570', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548740', '1501570619841810433', '1438108211325558785', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548741', '1501570619841810433', '1438108211661103106', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548742', '1501570619841810433', '1438108211778543618', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548743', '1501570619841810433', '1438108214882328577', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548744', '1501570619841810433', '1438108215335313409', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548745', '1501570619841810433', '1438108197958311637', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548746', '1501570619841810433', '1438108200076435458', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548747', '1501570619841810433', '1438108200391008257', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548748', '1501570619841810433', '1438108197958311677', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548749', '1501570619841810433', '1438108178643542017', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548750', '1501570619841810433', '1438108179226550273', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514098548751', '1501570619841810433', '1438108179381739521', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937345', '1501570619841810433', '1438108198855892993', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937346', '1501570619841810433', '1438108179599843330', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937347', '1501570619841810433', '1438108199120134145', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937348', '1501570619841810433', '1438108179910221825', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937349', '1501570619841810433', '1438108198339993602', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937350', '1501570619841810433', '1438108199304683521', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937351', '1501570619841810433', '1438108180077993985', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937352', '1501570619841810433', '1438108180434509826', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937353', '1501570619841810433', '1438108180631642113', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('00b0748f04d3ea52c8cfa179c1c9d384', '52b0cf022ac4187b2a70dfa4f8b2d940', 'd7d6e2e4e2934f2c9385a623fd98c6f3', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('00b82058779cca5106fbb84783534c9b', 'f6817f48af4fb3af11b9e8bf182f618b', '4148ec82b6acd69f470bea75fe41c357', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('0254c0b25694ad5479e6d6935bbc176e', 'f6817f48af4fb3af11b9e8bf182f618b', '944abf0a8fc22fe1f1154a389a574154', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('09bd4fc30ffe88c4a44ed3868f442719', 'f6817f48af4fb3af11b9e8bf182f618b', 'e6bfd1fcabfd7942fdd05f076d1dad38', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('0c2d2db76ee3aa81a4fe0925b0f31365', 'f6817f48af4fb3af11b9e8bf182f618b', '024f1fd1283dc632458976463d8984e1', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('0c6b8facbb1cc874964c87a8cf01e4b1', 'f6817f48af4fb3af11b9e8bf182f618b', '841057b8a1bef8f6b4b20f9a618a7fa6', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('0c6e1075e422972083c3e854d9af7851', 'f6817f48af4fb3af11b9e8bf182f618b', '08e6b9dc3c04489c8e1ff2ce6f105aa4', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('0d9d14bc66e9d5e99b0280095fdc8587', 'ee8626f80f7c2619917b6236f3a7f02b', '277bfabef7d76e89b33062b16a9a5020', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('0dec36b68c234767cd35466efef3b941', 'ee8626f80f7c2619917b6236f3a7f02b', '54dd5457a3190740005c1bfec55b1c34', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('0e1469997af2d3b97fff56a59ee29eeb', 'f6817f48af4fb3af11b9e8bf182f618b', 'e41b69c57a941a3bbcce45032fe57605', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('0f861cb988fdc639bb1ab943471f3a72', 'f6817f48af4fb3af11b9e8bf182f618b', '97c8629abc7848eccdb6d77c24bb3ebb', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('105c2ac10741e56a618a82cd58c461d7', 'e51758fa916c881624b046d26bd09230', '1663f3faba244d16c94552f849627d84', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('115a6673ae6c0816d3f60de221520274', '21c5a3187763729408b40afb0d0fdfa8', '63b551e81c5956d5c861593d366d8c57', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1185039870491439105', 'f6817f48af4fb3af11b9e8bf182f618b', '1174506953255182338', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1185039870529187841', 'f6817f48af4fb3af11b9e8bf182f618b', '1174590283938041857', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1185039870537576450', 'f6817f48af4fb3af11b9e8bf182f618b', '1166535831146504193', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1197431682208206850', 'f6817f48af4fb3af11b9e8bf182f618b', '1192318987661234177', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1197795315916271617', 'f6817f48af4fb3af11b9e8bf182f618b', '109c78a583d4693ce2f16551b7786786', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1197795316268593154', 'f6817f48af4fb3af11b9e8bf182f618b', '9fe26464838de2ea5e90f2367e35efa0', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1209423530518761473', 'f6817f48af4fb3af11b9e8bf182f618b', '1205097455226462210', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1209423530594258945', 'f6817f48af4fb3af11b9e8bf182f618b', '1205098241075453953', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1209423530606841858', 'f6817f48af4fb3af11b9e8bf182f618b', '1205306106780364802', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1209423580355481602', 'f6817f48af4fb3af11b9e8bf182f618b', '190c2b43bec6a5f7a4194a85db67d96a', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1209654501558046722', 'f6817f48af4fb3af11b9e8bf182f618b', 'f2849d3814fc97993bfc519ae6bbf049', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1231590078632955905', 'f6817f48af4fb3af11b9e8bf182f618b', '1224641973866467330', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1231590078658121729', 'f6817f48af4fb3af11b9e8bf182f618b', '1209731624921534465', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1231590078662316033', 'f6817f48af4fb3af11b9e8bf182f618b', '1229674163694841857', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1232123957949304833', 'ee8626f80f7c2619917b6236f3a7f02b', 'f0675b52d89100ee88472b6800754a08', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1232123957978664962', 'ee8626f80f7c2619917b6236f3a7f02b', '1232123780958064642', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1232123957978664963', 'ee8626f80f7c2619917b6236f3a7f02b', '020b06793e4de2eee0007f603000c769', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1232123957987053570', 'ee8626f80f7c2619917b6236f3a7f02b', '2aeddae571695cd6380f6d6d334d6e7d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1232124727411150850', 'f6817f48af4fb3af11b9e8bf182f618b', '1232123780958064642', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1232125488694104066', 'ee8626f80f7c2619917b6236f3a7f02b', 'e41b69c57a941a3bbcce45032fe57605', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1260923306820882434', 'f6817f48af4fb3af11b9e8bf182f618b', '1260923256208216065', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1260923306841853953', 'f6817f48af4fb3af11b9e8bf182f618b', '1260922988733255681', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1260928399955836929', 'f6817f48af4fb3af11b9e8bf182f618b', '1260928341675982849', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1260929736852488194', 'ee8626f80f7c2619917b6236f3a7f02b', '1260929666434318338', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1260931414095937537', 'ee8626f80f7c2619917b6236f3a7f02b', '1260931366557696001', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1269526122208522241', 'f6817f48af4fb3af11b9e8bf182f618b', '1267412134208319489', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('126ea9faebeec2b914d6d9bef957afb6', 'f6817f48af4fb3af11b9e8bf182f618b', 'f1cb187abf927c88b89470d08615f5ac', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1281494164924653569', 'f6817f48af4fb3af11b9e8bf182f618b', '1280350452934307841', NULL, TO_DATE('2020-07-10 15:43:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1281494164945625089', 'f6817f48af4fb3af11b9e8bf182f618b', '1280464606292099074', NULL, TO_DATE('2020-07-10 15:43:13', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1281494684632473602', 'f6817f48af4fb3af11b9e8bf182f618b', '1265162119913824258', NULL, TO_DATE('2020-07-10 15:45:16', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1303585080082485250', 'f6817f48af4fb3af11b9e8bf182f618b', '1287715272999944193', NULL, TO_DATE('2020-09-09 14:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1303585080103456769', 'f6817f48af4fb3af11b9e8bf182f618b', '1287715783966834689', NULL, TO_DATE('2020-09-09 14:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1303585080116039682', 'f6817f48af4fb3af11b9e8bf182f618b', '1287716451494510593', NULL, TO_DATE('2020-09-09 14:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1303585080124428290', 'f6817f48af4fb3af11b9e8bf182f618b', '1287718919049691137', NULL, TO_DATE('2020-09-09 14:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1303585080128622593', 'f6817f48af4fb3af11b9e8bf182f618b', '1287718938179911682', NULL, TO_DATE('2020-09-09 14:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1303585080141205506', 'f6817f48af4fb3af11b9e8bf182f618b', '1287718956957810689', NULL, TO_DATE('2020-09-09 14:44:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1335960787783098369', 'f6817f48af4fb3af11b9e8bf182f618b', '1335960713267093506', NULL, TO_DATE('2020-12-07 22:54:07', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1372092783227596802', 'f6817f48af4fb3af11b9e8bf182f618b', '1352200630711652354', NULL, TO_DATE('2021-03-17 15:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1372092783240179713', 'f6817f48af4fb3af11b9e8bf182f618b', '1365187528377102337', NULL, TO_DATE('2021-03-17 15:49:46', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1400734738941505537', 'f6817f48af4fb3af11b9e8bf182f618b', '1400726868091015170', NULL, TO_DATE('2021-06-04 16:42:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184491288727554', 'f6817f48af4fb3af11b9e8bf182f618b', '1404684556047024130', NULL, TO_DATE('2021-08-16 16:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184491297116161', 'f6817f48af4fb3af11b9e8bf182f618b', '1387612436586065922', NULL, TO_DATE('2021-08-16 16:24:33', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775947751425', 'ee8626f80f7c2619917b6236f3a7f02b', '1352200630711652354', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775956140034', 'ee8626f80f7c2619917b6236f3a7f02b', '1205097455226462210', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775956140035', 'ee8626f80f7c2619917b6236f3a7f02b', '1335960713267093506', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775964528642', 'ee8626f80f7c2619917b6236f3a7f02b', '1205098241075453953', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775964528643', 'ee8626f80f7c2619917b6236f3a7f02b', '1205306106780364802', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775972917250', 'ee8626f80f7c2619917b6236f3a7f02b', '109c78a583d4693ce2f16551b7786786', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775972917251', 'ee8626f80f7c2619917b6236f3a7f02b', '1192318987661234177', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775972917252', 'ee8626f80f7c2619917b6236f3a7f02b', '1224641973866467330', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775977111554', 'ee8626f80f7c2619917b6236f3a7f02b', '1229674163694841857', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775977111555', 'ee8626f80f7c2619917b6236f3a7f02b', '1209731624921534465', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775977111556', 'ee8626f80f7c2619917b6236f3a7f02b', '1304032910990495745', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775977111557', 'ee8626f80f7c2619917b6236f3a7f02b', '190c2b43bec6a5f7a4194a85db67d96a', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775977111558', 'ee8626f80f7c2619917b6236f3a7f02b', '1280350452934307841', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775977111559', 'ee8626f80f7c2619917b6236f3a7f02b', '1174506953255182338', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775977111560', 'ee8626f80f7c2619917b6236f3a7f02b', '5c2f42277948043026b7a14692456828', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775985500162', 'ee8626f80f7c2619917b6236f3a7f02b', '1174590283938041857', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775985500163', 'ee8626f80f7c2619917b6236f3a7f02b', 'ebb9d82ea16ad864071158e0c449d186', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775985500164', 'ee8626f80f7c2619917b6236f3a7f02b', '1404684556047024130', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775985500165', 'ee8626f80f7c2619917b6236f3a7f02b', '1265162119913824258', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775989694465', 'ee8626f80f7c2619917b6236f3a7f02b', '841057b8a1bef8f6b4b20f9a618a7fa6', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775989694466', 'ee8626f80f7c2619917b6236f3a7f02b', '700b7f95165c46cc7a78bf227aa8fed3', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775989694467', 'ee8626f80f7c2619917b6236f3a7f02b', '8d1ebd663688965f1fd86a2f0ead3416', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775989694468', 'ee8626f80f7c2619917b6236f3a7f02b', '024f1fd1283dc632458976463d8984e1', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775989694469', 'ee8626f80f7c2619917b6236f3a7f02b', '8b3bff2eee6f1939147f5c68292a1642', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775998083074', 'ee8626f80f7c2619917b6236f3a7f02b', 'd07a2c87a451434c99ab06296727ec4f', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775998083075', 'ee8626f80f7c2619917b6236f3a7f02b', 'fc810a2267dd183e4ef7c71cc60f4670', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775998083076', 'ee8626f80f7c2619917b6236f3a7f02b', '97c8629abc7848eccdb6d77c24bb3ebb', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775998083077', 'ee8626f80f7c2619917b6236f3a7f02b', '1287715272999944193', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184775998083078', 'ee8626f80f7c2619917b6236f3a7f02b', '1287715783966834689', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776006471682', 'ee8626f80f7c2619917b6236f3a7f02b', '1287716451494510593', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776006471683', 'ee8626f80f7c2619917b6236f3a7f02b', '1287718919049691137', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776006471684', 'ee8626f80f7c2619917b6236f3a7f02b', '1287718938179911682', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776006471685', 'ee8626f80f7c2619917b6236f3a7f02b', '1287718956957810689', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776006471686', 'ee8626f80f7c2619917b6236f3a7f02b', '1166535831146504193', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776006471687', 'ee8626f80f7c2619917b6236f3a7f02b', '9a90363f216a6a08f32eecb3f0bf12a3', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776014860289', 'ee8626f80f7c2619917b6236f3a7f02b', '4356a1a67b564f0988a484f5531fd4d9', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776014860290', 'ee8626f80f7c2619917b6236f3a7f02b', '655563cd64b75dcf52ef7bcdd4836953', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776014860291', 'ee8626f80f7c2619917b6236f3a7f02b', '1365187528377102337', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776014860292', 'ee8626f80f7c2619917b6236f3a7f02b', '6ad53fd1b220989a8b71ff482d683a5a', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776014860293', 'ee8626f80f7c2619917b6236f3a7f02b', '7960961b0063228937da5fa8dd73d371', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776014860294', 'ee8626f80f7c2619917b6236f3a7f02b', '1387612436586065922', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776014860295', 'ee8626f80f7c2619917b6236f3a7f02b', '043780fa095ff1b2bec4dc406d76f023', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776023248897', 'ee8626f80f7c2619917b6236f3a7f02b', '0620e402857b8c5b605e1ad9f4b89350', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776023248898', 'ee8626f80f7c2619917b6236f3a7f02b', 'c431130c0bc0ec71b0a5be37747bb36a', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1427184776023248899', 'ee8626f80f7c2619917b6236f3a7f02b', 'e1979bb53e9ea51cecc74d86fd9d2f64', NULL, TO_DATE('2021-08-16 16:25:41', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('145eac8dd88eddbd4ce0a800ab40a92c', 'e51758fa916c881624b046d26bd09230', '08e6b9dc3c04489c8e1ff2ce6f105aa4', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1496429874513534978', 'f6817f48af4fb3af11b9e8bf182f618b', '1494641317580423169', NULL, TO_DATE('2022-02-23 18:20:59', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988789567490', '1501570619841810433', '1438108176273760258', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988802150402', '1501570619841810433', '1438108176814825473', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988810539010', '1501570619841810433', '9502685863ab87f0ad1134142788a385', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988814733313', '1501570619841810433', 'd7d6e2e4e2934f2c9385a623fd98c6f3', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988814733314', '1501570619841810433', '3f915b2769fc80648e92d04e84ca059d', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988823121922', '1501570619841810433', '1214376304951664642', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988823121923', '1501570619841810433', '1214462306546319362', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988831510529', '1501570619841810433', '1a0811914300741f4e11838ff37a1d3a', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988831510530', '1501570619841810433', '190c2b43bec6a5f7a4194a85db67d96a', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988831510531', '1501570619841810433', '1170592628746878978', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988831510532', '1501570619841810433', '45c966826eeff4c99b8f8ebfe74511fc', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988831510533', '1501570619841810433', '5c2f42277948043026b7a14692456828', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988831510534', '1501570619841810433', '1438782851980210178', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988839899138', '1501570619841810433', '1438782530717495298', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988839899139', '1501570619841810433', '1438782641187074050', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501570988839899140', '1501570619841810433', '1455735714507472898', NULL, TO_DATE('2022-03-09 22:49:56', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286078324740', '1501570619841810433', '1593160959633563650', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286086713346', '1501570619841810433', '1593160905216663554', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286086713347', '1501570619841810433', '1593161025790320641', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286086713348', '1501570619841810433', '1593161089787011074', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286090907650', '1501570619841810433', '1596335805278990338', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286090907651', '1501570619841810433', '1596141938193747970', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286090907652', '1501570619841810433', '1600105607009165314', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286090907653', '1501570619841810433', '1600108123037917186', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286090907654', '1501570619841810433', '1600129606082650113', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286095101953', '1501570619841810433', '1611620416187969538', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286095101954', '1501570619841810433', '1611620600003342337', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286095101955', '1501570619841810433', '1611620654621569026', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286095101956', '1501570619841810433', '1611620772498218641', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286095101957', '1501570619841810433', '1611620772498288641', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286095101958', '1501570619841810433', '1611650772498288641', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296258', '1501570619841810433', '1612438989792034818', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296259', '1501570619841810433', '1613620712498288641', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296260', '1501570619841810433', '1620261087828418562', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296261', '1501570619841810433', '1620305415648989186', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296262', '1501570619841810433', '1697220712498288641', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296263', '1501570619841810433', '1621620772498288641', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296264', '1501570619841810433', '1620327825894981634', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296265', '1501570619841810433', '1593161743607701505', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296266', '1501570619841810433', '1593161697348722689', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296267', '1501570619841810433', '1593161657385394177', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296268', '1501570619841810433', '1593161608362369026', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296269', '1501570619841810433', '1593161551202394114', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286099296270', '1501570619841810433', '1593161483627962370', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286107684866', '1501570619841810433', '1593161421350936578', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286107684867', '1501570619841810433', '1594930803956920321', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286107684868', '1501570619841810433', '1593173018886709250', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1632635480313671681', 'e51758fa916c881624b046d26bd09230', '9502685863ab87f0ad1134142788a385', NULL, TO_DATE('2023-03-06 14:53:26', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('165acd6046a0eaf975099f46a3c898ea', 'f6817f48af4fb3af11b9e8bf182f618b', '4f66409ef3bbd69c1d80469d6e2a885e', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1664b92dff13e1575e3a929caa2fa14d', 'f6817f48af4fb3af11b9e8bf182f618b', 'd2bbf9ebca5a8fa2e227af97d2da7548', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('16ef8ed3865ccc6f6306200760896c50', 'ee8626f80f7c2619917b6236f3a7f02b', 'e8af452d8948ea49d37c934f5100ae6a', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('17ead5b7d97ed365398ab20009a69ea3', '52b0cf022ac4187b2a70dfa4f8b2d940', 'e08cb190ef230d5d4f03824198773950', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1ac1688ef8456f384091a03d88a89ab1', '52b0cf022ac4187b2a70dfa4f8b2d940', '693ce69af3432bd00be13c3971a57961', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1af4babaa4227c3cbb830bc5eb513abb', 'ee8626f80f7c2619917b6236f3a7f02b', 'e08cb190ef230d5d4f03824198773950', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1ba162bbc2076c25561f8622f610d5bf', 'ee8626f80f7c2619917b6236f3a7f02b', 'aedbf679b5773c1f25e9f7b10111da73', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1c1dbba68ef1817e7fb19c822d2854e8', 'f6817f48af4fb3af11b9e8bf182f618b', 'fb367426764077dcf94640c843733985', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1c55c4ced20765b8ebab383caa60f0b6', 'e51758fa916c881624b046d26bd09230', 'fb367426764077dcf94640c843733985', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1e099baeae01b747d67aca06bdfc34d1', 'e51758fa916c881624b046d26bd09230', '6ad53fd1b220989a8b71ff482d683a5a', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1e47db875601fd97723254046b5bba90', 'f6817f48af4fb3af11b9e8bf182f618b', 'baf16b7174bd821b6bab23fa9abb200d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1fe4d408b85f19618c15bcb768f0ec22', '1750a8fb3e6d90cb7957c02de1dc8e59', '9502685863ab87f0ad1134142788a385', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('20e53c87a785688bdc0a5bb6de394ef1', 'f6817f48af4fb3af11b9e8bf182f618b', '540a2936940846cb98114ffb0d145cb8', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('248d288586c6ff3bd14381565df84163', '52b0cf022ac4187b2a70dfa4f8b2d940', '3f915b2769fc80648e92d04e84ca059d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('25491ecbd5a9b34f09c8bc447a10ede1', 'f6817f48af4fb3af11b9e8bf182f618b', 'd07a2c87a451434c99ab06296727ec4f', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('25f5443f19c34d99718a016d5f54112e', 'ee8626f80f7c2619917b6236f3a7f02b', '6e73eb3c26099c191bf03852ee1310a1', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('27489816708b18859768dfed5945c405', 'a799c3b1b12dd3ed4bd046bfaef5fe6e', '9502685863ab87f0ad1134142788a385', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('2779cdea8367fff37db26a42c1a1f531', 'f6817f48af4fb3af11b9e8bf182f618b', 'fef097f3903caf3a3c3a6efa8de43fbb', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('296f9c75ca0e172ae5ce4c1022c996df', '646c628b2b8295fbdab2d34044de0354', '732d48f8e0abe99fe6a23d18a3171cd1', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('29fb4d37aa29b9fa400f389237cf9fe7', 'ee8626f80f7c2619917b6236f3a7f02b', '05b3c82ddb2536a4a5ee1a4c46b5abef', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('29fb6b0ad59a7e911c8d27e0bdc42d23', 'f6817f48af4fb3af11b9e8bf182f618b', '9a90363f216a6a08f32eecb3f0bf12a3', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('2ad37346c1b83ddeebc008f6987b2227', 'f6817f48af4fb3af11b9e8bf182f618b', '8d1ebd663688965f1fd86a2f0ead3416', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('2c462293cbb0eab7e8ae0a3600361b5f', '52b0cf022ac4187b2a70dfa4f8b2d940', '9502685863ab87f0ad1134142788a385', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('2dc1a0eb5e39aaa131ddd0082a492d76', 'ee8626f80f7c2619917b6236f3a7f02b', '08e6b9dc3c04489c8e1ff2ce6f105aa4', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('2ea2382af618ba7d1e80491a0185fb8a', 'ee8626f80f7c2619917b6236f3a7f02b', 'f23d9bfff4d9aa6b68569ba2cff38415', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('2fcfa2ac3dcfadc7c67107dae9a0de6d', 'ee8626f80f7c2619917b6236f3a7f02b', '73678f9daa45ed17a3674131b03432fb', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('2fdaed22dfa4c8d4629e44ef81688c6a', '52b0cf022ac4187b2a70dfa4f8b2d940', 'aedbf679b5773c1f25e9f7b10111da73', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('300c462b7fec09e2ff32574ef8b3f0bd', '52b0cf022ac4187b2a70dfa4f8b2d940', '2a470fc0c3954d9dbb61de6d80846549', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('326181da3248a62a05e872119a462be1', 'ee8626f80f7c2619917b6236f3a7f02b', '3f915b2769fc80648e92d04e84ca059d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('3369650f5072b330543f8caa556b1b33', 'e51758fa916c881624b046d26bd09230', 'a400e4f4d54f79bf5ce160ae432231af', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('35a7e156c20e93aa7e825fe514bf9787', 'e51758fa916c881624b046d26bd09230', 'c6cf95444d80435eb37b2f9db3971ae6', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('35ac7cae648de39eb56213ca1b649713', '52b0cf022ac4187b2a70dfa4f8b2d940', 'b1cb0a3fedf7ed0e4653cb5a229837ee', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('37112f4d372541e105473f18da3dc50d', 'ee8626f80f7c2619917b6236f3a7f02b', 'a400e4f4d54f79bf5ce160ae432231af', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('37789f70cd8bd802c4a69e9e1f633eaa', 'ee8626f80f7c2619917b6236f3a7f02b', 'ae4fed059f67086fd52a73d913cf473d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('381504a717cb3ce77dcd4070c9689a7e', 'ee8626f80f7c2619917b6236f3a7f02b', '4f84f9400e5e92c95f05b554724c2b58', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('38a2e55db0960262800576e34b3af44c', 'f6817f48af4fb3af11b9e8bf182f618b', '5c2f42277948043026b7a14692456828', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('38dd7a19711e7ffe864232954c06fae9', 'e51758fa916c881624b046d26bd09230', 'd2bbf9ebca5a8fa2e227af97d2da7548', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('3b1886f727ac503c93fecdd06dcb9622', 'f6817f48af4fb3af11b9e8bf182f618b', 'c431130c0bc0ec71b0a5be37747bb36a', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('3de2a60c7e42a521fecf6fcc5cb54978', 'f6817f48af4fb3af11b9e8bf182f618b', '2d83d62bd2544b8994c8f38cf17b0ddf', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('3e4e38f748b8d87178dd62082e5b7b60', 'f6817f48af4fb3af11b9e8bf182f618b', '7960961b0063228937da5fa8dd73d371', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('3e563751942b0879c88ca4de19757b50', '1750a8fb3e6d90cb7957c02de1dc8e59', '58857ff846e61794c69208e9d3a85466', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('3f1d04075e3c3254666a4138106a4e51', 'f6817f48af4fb3af11b9e8bf182f618b', '3fac0d3c9cd40fa53ab70d4c583821f8', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('412e2de37a35b3442d68db8dd2f3c190', '52b0cf022ac4187b2a70dfa4f8b2d940', 'f1cb187abf927c88b89470d08615f5ac', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('4204f91fb61911ba8ce40afa7c02369f', 'f6817f48af4fb3af11b9e8bf182f618b', '3f915b2769fc80648e92d04e84ca059d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('444126230885d5d38b8fa6072c9f43f8', 'f6817f48af4fb3af11b9e8bf182f618b', 'f780d0d3083d849ccbdb1b1baee4911d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('445656dd187bd8a71605f4bbab1938a3', 'f6817f48af4fb3af11b9e8bf182f618b', '020b06793e4de2eee0007f603000c769', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('44b5a73541bcb854dd5d38c6d1fb93a1', 'ee8626f80f7c2619917b6236f3a7f02b', '418964ba087b90a84897b62474496b93', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('455cdb482457f529b79b479a2ff74427', 'f6817f48af4fb3af11b9e8bf182f618b', 'e1979bb53e9ea51cecc74d86fd9d2f64', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('459aa2e7021b435b4d65414cfbc71c66', 'e51758fa916c881624b046d26bd09230', '4148ec82b6acd69f470bea75fe41c357', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('45a358bb738782d1a0edbf7485e81459', 'f6817f48af4fb3af11b9e8bf182f618b', '0ac2ad938963b6c6d1af25477d5b8b51', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('4c0940badae3ef9231ee9d042338f2a4', 'e51758fa916c881624b046d26bd09230', '2a470fc0c3954d9dbb61de6d80846549', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('4d56ce2f67c94b74a1d3abdbea340e42', 'ee8626f80f7c2619917b6236f3a7f02b', 'd86f58e7ab516d3bc6bfb1fe10585f97', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('4dab5a06acc8ef3297889872caa74747', 'f6817f48af4fb3af11b9e8bf182f618b', 'ffb423d25cc59dcd0532213c4a518261', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('4e0a37ed49524df5f08fc6593aee875c', 'f6817f48af4fb3af11b9e8bf182f618b', 'f23d9bfff4d9aa6b68569ba2cff38415', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('4ea403fc1d19feb871c8bdd9f94a4ecc', 'f6817f48af4fb3af11b9e8bf182f618b', '2e42e3835c2b44ec9f7bc26c146ee531', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('4f254549d9498f06f4cc9b23f3e2c070', 'f6817f48af4fb3af11b9e8bf182f618b', '93d5cfb4448f11e9916698e7f462b4b6', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('4faad8ff93cb2b5607cd3d07c1b624ee', 'a799c3b1b12dd3ed4bd046bfaef5fe6e', '70b8f33da5f39de1981bf89cf6c99792', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('504e326de3f03562cdd186748b48a8c7', 'f6817f48af4fb3af11b9e8bf182f618b', '027aee69baee98a0ed2e01806e89c891', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('520b5989e6fe4a302a573d4fee12a40a', 'f6817f48af4fb3af11b9e8bf182f618b', '6531cf3421b1265aeeeabaab5e176e6d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('54fdf85e52807bdb32ce450814abc256', 'f6817f48af4fb3af11b9e8bf182f618b', 'cc50656cf9ca528e6f2150eba4714ad2', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('57c0b3a547b815ea3ec8e509b08948b3', '1750a8fb3e6d90cb7957c02de1dc8e59', '3f915b2769fc80648e92d04e84ca059d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('593ee05c4fe4645c7826b7d5e14f23ec', '52b0cf022ac4187b2a70dfa4f8b2d940', '8fb8172747a78756c11916216b8b8066', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('5affc85021fcba07d81c09a6fdfa8dc6', 'ee8626f80f7c2619917b6236f3a7f02b', '078f9558cdeab239aecb2bda1a8ed0d1', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('5d230e6cd2935c4117f6cb9a7a749e39', 'f6817f48af4fb3af11b9e8bf182f618b', 'fc810a2267dd183e4ef7c71cc60f4670', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('5de6871fadb4fe1cdd28989da0126b07', 'f6817f48af4fb3af11b9e8bf182f618b', 'a400e4f4d54f79bf5ce160a3432231af', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('5e4015a9a641cbf3fb5d28d9f885d81a', 'f6817f48af4fb3af11b9e8bf182f618b', '2dbbafa22cda07fa5d169d741b81fe12', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('5e634a89f75b7a421c02aecfd520325f', 'e51758fa916c881624b046d26bd09230', '339329ed54cf255e1f9392e84f136901', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('5e74637c4bec048d1880ad0bd1b00552', 'e51758fa916c881624b046d26bd09230', 'a400e4f4d54f79bf5ce160a3432231af', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('5fc194b709336d354640fe29fefd65a3', 'a799c3b1b12dd3ed4bd046bfaef5fe6e', '9ba60e626bf2882c31c488aba62b89f0', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('60eda4b4db138bdb47edbe8e10e71675', 'f6817f48af4fb3af11b9e8bf182f618b', 'fb07ca05a3e13674dbf6d3245956da2e', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('61835e48f3e675f7d3f5c9dd3a10dcf3', 'f6817f48af4fb3af11b9e8bf182f618b', 'f0675b52d89100ee88472b6800754a08', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('6451dac67ba4acafb570fd6a03f47460', 'ee8626f80f7c2619917b6236f3a7f02b', 'e3c13679c73a4f829bcff2aba8fd68b1', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('660fbc40bcb1044738f7cabdf1708c28', 'f6817f48af4fb3af11b9e8bf182f618b', 'b3c824fc22bd953e2eb16ae6914ac8f9', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('66b202f8f84fe766176b3f51071836ef', 'f6817f48af4fb3af11b9e8bf182f618b', '1367a93f2c410b169faa7abcbad2f77c', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('6b605c261ffbc8ac8a98ae33579c8c78', 'f6817f48af4fb3af11b9e8bf182f618b', 'fba41089766888023411a978d13c0aa4', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('6c43fd3f10fdaf2a0646434ae68709b5', 'ee8626f80f7c2619917b6236f3a7f02b', '540a2936940846cb98114ffb0d145cb8', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('6c74518eb6bb9a353f6a6c459c77e64b', 'f6817f48af4fb3af11b9e8bf182f618b', 'b4dfc7d5dd9e8d5b6dd6d4579b1aa559', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('6daddafacd7eccb91309530c17c5855d', 'f6817f48af4fb3af11b9e8bf182f618b', 'edfa74d66e8ea63ea432c2910837b150', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('6fb4c2142498dd6d5b6c014ef985cb66', 'f6817f48af4fb3af11b9e8bf182f618b', '6e73eb3c26099c191bf03852ee1310a1', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('71a5f54a90aa8c7a250a38b7dba39f6f', 'ee8626f80f7c2619917b6236f3a7f02b', '8fb8172747a78756c11916216b8b8066', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('737d35f582036cd18bfd4c8e5748eaa4', 'e51758fa916c881624b046d26bd09230', '693ce69af3432bd00be13c3971a57961', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('7413acf23b56c906aedb5a36fb75bd3a', 'f6817f48af4fb3af11b9e8bf182f618b', 'a4fc7b64b01a224da066bb16230f9c5a', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('75002588591820806', '16457350655250432', '5129710648430592', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('75002588604403712', '16457350655250432', '5129710648430593', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('75002588612792320', '16457350655250432', '40238597734928384', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('75002588625375232', '16457350655250432', '57009744761589760', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937354', '1501570619841810433', '1438108182116425729', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937355', '1501570619841810433', '1438108201150177281', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937356', '1501570619841810433', '1438108201502498817', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514106937358', '1501570619841810433', '1438108202060341249', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514115325954', '1501570619841810433', '1438108199631839234', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514115325955', '1501570619841810433', '1438108215511474177', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514115325956', '1501570619841810433', '1438108215687634945', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514115325957', '1501570619841810433', '1438108215989624834', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514115325958', '1501570619841810433', '1438108200802050050', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514115325959', '1501570619841810433', '1438108216300003330', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514115325960', '1501570619841810433', '1438108216597798914', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514115325961', '1501570619841810433', '1438108200919490562', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514115325962', '1501570619841810433', '1438108216971091969', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514115325963', '1501570619841810433', '1438108217449242626', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514115325964', '1501570619841810433', '1438108183219527682', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514115325965', '1501570619841810433', '1438108185660612609', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714561', '1501570619841810433', '1438108185815801858', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714562', '1501570619841810433', '1438108185958408193', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714563', '1501570619841810433', '1438108186289758209', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714564', '1501570619841810433', '1438108178010202113', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714565', '1501570619841810433', '1438108178257666049', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714566', '1501570619841810433', '1438108176932265985', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714567', '1501570619841810433', '1438108177074872321', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714568', '1501570619841810433', '1438108177351696386', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714569', '1501570619841810433', '1438108177565605889', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714570', '1501570619841810433', '1438108177188118529', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714571', '1501570619841810433', '1438108177720795137', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714572', '1501570619841810433', '1438108177880178689', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714573', '1501570619841810433', '1438108178421243905', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714574', '1501570619841810433', '1438108225263230978', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514123714575', '1501570619841810433', '1438108180770054145', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514132103169', '1501570619841810433', '1438108183085309954', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501572514165657602', '1501570619841810433', '1438108225451974658', NULL, TO_DATE('2022-03-09 22:56:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194927464450', '1501570619841810433', '1438108187455774722', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194935853057', '1501570619841810433', '1438108187678072833', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194935853058', '1501570619841810433', '1438108189062193153', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194935853059', '1501570619841810433', '1438108189427097601', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047361', '1501570619841810433', '1438108189754253313', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047362', '1501570619841810433', '1438108187871010818', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047363', '1501570619841810433', '1438108190110769154', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047364', '1501570619841810433', '1438108190404370433', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047365', '1501570619841810433', '1438108188034588674', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047366', '1501570619841810433', '1438108190777663490', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047367', '1501570619841810433', '1438108191356477442', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047368', '1501570619841810433', '1438108188378521602', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047369', '1501570619841810433', '1438108192623157249', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047370', '1501570619841810433', '1438108193701093378', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047371', '1501570619841810433', '1438108188542099458', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047372', '1501570619841810433', '1438108194992939010', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047373', '1501570619841810433', '1438108195307511809', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047374', '1501570619841810433', '1438108195487866881', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047375', '1501570619841810433', '1438108195638861825', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047376', '1501570619841810433', '1438108195924074497', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194940047377', '1501570619841810433', '1438108178911977473', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194948435969', '1501570619841810433', '1438108183630569474', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194948435970', '1501570619841810433', '1438108183630569477', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194948435971', '1501570619841810433', '1438108183907393538', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194948435972', '1501570619841810433', '1438108184049999873', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194948435973', '1501570619841810433', '1438108188714065922', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194948435974', '1501570619841810433', '1438108196263813121', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194948435975', '1501570619841810433', '1438108196528054273', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194952630273', '1501570619841810433', '1438108196855209985', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194952630274', '1501570619841810433', '1438108217562488834', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194952630275', '1501570619841810433', '1438108217860284417', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194952630276', '1501570619841810433', '1438108218049028097', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194952630277', '1501570619841810433', '1438108218409738242', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194952630278', '1501570619841810433', '1438108218787225601', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194952630279', '1501570619841810433', '1438108219034689538', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194952630280', '1501570619841810433', '1438108219240210434', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194952630281', '1501570619841810433', '1438108219445731330', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194952630282', '1501570619841810433', '1438108219592531970', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194952630283', '1501570619841810433', '1438108219793858561', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194961018881', '1501570619841810433', '1446778415130722306', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194961018882', '1501570619841810433', '1438108220137791489', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194961018883', '1501570619841810433', '1438108220418809857', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194961018884', '1501570619841810433', '1438108220523667458', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194961018885', '1501570619841810433', '1438108220896960513', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194965213185', '1501570619841810433', '1438108221127647234', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194965213186', '1501570619841810433', '1438108221270253570', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194965213187', '1501570619841810433', '1438108220724994049', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194965213188', '1501570619841810433', '1438108183395688450', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194965213189', '1501570619841810433', '1438115924159881218', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194965213190', '1501570619841810433', '1438116003012796418', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194965213191', '1501570619841810433', '1438108183492157442', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194965213192', '1501570619841810433', '1438108186717577217', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576194965213193', '1501570619841810433', '1438108187103453186', NULL, TO_DATE('2022-03-09 23:10:37', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576319401824258', '1501570619841810433', '1443390062919208961', NULL, TO_DATE('2022-03-09 23:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576319410212866', '1501570619841810433', '1438108223661006850', NULL, TO_DATE('2022-03-09 23:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576319410212867', '1501570619841810433', '1438108223489040385', NULL, TO_DATE('2022-03-09 23:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576319410212868', '1501570619841810433', '1449995470942593026', NULL, TO_DATE('2022-03-09 23:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576319410212869', '1501570619841810433', '1438108222218166273', NULL, TO_DATE('2022-03-09 23:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576319410212870', '1501570619841810433', '1438108221849067522', NULL, TO_DATE('2022-03-09 23:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576319410212871', '1501570619841810433', '1438108221551271937', NULL, TO_DATE('2022-03-09 23:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576319410212872', '1501570619841810433', '1438108222721482753', NULL, TO_DATE('2022-03-09 23:11:07', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576328692207617', '1501570619841810433', '1443390062919208961', NULL, TO_DATE('2022-03-09 23:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576328700596226', '1501570619841810433', '1438108223661006850', NULL, TO_DATE('2022-03-09 23:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576328700596227', '1501570619841810433', '1438108223489040385', NULL, TO_DATE('2022-03-09 23:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576328700596228', '1501570619841810433', '1449995470942593026', NULL, TO_DATE('2022-03-09 23:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576328700596229', '1501570619841810433', '1438108222218166273', NULL, TO_DATE('2022-03-09 23:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576328700596230', '1501570619841810433', '1438108221849067522', NULL, TO_DATE('2022-03-09 23:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576328708984833', '1501570619841810433', '1438108221551271937', NULL, TO_DATE('2022-03-09 23:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1501576328708984834', '1501570619841810433', '1438108222721482753', NULL, TO_DATE('2022-03-09 23:11:09', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1522909726999498754', 'f6817f48af4fb3af11b9e8bf182f618b', '121008911426059sc9473', NULL, TO_DATE('2022-05-07 20:02:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1522909726999498755', 'f6817f48af4fb3af11b9e8bf182f618b', '121008911426059sc9472', NULL, TO_DATE('2022-05-07 20:02:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1522909726999498756', 'f6817f48af4fb3af11b9e8bf182f618b', '121008911426059sc9471', NULL, TO_DATE('2022-05-07 20:02:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1522910722202980354', 'f6817f48af4fb3af11b9e8bf182f618b', '121008911426059sc94722', NULL, TO_DATE('2022-05-07 20:06:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1523502432196915202', 'f6817f48af4fb3af11b9e8bf182f618b', '121008911426059sc94711', NULL, TO_DATE('2022-05-09 11:17:40', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('154edd0599bd1dc2c7de220b489cd1e2', 'f6817f48af4fb3af11b9e8bf182f618b', '7ac9eb9ccbde2f7a033cd4944272bf1e', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1572775794261581825', '1501570619841810433', '1443391584864358402', NULL, TO_DATE('2022-09-22 10:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1572775794269970434', '1501570619841810433', '1534418199197323265', NULL, TO_DATE('2022-09-22 10:32:25', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1580834175006171137', '1501570619841810433', '1580833876002627585', NULL, TO_DATE('2022-10-14 16:13:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1580834175006171138', '1501570619841810433', '1580834045490257922', NULL, TO_DATE('2022-10-14 16:13:32', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1580835941080784898', '1501570619841810433', '1580835899477483522', NULL, TO_DATE('2022-10-14 16:20:34', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1580861542625955842', 'f6817f48af4fb3af11b9e8bf182f618b', '1170592628746878978', NULL, TO_DATE('2022-10-14 18:02:17', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1580877977129570306', '1501570619841810433', '1580877931331964929', NULL, TO_DATE('2022-10-14 19:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1580877977129570307', '1501570619841810433', '1580877743141933058', NULL, TO_DATE('2022-10-14 19:07:36', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1580878701653643267', '1501570619841810433', '1580878668472504321', NULL, TO_DATE('2022-10-14 19:10:28', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1580878704866480129', '1501570619841810433', '1580878668472504321', NULL, TO_DATE('2022-10-14 19:10:29', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1587064040483061761', '1501570619841810433', '1455100420297859074', NULL, TO_DATE('2022-10-31 20:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1587064040495644673', '1501570619841810433', '1461270075543347202', NULL, TO_DATE('2022-10-31 20:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1587064040495644674', '1501570619841810433', '1458353686530232321', NULL, TO_DATE('2022-10-31 20:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1587064040495644675', '1501570619841810433', '1457678003102879745', NULL, TO_DATE('2022-10-31 20:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1587064040495644676', '1501570619841810433', '1509417558230999041', NULL, TO_DATE('2022-10-31 20:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1587064040495644677', '1501570619841810433', '1452508868884353026', NULL, TO_DATE('2022-10-31 20:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1587064040495644678', '1501570619841810433', '1461291438825558017', NULL, TO_DATE('2022-10-31 20:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1587064040495644679', '1501570619841810433', '1460888189937176577', NULL, TO_DATE('2022-10-31 20:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1587064040504033281', '1501570619841810433', '1455101470794850305', NULL, TO_DATE('2022-10-31 20:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1587064040504033282', '1501570619841810433', '1465686870713782273', NULL, TO_DATE('2022-10-31 20:48:48', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1590154918424719362', '1501570619841810433', '1590154870697734146', NULL, TO_DATE('2022-11-09 09:30:51', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1592114400605859842', 'f6817f48af4fb3af11b9e8bf182f618b', '1592113148350263298', NULL, TO_DATE('2022-11-14 19:17:08', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444602613761', '1501570619841810433', '1588513553652436993', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444602613762', '1501570619841810433', '1592114574275211265', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444602613763', '1501570619841810433', '1592114652566089729', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444602613764', '1501570619841810433', '1592114721138765826', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444602613765', '1501570619841810433', '1592114772665790465', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444602613766', '1501570619841810433', '1592114823467200514', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444602613767', '1501570619841810433', '1592114893302362114', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444602613768', '1501570619841810433', '1592114955650691074', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722625', '1501570619841810433', '1592115070432014338', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722626', '1501570619841810433', '1592115115361398786', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722627', '1501570619841810433', '1592115162379546625', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722628', '1501570619841810433', '1592115213910765570', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722629', '1501570619841810433', '1592120649007329281', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722630', '1501570619841810433', '1592120594695286785', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722631', '1501570619841810433', '1592120484120850434', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722632', '1501570619841810433', '1592120427007012865', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722633', '1501570619841810433', '1592120372296511490', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722634', '1501570619841810433', '1592120323667750914', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722635', '1501570619841810433', '1592113148350263298', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722636', '1501570619841810433', '1592112984361365505', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722637', '1501570619841810433', '1592115914493751297', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722638', '1501570619841810433', '1592116663936184322', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722639', '1501570619841810433', '1592118604640645122', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722640', '1501570619841810433', '1592118648315932674', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722641', '1501570619841810433', '1592119001883176961', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722642', '1501570619841810433', '1592120052866707457', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722643', '1501570619841810433', '1592120222727630849', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722644', '1501570619841810433', '1592117422006300673', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722645', '1501570619841810433', '1592117377299214337', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722646', '1501570619841810433', '1592117276539449345', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722647', '1501570619841810433', '1592117222764277761', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722648', '1501570619841810433', '1592115712466710529', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722649', '1501570619841810433', '1592118053634928641', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722650', '1501570619841810433', '1592117990305132545', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722651', '1501570619841810433', '1592117804359053314', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722652', '1501570619841810433', '1592117748209905665', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722653', '1501570619841810433', '1592117625664925697', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722654', '1501570619841810433', '1592118414990995457', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444669722655', '1501570619841810433', '1592118356778250241', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444732637186', '1501570619841810433', '1592118306983473154', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444732637187', '1501570619841810433', '1592118254844080130', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444732637188', '1501570619841810433', '1592118192218927105', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444732637189', '1501570619841810433', '1592118497606201346', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593150444732637190', '1501570619841810433', '1592115610431877122', NULL, TO_DATE('2022-11-17 15:54:00', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006353473537', 'f6817f48af4fb3af11b9e8bf182f618b', '1588513553652436993', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006353473538', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114574275211265', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006353473539', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114652566089729', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006353473540', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115213910765570', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006353473541', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115162379546625', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006353473542', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115115361398786', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006353473543', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115070432014338', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006353473544', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114955650691074', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006353473545', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114893302362114', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006353473546', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114823467200514', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006353473547', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114772665790465', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388098', 'f6817f48af4fb3af11b9e8bf182f618b', '1592114721138765826', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388099', 'f6817f48af4fb3af11b9e8bf182f618b', '1260929666434318338', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388100', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120323667750914', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388101', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120372296511490', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388102', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120427007012865', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388103', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120484120850434', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388104', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120594695286785', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388105', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120649007329281', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388106', 'f6817f48af4fb3af11b9e8bf182f618b', '1592112984361365505', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388107', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115914493751297', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388108', 'f6817f48af4fb3af11b9e8bf182f618b', '1592116663936184322', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388109', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118604640645122', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388110', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118648315932674', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388111', 'f6817f48af4fb3af11b9e8bf182f618b', '1592119001883176961', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388112', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120052866707457', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388113', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115712466710529', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388114', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117222764277761', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388115', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117276539449345', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388116', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117377299214337', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388117', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117422006300673', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388118', 'f6817f48af4fb3af11b9e8bf182f618b', '1592120222727630849', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388119', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118053634928641', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388120', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117990305132545', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388121', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117804359053314', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388122', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117748209905665', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388123', 'f6817f48af4fb3af11b9e8bf182f618b', '1592117625664925697', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388124', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118192218927105', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388125', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118254844080130', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388126', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118306983473154', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388127', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118356778250241', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388128', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118414990995457', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153006416388129', 'f6817f48af4fb3af11b9e8bf182f618b', '1592118497606201346', NULL, TO_DATE('2022-11-17 16:04:11', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153065098895362', 'f6817f48af4fb3af11b9e8bf182f618b', '1235823781053313025', NULL, TO_DATE('2022-11-17 16:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153065098895363', 'f6817f48af4fb3af11b9e8bf182f618b', '1304032910990495745', NULL, TO_DATE('2022-11-17 16:04:25', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1593153077300125697', 'f6817f48af4fb3af11b9e8bf182f618b', '1592115610431877122', NULL, TO_DATE('2022-11-17 16:04:28', 'SYYYY-MM-DD HH24:MI:SS'), '0:0:0:0:0:0:0:1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286053158913', '1501570619841810433', '1592135223910765570', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286069936130', '1501570619841810433', '1593185714482880514', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286069936131', '1501570619841810433', '15c92115213910765570', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286069936132', '1501570619841810433', '1d592115213910765570', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286069936133', '1501570619841810433', '1592120224120850434', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286078324738', '1501570619841810433', '1597419994965786625', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('1631912286078324739', '1501570619841810433', '119213522910765570', NULL, TO_DATE('2023-03-04 14:59:43', 'SYYYY-MM-DD HH24:MI:SS'), '127.0.0.1');
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780613533696', '496138616573952', '39916171171991552', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780621922304', '496138616573952', '39918482854252544', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780630310912', '496138616573952', '41373430515240960', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780718391296', '496138616573952', '41375330996326400', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780722585600', '496138616573952', '63741744973352960', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780730974208', '496138616573952', '42082442672082944', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780739362816', '496138616573952', '41376192166629376', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780747751424', '496138616573952', '41377034236071936', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780756140032', '496138616573952', '56911328312299520', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780764528640', '496138616573952', '41378916912336896', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780768722944', '496138616573952', '63482475359244288', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780772917249', '496138616573952', '64290663792906240', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780785500160', '496138616573952', '66790433014943744', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780789694464', '496138616573952', '42087054753927168', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780798083072', '496138616573952', '67027338952445952', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780806471680', '496138616573952', '67027909637836800', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780810665985', '496138616573952', '67042515441684480', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780823248896', '496138616573952', '67082402312228864', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780827443200', '496138616573952', '16392452747300864', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780835831808', '496138616573952', '16392767785668608', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780840026112', '496138616573952', '16438800255291392', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780844220417', '496138616573952', '16438962738434048', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780852609024', '496138616573952', '16439068543946752', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860062040064', '496138616573953', '5129710648430592', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860070428672', '496138616573953', '5129710648430593', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860078817280', '496138616573953', '40238597734928384', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860091400192', '496138616573953', '43117268627886080', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860099788800', '496138616573953', '57009744761589760', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860112371712', '496138616573953', '56309618086776832', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860120760320', '496138616573953', '44986029924421632', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860129148928', '496138616573953', '5129710648430594', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860141731840', '496138616573953', '5129710648430595', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860150120448', '496138616573953', '75002207560273920', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860158509056', '496138616573953', '58480609315524608', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860162703360', '496138616573953', '76606430504816640', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860171091968', '496138616573953', '76914082455752704', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860179480576', '496138616573953', '76607201262702592', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860187869184', '496138616573953', '39915540965232640', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860196257792', '496138616573953', '41370251991977984', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860204646400', '496138616573953', '41363147411427328', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860208840704', '496138616573953', '41371711400054784', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860213035009', '496138616573953', '39916171171991552', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860221423616', '496138616573953', '39918482854252544', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860225617920', '496138616573953', '41373430515240960', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860234006528', '496138616573953', '41375330996326400', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860242395136', '496138616573953', '63741744973352960', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860250783744', '496138616573953', '42082442672082944', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860254978048', '496138616573953', '41376192166629376', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860263366656', '496138616573953', '41377034236071936', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860271755264', '496138616573953', '56911328312299520', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860313698304', '496138616573953', '41378916912336896', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860322086912', '496138616573953', '63482475359244288', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860326281216', '496138616573953', '64290663792906240', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860334669824', '496138616573953', '66790433014943744', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860343058432', '496138616573953', '42087054753927168', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860347252736', '496138616573953', '67027338952445952', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860351447041', '496138616573953', '67027909637836800', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860359835648', '496138616573953', '67042515441684480', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860364029952', '496138616573953', '67082402312228864', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860368224256', '496138616573953', '16392452747300864', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860372418560', '496138616573953', '16392767785668608', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860376612865', '496138616573953', '16438800255291392', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860385001472', '496138616573953', '16438962738434048', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277860389195776', '496138616573953', '16439068543946752', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('7750f9be48ee09cd561fce718219a3e2', 'ee8626f80f7c2619917b6236f3a7f02b', '882a73768cfd7f78f3a37584f7299656', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('7a5d31ba48fe3fb1266bf186dc5f7ba7', '52b0cf022ac4187b2a70dfa4f8b2d940', '58857ff846e61794c69208e9d3a85466', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('7a6bca9276c128309c80d21e795c66c6', 'f6817f48af4fb3af11b9e8bf182f618b', '54097c6a3cf50fad0793a34beff1efdf', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('d03d792b0f312e7b490afc5cec3dd6c5', 'e51758fa916c881624b046d26bd09230', '8fb8172747a78756c11916216b8b8066', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('d281a95b8f293d0fa2a136f46c4e0b10', 'f6817f48af4fb3af11b9e8bf182f618b', '5c8042bd6c601270b2bbd9b20bccc68b', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('d37ad568e26f46ed0feca227aa9c2ffa', 'f6817f48af4fb3af11b9e8bf182f618b', '9502685863ab87f0ad1134142788a385', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('d3ddcacee1acdfaa0810618b74e38ef2', 'f6817f48af4fb3af11b9e8bf182f618b', 'c6cf95444d80435eb37b2f9db3971ae6', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('d3fe195d59811531c05d31d8436f5c8b', '1750a8fb3e6d90cb7957c02de1dc8e59', 'e8af452d8948ea49d37c934f5100ae6a', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('d5267597a4450f06d49d2fb63859641a', 'e51758fa916c881624b046d26bd09230', '2dbbafa22cda07fa5d169d741b81fe12', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('d83282192a69514cfe6161b3087ff962', 'f6817f48af4fb3af11b9e8bf182f618b', '53a9230444d33de28aa11cc108fb1dba', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('d8a5c9079df12090e108e21be94b4fd7', 'f6817f48af4fb3af11b9e8bf182f618b', '078f9558cdeab239aecb2bda1a8ed0d1', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('dbc5dd836d45c5bc7bc94b22596ab956', 'f6817f48af4fb3af11b9e8bf182f618b', '1939e035e803a99ceecb6f5563570fb2', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('dc83bb13c0e8c930e79d28b2db26f01f', 'f6817f48af4fb3af11b9e8bf182f618b', '63b551e81c5956d5c861593d366d8c57', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('dc8fd3f79bd85bd832608b42167a1c71', 'f6817f48af4fb3af11b9e8bf182f618b', '91c23960fab49335831cf43d820b0a61', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('de82e89b8b60a3ea99be5348f565c240', 'f6817f48af4fb3af11b9e8bf182f618b', '56ca78fe0f22d815fabc793461af67b8', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('de8f43229e351d34af3c95b1b9f0a15d', 'f6817f48af4fb3af11b9e8bf182f618b', 'a400e4f4d54f79bf5ce160ae432231af', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('e258ca8bf7ee168b93bfee739668eb15', 'ee8626f80f7c2619917b6236f3a7f02b', 'fb367426764077dcf94640c843733985', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('e339f7db7418a4fd2bd2c113f1182186', 'ee8626f80f7c2619917b6236f3a7f02b', 'b1cb0a3fedf7ed0e4653cb5a229837ee', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('e3e922673f4289b18366bb51b6200f17', '52b0cf022ac4187b2a70dfa4f8b2d940', '45c966826eeff4c99b8f8ebfe74511fc', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('e7467726ee72235baaeb47df04a35e73', 'f6817f48af4fb3af11b9e8bf182f618b', 'e08cb190ef230d5d4f03824198773950', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('eaef4486f1c9b0408580bbfa2037eb66', 'f6817f48af4fb3af11b9e8bf182f618b', '2a470fc0c3954d9dbb61de6d80846549', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('ec4bc97829ab56afd83f428b6dc37ff6', 'f6817f48af4fb3af11b9e8bf182f618b', '200006f0edf145a2b50eacca07585451', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('ec846a3f85fdb6813e515be71f11b331', 'f6817f48af4fb3af11b9e8bf182f618b', '732d48f8e0abe99fe6a23d18a3171cd1', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('ec93bb06f5be4c1f19522ca78180e2ef', 'f6817f48af4fb3af11b9e8bf182f618b', '265de841c58907954b8877fb85212622', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('ecdd72fe694e6bba9c1d9fc925ee79de', 'f6817f48af4fb3af11b9e8bf182f618b', '45c966826eeff4c99b8f8ebfe74511fc', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('edefd8d468f5727db465cf1b860af474', 'f6817f48af4fb3af11b9e8bf182f618b', '6ad53fd1b220989a8b71ff482d683a5a', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('ef8bdd20d29447681ec91d3603e80c7b', 'f6817f48af4fb3af11b9e8bf182f618b', 'ae4fed059f67086fd52a73d913cf473d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('f12b6c90e8913183d7ca547c66600891', 'e51758fa916c881624b046d26bd09230', 'aedbf679b5773c1f25e9f7b10111da73', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('f177acac0276329dc66af0c9ad30558a', 'f6817f48af4fb3af11b9e8bf182f618b', 'c2c356bf4ddd29975347a7047a062440', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('f17ab8ad1e71341140857ef4914ef297', '21c5a3187763729408b40afb0d0fdfa8', '732d48f8e0abe99fe6a23d18a3171cd1', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('f99f99cc3bc27220cdd4f5aced33b7d7', 'f6817f48af4fb3af11b9e8bf182f618b', '655563cd64b75dcf52ef7bcdd4836953', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('fafe73c4448b977fe42880a6750c3ee8', 'f6817f48af4fb3af11b9e8bf182f618b', '9cb91b8851db0cf7b19d7ecc2a8193dd', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('fced905c7598973b970d42d833f73474', 'f6817f48af4fb3af11b9e8bf182f618b', '4875ebe289344e14844d8e3ea1edd73f', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('fd86f6b08eb683720ba499f9d9421726', 'ee8626f80f7c2619917b6236f3a7f02b', '693ce69af3432bd00be13c3971a57961', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('fd97963dc5f144d3aecfc7045a883427', 'f6817f48af4fb3af11b9e8bf182f618b', '043780fa095ff1b2bec4dc406d76f023', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('fed41a4671285efb266cd404f24dd378', '52b0cf022ac4187b2a70dfa4f8b2d940', '00a2a0ae65cdca5e93209cdbde97cbe6', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('7ca833caa5eac837b7200d8b6de8b2e3', 'f6817f48af4fb3af11b9e8bf182f618b', 'fedfbf4420536cacc0218557d263dfea', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('7d2ea745950be3357747ec7750c31c57', 'ee8626f80f7c2619917b6236f3a7f02b', '2a470fc0c3954d9dbb61de6d80846549', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('7de42bdc0b8c5446b7d428c66a7abc12', '52b0cf022ac4187b2a70dfa4f8b2d940', '54dd5457a3190740005c1bfec55b1c34', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('7e19d90cec0dd87aaef351b9ff8f4902', '646c628b2b8295fbdab2d34044de0354', 'f9d3f4f27653a71c52faa9fb8070fbe7', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('7f862c47003eb20e8bad05f506371f92', 'ee8626f80f7c2619917b6236f3a7f02b', 'd7d6e2e4e2934f2c9385a623fd98c6f3', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('812ed54661b1a24b81b58974691a73f5', 'e51758fa916c881624b046d26bd09230', 'e6bfd1fcabfd7942fdd05f076d1dad38', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('83f704524b21b6a3ae324b8736c65333', 'ee8626f80f7c2619917b6236f3a7f02b', '7ac9eb9ccbde2f7a033cd4944272bf1e', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('84d32474316a43b01256d6644e6e7751', 'ee8626f80f7c2619917b6236f3a7f02b', 'ec8d607d0156e198b11853760319c646', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('84eac2f113c23737128fb099d1d1da89', 'f6817f48af4fb3af11b9e8bf182f618b', '03dc3d93261dda19fc86dd7ca486c6cf', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('85755a6c0bdff78b3860b52d35310c7f', 'e51758fa916c881624b046d26bd09230', 'c65321e57b7949b7a975313220de0422', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('86060e2867a5049d8a80d9fe5d8bc28b', 'f6817f48af4fb3af11b9e8bf182f618b', '765dd244f37b804e3d00f475fd56149b', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('8703a2410cddb713c33232ce16ec04b9', 'ee8626f80f7c2619917b6236f3a7f02b', '1367a93f2c410b169faa7abcbad2f77c', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('884f147c20e003cc80ed5b7efa598cbe', 'f6817f48af4fb3af11b9e8bf182f618b', 'e5973686ed495c379d829ea8b2881fc6', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('885c1a827383e5b2c6c4f8ca72a7b493', 'ee8626f80f7c2619917b6236f3a7f02b', '4148ec82b6acd69f470bea75fe41c357', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('8a60df8d8b4c9ee5fa63f48aeee3ec00', '1750a8fb3e6d90cb7957c02de1dc8e59', 'd7d6e2e4e2934f2c9385a623fd98c6f3', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('8b09925bdc194ab7f3559cd3a7ea0507', 'f6817f48af4fb3af11b9e8bf182f618b', 'ebb9d82ea16ad864071158e0c449d186', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('8b1e326791375f325d3e6b797753b65e', 'ee8626f80f7c2619917b6236f3a7f02b', '2dbbafa22cda07fa5d169d741b81fe12', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('8ce1022dac4e558ff9694600515cf510', '1750a8fb3e6d90cb7957c02de1dc8e59', '08e6b9dc3c04489c8e1ff2ce6f105aa4', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('8d154c2382a8ae5c8d1b84bd38df2a93', 'f6817f48af4fb3af11b9e8bf182f618b', 'd86f58e7ab516d3bc6bfb1fe10585f97', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('8d848ca7feec5b7ebb3ecb32b2c8857a', '52b0cf022ac4187b2a70dfa4f8b2d940', '4148ec82b6acd69f470bea75fe41c357', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('8dd64f65a1014196078d0882f767cd85', 'f6817f48af4fb3af11b9e8bf182f618b', 'e3c13679c73a4f829bcff2aba8fd68b1', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('8e3dc1671abad4f3c83883b194d2e05a', 'f6817f48af4fb3af11b9e8bf182f618b', 'b1cb0a3fedf7ed0e4653cb5a229837ee', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('8eec2c510f1ac9c5eee26c041b1f00ca', 'ee8626f80f7c2619917b6236f3a7f02b', '58857ff846e61794c69208e9d3a85466', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('8f762ff80253f634b08cf59a77742ba4', 'ee8626f80f7c2619917b6236f3a7f02b', '9502685863ab87f0ad1134142788a385', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('903b790e6090414343502c6dc393b7c9', 'ee8626f80f7c2619917b6236f3a7f02b', 'de13e0f6328c069748de7399fcc1dbbd', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('905bf419332ebcb83863603b3ebe30f0', 'f6817f48af4fb3af11b9e8bf182f618b', '8fb8172747a78756c11916216b8b8066', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('90996d56357730e173e636b99fc48bea', 'ee8626f80f7c2619917b6236f3a7f02b', 'fb07ca05a3e13674dbf6d3245956da2e', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('90e1c607a0631364eec310f3cc4acebd', 'ee8626f80f7c2619917b6236f3a7f02b', '4f66409ef3bbd69c1d80469d6e2a885e', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('9264104cee9b10c96241d527b2d0346d', '1750a8fb3e6d90cb7957c02de1dc8e59', '54dd5457a3190740005c1bfec55b1c34', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('9380121ca9cfee4b372194630fce150e', 'f6817f48af4fb3af11b9e8bf182f618b', '65a8f489f25a345836b7f44b1181197a', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('94911fef73a590f6824105ebf9b6cab3', 'f6817f48af4fb3af11b9e8bf182f618b', '8b3bff2eee6f1939147f5c68292a1642', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('9700d20dbc1ae3cbf7de1c810b521fe6', 'f6817f48af4fb3af11b9e8bf182f618b', 'ec8d607d0156e198b11853760319c646', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('980171fda43adfe24840959b1d048d4d', 'f6817f48af4fb3af11b9e8bf182f618b', 'd7d6e2e4e2934f2c9385a623fd98c6f3', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('987c23b70873bd1d6dca52f30aafd8c2', 'f6817f48af4fb3af11b9e8bf182f618b', '00a2a0ae65cdca5e93209cdbde97cbe6', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('98f02353f91dd569e3c6b8fd6b4f4034', 'ee8626f80f7c2619917b6236f3a7f02b', '6531cf3421b1265aeeeabaab5e176e6d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('9b2ad767f9861e64a20b097538feafd3', 'f6817f48af4fb3af11b9e8bf182f618b', '73678f9daa45ed17a3674131b03432fb', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('9d8772c310b675ae43eacdbc6c7fa04a', 'a799c3b1b12dd3ed4bd046bfaef5fe6e', '1663f3faba244d16c94552f849627d84', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('9d980ec0489040e631a9c24a6af42934', 'f6817f48af4fb3af11b9e8bf182f618b', '05b3c82ddb2536a4a5ee1a4c46b5abef', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('9f8311ecccd44e079723098cf2ffe1cc', '1750a8fb3e6d90cb7957c02de1dc8e59', '693ce69af3432bd00be13c3971a57961', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('a034ed7c38c996b880d3e78f586fe0ae', 'f6817f48af4fb3af11b9e8bf182f618b', 'c89018ea6286e852b424466fd92a2ffc', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('a098e2acc3f90316f161f6648d085640', 'ee8626f80f7c2619917b6236f3a7f02b', 'e6bfd1fcabfd7942fdd05f076d1dad38', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('a307a9349ad64a2eff8ab69582fa9be4', 'f6817f48af4fb3af11b9e8bf182f618b', '0620e402857b8c5b605e1ad9f4b89350', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('a5d25fdb3c62904a8474182706ce11a0', 'f6817f48af4fb3af11b9e8bf182f618b', '418964ba087b90a84897b62474496b93', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('a66feaaf128417ad762e946abccf27ec', 'ee8626f80f7c2619917b6236f3a7f02b', 'c6cf95444d80435eb37b2f9db3971ae6', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('a72c31a3913c736d4eca11d13be99183', 'e51758fa916c881624b046d26bd09230', 'a44c30db536349e91106223957e684eb', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('a7ab87eac0f8fafa2efa4b1f9351923f', 'ee8626f80f7c2619917b6236f3a7f02b', 'fedfbf4420536cacc0218557d263dfea', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('abdc324a2df9f13ee6e73d44c6e62bc8', 'ee8626f80f7c2619917b6236f3a7f02b', 'f1cb187abf927c88b89470d08615f5ac', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('acacce4417e5d7f96a9c3be2ded5b4be', 'f6817f48af4fb3af11b9e8bf182f618b', 'f9d3f4f27653a71c52faa9fb8070fbe7', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('ae1852fb349d8513eb3fdc173da3ee56', 'f6817f48af4fb3af11b9e8bf182f618b', '8d4683aacaa997ab86b966b464360338', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('aefc8c22e061171806e59cd222f6b7e1', '52b0cf022ac4187b2a70dfa4f8b2d940', 'e8af452d8948ea49d37c934f5100ae6a', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('af60ac8fafd807ed6b6b354613b9ccbc', 'f6817f48af4fb3af11b9e8bf182f618b', '58857ff846e61794c69208e9d3a85466', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('b0c8a20800b8bf1ebdd7be473bceb44f', 'f6817f48af4fb3af11b9e8bf182f618b', '58b9204feaf07e47284ddb36cd2d8468', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('b128ebe78fa5abb54a3a82c6689bdca3', 'f6817f48af4fb3af11b9e8bf182f618b', 'aedbf679b5773c1f25e9f7b10111da73', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('b131ebeafcfd059f3c7e542606ea9ff5', 'ee8626f80f7c2619917b6236f3a7f02b', 'e5973686ed495c379d829ea8b2881fc6', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('b21b07951bb547b09cc85624a841aea0', 'f6817f48af4fb3af11b9e8bf182f618b', '4356a1a67b564f0988a484f5531fd4d9', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('b2b2dcfff6986d3d7f890ea62d474651', 'ee8626f80f7c2619917b6236f3a7f02b', '200006f0edf145a2b50eacca07585451', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('b495a46fa0e0d4637abe0db7fd12fe1a', 'ee8626f80f7c2619917b6236f3a7f02b', '717f6bee46f44a3897eca9abd6e2ec44', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('b64c4ab9cd9a2ea8ac1e9db5fb7cf522', 'f6817f48af4fb3af11b9e8bf182f618b', '2aeddae571695cd6380f6d6d334d6e7d', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('bbec16ad016efec9ea2def38f4d3d9dc', 'f6817f48af4fb3af11b9e8bf182f618b', '13212d3416eb690c2e1d5033166ff47a', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('bd30561f141f07827b836878137fddd8', 'e51758fa916c881624b046d26bd09230', '65a8f489f25a345836b7f44b1181197a', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('be8e5a9080569e59863f20c4c57a8e22', 'f6817f48af4fb3af11b9e8bf182f618b', '22d6a3d39a59dd7ea9a30acfa6bfb0a5', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('c09373ebfc73fb5740db5ff02cba4f91', 'f6817f48af4fb3af11b9e8bf182f618b', '339329ed54cf255e1f9392e84f136901', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('c56fb1658ee5f7476380786bf5905399', 'f6817f48af4fb3af11b9e8bf182f618b', 'de13e0f6328c069748de7399fcc1dbbd', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('c689539d20a445b0896270290c58d01f', 'e51758fa916c881624b046d26bd09230', '13212d3416eb690c2e1d5033166ff47a', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('c6fee38d293b9d0596436a0cbd205070', 'f6817f48af4fb3af11b9e8bf182f618b', '4f84f9400e5e92c95f05b554724c2b58', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('c8571839e6b14796e661f3e2843b80b6', 'ee8626f80f7c2619917b6236f3a7f02b', '45c966826eeff4c99b8f8ebfe74511fc', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('c90b0b01c7ca454d2a1cb7408563e696', 'f6817f48af4fb3af11b9e8bf182f618b', '882a73768cfd7f78f3a37584f7299656', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('c9d35261cccd67ab2932107a0967a7d7', 'e51758fa916c881624b046d26bd09230', 'b4dfc7d5dd9e8d5b6dd6d4579b1aa559', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('ced80e43584ce15e97bb07298e93020d', 'e51758fa916c881624b046d26bd09230', '45c966826eeff4c99b8f8ebfe74511fc', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('cf1feb1bf69eafc982295ad6c9c8d698', 'f6817f48af4fb3af11b9e8bf182f618b', 'a2b11669e98c5fe54a53c3e3c4f35d14', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('cf2ef620217673e4042f695743294f01', 'f6817f48af4fb3af11b9e8bf182f618b', '717f6bee46f44a3897eca9abd6e2ec44', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('cf43895aef7fc684669483ab00ef2257', 'f6817f48af4fb3af11b9e8bf182f618b', '700b7f95165c46cc7a78bf227aa8fed3', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('75002588633763840', '16457350655250432', '16392452747300864', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('75002588637958144', '16457350655250432', '16392767785668608', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('75002588650541056', '16457350655250432', '16439068543946752', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('76a54a8cc609754360bf9f57e7dbb2db', 'f6817f48af4fb3af11b9e8bf182f618b', 'c65321e57b7949b7a975313220de0422', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277779875336192', '496138616573952', '5129710648430592', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780043108352', '496138616573952', '5129710648430593', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780055691264', '496138616573952', '15701400130424832', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780064079872', '496138616573952', '16678126574637056', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780072468480', '496138616573952', '15701915807518720', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780076662784', '496138616573952', '15708892205944832', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780085051392', '496138616573952', '16678447719911424', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780089245696', '496138616573952', '25014528525733888', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780097634304', '496138616573952', '56898976661639168', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780135383040', '496138616573952', '40238597734928384', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780139577344', '496138616573952', '45235621697949696', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780147965952', '496138616573952', '45235787867885568', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780156354560', '496138616573952', '45235939278065664', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780164743168', '496138616573952', '43117268627886080', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780168937472', '496138616573952', '45236734832676864', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780181520384', '496138616573952', '45237010692050944', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780189908992', '496138616573952', '45237170029465600', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780198297600', '496138616573952', '57009544286441472', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780206686208', '496138616573952', '57009744761589760', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780215074816', '496138616573952', '57009981228060672', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780219269120', '496138616573952', '56309618086776832', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780227657728', '496138616573952', '57212882168844288', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780236046336', '496138616573952', '61560041605435392', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780244434944', '496138616573952', '61560275261722624', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780257017856', '496138616573952', '61560480518377472', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780265406464', '496138616573952', '44986029924421632', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780324126720', '496138616573952', '45235228800716800', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780332515328', '496138616573952', '45069342940860416', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780340903937', '496138616573952', '5129710648430594', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780349292544', '496138616573952', '16687383932047360', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780357681152', '496138616573952', '16689632049631232', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780366069760', '496138616573952', '16689745006432256', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780370264064', '496138616573952', '16689883993083904', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780374458369', '496138616573952', '16690313745666048', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780387041280', '496138616573952', '5129710648430595', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780395429888', '496138616573952', '16694861252005888', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780403818496', '496138616573952', '16695107491205120', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780412207104', '496138616573952', '16695243126607872', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780420595712', '496138616573952', '75002207560273920', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780428984320', '496138616573952', '76215889006956544', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780433178624', '496138616573952', '76216071333351424', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780441567232', '496138616573952', '76216264070008832', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780449955840', '496138616573952', '76216459709124608', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780458344448', '496138616573952', '76216594207870976', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780466733056', '496138616573952', '76216702639017984', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780475121664', '496138616573952', '58480609315524608', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780483510272', '496138616573952', '61394706252173312', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780491898880', '496138616573952', '61417744146370560', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780496093184', '496138616573952', '76606430504816640', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780504481792', '496138616573952', '76914082455752704', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780508676097', '496138616573952', '76607201262702592', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780517064704', '496138616573952', '39915540965232640', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780525453312', '496138616573952', '41370251991977984', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780538036224', '496138616573952', '45264987354042368', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780546424832', '496138616573952', '45265487029866496', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780554813440', '496138616573952', '45265762415284224', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780559007744', '496138616573952', '45265886315024384', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780567396352', '496138616573952', '45266070000373760', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780571590656', '496138616573952', '41363147411427328', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780579979264', '496138616573952', '41363537456533504', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780588367872', '496138616573952', '41364927394353152', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780596756480', '496138616573952', '41371711400054784', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_ROLE_PERMISSION" VALUES ('77277780605145088', '496138616573952', '41469219249852416', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for SYS_SMS
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_SMS";
CREATE TABLE "JEECGBOOT"."SYS_SMS" (
  "ID" NVARCHAR2(32) NOT NULL,
  "ES_TITLE" NVARCHAR2(100),
  "ES_TYPE" NVARCHAR2(50),
  "ES_RECEIVER" NVARCHAR2(50),
  "ES_PARAM" NVARCHAR2(1000),
  "ES_CONTENT" NCLOB,
  "ES_SEND_TIME" DATE,
  "ES_SEND_STATUS" NVARCHAR2(1),
  "ES_SEND_NUM" NUMBER(11,0),
  "ES_RESULT" NVARCHAR2(255),
  "REMARK" NVARCHAR2(500),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."ID" IS 'ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."ES_TITLE" IS '消息标题';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."ES_TYPE" IS '发送方式：参考枚举MessageTypeEnum';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."ES_RECEIVER" IS '接收人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."ES_PARAM" IS '发送所需参数Json格式';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."ES_CONTENT" IS '推送内容';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."ES_SEND_TIME" IS '推送时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."ES_SEND_STATUS" IS '推送状态 0未推送 1推送成功 2推送失败 -1失败不再发送';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."ES_SEND_NUM" IS '发送次数 超过5次不再发送';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."ES_RESULT" IS '推送失败原因';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."REMARK" IS '备注';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS"."UPDATE_TIME" IS '更新日期';

-- ----------------------------
-- Records of SYS_SMS
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_SMS" VALUES ('402880e74dc2f361014dc2f8411e0001', '消息推送测试333', '2', '411944058@qq.com', NULL, '张三你好，你的订单4028d881436d514601436d521ae80165已付款!', TO_DATE('2015-06-05 17:06:01', 'SYYYY-MM-DD HH24:MI:SS'), '3', NULL, NULL, '认证失败错误的用户名或者密码', 'admin', TO_DATE('2015-06-05 17:05:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2015-11-19 22:30:39', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_SMS" VALUES ('402880ea533647b00153364e74770001', '发个问候', '3', 'admin', NULL, '你好', TO_DATE('2016-03-02 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '2', NULL, NULL, NULL, 'admin', TO_DATE('2016-03-02 15:50:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2018-07-05 19:53:01', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_SMS" VALUES ('402880ee5a17e711015a17f3188e013f', '消息推送测试333', '2', '411944058@qq.com', NULL, '张三你好，你的订单4028d881436d514601436d521ae80165已付款!', NULL, '2', NULL, NULL, NULL, 'admin', TO_DATE('2017-02-07 17:41:31', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2017-03-10 11:37:05', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_SMS" VALUES ('402880f05ab649b4015ab64b9cd80012', '消息推送测试333', '2', '411944058@qq.com', NULL, '张三你好，你的订单4028d881436d514601436d521ae80165已付款!', TO_DATE('2017-11-16 15:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '3', NULL, NULL, NULL, 'admin', TO_DATE('2017-03-10 11:38:13', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2017-07-31 17:24:54', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_SMS" VALUES ('402880f05ab7b035015ab7c4462c0004', '消息推送测试333', '2', '411944058@qq.com', NULL, '张三你好，你的订单4028d881436d514601436d521ae80165已付款!', TO_DATE('2017-11-16 15:58:15', 'SYYYY-MM-DD HH24:MI:SS'), '3', NULL, NULL, NULL, 'admin', TO_DATE('2017-03-10 18:29:37', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_SMS" VALUES ('402881f3646a472b01646a4a5af00001', '催办：HR审批', '3', 'admin', NULL, 'admin，您好！
请前待办任务办理事项！HR审批


===========================
此消息由系统发出', TO_DATE('2018-07-05 19:53:35', 'SYYYY-MM-DD HH24:MI:SS'), '2', NULL, NULL, NULL, 'admin', TO_DATE('2018-07-05 19:53:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2018-07-07 13:45:24', 'SYYYY-MM-DD HH24:MI:SS'));
INSERT INTO "JEECGBOOT"."SYS_SMS" VALUES ('402881f3647da06c01647da43a940014', '催办：HR审批', '3', 'admin', NULL, 'admin，您好！
请前待办任务办理事项！HR审批


===========================
此消息由系统发出', TO_DATE('2018-07-09 14:04:32', 'SYYYY-MM-DD HH24:MI:SS'), '2', NULL, NULL, NULL, 'admin', TO_DATE('2018-07-09 14:04:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2018-07-09 18:51:30', 'SYYYY-MM-DD HH24:MI:SS'));

-- ----------------------------
-- Table structure for SYS_SMS_TEMPLATE
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_SMS_TEMPLATE";
CREATE TABLE "JEECGBOOT"."SYS_SMS_TEMPLATE" (
  "ID" NVARCHAR2(32) NOT NULL,
  "TEMPLATE_NAME" NVARCHAR2(50),
  "TEMPLATE_CODE" NVARCHAR2(32) NOT NULL,
  "TEMPLATE_TYPE" NVARCHAR2(1) NOT NULL,
  "TEMPLATE_CONTENT" NVARCHAR2(1000) NOT NULL,
  "TEMPLATE_TEST_JSON" NVARCHAR2(1000),
  "CREATE_TIME" DATE,
  "CREATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "USE_STATUS" NVARCHAR2(1)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS_TEMPLATE"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS_TEMPLATE"."TEMPLATE_NAME" IS '模板标题';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS_TEMPLATE"."TEMPLATE_CODE" IS '模板CODE';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS_TEMPLATE"."TEMPLATE_TYPE" IS '模板类型：1短信 2邮件 3微信';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS_TEMPLATE"."TEMPLATE_CONTENT" IS '模板内容';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS_TEMPLATE"."TEMPLATE_TEST_JSON" IS '模板测试json';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS_TEMPLATE"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS_TEMPLATE"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS_TEMPLATE"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS_TEMPLATE"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_SMS_TEMPLATE"."USE_STATUS" IS '是否使用中 1是0否';

-- ----------------------------
-- Records of SYS_SMS_TEMPLATE
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_SMS_TEMPLATE" VALUES ('1199606397416775681', '系统消息通知', 'sys_ts_note', '2', '<h1>&nbsp; &nbsp; 系统通知</h1>
<ul>
<li>通知时间：&nbsp; ${ts_date}</li>
<li>通知内容：&nbsp; ${ts_content}</li>
</ul>', NULL, TO_DATE('2019-11-27 16:30:27', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-11-27 19:36:50', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL);
INSERT INTO "JEECGBOOT"."SYS_SMS_TEMPLATE" VALUES ('1199615897335095298', '流程催办', 'bpm_cuiban', '2', '<h1>&nbsp; &nbsp;流程催办提醒</h1>
<ul>
<li>流程名称：&nbsp; ${bpm_name}</li>
<li>催办任务：&nbsp; ${bpm_task}</li>
<li>催办时间 :&nbsp; &nbsp; ${datetime}</li>
<li>催办内容 :&nbsp; &nbsp; ${remark}</li>
</ul>', NULL, TO_DATE('2019-11-27 17:08:12', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-11-27 19:36:45', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL);
INSERT INTO "JEECGBOOT"."SYS_SMS_TEMPLATE" VALUES ('1199648914107625473', '流程办理超时提醒', 'bpm_chaoshi_tip', '2', '<h1>&nbsp; &nbsp;流程办理超时提醒</h1>
<ul>
<li>&nbsp; &nbsp;超时提醒信息：&nbsp; &nbsp; 您有待处理的超时任务，请尽快处理！</li>
<li>&nbsp; &nbsp;超时任务标题：&nbsp; &nbsp; ${title}</li>
<li>&nbsp; &nbsp;超时任务节点：&nbsp; &nbsp; ${task}</li>
<li>&nbsp; &nbsp;任务处理人：&nbsp; &nbsp; &nbsp; &nbsp;${user}</li>
<li>&nbsp; &nbsp;任务开始时间：&nbsp; &nbsp; ${time}</li>
</ul>', NULL, TO_DATE('2019-11-27 19:19:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2019-11-27 19:36:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL);
INSERT INTO "JEECGBOOT"."SYS_SMS_TEMPLATE" VALUES ('4028608164691b000164693108140003', '催办：${taskName}', 'SYS001', '1', '${userName}，您好！
请前待办任务办理事项！${taskName}


===========================
此消息由系统发出', '{
"taskName":"HR审批",
"userName":"admin"
}', TO_DATE('2018-07-05 14:46:18', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2018-07-05 18:31:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL);

-- ----------------------------
-- Table structure for SYS_TENANT
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_TENANT";
CREATE TABLE "JEECGBOOT"."SYS_TENANT" (
  "ID" NUMBER(11,0) NOT NULL,
  "NAME" NVARCHAR2(100),
  "CREATE_TIME" DATE,
  "CREATE_BY" NVARCHAR2(100),
  "BEGIN_DATE" DATE,
  "END_DATE" DATE,
  "STATUS" NUMBER(11,0),
  "TRADE" NVARCHAR2(10),
  "COMPANY_SIZE" NVARCHAR2(10),
  "COMPANY_ADDRESS" NVARCHAR2(100),
  "COMPANY_LOGO" NVARCHAR2(200),
  "HOUSE_NUMBER" NVARCHAR2(10),
  "WORK_PLACE" NVARCHAR2(100),
  "SECONDARY_DOMAIN" NVARCHAR2(50),
  "LOGIN_BKGD_IMG" NVARCHAR2(200),
  "POSITION" NVARCHAR2(10),
  "DEPARTMENT" NVARCHAR2(10),
  "DEL_FLAG" NUMBER(4,0),
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "APPLY_STATUS" NUMBER(11,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."ID" IS '租户编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."NAME" IS '租户名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."BEGIN_DATE" IS '开始时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."END_DATE" IS '结束时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."STATUS" IS '状态 1正常 0冻结';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."TRADE" IS '所属行业';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."COMPANY_SIZE" IS '公司规模';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."COMPANY_ADDRESS" IS '公司地址';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."COMPANY_LOGO" IS '公司logo';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."HOUSE_NUMBER" IS '门牌号';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."WORK_PLACE" IS '工作地点';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."SECONDARY_DOMAIN" IS '二级域名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."LOGIN_BKGD_IMG" IS '登录背景图片';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."POSITION" IS '职级';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."DEPARTMENT" IS '部门';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."DEL_FLAG" IS '删除状态(0-正常,1-已删除)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT"."APPLY_STATUS" IS '允许申请管理员 1允许 0不允许';
COMMENT ON TABLE "JEECGBOOT"."SYS_TENANT" IS '多租户信息表';

-- ----------------------------
-- Records of SYS_TENANT
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_TENANT" VALUES ('1', '北京租户001', TO_DATE('2020-07-10 15:43:32', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', NULL, NULL, '1', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, NULL, '1');

-- ----------------------------
-- Table structure for SYS_TENANT_PACK
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_TENANT_PACK";
CREATE TABLE "JEECGBOOT"."SYS_TENANT_PACK" (
  "ID" NVARCHAR2(32) NOT NULL,
  "TENANT_ID" NUMBER(11,0),
  "PACK_NAME" NVARCHAR2(20),
  "STATUS" NVARCHAR2(1),
  "REMARKS" NVARCHAR2(100),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "PACK_CODE" NVARCHAR2(50)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK"."ID" IS '主键id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK"."TENANT_ID" IS '租户id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK"."PACK_NAME" IS '产品包名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK"."STATUS" IS '开启状态(0 未开启 1开启)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK"."REMARKS" IS '备注';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK"."PACK_CODE" IS '编码,默认添加的三个管理员需要设置编码';
COMMENT ON TABLE "JEECGBOOT"."SYS_TENANT_PACK" IS '租户产品包';

-- ----------------------------
-- Records of SYS_TENANT_PACK
-- ----------------------------

-- ----------------------------
-- Table structure for SYS_TENANT_PACK_PERMS
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_TENANT_PACK_PERMS";
CREATE TABLE "JEECGBOOT"."SYS_TENANT_PACK_PERMS" (
  "ID" NVARCHAR2(32) NOT NULL,
  "PACK_ID" NVARCHAR2(32),
  "PERMISSION_ID" NVARCHAR2(32),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_PERMS"."ID" IS '主键编号';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_PERMS"."PACK_ID" IS '租户产品包名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_PERMS"."PERMISSION_ID" IS '菜单id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_PERMS"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_PERMS"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_PERMS"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_PERMS"."UPDATE_TIME" IS '更新时间';
COMMENT ON TABLE "JEECGBOOT"."SYS_TENANT_PACK_PERMS" IS '租户产品包和菜单关系表';

-- ----------------------------
-- Records of SYS_TENANT_PACK_PERMS
-- ----------------------------

-- ----------------------------
-- Table structure for SYS_TENANT_PACK_USER
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_TENANT_PACK_USER";
CREATE TABLE "JEECGBOOT"."SYS_TENANT_PACK_USER" (
  "ID" NVARCHAR2(32) NOT NULL,
  "PACK_ID" NVARCHAR2(32),
  "USER_ID" NVARCHAR2(32),
  "TENANT_ID" NUMBER(11,0),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "STATUS" NUMBER(11,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_USER"."PACK_ID" IS '租户产品包ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_USER"."USER_ID" IS '用户ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_USER"."TENANT_ID" IS '租户ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_USER"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_USER"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_USER"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_USER"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_TENANT_PACK_USER"."STATUS" IS '状态 正常状态1 申请状态0';
COMMENT ON TABLE "JEECGBOOT"."SYS_TENANT_PACK_USER" IS '租户套餐人员表';

-- ----------------------------
-- Records of SYS_TENANT_PACK_USER
-- ----------------------------

-- ----------------------------
-- Table structure for SYS_THIRD_ACCOUNT
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_THIRD_ACCOUNT";
CREATE TABLE "JEECGBOOT"."SYS_THIRD_ACCOUNT" (
  "ID" NVARCHAR2(32) NOT NULL,
  "SYS_USER_ID" NVARCHAR2(32),
  "AVATAR" NVARCHAR2(255),
  "STATUS" NUMBER(4,0),
  "DEL_FLAG" NUMBER(4,0),
  "REALNAME" NVARCHAR2(100),
  "THIRD_USER_UUID" NVARCHAR2(100),
  "THIRD_USER_ID" NVARCHAR2(100),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "THIRD_TYPE" NVARCHAR2(50)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."ID" IS '编号';
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."SYS_USER_ID" IS '第三方登录id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."AVATAR" IS '头像';
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."STATUS" IS '状态(1-正常,2-冻结)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."DEL_FLAG" IS '删除状态(0-正常,1-已删除)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."REALNAME" IS '真实姓名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."THIRD_USER_UUID" IS '第三方账号';
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."THIRD_USER_ID" IS '第三方app用户账号';
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_THIRD_ACCOUNT"."THIRD_TYPE" IS '登录来源';

-- ----------------------------
-- Records of SYS_THIRD_ACCOUNT
-- ----------------------------

-- ----------------------------
-- Table structure for SYS_USER
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_USER";
CREATE TABLE "JEECGBOOT"."SYS_USER" (
  "ID" NVARCHAR2(32) NOT NULL,
  "USERNAME" NVARCHAR2(100),
  "REALNAME" NVARCHAR2(100),
  "PASSWORD" NVARCHAR2(255),
  "SALT" NVARCHAR2(45),
  "AVATAR" NVARCHAR2(255),
  "BIRTHDAY" DATE,
  "SEX" NUMBER(4,0),
  "EMAIL" NVARCHAR2(45),
  "PHONE" NVARCHAR2(45),
  "ORG_CODE" NVARCHAR2(64),
  "STATUS" NUMBER(4,0),
  "DEL_FLAG" NUMBER(4,0),
  "THIRD_ID" NVARCHAR2(100),
  "THIRD_TYPE" NVARCHAR2(100),
  "ACTIVITI_SYNC" NUMBER(4,0),
  "WORK_NO" NVARCHAR2(100),
  "POST" NVARCHAR2(100),
  "TELEPHONE" NVARCHAR2(45),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE,
  "USER_IDENTITY" NUMBER(4,0),
  "DEPART_IDS" NVARCHAR2(1000),
  "CLIENT_ID" NVARCHAR2(64),
  "LOGIN_TENANT_ID" NUMBER(11,0),
  "BPM_STATUS" NVARCHAR2(2)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."ID" IS '主键id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."USERNAME" IS '登录账号';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."REALNAME" IS '真实姓名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."PASSWORD" IS '密码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."SALT" IS 'md5密码盐';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."AVATAR" IS '头像';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."BIRTHDAY" IS '生日';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."SEX" IS '性别(0-默认未知,1-男,2-女)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."EMAIL" IS '电子邮件';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."PHONE" IS '电话';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."ORG_CODE" IS '登录会话的机构编码';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."STATUS" IS '性别(1-正常,2-冻结)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."DEL_FLAG" IS '删除状态(0-正常,1-已删除)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."THIRD_ID" IS '第三方登录的唯一标识';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."THIRD_TYPE" IS '第三方类型';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."ACTIVITI_SYNC" IS '同步工作流引擎(1-同步,0-不同步)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."WORK_NO" IS '工号，唯一键';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."POST" IS '职务，关联职务表';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."TELEPHONE" IS '座机号';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."CREATE_TIME" IS '创建时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."UPDATE_TIME" IS '更新时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."USER_IDENTITY" IS '身份（1普通成员 2上级）';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."DEPART_IDS" IS '负责部门';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."CLIENT_ID" IS '设备ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."LOGIN_TENANT_ID" IS '上次登录选择租户ID';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER"."BPM_STATUS" IS '流程入职离职状态';
COMMENT ON TABLE "JEECGBOOT"."SYS_USER" IS '用户表';

-- ----------------------------
-- Records of SYS_USER
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_USER" VALUES ('1572778193260863489', '123123', '12312322', '0938718c770fa385', 'mSBQHHZP', 'temp/4afbfbedab64034f9015f1bca8c379310b551dab_1663814505787.jpg', TO_DATE('2022-09-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', '111@1.com', '18611788521', NULL, '1', '1', NULL, NULL, '1', '11', 'devleader', NULL, 'admin', TO_DATE('2022-09-22 10:41:57', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-09-22 10:42:12', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_USER" VALUES ('3d464b4ea0d2491aab8a7bde74c57e95', 'zhangsan', '张三', '02ea098224c7d0d2077c14b9a3a1ed16', 'x5xRdeKB', 'https://static.jeecg.com/temp/jmlogo_1606575041993.png', NULL, NULL, NULL, NULL, '财务部', '1', '0', NULL, NULL, '1', '0005', '总经理', NULL, 'admin', TO_DATE('2020-05-14 21:26:24', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-09-09 14:42:51', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_USER" VALUES ('a75d45a015c44384a04449ee80dc3503', 'jeecg', 'jeecg', 'eee378a1258530cb', 'mIgiYJow', 'https://static.jeecg.com/temp/国炬软件logo_1606575029126.png', NULL, '1', NULL, NULL, 'A02A01', '1', '0', NULL, NULL, '1', '00002', 'devleader', NULL, 'admin', TO_DATE('2019-02-13 16:02:36', 'SYYYY-MM-DD HH24:MI:SS'), 'jeecg', TO_DATE('2022-03-09 23:03:21', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."SYS_USER" VALUES ('e9ca23d68d884d4ebb19d07889727dae', 'admin', '管理员', 'cb362cfeefbf3d8d', 'RCGTeGiH', 'https://static.jeecg.com/temp/国炬软件logo_1606575029126.png', TO_DATE('2018-12-05 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', 'jeecg@163.com', '18611111111', 'A01', '1', '0', NULL, NULL, '1', '00001', '总经理', NULL, NULL, TO_DATE('2019-06-21 17:54:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-03 10:19:31', 'SYYYY-MM-DD HH24:MI:SS'), '2', 'c6d7cb4deeac411cb3384b1b31278596', NULL, '0', NULL);
INSERT INTO "JEECGBOOT"."SYS_USER" VALUES ('f0019fdebedb443c98dcb17d88222c38', 'zhagnxiao', '张小红12', 'f898134e5e52ae11a2ffb2c3b57a4e90', 'go3jJ4zX', 'https://static.jeecg.com/temp/jmlogo_1606575041993.png', TO_DATE('2019-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '18611711111', '研发部,财务部', '1', '0', NULL, NULL, '1', '00003', 'devleader', NULL, 'admin', TO_DATE('2020-10-01 19:34:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2023-03-04 15:02:35', 'SYYYY-MM-DD HH24:MI:SS'), '2', '1582683631414632450', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for SYS_USER_AGENT
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_USER_AGENT";
CREATE TABLE "JEECGBOOT"."SYS_USER_AGENT" (
  "ID" NVARCHAR2(32) NOT NULL,
  "USER_NAME" NVARCHAR2(100),
  "AGENT_USER_NAME" NVARCHAR2(100),
  "START_TIME" DATE,
  "END_TIME" DATE,
  "STATUS" NVARCHAR2(2),
  "CREATE_NAME" NVARCHAR2(50),
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_NAME" NVARCHAR2(50),
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(50),
  "SYS_COMPANY_CODE" NVARCHAR2(50)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."ID" IS '序号';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."USER_NAME" IS '用户名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."AGENT_USER_NAME" IS '代理人用户名';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."START_TIME" IS '代理开始时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."END_TIME" IS '代理结束时间';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."STATUS" IS '状态0无效1有效';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."CREATE_NAME" IS '创建人名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."UPDATE_NAME" IS '更新人名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."SYS_ORG_CODE" IS '所属部门';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_AGENT"."SYS_COMPANY_CODE" IS '所属公司';
COMMENT ON TABLE "JEECGBOOT"."SYS_USER_AGENT" IS '用户代理人设置';

-- ----------------------------
-- Records of SYS_USER_AGENT
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_USER_AGENT" VALUES ('1632029640019922945', 'zhagnxiao', 'jeecg', TO_DATE('2023-03-04 22:45:50', 'SYYYY-MM-DD HH24:MI:SS'), TO_DATE('2023-03-04 05:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1', NULL, 'admin', TO_DATE('2023-03-04 22:46:02', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, 'A01', NULL);

-- ----------------------------
-- Table structure for SYS_USER_DEPART
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_USER_DEPART";
CREATE TABLE "JEECGBOOT"."SYS_USER_DEPART" (
  "ID" NVARCHAR2(32) NOT NULL,
  "USER_ID" NVARCHAR2(32),
  "DEP_ID" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_DEPART"."ID" IS 'id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_DEPART"."USER_ID" IS '用户id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_DEPART"."DEP_ID" IS '部门id';

-- ----------------------------
-- Records of SYS_USER_DEPART
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_USER_DEPART" VALUES ('1303584634328633345', '3d464b4ea0d2491aab8a7bde74c57e95', 'a7d7e77e06c84325a40932163adcdaa6');
INSERT INTO "JEECGBOOT"."SYS_USER_DEPART" VALUES ('1256487210695356418', 'a75d45a015c44384a04449ee80dc3503', 'a7d7e77e06c84325a40932163adcdaa6');
INSERT INTO "JEECGBOOT"."SYS_USER_DEPART" VALUES ('1f3a0267811327b9eca86b0cc2b956f3', 'bcbe1290783a469a83ae3bd8effe15d4', '5159cde220114246b045e574adceafe9');
INSERT INTO "JEECGBOOT"."SYS_USER_DEPART" VALUES ('1587992837927714818', 'e9ca23d68d884d4ebb19d07889727dae', 'c6d7cb4deeac411cb3384b1b31278596');
INSERT INTO "JEECGBOOT"."SYS_USER_DEPART" VALUES ('1631913005669896194', 'f0019fdebedb443c98dcb17d88222c38', '1582683631414632450');
INSERT INTO "JEECGBOOT"."SYS_USER_DEPART" VALUES ('1631913005669896195', 'f0019fdebedb443c98dcb17d88222c38', '57197590443c44f083d42ae24ef26a2c');
INSERT INTO "JEECGBOOT"."SYS_USER_DEPART" VALUES ('1631913005678284802', 'f0019fdebedb443c98dcb17d88222c38', '67fc001af12a4f9b8458005d3f19934a');

-- ----------------------------
-- Table structure for SYS_USER_ROLE
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_USER_ROLE";
CREATE TABLE "JEECGBOOT"."SYS_USER_ROLE" (
  "ID" NVARCHAR2(32) NOT NULL,
  "USER_ID" NVARCHAR2(32),
  "ROLE_ID" NVARCHAR2(32),
  "TENANT_ID" NUMBER(11,0)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_ROLE"."ID" IS '主键id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_ROLE"."USER_ID" IS '用户id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_ROLE"."ROLE_ID" IS '角色id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_ROLE"."TENANT_ID" IS '租户ID';
COMMENT ON TABLE "JEECGBOOT"."SYS_USER_ROLE" IS '用户角色表';

-- ----------------------------
-- Records of SYS_USER_ROLE
-- ----------------------------
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('0ede6d23d53bc7dc990346ff14faabee', '3db4cf42353f4e868b7ccfeef90505d2', 'ee8626f80f7c2619917b6236f3a7f02b', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('1256487210544361473', 'a75d45a015c44384a04449ee80dc3503', 'ee8626f80f7c2619917b6236f3a7f02b', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('1303584634118918145', '3d464b4ea0d2491aab8a7bde74c57e95', 'ee8626f80f7c2619917b6236f3a7f02b', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('1587992837868994562', 'e9ca23d68d884d4ebb19d07889727dae', '1501570619841810433', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('1587992837885771777', 'e9ca23d68d884d4ebb19d07889727dae', 'f6817f48af4fb3af11b9e8bf182f618b', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('1631913005644730370', 'f0019fdebedb443c98dcb17d88222c38', 'ee8626f80f7c2619917b6236f3a7f02b', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('31af310584bd5795f76b1fe8c38294a0', '70f5dcf03f36471dabba81381919291f', 'e51758fa916c881624b046d26bd09230', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('79d66ef7aa137cfa9957081a1483009d', '9a668858c4c74cf5a2b25ad9608ba095', 'ee8626f80f7c2619917b6236f3a7f02b', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('8d7846ec783e157174e4ce2949231a65', '7ee6630e89d17afbf6d12150197b578d', 'e51758fa916c881624b046d26bd09230', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('b3ffd9311a1ca296c44e2409b547384f', '01b802058ea94b978a2c96f4807f6b48', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('be2639167ede09379937daca7fc3bb73', '526f300ab35e44faaed54a9fb0742845', 'ee8626f80f7c2619917b6236f3a7f02b', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('e78d210d24aaff48e0a736e2ddff4cdc', '3e177fede453430387a8279ced685679', 'ee8626f80f7c2619917b6236f3a7f02b', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('ee45d0343ecec894b6886effc92cb0b7', '4d8fef4667574b24a9ccfedaf257810c', 'f6817f48af4fb3af11b9e8bf182f618b', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('f2922a38ba24fb53749e45a0c459adb3', '439ae3e9bcf7418583fcd429cadb1d72', '1', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('f2de3ae7b5efd8345581aa802a6675d6', '41b1be8d4c52023b0798f51164ca682d', 'e51758fa916c881624b046d26bd09230', '0');
INSERT INTO "JEECGBOOT"."SYS_USER_ROLE" VALUES ('f72c6190b0722e798147e73c776c6ac9', '439ae3e9bcf7418583fcd429cadb1d72', 'ee8626f80f7c2619917b6236f3a7f02b', '0');

-- ----------------------------
-- Table structure for SYS_USER_TENANT
-- ----------------------------
DROP TABLE "JEECGBOOT"."SYS_USER_TENANT";
CREATE TABLE "JEECGBOOT"."SYS_USER_TENANT" (
  "ID" NVARCHAR2(32) NOT NULL,
  "USER_ID" NVARCHAR2(32),
  "TENANT_ID" NUMBER(11,0),
  "STATUS" NVARCHAR2(1),
  "CREATE_BY" NVARCHAR2(32),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(32),
  "UPDATE_TIME" DATE
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_TENANT"."ID" IS '主键id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_TENANT"."USER_ID" IS '用户id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_TENANT"."TENANT_ID" IS '租户id';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_TENANT"."STATUS" IS '状态(1 正常 2 离职 3 待审核 4 审核未通过)';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_TENANT"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_TENANT"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_TENANT"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."SYS_USER_TENANT"."UPDATE_TIME" IS '更新日期';
COMMENT ON TABLE "JEECGBOOT"."SYS_USER_TENANT" IS '用户租户关系表';

-- ----------------------------
-- Records of SYS_USER_TENANT
-- ----------------------------

-- ----------------------------
-- Table structure for TEST_DEMO
-- ----------------------------
DROP TABLE "JEECGBOOT"."TEST_DEMO";
CREATE TABLE "JEECGBOOT"."TEST_DEMO" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "NAME" NVARCHAR2(200),
  "SEX" NVARCHAR2(32),
  "AGE" NUMBER(11,0),
  "DESCC" NVARCHAR2(500),
  "BIRTHDAY" DATE,
  "USER_CODE" NVARCHAR2(32),
  "FILE_KK" NVARCHAR2(500),
  "TOP_PIC" NVARCHAR2(500),
  "CHEGNSHI" NVARCHAR2(300),
  "CECK" NVARCHAR2(32),
  "XIAMUTI" NVARCHAR2(100),
  "SEARCH_SEL" NVARCHAR2(100),
  "POP" NVARCHAR2(32),
  "SEL_TABLE" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."CREATE_BY" IS '创建人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."UPDATE_BY" IS '更新人登录名称';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."NAME" IS '用户名';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."SEX" IS '性别';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."AGE" IS '年龄';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."DESCC" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."BIRTHDAY" IS '生日';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."USER_CODE" IS '用户编码';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."FILE_KK" IS '附件';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."TOP_PIC" IS '头像';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."CHEGNSHI" IS '城市';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."CECK" IS 'checkbox';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."XIAMUTI" IS '下拉多选';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."SEARCH_SEL" IS '搜索下拉';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."POP" IS '弹窗';
COMMENT ON COLUMN "JEECGBOOT"."TEST_DEMO"."SEL_TABLE" IS '下拉字典表';

-- ----------------------------
-- Records of TEST_DEMO
-- ----------------------------
INSERT INTO "JEECGBOOT"."TEST_DEMO" VALUES ('1331884149004910593', 'admin', TO_DATE('2020-11-26 16:55:01', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '张三', '1', NULL, NULL, NULL, NULL, NULL, NULL, '130304', NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."TEST_DEMO" VALUES ('1331901553776869377', 'admin', TO_DATE('2020-11-26 18:04:10', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-11-26 18:04:24', 'SYYYY-MM-DD HH24:MI:SS'), '张三', '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '1', '1,2', 'hr', NULL, NULL);
INSERT INTO "JEECGBOOT"."TEST_DEMO" VALUES ('1533107308342210561', 'admin', TO_DATE('2022-06-04 23:24:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '11', '1', '111', '<p>111</p>', TO_DATE('2022-06-24 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, 'temp/11_1654356225072.jpg', 'temp/11_1654356229294.jpg', '210603', '2', '2,1', 'hr', NULL, 'admin');
INSERT INTO "JEECGBOOT"."TEST_DEMO" VALUES ('4028810c6aed99e1016aed9b31b40002', NULL, NULL, 'admin', TO_DATE('2019-10-19 15:37:27', 'SYYYY-MM-DD HH24:MI:SS'), 'jeecg', '2', '55', '5', TO_DATE('2019-05-15 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."TEST_DEMO" VALUES ('4028810c6b02cba2016b02cba21f0000', 'admin', TO_DATE('2019-05-29 16:53:48', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-07 22:09:46', 'SYYYY-MM-DD HH24:MI:SS'), '张小红', '1', '8222', '8', TO_DATE('2019-04-01 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, NULL, '120101', '2', NULL, NULL, NULL, NULL);

-- ----------------------------
-- Table structure for TEST_ENHANCE_SELECT
-- ----------------------------
DROP TABLE "JEECGBOOT"."TEST_ENHANCE_SELECT";
CREATE TABLE "JEECGBOOT"."TEST_ENHANCE_SELECT" (
  "ID" NVARCHAR2(36) NOT NULL,
  "PROVINCE" NVARCHAR2(100),
  "CITY" NVARCHAR2(100),
  "AREA" NVARCHAR2(100),
  "CREATE_TIME" DATE,
  "CREATE_BY" NVARCHAR2(50)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."TEST_ENHANCE_SELECT"."PROVINCE" IS '省份';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ENHANCE_SELECT"."CITY" IS '市';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ENHANCE_SELECT"."AREA" IS '区';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ENHANCE_SELECT"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ENHANCE_SELECT"."CREATE_BY" IS '创建人';

-- ----------------------------
-- Records of TEST_ENHANCE_SELECT
-- ----------------------------
INSERT INTO "JEECGBOOT"."TEST_ENHANCE_SELECT" VALUES ('1256614575282958338', '1230769290609725441', '1230769470889299970', '1230769620021972993', TO_DATE('2020-05-03 00:00:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');
INSERT INTO "JEECGBOOT"."TEST_ENHANCE_SELECT" VALUES ('1427183594647195649', '1230769253267836929', '1230769769930592257', '1230769855347593217', TO_DATE('2021-08-16 16:20:59', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');
INSERT INTO "JEECGBOOT"."TEST_ENHANCE_SELECT" VALUES ('1427184250225299457', '1230769290609725441', '1230769470889299970', '1230769620021972993', TO_DATE('2021-08-16 16:23:35', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');
INSERT INTO "JEECGBOOT"."TEST_ENHANCE_SELECT" VALUES ('1427900912506630146', '1230769253267836929', '1230769769930592257', '1230769855347593217', TO_DATE('2021-08-18 15:51:21', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');
INSERT INTO "JEECGBOOT"."TEST_ENHANCE_SELECT" VALUES ('402880e570801ffe01708053743c002e', '1230769253267836929', '1230769769930592257', '1230769855347593217', TO_DATE('2020-02-26 15:08:37', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');
INSERT INTO "JEECGBOOT"."TEST_ENHANCE_SELECT" VALUES ('402880e570801ffe017080538b24002f', '1230769253267836929', '1230769769930592257', '1230769855347593217', TO_DATE('2020-02-26 15:08:43', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');
INSERT INTO "JEECGBOOT"."TEST_ENHANCE_SELECT" VALUES ('402880e570801ffe01708053b2b10030', '1230769290609725441', '1230769470889299970', '1230769620021972993', TO_DATE('2020-02-26 15:08:53', 'SYYYY-MM-DD HH24:MI:SS'), 'admin');

-- ----------------------------
-- Table structure for TEST_NOTE
-- ----------------------------
DROP TABLE "JEECGBOOT"."TEST_NOTE";
CREATE TABLE "JEECGBOOT"."TEST_NOTE" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(64),
  "NAME" NVARCHAR2(32),
  "AGE" NUMBER(11,0),
  "SEX" NVARCHAR2(32),
  "BIRTHDAY" DATE,
  "CONTENTS" NVARCHAR2(500)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."TEST_NOTE"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."TEST_NOTE"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."TEST_NOTE"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_NOTE"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."TEST_NOTE"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_NOTE"."SYS_ORG_CODE" IS '所属部门';
COMMENT ON COLUMN "JEECGBOOT"."TEST_NOTE"."NAME" IS '用户名';
COMMENT ON COLUMN "JEECGBOOT"."TEST_NOTE"."AGE" IS '年龄';
COMMENT ON COLUMN "JEECGBOOT"."TEST_NOTE"."SEX" IS '性别';
COMMENT ON COLUMN "JEECGBOOT"."TEST_NOTE"."BIRTHDAY" IS '生日';
COMMENT ON COLUMN "JEECGBOOT"."TEST_NOTE"."CONTENTS" IS '请假原因';

-- ----------------------------
-- Records of TEST_NOTE
-- ----------------------------
INSERT INTO "JEECGBOOT"."TEST_NOTE" VALUES ('1257876639515222017', 'admin', TO_DATE('2020-05-06 11:35:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '不同意', '20', '1', TO_DATE('2020-05-06 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '999');
INSERT INTO "JEECGBOOT"."TEST_NOTE" VALUES ('1260208702503366657', 'admin', TO_DATE('2020-05-12 22:02:23', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-07-11 11:40:24', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', 'jeecg', '22233', '2', TO_DATE('2020-05-12 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), 'sss');
INSERT INTO "JEECGBOOT"."TEST_NOTE" VALUES ('1304309860578455553', 'admin', TO_DATE('2020-09-11 14:44:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', 'zhangsan', '222', '1', TO_DATE('2020-09-11 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '222');
INSERT INTO "JEECGBOOT"."TEST_NOTE" VALUES ('1427901092375162881', 'admin', TO_DATE('2021-08-18 15:52:04', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-06-02 13:00:26', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', 'zhangsan', '222', '1', NULL, NULL);
INSERT INTO "JEECGBOOT"."TEST_NOTE" VALUES ('1580543046964621313', 'admin', TO_DATE('2022-10-13 20:56:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-28 10:25:54', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', 'zhangsan', '22', '1', TO_DATE('2022-10-05 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1212');
INSERT INTO "JEECGBOOT"."TEST_NOTE" VALUES ('1586554454185570306', 'admin', TO_DATE('2022-10-30 11:03:53', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', 'zhagnxiao', '44', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for TEST_ORDER_CUSTOMER
-- ----------------------------
DROP TABLE "JEECGBOOT"."TEST_ORDER_CUSTOMER";
CREATE TABLE "JEECGBOOT"."TEST_ORDER_CUSTOMER" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(64),
  "NAME" NVARCHAR2(32),
  "SEX" NVARCHAR2(32),
  "AGE" NUMBER(11,0),
  "BIRTHDAY" DATE,
  "ORDER_ID" NVARCHAR2(32),
  "ADDRESS" NVARCHAR2(300)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_CUSTOMER"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_CUSTOMER"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_CUSTOMER"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_CUSTOMER"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_CUSTOMER"."SYS_ORG_CODE" IS '所属部门';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_CUSTOMER"."NAME" IS '客户名字';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_CUSTOMER"."SEX" IS '性别';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_CUSTOMER"."AGE" IS '年龄';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_CUSTOMER"."BIRTHDAY" IS '生日';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_CUSTOMER"."ORDER_ID" IS '订单id';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_CUSTOMER"."ADDRESS" IS '地址';

-- ----------------------------
-- Records of TEST_ORDER_CUSTOMER
-- ----------------------------
INSERT INTO "JEECGBOOT"."TEST_ORDER_CUSTOMER" VALUES ('1586285823409205250', 'admin', TO_DATE('2022-10-29 17:16:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '90', '1', '90', TO_DATE('2022-09-28 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1551943088862896130', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_CUSTOMER" VALUES ('1586557969578553345', 'admin', TO_DATE('2022-10-30 11:20:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '小王', '1', '33', TO_DATE('2022-09-29 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1586557968995545089', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_CUSTOMER" VALUES ('1586557969578553346', 'admin', TO_DATE('2022-10-30 11:17:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '效力', '2', '333', TO_DATE('2022-10-16 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1586557968995545089', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_CUSTOMER" VALUES ('1589514956528386050', 'admin', TO_DATE('2022-11-07 15:07:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '1111', '1', '22', TO_DATE('2022-11-02 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1589514956490637313', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_CUSTOMER" VALUES ('1589516804559699969', 'admin', TO_DATE('2022-11-23 17:20:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '444', NULL, NULL, NULL, '1589516804530339842', '110101');
INSERT INTO "JEECGBOOT"."TEST_ORDER_CUSTOMER" VALUES ('1589516804559699970', 'admin', TO_DATE('2022-11-07 15:15:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '33', NULL, NULL, NULL, '1589516804530339842', '120101');
INSERT INTO "JEECGBOOT"."TEST_ORDER_CUSTOMER" VALUES ('1589516832699285506', 'admin', TO_DATE('2022-11-07 15:15:19', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '4434', NULL, NULL, NULL, '1589516804530339842', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_CUSTOMER" VALUES ('1597149156416937985', 'admin', TO_DATE('2022-11-28 16:43:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '33', '1', '33', TO_DATE('2022-11-03 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '1597149156089782273', NULL);

-- ----------------------------
-- Table structure for TEST_ORDER_MAIN
-- ----------------------------
DROP TABLE "JEECGBOOT"."TEST_ORDER_MAIN";
CREATE TABLE "JEECGBOOT"."TEST_ORDER_MAIN" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "ORDER_CODE" NVARCHAR2(32),
  "ORDER_DATE" DATE,
  "DESCC" NVARCHAR2(100),
  "XIALA" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_MAIN"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_MAIN"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_MAIN"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_MAIN"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_MAIN"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_MAIN"."ORDER_CODE" IS '订单编码';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_MAIN"."ORDER_DATE" IS '下单时间';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_MAIN"."DESCC" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_MAIN"."XIALA" IS '下拉多选';

-- ----------------------------
-- Records of TEST_ORDER_MAIN
-- ----------------------------
INSERT INTO "JEECGBOOT"."TEST_ORDER_MAIN" VALUES ('1256629667445714946', 'admin', TO_DATE('2020-05-03 01:00:34', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-11-26 15:22:35', 'SYYYY-MM-DD HH24:MI:SS'), '鼠标', TO_DATE('2020-05-03 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '15', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_MAIN" VALUES ('1551943088862896130', 'admin', TO_DATE('2022-07-26 22:50:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-29 17:16:26', 'SYYYY-MM-DD HH24:MI:SS'), 'CN2022', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_MAIN" VALUES ('1586557968995545089', 'admin', TO_DATE('2022-10-30 11:17:51', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-07 15:07:24', 'SYYYY-MM-DD HH24:MI:SS'), 'CN2022103011170844', NULL, '111', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_MAIN" VALUES ('1589514956490637313', 'admin', TO_DATE('2022-11-07 15:07:52', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-07 15:14:50', 'SYYYY-MM-DD HH24:MI:SS'), '顾平', TO_DATE('2022-11-07 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '1,2');
INSERT INTO "JEECGBOOT"."TEST_ORDER_MAIN" VALUES ('1589516804530339842', 'admin', TO_DATE('2022-11-07 15:15:13', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-11-23 17:20:56', 'SYYYY-MM-DD HH24:MI:SS'), '顾平2', TO_DATE('2022-11-07 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '222', '1,2');
INSERT INTO "JEECGBOOT"."TEST_ORDER_MAIN" VALUES ('1597149156089782273', 'admin', TO_DATE('2022-11-28 16:43:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'CN2022112816431596', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for TEST_ORDER_PRODUCT
-- ----------------------------
DROP TABLE "JEECGBOOT"."TEST_ORDER_PRODUCT";
CREATE TABLE "JEECGBOOT"."TEST_ORDER_PRODUCT" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "PRODUCT_NAME" NVARCHAR2(32),
  "PRICE" NUMBER(32,0),
  "NUM" NUMBER(11,0),
  "DESCC" NVARCHAR2(32),
  "ORDER_FK_ID" NVARCHAR2(32) NOT NULL,
  "PRO_TYPE" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_PRODUCT"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_PRODUCT"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_PRODUCT"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_PRODUCT"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_PRODUCT"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_PRODUCT"."PRODUCT_NAME" IS '产品名字';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_PRODUCT"."PRICE" IS '价格';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_PRODUCT"."NUM" IS '数量';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_PRODUCT"."DESCC" IS '描述';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_PRODUCT"."ORDER_FK_ID" IS '订单外键ID';
COMMENT ON COLUMN "JEECGBOOT"."TEST_ORDER_PRODUCT"."PRO_TYPE" IS '产品类型';

-- ----------------------------
-- Records of TEST_ORDER_PRODUCT
-- ----------------------------
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('1331860890813284353', 'admin', TO_DATE('2020-11-26 15:22:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '44', '44', '44', NULL, '1256629667445714946', '1');
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('1551943088930004994', 'admin', TO_DATE('2022-10-29 17:16:26', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '11', '11', '11', '11', '1551943088862896130', '1');
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('1551943088930004995', 'admin', TO_DATE('2022-07-26 22:50:40', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '2', '2', '2', '2', '1551943088862896130', '2');
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('15665749948861', 'admin', TO_DATE('2020-02-24 02:05:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '333', '33', NULL, NULL, '402831816a38e7fd016a38e825c90003', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('1586557969318506498', 'admin', TO_DATE('2022-10-30 11:20:31', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '小米手机3', '20003', '33', '3', '1586557968995545089', '2');
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('1586557969381421058', 'admin', TO_DATE('2022-10-30 11:17:51', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '华为手机1', '80001', '31', '11', '1586557968995545089', '2');
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('15884388229280883233', 'admin', TO_DATE('2020-11-26 15:22:35', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '华为手机', '25', '35', '345', '1256629667445714946', '1');
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('15884388231401967996', 'admin', TO_DATE('2020-07-11 11:36:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '低代码平台', '25', '35', '445', '1256629667445714946', '1');
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('15884388463052345317', 'admin', TO_DATE('2020-07-11 11:36:36', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '表单设计器', '55', '55', '55', '1256629667445714946', '2');
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('1589514837779251202', 'admin', TO_DATE('2022-11-07 15:07:24', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '2323', '2323', '2323', NULL, '1586557968995545089', '1');
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('1589514956499025921', 'admin', TO_DATE('2022-11-07 15:07:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '111', '222', '222', '222', '1589514956490637313', '1');
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('1589514956515803137', 'admin', TO_DATE('2022-11-07 15:07:52', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '333', NULL, NULL, NULL, '1589514956490637313', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('1589516804542922753', 'admin', TO_DATE('2022-11-23 17:20:56', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '1133', NULL, NULL, NULL, '1589516804530339842', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('1589516804551311361', 'admin', TO_DATE('2022-11-07 15:15:13', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '222', NULL, NULL, NULL, '1589516804530339842', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('1597149156278525953', 'admin', TO_DATE('2022-11-28 16:43:27', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '22', '2', '2', '22', '1597149156089782273', '1');
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('402831816a38e7fd016a38e7fdeb0001', 'admin', TO_DATE('2019-04-20 12:01:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '笔记本', '100', '10', NULL, '402831816a38e7fd016a38e7fddf0000', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('402831816a38e7fd016a38e7fdf10002', 'admin', TO_DATE('2019-04-20 12:01:29', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '显示器', '300', '1', NULL, '402831816a38e7fd016a38e7fddf0000', NULL);
INSERT INTO "JEECGBOOT"."TEST_ORDER_PRODUCT" VALUES ('4028810c6b40244b016b406884080005', 'admin', TO_DATE('2020-02-24 02:05:38', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, '333', NULL, '33', NULL, '402831816a38e7fd016a38e825c90003', NULL);

-- ----------------------------
-- Table structure for TEST_SHOPTYPE_TREE
-- ----------------------------
DROP TABLE "JEECGBOOT"."TEST_SHOPTYPE_TREE";
CREATE TABLE "JEECGBOOT"."TEST_SHOPTYPE_TREE" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(64),
  "TYPE_NAME" NVARCHAR2(32),
  "PIC" NVARCHAR2(500),
  "PID" NVARCHAR2(32),
  "HAS_CHILD" NVARCHAR2(3)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."TEST_SHOPTYPE_TREE"."ID" IS '主键';
COMMENT ON COLUMN "JEECGBOOT"."TEST_SHOPTYPE_TREE"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."TEST_SHOPTYPE_TREE"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_SHOPTYPE_TREE"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."TEST_SHOPTYPE_TREE"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_SHOPTYPE_TREE"."SYS_ORG_CODE" IS '所属部门';
COMMENT ON COLUMN "JEECGBOOT"."TEST_SHOPTYPE_TREE"."TYPE_NAME" IS '商品分类';
COMMENT ON COLUMN "JEECGBOOT"."TEST_SHOPTYPE_TREE"."PIC" IS '分类图片';
COMMENT ON COLUMN "JEECGBOOT"."TEST_SHOPTYPE_TREE"."PID" IS '父级节点';
COMMENT ON COLUMN "JEECGBOOT"."TEST_SHOPTYPE_TREE"."HAS_CHILD" IS '是否有子节点';

-- ----------------------------
-- Records of TEST_SHOPTYPE_TREE
-- ----------------------------
INSERT INTO "JEECGBOOT"."TEST_SHOPTYPE_TREE" VALUES ('1256628820489908225', 'admin', TO_DATE('2020-05-03 00:57:12', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-30 17:33:00', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '衣服', 'temp/11_1666924536435.jpg', '0', '1');
INSERT INTO "JEECGBOOT"."TEST_SHOPTYPE_TREE" VALUES ('1256628843097206786', 'admin', TO_DATE('2020-05-03 00:57:17', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '电子产品', NULL, '0', '0');
INSERT INTO "JEECGBOOT"."TEST_SHOPTYPE_TREE" VALUES ('1256629035921944577', 'admin', TO_DATE('2020-05-03 00:58:03', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '三星显示器', 'gh_f28e66390fc9_344 (shop)_1588438682583.jpg', '1256628864848867329', '0');
INSERT INTO "JEECGBOOT"."TEST_SHOPTYPE_TREE" VALUES ('1256629093740425218', 'admin', TO_DATE('2020-05-03 00:58:17', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2020-05-03 22:32:37', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '手机', NULL, '0', '1');
INSERT INTO "JEECGBOOT"."TEST_SHOPTYPE_TREE" VALUES ('1256629139206680578', 'admin', TO_DATE('2020-05-03 00:58:28', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-28 10:35:29', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', 'iPhone', NULL, '1256629093740425218', '0');
INSERT INTO "JEECGBOOT"."TEST_SHOPTYPE_TREE" VALUES ('1256629188993069058', 'admin', TO_DATE('2020-05-03 00:58:40', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-28 10:35:25', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '华为手机', NULL, '1256629093740425218', '0');
INSERT INTO "JEECGBOOT"."TEST_SHOPTYPE_TREE" VALUES ('1585822484715520001', 'admin', TO_DATE('2022-10-28 10:35:18', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '微博', 'temp/4afbfbedab64034f9015f1bca8c379310b551dab_1666924512468.jpg', '1256629093740425218', '0');
INSERT INTO "JEECGBOOT"."TEST_SHOPTYPE_TREE" VALUES ('1586652276604006401', 'admin', TO_DATE('2022-10-30 17:32:36', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-30 17:32:42', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '机械设备', 'temp/11_1667122355087.jpg', '0', '1');
INSERT INTO "JEECGBOOT"."TEST_SHOPTYPE_TREE" VALUES ('1586652301673361409', 'admin', TO_DATE('2022-10-30 17:32:42', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-30 17:32:50', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '塔基1', NULL, '1586652276604006401', '0');
INSERT INTO "JEECGBOOT"."TEST_SHOPTYPE_TREE" VALUES ('1586652322430971906', 'admin', TO_DATE('2022-10-30 17:32:47', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-30 17:32:53', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '小机器2', NULL, '1586652276604006401', '0');
INSERT INTO "JEECGBOOT"."TEST_SHOPTYPE_TREE" VALUES ('1586652378194243586', 'admin', TO_DATE('2022-10-30 17:33:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '牛仔裤', NULL, '1256628820489908225', '0');

-- ----------------------------
-- Table structure for TEST_V3_HELLO
-- ----------------------------
DROP TABLE "JEECGBOOT"."TEST_V3_HELLO";
CREATE TABLE "JEECGBOOT"."TEST_V3_HELLO" (
  "ID" NVARCHAR2(36) NOT NULL,
  "CREATE_BY" NVARCHAR2(50),
  "CREATE_TIME" DATE,
  "UPDATE_BY" NVARCHAR2(50),
  "UPDATE_TIME" DATE,
  "SYS_ORG_CODE" NVARCHAR2(64),
  "NAME" NVARCHAR2(32),
  "AGE" NUMBER(11,0),
  "SEX" NVARCHAR2(32),
  "BIRTHDAY" DATE,
  "CC" NVARCHAR2(1000),
  "REL_USER" NVARCHAR2(32),
  "REL_FILED" NVARCHAR2(32)
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."TEST_V3_HELLO"."CREATE_BY" IS '创建人';
COMMENT ON COLUMN "JEECGBOOT"."TEST_V3_HELLO"."CREATE_TIME" IS '创建日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_V3_HELLO"."UPDATE_BY" IS '更新人';
COMMENT ON COLUMN "JEECGBOOT"."TEST_V3_HELLO"."UPDATE_TIME" IS '更新日期';
COMMENT ON COLUMN "JEECGBOOT"."TEST_V3_HELLO"."SYS_ORG_CODE" IS '所属部门';
COMMENT ON COLUMN "JEECGBOOT"."TEST_V3_HELLO"."NAME" IS '名字';
COMMENT ON COLUMN "JEECGBOOT"."TEST_V3_HELLO"."AGE" IS '年龄';
COMMENT ON COLUMN "JEECGBOOT"."TEST_V3_HELLO"."SEX" IS '性别';
COMMENT ON COLUMN "JEECGBOOT"."TEST_V3_HELLO"."BIRTHDAY" IS '生日';
COMMENT ON COLUMN "JEECGBOOT"."TEST_V3_HELLO"."CC" IS '备注';
COMMENT ON COLUMN "JEECGBOOT"."TEST_V3_HELLO"."REL_USER" IS '关联记录';
COMMENT ON COLUMN "JEECGBOOT"."TEST_V3_HELLO"."REL_FILED" IS '他表字段';

-- ----------------------------
-- Records of TEST_V3_HELLO
-- ----------------------------
INSERT INTO "JEECGBOOT"."TEST_V3_HELLO" VALUES ('1585826258943197186', 'admin', TO_DATE('2022-10-28 10:50:18', 'SYYYY-MM-DD HH24:MI:SS'), 'admin', TO_DATE('2022-10-30 11:03:27', 'SYYYY-MM-DD HH24:MI:SS'), 'A01', '黄明远1', '201', '1', TO_DATE('2022-10-28 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), '问题的关键究竟为何? 而这些并不是完全重要, 更加重要的问题是, 可是，即使是这样，随机一段废话的出现仍然代表了一定的意义. 我们都知道, 只要有意义, 那么就必须慎重考虑.那么, 经过上述讨论, 就我个人来说, 随机一段废话对我的意义, 不能不说非常重大. 
就我个人来说, 随机一段废话对我的意义, 不能不说非常重大. 既然如此, 我们一般认为, 抓住了问题的关键, 其他一切则会迎刃而解.对我', '1260208702503366657', NULL);
INSERT INTO "JEECGBOOT"."TEST_V3_HELLO" VALUES ('1586554463777943554', 'admin', TO_DATE('2022-10-30 11:03:55', 'SYYYY-MM-DD HH24:MI:SS'), NULL, NULL, 'A01', '袁清妍', '30', '1', TO_DATE('2022-10-30 00:00:00', 'SYYYY-MM-DD HH24:MI:SS'), NULL, '1586554454185570306', NULL);

-- ----------------------------
-- Table structure for TMP_REPORT_DATA_1
-- ----------------------------
DROP TABLE "JEECGBOOT"."TMP_REPORT_DATA_1";
CREATE TABLE "JEECGBOOT"."TMP_REPORT_DATA_1" (
  "MONTY" NVARCHAR2(255),
  "MAIN_INCOME" NUMBER,
  "TOTAL" NUMBER,
  "HIS_LOWEST" NUMBER,
  "HIS_AVERAGE" NUMBER,
  "HIS_HIGHEST" NUMBER
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;
COMMENT ON COLUMN "JEECGBOOT"."TMP_REPORT_DATA_1"."MONTY" IS '月份';

-- ----------------------------
-- Records of TMP_REPORT_DATA_1
-- ----------------------------
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_1" VALUES ('1月', '483834.66', '483834.66', '57569.77', '216797.62', '483834.66');
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_1" VALUES ('2月', '11666578.65', '12150413.31', '22140', '4985361.57', '11666578.65');
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_1" VALUES ('3月', '27080982.08', '39231395.39', '73106.29', '16192642.3', '27080982.08');
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_1" VALUES ('4月', '0', '39231395.39', '73106.29', '8513415.34', '17428381.4');
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_1" VALUES ('5月', '0', '39231395.39', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_1" VALUES ('6月', '0', '39231395.39', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_1" VALUES ('7月', '0', '39231395.39', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_1" VALUES ('8月', '0', '39231395.39', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_1" VALUES ('9月', '0', '39231395.39', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_1" VALUES ('10月', '0', '39231395.39', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_1" VALUES ('11月', '0', '39231395.39', NULL, NULL, NULL);
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_1" VALUES ('12月', '0', '39231395.39', NULL, NULL, NULL);

-- ----------------------------
-- Table structure for TMP_REPORT_DATA_INCOME
-- ----------------------------
DROP TABLE "JEECGBOOT"."TMP_REPORT_DATA_INCOME";
CREATE TABLE "JEECGBOOT"."TMP_REPORT_DATA_INCOME" (
  "BIZ_INCOME" NVARCHAR2(100),
  "BX_JJ_YONGJIN" NUMBER,
  "BX_ZX_MONEY" NUMBER,
  "CHENGBAO_GZ_MONEY" NUMBER,
  "BX_GG_MOENY" NUMBER,
  "TB_ZX_MONEY" NUMBER,
  "NEIKONG_ZX_MONEY" NUMBER,
  "TOTAL" NUMBER
)
LOGGING
NOCOMPRESS
PCTFREE 10
INITRANS 1
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
)
PARALLEL 1
NOCACHE
DISABLE ROW MOVEMENT
;

-- ----------------------------
-- Records of TMP_REPORT_DATA_INCOME
-- ----------------------------
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_INCOME" VALUES ('中国石油全资（集团所属）', '37134.58', '1099273.32', '0', '0', '0', '226415.09', '38460270.57');
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_INCOME" VALUES ('中国石油全资（股份所属）', '227595.77', '0', '0', '0', '0', '0', '227595.77');
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_INCOME" VALUES ('中石油控股或有控股权', '310628.11', '369298.64', '0', '0', '0', '0', '679926.75');
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_INCOME" VALUES ('中石油参股', '72062.45', '0', '0', '0', '0', '0', '72062.75');
INSERT INTO "JEECGBOOT"."TMP_REPORT_DATA_INCOME" VALUES ('非中石油', '1486526.9', '212070.72', '0', '0', '0', '226415.09', '1698597.62');

-- ----------------------------
-- Sequence structure for SEQ_TEST_CACHE
-- ----------------------------
DROP SEQUENCE "JEECGBOOT"."SEQ_TEST_CACHE";
CREATE SEQUENCE "JEECGBOOT"."SEQ_TEST_CACHE" MINVALUE 1 MAXVALUE 1000 INCREMENT BY 1 CACHE 20;

-- ----------------------------
-- Primary Key structure for table CESHI_NOTE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."CESHI_NOTE" ADD CONSTRAINT "SYS_C0032486" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table CESHI_NOTE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."CESHI_NOTE" ADD CONSTRAINT "SYS_C0032284" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table DEMO
-- ----------------------------
ALTER TABLE "JEECGBOOT"."DEMO" ADD CONSTRAINT "SYS_C0032483" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table DEMO
-- ----------------------------
ALTER TABLE "JEECGBOOT"."DEMO" ADD CONSTRAINT "SYS_C0032282" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table DEMO_FIELD_DEF_VAL_MAIN
-- ----------------------------
ALTER TABLE "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN" ADD CONSTRAINT "SYS_C0032484" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table DEMO_FIELD_DEF_VAL_MAIN
-- ----------------------------
ALTER TABLE "JEECGBOOT"."DEMO_FIELD_DEF_VAL_MAIN" ADD CONSTRAINT "SYS_C0032281" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table DEMO_FIELD_DEF_VAL_SUB
-- ----------------------------
ALTER TABLE "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB" ADD CONSTRAINT "SYS_C0032485" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table DEMO_FIELD_DEF_VAL_SUB
-- ----------------------------
ALTER TABLE "JEECGBOOT"."DEMO_FIELD_DEF_VAL_SUB" ADD CONSTRAINT "SYS_C0032283" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table JEECG_MONTHLY_GROWTH_ANALYSIS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" ADD CONSTRAINT "SYS_C0032487" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JEECG_MONTHLY_GROWTH_ANALYSIS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JEECG_MONTHLY_GROWTH_ANALYSIS" ADD CONSTRAINT "SYS_C0032285" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table JEECG_ORDER_CUSTOMER
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JEECG_ORDER_CUSTOMER" ADD CONSTRAINT "SYS_C0032488" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JEECG_ORDER_CUSTOMER
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JEECG_ORDER_CUSTOMER" ADD CONSTRAINT "SYS_C0032286" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."JEECG_ORDER_CUSTOMER" ADD CONSTRAINT "SYS_C0032287" CHECK ("NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."JEECG_ORDER_CUSTOMER" ADD CONSTRAINT "SYS_C0032288" CHECK ("ORDER_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table JEECG_ORDER_MAIN
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JEECG_ORDER_MAIN" ADD CONSTRAINT "SYS_C0032489" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JEECG_ORDER_MAIN
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JEECG_ORDER_MAIN" ADD CONSTRAINT "SYS_C0032289" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table JEECG_ORDER_TICKET
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JEECG_ORDER_TICKET" ADD CONSTRAINT "SYS_C0032490" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JEECG_ORDER_TICKET
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JEECG_ORDER_TICKET" ADD CONSTRAINT "SYS_C0032290" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."JEECG_ORDER_TICKET" ADD CONSTRAINT "SYS_C0032291" CHECK ("TICKET_CODE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."JEECG_ORDER_TICKET" ADD CONSTRAINT "SYS_C0032292" CHECK ("ORDER_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table JEECG_PROJECT_NATURE_INCOME
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME" ADD CONSTRAINT "SYS_C0032491" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JEECG_PROJECT_NATURE_INCOME
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME" ADD CONSTRAINT "SYS_C0032293" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."JEECG_PROJECT_NATURE_INCOME" ADD CONSTRAINT "SYS_C0032294" CHECK ("NATURE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table JIMU_DICT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_DICT" ADD CONSTRAINT "SYS_C0032492" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JIMU_DICT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_DICT" ADD CONSTRAINT "SYS_C0032295" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."JIMU_DICT" ADD CONSTRAINT "SYS_C0032296" CHECK ("DICT_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."JIMU_DICT" ADD CONSTRAINT "SYS_C0032297" CHECK ("DICT_CODE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table JIMU_DICT
-- ----------------------------
CREATE UNIQUE INDEX "JEECGBOOT"."UK_SD_DICT_CODE"
  ON "JEECGBOOT"."JIMU_DICT" ("DICT_CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table JIMU_DICT_ITEM
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_DICT_ITEM" ADD CONSTRAINT "SYS_C0032493" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JIMU_DICT_ITEM
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_DICT_ITEM" ADD CONSTRAINT "SYS_C0032298" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."JIMU_DICT_ITEM" ADD CONSTRAINT "SYS_C0032299" CHECK ("ITEM_TEXT" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."JIMU_DICT_ITEM" ADD CONSTRAINT "SYS_C0032300" CHECK ("ITEM_VALUE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table JIMU_DICT_ITEM
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SDI_DICT_VAL"
  ON "JEECGBOOT"."JIMU_DICT_ITEM" ("DICT_ID" ASC, "ITEM_VALUE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SDI_ROLE_DICT_ID"
  ON "JEECGBOOT"."JIMU_DICT_ITEM" ("DICT_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SDI_ROLE_SORT_ORDER"
  ON "JEECGBOOT"."JIMU_DICT_ITEM" ("SORT_ORDER" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SDI_STATUS"
  ON "JEECGBOOT"."JIMU_DICT_ITEM" ("STATUS" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table JIMU_REPORT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT" ADD CONSTRAINT "SYS_C0032494" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JIMU_REPORT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT" ADD CONSTRAINT "SYS_C0032301" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table JIMU_REPORT
-- ----------------------------
CREATE UNIQUE INDEX "JEECGBOOT"."UNIQ_JMREPORT_CODE"
  ON "JEECGBOOT"."JIMU_REPORT" ("CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."UNIQ_JMREPORT_CREATEBY"
  ON "JEECGBOOT"."JIMU_REPORT" ("CREATE_BY" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."UNIQ_JMREPORT_DELFLAG"
  ON "JEECGBOOT"."JIMU_REPORT" ("DEL_FLAG" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table JIMU_REPORT_DATA_SOURCE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE" ADD CONSTRAINT "SYS_C0032495" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JIMU_REPORT_DATA_SOURCE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE" ADD CONSTRAINT "SYS_C0032302" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table JIMU_REPORT_DATA_SOURCE
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_JMDATASOURCE_CODE"
  ON "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE" ("CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_JMDATASOURCE_REPORT_ID"
  ON "JEECGBOOT"."JIMU_REPORT_DATA_SOURCE" ("REPORT_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table JIMU_REPORT_DB
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_DB" ADD CONSTRAINT "SYS_C0032496" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JIMU_REPORT_DB
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_DB" ADD CONSTRAINT "SYS_C0032303" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table JIMU_REPORT_DB
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_DB_SOURCE_ID"
  ON "JEECGBOOT"."JIMU_REPORT_DB" ("DB_SOURCE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_JIMU_REPORT_ID"
  ON "JEECGBOOT"."JIMU_REPORT_DB" ("JIMU_REPORT_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_JMREPORTDB_DB_KEY"
  ON "JEECGBOOT"."JIMU_REPORT_DB" ("DB_KEY" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table JIMU_REPORT_DB_FIELD
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_DB_FIELD" ADD CONSTRAINT "SYS_C0032497" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JIMU_REPORT_DB_FIELD
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_DB_FIELD" ADD CONSTRAINT "SYS_C0032304" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table JIMU_REPORT_DB_FIELD
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_DBFIELD_ORDER_NUM"
  ON "JEECGBOOT"."JIMU_REPORT_DB_FIELD" ("ORDER_NUM" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_JRDF_JIMU_REPORT_DB_ID"
  ON "JEECGBOOT"."JIMU_REPORT_DB_FIELD" ("JIMU_REPORT_DB_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table JIMU_REPORT_DB_PARAM
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_DB_PARAM" ADD CONSTRAINT "SYS_C0032498" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JIMU_REPORT_DB_PARAM
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_DB_PARAM" ADD CONSTRAINT "SYS_C0032305" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_DB_PARAM" ADD CONSTRAINT "SYS_C0032306" CHECK ("JIMU_REPORT_HEAD_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_DB_PARAM" ADD CONSTRAINT "SYS_C0032307" CHECK ("PARAM_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table JIMU_REPORT_DB_PARAM
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_JRDP_JIMU_REPORT_HEAD_ID"
  ON "JEECGBOOT"."JIMU_REPORT_DB_PARAM" ("JIMU_REPORT_HEAD_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table JIMU_REPORT_LINK
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_LINK" ADD CONSTRAINT "SYS_C0032499" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JIMU_REPORT_LINK
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_LINK" ADD CONSTRAINT "SYS_C0032308" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table JIMU_REPORT_LINK
-- ----------------------------
CREATE INDEX "JEECGBOOT"."UNIQ_LINK_REPORTID"
  ON "JEECGBOOT"."JIMU_REPORT_LINK" ("REPORT_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table JIMU_REPORT_MAP
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_MAP" ADD CONSTRAINT "SYS_C0032500" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JIMU_REPORT_MAP
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_MAP" ADD CONSTRAINT "SYS_C0032309" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table JIMU_REPORT_MAP
-- ----------------------------
CREATE UNIQUE INDEX "JEECGBOOT"."UNIQ_JMREPORT_MAP_NAME"
  ON "JEECGBOOT"."JIMU_REPORT_MAP" ("NAME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table JIMU_REPORT_SHARE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_SHARE" ADD CONSTRAINT "SYS_C0032501" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table JIMU_REPORT_SHARE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."JIMU_REPORT_SHARE" ADD CONSTRAINT "SYS_C0032310" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table ONL_AUTH_DATA
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_AUTH_DATA" ADD CONSTRAINT "SYS_C0032502" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_AUTH_DATA
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_AUTH_DATA" ADD CONSTRAINT "SYS_C0032311" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table ONL_AUTH_PAGE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_AUTH_PAGE" ADD CONSTRAINT "SYS_C0032503" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_AUTH_PAGE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_AUTH_PAGE" ADD CONSTRAINT "SYS_C0032312" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table ONL_AUTH_RELATION
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_AUTH_RELATION" ADD CONSTRAINT "SYS_C0032504" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_AUTH_RELATION
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_AUTH_RELATION" ADD CONSTRAINT "SYS_C0032313" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table ONL_CGFORM_BUTTON
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_BUTTON" ADD CONSTRAINT "SYS_C0032505" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_CGFORM_BUTTON
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_BUTTON" ADD CONSTRAINT "SYS_C0032314" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table ONL_CGFORM_BUTTON
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_OCB_BUTTON_CODE"
  ON "JEECGBOOT"."ONL_CGFORM_BUTTON" ("BUTTON_CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_OCB_BUTTON_STATUS"
  ON "JEECGBOOT"."ONL_CGFORM_BUTTON" ("BUTTON_STATUS" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_OCB_CGFORM_HEAD_ID"
  ON "JEECGBOOT"."ONL_CGFORM_BUTTON" ("CGFORM_HEAD_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_OCB_ORDER_NUM"
  ON "JEECGBOOT"."ONL_CGFORM_BUTTON" ("ORDER_NUM" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table ONL_CGFORM_ENHANCE_JAVA
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA" ADD CONSTRAINT "SYS_C0032506" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_CGFORM_ENHANCE_JAVA
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA" ADD CONSTRAINT "SYS_C0032315" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA" ADD CONSTRAINT "SYS_C0032316" CHECK ("CG_JAVA_TYPE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA" ADD CONSTRAINT "SYS_C0032317" CHECK ("CG_JAVA_VALUE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA" ADD CONSTRAINT "SYS_C0032318" CHECK ("CGFORM_HEAD_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA" ADD CONSTRAINT "SYS_C0032319" CHECK ("EVENT" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table ONL_CGFORM_ENHANCE_JAVA
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_EJAVA_CGFORM_HEAD_ID"
  ON "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA" ("CGFORM_HEAD_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_OCEJ_ACTIVE_STATUS"
  ON "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA" ("ACTIVE_STATUS" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_OCEJ_BUTTON_CODE"
  ON "JEECGBOOT"."ONL_CGFORM_ENHANCE_JAVA" ("BUTTON_CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table ONL_CGFORM_ENHANCE_JS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" ADD CONSTRAINT "SYS_C0032507" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_CGFORM_ENHANCE_JS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" ADD CONSTRAINT "SYS_C0032320" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table ONL_CGFORM_ENHANCE_JS
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_EJS_CGFORM_HEAD_ID"
  ON "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" ("CGFORM_HEAD_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_EJS_CG_JS_TYPE"
  ON "JEECGBOOT"."ONL_CGFORM_ENHANCE_JS" ("CG_JS_TYPE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table ONL_CGFORM_ENHANCE_SQL
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL" ADD CONSTRAINT "SYS_C0032508" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_CGFORM_ENHANCE_SQL
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL" ADD CONSTRAINT "SYS_C0032321" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table ONL_CGFORM_ENHANCE_SQL
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_OCES_CGFORM_HEAD_ID"
  ON "JEECGBOOT"."ONL_CGFORM_ENHANCE_SQL" ("CGFORM_HEAD_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table ONL_CGFORM_FIELD
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_FIELD" ADD CONSTRAINT "SYS_C0032509" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_CGFORM_FIELD
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_FIELD" ADD CONSTRAINT "SYS_C0032322" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_FIELD" ADD CONSTRAINT "SYS_C0032323" CHECK ("CGFORM_HEAD_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_FIELD" ADD CONSTRAINT "SYS_C0032324" CHECK ("DB_FIELD_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_FIELD" ADD CONSTRAINT "SYS_C0032325" CHECK ("DB_TYPE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_FIELD" ADD CONSTRAINT "SYS_C0032326" CHECK ("DB_LENGTH" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table ONL_CGFORM_FIELD
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_OCF_CGFORM_HEAD_ID"
  ON "JEECGBOOT"."ONL_CGFORM_FIELD" ("CGFORM_HEAD_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table ONL_CGFORM_HEAD
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_HEAD" ADD CONSTRAINT "SYS_C0032510" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_CGFORM_HEAD
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_HEAD" ADD CONSTRAINT "SYS_C0032327" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_HEAD" ADD CONSTRAINT "SYS_C0032328" CHECK ("TABLE_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_HEAD" ADD CONSTRAINT "SYS_C0032329" CHECK ("TABLE_TYPE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_HEAD" ADD CONSTRAINT "SYS_C0032330" CHECK ("TABLE_TXT" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_HEAD" ADD CONSTRAINT "SYS_C0032331" CHECK ("IS_CHECKBOX" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_HEAD" ADD CONSTRAINT "SYS_C0032332" CHECK ("IS_DB_SYNCH" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_HEAD" ADD CONSTRAINT "SYS_C0032333" CHECK ("IS_PAGE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_HEAD" ADD CONSTRAINT "SYS_C0032334" CHECK ("IS_TREE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_HEAD" ADD CONSTRAINT "SYS_C0032335" CHECK ("FORM_CATEGORY" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table ONL_CGFORM_HEAD
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_OCH_CGFORM_HEAD_ID"
  ON "JEECGBOOT"."ONL_CGFORM_HEAD" ("TABLE_NAME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_OCH_FORM_TEMPLATE_MOBILE"
  ON "JEECGBOOT"."ONL_CGFORM_HEAD" ("FORM_TEMPLATE_MOBILE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_OCH_TABLE_NAME"
  ON "JEECGBOOT"."ONL_CGFORM_HEAD" ("FORM_TEMPLATE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_OCH_TABLE_VERSION"
  ON "JEECGBOOT"."ONL_CGFORM_HEAD" ("TABLE_VERSION" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table ONL_CGFORM_INDEX
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_INDEX" ADD CONSTRAINT "SYS_C0032511" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_CGFORM_INDEX
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGFORM_INDEX" ADD CONSTRAINT "SYS_C0032336" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table ONL_CGFORM_INDEX
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_OCI_CGFORM_HEAD_ID"
  ON "JEECGBOOT"."ONL_CGFORM_INDEX" ("CGFORM_HEAD_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table ONL_CGREPORT_HEAD
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_HEAD" ADD CONSTRAINT "SYS_C0032512" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_CGREPORT_HEAD
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_HEAD" ADD CONSTRAINT "SYS_C0032337" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_HEAD" ADD CONSTRAINT "SYS_C0032338" CHECK ("CODE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_HEAD" ADD CONSTRAINT "SYS_C0032339" CHECK ("NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_HEAD" ADD CONSTRAINT "SYS_C0032340" CHECK ("CGR_SQL" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table ONL_CGREPORT_HEAD
-- ----------------------------
CREATE UNIQUE INDEX "JEECGBOOT"."INDEX_ONLINEREPORT_CODE"
  ON "JEECGBOOT"."ONL_CGREPORT_HEAD" ("CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table ONL_CGREPORT_ITEM
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_ITEM" ADD CONSTRAINT "SYS_C0032513" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_CGREPORT_ITEM
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_ITEM" ADD CONSTRAINT "SYS_C0032341" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_ITEM" ADD CONSTRAINT "SYS_C0032342" CHECK ("CGRHEAD_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_ITEM" ADD CONSTRAINT "SYS_C0032343" CHECK ("FIELD_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table ONL_CGREPORT_ITEM
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_OCI_CGRHEAD_ID"
  ON "JEECGBOOT"."ONL_CGREPORT_ITEM" ("CGRHEAD_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_OCI_IS_SHOW"
  ON "JEECGBOOT"."ONL_CGREPORT_ITEM" ("IS_SHOW" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_OCI_ORDER_NUM"
  ON "JEECGBOOT"."ONL_CGREPORT_ITEM" ("ORDER_NUM" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table ONL_CGREPORT_PARAM
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_PARAM" ADD CONSTRAINT "SYS_C0032514" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table ONL_CGREPORT_PARAM
-- ----------------------------
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_PARAM" ADD CONSTRAINT "SYS_C0032344" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_PARAM" ADD CONSTRAINT "SYS_C0032345" CHECK ("CGRHEAD_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."ONL_CGREPORT_PARAM" ADD CONSTRAINT "SYS_C0032346" CHECK ("PARAM_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table ONL_CGREPORT_PARAM
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_OCP_CGRHEAD_ID"
  ON "JEECGBOOT"."ONL_CGREPORT_PARAM" ("CGRHEAD_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table OSS_FILE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."OSS_FILE" ADD CONSTRAINT "SYS_C0032515" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table OSS_FILE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."OSS_FILE" ADD CONSTRAINT "SYS_C0032347" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table QRTZ_BLOB_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_BLOB_TRIGGERS" ADD CONSTRAINT "QRTZ_BLOB_TRIG_PK" PRIMARY KEY ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP");

-- ----------------------------
-- Checks structure for table QRTZ_BLOB_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_BLOB_TRIGGERS" ADD CONSTRAINT "SYS_C0032615" CHECK ("SCHED_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_BLOB_TRIGGERS" ADD CONSTRAINT "SYS_C0032616" CHECK ("TRIGGER_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_BLOB_TRIGGERS" ADD CONSTRAINT "SYS_C0032617" CHECK ("TRIGGER_GROUP" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table QRTZ_CALENDARS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_CALENDARS" ADD CONSTRAINT "QRTZ_CALENDARS_PK" PRIMARY KEY ("SCHED_NAME", "CALENDAR_NAME");

-- ----------------------------
-- Checks structure for table QRTZ_CALENDARS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_CALENDARS" ADD CONSTRAINT "SYS_C0032620" CHECK ("SCHED_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_CALENDARS" ADD CONSTRAINT "SYS_C0032621" CHECK ("CALENDAR_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_CALENDARS" ADD CONSTRAINT "SYS_C0032622" CHECK ("CALENDAR" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table QRTZ_CRON_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_CRON_TRIGGERS" ADD CONSTRAINT "QRTZ_CRON_TRIG_PK" PRIMARY KEY ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP");

-- ----------------------------
-- Checks structure for table QRTZ_CRON_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_CRON_TRIGGERS" ADD CONSTRAINT "SYS_C0032604" CHECK ("SCHED_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_CRON_TRIGGERS" ADD CONSTRAINT "SYS_C0032605" CHECK ("TRIGGER_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_CRON_TRIGGERS" ADD CONSTRAINT "SYS_C0032606" CHECK ("TRIGGER_GROUP" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_CRON_TRIGGERS" ADD CONSTRAINT "SYS_C0032607" CHECK ("CRON_EXPRESSION" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table QRTZ_FIRED_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ADD CONSTRAINT "QRTZ_FIRED_TRIGGER_PK" PRIMARY KEY ("SCHED_NAME", "ENTRY_ID");

-- ----------------------------
-- Checks structure for table QRTZ_FIRED_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ADD CONSTRAINT "SYS_C0032627" CHECK ("SCHED_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ADD CONSTRAINT "SYS_C0032628" CHECK ("ENTRY_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ADD CONSTRAINT "SYS_C0032629" CHECK ("TRIGGER_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ADD CONSTRAINT "SYS_C0032630" CHECK ("TRIGGER_GROUP" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ADD CONSTRAINT "SYS_C0032631" CHECK ("INSTANCE_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ADD CONSTRAINT "SYS_C0032632" CHECK ("FIRED_TIME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ADD CONSTRAINT "SYS_C0032633" CHECK ("SCHED_TIME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ADD CONSTRAINT "SYS_C0032634" CHECK ("PRIORITY" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ADD CONSTRAINT "SYS_C0032635" CHECK ("STATE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table QRTZ_FIRED_TRIGGERS
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_FT_INST_JOB_REQ_RCVRY"
  ON "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ("SCHED_NAME" ASC, "INSTANCE_NAME" ASC, "REQUESTS_RECOVERY" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_FT_JG"
  ON "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ("SCHED_NAME" ASC, "JOB_GROUP" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_FT_J_G"
  ON "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ("SCHED_NAME" ASC, "JOB_NAME" ASC, "JOB_GROUP" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_FT_TG"
  ON "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ("SCHED_NAME" ASC, "TRIGGER_GROUP" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_FT_TRIG_INST_NAME"
  ON "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ("SCHED_NAME" ASC, "INSTANCE_NAME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_FT_T_G"
  ON "JEECGBOOT"."QRTZ_FIRED_TRIGGERS" ("SCHED_NAME" ASC, "TRIGGER_NAME" ASC, "TRIGGER_GROUP" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table QRTZ_JOB_DETAILS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_JOB_DETAILS" ADD CONSTRAINT "QRTZ_JOB_DETAILS_PK" PRIMARY KEY ("SCHED_NAME", "JOB_NAME", "JOB_GROUP");

-- ----------------------------
-- Checks structure for table QRTZ_JOB_DETAILS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_JOB_DETAILS" ADD CONSTRAINT "SYS_C0032577" CHECK ("SCHED_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_JOB_DETAILS" ADD CONSTRAINT "SYS_C0032578" CHECK ("JOB_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_JOB_DETAILS" ADD CONSTRAINT "SYS_C0032579" CHECK ("JOB_GROUP" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_JOB_DETAILS" ADD CONSTRAINT "SYS_C0032580" CHECK ("JOB_CLASS_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_JOB_DETAILS" ADD CONSTRAINT "SYS_C0032581" CHECK ("IS_DURABLE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_JOB_DETAILS" ADD CONSTRAINT "SYS_C0032582" CHECK ("IS_NONCONCURRENT" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_JOB_DETAILS" ADD CONSTRAINT "SYS_C0032583" CHECK ("IS_UPDATE_DATA" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_JOB_DETAILS" ADD CONSTRAINT "SYS_C0032584" CHECK ("REQUESTS_RECOVERY" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table QRTZ_JOB_DETAILS
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_J_GRP"
  ON "JEECGBOOT"."QRTZ_JOB_DETAILS" ("SCHED_NAME" ASC, "JOB_GROUP" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_J_REQ_RECOVERY"
  ON "JEECGBOOT"."QRTZ_JOB_DETAILS" ("SCHED_NAME" ASC, "REQUESTS_RECOVERY" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table QRTZ_LOCKS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_LOCKS" ADD CONSTRAINT "QRTZ_LOCKS_PK" PRIMARY KEY ("SCHED_NAME", "LOCK_NAME");

-- ----------------------------
-- Checks structure for table QRTZ_LOCKS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_LOCKS" ADD CONSTRAINT "SYS_C0032642" CHECK ("SCHED_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_LOCKS" ADD CONSTRAINT "SYS_C0032643" CHECK ("LOCK_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table QRTZ_PAUSED_TRIGGER_GRPS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_PAUSED_TRIGGER_GRPS" ADD CONSTRAINT "QRTZ_PAUSED_TRIG_GRPS_PK" PRIMARY KEY ("SCHED_NAME", "TRIGGER_GROUP");

-- ----------------------------
-- Checks structure for table QRTZ_PAUSED_TRIGGER_GRPS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_PAUSED_TRIGGER_GRPS" ADD CONSTRAINT "SYS_C0032624" CHECK ("SCHED_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_PAUSED_TRIGGER_GRPS" ADD CONSTRAINT "SYS_C0032625" CHECK ("TRIGGER_GROUP" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table QRTZ_SCHEDULER_STATE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_SCHEDULER_STATE" ADD CONSTRAINT "QRTZ_SCHEDULER_STATE_PK" PRIMARY KEY ("SCHED_NAME", "INSTANCE_NAME");

-- ----------------------------
-- Checks structure for table QRTZ_SCHEDULER_STATE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_SCHEDULER_STATE" ADD CONSTRAINT "SYS_C0032637" CHECK ("SCHED_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_SCHEDULER_STATE" ADD CONSTRAINT "SYS_C0032638" CHECK ("INSTANCE_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_SCHEDULER_STATE" ADD CONSTRAINT "SYS_C0032639" CHECK ("LAST_CHECKIN_TIME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_SCHEDULER_STATE" ADD CONSTRAINT "SYS_C0032640" CHECK ("CHECKIN_INTERVAL" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table QRTZ_SIMPLE_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPLE_TRIGGERS" ADD CONSTRAINT "QRTZ_SIMPLE_TRIG_PK" PRIMARY KEY ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP");

-- ----------------------------
-- Checks structure for table QRTZ_SIMPLE_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPLE_TRIGGERS" ADD CONSTRAINT "SYS_C0032596" CHECK ("SCHED_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPLE_TRIGGERS" ADD CONSTRAINT "SYS_C0032597" CHECK ("TRIGGER_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPLE_TRIGGERS" ADD CONSTRAINT "SYS_C0032598" CHECK ("TRIGGER_GROUP" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPLE_TRIGGERS" ADD CONSTRAINT "SYS_C0032599" CHECK ("REPEAT_COUNT" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPLE_TRIGGERS" ADD CONSTRAINT "SYS_C0032600" CHECK ("REPEAT_INTERVAL" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPLE_TRIGGERS" ADD CONSTRAINT "SYS_C0032601" CHECK ("TIMES_TRIGGERED" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table QRTZ_SIMPROP_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPROP_TRIGGERS" ADD CONSTRAINT "QRTZ_SIMPROP_TRIG_PK" PRIMARY KEY ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP");

-- ----------------------------
-- Checks structure for table QRTZ_SIMPROP_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPROP_TRIGGERS" ADD CONSTRAINT "SYS_C0032610" CHECK ("SCHED_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPROP_TRIGGERS" ADD CONSTRAINT "SYS_C0032611" CHECK ("TRIGGER_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPROP_TRIGGERS" ADD CONSTRAINT "SYS_C0032612" CHECK ("TRIGGER_GROUP" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table QRTZ_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_TRIGGERS" ADD CONSTRAINT "QRTZ_TRIGGERS_PK" PRIMARY KEY ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP");

-- ----------------------------
-- Checks structure for table QRTZ_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_TRIGGERS" ADD CONSTRAINT "SYS_C0032586" CHECK ("SCHED_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_TRIGGERS" ADD CONSTRAINT "SYS_C0032587" CHECK ("TRIGGER_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_TRIGGERS" ADD CONSTRAINT "SYS_C0032588" CHECK ("TRIGGER_GROUP" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_TRIGGERS" ADD CONSTRAINT "SYS_C0032589" CHECK ("JOB_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_TRIGGERS" ADD CONSTRAINT "SYS_C0032590" CHECK ("JOB_GROUP" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_TRIGGERS" ADD CONSTRAINT "SYS_C0032591" CHECK ("TRIGGER_STATE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_TRIGGERS" ADD CONSTRAINT "SYS_C0032592" CHECK ("TRIGGER_TYPE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."QRTZ_TRIGGERS" ADD CONSTRAINT "SYS_C0032593" CHECK ("START_TIME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table QRTZ_TRIGGERS
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_T_C"
  ON "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME" ASC, "CALENDAR_NAME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_T_G"
  ON "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME" ASC, "TRIGGER_GROUP" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_T_J"
  ON "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME" ASC, "JOB_NAME" ASC, "JOB_GROUP" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_T_JG"
  ON "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME" ASC, "JOB_GROUP" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_T_NEXT_FIRE_TIME"
  ON "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME" ASC, "NEXT_FIRE_TIME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_T_NFT_MISFIRE"
  ON "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME" ASC, "MISFIRE_INSTR" ASC, "NEXT_FIRE_TIME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_T_NFT_ST"
  ON "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME" ASC, "TRIGGER_STATE" ASC, "NEXT_FIRE_TIME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_T_NFT_ST_MISFIRE"
  ON "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME" ASC, "MISFIRE_INSTR" ASC, "NEXT_FIRE_TIME" ASC, "TRIGGER_STATE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_T_NFT_ST_MISFIRE_GRP"
  ON "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME" ASC, "MISFIRE_INSTR" ASC, "NEXT_FIRE_TIME" ASC, "TRIGGER_GROUP" ASC, "TRIGGER_STATE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_T_N_G_STATE"
  ON "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME" ASC, "TRIGGER_GROUP" ASC, "TRIGGER_STATE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_T_N_STATE"
  ON "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME" ASC, "TRIGGER_NAME" ASC, "TRIGGER_GROUP" ASC, "TRIGGER_STATE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_QRTZ_T_STATE"
  ON "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME" ASC, "TRIGGER_STATE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table REP_DEMO_DXTJ
-- ----------------------------
ALTER TABLE "JEECGBOOT"."REP_DEMO_DXTJ" ADD CONSTRAINT "SYS_C0032527" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table REP_DEMO_DXTJ
-- ----------------------------
ALTER TABLE "JEECGBOOT"."REP_DEMO_DXTJ" ADD CONSTRAINT "SYS_C0032400" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table REP_DEMO_EMPLOYEE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."REP_DEMO_EMPLOYEE" ADD CONSTRAINT "SYS_C0032528" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table REP_DEMO_EMPLOYEE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."REP_DEMO_EMPLOYEE" ADD CONSTRAINT "SYS_C0032401" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table REP_DEMO_GONGSI
-- ----------------------------
ALTER TABLE "JEECGBOOT"."REP_DEMO_GONGSI" ADD CONSTRAINT "SYS_C0032529" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table REP_DEMO_GONGSI
-- ----------------------------
ALTER TABLE "JEECGBOOT"."REP_DEMO_GONGSI" ADD CONSTRAINT "SYS_C0032402" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_GONGSI" ADD CONSTRAINT "SYS_C0032403" CHECK ("GNAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_GONGSI" ADD CONSTRAINT "SYS_C0032404" CHECK ("GDATA" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_GONGSI" ADD CONSTRAINT "SYS_C0032405" CHECK ("TDATA" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_GONGSI" ADD CONSTRAINT "SYS_C0032406" CHECK ("DIDIAN" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_GONGSI" ADD CONSTRAINT "SYS_C0032407" CHECK ("ZHAIYAO" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_GONGSI" ADD CONSTRAINT "SYS_C0032408" CHECK ("NUM" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table REP_DEMO_JIANPIAO
-- ----------------------------
ALTER TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO" ADD CONSTRAINT "SYS_C0032530" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table REP_DEMO_JIANPIAO
-- ----------------------------
ALTER TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO" ADD CONSTRAINT "SYS_C0032409" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO" ADD CONSTRAINT "SYS_C0032410" CHECK ("BNUM" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO" ADD CONSTRAINT "SYS_C0032411" CHECK ("FTIME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO" ADD CONSTRAINT "SYS_C0032412" CHECK ("SFKONG" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO" ADD CONSTRAINT "SYS_C0032413" CHECK ("KAISHI" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO" ADD CONSTRAINT "SYS_C0032414" CHECK ("JIESHU" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO" ADD CONSTRAINT "SYS_C0032415" CHECK ("HEZAIREN" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO" ADD CONSTRAINT "SYS_C0032416" CHECK ("JPNUM" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO" ADD CONSTRAINT "SYS_C0032417" CHECK ("SHIHELV" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."REP_DEMO_JIANPIAO" ADD CONSTRAINT "SYS_C0032418" CHECK ("S_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_ANNOUNCEMENT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_ANNOUNCEMENT" ADD CONSTRAINT "SYS_C0032531" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_ANNOUNCEMENT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_ANNOUNCEMENT" ADD CONSTRAINT "SYS_C0032419" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_ANNOUNCEMENT" ADD CONSTRAINT "SYS_C0032420" CHECK ("MSG_CATEGORY" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_CATEGORY
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_CATEGORY" ADD CONSTRAINT "SYS_C0032532" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_CATEGORY
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_CATEGORY" ADD CONSTRAINT "SYS_C0032421" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_CATEGORY
-- ----------------------------
CREATE UNIQUE INDEX "JEECGBOOT"."INDEX_CODE"
  ON "JEECGBOOT"."SYS_CATEGORY" ("CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_CHECK_RULE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_CHECK_RULE" ADD CONSTRAINT "SYS_C0032533" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_CHECK_RULE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_CHECK_RULE" ADD CONSTRAINT "SYS_C0032422" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_CHECK_RULE
-- ----------------------------
CREATE UNIQUE INDEX "JEECGBOOT"."UK_SCR_RULE_CODE"
  ON "JEECGBOOT"."SYS_CHECK_RULE" ("RULE_CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_COMMENT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_COMMENT" ADD CONSTRAINT "SYS_C0032534" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_COMMENT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_COMMENT" ADD CONSTRAINT "SYS_C0032423" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_COMMENT" ADD CONSTRAINT "SYS_C0032424" CHECK ("TABLE_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_COMMENT" ADD CONSTRAINT "SYS_C0032425" CHECK ("TABLE_DATA_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_COMMENT" ADD CONSTRAINT "SYS_C0032426" CHECK ("FROM_USER_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_COMMENT
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_TABLE_DATA_ID"
  ON "JEECGBOOT"."SYS_COMMENT" ("TABLE_NAME" ASC, "TABLE_DATA_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_DATA_LOG
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DATA_LOG" ADD CONSTRAINT "SYS_C0032535" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_DATA_LOG
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DATA_LOG" ADD CONSTRAINT "SYS_C0032427" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_DATA_LOG
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SDL_DATA_TABLE_ID"
  ON "JEECGBOOT"."SYS_DATA_LOG" ("DATA_TABLE" ASC, "DATA_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_DATA_SOURCE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DATA_SOURCE" ADD CONSTRAINT "SYS_C0032536" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_DATA_SOURCE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DATA_SOURCE" ADD CONSTRAINT "SYS_C0032428" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_DATA_SOURCE
-- ----------------------------
CREATE UNIQUE INDEX "JEECGBOOT"."UK_SDC_RULE_CODE"
  ON "JEECGBOOT"."SYS_DATA_SOURCE" ("CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_DEPART
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DEPART" ADD CONSTRAINT "SYS_C0032537" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_DEPART
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DEPART" ADD CONSTRAINT "SYS_C0032429" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_DEPART" ADD CONSTRAINT "SYS_C0032430" CHECK ("DEPART_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_DEPART" ADD CONSTRAINT "SYS_C0032431" CHECK ("ORG_CATEGORY" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_DEPART" ADD CONSTRAINT "SYS_C0032432" CHECK ("ORG_CODE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_DEPART
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SD_DEPART_ORDER"
  ON "JEECGBOOT"."SYS_DEPART" ("DEPART_ORDER" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SD_PARENT_ID"
  ON "JEECGBOOT"."SYS_DEPART" ("PARENT_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE UNIQUE INDEX "JEECGBOOT"."UNIQ_DEPART_ORG_CODE"
  ON "JEECGBOOT"."SYS_DEPART" ("ORG_CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_DEPART_PERMISSION
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DEPART_PERMISSION" ADD CONSTRAINT "SYS_C0032538" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_DEPART_PERMISSION
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DEPART_PERMISSION" ADD CONSTRAINT "SYS_C0032433" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_DEPART_ROLE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DEPART_ROLE" ADD CONSTRAINT "SYS_C0032539" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_DEPART_ROLE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DEPART_ROLE" ADD CONSTRAINT "SYS_C0032434" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_DEPART_ROLE_PERMISSION
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION" ADD CONSTRAINT "SYS_C0032540" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_DEPART_ROLE_PERMISSION
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION" ADD CONSTRAINT "SYS_C0032435" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_DEPART_ROLE_PERMISSION
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SDRP_PER_ID"
  ON "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION" ("PERMISSION_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SDRP_ROLE_ID"
  ON "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION" ("ROLE_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SDRP_ROLE_PER_ID"
  ON "JEECGBOOT"."SYS_DEPART_ROLE_PERMISSION" ("ROLE_ID" ASC, "PERMISSION_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_DEPART_ROLE_USER
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DEPART_ROLE_USER" ADD CONSTRAINT "SYS_C0032541" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_DEPART_ROLE_USER
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DEPART_ROLE_USER" ADD CONSTRAINT "SYS_C0032436" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_DICT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DICT" ADD CONSTRAINT "SYS_C0032542" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_DICT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DICT" ADD CONSTRAINT "SYS_C0032437" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_DICT" ADD CONSTRAINT "SYS_C0032438" CHECK ("DICT_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_DICT" ADD CONSTRAINT "SYS_C0032439" CHECK ("DICT_CODE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_DICT_ITEM
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DICT_ITEM" ADD CONSTRAINT "SYS_C0032543" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_DICT_ITEM
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_DICT_ITEM" ADD CONSTRAINT "SYS_C0032440" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_DICT_ITEM" ADD CONSTRAINT "SYS_C0032441" CHECK ("ITEM_TEXT" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_DICT_ITEM" ADD CONSTRAINT "SYS_C0032442" CHECK ("ITEM_VALUE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_FILES
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_FILES" ADD CONSTRAINT "SYS_C0032544" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_FILES
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_FILES" ADD CONSTRAINT "SYS_C0032443" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_FILES
-- ----------------------------
CREATE INDEX "JEECGBOOT"."INDEX_DEL_FLAG"
  ON "JEECGBOOT"."SYS_FILES" ("DEL_FLAG" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."INDEX_TENANT_ID"
  ON "JEECGBOOT"."SYS_FILES" ("TENANT_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_FILL_RULE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_FILL_RULE" ADD CONSTRAINT "SYS_C0032545" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_FILL_RULE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_FILL_RULE" ADD CONSTRAINT "SYS_C0032444" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_FILL_RULE
-- ----------------------------
CREATE UNIQUE INDEX "JEECGBOOT"."UK_SFR_RULE_CODE"
  ON "JEECGBOOT"."SYS_FILL_RULE" ("RULE_CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_FORM_FILE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_FORM_FILE" ADD CONSTRAINT "SYS_C0032546" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_FORM_FILE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_FORM_FILE" ADD CONSTRAINT "SYS_C0032445" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_FORM_FILE" ADD CONSTRAINT "SYS_C0032446" CHECK ("TABLE_NAME" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_FORM_FILE" ADD CONSTRAINT "SYS_C0032447" CHECK ("TABLE_DATA_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_FORM_FILE
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_TABLE_FORM"
  ON "JEECGBOOT"."SYS_FORM_FILE" ("TABLE_NAME" ASC, "TABLE_DATA_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."INDEX_FILE_ID"
  ON "JEECGBOOT"."SYS_FORM_FILE" ("FILE_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_GATEWAY_ROUTE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_GATEWAY_ROUTE" ADD CONSTRAINT "SYS_C0032547" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_GATEWAY_ROUTE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_GATEWAY_ROUTE" ADD CONSTRAINT "SYS_C0032448" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_LOG
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_LOG" ADD CONSTRAINT "SYS_C0032548" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_LOG
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_LOG" ADD CONSTRAINT "SYS_C0032449" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_LOG
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SL_CREATE_TIME"
  ON "JEECGBOOT"."SYS_LOG" ("CREATE_TIME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SL_LOG_TYPE"
  ON "JEECGBOOT"."SYS_LOG" ("LOG_TYPE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SL_OPERATE_TYPE"
  ON "JEECGBOOT"."SYS_LOG" ("OPERATE_TYPE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SL_USERID"
  ON "JEECGBOOT"."SYS_LOG" ("USERID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_PERMISSION
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_PERMISSION" ADD CONSTRAINT "SYS_C0032549" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_PERMISSION
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_PERMISSION" ADD CONSTRAINT "SYS_C0032450" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_PERMISSION
-- ----------------------------
CREATE INDEX "JEECGBOOT"."INDEX_MENU_HIDDEN"
  ON "JEECGBOOT"."SYS_PERMISSION" ("HIDDEN" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."INDEX_MENU_STATUS"
  ON "JEECGBOOT"."SYS_PERMISSION" ("STATUS" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."INDEX_MENU_TYPE"
  ON "JEECGBOOT"."SYS_PERMISSION" ("MENU_TYPE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_PERMISSION_DATA_RULE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" ADD CONSTRAINT "SYS_C0032550" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_PERMISSION_DATA_RULE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" ADD CONSTRAINT "SYS_C0032451" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_PERMISSION_DATA_RULE
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SPDR_PERMISSION_ID"
  ON "JEECGBOOT"."SYS_PERMISSION_DATA_RULE" ("PERMISSION_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_PERMISSION_V2
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_PERMISSION_V2" ADD CONSTRAINT "SYS_C0032551" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_PERMISSION_V2
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_PERMISSION_V2" ADD CONSTRAINT "SYS_C0032452" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_PERMISSION_V2
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SP_DEL_FLAG"
  ON "JEECGBOOT"."SYS_PERMISSION_V2" ("DEL_FLAG" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SP_HIDDEN"
  ON "JEECGBOOT"."SYS_PERMISSION_V2" ("HIDDEN" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SP_IS_LEAF"
  ON "JEECGBOOT"."SYS_PERMISSION_V2" ("IS_LEAF" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SP_IS_ROUTE"
  ON "JEECGBOOT"."SYS_PERMISSION_V2" ("IS_ROUTE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SP_MENU_TYPE"
  ON "JEECGBOOT"."SYS_PERMISSION_V2" ("MENU_TYPE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SP_PARENT_ID"
  ON "JEECGBOOT"."SYS_PERMISSION_V2" ("PARENT_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SP_SORT_NO"
  ON "JEECGBOOT"."SYS_PERMISSION_V2" ("SORT_NO" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SP_STATUS"
  ON "JEECGBOOT"."SYS_PERMISSION_V2" ("STATUS" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_POSITION
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_POSITION" ADD CONSTRAINT "SYS_C0032552" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_POSITION
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_POSITION" ADD CONSTRAINT "SYS_C0032453" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_POSITION
-- ----------------------------
CREATE UNIQUE INDEX "JEECGBOOT"."UNIQ_CODE"
  ON "JEECGBOOT"."SYS_POSITION" ("CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_QUARTZ_JOB
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_QUARTZ_JOB" ADD CONSTRAINT "SYS_C0032553" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_QUARTZ_JOB
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_QUARTZ_JOB" ADD CONSTRAINT "SYS_C0032454" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_ROLE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_ROLE" ADD CONSTRAINT "SYS_C0032554" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_ROLE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_ROLE" ADD CONSTRAINT "SYS_C0032455" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_ROLE" ADD CONSTRAINT "SYS_C0032456" CHECK ("ROLE_CODE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_ROLE
-- ----------------------------
CREATE UNIQUE INDEX "JEECGBOOT"."UNIQ_SYS_ROLE_ROLE_CODE"
  ON "JEECGBOOT"."SYS_ROLE" ("ROLE_CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_ROLE_INDEX
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_ROLE_INDEX" ADD CONSTRAINT "SYS_C0032555" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_ROLE_INDEX
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_ROLE_INDEX" ADD CONSTRAINT "SYS_C0032457" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_ROLE_PERMISSION
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_ROLE_PERMISSION" ADD CONSTRAINT "SYS_C0032556" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_ROLE_PERMISSION
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_ROLE_PERMISSION" ADD CONSTRAINT "SYS_C0032458" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_ROLE_PERMISSION
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SRP_PERMISSION_ID"
  ON "JEECGBOOT"."SYS_ROLE_PERMISSION" ("PERMISSION_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SRP_ROLE_ID"
  ON "JEECGBOOT"."SYS_ROLE_PERMISSION" ("ROLE_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SRP_ROLE_PER_ID"
  ON "JEECGBOOT"."SYS_ROLE_PERMISSION" ("ROLE_ID" ASC, "PERMISSION_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_SMS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_SMS" ADD CONSTRAINT "SYS_C0032557" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_SMS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_SMS" ADD CONSTRAINT "SYS_C0032459" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_SMS
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SS_ES_RECEIVER"
  ON "JEECGBOOT"."SYS_SMS" ("ES_RECEIVER" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SS_ES_SEND_STATUS"
  ON "JEECGBOOT"."SYS_SMS" ("ES_SEND_STATUS" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SS_ES_SEND_TIME"
  ON "JEECGBOOT"."SYS_SMS" ("ES_SEND_TIME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SS_ES_TYPE"
  ON "JEECGBOOT"."SYS_SMS" ("ES_TYPE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_SMS_TEMPLATE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_SMS_TEMPLATE" ADD CONSTRAINT "SYS_C0032558" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_SMS_TEMPLATE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_SMS_TEMPLATE" ADD CONSTRAINT "SYS_C0032460" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_SMS_TEMPLATE" ADD CONSTRAINT "SYS_C0032461" CHECK ("TEMPLATE_CODE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_SMS_TEMPLATE" ADD CONSTRAINT "SYS_C0032462" CHECK ("TEMPLATE_TYPE" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."SYS_SMS_TEMPLATE" ADD CONSTRAINT "SYS_C0032463" CHECK ("TEMPLATE_CONTENT" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_SMS_TEMPLATE
-- ----------------------------
CREATE UNIQUE INDEX "JEECGBOOT"."UK_SST_TEMPLATE_CODE"
  ON "JEECGBOOT"."SYS_SMS_TEMPLATE" ("TEMPLATE_CODE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_TENANT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_TENANT" ADD CONSTRAINT "SYS_C0032559" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_TENANT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_TENANT" ADD CONSTRAINT "SYS_C0032464" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_TENANT_PACK
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_TENANT_PACK" ADD CONSTRAINT "SYS_C0032560" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_TENANT_PACK
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_TENANT_PACK" ADD CONSTRAINT "SYS_C0032465" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_TENANT_PACK_PERMS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_TENANT_PACK_PERMS" ADD CONSTRAINT "SYS_C0032561" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_TENANT_PACK_PERMS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_TENANT_PACK_PERMS" ADD CONSTRAINT "SYS_C0032466" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_TENANT_PACK_USER
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_TENANT_PACK_USER" ADD CONSTRAINT "SYS_C0032562" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_TENANT_PACK_USER
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_TENANT_PACK_USER" ADD CONSTRAINT "SYS_C0032467" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_THIRD_ACCOUNT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_THIRD_ACCOUNT" ADD CONSTRAINT "SYS_C0032563" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_THIRD_ACCOUNT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_THIRD_ACCOUNT" ADD CONSTRAINT "SYS_C0032468" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table SYS_USER
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_USER" ADD CONSTRAINT "SYS_C0032564" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_USER
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_USER" ADD CONSTRAINT "SYS_C0032469" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_USER
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SU_DEL_FLAG"
  ON "JEECGBOOT"."SYS_USER" ("DEL_FLAG" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SU_STATUS"
  ON "JEECGBOOT"."SYS_USER" ("STATUS" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE UNIQUE INDEX "JEECGBOOT"."UNIQ_SYS_USER_EMAIL"
  ON "JEECGBOOT"."SYS_USER" ("EMAIL" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE UNIQUE INDEX "JEECGBOOT"."UNIQ_SYS_USER_PHONE"
  ON "JEECGBOOT"."SYS_USER" ("PHONE" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE UNIQUE INDEX "JEECGBOOT"."UNIQ_SYS_USER_USERNAME"
  ON "JEECGBOOT"."SYS_USER" ("USERNAME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE UNIQUE INDEX "JEECGBOOT"."UNIQ_SYS_USER_WORK_NO"
  ON "JEECGBOOT"."SYS_USER" ("WORK_NO" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_USER_AGENT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_USER_AGENT" ADD CONSTRAINT "SYS_C0032565" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_USER_AGENT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_USER_AGENT" ADD CONSTRAINT "SYS_C0032470" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_USER_AGENT
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SUG_END_TIME"
  ON "JEECGBOOT"."SYS_USER_AGENT" ("END_TIME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SUG_START_TIME"
  ON "JEECGBOOT"."SYS_USER_AGENT" ("START_TIME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SUG_STATUS"
  ON "JEECGBOOT"."SYS_USER_AGENT" ("STATUS" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE UNIQUE INDEX "JEECGBOOT"."UK_SUG_USER_NAME"
  ON "JEECGBOOT"."SYS_USER_AGENT" ("USER_NAME" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_USER_DEPART
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_USER_DEPART" ADD CONSTRAINT "SYS_C0032566" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_USER_DEPART
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_USER_DEPART" ADD CONSTRAINT "SYS_C0032471" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_USER_DEPART
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SUD_DEP_ID"
  ON "JEECGBOOT"."SYS_USER_DEPART" ("DEP_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SUD_USER_DEP_ID"
  ON "JEECGBOOT"."SYS_USER_DEPART" ("USER_ID" ASC, "DEP_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SUD_USER_ID"
  ON "JEECGBOOT"."SYS_USER_DEPART" ("USER_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_USER_ROLE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_USER_ROLE" ADD CONSTRAINT "SYS_C0032567" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_USER_ROLE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_USER_ROLE" ADD CONSTRAINT "SYS_C0032472" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_USER_ROLE
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SUR_ROLE_ID"
  ON "JEECGBOOT"."SYS_USER_ROLE" ("ROLE_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SUR_USER_ID"
  ON "JEECGBOOT"."SYS_USER_ROLE" ("USER_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SUR_USER_ROLE_ID"
  ON "JEECGBOOT"."SYS_USER_ROLE" ("USER_ID" ASC, "ROLE_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table SYS_USER_TENANT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_USER_TENANT" ADD CONSTRAINT "SYS_C0032568" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table SYS_USER_TENANT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."SYS_USER_TENANT" ADD CONSTRAINT "SYS_C0032473" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Indexes structure for table SYS_USER_TENANT
-- ----------------------------
CREATE INDEX "JEECGBOOT"."IDX_SUT_TENANT_ID"
  ON "JEECGBOOT"."SYS_USER_TENANT" ("TENANT_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);
CREATE INDEX "JEECGBOOT"."IDX_SUT_USER_ID"
  ON "JEECGBOOT"."SYS_USER_TENANT" ("USER_ID" ASC)
  LOGGING
  VISIBLE
PCTFREE 10
INITRANS 2
STORAGE (
  INITIAL 65536 
  NEXT 1048576 
  MINEXTENTS 1
  MAXEXTENTS 2147483645
  BUFFER_POOL DEFAULT
);

-- ----------------------------
-- Primary Key structure for table TEST_DEMO
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_DEMO" ADD CONSTRAINT "SYS_C0032569" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TEST_DEMO
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_DEMO" ADD CONSTRAINT "SYS_C0032474" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TEST_ENHANCE_SELECT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_ENHANCE_SELECT" ADD CONSTRAINT "SYS_C0032570" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TEST_ENHANCE_SELECT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_ENHANCE_SELECT" ADD CONSTRAINT "SYS_C0032475" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TEST_NOTE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_NOTE" ADD CONSTRAINT "SYS_C0032571" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TEST_NOTE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_NOTE" ADD CONSTRAINT "SYS_C0032476" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TEST_ORDER_CUSTOMER
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_ORDER_CUSTOMER" ADD CONSTRAINT "SYS_C0032572" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TEST_ORDER_CUSTOMER
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_ORDER_CUSTOMER" ADD CONSTRAINT "SYS_C0032477" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TEST_ORDER_MAIN
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_ORDER_MAIN" ADD CONSTRAINT "SYS_C0032573" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TEST_ORDER_MAIN
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_ORDER_MAIN" ADD CONSTRAINT "SYS_C0032478" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TEST_ORDER_PRODUCT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_ORDER_PRODUCT" ADD CONSTRAINT "SYS_C0032574" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TEST_ORDER_PRODUCT
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_ORDER_PRODUCT" ADD CONSTRAINT "SYS_C0032479" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;
ALTER TABLE "JEECGBOOT"."TEST_ORDER_PRODUCT" ADD CONSTRAINT "SYS_C0032480" CHECK ("ORDER_FK_ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TEST_SHOPTYPE_TREE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_SHOPTYPE_TREE" ADD CONSTRAINT "SYS_C0032575" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TEST_SHOPTYPE_TREE
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_SHOPTYPE_TREE" ADD CONSTRAINT "SYS_C0032481" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Primary Key structure for table TEST_V3_HELLO
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_V3_HELLO" ADD CONSTRAINT "SYS_C0032576" PRIMARY KEY ("ID");

-- ----------------------------
-- Checks structure for table TEST_V3_HELLO
-- ----------------------------
ALTER TABLE "JEECGBOOT"."TEST_V3_HELLO" ADD CONSTRAINT "SYS_C0032482" CHECK ("ID" IS NOT NULL) NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Foreign Keys structure for table QRTZ_BLOB_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_BLOB_TRIGGERS" ADD CONSTRAINT "QRTZ_BLOB_TRIG_TO_TRIG_FK" FOREIGN KEY ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP") REFERENCES "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP") NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Foreign Keys structure for table QRTZ_CRON_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_CRON_TRIGGERS" ADD CONSTRAINT "QRTZ_CRON_TRIG_TO_TRIG_FK" FOREIGN KEY ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP") REFERENCES "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP") NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Foreign Keys structure for table QRTZ_SIMPLE_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPLE_TRIGGERS" ADD CONSTRAINT "QRTZ_SIMPLE_TRIG_TO_TRIG_FK" FOREIGN KEY ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP") REFERENCES "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP") NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Foreign Keys structure for table QRTZ_SIMPROP_TRIGGERS
-- ----------------------------
ALTER TABLE "JEECGBOOT"."QRTZ_SIMPROP_TRIGGERS" ADD CONSTRAINT "QRTZ_SIMPROP_TRIG_TO_TRIG_FK" FOREIGN KEY ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP") REFERENCES "JEECGBOOT"."QRTZ_TRIGGERS" ("SCHED_NAME", "TRIGGER_NAME", "TRIGGER_GROUP") NOT DEFERRABLE INITIALLY IMMEDIATE NORELY VALIDATE;

-- ----------------------------
-- Foreign Keys structure for table QRTZ_TRIGGERS
-- ----------------------------
